<?php
/**
 * Add / update admin form
 */

	if (!defined("ENV")) exit();

	$mode = isset($_GET["mode"]) ? trim($_GET["mode"]) : "insert";
	$admin_id = isset($_GET["aid"])? intval($_GET["aid"]) : 0;
	
	$password_history = array();
	
	switch ($mode)
	{
		/**
		 * Get update data
		 */
		case "update" :
		{
			//$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE aid='".intval($admin_id)."' AND aid<>'".intval($admin_auth_id)."'");
			$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE aid='".intval($admin_id)."' ");
			if (($admin = $db->moveNext()) != false)
			{
				$admin["privileges"] = explode(",", $admin["rights"]);
				$admin["password_history"] = $admin["password_history"] != "" ? unserialize(base64_decode($admin["password_history"])) : array();
				$admin["receive_notifications"] = explode(",", $admin["receive_notifications"]);
				break;
			}
		}
		/**
		 * Preset new user data
		 */
		default :
		case "insert" :
		{
			$mode = "insert";
			$admin = array(
				"name" => "",
				"email" => "",
				"username" => "",
				"email_mode" => "html",
				"active" => "Yes",
				"privileges" => array(),
				"password_history" => array(),
				"receive_notifications" => array('invoice','outofstock','signup','product_review','pwdchange30')
			);
			break;
		}
	}
	loadJS("cf_admin.js");
	loadJS("cd_admin.js");
	loadJS("content/vendors/md5/md5-min.js");
	pageHeader("Site Administrator", $mode, "ic_admin_".($mode == "update" ? "edit" : "add").".gif");
	
	if (_ACCESS_ALL || _ACCESS_MULTIPLE_ADMINS)
	{
		pageNote(
			array(
				array("icon"=>"ic_hint.gif","url"=>"","text"=>"<b>Please note: required fields are bold</b>", "visible"=>true),
				array("icon"=>"ic_hint.gif","url"=>"","text"=>"Please leave password field blank if you don't want to change it", "visible"=>$mode == "update"),
				array("icon"=>"ic_delete.gif","url"=>"javascript:ConfirmDeleteAdmin(".$admin_id.")","text"=>"Remove this account", "visible"=>$mode == "update")
			)
		);
?>
<form name="frmAdmin" action="admin.php?p=admin_process" method="post" onsubmit="return CheckAdminForm(this, '<?=$mode?>')">
	<input type="hidden" name="aid" value="<?=$admin_id?>">
	<input type="hidden" name="mode" value="<?=$mode?>">
	<div class="admin-tabs admin-tabs-framed" id="tabs-admin">
<?php 
		pageTabs(array(
			array("title"=>"Administrator Properties", "id"=>"main"),
		), "tabs-admin");
?>
<script type="text/javascript"><!--
var ForcePCIPasswd = <?=$settings["SecurityForceCompliantAdminPasswords"] == "YES" ? "true" : "false"; ?>;
var password_history = new Array();
<?	if(count($password_history) > 0){
		$i = 0;
		foreach ($password_history as $passwd)
		{
			echo "password_history[".($i++)."] = '".$passwd["p"]."';\n";  
		}
	}
?>
--></script>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header">Basic Information &amp; Security</div>
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr valign="top">
						<td class="formItemCaption"><b>First &amp; Last Name</b></td>
						<td class="formItemControl"><input style="width:220px;" maxlength="30" type="text" name="name" value="<?=htmlspecialchars($admin["name"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Email Address</b></td>
						<td class="formItemControl"><input style="width:220px;" type="text" name="email" maxlength="200" value="<?=htmlspecialchars($admin["email"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Email Type</td>
						<td class="formItemControl">
							<select name="email_mode" style="width:220px;">
								<option value="html" <?=$admin["email_mode"]=="html"?"selected":""?>>HTML enriched messages</option>
								<option value="text" <?=$admin["email_mode"]=="text"?"selected":""?>>Plain text messages</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">&nbsp;</td>
						<td class="formItemControl">
							<input <?=in_array("invoice", $admin["receive_notifications"]) ? "checked" : ""?> type="checkbox" name="receive_notification[invoice]" value="invoice" id="rn_invoice"> <label for="rn_invoice">Receive invoice notifications</label><br/>
							<input <?=in_array("outofstock", $admin["receive_notifications"]) ? "checked" : ""?> type="checkbox" name="receive_notification[outofstock]" value="outofstock" id="rn_outofstock"> <label for="rn_outofstock">Receive out of stock messages</label><br/>
							<input <?=in_array("signup", $admin["receive_notifications"]) ? "checked" : ""?> type="checkbox" name="receive_notification[signup]" value="signup" id="rn_signup"> <label for="rn_signup">New user registration notifications</label><br/>
							<input <?=in_array("product_review", $admin["receive_notifications"]) ? "checked" : ""?> type="checkbox" name="receive_notification[product_review]" value="product_review" id="rn_product_review"> <label for="rn_product_review">Email admin when a review is created</label><br/>
							<input <?=in_array("notactive", $admin["receive_notifications"]) ? "checked" : ""?> type="checkbox" name="receive_notification[notactive]" value="notactive" id="rn_notactive"> <label for="rn_notactive">Notify if an administrator account has been inactive for over 90 days</label><br/>
							<br/>Remind me to change password after<br/>
							<input value="pwdchange30" <?=in_array("pwdchange30", $admin["receive_notifications"]) ? "checked" : ""?> type="radio" name="receive_notification[password_change]" id="rn_password_change_30"> <label for="rn_password_change_30">30 days</label><br/>
							<input value="pwdchange60" <?=in_array("pwdchange60", $admin["receive_notifications"]) ? "checked" : ""?> type="radio" name="receive_notification[password_change]" id="rn_password_change_60"> <label for="rn_password_change_60">60 days</label><br/>
							<input value="pwdchange90" <?=in_array("pwdchange90", $admin["receive_notifications"]) ? "checked" : ""?> type="radio" name="receive_notification[password_change]" id="rn_password_change_90"> <label for="rn_password_change_90">90 days</label><br/>
							<input value="pwdchangenever" <?=in_array("pwdchangenever", $admin["receive_notifications"]) ? "checked" : ""?> value="" type="radio" name="receive_notification[password_change]" id="rn_password_change_never"> <label for="rn_password_change_never">Never</label>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Username</b></td>
						<td class="formItemControl"><input style="width:220px;" type="text" name="username" maxlength="200" value="<?=htmlspecialchars($admin["username"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Password</b></td>
						<td class="formItemControl">
							<input style="width:220px;" type="password" name="password" maxlength="200" value="" onKeyUp="pwdStrength(this.value)">
							<div id="pwdDescription"></div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Password Confirmation</b></td>
						<td class="formItemControl"><input style="width:220px;" type="password" name="password2" maxlength="200" value=""></td>
					</tr>
				</table>
				&nbsp;
				<div class="admin-form-header">Account Lock</div>
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr valign="top">
						<td class="formItemCaption">Current status:</td>
						<td class="formItemControl">
							<select name="active" style="width:220px;">
								<option value="Yes">Unlocked</option>
								<option value="No" <?=$admin["active"]=="No" ? "selected" : ""?>>Locked</option>
							</select>
						</td>
					</tr>
				</table>
				&nbsp;
				<div class="admin-form-header">Administrator Privileges</div>
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td style="padding-left:22px;"> 
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[categories]" value="categories" id="id_categories" <?=in_array("categories", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_categories">Manage product categories</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[products]" value="products" id="id_products" <?=in_array("products", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_products">Add/edit/delete products, bulk loaders</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[users]" value="users" id="id_users" <?=in_array("users", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_users">Manage site users</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[orders]" value="orders" id="id_orders" <?=in_array("orders", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_orders">Manage orders</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[emails]" value="emails" id="id_emails" <?=in_array("emails", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_emails">Edit and send emails</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[admins]" value="admins" id="id_admins" <?=in_array("admins", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_admins">Manage site administrators</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[global]" value="global" id="id_global" <?=in_array("global", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_global">Edit global site settings</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[business]" value="business" id="id_business" <?=in_array("business", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_business">Manage payment, shipping, taxes and discounts</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[content]" value="content" id="id_content" <?=in_array("content", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_content">Manage site content (pages, skins, colors and files)</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[database]" value="database" id="id_export" <?=in_array("database", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_export">Clear / Export MySQL database</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[stats]" value="stats" id="id_stats" <?=in_array("stats", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_stats">See statistics</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[marketing]" value="marketing" id="id_marketing" <?=in_array("marketing", $admin["privileges"])?"checked":""?>></div>
								<div class="privilegeItemLabel"><label for="id_marketing">Marketing</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[ccs]" id="id_ccs" value="ccs" <?=in_array("ccs", $admin["privileges"]) ? "checked" : ""?>></div>
								<div class="privilegeItemLabel"><label for="id_ccs">Access to CCS</label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[demo]" id="id_demo" value="demo" <?=in_array("demo", $admin["privileges"]) ? "checked" : ""?>></div>
								<div class="privilegeItemLabel"><label for="id_demo"><b>Demo Mode Admin</b></label></div>
							</div>
							<div class="privilegeItem">
								<div class="privilegeItemCheck"><input type="checkbox" name="privilege[all]" id="id_all" value="all" <?=in_array("all", $admin["privileges"]) ? "checked" : ""?>></div>
								<div class="privilegeItemLabel"><label for="id_all"><b>All privileges</b></label></div>
							</div>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/> &nbsp;
		<input type="reset" value="Reset form">
	</div>
</form>
<?php
	}
	else
	{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}

