<?php
/**
 * idevAffiliate integration
 */

	if (!defined("ENV")) exit();

	pageHeader("iDevAffiliate Integration", "", "ic_idev.gif");
	$action = isset($action)?trim($action):"";

	if ($action == "update_settings" && !DEMO_LOCK)
	{
		$form = isset($_POST["form"]) ? $_POST["form"] : array();
		foreach ($form as $name=>$value)
		{
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$db->escape($name)."'");
			$settings[$name] = $value;
		}
	}
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"Since 1999, iDevAffiliate is the original in self managed affiliate software. Adding affiliate tracking software to your site is one of the most effective ways to achieve more sales, traffic and search engine rankings. Click here to set up your account for as little as $99.00 - <a href=\"http://www.idevdirect.com/affiliates/idevaffiliate.php?id=10140\" target=\"_blank\">click here</a>", "url"=>"", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"This page allows you to integrate iDevAffiliate Application.<br>Click Login button below to go to iDevAffiliate admin area", "url"=>"", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"For information regarding iDevAffiliate, <a target=\"_blank\" href=\"http://www.idevdirect.com/affiliates/idevaffiliate.php?id=10140 \">please click here</a>", "url"=>"", "visible"=>true)
	));

	if ($settings["AffiliateActive"] == "YES")
	{
?>
<a href="http://www.idevdirect.com"><img src="images/admin/idev.gif" align="right" hspace="10" vspace="10" border="0"></a>
<div style="border:1px solid gray;background-color:#f0f0f0;padding:10px;text-align:center;clear:both;">
	<form action="<?=$settings["AffiliateAreaURL"]?>admin/setup.php" method="post" target="_idev">
		<input type="hidden" name="aduser" value="<?=$settings["AffiliateUsername"]?>">
		<input type="hidden" name="adpass" value="<?=$settings["AffiliatePassword"]?>">
		<input type="Submit" value="Login">
	</form>
</div>
<br/>
<?php
	}
?>
<script type="text/javascript">
	$(document).ready(function(){
		$('#form-affiliate').submit(function(){
			$('#affiliate_url').val($.trim($('#affiliate_url').val().replace(/[/]*$/, '/')));
		});
	});
</script>
<form action="admin.php?p=affiliate" id="form-affiliate" method="post">
	<input type="hidden" name="action" value="update_settings">
	<div class="admin-tabs admin-tabs-framed" id="tabs-aff">
<?php
	pageTabs(array(
		array("title"=>"iDevAffiliate Setup", "id"=>"main"),
		array("title"=>"iDevAffiliate Advanced Setup", "id"=>"advanced")
	), "tabs-aff", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header">iDevAffiliate Integration Settings</div>
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr valign="top">
						<td class="formItemCaption">Do you want to enable iDevAffiliate?</td>
						<td class="formItemControl">
							<select style="width:123px;" name="form[AffiliateActive]">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["AffiliateActive"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Installation URL :</td>
						<td class="formItemControl">
							<input id="affiliate_url" type="text" style="width:250px;" name="form[AffiliateAreaURL]" value="<?=gs($settings["AffiliateAreaURL"])?>"><br />
							<div class="formItemComment">Ensure you have a trailing slash (/) in your URL. (Example: https://www.yourdomain.com/idev<strong>/</strong>)</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Username :</td>
						<td class="formItemControl"><input type="text" style="width:250px;" name="form[AffiliateUsername]" value="<?=gs($settings["AffiliateUsername"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Password :</td>
						<td class="formItemControl"><input type="text" style="width:250px;" name="form[AffiliatePassword]" value="<?=gs($settings["AffiliatePassword"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">iDevAffiliate Link Text :</td>
						<td class="formItemControl"><input type="text" style="width:250px;" name="form[AffiliateLinkText]" value="<?=gs($settings["AffiliateLinkText"])?>"></td>
					</tr>
				</table>
			</div>
		</div>
		<div id="admin-tab-sheet-advanced" class="admin-tab-sheet hidden">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header">iDevAffiliate Integration Settings</div>
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr valign="top">
						<td class="formItemCaption">Variable for Amount :</td>
						<td class="formItemControl"><input type="text" style="width:250px;" name="form[AffiliateVarAmount]" value="<?=gs($settings["AffiliateVarAmount"])?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Variable for OrderId :</td>
						<td class="formItemControl"><input type="text" style="width:250px;" name="form[AffiliateVarOrderId]" value="<?=gs($settings["AffiliateVarOrderId"])?>"></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/> &nbsp;
		<input type="reset" value="Reset form"/>
	</div>
</form>
