<?php
	pageHeader("Bulk Secondary Images Loader", "", "ic_images_loader.gif");
	
/////////////////////////
// STEP 1: SHOW LOAD FORM
			pageNote(array(
				
				array("icon"=>"ic_hint.gif", "text"=>"This section will allow you to add SECONDARY images to products that already exist in the database.", "url"=>"", "visible"=>true),
							
				array("icon"=>"ic_hint.gif", "text"=>"To use this tool, first use FTP to upload images to 'upload_secondary' folder under the web root folder of your site.<br/>
				Please note, the file names must be EXACTLY the same as the Product ID_N for ".$label_app_name." to match the images to the product.<br/>
				For instance, if the Product ID is <b>my_bike</b>, the image names must be <b>my_bike_1.jpg</b>, <b>my_bike_2.jpg</b> and so on", "url"=>"", "visible"=>true),
				array("icon"=>"ic_hint.gif", "text"=>"<b>Please note: only .jpg files will be accepted.</b>", "url"=>"", "visible"=>true),
				
				array("icon"=>"ic_hint.gif", "text"=>"Make sure the files are uploaded and click <b>Continue</b> button to proceed.", "url"=>"", "visible"=>true),
			));
			pageTabs(array(
				array("title"=>"Secondary Images Loader", "id"=>"Main", "active"=>true, "width"=>140),
			));
?>

<form action="content/admin/admin_bulk_images_secondary_process.php">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">

<?
$source_dir = realpath('.') . '/upload_secondary';


$files = array();
$dh = opendir($source_dir) or error_log('Cannot open dir!');
while (($file = readdir($dh)) !== false) { 
	if ($file != '.' and $file != '..') {
		$files[] = $file;
	}
}
closedir($dh);

$file_count = 0;
$error_count = 0;
$errmsg = '';
foreach ($files as $file) {
	
	$this_file = $source_dir . '/' . $file;
	$path_parts = pathinfo($this_file);
	if (preg_match("/^(jpg)$/i", $path_parts['extension'])) {
		
		if (preg_match("/^(.+)_(\d+)\.jpg$/", $file, $m)) {
			
			$product_id = $m[1];
			$priority = $m[2];
			$sql = "
				SELECT `pid`
				FROM `" . DB_PREFIX . "products`
				WHERE `product_id` = '" . addslashes($product_id) . "'
			";
			$db->query($sql);
			if ($db->movenext()) {
				
				$file_count++;
			} else {
				$error_count++;
				$errmsg .= 'Product ID not found in the database: ' . $product_id . '<br/>';
			}
			
		} else {
			$error_count++;
			$errmsg .= "Bad file name: $file<br/>";
		}
		
	} else {
		$errmsg .= "Unsupported file format: $file<br/>";
	}
}

$total_files = $file_count + $error_count;
?>

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_open_folder.gif"></div>
				<div class="formHeaderText">File Stats</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Total images in 'upload_secondary' folder:</td>
			<td class="formItemControl">
				<b><?=$total_files?></b>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Matched to products and ready to add:</td>
			<td class="formItemControl">
				<b><?=$file_count?></b>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Failed to match/invalid format/etc:</td>
			<td class="formItemControl">
				<b><?=$error_count?></b>
				<?
				if ($errmsg != '') {
					print "<br/><font color=red>$errmsg</font>";
				}
				?>
			</td>
		</tr>
		
		<tr valign="top">
			<td class="formItemCaption"></td>
			<td class="formItemControl">
				<? if ($file_count > 0) { ?>
				<input type="submit" value="Continue"/>
				<? } ?>
			</td>
		</tr>
		
	</table>


<br/>
</div>

</form>

<??>
