<?php
/**
 * Manage categorie
 */

	if (!defined("ENV")) exit();
	
	///////////////////////////////////////////
	// inherit basic node & override drawNode
	class OPTION_PARAM{
		var $id;
		var $parent_id;
		var $level;
		function OPTION_PARAM($id, $parent_id, $level){
			$this->id = $id;
			$this->parent_id = $parent_id;
			$this->level = $level;
			return $this;
		}
	}
	
	class OPTION_NODE extends DB_TREE_NODE{
		function drawNode($param){
			if($this->id!=$param->id){
				if($this->id != TREE_ROOT){
					echo '<div class="listItem">';
					if($param->level > 1){
						echo '<div style="float:left;padding-left:'.(($param->level-1)*20).'px;">&nbsp;</div>';
					}
						echo '<div class="listItemIcon"><img src="images/icons/ic_folder.gif"/></div>';
						echo '<div class="listItemText"><a href="admin.php?p=category&mode=update&cid='.$this->id.'" '.($this->is_visible=="Yes"?"":' style="color:gray"').'>'.htmlspecialchars($this->caption).'</a></div>';
						echo '<div class="listItemButtons">';
							echo '<a href="admin.php?p=category&mode=update&cid='.$this->id.'"><img src="images/icons/ic_change_text.gif" border="0" hspace="2" title="Edit Category"></a>';
							echo '<a href="admin.php?p=category&mode=insert&parent='.$this->id.'"><img src="images/icons/ic_insert_row.gif" hspace="2" title="Add Subcategory" border="0"></a>';
							echo '<a href="javascript:ConfirmDeleteCategory('.$this->id.');"><img src="images/icons/ic_delete.gif" border="0" title="Delete Category"></a>';
						echo '</div>';
					echo '</div>';
				}
				if(count($this->nodes)>0){
					while(list($id, $node) = each($this->nodes)){
						$node->drawNode(
							new OPTION_PARAM($param->id, $param->parent_id, $param->level+1)
						);
					}
				}
			}
		}
	}

	$tree = new DB_TREE();
	$tree->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes", "Category Root"));
	
	
	$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, priority, name");
	$cats_count = $db->numRows();
	while($db->moveNext()){
		$tree->addNode(
			new OPTION_NODE(
				$db->col["cid"], 
				$db->col["parent"], 
				$db->col["level"], 
				$db->col["is_visible"],
				$db->col["name"]
			)
		);
	}
	
	loadJS("cd_category.js");
	pageHeader("Manage Catalog Categories", "", "ic_folder.gif");
	
	pageNote(array(
		array("icon"=>"ic_insert_row.gif", "url"=>"admin.php?p=category&mode=insert", "text"=>"<b>Click to Add a New Category</b>", "visible"=>true),
		array("icon"=>"ic_hint.gif", "url"=>"", "text"=>"<b>You currently do not have any categories in your catalog.<br>Please click \"Add a New Category\".</b>", "visible"=>$cats_count < 1)
	));
	
?>

<div class="listHeader">
	<div class="listHeaderIcon"><img src="images/icons/ic_folder.gif"/></div>
	<div class="listHeaderCaption">Product Category Name</div>
</div>
<?
	if($cats_count > 0){
		$cid = -1;
		$parent = TREE_ROOT;
		$tree->collection[TREE_ROOT]->drawNode(
			new OPTION_PARAM($cid, $parent, 0)
		);
	}
	else{?>
<div class="listEmpty">
	You currently do not have categories in your catalog
</div>
<?	}
?>