<?php
/**
 * Chart helper 
 */

if (!defined("ENV")) exit();

header('Content-type: text/xml');

$mysql_from =  date('Y-m-01 00:00:01');
$mysql_to =  date('Y-m-t ').' 23:59:59';


$db->query("
	SELECT DATE_FORMAT(status_date, '%m/%d/%Y') AS order_date, COUNT(oid) AS orders_count, SUM(total_amount) AS amount FROM ".DB_PREFIX."orders
	WHERE
		removed='No' AND
		 status = 'Completed' AND
		payment_status = 'Received' AND
		status_date BETWEEN '{$mysql_from}' AND '{$mysql_to}'
	GROUP BY order_date 
");

$data = $db->getObjects();


$xmlData = simplexml_load_string('<data></data>');

list($month, $year, $count) = split('/', date('m/Y/t', strtotime($mysql_to)));

for ($i = 1; $i <= intval($count); $i++)
{
	$xmlItem = $xmlData->addChild('item');
	$xmlItem->addChild('label', "$i");
	$xmlItem->addChild('value', (isset($data["$month/$i/$year"]) ? number_format($data["$month/$i/$year"]->amount, 2) : 0));
	$xmlItem->addChild('level', 'year');
	$xmlItem->addChild('orders', (isset($data["$month/$i/$year"]) ? $data["$month/$i/$year"]->orders_count : 0));
}


echo $xmlData->asXml();