<?php
	if (!defined("ENV")) exit();
	

	loadJS("cf_conditionfields.js");
	pageHeader("Condition Fields", "", "ic_manufacturer.gif");
	
	
	// inherit basic niode & override drawNode
	class OPTION_PARAM
	{
		var $parent_id;
		var $level;
		var $categories;
		function OPTION_PARAM($parent_id, $level, $categories = array())
		{
			$this->parent_id = $parent_id;
			$this->level = $level;
			$this->categories = $categories;
			return $this;
		}
	}

	class OPTION_NODE extends DB_TREE_NODE
	{
		function drawNode($param)
		{
			if ($this->id != TREE_ROOT)
			{
				//echo 'option value="'.$param->categories.'">"'.$param->categories .'" Test </option>';
				echo '<option value="'.$this->id.'" '.(($this->id == $param->parent_id || in_array($this->id, $param->categories))?"selected":"").' '.($this->is_visible=="No"?'style="color:gray;"':"").'>';
				for ($i=0; $i<$param->level*4; $i++)
				{
					echo "&nbsp;";
				}
				echo htmlspecialchars($this->caption).'</option>';
			}
			if (count($this->nodes)>0)
			{
				reset($this->nodes);
				while (list($id, $node) = each($this->nodes))
				{
					$node->drawNode(
						new OPTION_PARAM($param->parent_id, $param->level+1, $param->categories)
					);
				}
			}
		}
	}
	$tree1 = new DB_TREE();
	$tree1->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes",  "None selected"));
	$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog ORDER BY ptic_level, ptic_priority, ptic_name");
	while ($db->moveNext())
	{
		$tree1->addNode(
			new OPTION_NODE(
				$db->col["ptic_id"],
				$db->col["ptic_parent"],
				$db->col["ptic_level"],
				$db->col["ptic_is_visible"],
				$db->col["ptic_name"]
			)
		);
	}
	
	
	
	
	$action = isset($action)?trim($action):"";
	
	if (!DEMO_LOCK)
	{
		switch($action)
		{
			case "condition_add" :
			{
				$ptic_categories = $_REQUEST["ptic_categories"];
				$condition_name = $_REQUEST["condition_name"];
				$condition_name = $_REQUEST["condition_name"];
				print_r($_REQUEST["ptic_categories"]); 
				$insertQuery=mysql_query("insert into conditionfields(condition_name) values('".$condition_name."')")or die(mysql_error());
				$condition_id=mysql_insert_id();
				
				for($i=0;$i<count($ptic_categories);$i++)
					$ins = mysql_query("insert into map_condition_to_ptic values('".$condition_id."','".$ptic_categories[$i]."')");
				
				break;
			}
			
			case "condition_delete" :
			{
				$condition_id = $_REQUEST["condition_id"];
				$delQuery=mysql_query("delete from conditionfields where condition_id='".$condition_id."'")or die(mysql_error());
				
				break;
			}
			case "manufacturer_delete_image" :
			{
				$mans->deleteManufacturerImage($_REQUEST["manufacturer_id"]);
				break;
			}
			case "manufacturers_update" :
			{
				$mans->updateManufacturers($_REQUEST);
				break;
			}
		}
	}

	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"On this page you can update your Condition Fields.", "url"=>"", "visible"=>true),
	));
?>
<div class="admin-tabs admin-tabs-framed" id="tabs-manufacturer">
<?php 
$condition_id = $_REQUEST["condition_id"];
$selConditionsQuery = mysql_query("select * from ".DB_PREFIX."conditionfields where condition_id='".$condition_id."'")or die(mysql_error());	
$fetchCondition = mysql_fetch_array($selConditionsQuery);

$db->query("SELECT * FROM ".DB_PREFIX."map_condition_to_ptic WHERE condition_id='".$condition_id."'");
while ($db->moveNext())
{
	$categories1[] = $db->col["ptic_id"];
}


?>
	<div id="admin-tab-sheet-main" class="admin-tab-sheet">
		<div class="admin-tab-sheet-wrap">
		<form name="frmCondition" action="admin.php?p=conditions" method="POST" onsubmit="return checkAddCondition(this);">
		<input type="hidden" name="action" value="condition_update">
		<input type="hidden" name="condition_id" value="<?=$condition_id?>">
		<input type="hidden" name="ptic_categories_old" value="<?=$categories1?>">
		
		
		<div class="admin-tab-sheet-wrap">
			<div class="admin-form-header admin-icon-manufacturer-add">Update condition fields</div>
			<table width="100%" cellpadding="0" cellspacing="5" border="0">
				<tr valign="top">
					<td class="formItemCaption"><b>Condition Name</b></td>
					<td class="formItemControl">
						<input style="width:250px;" type="text" name="condition_name" maxlength="255" value="<?=$fetchCondition["condition_name"]?>"/>
					</td>
				</tr>
				
				<tr valign="top">
					<td class="formItemCaption"><b>Field Type</b></td>
					<td class="formItemControl">
						<select name="field_type" id="field_type" style="width:250px;">
							<option value='alphatxt' <?php if($fetchCondition["field_type"]=='alphatxt') echo 'selected'; ?>>Alpha Numeric Text</option>
							<option value='numerictxt' <?php if($fetchCondition["field_type"]=='numerictxt') echo 'selected'; ?>>Numeric Text</option>
							<option value='chkbox' <?php if($fetchCondition["field_type"]=='chkbox') echo 'selected'; ?>>CheckBox</option>
							<option value='radiobtn' <?php if($fetchCondition["field_type"]=='radiobtn') echo 'selected'; ?>>RadioButton</option>
							<option value='dropdown' <?php if($fetchCondition["field_type"]=='dropdown') echo 'selected'; ?>>Dropdown Field</option>
							<option value='txtarea' <?php if($fetchCondition["field_type"]=='txtarea') echo 'selected'; ?>>Text Area</option>
							<option value='datefield' <?php if($fetchCondition["field_type"]=='datefield') echo 'selected'; ?>>Date Field</option>
						</select>
					</td>
				</tr>
				
				<tr valign="top" id='field_val'>
					<td class="formItemCaption"><b>Field Values</b></td>
					<td class="formItemControl">
						<textarea name="field_values" cols="25" rows="3"/><?=$fetchCondition["field_values"]?></textarea>						
						<div class="formItemComment">
							Multiple field values should be entered with comma seperated.
						</div>
					</td>
				</tr>
				
				
				<tr valign="top">
					<td class="formItemCaption">Assign PTIC Categories</td>
					<td class="formItemControl">
						<select name="ptic_categories[]" id="field-category-secondary" style="width:100%;" multiple size="15">
							<option value="<?=TREE_ROOT?>">None Selected</option>
		<?					$tree1->collection[TREE_ROOT]->drawNode(new OPTION_PARAM(0, 0,$categories1));?>
						</select>
						<div class="formItemComment">
							Hold down the control key to select multiple categories.
						</div>
					</td>
				</tr> 
				
				<tr valign="top">
					<td class="formItemCaption"><b>Priority</b></td>
					<td class="formItemControl">
						<input style="width:100px;" type="text" name="condition_order" maxlength="255" value="<?=$fetchCondition["condition_order"]?>"/>
					</td>
				</tr>
				
			</table>
		</div>
		<div class="admin-form-buttons">
			<input type="submit" value="Save changes"/> &nbsp;
			<input type="reset" value="Reset form"/>
		</div>
		</form>
		</div>
	</div>
</div>
<script>
	$(document).ready(function(){
		var selectValue = $("#field_type").val();
		if(selectValue=='alphatxt' || selectValue=='numerictxt' || selectValue=='txtarea'|| selectValue=='datefield')
			$("#field_val").hide();
		else
			$("#field_val").show();
			
		$("#field_type").change(changeStatus);
	});
	
	function changeStatus()
	{
		var selectValue = $("#field_type").val();
		if(selectValue=='alphatxt' || selectValue=='numerictxt' || selectValue=='txtarea' || selectValue=='datefield')
			$("#field_val").hide();
		else
			$("#field_val").show();
	}
	
</script>