<?php
	if (!defined("ENV")) exit();
	

	loadJS("cf_conditionfields.js");
	pageHeader("Condition Fields", "", "ic_manufacturer.gif");
	
	
	// inherit basic niode & override drawNode
	class OPTION_PARAM
	{
		var $parent_id;
		var $level;
		var $categories;
		function OPTION_PARAM($parent_id, $level, $categories = array())
		{
			$this->parent_id = $parent_id;
			$this->level = $level;
			$this->categories = $categories;
			return $this;
		}
	}

	class OPTION_NODE extends DB_TREE_NODE
	{
		function drawNode($param)
		{
			if ($this->id != TREE_ROOT)
			{
				//echo 'option value="'.$param->categories.'">"'.$param->categories .'" Test </option>';
				echo '<option value="'.$this->id.'" '.(($this->id == $param->parent_id || in_array($this->id, $param->categories))?"selected":"").' '.($this->is_visible=="No"?'style="color:gray;"':"").'>';
				for ($i=0; $i<$param->level*4; $i++)
				{
					echo "&nbsp;";
				}
				echo htmlspecialchars($this->caption).'</option>';
			}
			if (count($this->nodes)>0)
			{
				reset($this->nodes);
				while (list($id, $node) = each($this->nodes))
				{
					$node->drawNode(
						new OPTION_PARAM($param->parent_id, $param->level+1, $param->categories)
					);
				}
			}
		}
	}
	$tree1 = new DB_TREE();
	$tree1->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes",  "None selected"));
	$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog ORDER BY ptic_level, ptic_priority, ptic_name");
	while ($db->moveNext())
	{
		$tree1->addNode(
			new OPTION_NODE(
				$db->col["ptic_id"],
				$db->col["ptic_parent"],
				$db->col["ptic_level"],
				$db->col["ptic_is_visible"],
				$db->col["ptic_name"]
			)
		);
	}
	
	
	
	
	$action = isset($action)?trim($action):"";
	
	if (!DEMO_LOCK)
	{
		switch($action)
		{
			case "condition_add" :
			{
				$ptic_categories = $_REQUEST["ptic_categories"];
				$condition_name = $_REQUEST["condition_name"];
				$field_type = $_REQUEST["field_type"];
				$field_values = $_REQUEST["field_values"];
				$condition_order = $_REQUEST["condition_order"];
				
				//print_r($_REQUEST["ptic_categories"]); 
				$insertQuery=mysql_query("insert into conditionfields(condition_name,field_type,field_values,condition_order) values('".$condition_name."','".$field_type."','".$field_values."','".$condition_order."')")or die(mysql_error());
				$condition_id=mysql_insert_id();
				
				for($i=0;$i<count($ptic_categories);$i++)
					$ins = mysql_query("insert into map_condition_to_ptic values('".$condition_id."','".$ptic_categories[$i]."')");
				
				break;
			}
			
			case "condition_delete" :
			{
				$condition_id = $_REQUEST["condition_id"];
				// delete condition_name from conditionfield table
				$delQuery=mysql_query("delete from ".DB_PREFIX."conditionfields where condition_id='".$condition_id."'")or die(mysql_error());
				//delete condition to ptic mappings from map_condition_to_ptic table
				$delQuery=mysql_query("delete from ".DB_PREFIX."map_condition_to_ptic where condition_id='".$condition_id."'")or die(mysql_error());
				//delete product conditional field value from condition_products table
				$delQuery=mysql_query("delete from ".DB_PREFIX."condition_products where condition_id='".$condition_id."'")or die(mysql_error());
				
				break;
			}
			case "condition_update" :
			{
				$ptic_categories = $_REQUEST["ptic_categories"];
				$condition_name = $_REQUEST["condition_name"];
				$condition_id = $_REQUEST["condition_id"];
				$field_type = $_REQUEST["field_type"];
				$condition_order = $_REQUEST["condition_order"];
				
				if($field_type=='alphatxt' || $field_type=='numerictxt' || $field_type=='txtarea' || $field_type=='datefield')
					$field_values='';
				else
					$field_values = $_REQUEST["field_values"];
				$db->query("SELECT * FROM ".DB_PREFIX."map_condition_to_ptic WHERE condition_id='".$condition_id."'");
				while ($db->moveNext())
				{
					$ptic_categoriesold[] = $db->col["ptic_id"];
				}
				//print_r($ptic_categoriesold); 
				//$insertQuery=mysql_query("insert into conditionfields(condition_name) values('".$condition_name."')")or die(mysql_error());
				//$condition_id=mysql_insert_id();
			
				$updateQuery = mysql_query("update ".DB_PREFIX."conditionfields set condition_name='".$condition_name."',field_type='".$field_type."',field_values='".$field_values."',condition_order='".$condition_order."' where condition_id='".$condition_id."'")or die(mysql_error());
				// updation of ptic categories include insertion and deletion
				// insert new ptic categories if added
				for($i=0;$i<count($ptic_categories);$i++)
				{
					if(!in_array($ptic_categories[$i],$ptic_categoriesold))
						$ins = mysql_query("insert into ".DB_PREFIX."map_condition_to_ptic values('".$condition_id."','".$ptic_categories[$i]."')");
				}
				// delete if an old category is removed
				for($i=0;$i<count($ptic_categoriesold);$i++)
				{
					if(!in_array($ptic_categoriesold[$i],$ptic_categories))
					{
						$del = mysql_query("delete from ".DB_PREFIX."map_condition_to_ptic where condition_id='".$condition_id."' and ptic_id='".$ptic_categoriesold[$i]."'");
						$del = mysql_query("delete from ".DB_PREFIX."condition_products where condition_id='".$condition_id."' and ptic_id='".$ptic_categoriesold[$i]."'");
					}
						
				}
				break;
			}
		}
	}

	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"On this page you can manage your Condition Fields.", "url"=>"", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"<b>New condition has been added.</b>", "url"=>"", "visible"=>$action == "manufacturer_add"),
		array("icon"=>"ic_hint.gif", "text"=>"<b>Manufacturer's data has been saved.</b>", "url"=>"", "visible"=>$action == "manufacturers_update"),
		array("icon"=>"ic_hint.gif", "text"=>"<b>Condition Field has been deleted.</b>", "url"=>"", "visible"=>$action == "condition_delete")
	));
?>
<div class="admin-tabs admin-tabs-framed" id="tabs-manufacturer">
<?php 
	pageTabs(array(
		array("title"=>"Manage Conditions", "id"=>"main"),
		array("title"=>"New Conditions", "id"=>"new"),
	), "tabs-manufacturer", false);
	
$selConditionsQuery = mysql_query("select * from conditionfields order by condition_order")or die(mysql_error());	
?>
	<div id="admin-tab-sheet-main" class="admin-tab-sheet">
		<div class="admin-tab-sheet-wrap">
			<form name="frmConditions" action="admin.php?p=conditions" method="POST" onsubmit="return checkUpdateManufacturers(this);">
			<input type="hidden" name="action" value="manufacturers_update">
				<div class="admin-form-header admin-icon-manufacturer">Manage Conditions</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table">
		<?php
		if(mysql_num_rows($selConditionsQuery)>0)
		{

		?>
					<thead>
						<tr>
							<th class="icon"></th>
							<th>Condition Name</th>
							<th>&nbsp;</th>
						</tr>
					</thead>
					<tbody>
		<?php
			while($fetchConditions=mysql_fetch_array($selConditionsQuery))
			{
		?>
					<tr>
						<td>&nbsp;</td>
						<td><a href="admin.php?p=condition&condition_id=<?=$fetchConditions["condition_id"]?>"><?=$fetchConditions["condition_name"] ?><a></td>
						<td>
							<a href="javascript:confirmDeleteCondition(<?=$fetchConditions["condition_id"]?>)"><img src="images/icons/ic_delete.gif" title="Delete Manufacturer" border="0"></a>
						</td>
					</tr>
		<?php
			}
		?>
					</tbody>
		<?php
		}
		else
		{
		?>
					<tr>
						<td class="icon">&nbsp;</td>
						<td colspan="5">There are no orders</td>
					</tr>
		<?php
		}
		?>
				</table>
			</form>
		</div>
	</div>
	<div id="admin-tab-sheet-new" class="admin-tab-sheet hidden">
		<form name="frmCondition" action="admin.php?p=conditions#list" method="POST" onsubmit="return checkAddCondition(this);">
		<input type="hidden" name="action" value="condition_add">
		<div class="admin-tab-sheet-wrap">
			<div class="admin-form-header admin-icon-manufacturer-add">Add a new condition field</div>
			<table width="100%" cellpadding="0" cellspacing="5" border="0">
				<tr valign="top">
					<td class="formItemCaption"><b>Condition Name</b></td>
					<td class="formItemControl">
						<input style="width:250px;" type="text" name="condition_name" maxlength="255"/>
					</td>
				</tr>
				
				<tr valign="top">
					<td class="formItemCaption"><b>Field Type</b></td>
					<td class="formItemControl">
						<select name="field_type" id="field_type" style="width:250px;">
							<option value='alphatxt'>Alpha Numeric Text</option>
							<option value='numerictxt'>Numeric Text</option>
							<option value='chkbox'>CheckBox</option>
							<option value='radiobtn'>RadioButton</option>
							<option value='dropdown'>Dropdown Field</option>
							<option value='txtarea'>Text Area</option>
							<option value='datefield'>Date Field</option>
						</select>
					</td>
				</tr>
				
				<tr valign="top" id='field_val'>
					<td class="formItemCaption"><b>Field Values</b></td>
					<td class="formItemControl">
						<textarea name="field_values" cols="25" rows="3"/></textarea>
						<div class="formItemComment">
							Multiple field values should be entered with comma seperated.
						</div>
					</td>
				</tr>
				
				<tr valign="top">
					<td class="formItemCaption">Assign PTIC Categories</td>
					<td class="formItemControl">
						<select name="ptic_categories[]" id="field-category-secondary" style="width:100%;" multiple size="7">
							<option value="<?=TREE_ROOT?>">None Selected</option>
		<?					$tree1->collection[TREE_ROOT]->drawNode(new OPTION_PARAM(0, 0));?>
						</select>
						<div class="formItemComment">
							Hold down the control key to select multiple categories.
						</div>
					</td>
				</tr> 
				
				<tr valign="top">
					<td class="formItemCaption"><b>Priority</b></td>
					<td class="formItemControl">
						<input style="width:100px;" type="text" name="condition_order" maxlength="255" value="<?=$fetchCondition["condition_order"]?>"/>
					</td>
				</tr>
				
			</table>
		</div>
		<div class="admin-form-buttons">
			<input type="submit" value="Save changes"/> &nbsp;
			<input type="reset" value="Reset form"/>
		</div>
		</form>
	</div>
</div>
<script>
	$(document).ready(function(){
		var selectValue = $("#field_type").val();
		if(selectValue=='alphatxt' || selectValue=='numerictxt' || selectValue=='txtarea' || selectValue=='datefield')
			$("#field_val").hide();
		else
			$("#field_val").show();
			
		$("#field_type").change(changeStatus);
	});
	
	function changeStatus()
	{
		var selectValue = $("#field_type").val();
		if(selectValue=='alphatxt' || selectValue=='numerictxt' || selectValue=='txtarea' || selectValue=='datefield')
			$("#field_val").hide();
		else
			$("#field_val").show();
	}
	
</script>