<?php

	if (!defined("ENV")) exit();

	$action = isset($action)?trim($action):"";
	$last_active_tab = isset($last_active_tab) ? trim($last_active_tab) : "category";
	
	if ($action == "update")
	{
		$form = isset($form)?$form:array();
		$form = is_array($form)?$form:array();
		
		$form["CatalogViewText"] = (!empty($cv_text) && $cv_text=="YES")?"YES":"NO";
		$form["CatalogViewThumb1"] = (!empty($cv_thumb1) && $cv_thumb1=="YES")?"YES":"NO";
		$form["CatalogViewThumb1Clean"] = (!empty($cv_thumb1clean) && $cv_thumb1clean=="YES")?"YES":"NO";
		$form["CatalogViewThumb2"] = (!empty($cv_thumb2) && $cv_thumb2=="YES")?"YES":"NO";
		$form["CatalogViewDisplay"] = (!empty($cv_display) && $cv_display=="YES")?"YES":"NO";
		$form["CatalogViewDisplayBox"] = (!empty($cv_displaybox) && $cv_displaybox=="YES")?"YES":"NO";
		$form["CatalogViewThumb3"] = (!empty($cv_thumb3) && $cv_thumb3=="YES")?"YES":"NO";
		$form["CatalogViewThumb3Clean"] = (!empty($cv_thumb3clean) && $cv_thumb3clean=="YES")?"YES":"NO";
		$form["CatalogViewFlexible"] = (!empty($cv_flexible) && $cv_flexible=="YES")?"YES":"NO";
		
		if (!DEMO_LOCK)
		{
			$price_ranges = isset($_POST["price_ranges"])?$_POST["price_ranges"]:array();
			$form["CatalogPriceRanges"] = base64_encode(serialize($price_ranges));
			foreach ($form as $name=>$value)
			{
				$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($value)."' WHERE name='".$db->escape($name)."'");
				$settings[$name] = $value;
			}
		}
	}
	pageHeader("Catalog Settings", "", "icb-align-vertical-left");
	loadJS("cf_catalog.js");
	pageNote(array(
		array("class"=>"ic-info", "text"=>"This page allows you to setup catalog and product page views", "url"=>"",  "visible"=>true)
	));
?>
<form name="frmCatalog" method="post" action="admin.php?p=design_catalog" onSubmit="return CheckCatalogForm(this);" style="padding:0px;spacing:0px;">
	<input type="hidden" name="action" value="update"/>
	<input type="hidden" name="last_active_tab" value="<?=$last_active_tab?>" id="idActiveTabHidden"/>

	<div class="admin-tabs admin-tabs-framed" id="tabs-design">
<?php 
	pageTabs(array(
		array("title"=>"Catalog Page Views", "id"=>"catalog"),
		array("title"=>"Product Page Settings", "id"=>"product"),
		array("title"=>"Image Settings", "id"=>"images")
	), "tabs-design", $last_active_tab);
?>
		<div id="admin-tab-sheet-catalog" class="admin-tab-sheet hidden">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon ic-folder"></span>Catalog Views</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td class="formItemControl big" colspan="9">
							<div class="formItemComment">
								Check checkbox if you want to enable view. 
								Select default view with radio button.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td align="center" width="11%">
							<img src="images/admin/catalog_text.gif" border="1" vspace="4"><br>
							Text View<br>&nbsp;
						</td>
						<td align="center" width="11%">
							<img src="images/admin/catalog_thumb1.gif" border="1" vspace="4"><br>
							Thumbnails - Single Column
						</td>
						<td align="center" width="11%">
							<img src="images/admin/catalog_thumb1.gif" border="1" vspace="4"><br>
							Thumbnails - Single Column Clean
						</td>
						<td align="center" width="11%">
							<img src="images/admin/catalog_thumb2.gif" border="1" vspace="4"><br>
							Thumbnails - Double Column
						</td>
						<td align="center" width="11%">
							<img src="images/admin/catalog_display.gif" border="1" vspace="4"><br>
							Two Column View&nbsp;
						</td>
						<td align="center" width="11%">
							<img src="images/admin/catalog_display_box.gif" border="1" vspace="4"><br>
							Two Column Box View
						</td>
						<td align="center" width="11%">
							<img src="images/admin/catalog_thumb3.gif" border="1" vspace="4"><br>
							Three Column View&nbsp;
						</td>
						<td align="center" width="11%">
							<img src="images/admin/catalog_thumb3.gif" border="1" vspace="4"><br>
							Flexible&nbsp;
						</td>
					</tr>
					<tr valign="top">
						<td align="center"><input type="checkbox" name="cv_text" value="YES" <?=$settings["CatalogViewText"]=="YES"?"checked":""?>></td>
						<td align="center"><input type="checkbox" name="cv_thumb1" value="YES" <?=$settings["CatalogViewThumb1"]=="YES"?"checked":""?>></td>
						<td align="center"><input type="checkbox" name="cv_thumb1clean" value="YES" <?=$settings["CatalogViewThumb1Clean"]=="YES"?"checked":""?>></td>
						<td align="center"><input type="checkbox" name="cv_thumb2" value="YES" <?=$settings["CatalogViewThumb2"]=="YES"?"checked":""?>></td>
						<td align="center"><input type="checkbox" name="cv_display" value="YES" <?=$settings["CatalogViewDisplay"]=="YES"?"checked":""?>></td>
						<td align="center"><input type="checkbox" name="cv_displaybox" value="YES" <?=$settings["CatalogViewDisplayBox"]=="YES"?"checked":""?>></td>
						<td align="center"><input type="checkbox" name="cv_thumb3" value="YES" <?=$settings["CatalogViewThumb3"]=="YES"?"checked":""?>></td>
						<td align="center"><input type="checkbox" name="cv_flexible" value="YES" <?=$settings["CatalogViewFlexible"]=="YES"?"checked":""?>></td>
					</tr>
					<tr valign="top">
						<td align="center"><input type="radio" id="r_text" name="form[CatalogDefaultView]" value="Text" <?=$settings["CatalogDefaultView"]=="Text"?"checked":""?>></td>
						<td align="center"><input type="radio" id="r_thumb1" name="form[CatalogDefaultView]" value="Thumb1" <?=$settings["CatalogDefaultView"]=="Thumb1"?"checked":""?>></td>
						<td align="center"><input type="radio" id="r_thumb1clean" name="form[CatalogDefaultView]" value="Thumb1Clean" <?=$settings["CatalogDefaultView"]=="Thumb1Clean"?"checked":""?>></td>
						<td align="center"><input type="radio" id="r_thumb2" name="form[CatalogDefaultView]" value="Thumb2" <?=$settings["CatalogDefaultView"]=="Thumb2"?"checked":""?>></td>
						<td align="center"><input type="radio" id="r_display" name="form[CatalogDefaultView]" value="Display" <?=$settings["CatalogDefaultView"]=="Display"?"checked":""?>></td>
						<td align="center"><input type="radio" id="r_displaybox" name="form[CatalogDefaultView]" value="DisplayBox" <?=$settings["CatalogDefaultView"]=="DisplayBox"?"checked":""?>></td>
						<td align="center"><input type="radio" id="r_thumb3" name="form[CatalogDefaultView]" value="Thumb3" <?=$settings["CatalogDefaultView"]=="Thumb3"?"checked":""?>></td>
						<td align="center"><input type="radio" id="r_flexible" name="form[CatalogDefaultView]" value="Flexible" <?=$settings["CatalogDefaultView"]=="Flexible"?"checked":""?>></td>
					</tr>
				</table>
				
				<div class="admin-form-header"><span class="icon ic-icon ic-checkmark"></span>Catalog Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td class="formItemCaption">List Products By</td>
						<td class="formItemControl">
							<select name="form[CatalogDefaultSortOrder]">
								<option value="priority" <?php echo $settings["CatalogDefaultSortOrder"]=="priority"?"selected":"";?>>Best Match (priority)</option>
								<option value="date" <?php echo $settings["CatalogDefaultSortOrder"]=="date"?"selected":"";?>>Newest to System</option>
								<option value="name" <?php echo $settings["CatalogDefaultSortOrder"]=="name"?"selected":"";?>>Alphabetical</option>
								<option value="id" <?php echo $settings["CatalogDefaultSortOrder"]=="id"?"selected":"";?>>Product ID</option>
								<option value="price_desc" <?php echo $settings["CatalogDefaultSortOrder"]=="price_desc"?"selected":"";?>>Prices (Highest to Lowest)</option>
								<option value="price" <?php echo $settings["CatalogDefaultSortOrder"]=="price"?"selected":"";?>>Prices (Lowest to Highest)</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption required">Products per page</td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogItemsOnPage]" value="<?=$settings["CatalogItemsOnPage"]?>"/>
							<div class="formItemComment">
								If you are displaying thumbnail images, we strongly suggest not exceeding 30 products per page to keep the file size of the page low enough for your customers to easily view the page.  
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Pages number in navigation bar</b></td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogPagesInList]" value="<?=$settings["CatalogPagesInList"]?>"/>
							<div class="formItemComment">
								Number of Page Links will be listed in 
								Catalog Navigation Bar<br>(page breaks) This number should be greater than 0.
							</div>
						</td>
					</tr>
					<!--<tr valign="top">
						<td align="right" height="50" style="padding-top:10px;">Hide Catalog On Checkout Pages?</td>
						<td>&nbsp;</td>
						<td style="padding-top:7px;">
							<select name="form[CatalogHideOnCheckout]" style="width:80px;">
								<option value="YES" <?=$settings["CatalogHideOnCheckout"]=="YES"?"selected":""?>>Yes</option>
								<option value="NO" <?=$settings["CatalogHideOnCheckout"]=="NO"?"selected":""?>>No</option>
							</select>
							<div class="formHelp">
								Hide menu on cart, shipping and invoice page or show catalog 
							</div>
						</td>
					</tr>-->
					<tr valign="top">
						<td class="formItemCaption">Display subcategory products in primary category?</td>
						<td class="formItemControl">
							<select name="form[CatalogShowNested]" class="short">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["CatalogShowNested"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Display Products ID on catalog pages?</td>
						<td class="formItemControl">
							<select name="form[CatalogProductID]" class="short">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["CatalogProductID"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Display Sort drop-down?</td>
						<td class="formItemControl">
							<select name="form[CatalogDisplaySort]" class="short">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["CatalogDisplaySort"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Display View drop-down?</td>
						<td class="formItemControl">
							<select name="form[CatalogDisplayView]" class="short">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["CatalogDisplayView"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Display Items drop-down?</td>
						<td class="formItemControl">
							<select name="form[CatalogDisplayItems]" class="short">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["CatalogDisplayItems"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
				</table>
				
				<div class="admin-form-header"><span class="icon ic-icon ic-checkmark"></span>Price Ranges Filter</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Do you want to enable price ranges filter?</td>
						<td class="formItemControl">
							<select name="form[CatalogUsePriceRanges]" class="short">
								<option value="1">Yes</option>
								<option value="0" <?=$settings["CatalogUsePriceRanges"]=="0"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
<?php
	//$form["CatalogPriceRanges"] = base64_encode(serialize($price_ranges));

	$price_ranges = unserialize(base64_decode($settings["CatalogPriceRanges"]));
	for ($i=1; $i<=10; $i++)
	{
?>
					<tr valign="top">
						<td class="formItemCaption">Price Range <?=$i?></td>
						<td class="formItemControl">
							<input type="text" name="price_ranges[<?=$i?>][min]" class="short" value="<?=htmlspecialchars($price_ranges[$i]["min"])?>">
							<input type="text" name="price_ranges[<?=$i?>][max]" class="short" value="<?=htmlspecialchars($price_ranges[$i]["max"])?>">
						</td>
					</tr>
<?php
	}
?>
				</table>
			</div>
		</div>
		<div id="admin-tab-sheet-images" class="admin-tab-sheet hidden">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon ic-folder"></span>Category Images Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption"><b>Category image size</b></td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogCategoryImageSize]" value="<?=$settings["CatalogCategoryImageSize"]?>">
							<div class="formItemComment">
								Category image size, in pixels. Recommended value is between 50 and 150 pixels.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Category image type</td>
						<td class="formItemControl">
							<select class="short" name="form[CatalogCategoryImageType]">
								<option value="Square" <?=$settings["CatalogCategoryImageType"]=="Square"?"selected":""?>>Square</option>
								<option value="Proportionate" <?=$settings["CatalogCategoryImageType"]=="Proportionate"?"selected":""?>>Proportionate</option>
								<option value="Manual" <?=$settings["CatalogCategoryImageType"]=="Manual"?"selected":""?>>Manual upload</option>
							</select>
							<div class="formItemComment">
								Category image type.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Category image resize rule</td>
						<td class="formItemControl">
							<select name="form[CatalogCategoryImageResizeRule]">
								<option value="Resize" <?=$settings["CatalogCategoryImageResizeRule"]=="Resize"?"selected":""?>>Resize smaller images</option>
								<option value="Smart" <?=$settings["CatalogCategoryImageResizeRule"]=="Smart"?"selected":""?>>Fit image into correctly sized container</option>
								<option value="Keep" <?=$settings["CatalogCategoryImageResizeRule"]=="Keep"?"selected":""?>>Do not resize smaller images</option>
							</select>
							<div class="formItemComment">
								After resizing small images resulting image may become blurry.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Autogenerate category thumbnail image?</td>
						<td class="formItemControl">
							<select class="short" name="form[CatalogCategoryThumbAuto]">
								<option value="YES" <?=$settings["CatalogCategoryThumbAuto"]=='YES'?'selected="selected"':''?>>Yes</option>
								<option value="NO" <?=$settings["CatalogCategoryThumbAuto"]=='NO'?'selected="selected"':''?>>No</option>
							</select>
							<div class="formItemComment">
								If checked, category thumbnail image will be created from the category image that is uploaded.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Category thumbnail image size</b></td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogCategoryThumbSize]" value="<?=$settings["CatalogCategoryThumbSize"]?>">
							<div class="formItemComment">
								Category image thumbnail size, in pixels. Recommended value is between 50 and 150 pixels.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Category thumbnail image type</td>
						<td class="formItemControl">
							<select class="short" name="form[CatalogCategoryThumbType]">
								<option value="Square" <?=$settings["CatalogCategoryThumbType"]=="Square"?"selected":""?>>Square</option>
								<option value="Proportionate" <?=$settings["CatalogCategoryThumbType"]=="Proportionate"?"selected":""?>>Proportionate</option>
								<option value="Manual" <?=$settings["CatalogCategoryThumbType"]=="Manual"?"selected":""?>>Manual upload</option>
							</select>
							<div class="formItemComment">
								Category image thumbnail type.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Category thumbnail resize rule</td>
						<td class="formItemControl">
							<select name="form[CatalogCategoryThumbResizeRule]">
								<option value="Resize" <?=$settings["CatalogCategoryThumbResizeRule"]=="Resize"?"selected":""?>>Resize smaller images</option>
								<option value="Smart" <?=$settings["CatalogCategoryThumbResizeRule"]=="Smart"?"selected":""?>>Fit image into correctly sized container</option>
								<option value="Keep" <?=$settings["CatalogCategoryThumbResizeRule"]=="Keep"?"selected":""?>>Do not resize smaller images</option>
							</select>
							<div class="formItemComment">
								After resizing small images resulting image may become blurry.
							</div>
						</td>
					</tr>
				</table>
				
				<div class="admin-form-header"><span class="icon ic-icon ic-product"></span>Product Images Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
				        <td class="formItemCaption">Image Zooming for Main Image:</td>
				        <td class="formItemControl">
				        	<select name="form[ZoomOption]" class="short">
				                 <option value="none" <?=$settings["ZoomOption"]=="none"?"selected":""?>>None</option>
				                 <option value="zoom" <?=$settings["ZoomOption"]=="zoom"?"selected":""?>>Zoom</option>
				                 <option value="magnify" <?=$settings["ZoomOption"]=="magnify"?"selected":""?>>Magnify</option>
				                 <option value="magicthumb" <?=$settings["ZoomOption"]=="magicthumb"?"selected":""?>>Magic Thumb</option>
				                 <option value="imagelayover" <?=$settings["ZoomOption"]=="imagelayover"?"selected":""?>>Image Layover</option>
				            </select>
				        </td>
				    </tr>
				    <tr valign="top">
				        <td class="formItemCaption">Image Zooming for Secondary Images:</td>
				        <td class="formItemControl">
				        	<select name="form[ZoomOptionSecondary]" class="short">
				                 <option value="none" <?=$settings["ZoomOptionSecondary"]=="none"?"selected":""?>>None</option>
				                <!-- <option value="zoom" <?=$settings["ZoomOptionSecondary"]=="zoom"?"selected":""?>>Zoom</option>
				                 <option value="magnify" <?=$settings["ZoomOptionSecondary"]=="magnify"?"selected":""?>>Magnify</option>-->
				                 <option value="magicthumb" <?=$settings["ZoomOptionSecondary"]=="magicthumb"?"selected":""?>>Magic Thumb</option>
				                 <option value="imagelayover" <?=$settings["ZoomOptionSecondary"]=="imagelayover"?"selected":""?>>Image Layover</option>
				            </select>
				        </td>
				    </tr>
					<tr valign="top">
						<td class="formItemCaption required">Product image thumbnail size</td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogThumbSize]" value="<?=$settings["CatalogThumbSize"]?>">
							<div class="formItemComment">
								Catalog image thumbnail size, in pixels. Recommended value is between 50 and 150 pixels.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Product secondary image thumbnail size</b></td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogSecondaryThumbSize]" value="<?=$settings["CatalogSecondaryThumbSize"]?>">
							<div class="formItemComment">
								Catalog image thumbnail size, in pixels. Recommended value is between 50 and 150 pixels.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Product thumbnail image type</td>
						<td class="formItemControl">
							<select class="short" name="form[CatalogThumbType]">
								<option value="Square" <?=$settings["CatalogThumbType"]=="Square"?"selected":""?>>Square</option>
								<option value="Proportionate" <?=$settings["CatalogThumbType"]=="Proportionate"?"selected":""?>>Proportionate</option>
								<option value="Manual" <?=$settings["CatalogThumbType"]=="Manual"?"selected":""?>>Manual upload</option>
							</select>
							<div class="formItemComment">
								Products image thumbnail type.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Product thumbnail resize rule</td>
						<td class="formItemControl">
							<select name="form[CatalogThumbResizeRule]">
								<option value="Resize" <?=$settings["CatalogThumbResizeRule"]=="Resize"?"selected":""?>>Resize smaller images</option>
								<option value="Smart" <?=$settings["CatalogThumbResizeRule"]=="Smart"?"selected":""?>>Fit image into correctly sized container</option>
								<option value="Keep" <?=$settings["CatalogThumbResizeRule"]=="Keep"?"selected":""?>>Do not resize smaller images</option>
							</select>
							<div class="formItemComment">
								After resizing small images resulting image may become blurry.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption required">Image on product page size</td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogThumb2Size]" value="<?=$settings["CatalogThumb2Size"]?>">
							<div class="formItemComment">
								Products image thumbnail size, in pixels. Recommended value<br>is between 200 and 400 pixels.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Product page image type</td>
						<td class="formItemControl">
							<select class="short" name="form[CatalogThumb2Type]">
								<option value="Square" <?=$settings["CatalogThumb2Type"]=="Square"?"selected":""?>>Square</option>
								<option value="Proportionate" <?=$settings["CatalogThumb2Type"]=="Proportionate"?"selected":""?>>Proportionate</option>
								<option value="Manual" <?=$settings["CatalogThumb2Type"]=="Manual"?"selected":""?>>Manual Upload</option>
							</select>
							<div class="formItemComment">
								Type of image preview on product page 
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Product page image resize rule</td>
						<td class="formItemControl">
							<select name="form[CatalogThumb2ResizeRule]">
								<option value="Resize" <?=$settings["CatalogThumb2ResizeRule"]=="Resize"?"selected":""?>>Resize smaller images</option>
								<option value="Smart" <?=$settings["CatalogThumb2ResizeRule"]=="Smart"?"selected":""?>>Fit image into correctly sized container</option>
								<option value="Keep" <?=$settings["CatalogThumb2ResizeRule"]=="Keep"?"selected":""?>>Do not resize smaller images</option>
							</select>
							<div class="formItemComment">
								After resizing small images resulting image may become blurry.
							</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">&nbsp;</td>
						<td class="formItemControl">
							If you make a change to image sizes, you will need to regenerate thumbnails using the 
							<a href="admin.php?p=thumbs_generator">Thumbnail Generator</a>. 
							Please click button<br/> below to regenerate thumbnail images with new settings.<br /><br />
							<a href="admin.php?p=thumbs_generator"><b>Generate Thumbnails</b></a>
						</td>
					</tr>
				</table>
				
				<div class="admin-form-header"><span class="icon ic-icon ic-factory"></span>Manufacturer Page Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Display on catalog page?</td>
						<td class="formItemControl">
							<select class="short" name="form[CatalogManufacturerImageDisplay]">
								<option value="YES" <?=$settings["CatalogManufacturerImageDisplay"]=='YES'?'selected="selected"':''?>>Yes</option>
								<option value="NO" <?=$settings["CatalogManufacturerImageDisplay"]=='NO'?'selected="selected"':''?>>No</option>
							</select>
							<div class="formItemComment">
								If set to Yes, manufacturer image will be displayed on the catalog page.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Manufacturer image size</b></td>
						<td class="formItemControl">
							<input class="short" type="text" name="form[CatalogManufacturerImageSize]" value="<?=$settings["CatalogManufacturerImageSize"]?>">
							<div class="formItemComment">
								Manufacturer image size, in pixels. Recommended value is between 50 and 150 pixels.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Manufacturer image type</td>
						<td class="formItemControl">
							<select class="short" name="form[CatalogManufacturerImageType]">
								<option value="Square" <?=$settings["CatalogManufacturerImageType"]=="Square"?"selected":""?>>Square</option>
								<option value="Proportionate" <?=$settings["CatalogManufacturerImageType"]=="Proportionate"?"selected":""?>>Proportionate</option>
								<option value="Manual" <?=$settings["CatalogManufacturerImageType"]=="Manual"?"selected":""?>>Manual upload</option>
							</select>
							<div class="formItemComment">
								Manufacturer image type.
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Manufacturer image resize rule</td>
						<td class="formItemControl">
							<select name="form[CatalogManufacturerImageResizeRule]">
								<option value="Resize" <?=$settings["CatalogManufacturerImageResizeRule"]=="Resize"?"selected":""?>>Resize smaller images</option>
								<option value="Smart" <?=$settings["CatalogManufacturerImageResizeRule"]=="Smart"?"selected":""?>>Fit image into correctly sized container</option>
								<option value="Keep" <?=$settings["CatalogManufacturerImageResizeRule"]=="Keep"?"selected":""?>>Do not resize smaller images</option>
							</select>
							<div class="formItemComment">
								After resizing small images resulting image may become blurry.
							</div>
						</td>
					</tr>
				</table>
			</div>
		</div>
		<div id="admin-tab-sheet-product" class="admin-tab-sheet hidden">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon ic-product"></span>Product Page Style</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td width="20%" align="center">
							<img src="images/admin/product_style1.gif" border="1" vspace="4">
						</td>
						<td width="20%" align="center">
							<img src="images/admin/product_style2.gif" border="1" vspace="4">
						</td>
						<td width="20%" align="center">
							<img src="images/admin/product_style3.gif" border="1" vspace="4">
						</td>
						<td width="20%" align="center">
							<img src="images/admin/product_style4.gif" border="1" vspace="4">
						</td>
						<td width="20%" align="center">
							<img src="images/admin/product_style4.gif" border="1" vspace="4">
						</td>
					</tr>
					<tr>
						<td align="center">
							<input id="pst1" type="radio" name="form[CatalogProductPage]" value="Style1" <?=$settings["CatalogProductPage"]=="Style1"?"checked":""?>> 
							<label for="pst1">Style 1</label>
						</td>
						<td align="center">
							<input id="pst2" type="radio" name="form[CatalogProductPage]" value="Style2" <?=$settings["CatalogProductPage"]=="Style2"?"checked":""?>>
							<label for="pst2">Style 2</label>
						</td>
						<td align="center">
							<input id="pst3" type="radio" name="form[CatalogProductPage]" value="Style3" <?=$settings["CatalogProductPage"]=="Style3"?"checked":""?>>
							<label for="pst3">Style 3</label>
						</td>
						<td align="center">
							<input id="pst4" type="radio" name="form[CatalogProductPage]" value="Style4" <?=$settings["CatalogProductPage"]=="Style4"?"checked":""?>>
							<label for="pst4">Style 4</label>
						</td>
						<td align="center">
							<input id="pst5" type="radio" name="form[CatalogProductPage]" value="Style5" <?=$settings["CatalogProductPage"]=="Style5"?"checked":""?>>
							<label for="pst5">Style 5</label>
						</td>
					</tr>
				</table>
				
				<div class="admin-form-header"><span class="icon ic-icon ic-product"></span>Product Page Settings</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption">Recommended Product View</td>
						<td class="formItemControl">
							<select name="form[RecommendedProductsView]">
								<option value="text" <?=$settings["RecommendedProductsView"]=="text"?"selected":""?>>Text View</option>
								<option value="thumb1" <?=$settings["RecommendedProductsView"]=="thumb1"?"selected":""?>>Thumbnail-Single Column</option>
								<option value="thumb2" <?=$settings["RecommendedProductsView"]=="thumb2"?"selected":""?>>Thumbnail-Double Column</option>
								<option value="display" <?=$settings["RecommendedProductsView"]=="display"?"selected":""?>>Two Column View</option>
								<option value="displaybox" <?=$settings["RecommendedProductsView"]=="displaybox"?"selected":""?>>Two Column Box View</option>
								<option value="thumb3" <?=$settings["RecommendedProductsView"]=="thumb3"?"selected":""?>>Thumbnail-Three Column</option>
								<option value="flexible" <?=$settings["RecommendedProductsView"]=="flexible"?"selected":""?>>Flexible</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Recommended Products on Product Page</td>
						<td class="formItemControl">
							<select name="form[RecommendedProductsCount]" class="short">
<?php
	for ($i=0; $i<=24; $i++)
	{
?>
								<option value="<?=$i?>" <?=$settings["RecommendedProductsCount"]==$i?"selected":""?>><?=$i?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Sibling Product View</td>
						<td class="formItemControl">
							<select name="form[SiblingProductsView]">
								<option value="text" <?=$settings["SiblingProductsView"]=="text"?"selected":""?>>Text View</option>
								<option value="thumb1" <?=$settings["SiblingProductsView"]=="thumb1"?"selected":""?>>Thumbnail-Single Column</option>
								<option value="thumb2" <?=$settings["SiblingProductsView"]=="thumb2"?"selected":""?>>Thumbnail-Double Column</option>
								<option value="display" <?=$settings["SiblingProductsView"]=="display"?"selected":""?>>Two Column View</option>
								<option value="displaybox" <?=$settings["SiblingProductsView"]=="displaybox"?"selected":""?>>Two Column Box View</option>
								<option value="thumb3" <?=$settings["SiblingProductsView"]=="thumb3"?"selected":""?>>Thumbnail-Three Column</option>
								<option value="flexible" <?=$settings["SiblingProductsView"]=="flexible"?"selected":""?>>Flexible</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Sibling Products on Product Page</td>
						<td class="formItemControl">
							<select name="form[SiblingProductsCount]" class="short">
<?php
	for ($i=0; $i<=24; $i++)
	{
?>
								<option value="<?=$i?>" <?=$settings["SiblingProductsCount"]==$i?"selected":""?>><?=$i?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Send Email to a Friend As</td>
						<td class="formItemControl">
							<select name="form[CatalogEmailToFriend]" class="short">
								<option value="HTML">HTML</option>
								<option value="Text" <?=$settings["CatalogEmailToFriend"]=="Text"?"selected":""?>>Text</option>
								<option value="Disabled" <?=$settings["CatalogEmailToFriend"]=="Disabled"?"selected":""?>>Feature Disabled</option>
							</select>
						</td>
					</tr>
				    <tr valign="top">
				        <td class="formItemCaption">Page bottom view:</td>
				        <td class="formItemControl">
				        	<select name="form[CatalogProductPageBottom]" class="short">
				                 <option value="Flat" <?=$settings["CatalogProductPageBottom"]=="Flat"?"selected":""?>>Flat</option>
				                 <option value="Tabs" <?=$settings["CatalogProductPageBottom"]=="Tabs"?"selected":""?>>Tabs</option>
				            </select>
				        </td>
				    </tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="hidden" name="do_apply" value="no">
		<input type="submit" value="Save changes"/>
		<input type="reset" value="Reset form"/>
	</div>
</form>
