<?php
	if (!defined("ENV")) exit();
	pageHeader("Site Layout", "", "ic_layout.gif");
	loadJS("cd_box.js");
	
	$boxes = array(
		"LayoutMyCartBox"=>"My Cart",
		"LayoutBestSellers"=>"Bestsellers",
		"LayoutSearchBox"=>"Search",
		"LayoutSubscribeBox"=>"Subscribe",
		"LayoutRecentItems"=>"Recent Items",
		"LayoutManufacturers"=>"Manufacturers"
	);
	
	
	$action = isset($action)?trim($action):"";
	if($action == "update_settings"){
		$form = isset($form)?$form:array();
		reset($form);
		foreach($form as $name=>$value){
			if(!DEMO_LOCK){
				$db->reset();
				$db->assignStr("value", $value);
				$db->update(DB_PREFIX."settings", "WHERE name='".$name."'");
			}
			$settings[$name] = $value;
		}
	}
	echo "&nbsp;";
	pageTabs(array(
		array("title"=>"Change Site Layout", "id"=>"Main", "active"=>true, "width"=>140),
	));
?>
<form name="frmLayout" action="admin.php?p=design_layout" method="post">
	<input type="hidden" name="action" value="update_settings">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
				<div class="formHeaderText">Top Bar Settings</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Is Top Bar Visible?</td>
			<td class="formItemControl">
				<select name="form[LayoutTopBarVisible]" style="width:123px;">
					<option value="YES">Yes</option>
					<option value="NO" <?=$settings["LayoutTopBarVisible"]=="NO"?"selected":""?>>No</option>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Top Bar Height (pixels)</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="form[LayoutTopBarHeight]" value="<?=htmlspecialchars($settings["LayoutTopBarHeight"])?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Checkout Controls Location</td>
			<td class="formItemControl">
				<select name="form[LayoutCheckoutPlace]" style="width:123px;">
					<option value="TopBar">Top Bar</option>
					<option value="OverTopBar" <?=$settings["LayoutCheckoutPlace"]=="OverTopBar"?"selected":""?>>Over Top Bar</option>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<td colspan="2" class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
				<div class="formHeaderText">Box Settings</div>
			</td>
		</tr>
		<tr valign="bottom">
			<td class="formItemCaption">Boxes width (Pixels)</td>
			<td class="formItemControl">
				<input type="text" style="width:123px;" name="form[LayoutBoxWidth]" value="<?=$settings["LayoutBoxWidth"]?>">
			</td>
		</tr>
		<tr valign="bottom">
			<td class="formItemCaption">Boxes Header Text Align</td>
			<td class="formItemControl">
				<select name="form[LayoutBoxHeaderLayout]" style="width:123px;">
					<option value="center">Center</option>
					<option value="left" <?=$settings["LayoutBoxHeaderLayout"]=="left"?"selected":""?>>Left</option>
					<option value="right" <?=$settings["LayoutBoxHeaderLayout"]=="right"?"selected":""?>>Right</option>
				</select>
			</td>
		</tr>
	</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
	<input type="image" onClick="frmSettings.reset();return false;" src="images/admin/bt_reset_form.gif">
</div>
</form>
