<?php
	if (!defined("ENV")) exit();
?>
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
			<div class="formHeaderText">Pricing Options</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Pricing options</td>
		<td class="formItemControl">
			<select id="dobaPriceOption" name="data[doba_price_option]" style="width:150px;">
				<option value="item_price"<?=$settings["doba_price_option"] == "item_price" ? ' selected="selected"' : ''?>>Use item price</option>
				<option value="item_price_inc"<?=$settings["doba_price_option"] == "item_price_inc" ? ' selected="selected"' : ''?>>Increase item price by %</option>
				<option value="item_price_dec"<?=$settings["doba_price_option"] == "item_price_dec" ? ' selected="selected"' : ''?>>Decrease item price by %</option>
				<option value="msrp_price"<?=$settings["doba_price_option"] == "msrp_price" ? ' selected="selected"' : ''?>>Use MSRP</option>
				<option value="msrp_price_inc"<?=$settings["doba_price_option"] == "msrp_price_inc" ? ' selected="selected"' : ''?>>Increase MSRP by %</option>
				<option value="msrp_price_dec"<?=$settings["doba_price_option"] == "msrp_price_dec" ? ' selected="selected"' : ''?>>Decrease MSRP by %</option>
			</select>
			<input id="dobaPriceModifier" style="width:70px;" type="text" name="data[doba_price_modifier]" value="<?=number_format($settings["doba_price_modifier"], 2, ".", "");?>"/>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">End price with .99</td>
		<td class="formItemControl">
			<select id="dobaPriceOption99" name="data[doba_price_option99]" style="width:70px;">
				<option value="Yes"<?=$settings["doba_price_option99"] == "Yes" ? ' selected="selected"' : ''?>>Yes</option>
				<option value="No"<?=$settings["doba_price_option99"] == "No" ? ' selected="selected"' : ''?>>No</option>
			</select>
			<div class="formItemComment">Prices will be increased to end with .99</div>
		</td>
	</tr>
</table>
<div class="admin-form-buttons">
	<input type="button" id="buttonSavePriceSettings" value="Save Price Settings"/>
	<!-- <input type="button" id="buttonSetPrices" value="Set Prices"/>  -->
</div>
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
			<div class="formHeaderText">Import Options</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Do not add to catalog if stock lower than</div>
		<td class="formItemControl">
			<input id="dobaMinStock" style="width:70px;" type="text" name="data[doba_min_stock]" value="<?=number_format($settings["doba_min_stock"], 0, ".", "");?>"/>
			<div class="formItemComment">Set to 0 (zero) to add all items</div>
		</td>
	</tr>
</table>

<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_search.gif"/></div>
			<div class="formHeaderText">Doba Watchlists</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemControl" colspan="2">
			<table id="dobaWatchlistsPrototype" style="display:none;">
				<thead>
					<tr class="watchlistsHeader">
						<th>&nbsp;</th>
						<th>&nbsp;</th>
						<th colspan="6">Watchlist Title</th>
						<th>Items Count</th>
					</tr>
				</thead>
				<tbody>
					<tr class="watchlistLoader">
						<td class="colLoader" colspan="9">Loading data, please wait...</td>
					</tr>
					<tr class="watchlist">
						<td class="colCheckbox"><input type="checkbox"/></td>
						<td class="colShowProducts"><div class="showProducts"></div></td>
						<td class="colName" colspan="3"><label>&nbsp;</label></td>
						<td class="colProgress" colspan="3">&nbsp;</td>
						<td class="colItemCount">&nbsp;</td>
					</tr>
					<tr class="watchlistProductsHeader">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td>Product Name</td>
						<td>Price</td>
						<td>MSRP</td>
						<td>Drop Fee</td>
						<td>Shipping</td>
						<td>Sale Price</td>
						<td>Stock</td>
					</tr>
					<tr class="watchlistProduct">
						<td class="colProdCheckbox">&nbsp;<input type="hidden" value=""/></td>
						<td class="colProdInfo"><img src="images/icons/ic_doba.gif" alt="View Details"/></td>
						<td class="colProdName">&nbsp;</td>
						<td class="colProdPrice"><input type="hidden"/><div>&nbsp;</div></td>
						<td class="colProdMSRP"><input type="hidden"/><div>&nbsp;</div></td>
						<td class="colProdDropFee"><div>&nbsp;</div></td>
						<td class="colProdShippingCost"><div>&nbsp;</div></td>
						<td class="colProdSalePrice"><input type="text"/></td>
						<td class="colProdStock">&nbsp;</td>
					</tr>
					<tr class="watchlistPaginator">
						<td class="colPaginator" colspan="9"></td>
					</tr>
				</tbody>
			</table>
			<div style="display:none;"><div id="dobaProductDetailOuter"><div id="dobaProductDetail"></div></div></div>
			<div id="dobaWatchlists" class="dobaList"></div>
		</td>
	</tr>
</table>
<div class="admin-form-buttons">
	<input type="button" id="buttonUpdateProducts" value="Update Products">
</div>