<?php
	if (!defined("ENV")) exit();
	loadJS("cd_email.js");
	pageHeader("Emails Archive", "", "icb-envelope2-clock");
	pageNote(array(
		array("class"=>"ic-wizard", "text"=>"<b>Newsletter Email Wizard</b>", "url"=>"admin.php?p=email_newsletter", "visible"=>true),
		array("class"=>"ic-wizard", "text"=>"<b>Product Update Email Wizard</b>", "url"=>"admin.php?p=email_updates", "visible"=>true),
		array("class"=>"ic-pencil", "text"=>"Edit default emails Top and Bottom", "url"=>"admin.php?p=email_top_bottom", "visible"=>true)
	));

	$db->query("SELECT *, DATE_FORMAT(sent_at, '".$settings["LocalizationDateTimeFormat"]."') AS sent_at FROM ".DB_PREFIX."emails_archive WHERE sent='Yes' ORDER BY eid DESC");
	
	if ($db->numRows() > 0)
	{
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="admin-list-table">
	<thead>
		<tr>
			<th class="icon"></th>
			<th>Type / Subject</th>
			<th style="width:200px;">Sent At</th>
			<th style="width:100px;"></th>
		</tr>
	</thead>
	<tbody>
<?php
		while ($db->moveNext())
		{
?>
		<tr>
			<td class="icon"><img src="images/icons/a/envelope.png"></td>
			<td>
				<a href="admin.php?p=email_archive_preview&eid=<?=$db->col["eid"]?>"><?=$db->col["type"]=="updates"?"Product Updates":"Newsletter"?> - <?=htmlspecialchars($db->col["subject"])?></a>
			</td>
			<td><?=$db->col["sent_at"]?></td>
			<td class="text-align-right">
				<a href="admin.php?p=email_archive_preview&eid=<?=$db->col["eid"]?>"><img src="images/icons/a/preview.png" border="0" title="Preview Email"></a>
				<a href="javascript:ConfirmDeleteEmail(<?=$db->col["eid"]?>, '<?=$db->col["type"]?>')"><img src="images/icons/a/delete.png" border="0" title="Remove Email From Archive"></a>
			</td>
		</tr>
<?php
		}
?>
	</tbody>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"There are not any email messages.")
		));
	}
