<?php
	if (!defined("ENV")) exit();
	$mode = isset($mode)?trim($mode):"select";
	$eid = isset($eid)?$eid*1:"0";
	switch($mode)
	{
		case "select" : 
		{
			if (!DEMO_LOCK)
			{
				$db->query("SELECT * FROM ".DB_PREFIX."emails WHERE eid='".$eid."'");
				if ($db->moveNext())
				{
					$eid = $db->col["eid"];
					$email = $db->col["email"];
					$email_mode = $db->col["email_mode"];
					$newsletters = $db->col["newsletters"];					
					$updates = $db->col["updates"];
					break;
				}
			}
		}
		default :
		case "update" : 
		{
			$mode = 'update';
			if (!DEMO_LOCK)
			{
				$db->query("
					UPDATE ".DB_PREFIX."emails 
					SET email = '".$email."', email_mode = '".$email_mode."', newsletters = '".$scr_news."', updates = '".$scr_prod."'
					WHERE eid='".$eid."'
				");
				$newsletters = $scr_news;
				$updates = $scr_prod;
			}
			break;
		}
	}
	loadJS("email_list.js");
	pageHeader("Edit Subscriber's Email", $mode, "icb-envelope2-right");
	
	pageNote(
		array(
			array("class"=>"ic-trash-can","url"=>"javascript:ConfirmDeleteEmail(".$eid.")","text"=>"Remove this e-mail from subscribers list", "visible"=>true),
			array("class"=>"ic-preview","url"=>"admin.php?p=email_list","text"=>"Browse Subscriber Emails", "visible"=>true)
		)
	);
?>
<form name="frmEmail" action="admin.php?p=email_edit" method="post" onsubmit="return checkEmailForm(this)">
	<input type="hidden" name="eid" value="<?=$eid?>">
	<input type="hidden" name="mode" value="update">
	<div class="admin-tabs admin-tabs-framed" id="tabs-email">
<?php 
	pageTabs(array(
		array("title"=>"Email Properties", "id"=>"main"),
	), "tabs-email", false);	
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>Basic Information</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption required">Subscriber Email Address</td>
						<td class="formItemControl"><input type="text" name="email" maxlength="200" value="<?=htmlspecialchars($email)?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Email Mode</td>
						<td class="formItemControl">
							<select name="email_mode" class="short">
								<option value="html">HTML</option>
								<option value="text" <?=$email_mode=="text"?"selected":""?>>Text</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Subscribe to newsletter mailist </td>
						<td class="formItemControl">
							<select name="scr_news" class="short">
								<option value="Yes" <?=$newsletters=="Yes"?"selected":""?>>Yes</option>
								<option value="No" <?=$newsletters=="No"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Subscribe to products updates mailist</td>
						<td class="formItemControl">
							<select name="scr_prod" class="short">
								<option value="Yes" <?=$updates=="Yes"?"selected":""?>>Yes</option>
								<option value="No" <?=$updates=="No"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes" default="default"/>
		<input type="reset" value="Reset form"/>
	</div>

</form>