<?php
	if (!defined("ENV")) exit();
	loadJS("email_list.js");
	pageHeader("Manage Subscriber Email Addresses", "", "ic_email.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"<b>Please enter in your search criteria.</b><br>You need to enter at least one search criteria for search to be effective
		<br> Please use \"Search by email\" option to get search result from registered user's database.", "url"=>"", "visible"=>true),
	));
	
	$action = isset($_GET["action"])?trim($_GET["action"]):"";
	$search_where = isset($_GET["search_where"])?trim($_GET["search_where"]):"";
	$search_by = isset($_GET["search_by"])?trim($_GET["search_by"]):"date";
	$fromdate = isset($fromdate)?trim($fromdate):"";
	$email = isset($email)?trim($email):"";
	$todate = isset($todate)?trim($todate):"";
	
	$date_select = isset($date_select)?trim($date_select):"";
	$email_select = isset($email_select)?trim($email_select):"";
	
	// Setting date
	$from_y = isset($from_y)?$from_y:date("Y");
	$from_m = isset($from_m)?$from_m:date("n");
	$from_d = isset($from_d)?$from_d:1;
	$to_y = isset($to_y)?$to_y:date("Y");	
	$to_m = isset($to_m)?$to_m:date("n");
	$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	
	// Select MailList Base
	$mlist = isset($mlist)?$mlist:"news";
	//switch($search_where) {
	switch ($mlist)
	{
		default :
    	case "all" : { $query_params = "(updates = 'Yes' OR newsletters = 'Yes')"; break; }
	    case "news" : { $query_params = "(newsletters = 'Yes')"; break; }
	    case "update" : { $query_params = "(updates = 'Yes')"; break; }
		case "empty" : { $query_params = "(updates = 'No' OR newsletters = 'No')"; break; }
	}	

	// Select Search criteria (by date, by e-mail, or date + e-mail)
	if ($search_by == "date")
	{
		// Setting search limits by date
		$mysql_from =  $from_y."-".$from_m."-".$from_d;
		$mysql_to =  $to_y."-".$to_m."-".$to_d;
		$query_params .=  " AND added >= '".($mysql_from)." 00:00:01' AND added <= '".($mysql_to)." 23:59:59'";
	}
	
	// Setting search  by e-mail
	if ($search_by == "email") 
	{
  		$query_params .=  " AND email LIKE '%".$email."%'";  		
	}
	
?>
<script type="text/javascript">
	function submitForm(search_by){
		document.forms["frmFilter"].elements["search_by"].value = search_by;
	}
</script>

<div class="searchFormTitle">Search Subscribers Base</div>
<form action="admin.php?p=email_list" method="get" name="frmFilter">
	<input type="hidden" name="p" value="email_list">
	<input type="hidden" name="action" value="search">
	<input type="hidden" name="email_select" value="on">
	<input type="hidden" name="mlist" value="news">
<div class="searchFormBody">
	<div class="searchFormLine">
		<div class="searchFormItem" style="height:110px; border-right: 1px solid #cccccc; margin-right: 30px;">
			<b>Search by date:</b><br/>
			From:<br>
			<select name="from_m">
				<?php for($i=1; $i<=12; $i++){?><option value="<?=$i?>" <?=$i == $from_m?"selected":""?>><?=$months[$i]?></option><?}?>
			</select>
			<select name="from_d">
				<?php for($i=1; $i<=31; $i++){?><option value="<?=$i?>" <?=$i == $from_d?"selected":""?>><?=$i?></option><?}?>
			</select>
			<select name="from_y">
				<?php for($i=2004; $i<=date("Y")+10; $i++){?><option value="<?=$i?>" <?=$i == $from_y?"selected":""?>><?=$i?></option><?}?>
			</select>
			<br/>
			To:
			<br/>
			<select name="to_m">
				<? for($i=1; $i<=12; $i++){?><option value="<?=$i?>" <?=$i == $to_m?"selected":""?>><?=$months[$i]?></option><?}?>
			</select>
			<select name="to_d">
				<? for($i=1; $i<=31; $i++){?><option value="<?=$i?>" <?=$i == $to_d?"selected":""?>><?=$i?></option><?}?>
			</select>
			<select name="to_y">
				<? for($i=2004; $i<=date("Y")+10; $i++){?><option value="<?=$i?>" <?=$i == $to_y?"selected":""?>><?=$i?></option><?}?>
			</select>
            <br /><br />
            <input type="button" value="Search users" onClick="submitForm('date')">
		</div>
		<div class="searchFormItem" style="height:90px;">
			<b>Search by email:</b><br/>
			Email Address:<br/>
			<input type="text" name="email" style="width:180px;" value="<?=htmlspecialchars($email)?>"/>
            <br /><br /><input type="button" value="Search users" onClick="submitForm('email')">
		</div>
	</div>	
	<input type="hidden" name="search_by" value="date">
</div>
</form>


<?php
	if ($action == "search")
	{
		$db->query("
			SELECT eid, date_format(added,'%m-%d-%Y %H:%i') as added, email, newsletters, updates  
			FROM ".DB_PREFIX."emails WHERE ".$query_params."
			ORDER BY ".($search_by == "email"?"email":"added")."
		");
?>
<br/>&nbsp;<br/>
<div class="listHeader" style="clear:both;">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption" style="width:280px;">Email Address</div>
	<div class="listHeaderCaption" style="width:180px;">Added At</div>
</div>
<form name="frmEmails" id="frmEmails" action="admin.php?p=email_process" method="post">
	<input type="hidden" name="mode" value="globaldelete"/>
<?php
		if ($db->numRows()>0)
		{
			while ($db->moveNext())
			{
?>
	<div class="listItem">
		<div class="listItemIcon">
			<input type="checkbox" class="checkbox-email" name="emails[<?=$db->col["eid"]?>]" value="<?=$db->col["eid"]?>">
		</div>	
		<div class="listItemText" style="width:280px;"><a href="mailto:<?=($db->col["email"])?>"><?=htmlspecialchars(substr($db->col["email"], 0, 50))?><?=strlen($db->col["email"])>50?"...":""?></a></div>
		<div class="listItemText" style="width:180px;"><?=htmlspecialchars($db->col["added"])?></div>
		<div class="listItemButtons">
			<a href="admin.php?p=email_edit&mode=select&eid=<?=$db->col["eid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Edit email"></a>
			<a href="javascript:ConfirmDeleteEmail(<?=$db->col["eid"]?>)"><img src="images/icons/ic_delete.gif" title="Delete email from subscribers list" border="0"></a>&nbsp;
		</div>
	</div>
<?php
			}
?>		

<div class="listFooter">
	<div class="listFooterCaption">
		<a href="javascript:checkBoxes(true)">check all</a> | 
		<a href="javascript:checkBoxes(false)">uncheck all</a>
	</div>
</div>
<div class="listButtons">
	<input type="submit" value="Delete cheked"/>
</div>
</form>

<?php
		}
		else
		{
?>
<div class="listEmpty">
	No Results Were Found. Please Check Search Criteria.<br/>&nbsp;<br/>
</div>
<?
		}
 		if ($search_by != "date")
 		{	
			$db->query("
				SELECT uid, fname, lname, email, newsletters, updates, company  
				FROM ".DB_PREFIX."users WHERE ".$query_params." AND login <> 'ExpressCheckoutUser' 
				ORDER BY ".($search_by == "email"?"email":"fname")."
			");	
?>
<div style="clear:both">
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption" style="width:180px;">User First &amp; Last Name</div>
	<div class="listHeaderCaption" style="width:180px;">Company</div>
	<div class="listHeaderCaption" style="width:180px;">Email Address</div>
</div>
<?php		if ($db->numRows()>0)
			{
				while ($db->moveNext())
				{
?>
			
	<div class="listItem">
		<div class="listItemIcon">&nbsp;</div>	
		<div class="listItemText" style="width:180px;"><?=htmlspecialchars($db->col["fname"])." ".htmlspecialchars($db->col["lname"])?></a></div>
		<div class="listItemText" style="width:180px;"><?=htmlspecialchars($db->col["company"])?>&nbsp;</div>
		<div class="listItemText" style="width:180px;"><a href="mailto:<?=($db->col["email"])?>"><?=htmlspecialchars(substr($db->col["email"], 0, 25))?><?=strlen($db->col["email"])>25?"...":""?></a></div>
		<div class="listItemButtons">
<?php
					if (in_array("orders", $auth_rights) || in_array("all", $auth_rights))
					{
?>		
			<a href="admin.php?p=orders&uid=<?=$db->col["uid"]?>"><img src="images/icons/ic_orders.gif" title="Show User's Orders" border="0"></a>
<?php
					}
?>	
		</div>
	</div>

<?				}
			}
			else
			{
?>
<div class="listEmpty">
	No Results Were Found. Please Check Search Criteria.
</div>
<?php
			}
?>
</div>
<?php
		}
	} 
?>