<?php
	if (!defined("ENV")) exit();
	$from_y = isset($from_y)?$from_y:date("Y");
	$from_m = isset($from_m)?$from_m:date("n");
	$from_d = isset($from_d)?$from_d:1;
	$to_y = isset($to_y)?$to_y:date("Y");
	$to_m = isset($to_m)?$to_m:date("n");
	$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	pageHeader("Export to QuickBooks", "", "ic_quickbooks.gif");
	loadJS("cf_quickbooks.js");
?>
<img src="images/admin/quickbooks.gif" hspace="10" vspace="10" align="right">
<?php 
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"This page allows you to create an IIF file that can be imported into QuickBooks.", "url"=>"", "visible"=>true)
	));
?>
<form action="admin.php?p=export_quickbooks_process&chart=true" method="post" targe="_blank" onSubmit="return checkQuickBooksForm(this)">
	<div class="admin-tabs admin-tabs-framed" id="tabs-qb">
<?php
	pageTabs(array(
		array("title"=>"Quick Books", "id"=>"main"),
	), "tabs-qb", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header">Select Orders Range</div>
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td class="formItemCaption">Start Date (From)</td>
						<td class="formItemControl">
							<select name="from_m">
<?php
		for ($i=1; $i<=12; $i++)
		{
?>
								<option value="<?=$i?>" <?=$i == $from_m?"selected":""?>><?=$months[$i]?></option>
<?php
		}
	?>						</select>
							<select name="from_d">
<?php
		for ($i=1; $i<=31; $i++)
		{
?>
								<option value="<?=$i?>" <?=$i == $from_d?"selected":""?>><?=$i?></option>
<?php
		}
?>
							</select>
							<select name="from_y">
<?php
		for ($i=2003; $i<=date("Y")+10; $i++)
		{
?>
								<option value="<?=$i?>" <?=$i == $from_y?"selected":""?>><?=$i?></option>
<?php
		}
?>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Finish Date (To)</td>
						<td class="formItemControl">
							<select name="to_m">
<?php
		for ($i=1; $i<=12; $i++)
		{
?>
								<option value="<?=$i?>" <?=$i == $to_m?"selected":""?>><?=$months[$i]?></option>
<?php
		}
?>				
							</select>
							<select name="to_d">
<?php
		for ($i=1; $i<=31; $i++)
		{
?>
								<option value="<?=$i?>" <?=$i == $to_d?"selected":""?>><?=$i?></option>
<?php
		}
?>
							</select>
							<select name="to_y">
<?php
		for ($i=2003; $i<=date("Y")+10; $i++)
		{
?>
								<option value="<?=$i?>" <?=$i == $to_y?"selected":""?>><?=$i?></option>
<?php
		}
?>
							</select>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Export data"/>
				</div>
			</div>
		</div>
	</div>
</form>