<?php
	if (!defined("ENV")) exit();
	$action = isset($action)?$action:"";
	
	if (!DEMO_LOCK)
	{
		switch ($action)
		{
			case "update_standard_fields" : 
			{
				foreach ($form as $s_name=>$s_value)
				{
					$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($s_value)."' WHERE name='".$s_name."'");
					$settings[$s_name] = $s_value;
				}
				break;
			}
		}
	}

	pageHeader("Forms Control & Custom Fields", "", "icb-password");
	echo "&nbsp;";
?>
	<div class="admin-tabs admin-tabs-framed" id="tabs-forms">
<?php 
	pageTabs(array(
		array("title"=>"Enable/Disable Standard Fields", "id"=>"main"),
		array("title"=>"Manage Custom Fields", "id"=>"custom")
	), "tabs-forms", isset($_REQUEST['last_active_tab']) ? $_REQUEST['last_active_tab'] : false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<form name="frmStandardFields" action="admin.php?p=forms_control" method="POST">
					<input type="hidden" name="action" value="update_standard_fields">
					<div class="admin-form-header first"><span class="icon ic-icon ic-password"></span>Standard Fields Control</div>
					<table cellpadding="0" cellspacing="0" border="0" width="100%">
						<tr>
							<td class="formItemCaption">&nbsp;</td>
							<td class="formItemControl" style="width:100px;"><b>Required</b></td>
							<td class="formItemControl" style="width:100px;"><b>Not Required</b></td>
							<td class="formItemControl"><b>Not Available</b></td>
						</tr>
						<tr valign="top">
							<td class="formItemCaption">Company Name in Billing Information</td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingCompany]" value="Required" <?=$settings["FormsBillingCompany"] == "Required" ? "checked" : ""?>/></td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingCompany]" value="Notrequired" <?=$settings["FormsBillingCompany"] == "Notrequired" ? "checked" : ""?>/></td>
							<td class="formItemControl"><input type="radio" name="form[FormsBillingCompany]" value="Invisible" <?=$settings["FormsBillingCompany"] == "Invisible" ? "checked" : ""?>/></td>
						</tr>
						<tr valign="top">
							<td class="formItemCaption">Address Line 2 in Billing Information</td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingAddressLine2]" value="Required" <?=$settings["FormsBillingAddressLine2"] == "Required" ? "checked" : ""?>></td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingAddressLine2]" value="Notrequired" <?=$settings["FormsBillingAddressLine2"] == "Notrequired" ? "checked" : ""?>></td>
							<td class="formItemControl"><input type="radio" name="form[FormsBillingAddressLine2]" value="Invisible" <?=$settings["FormsBillingAddressLine2"] == "Invisible" ? "checked" : ""?>></td>
						</tr>
						<tr valign="top">
							<td class="formItemCaption">Phone in Billing Information</td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingPhone]" value="Required" <?=$settings["FormsBillingPhone"] == "Required" ? "checked" : ""?>></td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingPhone]" value="Notrequired" <?=$settings["FormsBillingPhone"] == "Notrequired" ? "checked" : ""?>></td>
							<td class="formItemControl"><input type="radio" name="form[FormsBillingPhone]" value="Invisible" <?=$settings["FormsBillingPhone"] == "Invisible" ? "checked" : ""?>></td>
						</tr>
						<tr valign="top">
							<td class="formItemCaption">Company Name in Shipping Information</td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingCompany]" value="Required" <?=$settings["FormsShippingCompany"] == "Required" ? "checked" : ""?>></td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingCompany]" value="Notrequired" <?=$settings["FormsShippingCompany"] == "Notrequired" ? "checked" : ""?>></td>
							<td class="formItemControl"><input type="radio" name="form[FormsShippingCompany]" value="Invisible" <?=$settings["FormsShippingCompany"] == "Invisible" ? "checked" : ""?>></td>
						</tr>
						<tr valign="top">
							<td class="formItemCaption">Address Line 2 in Shipping Information</td>
								<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingAddressLine2]" value="Required" <?=$settings["FormsShippingAddressLine2"] == "Required" ? "checked" : ""?>></td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingAddressLine2]" value="Notrequired" <?=$settings["FormsShippingAddressLine2"] == "Notrequired" ? "checked" : ""?>></td>
							<td class="formItemControl"><input type="radio" name="form[FormsShippingAddressLine2]" value="Invisible" <?=$settings["FormsShippingAddressLine2"] == "Invisible" ? "checked" : ""?>></td>
						</tr>
					</table>
					<div class="admin-form-buttons">
						<input type="submit" value="Save changes"/>
						<input type="reset" value="Reset form"/>
					</div>
				</form>
			</div>
		</div>
		<div id="admin-tab-sheet-custom" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon ic-password"></span>Custom Fields Control</div>
<?php
	loadJS("cd_custom_field.js");
	pageNote(array(
		array("class"=>"ic-add", "text"=>"<strong>Create a New Custom Field</strong>", "visible"=>true, "url"=>"admin.php?p=custom_field&mode=insert")
	));
	$place_names = array(
		"invoice"=>"Invoice Additional Information",
		"shipping"=>"Shipping Information",
		"account"=>"Account Information",
		"signup"=>"Registration Form",
		"billing"=>"Billing Information"
	);
	$field_types = array(
		"text"=>"Text Box",
		"select"=>"Drop-Down",
		"radio"=>"Radio Buttons",
		"checkbox"=>"Checkbox",
		"textarea"=>"Text Area"
	);

	$db->query("SELECT * FROM ".DB_PREFIX."custom_fields ORDER BY field_place, priority");
	if ($db->numRows() > 0)
	{
?>
				<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table">
					<thead>
						<tr>
							<th class="icon">&nbsp;</th>
							<th style="width:250px;">Form / Field Name</th>
							<th style="width:100px;">Type</th>
							<th style="width:100px;">Active</th>
							<th style="width:100px;">Required</th>
							<th></th>
						</tr>
					</thead>
					<tbody>
<?php
		$place = "";
		while ($db->moveNext())
		{
			if ($db->col["field_place"] != $place)
			{
?>
						<tr>
							<td class="icon"><img src="images/icons/a/checkmark.png"/></td>
							<td colspan="5"><strong><?=$place_names[$db->col["field_place"]]?></strong></td>
						</tr>
<?php
				$place = $db->col["field_place"];
			}
?>
						<tr>
							<td>&nbsp;</td>
							<td style="width:250px;"><a href="admin.php?p=custom_field&mode=update&field_id=<?=$db->col["field_id"]?>"><?=htmlspecialchars($db->col["field_name"])?></a></td>
							<td style="width:100px;"><?=$field_types[$db->col["field_type"]]?></td>
							<td style="width:100px;"><?=$db->col["is_active"]?"Yes":"No"?></td>
							<td style="width:100px;"><?=$db->col["is_required"]?"Yes":"No"?></td>
							<td style="text-align:right;">
								<a href="admin.php?p=custom_field&mode=update&field_id=<?=$db->col["field_id"]?>"><img src="images/icons/a/pencil.png" title="Edit Custom Field" border="0"></a>
								<a href="javascript:confirtDeleteCustomField(<?=$db->col["field_id"]?>)"><img src="images/icons/a/delete.png" title="Delete Custom Field" border="0"></a>&nbsp;
							</td>
						</tr>
<?php
		}
?>
					</tbody>
				</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-add", "text"=>"<strong>There are no custom fields yet</strong>", "visible"=>true)
		));
	}
?>
			</div>
		</div>
	</div>

