<?php
	if (!defined("ENV")) exit();
	/**
	 * Do not display html in chart mode
	 */
	if (!$chart)
	{
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title><?=$label_app_name?> Administrator Area</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/ui/themes/base/ui.all.css">
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/ui/themes/black-tie/black-tie.css">
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/thickbox/thickbox.css">
	<link rel="stylesheet" type="text/css" href="content/admin/styles/admin.css">
	<script type="text/javascript" language="JavaScript" src="content/vendors/json/json2-min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/jquery-1.3.2.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/ui/jquery-ui-1.7.2.custom.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/qtip/jquery.qtip-1.0.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/thickbox/thickbox.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/jgrowl/jquery.jgrowl_minimized.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/tiny_mce/tiny_mce.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/jquery.ddm.core.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/tiny_mce_common.php"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/mcfilemanager_common.php"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/common.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/menus.js"></script>
	<script type="text/javascript" language="JavaScript">
		var GlobalHttpUrl = "<?=$settings["GlobalHttpUrl"]?>";
		var GlobalHttpsUrl = "<?=$settings["GlobalHttpsUrl"]?>";
		var hideMenus = <?=$hidemenus = isset($hidemenus)?1:0?>;
	</script>
</head>
<body <?=$printing?'style="background:none"':''?>>
<div id="divAutoLogout" class="hidden" style="width:100%;">
	<div style="width:100%;">
		<div style="text-align:center;font-size:18px;padding:20px;font-weight:bold;color:black;">Your session expires in <span id="spanLogoutCountdown">xx</span> seconds</div>
		<div style="text-align:center;padding:15px;">
			<input type="button" id="buttonAutoLogoutNow" value="Logout now"/> &nbsp;
			<input type="button" id="buttonAutoLogoutCancel" value="Keep me logged in"/>
		</div>
	</div>
</div>
<?php
	}

	/**
 	 * Do not show menu in print and chart modes
 	 */
	if (!$printing && !$chart)
	{
?>
<div id="divHeader">
	<div class="logo"><a href="admin.php?p=home"><img src="images/admin/logo.gif" border="0"/></a></div>
	<div class="menu">
<?php
		/**
	 	 * Show top menu
	 	 */
		require("content/admin/admin_build_menu.php");
		foreach($topMenuButtons as $buttonId=>$data){
?>
		<div class="button <?=$buttonId?>" id="<?=$buttonId?>">
			<?=$data["title"]?>
		</div>
<?php
		}
?>
	</div>
	<div class="logout">
		<a href="javascript:confirmLogout()">
			<img src="images/admin/bt_logout.gif" border="0" hspace="0" alt="Logout"><br/>
			Log-out
		</a>
		<form name="frmLogout" id="frmLogout" action="login.php" method="POST">
			<input type="hidden" name="action" value="logout"/>
		</form>
	</div>
</div>

<?php
/**
<!-- TODO: Remove for final release-->
<!-- begin beta bug tracker -->
<style type="text/css">
	#bugTracker a:link,
	#bugTracker a:visited,
	#bugTracker a:hover { color: #ffc; }
</style>
<!-- end beta bug tracker -->
**/
?>
<div id="menuLog"></div>
<div id="divTopLine">
	<div class="left">
		<?=htmlspecialchars($label_app_name)?> Version 
		<?=$settings["AppVer"]?>
		<?=defined("DEMO_MODE") && DEMO_MODE ? " - <b>DEMO MODE</b>" : ""?>
		<?=$iono->level == 99 ? " - <b>TRIAL CART</b>" : ""?>
	</div>
	<div class="right">
<?php
/**
	<span id="bugTracker" style="font-size: 14px; margin-right: 20px; color: yellow; margin: 5px;">Do you think you found a bug? Submit it to us at <a href="http://beta.pinnaclecart.com/" target="_blank">http://beta.pinnaclecart.com/</a> <strong>Username:</strong> beta <span style="margin: 0px 20px;"><strong>Password:</strong> tracker</span></span>
**/
?>
	Welcome, <?=htmlspecialchars($auth_admin_name)?>. Today is <?=date("F j, Y")?></div>
</div>

<table cellpadding="0" cellspacing="0" border="0" width="100%" height="600" style="clear:both;">
	<tr valign="top">
		<td width="220" id="quickLinks">
			<div style="margin:10px;">
				<div class="header">Quick Links</div>
				<div class="content">
<?php
		/**
		 * Quick links
	 	 */
		if (!$hidemenus)
		{
			echo '<div class="title">'.$zone_title.'</div>';
			$_current_page = "admin.php?".$_SERVER["QUERY_STRING"];
			if (array_key_exists($current_zone, $quick_links))
			{
				$links = $quick_links[$current_zone];
				foreach($links as $link)
				{
					if ($link[0] == "separator")
					{
						echo '<div class="separator"></div>';
					}
					elseif (IsPrivilege(array($link[0], "all"), $auth_rights))
					{
						$link_active = $link[1] == $_current_page || ($link[3]==$p && $link[3]!="");
						echo '<div class="quickLink'.($link_active ? " active":"").'"><a href="'.$link[1].'">'.$link[2].'</a></div>';
					}
				}
			}
?>
					<br/>
					<div class="quickLink<?="admin.php?p=home"==$_current_page?" active":""?>">
						<a href="admin.php?p=home">Admin Area Home</a>
					</div>
					<div class="quickLink<?="admin.php?p=profile"==$_current_page?" active":""?>">
						<a href="admin.php?p=profile">Update Your Profile</a>
					</div>
<?php
			if(IsPrivilege(array("all"), $auth_rights)){
?>
					<div class="quickLink<?="admin.php?p=info"==$_current_page?" active":""?>">
						<a href="admin.php?p=info">Cart Information</a>
					</div>
<?php
			}
		}
?>
					<br/>
					<div class="title">Help & Support</div>

					<div class="quickLink">
						<a href="<?=$label_user_manual?>">User Manual</a>
					</div>
					<div class="quickLink">
						<a href="<?=$label_support_area?>">Support Area</a>
					</div>

					<br/>
					&copy; <?=$label_app_name?></br><a href="<?=$label_home_site?>" target="_blank"><?=$label_home_site?></a>
				</div>
			</div>
			<img src="images/zerro.gif" width="220" height="1"/>

		</td>
		<td bgcolor="#ffffff" style="padding:10px;">
<?php
		if (isset($auth_https_warning) && $auth_https_warning)
		{
?>
			<div style="background-color:#ffffcc;padding:10px;padding-right:10px;border:1px solid black;margin-bottom:10px;">
				<img src="images/icons_middle/ic_error.gif" hspace="0" align="right">
				<b>Warning: The administrative area has been set to HTTPS (Secure) mode but the current administrator area URL is not a secure URL.
				Please go to Cart Settings >> Global Cart Settings >> Global Site Settings and change the Global Http URL or set 
				the administrative area back to HTTP (non-secure) mode.</b><br/><br/>
				<li><a href="admin.php?p=settings&group=3">Click here to access Global Site Settings</a></li>
				<li><a href="admin.php?p=settings&group=7">Click to open Security Settings page</a></li>
			</div>
<?php
		}
	}

	/**
	 * Include page
	 */
	require("content/admin/".$body);

	if ((!$printing) && (!$chart))
	{
?>
			<img src="images/zerro.gif" width="800" height="1">
		</td>
	</tr>
</table>
<?php
	}

	if (!$chart)
	{
?>
</body>
</html>
<?php
	}


