<?php 
	if (!defined("ENV")) exit();
?>
<script type="text/javascript" src="content/admin/javascript/order.js"></script>
<?php
	$oid = isset($oid) ? intval($oid) : 0;
	
	if ((_ACCESS_CCS || _ACCESS_ALL) && IsPrivilege(array("ccs", "all"), $auth_rights))
	{
		if (isset($_REQUEST["delete_ccs"]))
		{
			$db->query("UPDATE ".DB_PREFIX."orders SET card_data='' WHERE oid='".$oid."'");
		}
	}

	/**
	 * select order data
	 */
	$db->query("
		SELECT ".DB_PREFIX."orders.*,
			DATE_FORMAT(placed_date, '".$settings["LocalizationDateTimeFormat"]."') AS cd,
			DATE_FORMAT(status_date, '".$settings["LocalizationDateTimeFormat"]."') AS sd,
			IF(DATE_ADD(placed_date, INTERVAL 3 DAY) < NOW(), '3', '1') AS auth_exp,
			".DB_PREFIX."countries.name AS country_name,
			".DB_PREFIX."countries.iso_a2 AS country_iso_a2,
			".DB_PREFIX."countries.iso_a3 AS country_iso_a3,
			".DB_PREFIX."countries.iso_number AS country_iso_number
		FROM ".DB_PREFIX."orders 
		LEFT JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."countries.coid = ".DB_PREFIX."orders.shipping_country
		WHERE 
			".DB_PREFIX."orders.oid='".$oid."' AND (".DB_PREFIX."orders.removed='No')
	");
	
	/**
	 * if order exists
	 */
	if ($db->moveNext())
	{
		$order_data = $db->col;
		loadJS("cf_order.js");
		
		//select user data
		$db->query("
			SELECT ".DB_PREFIX."users.*,
				".DB_PREFIX."countries.name AS country_name
			FROM ".DB_PREFIX."users 
			LEFT JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."countries.coid = ".DB_PREFIX."users.country
			WHERE 
				".DB_PREFIX."users.uid='".$order_data["uid"]."'
		");
		
		//if user exists
		if ($db->moveNext())
		{
			$user_data = $db->col;
			
			//select admin notes for the order
			$db->query("
				SELECT ".DB_PREFIX."admin_notes.*,
					DATE_FORMAT(created_at , '".$settings["LocalizationDateTimeFormat"]."') AS note_created_at			
				FROM ".DB_PREFIX."admin_notes		
				WHERE 
					".DB_PREFIX."admin_notes.oid='".$oid."' 
			");
			$admin_notes = $db->getRecords();
	
			//get details for promocode used in the order
			$pc_details = "";
			$db->query("
				SELECT ".DB_PREFIX."orders.promo_campaign_id,".DB_PREFIX."promo_codes.*					
				FROM ".DB_PREFIX."orders
				LEFT JOIN ".DB_PREFIX."promo_codes ON ".DB_PREFIX."promo_codes.pid = ".DB_PREFIX."orders.promo_campaign_id		
				WHERE ".DB_PREFIX."orders.oid='".$oid."' 
			");
			$pc_details = $db->getRecords();
			if (count($pc_details) > 0) $pc_details = $pc_details[0];
			
			pageHeader("Order Processing", "order #".$order_data["order_num"], "ic_order.gif");			
			
			//check is order editable
			$order_editable = $order_data["payment_status"] == "Pending";
			
			//order custom  fields
			$customFields = new CustomFields($db);
			
			$cf_billing = $customFields->getCustomFieldsValues("billing", $user_data["uid"], 0, 0);
			$cf_shipping = $customFields->getCustomFieldsValues("shipping", $user_data["uid"], $oid, 0);
			$cf_invoice = $customFields->getCustomFieldsValues("invoice", $user_data["uid"], $oid, 0);
			
			///////////////////////////////////
			//check for dollay days products
			$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."orders_content WHERE oid='".$oid."' AND is_dollar_days='Yes'");
			$db->moveNext();
			$is_dollar_days = $db->col["c"] > 0;
			$is_dollar_days_need_setup = trim($settings["DollarDaysUsername"]) == "" || trim($settings["DollarDaysPassword"]) == "";
			
			///////////////////////////////////
			//check for doba products
			$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."orders_content WHERE oid='".$oid."' AND is_doba='Yes'");
			$db->moveNext();
			$is_doba = $db->col["c"] > 0;
			$is_doba_need_setup = trim($settings["doba_username"]) == "" || trim($settings["doba_password"]) == "";
			
			if ($is_dollar_days && !$is_dollar_days_need_setup)
			{
				$dd_xml = 
					'<?xml version="1.0" encoding="ISO-8859-5"?>'.
					'<order>'.
						'<Customer>'.
							'<UserId>'.$settings["DollarDaysUsername"].'</UserId>'.
							'<Password>'.$settings["DollarDaysPassword"].'</Password>'.
							'<SourceCode>Pnaccle</SourceCode>'.
						'</Customer>';
				$db->query("SELECT * FROM ".DB_PREFIX."orders_content WHERE oid='".$oid."' AND is_dollar_days='Yes' ORDER BY product_id");
				$dd_order_items = $db->getRecords();
				
				foreach ($dd_order_items as $dd_order_item)
				{
					$dd_xml.=
						'<OrderItem>'.
							'<SKU>'.utf8_encode($dd_order_item["product_id"]).'</SKU>'.
							'<Quantity>'.utf8_encode($dd_order_item["admin_quantity"]).'</Quantity>'.
   						'</OrderItem>';
				}
				$dd_xml.=
					'<Shipping>'.
						'<ShipTo>'.utf8_encode($order_data["shipping_name"]).'</ShipTo>'.
						'<Address1>'.utf8_encode($order_data["shipping_address1"]).'</Address1>'.
						'<Address2>'.utf8_encode($order_data["shipping_address2"]).'</Address2>'.
						'<City>'.utf8_encode($order_data["shipping_city"]).'</City>'.
						'<State>'.utf8_encode($order_data["shipping_province"]).'</State>'.
						'<Country>'.utf8_encode($order_data["country_name"]).'</Country>'.
						'<ShipPhone></ShipPhone>'.
						'<Zip>'.utf8_encode($order_data["shipping_zip"]).'</Zip>'.
					'</Shipping>'.

					'<Billing>'.
						'<CCNo></CCNo>'.
						'<CCPhone>'.utf8_encode($user_data["phone"]).'</CCPhone>'.
						'<CCCvv></CCCvv>'.
						'<CCExpiry></CCExpiry>'.
						'<CCHolderName>'.utf8_encode($user_data["fname"]." ".$user_data["lname"]).'</CCHolderName>'.
						'<CCAddress1>'.utf8_encode($user_data["address1"]).'</CCAddress1>'.
						'<CCAddress2>'.utf8_encode($user_data["address2"]).'</CCAddress2>'.
						'<CCCity>'.utf8_encode($user_data["city"]).'</CCCity>'.
						'<CCState>'.utf8_encode($user_data["province"]).'</CCState>'.
						'<CCZip>'.utf8_encode($user_data["zip"]).'</CCZip>'.
						'</Billing>'.
					'</order>'
				;
				
				echo '<form name="frmDollarDays" target="_new" method="POST" action="https://www.dollardays.com/xml/extOrder.aspx" style="padding:0;margin:0;">';
				echo '<input type="hidden" name="xml" value="'.htmlspecialchars($dd_xml).'">';
				echo '</form>';
			}
			
			echo "<br/>";
?>
<form name="frmOrder" action="admin.php?p=order_process&oid=<?=$oid?>" method="post" onSubmit="return CheckOrderForm(this)" style="padding:0px;margin:0px;">
	<input type="hidden" name="mode" value="update">
	<input type="hidden" name="order_editable" value=" <?=$order_editable?"yes":"no"?>">
	<div class="admin-tabs admin-tabs-framed" id="tabs-order">
<?php 			
			pageTabs(array(
				array("title"=>"Order Properties", "id"=>"main"),
			), "tabs-order", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td colspan="2" class="formHeader">
							<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"/></div>
							<div class="formHeaderText">Order Status</div>
							<div class="formHeaderButtons" style="width:16px;">
								<img src="images/icons/ic_print.gif">
							</div>
							<div class="formHeaderButtons" style="width:300px;">
			
<?php
			if ($order_data["shipping_carrier_id"]=="usps_domestic" || $order_data["shipping_carrier_id"]=="usps_international")
			{
?>	
				<a href="admin.php?p=shipping_label_usps&oid=<?=$oid?>" target="_new"><b>Print USPS Shipping Label</b></a> -
<?php
 			}
?>
								<a href="admin.php?p=order_invoice&orders=<?=$oid?>&printing" target="_new"><b>Print Receipt</b></a>
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td width="50%" style="padding:20px;padding-top:0px;">
							<table width="100%" cellpadding="5" cellspacing="0" border="0">
								<tr>
									<td style="font-size:14px;"><b>Order ID</b></td>
									<td style="font-size:14px;"><b><?=$order_data["order_num"];?></b></td>
								</tr>
								<tr>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;">Created At</td>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;"><?=$order_data["cd"]?></td>
								</tr>				
								<tr>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;">Order Status</td>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;"><b><?=$order_data["status"]?></b></td>
								</tr>
								<tr>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;">Payment Status</td>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;"><?=$order_data["payment_status"]?></td>
								</tr>				
<?php
 			if ($is_doba && !$is_doba_need_setup)
			{
				$doba_sent = $order_data["doba_order_sent"]==1 && $order_data["doba_order_id"]!=0;
				$doba_funded = $order_data["doba_order_funded"]==1; 
?>
								<tr>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;"><img src="images/admin/doba.png"/></td>
									<td style="font-size:14px;border-top:1px dashed #d0d0d0;font-weight:bold;">
										<div style="display:none;"><div id="dobaOrderDetailOuter"><div id="dobaOrderDetail"></div></div></div>
										This order has Doba products
										<input type="hidden" id="hiddenOrderId" value="<?=$oid?>"/>
										<input type="hidden" id="hiddenDobaOrderId" value="<?=$order_data["doba_order_id"]?>"/>
										<br/>
						
										<div id="div-doba-send" style="display:<?php echo $doba_sent?"none":"block";?>">
											<input type="button" id="buttonSendToDoba" value="Send to Doba now"/>
										</div>
										<div id="div-doba-sent" style="display:<?php echo $doba_sent?"block":"none";?>">
											Doba order ID: <a href="#" id="dobaOrderDetailLink"><?php echo $order_data["doba_order_id"]?></a>
										</div>
						
										<div id="div-doba-fund" style="display:<?php echo $doba_sent ? $doba_funded ? "none":"block" : "none";?>">
<?php 			if ($settings["doba_payment_type"] == "CC")
				{
?>							
											<div style="font-size:12px;padding:5px 0px;">Please enter CVV2 code for your Doba default payment method:</div>
											<input type="text" id="inputFundDobaCVV2" style="width:50px;" maxlength="4"/>
<?php	
				} 
?>
											<input type="button" id="buttonFundDobaOrder" value="Fund now"/>
										</div>
										<div id="div-doba-funded" style="display:<?php echo $doba_sent ? $doba_funded ? "block":"none" : "none";?>">
											Order already funded
										</div>
									</td>
								</tr>
<?php	 			
 			}
?>
		
							</table>
						</td>
						<td width="50%" style="border:1px solid #cccccc;background-color:#f7f7f7;padding:20px;padding-bottom:10px;">
							<table width="100%" cellpadding="0" cellspacing="5" border="0">
								<tr>
									<td>Last status change</td>
									<td><?=$order_data["sd"]?></b></td>
								</tr>
								<tr>
									<td cdlass="formItemCaption" style="width:150px;">Set Order Status</td>
									<td cldass="formItemControl">
										<select name="order_status" style="width:120px;">
											<option value="">Do not change</option>
											<option value="Process">Process</option>
											<option value="Backorder">Backorder</option>
											<option value="Canceled">Canceled</option>
											<option value="Completed">Completed</option>
										</select>
									</td>
								</tr>
								<tr valign="top">
									<td cladss="formItemCaption" colspan="2">
										<input type="checkbox" checked id="send_notification_email" name="send_notification_email" value="yes">
										<label for="send_notification_email">Send notification to user when order completed?</label>
									</td>
								</tr>
								<tr>
									<td colspan="2" align="center"><input type="submit" value="Save Changes"/> &nbsp;</td>
								</tr>
							</table>
						</td>
					</tr>
<?php 		if ($is_doba && $is_doba_need_setup)
			{
?>
					<tr>
						<td colspan="2" style="border:1px solid #cccccc;background-color:#f7f7f7;padding:20px;font-size:14px;">
							This order may be sent to Doba.com but setup is not completed yet. 
							Please <a href="admin.php?p=doba">click here</a> to do it now</b>
						</td>
					</tr>
<?php		
			}

	 		if ($is_dollar_days && !$is_dollar_days_need_setup)
	 		{
?>
					<tr>
						<td colspan="2" style="border:1px solid #cccccc;background-color:#f7f7f7;padding:20px;font-size:14px;">
							<a href="javascript:document.forms['frmDollarDays'].submit();"><b>Send order to DollarDays.com</b></a>
						</td>
					</tr>
<?php	 	
	 		}
			if ($is_dollar_days && $is_dollar_days_need_setup)
			{
?>
					<tr>
						<td colspan="2" style="border:1px solid #cccccc;background-color:#f7f7f7;padding:20px;font-size:14px;">
							This order may be sent to DollarDays.com but setup is not completed yet. 
							Please <a href="admin.php?p=settings_dollar_days&backpage=order&oid=<?=$oid?>">click here</a> to do it now</b>
						</td>
					</tr>
<?php				
			}
?>

					<tr>
						<td colspan="2" class="formHeader">
							<div class="formHeaderIcon"><img src="images/icons/ic_orders.gif"/></div>
							<div class="formHeaderText">Billing & Shipping Data</div>
						</td>
					</tr>
					<tr valign="top">
						<td width="50%" style="font-size:12px;padding:26px;padding-top:10px;padding-bottom:0px;">
							<b>Billing Address &amp; Information</b><br>
<?php		
			if ($order_data["payment_gateway_id"] != "paypalec")
			{
?>
							<?=gs($user_data["fname"]." ".$user_data["lname"])?><br>
							<?=trim($user_data["company"])!=""?(gs($user_data["company"])."<br>"):""?>
							<?=gs($user_data["address1"])?><?=trim($user_data["address2"])!=""?gs(", ".$user_data["address2"]):""?><br/>
							<?=gs($user_data["city"])?>, <?=gs($user_data["province"])?>, <?=gs($user_data["zip"])?><br>
							<?=gs($user_data["country_name"])?><br>
							Email: <a href="mailto:<?=$user_data["email"]?>"><?=$user_data["email"]?></a><br>
							Phone: <?=gs($user_data["phone"])?><br>
<?php
				if ($cf_billing && is_array($cf_billing) && count($cf_billing) > 0)
				{
					foreach ($cf_billing as $field)
					{
						echo "<i>".$field["field_name"]."</i> : ".$field["value_translated"]."<br>";
					}
				}
			}
			else
			{
?>
							<?=gs($user_data["fname"]." ".$user_data["lname"])?><br>
							Email: <a href="mailto:<?=$user_data["email"]?>"><?=$user_data["email"]?></a><br/><br/>
							<u>PayPal Express Order - BIlling Information at PayPal</u>
<?php
			}
?>			&nbsp;
						</td>
						<td width="50%" style="font-size:12px;padding:26px;padding-top:10px;padding-bottom:0px;">
							<b>Shipping Address</b><br>
<?php
			if ($order_data["shipping_digital"])
			{
?>
							There no shipping information available<br>
							Digital Download
<?php
			}
			else
			{
?>
							<?=gs($order_data["shipping_name"].' '.$order_data["shipping_lname"])?><br>
							<?=trim($order_data["shipping_company"])!=""?(gs($order_data["shipping_company"])."<br>"):""?>
							<?=gs($order_data["shipping_address1"])?><?=trim($order_data["shipping_address2"])!=""?gs(", ".$order_data["shipping_address2"]):""?><br/>
							<?=gs($order_data["shipping_city"])?>, <?=gs($order_data["shipping_province"])?>, <?=gs($order_data["shipping_zip"])?><br>
							<?=gs($order_data["country_name"])?><br>
<?php		}
			if ($cf_shipping && is_array($cf_shipping) && count($cf_shipping) > 0)
			{
				foreach ($cf_shipping as $field)
				{
					echo "<i>".$field["field_name"]."</i> : ".$field["value_translated"]."<br>";
				}
			}
?>
							&nbsp;
						</td>
					</tr>
				</table>
				<!-- end billing and shipping -->
				
				<!-- order content start-->
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td class="formHeader">
							<div class="formHeaderIcon"><img src="images/icons/ic_product.gif"></div>
							<div class="formHeaderText">Products Ordered</div>
						</td>
					</tr>
				</table>
				<table width="100%" cellpadding="5" cellspacing="0" border="0">
					<tr>
						<td class="formListHeaderIcon">&nbsp;</td>
						<td class="formListHeaderCaption" style="width:150px;"><b>Product ID</b></td>
						<td class="formListHeaderCaption"><b>Name</b></td>
						<td class="formListHeaderCaption" style="width:120px;text-align:right;"><b>Price</b></td>
						<td class="formListHeaderCaption" style="width:120px;text-align:right;"><b>Quantity</b></td>
						<td class="formListHeaderCaption" style="width:120px;text-align:right;"><b>Total</b></td>
					</tr>
<?php
			$order_weight = 0;
			$order_items = 0;
			$order_sa_pr_b = 0; 
			$order_sa_pr_l = 0;
			$db->query("SELECT * FROM ".DB_PREFIX."orders_content WHERE oid='".$oid."' ORDER BY product_id");
			
			while ($db->moveNext())
			{
?>
					<tr valign="top">
						<td class="formListItemIcon" rowspan="2" style="text-align:right;"><img src="images/icons/ic_<?=$db->col["is_doba"] == "Yes" ? "doba" : "product"?>.gif"/></td>
						<td class="formListItemText" rowspan="2"><?=gs($db->col["product_id"].($db->col["product_sub_id"] != "" ? (" / ".$db->col["product_sub_id"]) : ""))?></td>
						<td class="formListItemText" rowspan="2">
							<b><?=gs($db->col["title"])?></b>
							<?=trim($db->col["options"])!=""?("<br>Options:<br>".nl2br(gs($db->col["options"]))):""?>
<?php
				if ($db->col["digital_product"] == "Yes")
				{
?>
							<div style="font-size:10px;">
								<a href="<?=$settings["GlobalHttpUrl"]?>/download.php?a=<?=$oid?>&b=<?=$db->col["digital_product_key"]?>">Click to Download</a>
							</div>
<?php			}
				if ($db->col["is_taxable"]=="Yes")
				{
?>
							<div style="font-size:10px;">
								Tax: <?=$db->col["tax_description"]!=""?$db->col["tax_description"]:(myNum($db->col["tax_rate"])."%")?>
							</div>
<?php
	 			}
?>
						</td>
						<td class="formListItemText" style="text-align:right;"><?=round($db->col["price"],2)?></td>
						<td class="formListItemText" style="text-align:right;"><?=$db->col["quantity"]?></td>
						<td class="formListItemText" style="text-align:right;">
<?php			if ($db->col["is_taxable"]!="Yes")
				{
					echo "<i>(not taxable)</i>";
				}
?>
						</td>
					</tr>
					<tr>
						<td class="formListItemText" style="text-align:right;"><input style="text-align:right;" <?=$order_editable && $db->col["is_doba"] != "Yes" ? "" : "disabled"?> type="text" size="7" name="prices[<?=$db->col["ocid"]?>]" value="<?=myNum($db->col["admin_price"])?>"></td>
						<td class="formListItemText" style="text-align:right;"><input style="text-align:right;" <?=$order_editable && $db->col["is_doba"] != "Yes"  ? "" : "disabled"?> type="text" size="7" name="quantities[<?=$db->col["ocid"]?>]" value="<?=$db->col["admin_quantity"]?>"></td>
						<td class="formListItemText" style="text-align:right;"><?=($db->col["admin_price"] * $db->col["admin_quantity"])?></td>
					</tr>
<?php
				$order_weight += $db->col["free_shipping"]=="Yes"?0:($db->col["admin_quantity"] * $db->col["weight"]);
				$order_items += $db->col["admin_quantity"];
				$order_sa_pr_b += $db->col["free_shipping"]=="Yes"?0:($db->col["admin_quantity"] * $db->col["admin_price"]);
				$order_sa_pr_l += $db->col["free_shipping"]=="Yes"?0:($db->col["admin_quantity"] * $db->col["shipping_price"]);
			}
?>
				<!-- order amounts-->
					<tr>
						<td class="formListItemText" colspan="5" align="right">Subtotal amount :</td>
						<td class="formListItemText" style="text-align:right;"><?=round($order_data["subtotal_amount"],2)?></td>
					</tr>
<?php
 			if ($order_data["discount_amount"]>0)
 			{
?>
					<tr>
						<td class="formListItemText"  colspan="5" align="right">
							Discount 
<?php			if ($order_data["discount_type"] == "percent")
{
					echo "(-".myNum($order_data["discount_value"])."%)";
				}
				else
				{
					echo "(-".($order_data["discount_value"]).")";
				}
?>
							:
						</td>
						<td class="formListItemText" style="text-align:right;">- <?=($order_data["discount_amount"])?></td>
					</tr>
<?php		}
			if ($order_data["promo_discount_amount"] > 0)
			{
?>
					<tr>
						<td class="formListItemText"  colspan="5" align="right">
							Promo Discount 
<?php			if ($order_data["promo_discount_type"] == "percent")
{ 
					echo "(-".myNum($order_data["promo_discount_value"])."%)";
				}
				else
				{
					echo "(-".($order_data["promo_discount_value"]).")";
				}
?>
							 :
						</td>
						<td class="formListItemText" style="text-align:right;">- <?=($order_data["promo_discount_amount"])?></td>
					</tr>
<?php
			}
			if ($order_data["shipping_amount"] > 0)
			{
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right">
							Shipping amount 
							(<?=gs($order_data["shipping_cm_name"])?><?=$order_data["shipping_taxable"]?"; Taxable - ".$order_data["shipping_tax_description"]:""?>) :
						</td>
						<td class="formListItemText" style="text-align:right;"><?=($order_data["shipping_amount"])?></td>
					</tr>
<?php
			}
			if ($order_data["handling_amount"] > 0)
			{
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right">
							Handling fee 
							<?=$order_data["handling_fee_type"]=="percent"?(" (".myNum($order_data["handling_fee"])."%)"):""?><?=!$order_data["handling_separated"]?", <u>already added to the shipping amount</u>":""?>
							<?=$order_data["handling_taxable"]?" - Taxable - ".$order_data["handling_tax_description"]:""?>	:
						</td>
						<td class="formListItemText" style="text-align:right;"><?=($order_data["handling_amount"])?></td>
					</tr>
<?php
			}
			if ($order_data["insureship_active"])
			{
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right">
							InsureShip (<a id="insureShipCancel" href="admin.php?p=order_process&mode=insureship_cancel&oid=<?php echo $oid;?>">Cancel</a>) :
						</td>
						<td class="formListItemText" style="text-align:right;"><?=($order_data["insureship_amount"])?></td>
					</tr>
<?php
			}
			if ($order_data["tax_amount"]>0)
			{
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right">Tax amount :</td>
						<td class="formListItemText" style="text-align:right;"><?=($order_data["tax_amount"])?></td>
					</tr>
<?php
			}
			$gift_cert_amount = 0;
			if ($order_data["gift_cert_amount"]>0)
			{
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right">Gift Certificate amount :</td>
						<td class="formListItemText" style="text-align:right;">-<?=($order_data["gift_cert_amount"])?></td>
					</tr>
<?php
				$gift_cert_amount = $order_data["gift_cert_amount"];
			}
			if ($order_data["buysafe_wants_bond"] == "true" && $order_data["buysafe_bond_amount"] > 0)
			{
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right">buySafe bond amount :</td>
						<td class="formListItemText" style="text-align:right;"><?=($order_data["buysafe_bond_amount"])?></td>
					</tr>
<?php				
			}
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right" style="font-size:14px;"><b>Total amount :</b></td>
						<td class="formListItemText" style="font-size:14px;text-align:right;"><b><?=($order_data["total_amount"]-$gift_cert_amount)?></b></td>
					</tr>
<?php
			if (in_array($order_data["custom1"], array("order", "authorization", "fulfill")) && is_numeric($order_data["custom3"]))
			{
?>
					<tr>
						<td class="formListItemText" colspan="5" align="right" style="font-size:14px;"><b>Total charged amount :</b></td>
						<td class="formListItemText" style="font-size:14px;text-align:right;"><b><?=($order_data["custom3"])?></b></td>
					</tr>
<?php
			}
?>
				</table>
				<!-- end of order amounts -->
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
<?php
			if ($order_editable)
			{
?>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_expand.gif"></div>
							<div class="formHeaderText">Change Discount</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Set new discount</td>
						<td class="formItemControl">
							<input <?=$order_editable ? "" : "disabled"?> type="text" name="new_discount_value" value="<?=myNum($order_data["discount_value"])?>" style="width:90px;">
							<select <?=$order_editable ? "" : "disabled"?> name="new_discount_type">
								<option value="percent">%</option>
								<option value="amount" <?=$order_data["discount_type"]=="amount"?"selected":""?>><?=$admin_currency["code"]?></option>
							</select>
						</td>
					</tr>
					
					<tr valign="top">
						<td class="formItemCaption">Set new promo discount</td>
						<td class="formItemControl">
							<input <?=$order_editable ? "" : "disabled"?> type="text" name="new_promo_discount_value" value="<?=myNum($order_data["promo_discount_value"])?>" style="width:90px;">
							<select <?=$order_editable ? "" : "disabled"?> name="new_promo_discount_type">
								<option value="percent">%</option>
								<option value="amount" <?=$order_data["promo_discount_type"]=="amount"?"selected":""?>><?=$admin_currency["code"]?></option>
							</select>
						</td>
					</tr>
<?php
			}
?>

<!-- promo code information-->
<?php
 			if ($pc_details != "" and $pc_details["name"] != "")
 			{
?>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_expand.gif"></div>
							<div class="formHeaderText">Promo Code Information</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Promo Code</td>
						<td class="formItemControl">
							 <?=$pc_details["name"]?>
						</td>
					</tr>
<?php
			}
?>
				
				<!-- shipping information-->
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_shipping.gif"/></div>
							<div class="formHeaderText">Shipping Information</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Shipping Service</td>
						<td class="formItemControl"><b><?=gs($order_data["shipping_cm_name"])?></b></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Enter Tracking Number</td>
						<td class="formItemControl">
							<input type="text" style="width:200px;" maxlength="250" name="shipping_tracking_number" value="<?=gs($order_data["shipping_tracking_number"])?>">
							<select name="shipping_tracking_number_type">
								<option value="">-</option>
								<option value="UPS" <?=$order_data["shipping_tracking_number_type"]=="UPS"?"selected":""?>>UPS</option>
								<option value="USPS" <?=$order_data["shipping_tracking_number_type"]=="USPS"?"selected":""?>>USPS</option>
								<option value="FedEx" <?=$order_data["shipping_tracking_number_type"]=="FedEx"?"selected":""?>>FedEx</option>
								<option value="CanadaPost" <?=$order_data["shipping_tracking_number_type"]=="CanadaPost"?"selected":""?>>Canada Post</option>
							</select>
						</td>
					</tr>
<?php 
			if ($order_data["shipping_tracking"] != "")
			{
				$shipping_tracking = unserialize($order_data["shipping_tracking"]);
?>
					<tr valign="top">
						<td class="formItemCaption">Tracking info</td>
						<td class="formItemControl">
<?php 
				foreach ($shipping_tracking as $st)
				{
				echo $st["carrier"].": ".$st["tracking"]."<br/>";
				}
?>		
						</td>
					</tr>
<?php 
			}
?>
					<tr valign="top">
						<td class="formItemCaption">Total Products Weight (<?=$settings["LocalizationWeightUnits"]?>)</td>
						<td class="formItemControl"><b><?=myNum($order_weight)?></b></td>
					</tr>
<?php
			if (($order_data["shipping_carrier_id"] == "ups") && ($order_data["shipping_tracking_number"] > 0))
			{
				require_once("content/engine/engine_ups.php");
				$ups = new UPS;
				$ups->setUserName($settings["ShippingUPSUserID"]);
				$ups->setPass($settings["ShippingUPSUserPassword"]);
				$ups->setAccessKey($settings["ShippingUPSAccessKey"]);
				$ups->setTrackingServer($settings["ShippingUPSTrackingUrl"]);				
				$info = $ups->getTrackingInfo($order_data["shipping_tracking_number"]);
?>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_shipping.gif"/></div>
							<div class="formHeaderText">UPS Package Information</div>
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<table width="100%">
								<tr>
									<td align="right">Shipping method :</td>
									<td>&nbsp;</td>
									<td><?=$info["shipping_method"] ?></td>
								</tr>
								<tr>
									<td align="right">Pickup date :</td>
									<td>&nbsp;</td>
									<td><?=$info["pickup_date"]?></td>
								</tr>
<?php
				if ($info["scheduled_delivery_date"] != "")
				{
?>
								<tr>
									<td align="right">Scheduled delivery date :</td>
									<td>&nbsp;</td>
									<td><?=$info["scheduled_delivery_date"]?> <?=$info["scheduled_delivery_time"]?></td>
								</tr>
<?php
 				} 	
				if ($info["rescheduled_delivery_date"] != "")
				{
?>	
								<tr>
									<td align="right">Rescheduled delivery date :</td>
									<td>&nbsp;</td>
									<td><?=$info["rescheduled_delivery_date"]?></td>
								</tr>
<?php
 				}
?>
								<tr>
									<td align="right">Last activity :</td>
									<td>&nbsp;</td>
									<td><?=$info["status_type_description"]?></td>
								</tr>
								<tr>
									<td align="right">Last activity location :</td>
									<td>&nbsp;</td>
									<td><?=$info["activity_location"]?><br /> 					 <?=$info["activity_location1"]?></td>
								</tr>
								<tr>
									<td align="right">Last activity date :</td>
									<td>&nbsp;</td>
									<td><?=$info["activity_date"]?> <?=$info["activity_time"]?></td>
								</tr>
<?php			
				if ($info["package_weight"] > 0)
				{
?>
								<tr>
									<td align="right">Shipment weight :</td>
									<td>&nbsp;</td>
									<td ><?=$info["shipment_weight"]?> <?=$info["shipment_weight_unit"]?></td>
								</tr>
<?php		
				}
				if ($info["package_weight"] > 0)
				{
?>
								<tr>
									<td align="right">Package weight :</td>
									<td>&nbsp;</td>
									<td><?=$info["package_weight"]?><?=$info["package_weight_unit"]?></td>
								</tr>
<?php
				}
?>
							</table>
						</td>
					</tr>
<?php				
			}
?>

				<!-- end of shipping information -->
				<!-- Notes for the order-->
					
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_shipping.gif"/></div>
							<div class="formHeaderText">Order Notes</div>
						</td>
					</tr>
<?php
			if (count($admin_notes)>0)
			{
?>
					<tr valign="top" >
						<td class="formItemCaption" colspan="2">
							<table cellspacing="5" cellpadding="0" width="100%">
								<tr>
									<td width="10%">Email Sent</td>
									<td width="20%">Create Time</td>
									<td width="25%">Title</td>
									<td width="45%">Notes</td>
								</tr>
<?php	
				foreach($admin_notes as $k=>$admin_note)
				{
?>
								<tr>
									<td><?=$admin_note["send_email"]?></td>
									<td><?=$admin_note["note_created_at"]?></td>
									<td><?=$admin_note["note_title"]?></td>
									<td><?=$admin_note["note_text"]?></td>
								</tr>
<?php
 				}
?>
		
		 					</table>
						</td>
					</tr>
<?php
			}
?>
					<tr valign="top">
						<td class="formItemCaption">Send Notification to Customer  </td>
						<td class="formItemControl">
						<input id="checkbox_send_email" type="checkbox" name="send_email" value="Yes"></td>
					</tr>
					<input type="hidden" name="send_email_to" value="<?=$user_data["email"]?>">
					<input type="hidden" name="order_invoice" value="<?=$order_data["order_num"]?>">
					<tr valign="top">
						<td class="formItemCaption">Title </td>
						<td class="formItemControl"><input type="text" style="width:200px;" maxlength="250" name="note_title" value=""></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Note </td>
						<td class="formItemControl"><textarea class="no-mce" wrap="off" style="width:100%;height:150px;" id="note_text" class="content" name="note_text"></textarea>
						
							<input type="submit" value="Send email"/>
						</td>
					</tr>
				<!-- End of order notes-->
				
				<!-- payment information -->
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_payment.gif"/></div>
							<div class="formHeaderText">Payment Information</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Payment Method</td>
						<td class="formItemControl">
							<b>
								<?=$order_data["payment_is_realtime"]=="Yes"?"Realtime":"Not realtime"?> - 
								<?=gs($order_data["payment_method_name"])?>
								<?=trim($order_data["payment_gateway_id"]) == "" ? "[no gateway]" : ucfirst($order_data["payment_gateway_id"])?>
							</b>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Current Payment Status</td>
						<td class="formItemControl"><b><?=$order_data["payment_status"]?></b></td>
					</tr>
<?php
			if (($order_data["card_data"] != "" && (_ACCESS_CCS || _ACCESS_ALL)) && IsPrivilege(array("ccs", "all"), $auth_rights))
			{
?>
<script language="JavaScript" type="text/javascript"">
		function showCCS(){
			var text_ccs_username = document.getElementById("text_ccs_username");
			var hidden_ccs_username = document.getElementById("hidden_ccs_username");
			var text_ccs_password = document.getElementById("text_ccs_password");
			var hidden_ccs_password = document.getElementById("hidden_ccs_password");
			var form_ccs = document.getElementById("frmCCS");
			if(text_ccs_username && hidden_ccs_username && hidden_ccs_password && hidden_ccs_password && form_ccs){
				hidden_ccs_username.value = text_ccs_username.value;
				hidden_ccs_password.value = text_ccs_password.value;
				form_ccs.submit();
			}
		}
		function deleteCCS(){
			if(confirm("Do you realy want to delete CC data?")){
				document.location="admin.php?p=order&oid=<?=$oid?>&delete_ccs=true";
			}
		}
</table>
					<tr valign="top">
						<td class="formItemCaption">Stored Credit Card</td>
						<td class="formItemControl">
		
<?php
				$card_data = unserialize(urldecode($order_data["card_data"]));
				$show_ccd_passwd = true;
				if (isset($_POST["ccs_show"]))
				{
					adminLog("Access to CCS - order #".$order_data["order_num"]);
					require_once("content/classes/class.openssl.php");
					$ds = DIRECTORY_SEPARATOR;
					$openSSL = new openSSL(4096, OPENSSL_KEYTYPE_RSA, 3650, $settings["GlobalServerPath"].$ds."content".$ds."ssl".$ds."openssl.cnf");
					$decrypted = $openSSL->decrypt($card_data["cr"], $_POST["ccs_username"].$_POST["ccs_password"], base64_decode($settings["SecurityCCSPrivateKey"]));
					if ($decrypted)
					{
						$cc_data = unserialize($decrypted);
						echo "<div>".$cc_data["fn"]." ".$cc_data["ln"]."<br/>";
						echo $cc_data["ct"]."<br/>";
						echo $cc_data["cc"]."<br/>";				
						echo $cc_data["em"]."/".$cc_data["ey"]."</div>";
						$show_ccd_passwd = false;
					}
					else
					{
						echo "Can't get CC data. Please try different password";
					}
				}
				else
				{
					echo "xxxx-xxxx-xxxx-<b>".$card_data["l4"]."</b>";
				}
				if ($show_ccd_passwd)
				{
?>
						<br/>
							Enter your CCS username &amp; password below and click "Show Number" to see the full card number<br/>
							<input type="text" style="width:150px;" id="text_ccs_username"/> &nbsp;
							<input type="password" style="width:150px;" id="text_ccs_password"/> &nbsp; <input type="button" onclick="showCCS();" value="Show Number"/><br/>
		
<?php
				}
?>
							<br/><a href="javascript:deleteCCS()">Delete CC</a>
						</td>
					</tr>
<?php		}
 			if ($order_data["payment_gateway_id"] == "googlecheckout")
 			{
?>
					<tr>
						<td class="formItemCaption">Current Google order status</td>
						<td class="formItemControl"><b><?=$order_data["custom3"]?></b></td>
					</tr>
					<tr>
						<td class="formItemCaption">Google Order Number</td>
						<td class="formItemControl"><b><?=$order_data["custom1"]?></b></td>
					</tr>
<?php
			}
?>
					<tr>
						<td class="formItemCaption">Set Payment Status</td>
						<td class="formItemControl">
							<select name="payment_status" style="width:120px;">
								<option value="">Do not change</option>
								<option value="Pending">Pending</option>	
								<option value="Partial">Partial</option>			
								<option value="Received">Received</option>
								<option value="Refunded">Refunded</option>
								<option value="Declined">Declined</option>
								<option value="Canceled">Canceled</option>
								<option value="Error">Error</option>
							</select>
						</td><?=$db->col["payment_gateway_id"]?>
					</tr>
				
					<!-- payment transactions-->
<?php
			$payment_type = "custom";

			$custom_vars = array("1"=>false, "2"=>false, "3"=>false);
			$db->query("SELECT *, DATE_FORMAT(completed, '".$settings["LocalizationDateTimeFormat"]."') AS co FROM ".DB_PREFIX."payment_transactions WHERE oid='".$oid."' ORDER BY completed");
			if ($db->numRows() > 0)
			{
?>
					<tr>
						<td colspan="2" align="right">
							<img src="images/icons/ic_arrow_down.gif" style="cursor:pointer;" onClick="showHideDiv(this, 'divTransactionData')" id="arr2" align="right">
							<a href="javascript:showHideDiv(document.images.arr2, 'divTransactionData')">Transaction Details</a> &nbsp;&nbsp;&nbsp;
						</td>
					</tr>
					<tr>
						<td colspan="2" align="center">
							<div id="divTransactionData" style="display:none">
								<table width="100%" cellpadding="0" cellspacing="0">
<?php
				while ($db->moveNext())
				{
					$payment_type = $db->col["payment_type"];
?>
									<tr><td width="5%">&nbsp;</td><td colspan="3"><u>Transaction Data</u></td></tr>
									<tr>
										<td width="5%">&nbsp;</td>
										<td align="right" width="35%">Payment Gateway</td>
										<td width="5%">&nbsp;</td>
										<td width="55%"><b><?=ucfirst($db->col["payment_gateway"])?></b></td>
									</tr>
									<tr>
										<td width="5%">&nbsp;</td>
										<td align="right" height="30">Transaction Amount</td>
										<td>&nbsp;</td>
										<td><b><?=($db->col["order_total_amount"])?></b></td>
									</tr>
									<tr>
										<td width="5%">&nbsp;</td>
										<td align="right">Completed At</td>
										<td>&nbsp;</td>
										<td><b><?=$db->col["co"]?></b></td>
									</tr>
<?php
					if (strlen(trim($db->col["extra"]))>0)
					{
?>
									<tr>
										<td width="5%">&nbsp;</td>
										<td align="right" height="30">Note</td>
										<td>&nbsp;</td>
										<td><?=gs($db->col["extra"])?></td>
									</tr>
<?php
					}
?>
									<tr>
										<td width="5%">&nbsp;</td>
										<td align="right" height="120">Gateway Response</td>
										<td>&nbsp;</td>
										<td>
											<textarea class="no-mce" wrap="off" readonly style="width:290px;height:100px;font-size:10px;"><?=gs($db->col["payment_response"])?></textarea>
										</td>
									</tr>
<?php
				}
?>
								</table>
							</div>
						</td>
					</tr>
<?php
			}
			if (($payment_type == "cc" || $payment_type == "ipn") && ($order_data["payment_gateway_id"] != "" && file_exists("content/engine/payment/payment_".$order_data["payment_gateway_id"].".php")))
			{
				$gateway_file = escapeFileName($order_data["payment_gateway_id"]); 
				require_once("content/engine/payment/payment_".$gateway_file.".php");
				eval("\$payment_gateway = new ".strtoupper("PAYMENT_".$order_data["payment_gateway_id"])."();");
				if ($payment_gateway)
				{
					$payment_gateway->getSettingsData($db);
					$custom_vars = $payment_gateway->getVarStatus($order_data["custom1"], $order_data["custom2"], $order_data["custom3"], $order_data["status"], $order_data["payment_status"]);
				}
			}
			for ($i=1; $i<=3; $i++)
			{
				if ($custom_vars[$i] != false)
				{
?>
					<tr>
						<td>&nbsp;</td>
						<td class="formItemControl">
							<?=$custom_vars[$i]["message"]?>
							<?if($custom_vars[$i]["executable"]){?>
								<div style="padding-top:7px;"><a href="admin.php?p=order_process&oid=<?=$oid?>&mode=process_custom&custom_id=1"><?=$custom_vars[$i]["link_caption"]?></a></div>
							<?}?>
						</td>
					</tr>
		
<?php			}
			}

			if (in_array($order_data["payment_status"], array("Pending", "Partial")) || in_array($order_data["custom1"], array("sale", "none", "pre", "auth", "erp", "fulfill")))
			{
				require_once("admin_order_customvars.php");
			}
			if (($cf_invoice && is_array($cf_invoice) && count($cf_invoice) > 0) || trim($order_data["gift_message"]) != "")
			{
?>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_field.gif"/></div>
							<div class="formHeaderText">Order Custom Fields Values</div>
						</td>
					</tr>
<?php			
				if (trim($order_data["gift_message"]) != "")
				{
					echo "<tr><td align='right'>Gift Message :</td><td>".$order_data["gift_message"]."</td></tr>";
				}	
			
				if (($cf_invoice && is_array($cf_invoice) && count($cf_invoice) > 0))
				{
					foreach($cf_invoice as $field)
					{
						echo "<tr><td align=\"right\" height=\"40\">".$field["field_name"]." :</td><td>".$field["value_translated"]."</td></tr>";
					}
				}
			}
?>	
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes" /> &nbsp;
		<input type="reset" value="Reset form" />
	</div>
</form>

<form name="frmCCS" id="frmCCS" method="post" action="admin.php?p=order&oid=<?=$oid?>#ccs" method="POST">
	<input type="hidden" name="ccs_show" value="true"/>
	<input type="hidden" id="hidden_ccs_username" name="ccs_username" value=""/>
	<input type="hidden" id="hidden_ccs_password" name="ccs_password" value=""/>
</form>
<?php
		}
	}
	else
	{
		pageHeader("Can't Select Order", "", "ic_order.gif");
		pageNote(array(
			array("icon"=>"ic_error.gif", "text"=>"<b>Can't select order by specified ID</b>", "url"=>"", "visible"=>true)
		));
		pageWhat(array(
			array("text"=>"Browse orders", "url"=>"admin.php?p=orders")
		));
	}
?>
