<?php
	$daysAdvance = isset($_POST['daysAdvance']) ? $_POST['daysAdvance'] : '';
	$mailClass = isset($_POST['MailClass']) ? $_POST['MailClass'] : '';
	$mailpieceShape = isset($_POST['MailpieceShape']) ? $_POST['MailpieceShape'] : '';
	$weightOz = isset($_POST['WeightOz']) ? $_POST['WeightOz'] : '';
	$declaredValue = isset($_POST['DeclaredValue']) ? $_POST['DeclaredValue'] : '';
	$packageDescription = isset($_POST['PackageDescription']) ? $_POST['PackageDescription'] : '';
	$length = isset($_POST['Length']) ? $_POST['Length'] : '';
	$width = isset($_POST['Width']) ? $_POST['Width'] : '';
	$height = isset($POST['Height']) ? $_POST['Height'] : '';
	$insurance = isset($POST['Insurance']) ? $_POST['Insurance'] : '';

	$shipToName = $order_data['shipping_name'];
	$shipToType = $order_data['shipping_address_type'];
	$shipToAddress1 = $order_data['shipping_address1'];
	$shipToAddress2 = $order_data['shipping_address2'];
	$shipToCity = $order_data['shipping_city'];
	$shipToStateName = $order_data['shipping_province'];
	$shipToStateCode = $order_data['state_code'];
	$shipToZip = $order_data['shipping_zip'];
	$shipToCountryName = $order_data['country_name'];
	$shipToCountryCode = $order_data['country_iso_a2'];
	$shipToPhone = $user_data['phone'];

	$shipFromName = $settings['CompanyName'];
	$shipFromAddress1 = $settings['ShippingOriginAddressLine1'];
	$shipFromAddress2 = $settings['ShippingOriginAddressLine2'];
	$shipFromCity = $settings['ShippingOriginCity'];
	$shipFromState = $settings['ShippingOriginState'];
	$shipFromZip = $settings['ShippingOriginZip'];
	$shipFromCountry = $settings['ShippingOriginCountry'];
	$shipFromPhone = $settings['CompanyPhone'];

	if ($result = $db->selectOne("SELECT name, short_name FROM ".DB_PREFIX."states WHERE stid='".$db->escape($shipFromState)."'"))
	{
		$shipFromStateName = $result['name'];
		$shipFromStateCode = $result['short_name'];
	}
	else
	{
		$shipFromStateName = $shipFromStateCode = $shipFromState;
	}

	if ($result = $db->selectOne("SELECT name, iso_a2 FROM ".DB_PREFIX."countries WHERE coid='".$db->escape($shipFromCountry)."'"))
	{
		$shipFromCountryName = $result['name'];
		$shipFromCountryCode = $result['iso_a2'];
	}

	$endicia = new Shipping_Endicia($settings['EndiciaShippingLabelsAccountID'], $settings['EndiciaShippingLabelsPassword'], $settings['EndiciaShippingLabelsTestMode']);

	$is_endicia_acct_valid = $endicia->GetEndiciaAccountStatus();
	$endicia_balance = $endicia->GetEndiciaAccountBalance();
?>

<div id="admin-tab-sheet-enlabel" class="admin-tab-sheet">
	<div class="admin-tab-sheet-wrap">

		<!-- shipping details -->
		<div class="admin-form-header first"><span class="icon ic-icon ic-invoice"></span>Shipping Details</div>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td width="50%" style="padding:10px 0px 0px 31px;">
					<strong>Shipping Origin Address</strong><br/>
					<?=gs($shipFromName );?><br/>
					<?=gs($shipFromAddress1);?><br/>
					<?=trim($shipFromAddress2)==''?'':(gs($shipFromAddress2).'<br/>');?>
					<?=gs($shipFromCity).', '.gs($shipFromStateName).' '.gs($shipFromZip);?><br/>
					<?=gs($shipFromCountryName);?><br/>
					&nbsp;
				</td>
				<td width="50%" style="padding:10px 0px 0px 31px;">
					<strong>Shipping Destination Address</strong><br/>
					<?=gs($shipToName);?> <i>(<?=gs($shipToType)?>)</i><br/>
					<?=gs($shipToAddress1);?><br/>
					<?=trim($shipToAddress2)==''?'':(gs($shipToAddress2).'<br/>');?>
					<?=gs($shipToCity).', '.gs($shipToStateName).' '.gs($shipToZip);?><br/>
					<?=gs($shipToCountryName);?><br/>
					&nbsp;
				</td>
			</tr>
		</table>
		<!-- shipping details -->

		<div class="admin-form-header">
			<span class="icon ic-icon ic-truck"></span>Print Endicia USPS Shipping Label
		</div>
<?php
	if ($is_endicia_acct_valid['Status'] == '0')
	{
?>
		<div style="padding:20px 32px;background-color:#f7f7f7;border-radius:10px;border:1px solid #aaaaaa;font-weight:normal;text-align:center;">
			<div id="endiciabalance">
				<strong>Your endicia account is active with a balance of <?php echo $endicia_balance; ?></strong>
				- <a href = "javascript:void(0)" id="opener" onclick = "">Click here to add funds to your Endicia account</a>
			</div>
			<div id="endiciabalanceupdated" style="display:none;">
				You have added funds to your Endicia Account! - <strong>Your new balance is $<span id='updatebal'></span></strong>
			</div>
		</div>
<?php
	}
?>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td colspan="3" align="left" class="formItemCaption">
				
				</td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Package type</td>
				<td width="30%" class="formItemControl">
					<select name="MailShape" id="packagetype" "width:190px;" onchange="controlDeliveryService();">
						<option value="Choose" selected="selected" >Choose a Package Type</option> 
						<option value="Parcel" <?php echo $mailpieceShape == 'Parcel' ? 'selected="selected"' : ''; ?>>Parcel</option> 
						<option value="LargeParcel" <?php echo $mailpieceShape == 'LargeParcel' ? 'selected="selected"' : ''; ?> >Large Parcel</option> 
						<option value="Letter" <?php echo $mailpieceShape == 'Letter' ? 'selected="selected"' : ''; ?>>Letter</option> 
						<option value="Card" <?php echo $mailpieceShape == 'Card' ? 'selected="selected"' : ''; ?>>Card</option>
						<option value="SmallFlatRateBox" <?php echo $mailpieceShape == 'SmallFlatRateBox' ? 'selected="selected"' : ''; ?>>Small Flat Rate Box</option> 
						<option value="MediumFlatRateBox" <?php echo $mailpieceShape == 'MediumFlatRateBox' ? 'selected="selected"' : ''; ?>>Medium Flat Rate Box</option>
						<option value="LargeFlatRateBox" <?php echo $mailpieceShape == 'LargeFlatRateBox' ? 'selected="selected"' : ''; ?>>Large Flat Rate Box</option>					
						<option value="Flat" <?php echo $mailpieceShape == 'Flat' ? 'selected="selected"' : ''; ?>>Flat</option>
						<option value="SmallFlatRateEnvelope" <?php echo $mailpieceShape == 'SmallFlatRateEnvelope' ? 'selected="selected"' : ''; ?>>Small Flat Rate Envelope</option>
						<option value="FlatRateEnvelope" <?php echo $mailpieceShape == 'FlatRateEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Envelope</option> 
						<option value="FlatRateLegalEnvelope" <?php echo $mailpieceShape == 'FlatRateLegalEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Legal Envelope</option>  
						<option value="FlatRatePaddedEnvelope" <?php echo $mailpieceShape == 'FlatRatePaddedEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Padded Envelope</option> 
						<option value="FlatRateGiftCardEnvelope" <?php echo $mailpieceShape == 'FlatRateGiftCardEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Gift Card Envelope</option> 
						<option value="FlatRateWindowEnvelope" <?php echo $mailpieceShape == 'FlatRateWindowEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Window Envelope</option> 
						<option value="FlatRateCardboardEnvelope" <?php echo $mailpieceShape == 'FlatRateCardboardEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Cardboard Envelope</option> 	
					</select>	
				</td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Delivery service</td>
				<td width="30%" class="formItemControl">
					<select name="MailClass" id="classofmail" style="width:240px;">
						<option value="ChooseFirst">Select a package type above</option> 
					</select>	
				</td>	
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Package weight (ounces)</td>
				<td width="30%" class="formItemControl"><input type="text" style="width:80px;" id="pweight" name="WeightOz" class="number"> </td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Declared value</td>
				<td width="30%" class="formItemControl"><input type="text" style="width:80px;" id="pdecvalue" name="DeclaredValue" class="number" value="<?php if (isset($_POST['DeclaredValue'])) { echo "value=".$_POST['DeclaredValue'];} ?>"></td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Package description</td>
				<td colspan="2" class="formItemControl"><input type="text" style="width:300px;" id="packdesc" name="PackageDescription" <?php if (isset($_POST['PackageDescription'])) { echo "value=".$_POST['PackageDescription'];} ?> ></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Mailpiece dimensions (inches)</td>
				<td width="30%" class="formItemControl">
					<table cellpadding="0" cellspacing="0" border="0" align="left" width="210">
						<tr>
							<td width="33%" align="left">Length</td>
							<td width="33%" align="left">Height</td>
							<td width="33%" align="left">Width</td>
						</tr>
						<tr>
							<td align="left" class="formItemControl" style="padding:0px;"><input type="text" style="width:50px;" name="Length" id="plength" class="number" <?php echo $length > '0' ? '" value=$length"' : ''; ?>></td>
							<td align="left" class="formItemControl" style="padding:0px;"><input type="text" style="width:50px;" name="Height" id="pheight" class="number" <?php echo $height > '0' ? '" value=$height"' : ''; ?>></td>
							<td align="left" class="formItemControl" style="padding:0px;"><input type="text" style="width:50px;" name="Width" id="pwidth" class="number" <?php echo $width > '0' ? '" value=$width"' : ''; ?>></td>
						</tr>
					</table>
				</td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Ship on</td>
				<td width="30%" class="formItemControl">
					<select name="DaysAdvance" style="width:150px;">	
						<option value="0" <?php echo $daysAdvance == '0' ? 'selected="selected"' : ''; ?>>Today</option>
						<option value="1" <?php echo $daysAdvance == '1' ? 'selected="selected"' : ''; ?>>Tomorrow <?php echo date("m/d",strtotime("+1 day")); ?></option> 
						<option value="2" <?php echo $daysAdvance == '2' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+2 day")); ?></option> 
						<option value="3" <?php echo $daysAdvance == '3' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+3 day")); ?></option> 
						<option value="4" <?php echo $daysAdvance == '4' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+4 day")); ?></option> 
						<option value="5" <?php echo $daysAdvance == '5' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+5 day")); ?></option>
						<option value="6" <?php echo $daysAdvance == '6' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+6 day")); ?></option>
						<option value="7" <?php echo $daysAdvance == '7' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+7 day")); ?></option>
					</select>
				</td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td colspan="3" align="left" class="formItemCaption"><strong>Special Services requested for this package</strong></td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Insurance</td>
				<td colspan="2" class="formItemControl">
					<input type="radio" name="Insurance" value="None" checked="checked">None<br/>	
					<input type="radio" name="Insurance" value="UspsOnline" <?php echo $insurance == 'USPS Online' ? ' checked="checked"' : ''; ?>>USPS Online - *Not allowed for International Mail or When Stealth Mode is on<br/>
					<input type="radio" name="Insurance" value="Endicia" <?php echo $insurance == 'Endicia' ? ' checked="checked"' : '';  ?>>Endicia - *Not included in postage price. It is billed to your Endicia account
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Certified mail</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="CertifiedMail" <?php if (isset($_POST['CertifiedMail'])) { echo ' checked="checked"';} ?>>
					<span class="formHelp">Available for First-Class and Priority Mail</span>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Restriced delivery</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="RestrictedDelivery" <?php if (isset($_POST['RestrictedDelivery'])) { echo ' checked="checked"';} ?>>	
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">No weekend delivery</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="NoWeekendDelivery" <?php if (isset($_POST['NoWeekendDelivery'])) { echo ' checked="checked"';} ?>>
					<span class="formHelp">Delivery attempts will not be made on Saturday</span>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Return receipt</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="ReturnReceipt" <?php if (isset($_POST['ReturnReceipt'])) { echo ' checked="checked"';} ?>>
					<span class="formHelp">Not supported for International Mail</span>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Signature confirmation</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="AdultSignature" <?php if (isset($_POST['AdultSignature'])) { echo ' checked="checked"';} ?>>	
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Stealth postage mode</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="Stealth">
					<span class="formHelp">Stealth mode cannot be used with COD, USPS Insurance and Card Shape Mailpieces</span>
				</td>
			</tr>
		</table>
		
		<input type="hidden" name="orderid" value="<?php echo $oid;?>">
		<input type="hidden" name="shiptoname" value="<?php echo htmlspecialchars($shipToName);?>">
		<input type="hidden" name="shiptoaddress1" value="<?php echo htmlspecialchars($shipToAddress1);?>">
		<input type="hidden" name="shiptoaddress2" value="<?php echo htmlspecialchars($shipToAddress2);?>">
		<input type="hidden" name="shiptocity" value="<?php echo htmlspecialchars($shipToCity);?>">
		<input type="hidden" name="shiptostate" value="<?php echo htmlspecialchars($shipToStateCode);?>">
		<input type="hidden" name="shiptozip" value="<?php echo htmlspecialchars($shipToZip);?>">
		<input type="hidden" name="shiptocountryname" value="<?php echo htmlspecialchars($shipToCountryName);?>">
		<input type="hidden" name="shiptocountrycode" value="<?php echo htmlspecialchars($shipToCountryCode);?>">
		<input type="hidden" name="shiptophone" value="<?php echo htmlspecialchars($shipToPhone);?>">

		<input type="hidden" name="shipfromname" value="<?php echo htmlspecialchars($shipFromName);?>">
		<input type="hidden" name="shipfromaddress1" value="<?php echo htmlspecialchars($shipFromAddress1);?>">
		<input type="hidden" name="shipfromaddress2" value="<?php echo htmlspecialchars($shipFromAddress2);?>">
		<input type="hidden" name="shipfromcity" value="<?php echo htmlspecialchars($shipFromCity);?>">
		<input type="hidden" name="shipfromstate" value="<?php echo htmlspecialchars($shipFromStateCode);?>">
		<input type="hidden" name="shipfromzip" value="<?php echo htmlspecialchars($shipFromZip);?>">
		<input type="hidden" name="shipfromcountryname" value="<?php echo htmlspecialchars($shipFromCountryName);?>">
		<input type="hidden" name="shipfromcountrycode" value="<?php echo htmlspecialchars($shipFromCountryCode);?>">
		<input type="hidden" name="shipfromphone" value="<?php echo htmlspecialchars($shipFromPhone);?>">
		<input type="hidden" name="nonce" value="<?php echo create_nonce('endicia_label'); ?>"/>
		<!-- end billing and shipping -->
	
	</div>
	<div class="admin-form-buttons">
		<input type="button" id="postageSubmit" value="Submit Label" />
		<input type="reset" value="Reset form" />
	</div>
</div>

<div id="endiciaLabelDialog" style="display:none;">
	<div style="text-align:center;">
		<iframe id="endiciaLabelIframe" name="endiciaLabelIframe" border=0 style="border:none;width:500px;height:500px;"></iframe>
	</div>
</div>
<div id="endiciaAddPostage" style="display:none";>
	<div id ="endiciapostagestep1">
		<table width="99%" cellspacing="5">
			<tr>
				<td colspan="2">
					<div class="admin-form-header first">
						<span class="icon ic-icon ic-truck"></span><strong>Add Funds to Your Endicia Account</strong>
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="2" height="8"></td>
			</tr>
			<tr>
				<td colspan="2">Adding Funds to your DYMO Endicia Account is easy!<br /><br />Simply verify your Account Passphrase below, enter an amount<br /> to add and click Add Funds to My Account</td>
			</tr>
			<tr>
				<td colspan="2" height="22" align="center">
					<span id="error1" style="color:red; display:none;">The Passphrase you entered was not correct</span>
					<span id="error2" style="color:red; display:none;">We were unable to Add Funds to your Account</span> 
				</td>
			</tr>
			<tr>
				<td width="33%">
					<strong>Verify passphrase</strong>
				</td>
				<td width="66%" class="formItemControl">
					<input type="password" name="passconfirm" style="width:140px;">
				</td>
			</tr>
			<tr>
				<td colspan="2" height="12" align="center">
				</td>
			</tr>
			<tr>
				<td>
					<strong>Amount to add</strong>
				</td>
				<td class="formItemControl">
					<input type="text" size="6" class="number" name="amount_to_add" style="width:80px;">
				</td>
			</tr>
			<tr>
				<td colspan="2" height="34"></td>
			</tr>
		</table>

		<div class="admin-form-buttons">
			<input type="button" id="fundsSubmit" value="Add Funds to My Account" />
			<input type="reset" value="Reset form" />
		</div>
	</div>

	<div id="endiciapostagestep2" style="display:none; position: absolute; left: 220px; top: 160px; "; >
		<img src="images/admin/spinner-big.gif"/>
	</div>

	<div id="endiciapostagesuccess" style="display:none;">
		<table width="99%" cellspacing="5">
			<tr>
				<td colspan="2">
					<div class="admin-form-header first">
						<span class="icon ic-icon ic-truck"></span> <strong>Add Funds to Your Endicia Account</strong>
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="2" height="8"></td>
			</tr>
			<tr>
				<td colspan="2">You have sucessfully added funds to your Endicia Account</td>
			</tr>
			<tr>
				<td colspan="2" height="12"></td>
			</tr>
			<tr>
				<td width="33%">
					<strong>Verify Passphrase:</strong>
				</td>
				<td width="66%" class="formItemControl">
					<input type="password" name="passconfirm" style="width:140px;">
				</td>
			</tr>
		</table>
	</div>
</div>

<script type="text/javascript">
var shipToCountryCode = '<?=addslashes($shipToCountryCode);?>';
$(document).ready(function() 
{
	$('#admin-tab-sheet-enlabel input').keypress(function(evt){
		var charCode = (evt.which) ? evt.which : evt.keyCode;

		if (charCode == 13)
		{
			$('#postageSubmit').click();
			return false;
		}

		return true;
	});
	$('input.number').keypress(function(evt)
	{
		var num = $(this).val();

		var charCode = (evt.which) ? evt.which : evt.keyCode;
		if (num.indexOf('.') >= 0 && charCode == 46)
		{
			return false;
		}
		if (charCode != 46 && charCode > 31 && (charCode < 48 || charCode > 57))
		{
			return false;
		}

		return true;
	});

	$('#endiciaLabelDialog').dialog({
		autoOpen: false,
		modal: true,
		width: 550,
		height: 580,
		resizable: false,
		buttons: [
    		{
				text: "Print",
				click: function() { 
					window.frames["endiciaLabelIframe"].focus();
					window.frames["endiciaLabelIframe"].print(); }
    		},
			{
				text: "Close",
				click: function() { $(this).dialog("close"); }
			}
		]
	});

	dialog = $('#endiciaAddPostage').dialog({
		autoOpen: false,
		modal: true,
		width: 500,
		height: 450,
		draggable: false,
		resizable: false
	});

	$('#opener').click(function() {
		dialog.dialog('open');
		return false;
	});

	$('#postageSubmit').click(getPostageSubmit);
	$('#fundsSubmit').click(addFundsSubmit);
});

function isEmpty(inputName)
{
	return $.trim($('input[name='+inputName+']').val()) == '';
}

function setfocus(inputName)
{
	$('input[name='+inputName+']').focus();
}

function getValue(inputName)
{
	return $('[name='+inputName+']').val();
}

function getRadioValue(inputName)
{
	return $('input[name='+inputName+']:checked').val();
}

function getIsChecked(inputName)
{
	return $('input[name='+inputName+']').is(':checked');
}

function resetCheckbox(inputName)
{
	return $('input[name='+inputName+']').attr('checked', false);
}

function addFundsSubmit(form)
{
	if (isEmpty('passconfirm'))
	{
		alert("You must confirm your Endicia Account Passphrase.");
		setfocus('passconfirm');
		return false;
	}

	if (isEmpty('amount_to_add'))
	{
		alert("You must provide an amount to add to your Endicia account.");
		return false;
	}

	$('#endiciapostagestep1').hide();
	$('#endiciapostagestep2').show();

	$.ajax
	({  
		type: "POST",  
		url: "admin.php?p=endicia_addfundstoaccount&chart=true",
		data: $('#endiciapostagestep1 input').serialize(),
			success: function(response)
			{  
				if(response.result == 1)
				{
					$('#endiciapostagestep2').hide();
					$('#endiciabalance').hide();
					$('#endiciabalanceupdated').show();
					$('#updatebal').html(response.newbal);
					$('#endiciaAddPostage').dialog('close');
				}

				else
				{
					if(response.result == 0)
					{
						$('#endiciapostagestep2').hide();
						$('#endiciapostagestep1').show();
						$('#error1').show();
					}
					
					else
					{
						$('#endiciapostagestep2').hide();
						$('#endiciapostagestep1').show();

						if (response.message)
						{
							$('#error2').text(response.message);
						}
						else
						{
							$('#error2').text('We were unable to Add Funds to your Account');
						}

						$('#error2').show();
					}
					

				}
			},
		dataType: 'json'
	});

	return false;
}

function getPostageSubmit(form)
{
	if (isEmpty('WeightOz'))
	{
		alert("You Must Enter the Package Weight");
		setfocus('WeightOz');
		return false;
	}

	if (isEmpty('DeclaredValue'))
	{
		alert("You Must Declare the Package's Value");
		setfocus('DeclaredValue');
		return false;
	}

	if (isEmpty('PackageDescription'))
	{
		alert("You Must fill out the Package Description");
		setfocus('PackageDescription');
		return false;
	}

	if (isEmpty('Length'))
	{
		alert("You Must Enter the Package Length");
		setfocus('Length');
		return false;
	}

	if (isEmpty('Width'))
	{
		alert("You Must Enter the Package Width");
		setfocus('Width');
		return false;
	}

	if (isEmpty('Height'))
	{
		alert("You Must Enter the Package Height");
		setfocus('Height');
		return false;
	}

	if ((getValue('MailShape')) == 'Choose')
	{
		alert("You must Choose a Package Type");
		return false;
	}

	mweight = parseFloat(getValue('WeightOz'));
	mclass = getValue('MailClass');
	mvalue = parseFloat(getValue('DeclaredValue'));
	mshiptocountry = getValue('shiptocountry');
	mlength = parseFloat(getValue('Length'));
	mwidth = parseFloat(getValue('Width'));
	mheight = parseFloat(getValue('Height'));
	mpack = getValue('MailShape');

	if (mpack == 'Letter' && mweight > 3.5)
	{
		alert("The maximum weight for a standard letter is 3.5 ounces.");
		setfocus('WeightOz');
		return false;
	}

	if (mlength > 130)
	{
		alert("The maximum length of a package allowed by the USPS is 130 inches");
		setFocus('Length');
		return false;
	}

	if (mwidth > 130)
	{
		alert("The maximum width of a package allowed by the USPS is 130 inches");
		setfocus('Width');
		return false;
	}

	if (mheight > 130)
	{
		alert("The maximum height of a package allowed by the USPS is 130 inches");
		setfocus('Height');
		return false;
	}

	if ((getIsChecked('CertifiedMail')) && ((mclass != 'First') || (mclass != 'PriorityMail')))
	{
		alert("Certified Mail can only be selected for First-Class or Priority Mail types.");
		resetCheckbox('CertifiedMail');
		setfocus('CertifiedMail');
		return false;
	}

	if ((mclass == 'CriticalMail') && ((mpack != 'Letter') || (mpack != 'Flat')))
	{
		alert("Critical Mail can only be used with Letter or Flat Package types.");
		resetCheckbox('CriticalMail');
		return false;
	}

	if ((mshiptocountry != 'United States') && (getIsChecked('ReturnReceipt')) )
	{
		alert("You cannot select Return Receipt with International Mail");
		resetCheckbox('ReturnReceipt');
		setfocus('ReturnRecept');
		return false;
	}

	if ((mclass == 'StandardMail') && (mweight > 16))
	{
		alert("Standard Mail cannot weigh more than 16 ounces.");
		setfocus('MailClass');
		return false;
	}

	if ((getIsChecked('RestrictedDelivery')) && ((mvalue < 200) || (!getIsChecked('CertfiedMail'))))
	{
		alert("Restricted Delivery must be selected in conjunction with Insurace (amount must be over $200) or Certified Mail");
		resetCheckbox('RestrictedDelivery');
		setfocus('RestrictedDelivery');
		return false;
	}

	if ((shipToCountryCode == 'US') && mclass == ('ExpressMailInternational'))
	{
		alert("You cannot ship International Mail to the United States");
		return false;
	}

	if ((mclass == 'Express' || mclass == 'ExpressMailInternational') && (mweight < 13))
	{
		alert("Express Mail must weigh more than 13 ounces");
		return false;
	}

	$('input[name=mode]').val('getPostage');

	formData = $('form[name=frmOrder]').serialize();
	$.ajax({
		type: 'POST',
		url: 'admin.php?p=endicia_generatepostagelabel&chart=true',
		data: formData,
		success: function(data){
			if (data.result == 1)
			{
				var ifrm = document.getElementById('endiciaLabelIframe');
				ifrm = (ifrm.contentWindow) ? ifrm.contentWindow : (ifrm.contentDocument.document) ? ifrm.contentDocument.document : ifrm.contentDocument;
				ifrm.document.open();
				ifrm.document.write('<body style="padding:0px;margin:0px;"><div style="text-align:center;"><img src="admin.php?p=endicia_viewlabel&f=' + data.labelUrl + '" style="max-width:490px;max-height:480px;"></div></body>');
				ifrm.document.close();
				$('#endiciaLabelDialog').data('endiciaLabelImageUrl', 'admin.php?p=endicia_viewlabel&f=' + data.labelUrl);
				$('#endiciaLabelDialog').dialog({title:'USPS Shipping Label - ' + data.trackingNumber});
				$('#endiciaLabelDialog').dialog('open');
			}
			else
			{
				alert(data.error);
			}
		}
	});
	return false;
}

function controlDeliveryService()
{
	packtype = getValue('MailShape');
	$("#packagetype option[value='Choose']").remove();
	$('#plength').val('');
	$('#pheight').val('');
	$('#pwidth').val('');
	$('#pweight').val('');
	
	if (packtype == 'Parcel' || packtype == 'LargeParcel' )
	{
		$('#classofmail').children().remove().end();	
		if (shipToCountryCode == 'US')
		{
			$('#classofmail').append('<option value="First">First Class Mail</option>');
			$('#classofmail').append('<option value="Express">Express Mail</option>');
			$('#classofmail').append('<option value="Priority">Priority Mail</option>');
			$('#classofmail').append('<option value="ParcelPost">Standard Post</option>');
			$('#classofmail').append('<option value="ParcelSelect">Parcel Select</option>');
		}
		else
		{
			$('#classofmail').append('<option value="FirstClassMailInternational">First-Class Mail International</option>');
			$('#classofmail').append('<option value="ExpressMailInternational">Express Mail International</option>');
			$('#classofmail').append('<option value="PriorityMailInternational">Priority Mail International</option>');
		}

		if ((packtype == 'Parcel') && (shipToCountryCode == 'US'))
		{
			$('#classofmail').append('<option value="LibraryMail">Library Mail</option> ');
			$('#classofmail').append('<option value="MediaMail">Media Mail</option> ');	
		}
	}
	else if (packtype == 'Letter')
	{
		$('#classofmail').children().remove().end();

		if (shipToCountryCode == 'US')
		{
			$('#classofmail').append('<option value="First">First Class Mail</option>');
			$('#classofmail').append('<option value="CriticalMail">Critical Mail</option>');
		}
		else
		{
			$('#classofmail').append('<option value="FirstClassMailInternational">First-Class Mail International</option>');
		}

		setPackageDimensions(8.375, 0, 4.125, false);
	}
	else if (packtype == 'Card')
	{
		$('#classofmail').children().remove().end();

		if (shipToCountryCode == 'US')
		{
			$('#classofmail').append('<option value="First">First Class Mail</option>');
		}

		setPackageDimensions(6.9, 0, 4.9, false);
	}
	else if (packtype == 'Flat')
	{
		$('#classofmail').children().remove().end();

		if (mmcountry == 'United States') 
		{
			$('#classofmail').append('<option value="First">First Class Mail</option>');
			$('#classofmail').append('<option value="Priority">Priority Mail</option>');
			$('#classofmail').append('<option value="CriticalMail">Critical Mail</option>');
		}
		else
		{
			$('#classofmail').append('<option value="FirstClassMailInternational">First-Class Mail International</option>');
			$('#classofmail').append('<option value="PriorityMailInternational">Priority Mail International</option>');
		}

		$('#pwidth').val('0');
	}
	else if(packtype == 'SmallFlatRateBox' || packtype == 'MediumFlatRateBox' || packtype == 'LargeFlatRateBox' ||
		packtype == 'SmallFlatRateEnvelope' || packtype == 'FlatRateEnvelope' || packtype == 'FlatRateLegalEnvelope' ||
		packtype == 'FlatRatePaddedEnvelope' || packtype == 'FlatRateWindowEnvelope' ||
		packtype == 'FlatRateCardboardEnvelope' || packtype == 'FlatRateGiftCardEnvelope') 
	{
		$('#classofmail').children().remove().end();
		
		if (shipToCountryCode == 'US')
		{
			$('#classofmail').append('<option value="Priority">Priority Mail</option>');
		}
		else
		{
			$('#classofmail').append('<option value="PriorityMailInternational">Priority Mail International</option>');
		}

		// $('#plength').attr('readonly', false);
		// $('#pwidth').attr('readonly', false);
		// $('#pheight').attr('readonly', false);

		if(packtype == 'SmallFlatRateBox')
		{
			setPackageDimensions(8.625, 1.625, 5.375, false);
		}

		if(packtype == 'MediumFlatRateBox') 
		{
			setPackageDimensions(13.625, 3.375, 11.875, true);
		}

		if(packtype == 'LargeFlatRateBox') 
		{
			setPackageDimensions(12, 5.5, 12, false);
		}

		if(packtype == 'FlatRateEnvelope')
		{
			setPackageDimensions(12.5, 0, 9.5, true);
		}

		if(packtype == 'SmallFlatRateEnvelope')
		{
			setPackageDimensions(6, 0, 10);
		}

		if(packtype == 'FlatRateWindowEnvelope')
		{
			setPackageDimensions(5, 0, 10);
		}

		if(packtype == 'FlatRatePaddedEnvelope')
		{
			setPackageDimensions(12.5, 0, 9.5, false);
		}

		if(packtype == 'FlatRateLegalEnvelope')
		{
			setPackageDimensions(15, 0, 9.5, true);
		}

		if(packtype == 'FlatRateGiftCardEnvelope' || packtype == 'FlatRateCardboardEnvelope')
		{
			setPackageDimensions(10, 0, 7, false);
		}
	}
}

function setPackageDimensions(length, width, height, appendExpressMail)
{
	$('#plength').val(length);
	$('#pwidth').val(width);
	$('#pheight').val(height);

	if (appendExpressMail)
	{
		if (shipToCountryCode == 'US')
		{
			$('#classofmail').append('<option value="Express">Express Mail</option>');
		}
		else
		{
			$('#classofmail').append('<option value="ExpressMailInternational">Express Mail International</option>');
		}
	}
}
</script>