<?php

	if (!defined("ENV")) exit();

	// added on 09-01-05
	// Read setting to custamize Inovice page
	function isImageFile($element_id, $group_id){
		$img = "images/".$group_id."/english/".$element_id.".";
		if(file_exists($img."jpg")){
			return $img."jpg";
		}
		if(file_exists($img."gif")){
			return $img."gif";
		}
		if(file_exists($img."png")){
			return $img."png";
		}
		
		return false;
	}
	
	$logo_image = false;
	$db->query("SELECT * FROM ".DB_PREFIX."design_elements WHERE group_id='image' and element_id ='imageLogo'");
	if($db->moveNext()){
		$logo_image = isImageFile($db->col["element_id"], 'images');
		if($logo_image){
			$img_data = getImageSize($logo_image);
		}
	}
	
	$orders = isset($orders)?$orders:"";
	$orders = explode(";",trim($orders, ';'));
	
	$orders_count = count($orders);
	$counter = 1;
	
	reset($orders);
	foreach($orders as $id=>$oid){
		$db->query("
			SELECT ".DB_PREFIX."orders.*,
				".DB_PREFIX."countries.name AS country_name
			FROM ".DB_PREFIX."orders 
			LEFT JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."countries.coid = ".DB_PREFIX."orders.shipping_country
			WHERE 
				".DB_PREFIX."orders.oid='".$oid."' AND (".DB_PREFIX."orders.removed='No')
		");
		if($db->moveNext()){
			$order_data = $db->col;
			$db->query("
				SELECT ".DB_PREFIX."users.*,
					".DB_PREFIX."countries.name AS country_name
				FROM ".DB_PREFIX."users 
				INNER JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."countries.coid = ".DB_PREFIX."users.country
				WHERE 
					".DB_PREFIX."users.uid='".$order_data["uid"]."'
			");
			if($db->moveNext()){
				$user_data = $db->col;
				
				$customFields = new CustomFields($db);
				
				$cf_billing = $customFields->getCustomFieldsValues("billing", $user_data["uid"], 0, 0);
				$cf_shipping = $customFields->getCustomFieldsValues("shipping", $user_data["uid"], $oid, 0);
				$cf_invoice = $customFields->getCustomFieldsValues("invoice", $user_data["uid"], $oid, 0);
			}
			
			$page_break = ($counter != $orders_count) ? 'style="page-break-after: always;"' : '';
			$counter++;
?>
<table width="100%" cellpadding="10" cellspacing="2" border="0" bgcolor="black" <?php echo $page_break; ?>>
<tr>
		<td bgcolor="white" height="100">
<table width="100%" cellpadding="0" cellspacing="" border="0" bgcolor="white">
<?if($settings["PrintableInvoiceCompanyLogoAlignment"]!="NO" && $logo_image){ ?>    
	<tr>
    	<td bgcolor="white" colspan='2' align="<?=$settings["PrintableInvoiceCompanyLogoAlignment"]?>" border="0">
    	<img src="<?=$logo_image?>?rand=<?=rand(1, 100000)?>" width="<?=$img_data[0]>300?300:$img_data[0]?>" vspace="5">
    	</td>
    </tr>
	<tr>
<?}?>
	<tr valign="top">
		<td width="70%" style="font-size:19px;">
			<b><?=gs($settings["CompanyName"])?> </b>
		</td>
		<td width="30%" style="font-size:16px;">
			<b>Order ID: <?=$order_data["order_num"]>0?$order_data["order_num"]:"Abandon Order"?></b>
			<?=$order_data["order_num"]>0?"":('<br><span style="font-size:12px;"><u>Abandon ID: A'.$order_data["oid"]."</u></span>")?>
		</td>
	</tr>
	<tr valign="top">
		<td bgcolor="white" style="font-size:13px;">
			<p>
				<b>Billing Information</b><br>
<?		if($order_data["payment_gateway_id"] != "paypalec"){?>
				<?=gs($user_data["fname"]." ".$user_data["lname"])?><br>
				<?=trim($user_data["company"])!=""?(gs($user_data["company"])."<br>"):""?>
				<?=gs($user_data["address1"])?><br>
				<?=trim($user_data["address2"])!=""?gs($user_data["address2"])."<br>":""?>
				<?=gs($user_data["city"])?>, <?=gs($user_data["province"])?> <?=gs($user_data["zip"])?><br>
				<?=gs($user_data["country_name"])?><br>
				Email: <a href="mailto:<?=$user_data["email"]?>"><?=$user_data["email"]?></a><br>
				Phone: <?=($user_data["phone"])?>
<?			if($cf_billing && is_array($cf_billing) && count($cf_billing) >0){
				foreach($cf_billing as $field){
					echo "<br>".$field["field_name"]." : ".$field["value_translated"];
				}
			}
		}
		else{
			echo "PayPal Express Order - BIlling Information at PayPal";
		}
?>

			</p>
			<p>
				<b>Shipping Information</b><br>
				<?if($order_data["shipping_digital"]){?>
					There no shipping information available<br>
					Digital Download
				<?}else{?>
				<?=gs($order_data["shipping_name"].' '.$order_data["shipping_lname"])?><br>
				<?=trim($order_data["shipping_company"])!=""?(gs($order_data["shipping_company"])."<br>"):""?>
				<?=gs($order_data["shipping_address1"])?><br>
				<?=trim($order_data["shipping_address2"])!=""?gs($order_data["shipping_address2"])."<br>":""?>
				<?=gs($order_data["shipping_city"])?>, <?=gs($order_data["shipping_province"])?> <?=gs($order_data["shipping_zip"])?><br>
				<?=gs($order_data["country_name"])?>
				<?}?>
<?			if($cf_shipping && is_array($cf_shipping) && count($cf_shipping) >0){
				foreach($cf_shipping as $field){
					echo "<br>".$field["field_name"]." : ".$field["value_translated"];
				}
			}
?>			</p>
		</td>
		<td style="font-size:13px;">
			<p>
				<?	if($settings["PrintableInvoiceCompanyName"] == "YES"){?>
				<?=gs($settings["CompanyName"]); }?><br>
				<?	if($settings["PrintableInvoiceCompanyAddress"] == "YES"){?>
				<?=gs($settings["CompanyAddressLine1"])?>, <?=gs($settings["CompanyAddressLine2"])?><br>
				<?=gs($settings["CompanyCity"])?>, <?=gs($settings["CompanyState"])?> <?=gs($settings["CompanyZip"])?><br>
				<?=gs($settings["CompanyCountry"]); }?>
			</p>
			<p>
				<?	if($settings["PrintableInvoiceCompanyPhone"] == "YES"){?>
				Phone: <? echo $settings["CompanyPhone"]; }?>
				<?   if($settings["PrintableInvoiceCompanyFax"] == "YES"){ echo "<br>";?>
				Fax: <? echo $settings["CompanyFax"]; }?>
				<?   if($settings["PrintableInvoiceCompanyEmail"] == "YES"){ echo "<br>";?>
				Email: <? echo $settings["CompanyEmail"]; }?>
				<?	 if($settings["PrintableInvoiceCompanyWeb"] == "YES"){ echo "<br>";?>
				Website: <?=$settings["CompanyWebsite"]; }?>
			</p>
		</td>
	</tr>
</table>
		</td>
	</tr>
	<tr>
		<td bgcolor="white" height="100">
<table width="100%" cellpadding="5" cellspacing="0" border="0" bgcolor="white">
	<tr>
		<td width="15%" style="font-size:13px;"><b>Product ID</b></td>
		<td width="40%" style="font-size:13px;"><b>Product Name</b></td>
		<td width="15%" style="font-size:13px;"><b>Unit Price</b></td>
		<td width="15%" style="font-size:13px;"><b>Quantity</b></td>
		<td width="15%" style="font-size:13px;"><b>Total</b></td>
	</tr>
<?			$db->query("SELECT * FROM ".DB_PREFIX."orders_content WHERE oid='".$oid."' AND admin_quantity > 0 ORDER BY product_id");
			$_subtotal_amount = 0;
			while($db->moveNext()){
				$_price = $settings["DisplayPricesWithTax"]=="YES"?$db->col["admin_price"]*(1+$db->col["tax_rate"]/100):$db->col["admin_price"];
				$_price_total = $_price * $db->col["admin_quantity"];
				$_subtotal_amount = $_subtotal_amount + $_price_total;
?>
	<tr valign="top">
		<td background="images/bg1.gif" style="font-size:13px;"><?=gs($db->col["product_id"])?></td>
		<td background="images/bg1.gif" style="font-size:13px;">
			<?=gs($db->col["title"])?><?=trim($db->col["options"])!=""?("<br><i><u>Options:</u><br>".nl2br(gs($db->col["options"]))."</i>"):""?>
<?			if($db->col["is_taxable"]=="Yes"){?>
			<div style="font-size:10px;">
				Tax: <?=$db->col["tax_description"]!=""?$db->col["tax_description"]:(myNum($db->col["tax_rate"])."%")?>
				<?=$settings["DisplayPricesWithTax"]=="YES"?" - included in price":""?>
			</div>
<?			}?>
		</td>
		<td background="images/bg1.gif" style="font-size:13px;">
			<?=getAdminPrice($_price)?> 
<?			if($db->col["is_taxable"]!="Yes"){
			echo "<br/><i>(not taxable)</i>";
			}
?>
		</td>
		<td background="images/bg1.gif" style="font-size:13px;"><?=$db->col["admin_quantity"]?> <?=$db->col["is_taxable"]!="Yes"?"<br>&nbsp;":""?></td>
		<td background="images/bg1.gif" style="font-size:13px;">
			<?=getAdminPrice($_price_total)?>
		</tr>
<?
			}
?>
	<tr>
		<td background="images/bg1.gif" colspan="4" align="right"  style="font-size:13px;">Subtotal Amount :</td>
		<td background="images/bg1.gif" style="font-size:13px;"><?=getAdminPrice($_subtotal_amount)?></td>
	</tr>
	<tr>
		<td colspan="4" align="right" style="font-size:13px;">
			Discount 
<?			if($order_data["discount_amount"] > 0){
				if($order_data["discount_type"] == "percent"){
					echo "(-".myNum($order_data["discount_value"])."%)";
				}
				else{
					echo "(-".getAdminPrice($order_data["discount_value"]).")";
				}
				$s = "-";
			}
			else{
				$s = "";
			}
			?>			
			 :
		</td>
		<td style="font-size:13px;"><?=$s.getAdminPrice($order_data["discount_amount"])?></td>
	</tr>
	<tr>
		<td colspan="4" align="right" style="font-size:13px;">
			Promo Discount 
<?			if($order_data["promo_discount_amount"] > 0){
				if($order_data["promo_discount_type"] == "percent"){
					echo "(-".myNum($order_data["promo_discount_value"])."%)";
				}
				else{
					echo "(-".getAdminPrice($order_data["promo_discount_value"]).")";
				}
				$s = "-";
			}
			else{
				$s = "";
			}
			?>
			 :
		</td>
		<td style="font-size:13px;"><?=$s.getAdminPrice($order_data["promo_discount_amount"])?></td>
	</tr>
	<tr>
		<td colspan="4" align="right" style="font-size:13px;">
			Shipping amount 
			(<?=gs($order_data["shipping_cm_name"])?><?=$order_data["shipping_taxable"]?"; Taxable - ".$order_data["shipping_tax_description"]:""?>) :
		</td>
		<td style="font-size:13px;"><?=getAdminPrice($order_data["shipping_amount"])?></td>
	</tr>
<?	if($order_data["handling_separated"] && $order_data["handling_amount"] > 0){?>
	<tr>
		<td colspan="4" align="right" style="font-size:13px;">
			Handling fee 
			<?=$order_data["handling_fee_type"]=="percent"?(" (".myNum($order_data["handling_fee"])."%)"):""?><?=!$order_data["handling_separated"]?", <u>already added to the shipping amount</u>":""?>
			<?=$order_data["handling_taxable"]?" - Taxable - ".$order_data["handling_tax_description"]:""?>
			: 
		</td>
		<td style="font-size:13px;"><?=getAdminPrice($order_data["handling_amount"])?></td>
	</tr>

<?	}?>
	<tr>
		<td colspan="4" align="right" style="font-size:13px;">Tax Amount :</td>
		<td style="font-size:13px;"><?=getAdminPrice($order_data["tax_amount"])?></td>
	</tr>
	<tr>
		<td colspan="4" align="right" style="font-size:13px;"><b>Total Amount :</b></td>
		<td style="font-size:13px;"><b><?=getAdminPrice($order_data["total_amount"])?></b></td>
	</tr>
</table>
		</td>
	</tr>
	<tr>
		<td bgcolor="white" valign="top" style="font-size:13px;">
			<b>Payment Information</b><br>
			Method : <?=$order_data["payment_is_realtime"]=="Yes"?"Real-time":"Not real-time"?>, <?=$order_data["payment_method_name"]?><br>
<?			if($order_data["payment_is_realtime"]=="Yes"){
				$db->query("SELECT *, DATE_FORMAT(completed, '".$settings["LocalizationDateTimeFormat"]."') AS fcompleted FROM ".DB_PREFIX."payment_transactions WHERE oid='".$oid."'");
				if($db->moveNext()){
					$tr_data = $db->col;?>
			Gateway : <?=gs($tr_data["payment_gateway"])?><br>
			Completed at : <?=gs($tr_data["fcompleted"])?>
<?
				}
			}?>			
<?			if(trim($order_data["gift_message"]) != ""){
				echo '<p><b>Gift Message</b><br><div style="border:1px solid black;padding:10px;margin:10px;">'.nl2br(gs($order_data["gift_message"])).'</div></p>';
			}
?>	

<?	if($cf_invoice && is_array($cf_invoice) && count($cf_invoice) >0){?>
			<b>Order Custom Fields Values</b><br>
<?		foreach($cf_invoice as $field){
			echo $field["field_name"]." : ".$field["value_translated"]."<br>";
		}
	}
?>
		</td>
	</tr>
</table>
<?
		}
	}
?>
