<?php
	if (!defined("ENV")) exit();
	$group_id = isset($_REQUEST["group_id"])?trim($_REQUEST["group_id"]):"all";

	$cartPluginsGroups = array(
		"datafeed"=>array("title"=>"Product Feeds", "description"=>"Product feeds allow you to quickly import products from selected drop shippers and wholesale vendors. Before importing any products make sure you have set up an account with the company you are selling products for."),
		"export"=>array("title"=>"Data Export", "description"=>"Data Export plugins allow you to export cart data from a cart to third-party applications"),
		"import"=>array("title"=>"Data Import", "description"=>"Data Import plugins allow you to import cart data from various data sources."),
		"misc"=>array("title"=>"Miscellaneous Plugins", "description"=>"Various plugins that do not follow under a standard plugin category.")
		);

	if($group_id == "all" || !array_key_exists($group_id, $cartPluginsGroups)){
		pageHeader("Cart Plug-ins", '', 'icb-plugin');
		pageNote(array(
			array("class"=>"ic-info", "text"=>"<b>Below is a list of plug-ins that are currently available to you.</b>")
		));
		echo '<div style="clear:both;"><table width="100%" cellpadding="0" cellspacing="0" border="0">';
		foreach($cartPlugins->pluginsGroups as $group_id=>$group_plugins){
			echo '<tr><td onMouseDown="document.location=\'admin.php?p=plugins&group_id='.$group_id.'\'">&nbsp;';
			echo '<table width="100%" cellpadding="0" cellspacing="0" border="0">';
			echo '<tr valign="top"><td width="26">&nbsp;</td>';
			echo '<td width="20"><img src="images/icons/a/plugin.png"></td>';
			echo '<td><a href="admin.php?p=plugins&group_id='.$group_id.'"><b>'.$cartPluginsGroups[$group_id]["title"].'</b></a> 			<br>'.$cartPluginsGroups[$group_id]["description"].'</td></tr>';
			echo '</table>&nbsp;';
			echo '</td></tr>';

		}
		echo '</table></div>';
	}
	else{
		pageHeader("Cart Plug-ins: ".$cartPluginsGroups[$group_id]["title"], '', 'icb-plugin');
		pageNote(array(
			array("class"=>"ic-info", "text"=>$cartPluginsGroups[$group_id]["description"])
		));
		echo '<div style="clear:both;"><table width="100%" cellpadding="0" cellspacing="0" border="0">';
		foreach($cartPlugins->pluginsGroups[$group_id] as $plugin_id=>$plugin_obj){
			echo '<tr><td onMouseDown="document.location=\'admin.php?p=plugin&plugin_id='.$plugin_id.'\'">&nbsp;';
			echo '<table width="100%" cellpadding="0" cellspacing="0" border="0">';
			echo '<tr valign="top"><td width="26">&nbsp;</td>';
			echo '<td width="20"><img src="images/icons/a/plugin.png"></td>';
			echo '<td><a href="admin.php?p=plugin&plugin_id='.$plugin_id.'"><b>'.$plugin_obj->getPluginCaption().'</b></a><br>'.$plugin_obj->getPluginDescription().'</td></tr>';
			echo '</table>&nbsp;';
			echo '</td></tr>';
		}
		echo '</table></div>';
	}
?>
