<?php
	if (!defined("ENV")) exit();
?>
<div class="admin-form-header">
	<div class="admin-form-header-buttons">
		<a href="<?php echo $_SERVER["PHP_SELF"]."?".($_SERVER["QUERY_STRING"]);?>&printing" target="_blank" title="Print Report"><span class="icon ic-icon ic-printer"></span></a>
	</div>
	<span class="icon ic-icon ic-list"></span>Top Referring Sites (<?php echo GetReportDate();?>)
</div>
<?php
	$db->query("
		SELECT 
			".DB_PREFIX."referrers.*,
			COUNT(*) AS redirects
		FROM ".DB_PREFIX."referrers
		WHERE 
			".DB_PREFIX."referrers.visit_date >= '".$mysql_from."' AND 
			".DB_PREFIX."referrers.visit_date <= '".$mysql_to."'
		GROUP BY ".DB_PREFIX."referrers.referrer
		ORDER BY
			redirects DESC
	");
	
	if ($db->numRows()>0)
	{
		$total = 0;
		$i = 0;
		$ruler = 0;
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table admin-stat-table">
	<thead>
		<tr>
			<th class="item-num">#</th>
			<th>Reffered URLs</th>
			<th class="stat-bar">&nbsp;</th>
			<th class="text-align-right" width="10%">Views</th>
		</tr>
	</thead>
	<tbody>
<?php
		while ($db->moveNext())
		{
			$total+=$db->col["redirects"];
			if ($i == 0)
			{
				$ruler = 100 / $db->col["redirects"];
			}
?>
			<tr>
				<td class="item-num"><?php echo $i+1;?></td>
				<td><?php echo gs($db->col["referrer"]);?></td>
				<td class="stat-bar"><?php echo GetStatBar($db->col["redirects"] * $ruler);?></td>
				<td class="text-align-right"><?php echo ($db->col["redirects"]);?></td>
			</tr>

<?php
			$i++;
		}
?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="4" class="text-align-right">Total views: <?php echo $total;?></td>
		</tr>
	</tfoot>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"No data available for selected period", "url"=>"", "visible"=>true)
		));
	}
