<?php
	// this page done by mahesh on 03-06-2011
	if (!defined("ENV")) exit();

	loadJS("cd_salesperson.js");
	pageHeader("Employee Access", "", "ic_users.gif");
	pageNote(array(
		array("icon"=>"ic_insert_row.gif", "url"=>"admin.php?p=salesperson&mode=insert", "text"=>"<b>Click to add an Employee</b>", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"<b>Please enter in your search criteria.</b><br>You need to enter at least one search criteria for search to be effective", "url"=>"", "visible"=>true)
	));
	
	$action 		= 	isset($action)?trim($action):"";
	$usertype		= 	isset($usertype)?trim($usertype):"";
	$lname 			= 	isset($lname)?trim($lname):"";
	$email 			= 	isset($email)?trim($email):"";
	$login 			= 	isset($login)?trim($login):"";
	$phone 			= 	isset($phone)?trim($phone):"";
	$company 		= 	isset($company)?trim($company):"";
	$user_status 	= 	isset($user_status)?trim($user_status):"";
	
?>

<?	if($action == "search"){
		$_SESSION["admin_search_salesperson_url"] = $_SERVER["QUERY_STRING"];
		$where = "WHERE ".
			"login <> 'ExpressCheckoutUser'".
			"AND lname LIKE '%".$db->escape($lname)."%'".
			"AND email LIKE '%".$db->escape($email)."%'".
			"AND login LIKE '%".$db->escape($login)."%'".
			"AND phone LIKE '%".$db->escape($phone)."%'";
			//"AND level != 0";
			
			if($usertype==1)				
				$where .=" AND admin_level='1' AND level = '100' ";
			else	
				$where .=" AND admin_level='0' AND level LIKE '%".$db->escape($usertype)."%' ";
			
		$_SESSION["salespersons-search-where"] = $where;
			
		//echo "SELECT * FROM ".DB_PREFIX."users ".$where." ORDER BY lname, fname";
			
		$db->query("SELECT * FROM ".DB_PREFIX."users ".$where." ORDER BY lname, fname ");
	}
	else{
		$reset_search = isset($_REQUEST["reset_search"])?true:false;

		if($reset_search && $_SESSION["admin_search_salesperson_url"])
		{
			unset($_SESSION["admin_search_salesperson_url"]);
		}
		elseif(isset($_SESSION["admin_search_salesperson_url"]) && trim($_SESSION["admin_search_salesperson_url"]) != "")
		{
			header("Location: admin.php?".$_SESSION["admin_search_salesperson_url"]);
		}
	}

		
?>


<div class="searchFormTitle">Search Employees</div>
<form action="admin.php?p=salespersons" method="GET" style="padding:0px;margin:0px;">
	<input type="hidden" name="p" value="salespersons">
	<input type="hidden" name="action" value="search">
	
<div class="searchFormBody">
	<div class="searchFormLine">
		<div class="searchFormItem">
			Last Name:<br/>
			<input type="text" name="lname" style="width:210px;" value="<?=htmlspecialchars($lname)?>"/>
		</div>
		<div class="searchFormItem">
			Email Address:<br/>
			<input type="text" name="email" style="width:210px;" value="<?=htmlspecialchars($email)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Username:<br/>
			<input type="text" name="login" style="width:210px;" value="<?=htmlspecialchars($login)?>"/>
		</div>
		<div class="searchFormItem">
			Phone Number:<br/>
			<input type="text" name="phone" style="width:210px;" value="<?=htmlspecialchars($phone)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			User Type:<br/>
			<select name='usertype'>
				<option value='1' <?php if($usertype=='1') echo 'selected' ?>>Data Entry</option>
				<option value='100' <?php if($usertype=='100') echo 'selected' ?>>Salesman</option>
				<option value='200' <?php if($usertype=='200') echo 'selected' ?>>Management</option>
			</select>
		</div>
		
	</div>

	<div class="searchFormBottom">
		<div class="searchFormItem">
			<input type="submit" value="Search" style="width:120px;height:25px;"/>
		</div>
		<div class="searchFormItem">
			<a href="admin.php?p=salespersons&reset_search=true">Reset Search</a>
		</div>
	</div>
</div>
</form>

<?php
	if ($action == "search")
	{
?>
<div class="listHeader">
	<div class="listHeaderIcon"><img src="images/icons/ic_search.gif"/></div>
	<div class="listHeaderCaption">
		Employee Access Search Results
	</div>
	<div class="listHeaderCaption" style="float:right;font-weight:normal;">
		Sales Persons found : <?=$db->numRows()?>
	</div>
</div>
<?php	
		if($db->numRows() > 0){?>
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption" style="width:150px;">Username</div>
	<div class="listHeaderCaption" style="width:150px;">Name</div>
	<div class="listHeaderCaption" style="width:200px;">Email Address</div>
	<div class="listHeaderCaption" style="width:100px;">Phone</div>

</div>
<?php
			while ($db->moveNext()) {?>

<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/ic_user.gif"/></div>
	<div class="listItemText" style="width:150px;"><a href="admin.php?p=salesperson_edit&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["login"])?></a></div>
	<div class="listItemText" style="width:150px;"><a href="admin.php?p=salesperson_edit&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["fname"]." ".$db->col["lname"])?></a></div>
	<div class="listItemText" style="width:200px;"><?=htmlspecialchars($db->col["email"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["phone"])?></div>
	<div class="listItemButtons">
		<a href="admin.php?p=salesperson_edit&uid=<?=$db->col["uid"]?>"><img src="images/icons/ic_user_info.gif" title="Show/Edit Employee Access Profile" border="0"></a>
		<a href="javascript:ConfirmDeleteSalesPerson(<?=$db->col["uid"]?>)"><img src="images/icons/ic_delete.gif" title="Delete Employee Access" border="0"></a>&nbsp;
	</div>
</div>
<?			}?>

<div class="listFooter">
	<div class="listFooterCaption" style="float:left;font-weight:normal;">
	<form action="admin.php?p=search_export&chart=true" method="POST" target="_blank" style="padding:0px;margin:0px;">
		<input type="hidden" name="where" value="<?=$where?>">
		<input type="hidden" name="action" value="export">
		<input type="hidden" name="export_what" value="users">
		<input type="submit" style="width: 120px; height: 25px;" value="Export to CSV"/>
	</form>
	</div>

</div>
<?		}
		else{?>
<div class="listEmpty">
	Your search did not produce any results. Please try again with a different search criteria.<br/>
	<a href="admin.php?p=salespersons">Reset Search</a>
</div>	
<?		}
	}
?>
