<?php
	if (!defined("ENV")) exit();

	pageHeader("Sell products from Dollar Days International through your cart", "", "icb-currency-sign-dollar2");
	pageNote(array(
		array("class"=>"ic-info", 
			"text"=>
				"To start the process, you will first need to register with dollardays.com at <a href=\"http://www.dollardays.com/\" target=\"_blank\">http://www.dollardays.com/quickreg.asp</a>. Once registered, you will need to enter the username and password they provide you in the area below.<br><br>".
				"Once registered, you can begin to start loading products into your cart through the plug-ins link. Please keep in mind DollarDays.com inventory changes daily and you will be responsible for updating your products on a regular basis by going through the same process used to first upload products into your cart.<br><br>".
				"If you sell any Dollar Days products through your cart, you will be prompted to send over the order to Dollar Days from the Orders area of your cart. This prompt will only appear if the order contains Dollar Days products.",
			"url"=>"",
			"visible"=>true
		)
	));
	
	$action = isset($action)?$action:"";
	
	if($action == "update" && !DEMO_LOCK){
		$form = isset($form)?$form:array();
		foreach($form as $name=>$value){
			$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($value)."' WHERE name='".$name."'");
			$settings[$name] = $value;
		}
	}
	$backpage = isset($backpage)?$backpage:"plugins";
	$oid = isset($oid)?$oid:0;
?>
<form name="frmSettings" action="admin.php?p=settings_dollar_days" method="post">
	<input type="hidden" name="action" value="update">
	<input type="hidden" name="backpage" value="<?=$backpage?>">
	<input type="hidden" name="oid" value="<?=$oid?>">
	<input type="hidden" name="p" value="settings_dollar_days">	
	<div class="admin-tabs admin-tabs-framed" id="tabs-dd">
<?php 
	pageTabs(array(
		array("title"=>"Dollar Days Settings", "id"=>"main"),
	), "tabs-dd", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>Please Fill in Form</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td class="formItemCaption">Dollar Days Username :</td>
						<td class="formItemControl"><input type="text" name="form[DollarDaysUsername]" style="width:200px;" value="<?=$settings["DollarDaysUsername"]?>"></td>
					</tr>
					<tr>
						<td class="formItemCaption">Dollar Days Password :</td>
						<td class="formItemControl"><input type="text" name="form[DollarDaysPassword]" style="width:200px;" value="<?=$settings["DollarDaysPassword"]?>"></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes" default="default"/>
		<input type="reset" value="Reset form"/>
	</div>
</form>			
<?php
	if($backpage == "order"){
		$url = "admin.php?p=order&oid=".$oid;
	}
	else{
		$url = "admin.php?p=plugins&group_id=datafeed";
	}
	pageNote(array(
		array("class"=>"ic-info", 
			"text"=>"Back to Previous Page", "url"=>$url, "visible"=>true)
	));
?>
