<?php
	if (!defined("ENV")) exit();

	pageHeader("POP3 and SMTP Email Settings", "", "");
	pageNote(array(
		array("icon"=>"ic_hint.gif", 
			"text"=>"Use this page to set up your POP3 email account and to manage bounced and bad email addresses.", "url"=>"", "visible"=>true)
	));
	
	$action = isset($action)?$action:"";
	
	if($action == "update" && !DEMO_LOCK){
		$form = isset($form)?$form:array();
		foreach($form as $name=>$value){
			$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($value)."' WHERE name='".$name."'");
			$settings[$name] = $value;
		}
	}
	
	loadJS("cf_settings_pop3.js");
?>
<form name="frmSettings" action="admin.php?p=settings_email" method="post" onsubmit="return CheckSettingForm(this)">
	<input type="hidden" name="action" value="update">
	<input type="hidden" name="p" value="settings_email">
	<div class="admin-tabs admin-tabs-framed" id="tabs-email">
<?php 	
	pageTabs(array(
		array("title"=>"POP3 and SMTP Email Settings", "id"=>"main")
	), "tabs-email", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"></div>
							<div class="formHeaderText">Sendmail Settings</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Sendmail Engine</td>
						<td class="formItemControl">
							<select name="form[EmailSendmailEngine]" style="width:250px;">
								<option value="mail">Use PHP mail Function (simple)</option>
								<option value="phpmailer" <?=$settings["EmailSendmailEngine"]=="phpmailer"?'selected="selected"':''?>>Use SMTP Server (advanced)</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Sendmail EOL Character</td>
						<td class="formItemControl">
							<select name="form[EmailSendmailEolCharacter]" style="width:250px;">
								<option value="\r\n" <?=$settings["EmailSendmailEolCharacter"]=='\r\n'?'selected="selected"':''?>>\r\n (Recommended)</option>
								<option value="\r" <?=$settings["EmailSendmailEolCharacter"]=='\r'?'selected="selected"':''?>>\r</option>
								<option value="\n" <?=$settings["EmailSendmailEolCharacter"]=='\n'?'selected="selected"':''?>>\n</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"></div>
							<div class="formHeaderText">SMTP Server Settings </div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Security Settings</td>
						<td class="formItemControl">
							<select name="form[EmailSMTPSecure]" style="width:250px;">
								<option value="">None</option>
								<option value="ssl" <?=$settings["EmailSMTPSecure"]=="ssl"?'selected="selected"':''?>>SSL</option>
								<option value="tls" <?=$settings["EmailSMTPSecure"]=="tls"?'selected="selected"':''?>>TLS</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">SMTP Server Name</td>
						<td class="formItemControl"><input type="text" name="form[EmailSMTPServer]" style="width:250px;" value="<?=$settings["EmailSMTPServer"]?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">SMTP Server Port</td>
						<td class="formItemControl"><input type="text" name="form[EmailSMTPPort]" style="width:123px;" value="<?=$settings["EmailSMTPPort"]?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">SMTP Server Username</td>
						<td class="formItemControl"><input type="text" name="form[EmailSMTPLogin]" style="width:123px;" value="<?=$settings["EmailSMTPLogin"]?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">SMTP Server Password</td>
						<td class="formItemControl"><input type="text" name="form[EmailSMTPPassword]" style="width:123px;" value="<?=$settings["EmailSMTPPassword"]?>"></td>
					</tr>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"></div>
							<div class="formHeaderText">POP3 Protocol Settings</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">POP3 Server Name</td>
						<td class="formItemControl"><input type="text" name="form[EmailPop3Server]" style="width:250px;" value="<?=$settings["EmailPop3Server"]?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">POP3 Server Port</td>
						<td class="formItemControl"><input type="text" name="form[EmailPop3Port]" style="width:123px;" value="<?=$settings["EmailPop3Port"]?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">POP3 Server Username</td>
						<td class="formItemControl"><input type="text" name="form[EmailPop3Login]" style="width:123px;" value="<?=$settings["EmailPop3Login"]?>"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">POP3 Server Password</td>
						<td class="formItemControl"><input type="text" name="form[EmailPop3Password]" style="width:123px;" value="<?=$settings["EmailPop3Password"]?>"></td>
					</tr>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"></div>
							<div class="formHeaderText">Undeliverable Email Settings</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">How many attempts on email delivery?</td>
						<td class="formItemControl"><input type="text" name="form[EmailPop3Fault]" style="width:123px;" value="<?=$settings["EmailPop3Fault"]?>"></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/> &nbsp;
		<input type="reset" value="Reset form"/>
	</div>
</form>	
