<?php
	if (!defined("ENV")) exit();

	loadJS("cf_shipping.js");
	loadJS("cd_shipping.js");
	pageHeader("Shipping Management", "", "ic_shipping.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"This section allows you to control the shipping methods of the cart. You can choose not to have the cart calculate shipping, or you can choose FedEx,<br/> UPS or USPS real-time shipping. You can also choose to create a custom shipping program.", "url"=>"", "visible"=>true),
		//array("icon"=>"ic_settings.gif", "text"=>"Edit Fed-Ex and USPS Realtime configurations", "url"=>"admin.php?p=shipping_realtime_settings", "visible"=>true)
	));

	$last_active_tab = isset($last_active_tab)?trim($last_active_tab):"settings";
?>
<div class="admin-tabs admin-tabs-framed" id="tabs-shipping">
<?php 
	pageTabs(array(
		array("title"=>"Global Shipping Settings", "id"=>"settings"),
		array("title"=>"Real-Time Methods", "id"=>"realtime"),
		array("title"=>"Custom Methods", "id"=>"custom"),
		array("title"=>"Real-Time Shipping Configurations", "id"=>"realtime-settings"),
		array("title"=>"InsureShip Settings", "id"=>"insureship")
	), "tabs-shipping", $last_active_tab);

	require_once("content/admin/admin_shipping_settings.php");
	require_once("content/admin/admin_shipping_realtime.php");
	require_once("content/admin/admin_shipping_custom.php");
	require_once("content/admin/admin_shipping_realtime_settings.php");
	require_once("content/admin/admin_shipping_insureship.php");
?>
</div>