<?php
	if (!defined("ENV")) exit();

	$added_country_id = "";
	
	switch($action){
		case "addRate" : {
			$rate_id = $taxes->addRate($_REQUEST); 
			$_REQUEST["rate_id"] = $rate_id;
			$_REQUEST["mode"] = "listRate";
			break;
		}
		case "saveRate" : {
			$rate_id = isset($_REQUEST["rate_id"])?intval($_REQUEST["rate_id"]):0;
			$taxes->saveRate($rate_id, $_REQUEST);
			$_REQUEST["mode"] = "listRate";
			break;
		}
		case "deleteRate" : {
			$taxes->deleteRate($_REQUEST["rate_id"]);
			break;
		}
	}
	
	$tax_rates = $taxes->getTaxRatesList();
?>
<div id="idTabSheetRates" class="<?=$last_active_tab == "idTabRates"?"sheetActive":"sheetUnactive"?>" style="float:left;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
				<div class="formHeaderText">Taxes Rates</div>
			</td>
		</tr>
	</table>
<?	
	if(count($tax_rates) > 0){
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"This page allows to manage taxes rates. Please note: Rates at the same priority are added, others are compounded", "url"=>"", "visible"=>true),
			array("icon"=>"ic_insert_row.gif", "text"=>"Add a New Tax Rate", "url"=>"admin.php?p=taxes_rate&amp;mode=add", "visible"=>true)
		));
?>	

	<div class="listHeader">
		<div class="listHeaderIcon">&nbsp;</div>
		<div class="listHeaderCaption" style="width:50px;">Priority</div>
		<div class="listHeaderCaption" style="width:75px;">Tax Rate</div>
		<div class="listHeaderCaption" style="width:110px;">Class Name</div>
		<div class="listHeaderCaption" style="width:140px;">Zone Name</div>
		<div class="listHeaderCaption" style="width:140px;">Rate Descriptoin</div>
	</div>
	<input type="hidden" name="action" value="saveRate"/>
<?		for($i=0; $i<count($tax_rates); $i++){
			$tax_rate = $tax_rates[$i];
?>
	<div class="listItem">
		<div class="listItemIcon">&nbsp;</div>
		<div class="listItemText" style="width:50px;"><?=htmlspecialchars($tax_rate["rate_priority"])?></div>
		<div class="listItemText" style="width:75px;"><?=myNum($tax_rate["tax_rate"])?>%</div>
		<div class="listItemText" style="width:110px;"><?=htmlspecialchars($tax_rate["class_name"])?></div>
		<div class="listItemText" style="width:140px;"><?=htmlspecialchars($tax_rate["zone_name"])?></div>
		<div class="listItemText" style="width:140px;"><?=htmlspecialchars($tax_rate["rate_description"])?></div>
		<div class="listItemButtons">
			<a href="admin.php?p=taxes_rate&mode=edit&rate_id=<?=$tax_rate["rate_id"]?>"><img border="0" src="images/icons/ic_change_text.gif" alt="Click to edit rate"/></a>
			<a href="javascript:confirmDeleteRate('<?=$tax_rate["rate_id"]?>')"><img src="images/icons/ic_delete.gif" alt="Click to delete tax zone" border="0"/></a>
		</div>
	</div>
<?		}
	}
	else
	{
		if (count($tax_zones) < 1 || count($tax_classes) < 1)
		{
			pageNote(array(
				array("icon"=>"ic_error.gif", "text"=>"Please setup Tax classes and Tax zones", "url"=>"", "visible"=>true)
			));
		}
		else
		{
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"This page allows to manage taxes rates. Please note: Rates at the same priority are added, others are compounded", "url"=>"", "visible"=>true),
				array("icon"=>"ic_insert_row.gif", "text"=>"Add a New Tax Rate", "url"=>"admin.php?p=taxes_rate&amp;mode=new", "visible"=>true)
			));
		}		
	}
?>
</div>