<?php
	if (!defined("ENV")) exit();
?>
<div id="admin-tab-sheet-zones" class="admin-tab-sheet hidden">
	<div class="admin-tab-sheet-wrap">
<?php
	$added_country_id = "";
	switch ($action)
	{
		case "addZone" : 
		{
			$added_zone_id = $taxes->addZone($_REQUEST);
			$_REQUEST["showby"] = "abc";
			echo '<script language="javascript">document.location="admin.php?p=taxes_zone&zone_id='.$added_zone_id.';"</script>';
			break;
		}
		case "saveZonesData" : 
		{
			$taxes->saveZonesData($_REQUEST);
			break;
		}
		case "deleteZone" : 
		{
			$taxes->deleteZone($_REQUEST["zone_id"]);
			break;
		}
	}

	$tax_zones = $taxes->getTaxZonesList();
?>
		<div class="admin-form-header">Taxes Zones</div>
		<table cellpadding="0" cellspacing="0" border="0" class="admin-list-table" width="100%">
			<thead>
				<tr>
					<th class="icon">&nbsp;</th>
					<th style="width:180px;">Tax Zone Name</th>
					<th style="width:330px;">Tax Zone Description</th>
					<th style="text-align:right;">
						<img style="cursor:pointer;" src="images/icons/ic_insert_row.gif" onclick="$('#div-add-zone').slideDown('fast');return false;" alt="Click to add new country" border="0"/>
					</th>
				</tr>
			</thead>
		</table>
		
		<div id="div-add-zone" class="<?php echo count($tax_zones) ? "hidden" : "";?>">
			<form name="frmNewZone" method="POST" action="admin.php?p=taxes&tax_mode=advanced&last_active_tab=zones" onsubmit="return checkAddTaxZoneForm(this)">
				<input type="hidden" name="action" value="addZone"/>
				<table cellpadding="0" cellspacing="0" border="0" class="admin-list-table" width="100%">
					<tbody>
						<tr>
							<td class="icon">&nbsp;</td>
							<td style="width:180px;"><input type="text" name="zone_name" value="" maxlength="128" style="width:170px;"/></td>
							<td style="width:330px;"><input type="text" name="zone_description" maxlength="255" value="" style="width:320px;"/></td>
							<td style="text-align:right;">
<?php
	if (count($tax_zones) > 0)
	{
?>			
								<img style="cursor:pointer;" src="images/icons/ic_collapse.gif" onclick="$('#div-add-zone').slideUp('fast');return false;" alt="Close form" border="0"/>
<?php
	}
?>	
							</td>
						</tr>
					</tbody>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Save changes" /> &nbsp;
					<input type="reset" value="Reset form" />
				</div>
			</form>
		</div>
				
			
<?php
	if (count($tax_zones) > 0)
	{
?>
		<form name="frmTaxesZones" style="padding:0px;margin:0px;" action="admin.php?p=taxes&tax_mode=advanced&last_active_tab=zones" method="POST">
			<input type="hidden" name="action" value="saveZonesData"/>
			<table cellpadding="0" cellspacing="0" border="0" class="admin-list-table" width="100%">
				<tbody>
<?php
		for ($i=0; $i<count($tax_zones); $i++)
		{
			$tax_zone = $tax_zones[$i];
?>
					<tr>
						<td class="icon">&nbsp;</td>
						<td style="width:180px;"><input type="text" name="zone_name[<?=$tax_zone["zone_id"]?>]" maxlength="128" value="<?=htmlspecialchars($tax_zone["zone_name"])?>" style="width:170px;"/></td>
						<td style="width:330px;"><input type="text" name="zone_description[<?=$tax_zone["zone_id"]?>]" maxlength="255" value="<?=htmlspecialchars($tax_zone["zone_description"])?>" style="width:320px;"/></td>
						<td style="text-align:right;">
							<a href="admin.php?p=taxes_zone&zone_id=<?=$tax_zone["zone_id"]?>"><img border="0" src="images/icons/ic_change_text.gif" alt="Click to edit zone countries and states / provinces"/>
							<a href="javascript:confirmDeleteTaxZone('<?=$tax_zone["zone_id"]?>')"><img src="images/icons/ic_delete.gif" alt="Click to delete tax zone" border="0"/></a>
						</td>
					</tr>
<?php
		}
?>
				</tbody>
			</table>
			<div class="admin-form-buttons">
				<input type="submit" value="Save changes" /> &nbsp;
				<input type="reset" value="Reset form" />
			</div>
		</form>
<?php
	}
?>
	</div>
</div>