<script type="text/javascript">
$(document).ready(function(){
	$("#product-export-dialog").dialog({
		title: 'Export to CSV',
		modal: true,
		width: 1000,
		height: 500,
		autoOpen: false,
		resizable: false,
		open: function(){
			$(this)
				.width(1000)
				.height(500);
			var t = ($(window).height() - parseInt($(this).parent().height())) / 2;
			if (t < 0) t = 0;
			$(this).parent().css('top', parseInt($(window).scrollTop()) + parseInt(t) + 'px');
		},
		buttons:{
			Close : function (){
				$("#product-export-dialog").dialog("close");
			},
			Export : function (){
				$("#product-export-form").submit();
			}
		}
	});

	
	
	$("#export-to-csv").click(function(){
		$("#product-export-dialog").dialog("open");
	});

	$("#export-all-check").click(function(){
		$("#product-export-form input[type='checkbox']").attr("checked", true);
		return false;
	});

	$("#export-all-uncheck").click(function(){
		$("#product-export-form input[type='checkbox']").removeAttr("checked");
		return false;
	});
	
		$( "#datepicker1" ).datepicker({ dateFormat: 'yy-mm-dd' });

		$( "#datepicker2" ).datepicker({ dateFormat: 'yy-mm-dd' });	
	
});
</script>
<?php
	// this page done by mahesh on 03-06-2011
	if (!defined("ENV")) exit();
	require("content/engine/engine_notifications.php");
	
class OPTION_PARAM{
		var $parent_id;
		var $level;
		function OPTION_PARAM($parent_id, $level){
			$this->parent_id = $parent_id;
			$this->level = $level;
			return $this;
		}
	}

	class OPTION_NODE extends DB_TREE_NODE
	{
		function drawNode($param)
		{
			echo '<option value="'.$this->id.'" '.($this->id == $param->parent_id?"selected":"").' '.($this->is_visible=="No"?'style="color:gray;"':'').'>';
			for ($i=0; $i<$param->level*4; $i++)
			{
				echo "&nbsp;";
			}
			echo gs($this->caption).'</option>';
			if (count($this->nodes)>0)
			{
				reset($this->nodes);
				while (list($id, $node) = each($this->nodes))
				{
					$node->drawNode(
						new OPTION_PARAM($param->parent_id, $param->level+1)
					);
				}
			}
		}
	}

	$tree = new DB_TREE();
	$tree->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes", "Any"));

	$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, priority, name");
	$cats_count = $db->numRows();
	if ($cats_count > 0)
	{
		while ($db->moveNext())
		{
			$tree->addNode(
				new OPTION_NODE(
					$db->col["cid"],
					$db->col["parent"],
					$db->col["level"],
					$db->col["is_visible"],
					$db->col["name"]
				)
			);
		}
	}	
	
	loadJS("cd_salesperson.js");
	pageHeader("User Products", "", "ic_users.gif");
	//echo "Fds".$_REQUEST["todo"];
	//die();
	
	$action = isset($action)?trim($action):"";
	$product_id = isset($product_id)?trim($product_id):"";
	$title = isset($title)?trim($title):"";
	$status = isset($status)?trim($status):"";
	$status = in_array($status, array("Yes", "No", "OutOfStock", "StockWarning"))?$status:"";
	$cid = isset($cid)?$cid*1:TREE_ROOT;
	$where = "WHERE  users.uid=products_users.user_id ";
	$sort_products_by = isset($sort_products_by)?$sort_products_by:"added";
	$sort_products_by = in_array($sort_products_by, array("priority", "product_id", "owner_company", "owner_listing", "product_status", "is_visible", "added", "cid", "manufacturer_id", "year", "owner_fname", "owner_lname", "owner_state", "owner_country", "title", "fname", "email"))?$sort_products_by:"added";
	
	//echo "GGG".$sort_products_by;
	
	$sort_products_type = isset($sort_products_type)?$sort_products_type:"DESC";
	
	
	//$uid = $_REQUEST["hiduid"]; die();

	
	//echo $_REQUEST["searchbtn"]; 
	/*
	if(isset($_REQUEST["prdstatus"]))
	{
		$product_status = $_REQUEST["prdstatus"]; 
		$pid = $_REQUEST["hidpid"]; //die();
		echo $uid = $_REQUEST["hiduid"]; die();
		$query=mysql_query("update ".DB_PREFIX."products set product_status='".$product_status."' where pid='".$pid."'");
		emailNewProductApproved(&$db, $uid, $pid);
	}*/

	
?>

<?	
	if($action == "search"){ 

		$todo = isset($_REQUEST["todo"])?$_REQUEST["todo"]:"";
		$pid = isset($_REQUEST["pid"])?$_REQUEST["pid"]:"";
		$uid = isset($_REQUEST["uid"])?$_REQUEST["uid"]:"";
		$prdtstatus = isset($_REQUEST["prdtstatus"])?$_REQUEST["prdtstatus"]:"";
		
		if($todo == 'chngstatus')
		{
			if($prdtstatus == 'approved')
				$product_status='pending';
			else
				$product_status='approved';
				
			$query=mysql_query("update ".DB_PREFIX."products_users set product_status='".$product_status."' where pid='".$pid."'");
			if($product_status == 'approved')
			{
				//echo $product_status;
				//echo("select * from products_users where pid='".$pid."'");   die();
				$query2 = mysql_query("select * from products_users where pid='".$pid."'");
				$fetch = mysql_fetch_array($query2);
				
				// ----------   updating product values by values from product_users ------//
				
					$db->reset();
					$db->assign("cid", $fetch["cid"]);
					$db->assign("ptic_id", $fetch["ptic_id"]);
					$db->assignStr("is_locked", $fetch["is_locked"]);
					$db->assignStr("is_visible", $fetch["is_visible"]);
					$db->assignStr("is_hotdeal", $fetch["is_hotdeal"]);
					$db->assignStr("is_home", $fetch["is_home"]);
					$db->assignStr("is_taxable", $fetch["is_taxable"]);
					$db->assignStr("is_google_co", $fetch["is_google_co"]);
					$db->assignStr("inventory_control", $fetch["inventory_control"]);
					$db->assignStr("inventory_rule", $fetch["inventory_rule"]);
					$db->assign("stock", $fetch["stock"]);
					$db->assign("stock_warning", $fetch["stock_warning"]);
					$db->assign("priority", $fetch["priority"]);
					$db->assign("weight", $fetch["weight"]);
					$db->assignStr("free_shipping", $fetch["free_shipping"]);
					$db->assignStr("digital_product", $fetch["digital_product"]);
					$db->assignStr("digital_product_file", $fetch["digital_product_file"]);
					if($digital_product == "Yes"){
						$db->assignStr("free_shipping", "Yes");
					}
					$db->assign("cost", $fetch["cost"]);
					$db->assign("discount", $fetch["discount"]);
					$db->assign("price", $fetch["price"]);
					$db->assign("price2", $fetch["price2"]);
					$db->assign("discount", $fetch["discount"]);
					$db->assignStr("call_for_price", $fetch["call_for_price"]);
					$db->assign("tax_class_id", $fetch["tax_class_id"]);
					$db->assign("min_order", $fetch["min_order"]);
					$db->assign("max_order", $fetch["max_order"]);
					$db->assignStr("product_id", $fetch["product_id"]);
					$db->assignStr("product_sku", $fetch["product_sku"]);
					$db->assignStr("product_upc", $fetch["product_upc"]);
					//added new fields details
					$db->assignStr("owner_company", $fetch["owner_company"]);
					$db->assignStr("owner_address1", $fetch["owner_address1"]);
					$db->assignStr("owner_address2", $fetch["owner_address2"]);
					$db->assignStr("owner_lname", $fetch["owner_lname"]);
					$db->assignStr("owner_city", $fetch["owner_city"]);
					$db->assignStr("owner_state", $fetch["owner_state"]);
					$db->assignStr("owner_zip", $fetch["owner_zip"]);
					$db->assignStr("owner_country", $fetch["owner_country"]);
					$db->assignStr("tire_condition", $fetch["tire_condition"]);
					$db->assignStr("paint_condition", $fetch["paint_condition"]);
					$db->assignStr("engine_condition", $fetch["engine_condition"]);
					$db->assignStr("pump_condition", $fetch["pump_condition"]);
					$db->assignStr("trailer_condition", $fetch["trailer_condition"]);
					$db->assignStr("hose_condition", $fetch["hose_condition"]);
					$db->assignStr("hose_type", $fetch["hose_type"]);
					$db->assignStr("consigned_status", $fetch["consigned_status"]);
					$db->assignStr("move_date", $fetch["move_date"]);
					$db->assign("hose_length", $fetch["hose_length"]);
					$db->assign("length_inches", $fetch["length_inches"]);
					$db->assign("width_inches", $fetch["width_inches"]);
					$db->assign("height_inches", $fetch["height_inches"]);
					$db->assign("length_feets", $fetch["length_feets"]);
					$db->assign("width_feets", $fetch["width_feets"]);
					$db->assign("height_feets", $fetch["height_feets"]);
					$db->assign("length_cms", $fetch["length_cms"]);
					$db->assign("width_cms", $fetch["width_cms"]);
					$db->assign("height_cms", $fetch["height_cms"]);
					$db->assign("consignee_low_price", $fetch["consignee_low_price"]);
					$db->assign("consignee_ask_price", $fetch["consignee_ask_price"]);
						//end
					$db->assign("case_pack", $fetch["case_pack"]);
					$db->assign("inter_pack", $fetch["inter_pack"]);
					$db->assign("gift_quantity", $fetch["gift_quantity"]);
					$db->assign("dimension_width", $fetch["dimension_width"]);
					$db->assign("dimension_length", $fetch["dimension_length"]);
					$db->assign("dimension_height", $fetch["dimension_height"]);
					$db->assignStr("update_val", $fetch["update_val"]);				
					$db->assignStr("title", $fetch["title"]);
					$db->assignStr("meta_keywords", $fetch["meta_keywords"]);
					$db->assignStr("meta_title", $fetch["meta_title"]);
					$db->assignStr("meta_description", $fetch["meta_description"]);
					$db->assignStr("url_custom", $fetch["url_custom"]);
					$db->assignStr("manufacturer_id", $fetch["manufacturer_id"]);		
					$db->assignStr("description", $fetch["description"]);
					$db->assignStr("overview", $fetch["overview"]);
					$db->assignStr("zoom_option", $fetch["zoom_option"]);
					$db->assignStr("lock_fields", $fetch["lock_fields"]);				
					//-----  new fields added by mahesh.k.s---------//				
					$db->assignStr("year", $fetch["year"]);
					$db->assignStr("new_or_used", $fetch["new_or_used"]);
					$db->assignStr("model", $fetch["model"]);
					$db->assignStr("capacity", $fetch["capacity"]);
					$db->assignStr("hoursmeter", $fetch["hoursmeter"]);
					$db->assignStr("condition1", $fetch["condition1"]);
					$db->assignStr("mso_included", $fetch["mso_included"]);
					$db->assignStr("title_included", $fetch["title_included"]);
					$db->assignStr("liens", $fetch["liens"]);
					$db->assignStr("liens_amount", $fetch["liens_amount"]);
					$db->assignStr("owner_last_contact_date", $fetch["owner_last_contact_date"]);
					$db->assignStr("owner_phone", $fetch["owner_phone"]);
					$db->assignStr("owner_mobile", $fetch["owner_mobile"]);
					$db->assignStr("owner_fax", $fetch["owner_fax"]);
					$db->assignStr("owner_email", $fetch["owner_email"]);
					$db->assignStr("item", $fetch["item"]);
					$db->assignStr("item_addr1", $fetch["item_addr1"]);
					$db->assignStr("item_addr2", $fetch["item_addr2"]);
					$db->assignStr("item_city", $fetch["item_city"]);
					$db->assignStr("item_state", $fetch["item_state"]);
					$db->assignStr("item_zip", $fetch["item_zip"]);
					$db->assignStr("item_country", $fetch["item_country"]);
					$db->assignStr("loading_method", $fetch["loading_method"]);
					$db->assignStr("loading_contact", $fetch["loading_contact"]);
					$db->assignStr("loading_phone", $fetch["loading_phone"]);
					$db->assignStr("loading_hours", $fetch["loading_hours"]);
					$db->assignStr("move_by_date", $fetch["move_by_date"]);
					$db->assignStr("zip_from", $fetch["zip_from"]);
					$db->assignStr("zip_to", $fetch["zip_to"]);
					$db->assignStr("cost_per_mile", $fetch["cost_per_mile"]);
					$db->assignStr("vin", $fetch["vin"]);
					$db->assignStr("serial", $fetch["serial"]);
					$db->assign("user_id", $fetch["user_id"]);
					$db->assignStr("product_status", $fetch["product_status"]);
					$db->assignStr("manufacturer_value", $fetch["manufacturer_value"]);
					$db->assignStr("image_alt_text", $fetch["image_alt_text"]);	
					$db->assignStr("image_location", $fetch["image_location"]);
					$db->assignStr("image_url", $fetch["image_url"]);
					$db->assignStr("products_location_id", $fetch["products_location_id"]);
					
					
					if(!DEMO_LOCK){
					$db->update(DB_PREFIX."products", "WHERE pid='".$pid."'");
					}
				}
			//------------     end        -------------//
			
			$query1=mysql_query("update ".DB_PREFIX."products set product_status='".$product_status."' where pid='".$pid."'");
			emailNewProductApproved($db, $uid, $pid);
		}
		
		
		$_SESSION["admin_search_user_products_url"] = $_SERVER["QUERY_STRING"];
		
		switch($sort_products_by){
			case "priority" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.priority";
				break;
			}
			case "owner_company" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.owner_company";
				break;
			}
			case "owner_listing" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.owner_listing";
				break;
			}
			case "product_status" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.product_status";
				break;
			}
			case "is_visible" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.is_visible";
				break;
			}
			case "product_id" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.product_id ";
				break;
			}
			case "cid" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.cid ";
				break;
			}
			case "manufacturer_id" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.manufacturer_id ";
				break;
			}
			case "year" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.year ";
				break;
			}
			case "owner_fname" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.owner_fname ";
				break;
			}			
			case "owner_lname" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.owner_lname ";
				break;
			}
			case "owner_state" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.owner_state ";
				break;
			}
			case "owner_country" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.owner_country ";
				break;
			}
			case "title" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.title ";
				break;
			}
			case "fname" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.fname ";
				break;
			}
			case "email" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.email ";
				break;
			}			
			default :
			case "added" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products_users.added";
				break;
			}
		}

		if ($product_id != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." product_id LIKE '%".$db->escape($product_id)."%' ";
		}
		if ($title != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." title LIKE '%".$db->escape($title)."%' ";
		}
		//echo $owner_lname; die("gfsd");
		if ($owner_company != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_company LIKE '%".$db->escape($owner_company)."%' ";
		}
		if ($owner_listing != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_listing LIKE '%".$db->escape($owner_listing)."%' ";
		}
		if ($owner_fname != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_fname LIKE '%".$db->escape($owner_fname)."%' ";
		}		
		if ($owner_lname != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_lname LIKE '%".$db->escape($owner_lname)."%' ";
		}

		if ($owner_zip != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_zip LIKE '%".$db->escape($owner_zip)."%' ";
		}	
		
		if ($sel_product_status != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." product_status LIKE '%".$db->escape($sel_product_status)."%' ";
		}
		
		//echo $manufacturer_id; 
		
		if ($manufacturer_id != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." manufacturer_id LIKE '%".$db->escape($manufacturer_id)."%' ";
		}
		
		if ($model != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." model LIKE '%".$db->escape($model)."%' ";
		}		//echo $where;
		
		if ($year != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." year LIKE '%".$db->escape($year)."%' ";
		}		//echo $where;
		
		if ($owner_city != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_city LIKE '%".$db->escape($owner_city)."%' ";
		}	

		if ($owner_state != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_state LIKE '%".$db->escape($owner_state)."%' ";
		}	

		if ($owner_phone != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_phone LIKE '%".$db->escape($owner_phone)."%' ";
		}		//echo $where;
		
		if ($is_sold != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." is_sold LIKE '%".$db->escape($is_sold)."%' ";
		}
		if ($added_from != "" || $added_to != "")
		{
			if($added_from == '')
				$added_from = date('Y-m-d');
			if($added_to == '')
				$added_to = date('Y-m-d');
			$where .= ($where==""?"WHERE ":" AND ")." added between '".$db->escape($added_from)."' AND '".$db->escape($added_to)."'";
		}
		if ($owner_country != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_country LIKE '%".$db->escape($owner_country)."%' ";
		}
		if ($owner_mobile != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_mobile LIKE '%".$db->escape($owner_mobile)."%' ";
		}
		if ($owner_email != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_email LIKE '%".$db->escape($owner_email)."%' ";
		}	
		
		if ($status != "")
		{
			switch ($status)
			{
				case "Yes" :
				case "No" : 
				{
					$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products_users.is_visible = '".$status."' ";
					break;
				}
				case "OutOfStock" : 
				{
					$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products_users.inventory_control != 'No' AND ".DB_PREFIX."products_users.stock = 0 ";
					break;
				}
				case "StockWarning" : 
				{
					$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products_users.inventory_control != 'No' AND ".DB_PREFIX."products_users.stock <= stock_warning ";
					break;
				}
			}
		}
		
		if ($cid != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products_users.cid = '".$cid."'"; 
		}
			
		$_SESSION["user_products-search-where"] = $where;
		
		
		$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."users,".DB_PREFIX."products_users ".$where." ORDER BY uid ")or die(mysql_error());//." GROUP BY ".DB_PREFIX."products.pid");
		$db->moveNext();
		//calc page breaks
		//echo "FDSfD".$rpp;
		$ccc = $rpp;
		$items_count = $db->col["c"];
		$pages_count = floor($items_count / $ccc) +  ((($items_count % $ccc) > 0 )?1:0);
		$pg = isset($pg)?($pg*1):1;
		$pg = (($pg<1)||($pg>$pages_count))?1:$pg;
		$pages_line = format_pages_line(
			$pg, // current pare
			$pages_count, // total pages
			7,
			"admin.php?p=user_products".
				"&action=search".
				"&cid=".urlencode($cid).
				"&product_id=".urlencode($product_id).
				"&title=".urlencode($title).
				"&status=".$status.
				"&sort_products_by=".$sort_products_by.
				"&sort_products_type=".$sort_products_type.
				"&rpp=".$rpp
		);
		
		
		if($rpp!=1)
		{
			$db->query("SELECT * FROM ".DB_PREFIX."users,".DB_PREFIX."products_users ".$where." 
			".$order_sql.				
			" ".$sort_products_type."
			LIMIT ".(($pg-1)* $ccc).", ".$ccc);
			
		}
		else
		{		
			$db->query("
				SELECT * FROM ".DB_PREFIX."users,".DB_PREFIX."products_users
				".$where."
				".$order_sql
				." ".$sort_products_type
			);
		}
		/*echo "SELECT * FROM ".DB_PREFIX."users,".DB_PREFIX."products_users
				".$where."
				".$order_sql
				." ".$sort_products_type; */
		//echo("SELECT * FROM ".DB_PREFIX."users ".$where." ORDER BY lname, fname ");
		//die();
	}
	else{
		$reset_search = isset($_REQUEST["reset_search"])?true:false;

		if($reset_search && $_SESSION['admin_search_user_products_url'])
		{
			//session_unregister("admin_search_user_products_url");
			unset($_SESSION['admin_search_user_products_url']);
		}
		elseif(isset($_SESSION["admin_search_user_products_url"]) && trim($_SESSION["admin_search_user_products_url"]) != "")
		{
			$bodytag = str_replace("&todo=chngstatus&prdtstatus=approved", "", $_SESSION["admin_search_user_products_url"]);
			$bodytag = str_replace("&todo=chngstatus&prdtstatus=pending", "", $bodytag);
			//header("Location: admin.php?".$bodytag);
		}
	}	
	
	
		
?>

<br>
<form action="admin.php?p=user_products" method="GET" style="padding:0px;margin:0px;">
<div class="searchFormTitle">Search User Products</div>
	<input type="hidden" name="p" value="user_products">
	<input type="hidden" name="action" value="search">
	
<div class="searchFormBody">
	<div class="searchFormLine">
		<div class="searchFormItem">
			Product ID:<br/>
			<input type="text" tabindex=1 name="product_id" style="width:210px;" value="<?=htmlspecialchars($product_id)?>"/>
		</div>
		<div class="searchFormItem">
			User Product Status :<br>
			<select tabindex=7 name="sel_product_status" style="width:210px;">
				<option value="">Select</option>
				<option value="approved" <?=$sel_product_status=="approved"?"selected":""?>>Approved</option>
				<option value="pending" <?=$sel_product_status=="pending"?"selected":""?>>Pending</option>
			</select>
		</div>

		<div class="searchFormItem">
			Seller Company :<br>
			<input tabindex=12 type="text" name="owner_company" style="width:210px;" value="<?=htmlspecialchars($owner_company)?>"/>
		</div>
        <div class="searchFormItem">
			Seller First Name :<br>
			<input tabindex=18 type="text" name="owner_fname" style="width:310px;" value="<?=htmlspecialchars($owner_fname)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Main Category:<br/>
			<select tabindex=2 name="cid" style="width:210px;">
<?php
	$tree->collection[TREE_ROOT]->drawNode(
		new OPTION_PARAM($cid, 0)
	);
?>
			</select>
		</div>
		<div class="searchFormItem">
			Item Available :<br>
			<select tabindex=8 name="is_sold" style="width:210px;">
				<option value="">Select</option>
				<option value="yes" <?=$is_sold=="yes"?"selected":""?>>Yes</option>
				<option value="no" <?=$is_sold=="no"?"selected":""?>>No</option>
			</select>
		</div>
       	<div class="searchFormItem">
			Seller Phone :<br>
			<input tabindex=13 type="text" name="owner_phone" style="width:210px;" value="<?=htmlspecialchars($owner_phone)?>"/>
		</div>
        <div class="searchFormItem">
			Seller Last Name :<br>
			<input tabindex=19 type="text" name="owner_lname" style="width:310px;" value="<?=htmlspecialchars($owner_lname)?>"/>
		</div
		
		
	></div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Product Name:<br/>
			<input tabindex=3 type="text" name="title" style="width:210px;" value="<?=htmlspecialchars($title)?>"/>
		</div>
		<div class="searchFormItem">
			Date Listed:(YYYY-MM-DD) From <br/>
			<input tabindex=9 type="text" name="added_from" id="datepicker1" class="datepicker1" style="width:210px;" value="<?=htmlspecialchars($added_from)?>"/>
		</div>
		<div class="searchFormItem">
			Seller City :<br>
			<input tabindex=14 type="text" name="owner_city" style="width:210px;" value="<?=htmlspecialchars($owner_city)?>"/>
		</div>
		<div class="searchFormItem">
			Seller Mobile :<br>
			<input tabindex=20 type="text" name="owner_mobile" style="width:210px;" value="<?=htmlspecialchars($owner_mobile)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Manufacturer :<br>
				<select tabindex=4 name="manufacturer_id" style="width:210px;" id="manufacturer_id">
					<option value="">Select Manufacturer</option>
<?		$query=mysql_query("SELECT * FROM ".DB_PREFIX."manufacturers ORDER BY manufacturer_name");
		while($fetch =mysql_fetch_array($query)){?>
				<option value="<?=$fetch["manufacturer_id"]?>" <?=$fetch["manufacturer_id"]==$manufacturer_id?"selected":""?>><?=htmlspecialchars($fetch["manufacturer_name"])?></option>
<?		}?>
				</select>
		</div>
		<div class="searchFormItem">
			Date Listed:(YYYY-MM-DD) To<br/>
			<input tabindex=10 type="text" name="added_to" id="datepicker2" class="datepicker2" style="width:210px;" value="<?=htmlspecialchars($added_to)?>"/>
		</div>
		<div class="searchFormItem">
			Seller State :<br>
			<input tabindex=15 type="text" name="owner_state" style="width:210px;" value="<?=htmlspecialchars($owner_state)?>"/>
		</div>
		<div class="searchFormItem">
			Seller Email :<br>
			<input tabindex=21 type="text" name="owner_email" style="width:210px;" value="<?=htmlspecialchars($owner_email)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Model :<br>
			<input tabindex=5 type="text" name="model" style="width:210px;" value="<?=htmlspecialchars($model)?>"/>
		</div>
		<div class="searchFormItem">
			Lister :<br>
			<select name="owner_listing" style="width:210px;" id="">
					<option value="">Select</option>
								<option <?php if($owner_listing=='Mark') echo 'selected'; ?> value="Mark">Mark</option>
								<option <?php if($owner_listing=='Michelle') echo 'selected'; ?> value="Michelle">Michelle</option>
								<option <?php if($owner_listing=='Mike') echo 'selected'; ?> value="Mike">Mike</option>
								<option <?php if($owner_listing=='Ned') echo 'selected'; ?> value="Ned">Ned</option>
								<option <?php if($owner_listing=='Rod') echo 'selected'; ?> value="Rod">Rod</option>
								<option <?php if($owner_listing=='Sal') echo 'selected'; ?> value="Sal">Sal</option>
							</select>  
        </div>
		<div class="searchFormItem">
			Seller Zip :<br>
			<input tabindex=16 type="text" name="owner_zip" style="width:210px;" value="<?=htmlspecialchars($owner_zip)?>"/>
		</div>
		<div class="searchFormItem">
			<b>Sort by :</b><br>
			<select tabindex=22 name="sort_products_by" style="width:210px;">
				<option value="is_visible" <?=$sort_products_by=="is_visible"?"selected":""?>>Available</option>            
				<option value="added" <?=$sort_products_by=="added"?"selected":""?>>Date Listed</option>
				<option value="email" <?=$sort_products_by=="email"?"selected":""?>>Email</option>
				<option value="cid" <?=$sort_products_by=="cid"?"selected":""?>>Main Category</option>       
				<option value="priority" <?=$sort_products_by=="priority"?"selected":""?>>CategorySort</option>         
				<option value="manufacturer_id" <?=$sort_products_by=="manufacturer_id"?"selected":""?>>Manufacturer</option>                           
				<option value="product_id" <?=$sort_products_by=="product_id"?"selected":""?>>Product Id</option>
				<option value="product_status" <?=$sort_products_by=="product_status"?"selected":""?>>Product Status</option>
				<option value="owner_listing" <?=$sort_products_by=="owner_listing"?"selected":""?>>Lister</option>                
				<option value="owner_company" <?=$sort_products_by=="owner_company"?"selected":""?>>Seller Company</option>
				<option value="owner_country" <?=$sort_products_by=="owner_country"?"selected":""?>>Seller Country</option>          
				<option value="owner_fname" <?=$sort_products_by=="owner_fname"?"selected":""?>>Seller First Name</option>                
				<option value="owner_lname" <?=$sort_products_by=="owner_lname"?"selected":""?>>Seller Last Name</option>                      
				<option value="owner_state" <?=$sort_products_by=="owner_state"?"selected":""?>>Seller State</option>                
				<option value="year" <?=$sort_products_by=="year"?"selected":""?>>Year</option>
			</select>
		</div>	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Year :<br>
			<input tabindex=6 type="text" name="year" style="width:210px;" value="<?=htmlspecialchars($year)?>"/>
		</div>
		<div class="searchFormItem">
			<b>Results Per Page :</b><br>
			<select tabindex=11 name="rpp" style="width:210px;">
				<option value="1">All</option>
				<option value="20" <?=$rpp==20?"selected":""?>>20</option>
				<option value="50" <?=$rpp==50?"selected":""?>>50</option>
				<option value="100" <?=$rpp==100?"selected":""?>>100</option>
				<option value="250" <?=$rpp==250?"selected":""?>>250</option>
			</select>
		</div>
		<div class="searchFormItem">
			Seller Country :<br>
			<input tabindex=17 type="text" name="owner_country" style="width:210px;" value="<?=htmlspecialchars($owner_country)?>"/>
		</div>
		<div class="searchFormItem">
			<b>Sort Type :</b><br>
			<select tabindex=23 name="sort_products_type" style="width:210px;">
				<option value="DESC" <?=$sort_products_type=="DESC"?"selected":""?>>DESCENDING</option>
				<option value="" <?=$sort_products_type==""?"selected":""?>>ASCENDING</option>
			</select>
		</div>
	</div>

	<div class="searchFormBottom">
		<div class="searchFormItem">
			<input tabindex=24 type="submit" value="Search" name="searchbtn" style="width:100;height:25px;"/>
		</div>
		<div class="searchFormItem">
			<a href="admin.php?p=user_products&reset_search=true">Reset Search</a>
		</div>
	</div>
</div>
</form>

<?php

//echo $sort_products_by;
	if ($action == "search")
	{
?>
<div class="listHeader1" style="width:2900px;">
	<div class="listHeaderIcon"><img src="images/icons/ic_search.gif"/></div>
	<div class="listHeaderCaption">
		Sales Person Search Results<strong style="color:#F00"><?php echo " ".$items_count; ?></strong>
	</div>
<?php
		if ($db->numRows() > 0 && $rpp!=1)
		{
?>
	<div class="listHeaderCaption" style="float:right;font-weight:normal;">
		Products found : <?=$items_count?> |
		Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
	</div>
<?php	}?>
</div>
<?php	
		if($db->numRows() > 0){?>
<div class="listuserproductHeader">
	<div class="listHeaderIcon ">&nbsp;</div>
	<div class="listItemButtons" style="width:20px;">&nbsp;</div>
	<div class="listItemText" style="width:20px;">&nbsp;</div>
    <div class="listHeaderCaption"  style="width:50px;">Images Count</div>
	<div class="listHeaderCaption"  style="width:75px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=product_status"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Product Status</div>
	<div class="listHeaderCaption" style="width:115px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=fname"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>User Name</div>
	
    <div class="listHeaderCaption" style="width:115px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=product_id"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Product ID</div>
    
	<div class="listHeaderCaption" style="width:130;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=title"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Product Name</div>
	
	<div class="listHeaderCaption" style="width:180;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=email"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Email</div>
    
	<div class="listHeaderCaption" style="width:100;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=owner_company"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Company</div>
    
	<div class="listHeaderCaption" style="width:75px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=is_visible"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Available</div>
    	<div class="listHeaderCaption" style="width:75px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=added"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Date Listed</div>
    
    <div class="listHeaderCaption" style="width:100;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=cid"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Main Category</div>
	
	<div class="listHeaderCaption" style="width:80px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=owner_listing"><img src="images/icons/ic_sort.png" title="Sort Lister" border="0"></a>Lister</div>
	
    <div class="listHeaderCaption" style="width:100;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=manufacturer_id"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Manufacturer</div>
	
    <div class="listHeaderCaption" style="width:75px;">Model</div>
	
    <div class="listHeaderCaption" style="width:75px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=year"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Year</div>
    
	<div class="listHeaderCaption" style="width:75px;">Cost</div>
	<div class="listHeaderCaption" style="width:75px;">Item Price</div>
	<div class="listHeaderCaption" style="width:75px;">Sale Price</div>
    	<div class="listHeaderCaption" style="width:170px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=owner_fname"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller First Name</div>
	<div class="listHeaderCaption" style="width:170px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=owner_lname"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Last Name</div>
    
	<div class="listHeaderCaption" style="width:75px;">Seller City/Town</div>
	<div class="listHeaderCaption" style="width:75px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=owner_state"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller State</div>
    
	<div class="listHeaderCaption" style="width:75px;">Seller Zip</div>
	<div class="listHeaderCaption" style="width:75px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=owner_country"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Country</div>
    
	<div class="listHeaderCaption" style="width:75px;">Seller Phone</div>
	<div class="listHeaderCaption" style="width:75px;">Seller Mobile</div>
</div>
<?php
	// added by mahesh to display group products under its users
			$count=1;
			while($db->moveNext()) {
?>
<div class="listuserproductItem">
	<div class="listItemIcon"></div>
	<div class="listItemButtons" style="width:20px;">
		<a href="admin.php?p=user_product&mode=update&pid=<?=$db->col["pid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Edit Product"></a>
	</div>
	<div class="listItemText" style="width:25px;">
		<?php if($db->col["user_pdf"] != ''){ ?>
    	<a href="pdf/<?=$db->col["user_pdf"]?>" target="_new">PDF</a>
    	<?php } ?>
    </div>
    <?php
	$sql = ("SELECT * FROM ".DB_PREFIX."products_images WHERE pid='".$db->col["pid"]."' ");
	$result = mysql_query($sql);
	$img_count = 0;
	while($row = mysql_fetch_array($result))
	{
		if($row['type']=='jpg' || $row['type']=='png' || $row['type']=='gif' )
		{
			$img_count = $img_count + 1;
		}
	}
	?>
    <div class="listItemText"  style="width:50px;"><input type="text" value="<?php echo $img_count?$img_count:'0'; ?>" style="width:30px;" readonly="readonly" /></div>
	<div class="listItemText" style="width:75px;">
		<a href="admin.php?p=user_products&action=search&pid=<?php echo $db->col["pid"] ?>&uid=<?php echo $db->col["uid"] ?>&todo=chngstatus&prdtstatus=<?php echo $db->col["product_status"]; ?>&rpp=<?=$rpp?>"><?php echo $db->col["product_status"]; ?></a>
	<!--<form name="testform<?php echo $db->col["pid"] ?>" action="#">	
		<select name="prdstatus<?php echo $count; ?>" onchange="this.form.submit();">
			<option value="approve"<?php if($db->col["product_status"]=='approved') echo 'selected' ?>>Approve</option>
			<option value="pending"<?php if($db->col["product_status"]=='pending') echo 'selected' ?>>Pending</option>
		</select>
	</form>-->
		<input type="hidden" name="hidpid<?php echo $count; ?>" id="hidpid<?php echo $count; ?>" value="<?php echo $db->col["pid"]; ?>">
		<input type="hidden" name="hiduid<?php echo $count; ?>" id="hiduid<?php echo $count; ?>" value="<?php echo $db->col["uid"]; ?>">
	</div>
	<div class="listItemText" style="width:115px;"><?=htmlspecialchars($db->col["fname"]." ".$db->col["lname"])?></div>
	<div class="listItemText" style="width:115px;"><a href="admin.php?p=user_product&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["product_id"])?></a></div>
	<div class="listItemText" style="width:130;"><a href="admin.php?p=user_product&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["title"])?></a></div>
	<div class="listItemText" style="width:180;"><?=htmlspecialchars($db->col["email"])?></div>
	<div class="listItemText" style="width:100;"><?=htmlspecialchars($db->col["owner_company"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["is_visible"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["added"])?></div>
	<div class="listItemText" style="width:100;"><?=getCategoryName($db,$db->col["cid"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_listing"])?></div>
	<div class="listItemText" style="width:100;"><?=getManufacturerName($db,$db->col["manufacturer_id"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["model"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["year"])?></div>
	<div class="listItemText" style="width:75px;" align="left"><?=money_format('%i',$db->col["cost"])?></div>
	<div class="listItemText" style="width:75px;" align="left"><?=money_format('%i', $db->col["price"])?></div>
	<div class="listItemText" style="width:75px;" align="left"><?=money_format('%i',$db->col["price2"])?></div>
	<div class="listItemText" style="width:170px;"><?=htmlspecialchars($db->col["owner_fname"])?></div>    
	<div class="listItemText" style="width:170px;"><?=htmlspecialchars($db->col["owner_lname"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["owner_city"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["owner_state"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["owner_zip"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["owner_country"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["owner_phone"])?></div>
	<div class="listItemText" style="width:75px;"><?=htmlspecialchars($db->col["owner_mobile"])?></div>
</div>
<?	
			$count++;
		}
		
			
?>


	<input type="hidden" name="hidcount" value="<?php echo $count-1; ?>">

<div class="listFooter">
	<div class="listFooterCaption" style="float:left;font-weight:normal;">
		<input type="button" style="width: 100; height: 25px;" value="Export to CSV" id="export-to-csv"/>
	</div>
	<div id="product-export-dialog">
		<div style="clear:both;width:1000px;height:450px;display:block;">
			<div style="padding-bottom:10px;margin-bottom:10px;border-bottom:1px solid #b0b0b0">
				Please select fields you would like to include in exported CSV file. By default Product ID, Name and Price will be exported.
				<a id="export-all-check" href="#">Check all fields</a> / <a id="export-all-uncheck" href="#">Uncheck all fields</a>
			</div>
			<form id="product-export-form" action="admin.php?no-acceleration=1&p=backup_restore&action=export&mode=csv&chart=true&from=products-search", method="POST" target="_blank" style="padding:0px;margin:0px;">
				<input type="hidden" name="export_what" value="products_users">
				<input type="hidden" name="separator" value=",">
				<input type="hidden" name="decimal_separator" value=".">
<?php		
			include "content/admin/admin_products_export_fields.php";
			$product_fields = $product_export_fields;
			foreach ($product_fields as $field_key => $field_title)
			{
?>
	 				<div class="formItemComment" style="width:240px;height:30px;padding:0px;float:left;clear:none;">
	 					<input type="checkbox" name="ch[<?php echo $field_key;?>]" value="1" id="ch_<?php echo $field_key;?>"><label for="ch_<?php echo $field_key;?>"> <?php echo $field_title;?></label>
	 				</div>
<?php
			}
?>
			</form>
		</div>
	</div>
	
<?php
		if ($db->numRows() > 0 && $rpp!=1)
		{
?>
	<div class="listFooterCaption" style="float:right;font-weight:normal;">
		Products found : <?=$items_count?> |
		Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
	</div>
<?php
		}
?>
</div>




<?		}
		else{?>
<div class="listEmpty">
	Your search did not produce any results. Please try again with a different search criteria.<br/>
	<a href="admin.php?p=salespersons">Reset Search</a>
</div>	
<?		}
	}
?>
