<?php
if (!defined("ENV")) exit();

// load our user
$db->query("SELECT *, DATE_FORMAT(session_date, '".$settings["LocalizationDateTimeFormat"]."') AS la, IF(NOW()<block_date, 'Yes', 'No') AS blocked FROM ".DB_PREFIX."users WHERE uid='".$uid."'");

if ($user_data = $db->moveNext())
{
	// get number of reviews
	$db->query('SELECT COUNT(0) FROM '.DB_PREFIX.'products_reviews WHERE user_id = '.$uid);
	$num_reviews = current($db->moveNext());
	
	
	// recent orders
	$recent_orders = array();
	
	$db->query("
		SELECT
			*, 
			DATE_FORMAT(status_date, '".$settings["LocalizationDateTimeFormat"]."') AS sd,
			DATE_FORMAT(create_date, '".$settings["LocalizationDateTimeFormat"]."') AS creation_date
		FROM ".DB_PREFIX."orders
		WHERE uid = {$uid}
		ORDER BY oid DESC
		LIMIT 3
	");
	
	
	while ($order = $db->moveNext())
	{
		$recent_orders[] = '
			<div class="listItem">
				<div class="listItemText" style="width:100px;"><a href="admin.php?p=order&oid='.$order['oid'].'">'.$order['oid'].'</a></div>
				<div class="listItemText" style="width:200px;"><a href="admin.php?p=order&oid='.$order['oid'].'">'.$order['creation_date'].'</a></div>
				<div class="listItemText" style="width:100px;">'.getAdminPrice($order['total_amount']).'</div>
			</div>
		';
	}

	// set user levels
	$user_levels = array(
			0 => 'Standard User',
			1 => 'Wholesale 1',
			2 => 'Wholesale 2',
			3 => 'Wholesale 3'
		);

	// print the profile output;
	print '
	<div id="user_profile">
		<div class="profile_icon"></div>
		<div class="profile_right">
			<h1>User Profile</h1>
			<div class="details">
				<ul>
					<li>'.$user_data['fname'].' '.$user_data['lname'].' <span>('.$user_data['login'].')</span></li>
					<li><a href="mailto:'.$user_data['email'].'">'.$user_data['email'].'</a></li>
					<li>'.$user_data['phone'].'</li>
				</ul>
				<dl>
					<dt>Last Activity:</dt>
						<dd>'.$user_data['la'].'</dd>
					<dt>Customer Type:</dt>
						<dd>'.$user_levels[$user_data['level']].'</dd>
					<dt>Number of Reviews:</dt>
						<dd>'.$num_reviews.'</dd>
				</dl>
			<div>
			<div class="clear"></div>
		</div>
		<div class="orders">
			<h2>Recent Orders</h2>
			<div class="listHeader">
				<div class="listHeaderCaption" style="width:100px;">Order ID</div>
				<div class="listHeaderCaption" style="width:200px;">Order Date</div>
				<div class="listHeaderCaption" style="width:100px;">Order Total</div>
			</div>
				'.(count($recent_orders) ? implode('', $recent_orders) : '<p style="text-align: center;">There are 0 orders for this user</p>').'
		</div>
		<div class="buttons">
			<a href="admin.php?p=user&uid='.$uid.'">Edit Profile</a> <a href="#" onclick="tb_remove()">Close Profile</a>
		</div>
	</div>
	';
}
else
{
	print '<h1>Error processing request. Please check the User ID and try again.</h1>';
	return false;
}