<?php

	echo date("c")." - Doba products update\n";
	
	require_once(BASE_PATH."/content/classes/class.doba.php");
	require_once(BASE_PATH."/content/classes/class.doba_product.php");
	
	$doba = new DobaProductAPI($settings, $db);
	
	$watchlists = $doba->getWatchlists();
	
	if ($watchlists && count($watchlists) > 0)
	{
		echo "Watchlists found: ".count($watchlists)."\n";
		foreach ($watchlists as $watchlist)
		{
			$watchlist_products = $doba->getWatchlistProducts($watchlist["watchlist_id"][0]);
			echo "Updating watchlist ".$watchlist["name"][0]."\n";
			if ($watchlist_products && count($watchlist_products))
			{
				echo "Products found: ".count($watchlist_products)."\n";
				foreach ($watchlist_products as $product)
				{
					if (($item = $doba->getItemDetail($product["item_id"][0])) != false)
					{
						$doba->itemToDb($item, false);
					}
				}
			}
		}
	}
	
	updateSeoURLs($db, $settings, true, true, false);
	