 <?php
/**
 * Prepare Doba envinronment
 */
	set_time_limit(10000);
 
	chdir("../../../");
	define("BASE_PATH", "./");
	
	/**
	 * Include libraries
	 */
	require_once(BASE_PATH."content/engine/engine_functions.php");
	require_once(BASE_PATH."content/engine/engine_config.php");
	require_once(BASE_PATH."content/engine/engine_mysql.php");
	require_once(BASE_PATH."content/classes/class.doba.php");
	require_once(BASE_PATH."content/classes/class.doba_callback.php");
	require_once(BASE_PATH."content/classes/class.doba_order.php");
	require_once(BASE_PATH."content/classes/class.doba_product.php");
	require_once(BASE_PATH."content/classes/class.doba_retailer.php");

	/**
	 * Resolve magic quotes
	 */
	if (get_magic_quotes_gpc())
	{
		strips($_POST);
		strips($_GET);
		strips($_REQUEST);
	}
	/**
	 * Init database connection
	 */
	$db = new DB;
	$db->init(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);
	
	//get settings
	require_once(BASE_PATH."content/engine/engine_settings.php");
	
	/**
	 * Check remote IP
	 */
	$ip = $_SERVER["REMOTE_ADDR"];
	
	if ($settings["doba_callback_mode"] != "Slave")
	{
		if ($ip == "70.184.122.235" || $ip == "24.248.86.174")
		{
			$ip = "64.58.224.132";
		}
	                 
		if (substr($ip, 0, 9) != "64.58.224" || !isset($_POST["xml"]))
		{
			header("HTTP/1.0 401 Unauthorized");
			exit();
		}
	}
	else
	{
		//check password
		if ($_REQUEST["access_key"] != $settings["doba_callback_access_key"])
		{
			header("HTTP/1.0 401 Unauthorized");
			exit();
		}
	}
	
	require_once(BASE_PATH."content/classes/class.json.php");
	$dobaCallback = new DobaCallbackAPI($settings, $db);
	$dobaCallback->processCallback($_POST["xml"]);
	updateSeoURLs($db, $settings, true, true, false);

	// send to slave cards
	if ($settings["doba_callback_mode"] == "Master")
	{
		$urls = explode("\n", $settings["doba_callback_urls"]);
		if (is_array($urls) && count($urls) > 0)
		{
			foreach ($urls as $url)
			{
				if (trim($url) == "")
				{
					$c = curl_init(trim($url));
					curl_setopt($c, CURLOPT_POST, 1); 
					curl_setopt($c, CURLOPT_POSTFIELDS, "xml=".$_POST["xml"]);
					curl_setopt($c, CURLOPT_SSL_VERIFYPEER, 0);
					curl_setopt($c, CURLOPT_SSL_VERIFYHOST, 0); 
					curl_setopt($c, CURLOPT_RETURNTRANSFER, 1); 
					curl_exec($c);
				}
			}
		}	
	}
	
	header("HTTP/1.0 200 OK");
	

