function DeleteProducts(){
	var selected = $("input[name='prodDelete']:checked");
	if (selected.size() > 0)
	{
		if (confirm("Do you really want to delete selected products?"))
		{
			var nonce = $('#nonce-product-bulk-delete').val();
			var pids = "";
			for (var i = 0; i < selected.size(); i++)
			{
				if (i > 0)
					pids += ",";
				pids += $(selected.get(i)).val();
			}
			document.location = "admin.php?p=product_process&nonce="+nonce+"&mode=bulkDelete&pids="+pids;
		}
	}
	else
	{
		alert('No products selected');
	}
}
function ConfirmDeleteProduct(pid){
	if(confirm("Do you really want to delete selected product?")){
		var nonce = $('#nonce-product-delete').val();
		document.location = "admin.php?p=product_process&nonce="+nonce+"&mode=delete&pid=" + pid;
	}
}

function ConfirmDeleteProductImage(pid){
	var cb_image = document.getElementById("cb_delete_image");
	var cb_thumb = document.getElementById("cb_delete_thumb");
	var cb_thumb2 = document.getElementById("cb_delete_thumb2");
	var checked_count = 0;
	var param_str = "";
	if(cb_image){
		if(cb_image.checked){
			checked_count++;
			param_str = param_str + "&delete_image=true";
		}
	}
	if(cb_thumb){
		if(cb_thumb.checked){
			checked_count++;
			param_str = param_str + "&delete_thumb=true";
		}
	}
	if(cb_thumb2){
		if(cb_thumb2.checked){
			checked_count++;
			param_str = param_str + "&delete_thumb2=true";
		}
	}
	if(checked_count > 0){
		if(confirm("Do you really want to delete selected image(s)?")){
			var nonce = $('#field-nonce-product-delete-image').val();
			document.location = "admin.php?p=product_process&nonce="+nonce+"&mode=delete_image&pid=" + pid + "&do_apply=yes&last_active_tab=main" + param_str;
		}
	}
	else{
		alert("Please select at least 1 image to delete!");
	}
	return false;
}

function ConfirmDeleteSecondaryImage(pid, secondary_id){
	if(confirm("Do you really want to delete this image?")){
		var nonce = $('#nonce-product-delete-secondary-image-'+pid+'-'+secondary_id).val();
		document.location = "admin.php?p=product_process&nonce="+nonce+"&mode=delete_secondary_image&pid=" + pid + "&secondary_id=" + secondary_id + "&do_apply=yes&last_active_tab=images";
	}
}

function ConfirmDeleteProductAttribute(pid, paid){
	if(confirm("Do you really want to delete selected attribute?\n\nPlease note: after deleting attributes do not forget to update inventory!")){
		var nonce = $('#nonce-product-delete-attribute-'+pid+'-'+paid).val();
		document.location = "admin.php?p=product_process&nonce="+nonce+"&mode=delete_attribute&pid=" + pid + "&paid=" + paid + "&do_apply=yes&last_active_tab=attributes";
	}
}

function ConfirmDeleteProductInventoryRecord(pid, pi_id){
	if(confirm("Do you really want to delete selected inventory record?")){
		var nonce = $('#nonce-product-delete-inv-record-'+pid+'-'+pi_id).val();
		document.location = "admin.php?p=product_process&nonce="+nonce+"&mode=delete_inv_record&pid=" + pid + "&pi_id=" + pi_id + "&do_apply=yes&last_active_tab=inventory";
	}
}

function ConfirmDeleteQuantityDicount(pid, qd_id){
	if(confirm("Do you really want to delete selected quantity discount?")){
		var nonce = $('#nonce-product-delete-discount-'+pid+'-'+qd_id).val();
		document.location = "admin.php?p=product_process&nonce="+nonce+"&mode=delete_discount&pid=" + pid + "&qd_id=" + qd_id + "&do_apply=yes&last_active_tab=discounts";
	}
}
