function getMessageCenterNews(t, l)
{
	$.ajax({
		url: document.location.protocol + '//cartmanual.com/messagecenter/web/public/messages?t='+t+'&l='+l,
		dataType: 'jsonp',
		success: function (data)
		{
			$('#admin-home-message-center .spinner').remove();
			$('#admin-home-message-center').data('messagesCount', data.length);

			if (data.length > 0)
				$('#admin-home-mc-area').show();

			var n = 1;
			$.each(data, function(key, entry){
				if ($('#admin-home-message-center #entry-' + n).length == 0)
				{
					entry.num = n;
					n = n + 1;
					var html = 
						'<div class="admin-home-message clearfix ' + (key % 2 ? 'admin-home-message-odd' : '') + '" id="entry-' + entry.num + '"' + (entry.popup == '' ? 'style="cursor:default;"' : '') + '>' + 
							entry.text + 
						'</div>';
					$('#admin-home-message-center').append(html);
					
					$('#admin-home-message-center #entry-' + entry.num).data('entry', entry);
 				}
			});
			
			$('#admin-home-message-center .admin-home-message').each(function(){
				$(this)
				.mouseenter(function(){
					$(this).addClass('admin-home-message-over');
				})
				.mouseleave(function(){
					$(this).removeClass('admin-home-message-over');
				});
				/**
				if ($(this).data('entry').popup != '')
				{
					$(this).click(function(){
						var entry = $(this).data('entry');
						showMessageCenterMessage(entry);
					});
				}
				**/
			});
		},
		error: function (XMLHttpRequest, textStatus, errorThrown)
		{
			//alert(textStatus);
		}
	});

	$("#admin-home-message-dialog").dialog({
		title: 'Message Center',
		autoOpen: false,
		modal: true, 
		width: 600,
		height: 400,
		resizable: false
	});
	
	$("#admin-home-message-prev").live('click', function(){
		var n = $('#admin-home-message-center').data('currentEntry') - 1;
		showMessageCenterMessage($('#admin-home-message-center #entry-' + n).data('entry'));
	});
	
	$("#admin-home-message-next").live('click', function(){
		var n = $('#admin-home-message-center').data('currentEntry') + 1;
		showMessageCenterMessage($('#admin-home-message-center #entry-' + n).data('entry'));
	});
}

function showMessageCenterMessage(entry)
{
	var c = $('#admin-home-message-center').data('messagesCount');
	
	var n = entry.num;
	$('#admin-home-message-center').data('currentEntry', n); 
	
	var html = 
		'<div style="height:325px;ovDerflow:auto;">' +
			'<div style="margin-bottom:5px;padding:10px;">' + entry.text + '</div>' +
			//'<div style="padding:0px 10px;height:30px;overflow:auto;">' + entry.popup + '</div>' + 
			'<div style="margin-top:5px;"></div>' + 
		'</div>';
	
	if (n > 1 || n < c)
	{
		html = html + '<div style="height:30px;text-align:right;">';
		if (n > 1) html = html + '<button id="admin-home-message-prev">Prev</button>';
		if (n < c) html = html + '&nbsp; <button id="admin-home-message-next">Next</button>';
		html = html + '</div>';
	}
	
	$("#admin-home-message-dialog-content").html(html);
	$("#admin-home-message-dialog").dialog('option', 'title', 'Message Center: ' + entry.title + ' (' + entry.date + ')');
	$("#admin-home-message-dialog").dialog('open');
}

function showDashboardSalesGraph()
{
	var d = new Date();
	$.getJSON("admin.php?p=charts&chart=true&version=2&mode=sales_by_month&year="+d.getFullYear()+"&month="+(d.getMonth()+1)+"&chart_view=bar", function(chart){
		var plot = $.plot($("#chartplace"),
			// data
			[{
				data: chart.data,
				label: chart.title,
				lines: { 
					show: true, 
					fill: true
				},
				color: "#9BCB60"
			}],
			// options
			{
				series: {
					lines: { show: true },
					points: { show: false }
				},
				grid: {
					hoverable: true,
					clickable: false,
					borderColor: '#ccc',
					borderWidth: 1,
					lineColor: '#fefefe',
					
				},
				xaxis: { mode: "time", tickSize: [1, "day"], minTickSize: [1, "day"], reserveSpace: true, labelWidth: 40, timeformat: '%d' },
				yaxis: { 
					tickDecimals: 0, 
					min: 0, 
					max: (chart.max + (chart.max / 4)),
					tickFormatter: function(v) { return sprintf(chart.yLabelFormat, v); },
					alignTicksWithAxis: 0,
					labelWidth: 40
			}
		});
		
		plot.resize();
		plot.setupGrid();
		plot.draw();
		
		var previousPoint = null;
		$('#chartplace').bind('plothover', function(e, pos, item){
			if (item)
			{
				if (previousPoint != item.dataIndex)
				{
					previousPoint = item.dataIndex;
					showChartToolTip('sales', item.pageX, item.pageY, item.series.data[item.dataIndex][2]);
				}
			}
			else
			{
				$('#chart-tooltip-sales').remove();
				previousPoint = null;
			}
		});
	});
	
	
}

$(document).ready(function()
{
	showDashboardSalesGraph();
	
	$("#paypal-no").click(function(){
		$.post('admin.php?p=home&chart=true', {action:'hide-paypal'}, function(){
			$("#div-paypal").slideUp('fast', function(){
				$(this).remove();
			});
		});
	});
	
	$("#div-paypal-dialog").dialog({
		autoOpen: false,
		width: 750,
		height: 420,
		title: 'PayPal',
		modal: true,
		resizable: false,
		closeOnEscape: true,
		title: 'PayPal Express Checkout'
	});

	$("#paypal-learn-more").click(function(){
		$("#div-paypal-dialog").dialog('open');
	});
	
	$("#paypal-view-demo").click(function(){
		window.open('https://merchant.paypal.com/us/cgi-bin/?cmd=_render-content&content_ID=merchant/demo_express_checkout', 'paypalVideo', 'location=1,status=1,scrollbars=0,width=640,height=360');
	});
	
	$(".admin-home-button").each(function(){
		$(this).mouseenter(function(){
			$(this).addClass('active')
		});
		$(this).mouseleave(function(){
			$(this).removeClass('active')
		});
		$(this).click(function(){
			document.location = $(this).find('a:first').attr('href');
			//$(this).find('a').click();
		});
		
	});
	
});
