function getMessageCenterNews()
{
/**
	$.ajax({
		url: 'http://www.cartmanual.com/message-center/index.php',
		dataType: 'jsonp',
		success: function (data)
		{
			$('#admin-home-message-center .spinner').remove();
			$('#admin-home-message-center').data('messagesCount', data.length);
			var n = 1;
			$.each(data, function(key, entry){
				if ($('#admin-home-message-center #entry-' + entry.id).length == 0)
				{
					entry.num = n;
					n = n + 1;
					var html = 
						'<div class="admin-home-message clearfix ' + (key % 2 ? 'admin-home-message-odd' : '') + '" id="entry-' + entry.num + '">' + 
							'<strong>' + entry.title + '</strong><br/>' + 
							entry.intro + '.. <a href="">read more</a><br/><i>' + entry.date + '</i>' + 
						'</div>';
					$('#admin-home-message-center').append(html);
					
					$('#admin-home-message-center #entry-' + entry.num).data('entry', entry);
 				}
			});
			
			$('#admin-home-message-center .admin-home-message').each(function(){
				$(this)
				.mouseenter(function(){
					$(this).addClass('admin-home-message-over');
				})
				.mouseleave(function(){
					$(this).removeClass('admin-home-message-over');
				})
				.click(function(){
					var entry = $(this).data('entry');
					showMessageCenterMessage(entry);
				});
			});
		},
		error: function (XMLHttpRequest, textStatus, errorThrown)
		{
			//alert(textStatus);
		}
	});
	
	$("#admin-home-message-dialog").dialog({
		title: 'Message Center',
		autoOpen: false,
		modal: true, 
		width: 600,
		height: 400,
		resizable: false
	});
	
	$("#admin-home-message-prev").live('click', function(){
		var n = $('#admin-home-message-center').data('currentEntry') - 1;
		showMessageCenterMessage($('#admin-home-message-center #entry-' + n).data('entry'));
	});
	
	$("#admin-home-message-next").live('click', function(){
		var n = $('#admin-home-message-center').data('currentEntry') + 1;
		showMessageCenterMessage($('#admin-home-message-center #entry-' + n).data('entry'));
	});
**/
}

function showMessageCenterMessage(entry)
{
	var c = $('#admin-home-message-center').data('messagesCount');
	
	var n = entry.num;
	$('#admin-home-message-center').data('currentEntry', n); 
	
	var html = 
		'<div style="height:325px;ovDerflow:auto;">' +
			'<div style="margin-bottom:5px;"><strong>' + entry.title + '</strong></div><div style="padding:5px 10px;height:280px;overflow:auto;">' + entry.text + entry.text + entry.text + entry.text + '</div><div style="margin-top:5px;"><i>' + entry.date + ' - Message ' + n + ' of ' + c + '</i></div>' + 
		'</div>';
	
	if (n > 1 || n < c)
	{
		html = html + '<div style="height:30px;text-align:right;">';
		
		//prev
		if (n > 1)
		{
			html = html + '<button id="admin-home-message-prev">Prev</button>';
		}
		
		if (n < c)
		{
			html = html + '&nbsp; <button id="admin-home-message-next">Next</button>';
		}
		
		html = html + '</div>';
	}
	
	$("#admin-home-message-dialog-content").html(html);
	//$("#admin-home-message-dialog").dialog('option', 'title', 'Message Center: ' + entry.title + ' (' + entry.date + ')');
	$("#admin-home-message-dialog").dialog('open');
}

function resizeGraph()
{
	var d = new Date();
	$('#homeChart').html('Loading Statistics...');
	$('#homeChart').insertFusionCharts({
		type: "Column3D", 
		wmode: 'Transparent',
		width: ($('#admin-tab-sheet-stats .admin-tab-sheet-wrap').width() - 30),
		height:($('#tabs-right').height() - $('#tabs-right ul li').height() - 30),
		data: "admin.php?p=charts&chart=true&mode=sales_by_month&year="+d.getFullYear()+"&month="+(d.getMonth()+1)+"&chart_view=bar",
		dataFormat: "URIData",
		swfPath: 'content/vendors/fusioncharts/Charts',
		wMode: 'transparent'
	});
}

$(document).ready(function()
{
	resizeGraph();
	getMessageCenterNews();

	$(".admin-home-header ul li").each(function(){
		$(this).mouseenter(function(){
			$(this).addClass("active");
		});
		$(this).mouseleave(function(){
			$(this).removeClass("active");
		});
		$(this).click(function(){
			document.location = $(this).find("a").attr('href');
		});
	});

	$("#paypal-no").click(function(){
		$.post('admin.php?p=home&chart=true', {action:'hide-paypal'}, function(){
			$("#div-paypal").slideUp('fast', function(){
				$(this).remove();
			});
		});
	});
	
	$("#div-paypal-dialog").dialog({
		autoOpen: false,
		width: 600,
		maxWidth: 600,
		//height: 470,
		title: 'PayPal',
		modal: true,
		resizable: false,
		closeOnEscape: true,
		title: 'PayPal Express Checkout'
	});

	$("#paypal-learn-more").click(function(){
		$("#div-paypal-dialog").dialog('open');
	});
	
	$("#paypal-view-demo").click(function(){
		window.open('https://merchant.paypal.com/us/cgi-bin/?cmd=_render-content&content_ID=merchant/demo_express_checkout', 'paypalVideo', 'location=1,status=1,scrollbars=0,width=640,height=360');
	});
	
	$(".admin-home-button").each(function(){
		$(this).mouseenter(function(){
			$(this).addClass('active')
		});
		$(this).mouseleave(function(){
			$(this).removeClass('active')
		});
		$(this).click(function(){
			document.location = $(this).find('a:first').attr('href');
			//$(this).find('a').click();
		});
		
	});
	
	$("#homeChart object:first").attr('wmode', 'transparent');
	//$("#homeChart object:first").append('<param name="wmode" value="transparent">');
});

$(window).resize(function()
{
	resizeGraph();
});