//dialog hide in this file due to conflict

var menuTimeout = null;
$(document).ready(function(){
	/**
	 * On menu top button enter
	 */
	 
	$("#divHeader .menu .button").mouseover(function(){
		clearTimeout(menuTimeout);
		var pos = $(this).position();
		$("#divHeader .menu .buttonOn").removeClass("buttonOn"); // deactivate old active top button
		$(".activePopupMenu").removeClass("activePopupMenu").hide(); // hide old active popup menu		
		// set new menu as active
		$(this).addClass("buttonOn"); // set current button to active
		$("#" + this.id + "Items").addClass("activePopupMenu").css({top:pos.top+79,left:pos.left}).show();
	});
	
	/**
	 * On button mouse out, hide menu in few seconds
	 */
	$("#divHeader .menu .button").mouseout(function(){
		menuTimeout = setTimeout('$("#divHeader .menu .buttonOn").removeClass("buttonOn");$(".activePopupMenu").removeClass("activePopupMenu").fadeOut("fast");', 2000);
	});

	/**
	 * On menu item mouse enter 
	 */
	$("#divHeader .menu .item").mouseover(function(){
		clearTimeout(menuTimeout);
	});
	
	/**
	 * On menu item mouse out - hide popup
	 */
	$("#divHeader .menu .item").mouseout(function(){
		menuTimeout = setTimeout('$("#divHeader .menu .buttonOn").removeClass("buttonOn");$(".activePopupMenu").removeClass("activePopupMenu").fadeOut("fast");', 2000);
	});

	/**
	 * Video tutorials
	 */
	 

	$('.video-tutorials-dialog.ui-dialog').css('border', '8px solid #999999');

	$('#video-tutorials-link').click(function(){
		$('#video-tutorials').dialog('open');
		
		$('#video-tutorials').dialog({	
			autoOpen: false,
			dialogClass: 'video-tutorials-dialog',
			resizable: false,
			closeOnEscape: false,
			width: 450,
			title: 'Video Tutorials'
		});
		
	});
});

/**
 * Quick links menus
 * @param item
 */
function onQuickLink(item){
	item.className = item.active=="yes"?"quickLinkActiveOn":"quickLinkOn";
	window.status = "Admin Area: " + item.statustext;
}
function offQuickLink(item){
	item.className = item.active=="yes"?"quickLinkActiveOff":"quickLinkOff";
	window.status = "Admin Area";
}

function showHideDiv(img, divName){
	d = document.getElementById(divName);
	if(d){
		if(d.style.display == "none"){
			d.style.display = "block";
			img.src = "images/icons/ic_arrow_up.gif";
		}
		else{
			d.style.display = "none";
			img.src = "images/icons/ic_arrow_down.gif";
		}
	}
}

function setActiveTab(tabs, name)
{
	$("#" + tabs + "  > .admin-tabs-items > ul > li.admin-tab").each(function(){
		if ($(this).attr("id") != "admin-tab-" + name)
		{
			
			$(this).removeClass('admin-tab-active');
		}
	});
	$("#" + tabs + " > .admin-tab-sheet").each(function(){
		if ($(this).attr("id") != "admin-tab-sheet-" + name)
		{
			$(this).addClass('hidden').hide();
		}
	});

	if ($("#" + tabs + " > .admin-tabs-items > ul > #admin-tab-" + name).length > 0)
	{
		$("#" + tabs + " > .admin-tabs-items > ul > #admin-tab-" + name).addClass('admin-tab-active');
		$("#" + tabs + " > #admin-tab-sheet-" + name).removeClass('hidden').show();
	}
	else
	{
		$("#" + tabs + " > .admin-tabs-items > ul > li:first").addClass('admin-tab-active');
		$("#" + tabs + " div.admin-tab-sheet:first").removeClass('hidden').show();
	}
}
