$(document).ready(function(){
	$("#buttonSendToDoba").click(function(){
		var oid = $("#hiddenOrderId").val();
		$.getJSON('admin.php?p=doba_json&chart=true&action=sendOrder&oid=' + oid, function(data){
			if (data.status == 1)
			{
				$("#div-doba-send").hide();
				$("#div-doba-sent").html("Doba order ID: " + data.doba_order_id).show();
				$("#div-doba-fund").show();
			}
			else
			{
				alert("Cannot process request\n" + data.message);
			}
		});
	});
	
	$("#buttonFundDobaOrder").click(function(){
		var doba_order_id = $("#hiddenDobaOrderId").val();
		var cvv2 = $("#inputFundDobaCVV2").length > 0 && $("#inputFundDobaCVV2").val() != "undefined" ? $("#inputFundDobaCVV2").val() : '';
		$("#inputFundDobaCVV2").attr("disabled", true);
		$("#buttonFundDobaOrder").attr("disabled", true);
		$.getJSON('admin.php?p=doba_json&chart=true&action=fundOrder&doba_order_id=' + doba_order_id + '&cvv2=' + cvv2  , function(data){
			if (data.status == 1)
			{
				$("#div-doba-fund").hide();
				$("#div-doba-funded").show();
			}
			else
			{
				alert("Cannot process request\n" + data.message);
			}
			$("#inputFundDobaCVV2").removeAttr("disabled", true);
			$("#buttonFundDobaOrder").removeAttr("disabled", true);
		});
	});
	
	$("#dobaOrderDetailLink").click(function(){
		$("#dobaOrderDetail").addClass("load_spinner").html('Please wait, loading data...');
		tb_show("Order details", "#TB_inline?height=300&width=500&inlineId=dobaOrderDetailOuter", false, false)
		var doba_order_id = $("#hiddenDobaOrderId").val();
		$.getJSON('admin.php?p=doba_json&chart=true&action=getOrderDetail&doba_order_id=' + doba_order_id, function(data){
			if (data.status)
			{
				$("#dobaOrderDetail").removeClass("load_spinner").html(
					'<div>' + 
						'<h1 style="font-weight:bold;font-size:18px;color:orange;padding:10px 10px 0px 10px;">Doba Order ' + data.order["order_id"] + '</h1>' +
						'<div class="clearfix">' +
							'<div style="padding:0px 20px;">' +
								'Order status: ' + data.order["status"] + '<br/>' + 
								'Subtotal: $' + data.order["subtotal"] + '<br/>' +
								'Service fees: $' + data.order["service_fees"] + '<br/>' +
								'Shipping fees: $' + data.order["shipping_fees"] + '<br/>' +
								'Dropship fees: $' + data.order["dropship_fees"] + '<br/>' +
								'Order total: $' + data.order["order_total"] + '<br/>' +
							'</div>' +
						'</div>' +
					'</div>'
				);
			}
		});

		return false;
	});
	
	$("#insureShipCancel").click(function(){
		if (confirm('Do you really want to cancel?'))
		{
			document.location = $(this).attr('href');
		}
		return false;
	});
});