function checkAddCountryForm(frm)
{
	if (!isText(frm.elements["name"].value))
	{
		alert("Please enter country name!");
		frm.elements["name"].focus();
		return false;
	}
	
	if (!isInt(frm.elements["country_priority"].value))
	{
		alert("Please enter valid priority!");
		frm.elements["country_priority"].focus();
		return false;
	}
	
	if (!isText(frm.elements["iso_a2"].value))
	{
		alert("Please enter ISO Alpha 2 code!");
		frm.elements["iso_a2"].focus();
		return false;
	}
	
	return true;
}

function checkAddStateForm(frm)
{
	if (!isText(frm.elements["name"].value))
	{
		alert("Please enter state / province name!");
		frm.elements["name"].focus();
		return false;
	}
	
	if (!isText(frm.elements["short_name"].value))
	{
		alert("Please enter short name or code!");
		frm.elements["short_name"].focus();
		return false;
	}
	
	return true;
}

function confirmDeleteCountry(coid, showby, sortorder, letter, page)
{
	if (confirm("Do you really want to delete selected country?"))
	{
		var nonce = $('#country-delete-'+coid).val();
		document.location = "admin.php?p=countries&nonce="+nonce+"&showby=" + showby + "&sortorder=" + sortorder + "&letter=" + letter + "&page=" + page + "&action=delete&coid=" + coid;
	}
}

function confirmDeleteState(stid, coid, showby, sortorder, letter, page)
{
	if (confirm("Do you really want to delete selected state?"))
	{
		document.location = "admin.php?p=states&showby=" + showby + "&sortorder=" + sortorder + "&letter=" + letter + "&page=" + page + "&action=delete&coid=" + coid + "&stid=" + stid;;
	}
}

function checkAddTaxZoneForm(frm)
{
	if (frm.elements["zone_name"].value == "")
	{
		alert("Please enter zone name");
		frm.elements["zone_name"].focus();
		return false;
	}
	if (frm.elements["zone_description"].value == "")
	{
		alert("Please enter zone description");
		frm.elements["zone_description"].focus();
		return false;
	}
	return true;
}

function checkAddTaxRate(frm)
{
	if (frm.elements["rate_description"].value == "")
	{
		alert("Please enter rate description");
		frm.elements["rate_description"].focus();
		return false;
	}
	if (!checkNumber(frm.elements["tax_rate"].value))
	{
		alert("Please enter correct tax rate");
		frm.elements["tax_rate"].focus();
		return false;
	}
	return true;
}

function confirmDeleteTaxZoneRegion(zone_id, zr_id)
{
	if (confirm("Do you really want to delete selected region?"))
	{
		var nonce = $('#tax-delete-zone-region-'+zone_id+'-'+zr_id).val();
		document.location = "admin.php?p=taxes_zone&nonce="+nonce+"&zone_id=" + zone_id + "&action=deleteZoneRegion&zr_id=" + zr_id;
	}
}

function confirmDeleteTaxZone(zone_id)
{
	if (confirm("Do you really want to delete selected tax zone?"))
	{
		var nonce = $('#tax-delete-tax-zone-'+zone_id).val();
		document.location = "admin.php?p=taxes&tax_mode=advanced&last_active_tab=zones&nonce="+nonce+"&zone_id=" + zone_id + "&action=deleteZone";
	}
}

function confirmDeleteTaxClass(class_id)
{
	if (confirm("Do you really want to delete selected tax class?"))
	{
		var nonce = $('#tax-delete-tax-class-'+class_id).val();
		document.location = "admin.php?p=taxes&tax_mode=advanced&last_active_tab=classes&nonce="+nonce+"&class_id=" + class_id + "&action=deleteClass"
	}
}

function checkAddTaxClassForm(frm)
{
	if (frm.elements["class_name"].value == "")
	{
		alert("Please enter class name");
		frm.elements["class_name"].focus();
		return false;
	}
	if (frm.elements["class_description"].value == "")
	{
		alert("Please enter class description");
		frm.elements["class_description"].focus();
		return false;
	}
	return true;
}

function confirmDeleteRate(rate_id)
{
	if (confirm("Do you really want to delete selected tax rate?"))
	{
		var nonce = $('#tax-delete-rate-'+rate_id).val();
		document.location = "admin.php?p=taxes&tax_mode=advanced&last_active_tab=rates&rate_id=" + rate_id + "&nonce="+nonce+"&action=deleteRate";
	}
}

function confirmDeleteRateSimple(rate_id)
{
	if (confirm("Do you really want to delete selected tax rate?"))
	{
		var nonce = $('#tax-delete-rate-'+rate_id).val();
		document.location = "admin.php?p=taxes&rate_id=" + rate_id + "&nonce="+nonce+"&action=deleteRate&"
	}
}