tinymce.init({
	selector: ".mce",
	theme: "modern",
	plugins: [
		"advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker",
		"searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
		"table contextmenu directionality emoticons template paste textcolor moxiemanager"
	],
	toolbar1:"fontselect fontsizeselect | forecolor backcolor | bold italic underline strikethrough superscript subscript | alignleft aligncenter alignright alignjustify | justifyleft justifycenter justifyright justifyfull | bullist numlist outdent indent | fullscreen",
	toolbar2:"code removeformat | cut copy paste | undo redo | link unlink anchor | insertfile image media charmap hr",

	plugin_insertdate_dateFormat : "%d-%m-%Y",
	plugin_insertdate_timeFormat : "%H:%M:%S",
	remove_script_host : true,
	relative_urls : false,
	convert_urls : false,
	cleanup : true,
	cleanup_on_startup : true,
	document_base_url : '',
	verify_html : false,
	force_br_newlines : false,
	extended_valid_elements : "",
	external_link_list_url : "",
	external_image_list_url : ""
});

function toggleEditorMode(sEditorID, eleToggleLink)
{
	try
	{
		if ($('#' + sEditorID + '_ifr').length > 0)
		{
            tinymce.EditorManager.execCommand("mceRemoveEditor", false, sEditorID);
			if (eleToggleLink) eleToggleLink.innerHTML = "Show Editor";
		}
		else
		{
			tinymce.EditorManager.execCommand("mceAddEditor", false, sEditorID);
			if (eleToggleLink) eleToggleLink.innerHTML = "Hide Editor";
		}
	}
	catch(e)
	{
		//error handling
	}
}
