$(document).ready(function(){
	/**
	 * Show/hide new campaign
	 */
	$("#link-widgets-campaign-add").click(function(){
		if ($("#form-widgets-campaigns").length > 0)
		{
			$("#form-widgets-campaign-new").toggle("fast");
		}
	});
	
	/**
	 * Validate new campaign form
	 */
	$("#form-widgets-campaign-new").submit(function(){
		if ($(this).find('input[name="campaign[name]"]').val() == "")
		{
			alert('Please enter campaign name');
			$(this).find('input[name="campaign[name]"]').focus();
			return false;
		}
		if ($(this).find('input[name="campaign[description]"]').val() == "")
		{
			alert('Please enter campaign description');
			$(this).find('input[name="campaign[description]"]').focus();
			return false;
		}
		return true;
	});
	
	/**
	 * Validate campaigns form
	 */
	$("#form-widgets-campaigns").submit(function(){
		var problem = false;
		$(this).find('.campaign-name').each(function(){
			if (!problem)
			{
				if ($(this).val() == '')
				{
					alert('Please enter campaign name');
					$(this).focus();
					problem = true;
				}
			}
		});
		$(this).find('.campaign-description').each(function(){
			if (!problem)
			{
				if ($(this).val() == '')
				{
					alert('Please enter campaign description');
					$(this).focus();
					problem = true;
				}
			}
		});
		return !problem;
	});
	
	/**
	 * Delete campaign
	 */
	$(".link-widgets-campaign-delete").each(function(){
		$(this).click(function(){
			if (confirm('Do ypu really want to delete campaign?'))
			{
				var campaign_id = $(this).attr('id');
				campaign_id = campaign_id.replace(/[^0-9]/g, ''); 

				$.ajax({
					url: "admin.php?p=settings_widgets&chart=true",
					dataType: 'json',
					data: {
						action: 'delete_campaign',
						campaign_id: campaign_id
					},
					success: function() {
						$("#widgets-campaign-"+campaign_id).hide('fast', function(){
							$(this).remove();
							if ($("#form-widgets-campaigns table.admin-list-table td").length == 0)
							{
								$("#form-widgets-campaigns").remove();
								$("#form-widgets-campaign-new").show();
							}
						});
					}
				});
			}
			return false;
		});
	});
});