$(document).ready(function(){
	
	/**
	 * Enable/disable Widgets
	 */
	$("#button-widgets-activate").click(function(){
		var active = $("#button-widgets-activate").hasClass('disable');
		$("#button-widgets-activate").attr('disabled', 'disabled').addClass('disabled');
		$.ajax({
			url: "admin.php?p=settings_widgets&chart=true",
			dataType: 'json',
			data: {
				action: 'update_status',
				widgets_active: active ? "No" : "Yes"
			},
			success: function() {
				$("#button-widgets-activate").removeAttr('disabled').removeClass('disabled');
				if (active)
				{
					$("#button-widgets-activate").removeClass('disable').attr('value', 'Activate');
					$("#menu_item_marketing_widgets").hide();
				}
				else
				{
					$("#button-widgets-activate").addClass('disable').attr('value', 'Disable');	
					$("#menu_item_marketing_widgets").show();
				}
			}
		});
	});
});