<?php
require_once("lib/ApiItemBase.php");
class ApiProductQoh extends ApiItemBase
{
    public function GetItemType()
    {
        return "Product";
    }

    public $PID;
    public $ProductId;
    public $Qoh;

    public static function LoadFromDataRecord($dataRecord)
    {
        global $db;
        $returnProduct = new ApiProductQoh();
        $returnProduct->PID = $dataRecord["pid"];
        $returnProduct->ProductId = $dataRecord["product_id"];
        if ($dataRecord["inventory_control"] == "Yes")
        {
            $returnProduct->Qoh = $dataRecord["stock"] > 0 ? $dataRecord["stock"] : 0;
        }
        else
        {
            $returnProduct->Qoh =0;
        }
        return $returnProduct;
    }
}
?>