<?php
require_once("ProcessorBase.php");
class XmlProcessor extends ProcessorBase
{
	public static function Process($httpRaw,$httpPost,$httpGet,$httpFile,$httpRequest,$template)
	{
		global $smarty;
		
		$output = parent::Process($httpRaw, $httpPost, $httpGet, $httpFile, $httpRequest,$template);
		$xml = '';
		$smarty->assign("XmlData",$output);
		
		$call = isset($httpRequest["call"])?$httpRequest["call"]:null;
		
		$smarty->assign("CdataFields", ApiCalls::getCdataFields($call));
		if ($template)
		{
			$xml = $smarty->fetch("$template.tpl");
		} else {
			$xml = $smarty->fetch("xml.tpl");
		}
		return $xml;
	}
	public static function ProcessNotAuthenticated($httpRaw,$httpPost,$httpGet,$httpFile,$httpRequest,$template)
	{
		global $smarty;
		$output = parent::ProcessNotAuthenticated($httpRaw, $httpPost, $httpGet, $httpFile, $httpRequest,$template);
		$xml = "";
		$smarty->assign("XmlData",$output);
		$xml = $smarty->fetch("xml.tpl");
		return $xml;
	}
	public static function Get_FileExtension()
	{
		return "xml";
	}
	public static function Get_FileMimeType()
	{
		return "text/xml";
	}
}