<?php
	$perPage = 10;
	$start = isset($start)?intval($start):0;
	$previewLength = 100;
	$testimonialList = $this->getTestimonials($start, $perPage);
?>
<script type="text/javascript">
function setStatus(id,el)
{
	// ajax request to grab products
	$.post(
		"admin.php?p=plugin&plugin_id=testimonials&chart=true",
		{
			action: 'setTestimonialStatus',
			id: id,
			status: $(el).val()
		},
		function(data)
		{
			$('#testimonialRecord_' + id).fadeOut("fast", function(){$('#testimonialRecord_' + id).fadeIn("fast")});

		}
	);

}
function confirmDeleteTestimonial(id)
{
	if (confirm('Are you sure you want to delete this testimonial?'))
	{
		$.post(
			"admin.php?p=plugin&plugin_id=testimonials&chart=true",
			{
				action: 'deleteTestimonial',
				id: id
			},
			function(data)
			{
				$('#testimonialRecord_' + id).fadeOut("fast");
			}
		);

	}
}
</script>
<div id="admin-tab-sheet-testimonials" class="admin-tab-sheet hidden">
	<div class="admin-tab-sheet-wrap">
		<div class="admin-form-header">Your Testimonials</div>
	
		<div style="padding:7px 0px 10px 32px;">Here is an overview of all submitted Testimonials. Please approve or decline pending Testimonials. Changes are saved when made.</div>
<?php
	if (!empty($testimonialList))
	{
?>

		<div class="listHeader">
			<div class="listHeaderIcon">&nbsp;</div>
			<div class="listHeaderCaption" style="width:150px;">Name</div>
			<div class="listHeaderCaption" style="width:150px;">Company</div>
			<div class="listHeaderCaption" style="width:70px;">Rating</div>
			<div class="listHeaderCaption" style="width:130px;">Status</div>
			<div class="listHeaderCaption" style="width:200px;">Testimonial</div>
			<div class="listItemButtons" style="text-align:right;">
<?php
		if ($start > 0) echo '<a href="admin.php?p=plugin&plugin_id=testimonials&start='.($start-$perPage).'">Previous</a>';
		if ($this->totalTestimonials > ($start+$perPage)) echo '<a href="admin.php?p=plugin&plugin_id=testimonials&start='.($start+$perPage).'">Next</a>';
?>
			</div>
		</div>
<?php
		foreach($testimonialList as $testimonialRecord)
		{
?>
			<div class="listItem" id="testimonialRecord_<?=$testimonialRecord['id']?>">
				<div class="listItemIcon">&nbsp;</div>
				<div class="listItemText" style="width:150px;"><?=htmlspecialchars($testimonialRecord["name"])?></div>
				<div class="listItemText" style="width:150px;"><?=htmlspecialchars($testimonialRecord["company"])?></div>
				<div class="listItemText" style="width:70px;"><?=htmlspecialchars($testimonialRecord["rating"])?></div>
				<div class="listItemText" style="width:130px;">
					<select onchange="setStatus('<?=$testimonialRecord['id']?>', this)">
						<option value="pending">Pending</option>
						<option value="approved" <?=$testimonialRecord["status"]=="approved"?'selected="selected"':''?>>Approved</option>
						<option value="declined" <?=$testimonialRecord["status"]=="declined"?'selected="selected"':''?>>Declined</option>
					</select>
				</div>
				<div class="listItemText" style="width:200px;"><?=htmlspecialchars(substr($testimonialRecord["testimonial"], 0, 100))?>...</div>
				<div class="listItemButtons">
					<a href="admin.php?p=plugin&plugin_id=<?=$this->plugin_id?>&testimonialId=<?=$testimonialRecord['id']?>&last_active_tab=create"><img border="0" src="images/icons/ic_change_text.gif" alt="Click to edit"/></a>
					<a href="#" onclick="confirmDeleteTestimonial('<?=$testimonialRecord['id']?>');return false;"><img src="images/icons/ic_delete.gif" alt="Click to delete" border="0"/></a>
				</div>
			</div>

<?php
		}
	}
	else
	{
		echo '<div style="padding: 7px 0 10px 32px; font-weight: bold;">No testimonials yet</div>';
	}
?>
		&nbsp;
	</div>
</div>