<?php

class Admin_ProductProcess
{
	public static function deleteProduct($pid, $db, $product_images_dir, $product_thumbs_dir, $product_thumbs2_dir, $product_secondary_images_dir)
	{
		$file_utils = file_utils::getInstance();

		$pid = intval($pid);
		if ($pid == 0)
			return false;

		$db->query("SELECT * FROM ".DB_PREFIX."products WHERE pid='".$pid."'");
		if ($product = $db->moveNext())
		{
			if (!self::isDemo())
			{
				$product_id = strtolower(trim($product["product_id"]));

				$db->query("SELECT * FROM ".DB_PREFIX."products_images WHERE pid='".$pid."'");
				if ($db->numRows()>0)
				{
					while ($image = $db->moveNext())
					{
						$file_utils->deleteImages($image['filename'], $product_secondary_images_dir);
						//TODO: Is this always jpg?
						$file_utils->unlink($product_secondary_images_dir."/thumbs/".$image["filename"].".jpg");
					}
					$db->query("DELETE FROM ".DB_PREFIX."products_images WHERE pid='".$pid."'");
				}
				$db->query("UPDATE ".DB_PREFIX."orders_content SET product_removed='Yes' WHERE pid='".$pid."'");
				$db->query("DELETE FROM ".DB_PREFIX."products_attributes WHERE pid='".$pid."'");
				$db->query("DELETE FROM ".DB_PREFIX."products_categories WHERE pid='".$pid."'");
				$db->query("DELETE FROM ".DB_PREFIX."products_shipping_price WHERE pid='".$pid."'");
				$db->query("DELETE FROM ".DB_PREFIX."products WHERE pid='".$pid."'");

				$filename = $file_utils->stripFilename($product_id);
				$file_utils->deleteImages($filename, $product_images_dir);
				$file_utils->deleteImages($filename, $product_thumbs_dir);
				$file_utils->deleteImages($filename, $product_thumbs2_dir);
			}
			return true;
		}
		return false;
	}

	public static function bulkDeleteProducts($pids, $db, $product_images_dir, $product_thumbs_dir, $product_thumbs2_dir, $product_secondary_images_dir)
	{
		if (trim($pids) == '' || $pids == null)
			return false;

		$pids_array = explode(',', trim($pids));

		$products_deleted = true;
		foreach ($pids_array as $pid)
		{
			if (!self::deleteProduct($pid, $db, $product_images_dir, $product_thumbs_dir, $product_thumbs2_dir, $product_secondary_images_dir))
				$products_deleted = false;
		}

		return $products_deleted;
	}

	public static function isDemo()
	{
		if (defined('DEMO_LOCK'))
		{
			return DEMO_LOCK;
		}
		return false;
	}
}