<?php
class Admin_Model 
{
	protected $db = null;
	
	/**
	 * Class constructor
	 * @param DB $db
	 * @return AdminModel 
	 */
	public function __construct(DB $db)
	{
		$this->db = $db;
		return $this;
	}
	
	/**
	 * Returns DB instance
	 * @return DB
	 */
	protected function db()
	{
		return $this->db;
	}
}
