<?php
/**
 * 
 */
class DataAccess_OrderRepository extends DataAccess_Repository
{
	/**
	 *
	 * @param type $count
	 * @return type 
	 */
	public function getLastActiveOrders($dateFormat = '%m/%d/%Y - %r', $count = 7)
	{
		return $this->getData("
			SELECT ".DB_PREFIX."orders.*, ".DB_PREFIX."users.*, DATE_FORMAT(status_date, '".$dateFormat."') AS sd
			FROM ".DB_PREFIX."orders
			LEFT JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid=".DB_PREFIX."orders.uid AND ".DB_PREFIX."users.removed='No'
			WHERE ".DB_PREFIX."orders.status <> 'Abandon' AND ".DB_PREFIX."orders.status <> 'New' AND order_num > 0 AND ".DB_PREFIX."orders.status <> 'Failed' AND ".DB_PREFIX."orders.removed <> 'Yes'
			ORDER BY ".DB_PREFIX."orders.order_num DESC
			LIMIT ".(intval($count))."
		");
	}
}
