<?php
/**
 * 
 */
class DataAccess_UserRepository extends DataAccess_Repository
{
	/**
	 *
	 * @param type $userId
	 * @param type $cache
	 * @return type 
	 */
	public function getAllUserShippingAddresses($userId, $cache = true)
	{
		return $this->getData('
			SELECT
				u.*,
				c.name AS country_name
			FROM '.DB_PREFIX.'users_shipping u
			LEFT JOIN '.DB_PREFIX.'countries c ON c.coid = u.country 
			WHERE uid='.intval($userId).' ORDER BY is_primary
		', $cache);
	}
	
	/**
	 *
	 * @param type $count
	 * @return type 
	 */
	public function getLastActiveUsers($dateFormat = '%m/%d/%Y - %r', $count = 7)
	{
		return $this->getData("
			SELECT *, DATE_FORMAT(session_date, '".$dateFormat."') AS la 
			FROM ".DB_PREFIX."users 
			WHERE login <> 'ExpressCheckoutUser' AND removed='No' 
			ORDER BY ".DB_PREFIX."users.uid DESC 
			LIMIT ".(intval($count))."
		");
	}
}
