<?php
/**
 * Save paypal express checkout information
 */

if (!defined("ENV")) exit();

if ($user->auth_ok && $order->totalAmount > 0)
{
	$db->query("SELECT * FROM ".DB_PREFIX."payment_methods WHERE id='paypalec' AND active='Yes'");
	if ($db->moveNext())
	{
		$paypal_payment_method = $db->col;
		//view()->assign("paypal_ec_active", true);
		require_once("content/engine/engine_paypal_ec.php");
		$paypal_ec = new paypalExpressCheckout();
		$paypal_ec->ApiURL = $db->col["url_to_gateway"];
		
		//check for accelerated boaring mode
		if (trim($settings["paypalec_Email"]) != "")
		{
			$paypal_ec->Email = $settings["paypalec_Email"];
		}
		else
		{
			$paypal_ec->Username = $settings["paypalec_Username"];
			$paypal_ec->Password = $settings["paypalec_Password"];	
		}
		
		$paypal_ec->OrderTotal = $order->totalAmount;
		$paypal_ec->mode = strtolower($settings["paypalec_Mode"]);
		$paypal_ec->currencyCode = $settings["paypalec_currency"];
		
		$paypal_ec_result = $paypal_ec->GetExpressCheckoutDetails($_REQUEST["token"]);	

		view()->assign("paypal_ec_return_is_error", $paypal_ec->is_error);

		if ($paypal_ec->is_error)
		{
			view()->assign("paypal_ec_return_errors", $paypal_ec->error_messages);
			unset($_SESSION["paypal_express_checkout_details"]);				
		}
		else
		{
			$user->payPalExpressUserInfo($paypal_ec_result);
			$shipping_address_id = $user->payPal2Shipping($paypal_ec_result);
			
			$_SESSION["paypal_express_checkout_details"] = $paypal_ec_result;				
			$_SESSION["opc_shipping_address_id"] = $shipping_address_id;
			
			$order->updatePaymentMethod($paypal_payment_method["pid"]);
			$db->query("SELECT * FROM ".DB_PREFIX."users_shipping WHERE usid='".$shipping_address_id."'");
			if ($db->moveNext())
			{
				$shipping_address_data = $db->col;
				$order->updateShippingAddress($shipping_address_data);
				$backurl = $url_dinamic."p=one_page_checkout&start=1";
			}
			else
			{
				$backurl = $url_dinamic."p=one_page_checkout&start=1";
			}
		}			
	}
}
