<?php
/**
 * Update billing and shipping addresses
 */
	//die("gdfgd");
	if (!defined("ENV")) exit();
	
	if ($user->auth_ok)
	{
		$is_billing_error = false;
		$is_shipping_error = false;
		//update billing address
		$billing_address = isset($_POST["billing_address"]) ? $_POST["billing_address"] : array();
		$shipping_address_id = isset($_POST["shipping_address_id"]) ? $_POST["shipping_address_id"] : "new";
		
		$customFieldsData = isset($_POST["custom_field"]) ? $_POST["custom_field"] : false;
		
		if ($user->updateBillingInfo($billing_address, $customFieldsData))
		{
			if ($settings["GiftCardActive"] == "YES" && array_key_exists('add_gift', $_POST) && $_POST['gift_message'] != "")
			{
				$order->storeGiftMessage($_POST['gift_message']);
			}
			
			//update / set shipping address
			if (!$order->shippingDigital)
			{
				switch ($shipping_address_id)
				{
					/**
					 * Add new address and possibly save to address book
					 */
					case "new" :
					{
						$shipping_address = isset($_POST["shipping_address"]) ? $_POST["shipping_address"] : array();
						$user->errors = array();
						$user->is_error = false;
						
						if (isset($_POST["add_to_address_book"]))
						{
							if ($address_id = $user->addShippingAddress($shipping_address, $customFieldsData))
							{
								$order->updateShippingAddress($shipping_address, $customFieldsData);
							}
							else
							{
								$is_shipping_error = true;
							}
						}
						else
						{
							if ($user->validateAddress($shipping_address))
							{
								$order->updateShippingAddress($shipping_address, $customFieldsData);
							}
							else
							{
								$is_shipping_error = true;
							}
						}
						break;
					}
					/**
					 * User paypal express checkout address
					 */
					case "paypal_ec" :
					{
						if (isset($_SESSION["paypal_express_checkout_details"]))
						{
							$shipping_address = $_SESSION["paypal_express_checkout_details"];
							$order->updateShippingAddress($shipping_address);
						}
						break;
					}
					/**
					 * Use billing address
					 */
					case "billing" :
					{
						$shipping_address = $billing_address;
						$shipping_address["name"] = $billing_address["fname"]." ".$billing_address["lname"];
						$order->updateShippingAddress($shipping_address);
						break;
					}
					/**
					 * Use selected address from address book
					 */
					default :
					{
						$shipping_address = $user->getShippingAddressById($shipping_address_id);
						$order->updateShippingAddress($shipping_address);
						break;
					}
				}
			
				$_SESSION["tc_shipping_address_id"] = $shipping_address_id;
				
				$customFields->storeCustomFields("invoice", $customFieldsData, $user->id, $order->oid, 0);
				
			}
		}
		else
		{
			$is_billing_error = true;
			$_SESSION["tc_shipping_address_id"] = $shipping_address_id;
		}
		
		
		if (!$user->is_error)
		{
			if ($order->shippingDigital || ($settings["ShippingCalcEnabled"] != "YES") || ($settings["ShippingShowAlternativeOnFree"] != "YES" && $order->shippingCarrierID == "custom" && $order->shippingMethodID == "free"))
			{
				$next_step = "invoice";
				$order->closeShipping();
			}
			else
			{
				$next_step = "shipping_method";
				$order->openShipping();
			}
			$backurl = $url_https."p=".$next_step;	
		}
	}
