<?php
/**
 * Update order items
 */

if (!defined("ENV")) exit();

if ($settings["VisitorMayAddItem"] == "YES" || $user->auth_ok)
{
	if ($settings["buysafe_active"] == "Yes" && isset($_REQUEST["WantsBondField"]))
	{
		$db->reset();
		$db->assignStr("buysafe_wants_bond", $_REQUEST["WantsBondField"]);
		$db->update(DB_PREFIX."orders", "WHERE oid='".intval($order->oid)."'");
	}
	
	$oa_quantity = isset($_REQUEST["oa_quantity"]) ? $_REQUEST["oa_quantity"] : array();
	$oa_quantity = is_array($oa_quantity) ? $oa_quantity : array();
	if (count($oa_quantity) > 0)
	{
		$order->updateItems($oa_quantity);
		$order->checkFreeProducts();
		$order->openShipping();
		$order->checkShippingDigital();
		$order->recalcOrderData();
	}
	
	
	if ($oa == ORDER_CONTINUE_SHOPPING)
	{
		$backurl = $url_http;
	}
	elseif ($oa == ORDER_BILLING_AND_SHIPPING_ADDRESS)
	{
		$backurl = $url_dinamic."p=billing_and_shipping_address";
	}
	elseif ($oa == ORDER_ONE_PAGE_CHECKOUT)
	{
		$backurl = $url_https."p=one_page_checkout&start=1";
	}
	else
	{
		$backurl = $url_dinamic."p=cart";
	}

	$min_subtotal_amount = normalizeNumber($settings["MinOrderSubtotalLevel".$user->level]);
	if ($min_subtotal_amount > $order->subtotalAmount)
	{
		$backurl = false;
	}
	
	$promo_result = true;
	if ($settings["DiscountsPromo"] == "YES")
	{
		$promo_code = empty($_REQUEST["promo_code"]) ? "" : $_REQUEST["promo_code"];
		if (isset($_REQUEST["promo_code"]))
		{
			$_SESSION["order_promo_code"] = $promo_code;
		}
		
		if ($promo_code != "")
		{
			$order->resetPromo();
			$promo_result = $order->checkPromoCode($promo_code);
		}
	}

	if (!$promo_result)
	{
		$backurl = false;
		$promo_error = true;
	}
}
