<?php
/**
 * Update order items
 */

	if (!defined("ENV")) exit();
	
	if ($settings["VisitorMayAddItem"] == "YES" || ($user->auth_ok || $userCookie))
	{
		/**
		 * TODO: buysafe
		 */
		/**
		if ($settings["buysafe_active"] == "Yes" && isset($_REQUEST["WantsBondField"]))
		{
			$db->reset();
			$db->assignStr("buysafe_wants_bond", $_REQUEST["WantsBondField"]);
			$db->update(DB_PREFIX."orders", "WHERE oid='".intval($order->oid)."'");
		}
		**/
		
		/**
		 * Update quantities
		 */
		$oa_quantity = isset($_REQUEST["oa_quantity"]) ? $_REQUEST["oa_quantity"] : array();
		$oa_quantity = is_array($oa_quantity) ? $oa_quantity : array();
		
		if (count($oa_quantity) > 0)
		{
			$order->updateItems($oa_quantity);
			$order->checkFreeProducts();
			$order->openShipping();
			$order->checkShippingDigital();
			$order->recalcOrderData();
		}
		
		/**
		 * Set / unset InsureShip
		 */
		if ($settings["InsureShipActive"] == "Yes") //when switching to OPC, we do not pass "insureship_active" variable
		{
			$db->reset();
			if (isset($_REQUEST["insureship_active"]))
			{
				require_once("content/classes/class.insureship.php");
				$insureShip = new InsureShip($settings["InsureShipAccountId"]);
				$insureShipAmount = $insureShip->getRate($order->subtotalAmount);
				$db->assignStr("insureship_active", $order->insureShipActive = $insureShipAmount > 0 ? 1 : 0);
				$db->assignStr("insureship_amount", $order->insureShipAmount = $insureShipAmount > 0 ? $insureShipAmount : 0);
			}
			else
			{
				$db->assignStr("insureship_active", 0);
				$db->assignStr("insureship_amount", 0);
				$order->insureShipActive = 0;
				$order->insureShipAmount = 0;
			}
			$db->update(DB_PREFIX."orders", "WHERE oid='".intval($order->oid)."'");
			$order->recalcOrderData();
		}
		
		/**
		 * What are we going to do after item updated
		 */
		//$oa_todo = isset($_REQUEST["oa_todo"]) ? $_REQUEST["oa_todo"] : "update";
		
		$oa = isset($_REQUEST["oa"]) ? $_REQUEST["oa"] : "update";
		if ($oa == ORDER_CONTINUE_SHOPPING)
	{
		$backurl = $url_http;
	}
	elseif ($oa == ORDER_BILLING_AND_SHIPPING_ADDRESS)
	{
		$backurl = $url_https."p=billing_and_shipping_address";
	}
	elseif ($oa == ORDER_ONE_PAGE_CHECKOUT)
	{
	
		$backurl = $url_https."p=one_page_checkout";
	}
	else
	{
		$backurl = $url_dynamic."p=cart";
	}

		
		/**
		 * Check min subtotal amount
		 */
		$userLevel = ($user->auth_ok) ? ($user->level) : ($userCookie ? $userCookie["l"] : 0);
		$min_subtotal_amount = normalizeNumber($settings["MinOrderSubtotalLevel".$userLevel]);
		if ($min_subtotal_amount > $order->subtotalAmount)
		{
			$backurl = false;
		}
		
		/**
		 * Check promo code
		 */
		$promo_result = true;
		if ($settings["DiscountsPromo"] == "YES")
		{
			$promo_code = empty($_REQUEST["promo_code"]) ? "" : $_REQUEST["promo_code"];
			if (isset($_REQUEST["promo_code"]))
			{
				$_SESSION["order_promo_code"] = $promo_code;
			}
			
			if ($promo_code != "")
			{
				$order->resetPromo();
				$promo_result = $order->checkPromoCode($promo_code);
			}
			if (!$promo_result)
			{
				$backurl = false;
				$promo_error = true;
			}
		}
	}
