<?php
/**
 * Starts checkout
 */
	if (!defined("ENV")) exit();

	/**
	 * Check how many gateways other that Google Checkout and PayPal Express Checkout are active.
	 */
	$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."payment_methods WHERE active='Yes' AND id NOT IN ('paypalec','googlecheckout')");
	$db->moveNext();
	$activeGateways = $db->col["c"];
if(isset($_SESSION["checkout_start_page"]))
		$_REQUEST["checkout_start_page"]=$_SESSION["checkout_start_page"];
	// check gor google or paypal express checkout - in this case we have to go to cart page first
	$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."payment_methods WHERE id IN ('paypalec','googlecheckout') AND active='Yes'");
	$db->moveNext();
	if (
		(($db->col["c"] > 0 || $settings["InsureShipActive"] == "Yes") && $_REQUEST["checkout_start_page"] != "cart")
		||
		($activeGateways == 0 && $_REQUEST["checkout_start_page"] == "cart")
	)
	{
	
	
		$backurl = $url_http."p=cart";
	}
	else
	{
		//if user already logged in
		if ($user->auth_ok || $userCookie)
		{
			//choose checkout mode and show first step
			$backurl = $url_https."p=".($settings["CheckoutProcessMode"] == "Traditional" ? "billing_and_shipping_address" : "one_page_checkout");
		}
		//or if user is now logged it
		else
		{
			//User MUST create account at this point
			if ($settings["AllowCreateAccount"] == "Yes")
			{
				//If there is traditional checkout - user just going to login page where he can choose registration
				if ($settings["CheckoutProcessMode"] == "Traditional")
				{
					$_SESSION["user_started_checkout"] = true;
					$backurl = $url_https."p=login";
				}
				//Or for one page checkout - we are forcing to create account right on OPC
				else
				{
					//REMEMBER - on OPC we have to create environment to FORCE account creation and show Login option
					$user->expressLogin();
					if ($user->auth_ok)
					{
						$backurl = $url_https."p=one_page_checkout";
					}
					else
					{
						$_SESSION["user_started_checkout"] = true;
						$backurl = $url_https."p=login";
					}
				}
			}
			//IF user is not forced to create account / may choose OR only use guest checkout
			else
			{
				//If there is traditional checkout - user just going to login page where he can choose registration OR guest checkout
				if ($settings["CheckoutProcessMode"] == "Traditional")
				{
					$backurl = $url_https."p=login";
				}
				//Or go to one page checkout where "Create account"/"Login" are invisible when AllowCreateAccount = "No" and visible when it is "Allow to decide"
				else
				{
					//REMEMBER - on OPC we have to create environment to FORCE account creation and show Login option
					$user->expressLogin();
					if ($user->auth_ok)
					{
						$backurl = $url_https."p=one_page_checkout";
					}
					else
					{
						$backurl = $url_https."p=login";
					}
				}
			}
		}
	}
	//unset($_SESSION["checkout_start_page"]);