<?php 
	function getPagesLinks($db, $active){
		$db->query("
			SELECT 
				IF(url_custom='', url_default, url_custom) AS url,
				name, title, options
			FROM ".DB_PREFIX."pages 
			WHERE 
				is_active = 'Yes' 
			ORDER BY priority, title
		");
		$pages = array();
		while($db->moveNext()){
			$pages[] = array(
				"name"=>$db->col["name"],
				"title"=>$db->col["title"],
				"top"=>(strstr($db->col["options"],'top')?1:0),
				"bottom"=>(strstr($db->col["options"],'bottom')?1:0),
                                "right"=>(strstr($db->col["options"],'right')?1:0),
				"url"=>getPageUrl($db->col["name"], $db->col["url"])
			);
		}
		return $pages;
	}
