<?php 

	// return mod rewrite configured site paths
	// see also .htaccess file
	//TODO - wrap url rewrites to class???
	
	function getProductUrl($url, $pid, $parent="0")
	{
		global $settings;
		return $settings["GlobalHttpUrl"]."/".$url;
	}
	
	function getCatalogUrl($url, $cid, $page=false)
	{
		global $settings;
		if ($page && intval($page) != 1)
		{
			$pageNum = $settings["SearchURLCategoryPaginatorTemplate"];
			if (($l = strlen($url)) > 0)
			{
				if ($url[$l-1] == "/")
				{
					$url = substr($url, 0, $l-1).$pageNum."/";
				}
				else
				{
					$p = pathinfo($url);
					if (isset($p['extension']) && $p['extension'] != "")
					{
						$url = substr($url, 0, $l - strlen($p['extension'])-1).$pageNum.".".$p['extension'];
					}
					else
					{
						$url.=$pageNum;
					}
				}
				$url = str_replace("%PageNumber%", $page, $url);
			}
		}
		
		
		return $settings["GlobalHttpUrl"]."/".$url;
	}
	
	function getPageUrl($page_id, $page_url)
	{
		global $settings;
		return $settings["GlobalHttpUrl"]."/".$page_url;
	}
	
	function getSiteMapUrl()
	{
		global $settings;
		return $settings["GlobalHttpUrl"]."/site".$settings["SearchURLJoiner"]."map.html";
	}