<?php
class WISHLIST{
		// Wishlist properties
		var $uid = 0, $pid = 0;
		var $db;
		var $messages, $errors;
		var $wishlistCount = 0;
		var $wishlistList = array();
		var $wishlistList_index = array();
		var $wishlistAttributes = array();
		
		
		// set wishlist error message
		function setError($str){
			$this->errors[count($this->errors)] = $str;
		}
		
		function WISHLIST(&$db, $uid){
			global $settings, $_SESSION;
			$this->uid = $uid;
			$this->db = $db;
			$this->errors = array();
			$this->messages = array();
			if($this->uid != "" && $this->uid > 0){
				$this->db->query("SELECT * FROM ".DB_PREFIX."users_wishlist WHERE uid='".$this->uid."'");
				$this->wishlistList = $this->db->getRecords();
				
				$this->db->query("SELECT * FROM ".DB_PREFIX."users_wishlist WHERE uid='".$this->uid."' AND name!='PriceDropAlert'");
				$this->wishlistCount = $this->db->numRows();
				$this->wishlistListFavorites = $this->db->getRecords();
				
				$this->db->query("SELECT * FROM ".DB_PREFIX."users_wishlist WHERE uid='".$this->uid."'  AND name='My_Favorites' ");
				$this->wishlistList_index = $this->db->getRecords();
				
			}
		}
		/*
		function getWishlistProductList($wlid){
			$this->db->query("SELECT * FROM ".DB_PREFIX."users_wishlist_products WHERE wlid='".$wlid."'");
			$wish_list_products = $this->db->getRecords();
			return($wish_list_products);
		}*/
		function getWishlistProduct($wlpid){
			$wl_product = array();
			$this->db->query("SELECT *, ".DB_PREFIX."products.product_id FROM ".DB_PREFIX."users_wishlist_products 
							 INNER JOIN ".DB_PREFIX."products ON ".DB_PREFIX."products.pid = ".DB_PREFIX."users_wishlist_products.pid
							  WHERE wlpid='".$wlpid."' ");
			if($this->db->moveNext()){
				$wl_product = $this->db->col;
				$product_attributes =array();
				if(strlen(trim($wl_product["options"]))>0){
					$attribute_options= explode("\n", $wl_product["options"]);	
					$attribute_id= explode(",", $wl_product["attribute_id"]);
					foreach ($attribute_id as $key=>$val) {
						$att_opts = explode(":", $attribute_options[$key]);
						$product_attributes[$val] =trim($att_opts[1]);
					}					
				}
				$wl_product["product_attributes"] = $product_attributes;
				return($wl_product);
			}
			return false;
		}
		
		function getWishlistData($wlid){
			global $user, $userCookie;
			$userLevel = ($user->auth_ok) ? ($user->level) : ($userCookie ? $userCookie["l"] : 0);
			 
			if(!class_exists("ShoppingCartProducts")){
				require_once("content/classes/class.products.php");
			}
			$this->db->query("SELECT wlid, name FROM ".DB_PREFIX."users_wishlist WHERE wlid='".$wlid."'");
			if($this->db->moveNext()){
				$wl_data = $this->db->col;
				$this->db->query("SELECT * FROM ".DB_PREFIX."users_wishlist_products WHERE wlid='".$wlid."'");
				$wish_list_products = $this->db->getRecords();
				$wl_products = array();
				$products = new ShoppingCartProducts($this->db, $settings);
				if(count($wish_list_products)>0){ 											
					foreach($wish_list_products as $wl_product){
						$this->db->query("SELECT * 
									FROM ".DB_PREFIX."products 
									WHERE pid ='".$wl_product["pid"]."'");
						if($this->db->moveNext()){
							$product = $this->db->col;
							$product[manufacturer_name]=getManufacturerName($this->db,$product[manufacturer_id]);
							$product["attributes"] ="";
							if(strlen(trim($wl_product["options"]))> 0){
								$attribute_options= explode("\n", $wl_product["options"]);
								$selected_att = array();	
								foreach($attribute_options as $att=>$val){
									$product["attributes"] .= (strlen($product["attributes"])>0?"<br />":"").$val; 
									$att_val = explode(":", $val);
									$selected_att[$att] = $att_val[1];
								}
							}
							$product["wlpid"]= $wl_product["wlpid"];	
							$p_details = $products->getProductById($product["pid"], $userLevel);								
							$product["url"] = $p_details["url"];
							$product["thumb"] = $p_details["thumb"];									
							$product["image"] = $p_details["image"];
							
							//$product["inventory_hashes"] = $p_details["inventory_hashes"];	
							//----------------inventory check
							if($p_details["inventory_control"] == "AttrRuleExc" || $p_details["inventory_control"] == "AttrRuleInc" ){
								if($p_details["inventory_hashes"] !=""){
									$product["inventory_hashes"] = $p_details["inventory_hashes"];
									foreach($p_details["attributes"] as $p_attr){
										$product_attributes_track_inventory[$p_attr["paid"]] = $p_attr["track_inventory"];										
									}
									$attribute_ids = explode(",", $wl_product["attribute_id"]);
									$attributes_list = "";
									foreach($attribute_ids as $k=>$attr_id){
										if($product_attributes_track_inventory[$attr_id] ==1){
											$attributes_list = $attributes_list.($attributes_list == "" ? "" : "\n").trim($attr_id).": ".trim($selected_att[$k]);
										}
									}
									$current_hash = md5($attributes_list);
									$inventory_hashes = array();
									$inventory_hashes_array = array();
									foreach($p_details["inventory_hashes"] as $inventory_hash){
										$inventory_hashes[$inventory_hash["attributes_hash"]] = $inventory_hash["stock"];
										$inventory_warnings[$inventory_hash["attributes_hash"]] = $inventory_hash["stock_warning"];
										$inventory_hashes_array[]=$inventory_hash["attributes_hash"];
									}
										
									$product["attributes_list"] = $attributes_list;
									$product["current_hash"] = $current_hash;
									$product["out_of_stock"] = "Yes";
									$hash_exist = false;
									if(count($inventory_hashes_array) > 0){ 
										if(in_array($current_hash,$inventory_hashes_array)){
											$hash_exist = true;
											if(($inventory_hashes[$current_hash] > $inventory_warnings[$current_hash]) && ($inventory_hashes[$current_hash] > 0)){
												$product["out_of_stock"] = "No";											
											}
											else{
												$product["out_of_stock"] = "Yes";												
											}
										}
									}
									if(!$hash_exist){
										if($p_details["inventory_control"] == "AttrRuleExc"){
											$product["out_of_stock"] = "Yes";
										}
										if($p_details["inventory_control"] == "AttrRuleInc"){
											$product["out_of_stock"] = "No";											
										}											
									}
								}	
							}
							elseif($p_details["inventory_control"] == "Yes"){
								if($p_details["out_of_stock"] > 0 )
									$product["out_of_stock"] = 1;
								else	
									$product["out_of_stock"] = 0;
									
												//get secondary images
								$this->db->query("SELECT * FROM ".DB_PREFIX."products_images WHERE pid='".$wl_product["pid"]."' AND is_visible='Yes' ORDER BY image_priority DESC");
								//$product["secondary_images"] = $this->db->numRows()>0?$this->db->getRecords():false;
								if ($this->db->numRows() > 0)
								{
									$product["secondary_images"] = $this->db->getRecords();		
									
									for ($i=0; $i<count($product["secondary_images"]); $i++)
									{
										$product["secondary_images"][$i]["img_src"] = "images/products/secondary/".$product["secondary_images"][$i]["filename"].".".$product["secondary_images"][$i]["type"];
										$tf = "images/products/secondary/thumbs/".$product["secondary_images"][$i]["filename"].".jpg";
										$product["secondary_images"][$i]["thumb_src"] = file_exists($tf)?$tf:false;
										//$product["secondary_images"][$i]["type"] = file_exists($tf)?$tf:false;
										if (!$product["secondary_images"][$i]["thumb_src"])
										{
											$product["secondary_images"][$i]["thumb_size"] = ' height="'.$settings["CatalogThumbSize"].'" ';
										}
										else
										{
											$product["secondary_images"][$i]["thumb_size"] = '';
										}
									}											
									
									$formats = explode(",", VIDEO_FORMAT);
									$product["videos"] = array();
									foreach( $product["secondary_images"] as $key =>  $each )
									{
										if( in_array($each["type"], $formats ) )
										{
											array_push($product["videos"], $each);	
											unset($product["secondary_images"][$key]);		
										}
									}				
									if($product["image"])
										$product["secondary_images_count"] = count($product["secondary_images"])+1;
									else
										$product["secondary_images_count"] = count($product["secondary_images"]);
										
									$product["videos_count"] = count($product["videos"]);
									
									if($product["secondary_images_count"] < 1 or $product["secondary_images_count"] == '')
									{
										$product["secondary_images_count"] = 0;
									}
									if($product["videos_count"] < 1 or $product["videos_count"] == '')
									{
										$product["videos_count"] = 0;
									}
									//echo "<pre>";
									//print_r($product["secondary_images_count"]);
									//print_r($product["videos_count"]);
								}		
							}
							//-----------------------------	
							@array_unshift( $product["secondary_images"], array( "img_src" => $product["image"], "thumb_src" => $product["thumb"]));										
							$wl_products[]= $product;
						}
					}
				}
				$list= array(						
					"wlid" => $wl_data["wlid"],
					"name" => $wl_data["name"],
					"whishlist_products" => $wl_products,
				);
					
			}
			
			return ($list);
		}

		function addNewWishlist($wishlist_name)
		{
			if($wishlist_name=='PriceDropAlert')
				$wl_id = 0;
			else
			{
				$this->db->reset();
				$this->db->assign("uid", $this->uid);
				$this->db->assignStr("name", $wishlist_name);				
				$this->db->assign("create_date", "NOW()");
				$this->db->assign("update_date", "NOW()");				
				$wl_id = $this->db->insert(DB_PREFIX."users_wishlist");					
			}
			return $wl_id;	
		}
		
		function updateWishlist($wlid, $wishlist_name ="")
		{
			global $msg;
			if ($wlid>0)
			{ 
				$table_fields = "";
				if ($wishlist_name !="")
				{
					$table_fields = "name ='".$wishlist_name."',";
				}
				$this->db->query("
					UPDATE ".DB_PREFIX."users_wishlist 
					SET 					
					$table_fields	
					update_date = NOW()
					WHERE uid='".$this->uid."' AND wlid='".$wlid."'");													
				$this->messages = "<span style='color:green'>".$msg["wishlist"]["nameUpdates"]."</span>";	
			}
			else
			{	
				$this->messages= "Errors";
			}			
		}
		
		function deleteWishlist($wlid){
			global $msg;
			if($wlid>0){
				$this->db->query("SELECT name FROM ".DB_PREFIX."users_wishlist WHERE wlid='".$wlid."'");
					if($this->db->moveNext()){
						$this->messages = "<span style='font-weight:bold;'>".$this->db->col["name"]."</b> ".$msg["wishlist"]["wishlistDeleted"]."</span>";
						$this->db->query("DELETE FROM ".DB_PREFIX."users_wishlist WHERE  wlid='".$wlid."'");
						$this->db->query("DELETE FROM ".DB_PREFIX."users_wishlist_products WHERE  wlid='".$wlid."'");						
					}
				}
			else	
				$this->messages= "Errors";	
		}
		
		function updateWishlistProducts($wlid, $pid){
			global $msg, $_SESSION;
			$wl_att = (isset($_SESSION["wl_att"])?$_SESSION["wl_att"]:array());			
			if($pid != 0){
				$this->db->reset();					
				$this->db->assign("wlid", $wlid);
				//$db->assignStr("product_id", $product_id);
				$this->db->assign("pid", $pid);	
				if(count($wl_att)>0){
					$attribute_id = "";
					$options = "";	
					foreach($wl_att as $att_id=>$val){
						$attribute_id .= (strlen($attribute_id)>0?",":"").$att_id;
						$options .= (strlen($options)>0?"\n":"").$val;
					}
					$this->db->assignStr("options", $options);
					$this->db->assignStr("attribute_id", $attribute_id);						
				}
				$this->db->insert(DB_PREFIX."users_wishlist_products");
				
				//session_unregister("wl_att");
				unset($_SESSION["wl_att"]);
			}
			
		}
		
		function deleteWishlistProduct($wlpid,$type){
			global $msg;
			$this->db->query("SELECT * FROM ".DB_PREFIX."users_wishlist_products WHERE wlpid='".$wlpid."'");
			if($this->db->moveNext()){					
				$this->db->query("DELETE FROM ".DB_PREFIX."users_wishlist_products 
								WHERE  wlpid ='".$wlpid ."'");	
				if($type == 'PriceDropAlert')
					$this->messages = "<span>".$msg["wishlist"]["pricedrop_updated"]."</span>";
				else
					$this->messages = "<span>".$msg["wishlist"]["wishlist_updated"]."</span>";
			}
			else	
				$this->messages= "Select an item to perform this action";			
		}
}
