<?
/*	DataCash PHP API

	$Id: DataCash_Element.php,v 1.2.2.2 2006/06/05 16:56:30 victor Exp $
	
	This module is used to build an XML document

	Usage:

	Author:	Kenny Scott
		Dave MacRae

	Copyright: DataCash Group plc 2003
	Changelog:
		dem: 2002-05-23 Added CVS ID tag and class logger

*/

$CVSid = explode (" ", "$Id: DataCash_Element.php,v 1.2.2.2 2006/06/05 16:56:30 victor Exp $");
$included_classes{basename($CVSid{1}, ".php,v")} = $CVSid{2};

class DataCash_Element {
    
  function DataCash_Element ($name) {
    $this->name = $name;
    $this->attributes = array();
    $this->data = array();
  }
    
  function addElement (&$element) {
    if (!is_array($this->data)) {
      $this->data = array();
    }
    $this->data[] = &$element;
  }
    
  function &getAllElements ( ) {
    if (is_array($this->data)) {
      return $this->data;
    }
    return 0;
  }
    
  function &getElement ($name) {
      
    $elements =& $this->getAllElements();
    if ($elements != 0) {
      for ($i=0; $i<count($elements); $i++) {
	$element =& $elements[$i];
	if (strcmp($element->name, $name) == 0) {
	  return $element;
	}
      }
    }
    return 0;
  }
    
  function setText ($text) {
    $this->data = $text;
  }

  function getText ( ) { 
    if (!(is_array($this->data))) {
      return $this->data;
    } else {
      return null;
    }
  }
    
  function addAttribute ($attribute) {
    $this->attributes[] = $attribute;
  }
    
  function &getAllAttributes ( ) {
    if (is_array($this->attributes)) {
      return $this->attributes;
    }
    return 0;
  }
}

?>
