<?php
	if (!defined("ENV")) exit();
	///////////////////////////////////////////
	// inherit basic niode & override drawNode
	class OPTION_PARAM{
		var $parent_id;
		var $level;
		function OPTION_PARAM($parent_id, $level){
			$this->parent_id = $parent_id;
			$this->level = $level;
			return $this;
		}
	}

	class OPTION_NODE extends DB_TREE_NODE
	{
		function drawNode($param)
		{
			echo '<option value="'.$this->id.'" '.($this->id == $param->parent_id?"selected":"").' '.($this->is_visible=="No"?'style="color:gray;"':'').'>';
			for ($i=0; $i<$param->level*4; $i++)
			{
				echo "&nbsp;";
			}
			echo gs($this->caption).'</option>';
			if (count($this->nodes)>0)
			{
				reset($this->nodes);
				while (list($id, $node) = each($this->nodes))
				{
					$node->drawNode(
						new OPTION_PARAM($param->parent_id, $param->level+1)
					);
				}
			}
		}
	}
	
	
	function getUserPrice($amount)
	{
		global $settings, $_SESSION;
		//$cc = $_SESSION["admin_currency"];
		return "$".number_format($amount, 2, ".", ",");
	}
	

	$tree = new DB_TREE();
	$tree->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes", "Any"));

	$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, priority, name")or die(mysql_error());
	$cats_count = $db->numRows();
	if ($cats_count > 0)
	{
		while ($db->moveNext())
		{
			$tree->addNode(
				new OPTION_NODE(
					$db->col["cid"],
					$db->col["parent"],
					$db->col["level"],
					$db->col["is_visible"],
					$db->col["name"]
				)
			);
		}
	}
	$messagefrminsert = $_REQUEST["action_msg"];
	//loadJS("cd_product.js");
	pageHeader("Products List", "", "ic_product.gif");

	pageNote(array(
		array("icon"=>"ic_insert_row.gif", "text"=>"<b><a href=\"index.php?p=my_equipment&mode=insert\">Click to Add a New Product</a></b>", "url"=>"", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"<span style=\"color:#990000\"><b>Please note: There are currently no product categories in database.</b><br>Please add product categories first</span>", "url"=>"", "visible"=>$cats_count < 1),
		array("icon"=>"", "text"=>"<center><span style=\"color:#990000\">Action Performed Successfully.</span></center>", "url"=>"", "visible"=>$messagefrminsert !='')
	));
	// below line added by mahesh.k.s on 13-06-11 --- for retriving value from $_GET in user side ///
	extract($_GET);
	
	$action = isset($action)?trim($action):"";
	$product_id = isset($product_id)?trim($product_id):"";
	$title = isset($title)?trim($title):"";
	$status = isset($status)?trim($status):"";
	$status = in_array($status, array("Yes", "No", "OutOfStock", "StockWarning"))?$status:"";
	$cid = isset($cid)?$cid*1:TREE_ROOT;
	$where = "";
	$sort_products_by = isset($sort_products_by)?$sort_products_by:"title";
	$sort_products_by = in_array($sort_products_by, array("product_id", "owner_company", "product_status", "is_sold", "added", "cid", "manufacturer_id", "year", "owner_lname", "owner_state", "owner_country"))?$sort_products_by:"title";
	
	$sort_products_type = isset($sort_products_type)?$sort_products_type:"DESC";

	if($user->level == 0)
	{
	
		$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products where user_id='".$user->id."'");//." GROUP BY ".DB_PREFIX."products.pid");
		$db->moveNext();
		//calc page breaks
		
		$ccc = 20;
		$items_count = $db->col["c"];
		$pages_count = floor($items_count / $ccc) +  ((($items_count % $ccc) > 0 )?1:0);
		$pg = isset($pg)?($pg*1):1;
		$pg = (($pg<1)||($pg>$pages_count))?1:$pg;
		$pages_line = format_pages_line(
			$pg, // current pare
			$pages_count, // total pages
			7,
			"index.php?p=my_equipments".
				"&action=search".
				"&cid=".urlencode($cid).
				"&product_id=".urlencode($product_id).
				"&title=".urlencode($title).
				"&status=".$status.
				"&sort_products_by=".$sort_products_by
		);
		
		$db->query("
			SELECT * FROM ".DB_PREFIX."products where user_id='".$user->id."'
			".$where." ORDER BY added DESC			
			LIMIT ".(($pg-1)* $ccc).", ".$ccc //.$order_sql.
		);
		
		if ($db->numRows() > 0)
		{
?>
	<!--<div class="listHeaderCaption" style="float:right;font-weight:normal;">
		Products found : <?=$items_count?> |
		Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
	</div> -->
<?php	}?>
</div>
<?php
		if ($db->numRows() > 0)
		{
?>
<div class="listuserHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listItemButtons">&nbsp;</div>
	<div class="listHeaderCaption" style="width:100px;">Product Status</div>
	<div class="listHeaderCaption" style="width:150px;">Product Id</div>
	<div class="listHeaderCaption" style="width:120px;">Owner Company</div>
	<div class="listHeaderCaption" style="width:100px;">Owner First Name</div>
	<div class="listHeaderCaption" style="width:100px;">Owner Last Name</div>
	<div class="listHeaderCaption" style="width:120px;">Manufacturer</div>
	<div class="listHeaderCaption" style="width:100px;">Model</div>
	<div class="listHeaderCaption" style="width:70px;">Year</div>
	<div class="listHeaderCaption" style="width:100px;">Asking Price</div>
</div>
<?php
			while ($db->moveNext())
			{
				$manufacturer_name = getManufacturerName($db,$manufacturer_id);
?>
	<div class="listuserItem">
		<div class="listItemIcon"><img src="images/icons/<?=$db->col["is_doba"] == "Yes"?"ic_doba":"ic_product"?>.gif"/></div>
		<div class="listItemButtons">
			<a href="index.php?p=my_equipment&mode=update&pid=<?=$db->col["pid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Edit Product"></a>
			<a href="index.php?p=my_equipment&mode=insert&pid=<?=$db->col["pid"]?>"><img src="images/icons/ic_product_add.gif" border="0" title="Use as a Template"></a>
			<a href="javascript:ConfirmDeleteProduct(<?=$db->col["pid"]?>)"><img src="images/icons/ic_delete.gif" border="0" title="Delete Product"></a>
		</div>
		<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["product_status"])?></div>
		<div class="listItemText" style="width:150px;"><a href="index.php?p=my_equipment&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["product_id"])?></a></div>
		<div class="listItemText" style="width:120px;"><?=htmlspecialchars($db->col["owner_company"])?></div>
		<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_name"])?></div>
		<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_lname"])?></div>
		<div class="listItemText" style="width:120px;"><?=getManufacturerName($db,$db->col["manufacturer_id"])?></div>
		<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["model"])?></div>
		<div class="listItemText" style="width:70px;"><?=htmlspecialchars($db->col["year"])?></div>
		<div class="listItemText" style="width:100px;" align="right"><?=money_format('%i',$db->col["consignee_ask_price"])?></div>
	</div>
<?php
			}		
		}
		
	}
	else
	{	
	
		if (isset($_GET['action']) && $_GET['action'] == "search")
		{
			$_SESSION["user_search_product_url"] = $_SERVER["QUERY_STRING"];
			switch($sort_products_by){
				case "owner_company" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.owner_company";
					break;
				}
				case "product_status" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.product_status";
					break;
				}
				case "is_sold" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.is_sold";
					break;
				}
				case "added" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.added ";
					break;
				}
				case "cid" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.cid ";
					break;
				}
				case "manufacturer_id" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.manufacturer_id ";
					break;
				}
				case "year" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.year";
					break;
				}
				case "owner_lname" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.owner_lname ";
					break;
				}
				case "owner_state" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.owner_state ";
					break;
				}
				case "owner_country" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.owner_country ";
					break;
				}
				default :
				case "product_id" : 
				{
					$order_sql = "ORDER BY ".DB_PREFIX."products.product_id";
					break;
				}
			}

			if ($product_id != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." product_id LIKE '%".$db->escape($product_id)."%' ";
			}
			if ($title != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." title LIKE '%".$db->escape($title)."%' ";
			}
			//echo $owner_lname; die("gfsd");
			if ($owner_company != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_company LIKE '%".$db->escape($owner_company)."%' ";
			}

			if ($owner_name != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_name LIKE '%".$db->escape($owner_name)."%' ";
			}	

			if ($owner_lname != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_lname LIKE '%".$db->escape($owner_lname)."%' ";
			}

			if ($owner_zip != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_zip LIKE '%".$db->escape($owner_zip)."%' ";
			}	
			
			if ($product_status != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." product_status LIKE '%".$db->escape($product_status)."%' ";
			}
			
			//echo $manufacturer_id; 
			
			if ($manufacturer_id != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." manufacturer_id =".$db->escape($manufacturer_id);
			}
			
			if ($model != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." model =".$db->escape($model);
			}		//echo $where;
			
			if ($year != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." year =".$db->escape($year);
			}		//echo $where;
			
			if ($owner_city != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_city =".$db->escape($owner_city);
			}		//echo $where;

			if ($owner_state != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_state =".$db->escape($owner_state);
			}		//echo $where;

			if ($owner_phone != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_phone =".$db->escape($owner_phone);
			}		//echo $where;
			
			if ($is_sold != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." is_sold LIKE '%".$db->escape($is_sold)."%' ";
			}
			if ($added_from != "" || $added_to != "")
			{
				if($added_from == '')
					$added_from = date('Y-m-d');
				if($added_to == '')
					$added_to = date('Y-m-d');
				$where .= ($where==""?"WHERE ":" AND ")." added between '".$db->escape($added_from)."' AND '".$db->escape($added_to)."'";
			}
			if ($owner_country != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_country LIKE '%".$db->escape($owner_country)."%' ";
			}
			if ($owner_mobile != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_mobile LIKE '%".$db->escape($owner_mobile)."%' ";
			}
			if ($owner_email != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." owner_email LIKE '%".$db->escape($owner_email)."%' ";
			}
			
			if ($status != "")
			{
				switch ($status)
				{
					case "Yes" :
					case "No" : 
					{
						$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.is_visible = '".$status."' ";
						break;
					}
					case "OutOfStock" : 
					{
						$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.inventory_control != 'No' AND ".DB_PREFIX."products.stock = 0 ";
						break;
					}
					case "StockWarning" : 
					{
						$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.inventory_control != 'No' AND ".DB_PREFIX."products.stock <= stock_warning ";
						break;
					}
				}
			}
			
			if ($cid != "")
			{
				$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.cid = '".$cid."'"; 
			}

			//store last search product statement
			$_SESSION["products-search-where"] = $where;
			//preselect
			//echo("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products ".$where);
			$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products ".$where);//." GROUP BY ".DB_PREFIX."products.pid");
			$db->moveNext();
			//calc page breaks
			$ccc = $rpp;
			$items_count = $db->col["c"];
			$pages_count = floor($items_count / $ccc) +  ((($items_count % $ccc) > 0 )?1:0);
			$pg = isset($pg)?($pg*1):1;
			$pg = (($pg<1)||($pg>$pages_count))?1:$pg;
			$pages_line = format_pages_line(
				$pg, // current pare
				$pages_count, // total pages
				7,
				"index.php?p=my_equipment".
					"&action=search".
					"&cid=".urlencode($cid).
					"&product_id=".urlencode($product_id).
					"&title=".urlencode($title).
					"&status=".$status.
					"&sort_products_by=".$sort_products_by.
					"&sort_products_type=".$sort_products_type.
					"&rpp=".$rpp
			);
			//select
			/**
			 * old select with grouping
			$db->query("
				SELECT pid, is_doba, product_id, title, is_visible, price, call_for_price, inventory_control, stock FROM ".DB_PREFIX."products
				".$where."
				GROUP BY ".DB_PREFIX."products.pid
				".$order_sql."
				LIMIT ".(($pg-1)* $ccc).", ".$ccc
			);
			**/
			if($rpp!=1)
			{
				$db->query("
					SELECT * FROM ".DB_PREFIX."products
					".$where."
					".$order_sql
					." ".$sort_products_type."
					LIMIT ".(($pg-1)* $ccc).", ".$ccc
				);
			}
			else
			{		
				$db->query("
					SELECT * FROM ".DB_PREFIX."products
					".$where."
					".$order_sql
					." ".$sort_products_type
				);
			}
		}
		else
		{
			$reset_search = isset($_REQUEST["reset_search"])?true:false;

			if($reset_search && session_is_registered("user_search_product_url"))
			{
				session_unregister("user_search_product_url");
			}
			elseif(isset($_SESSION["user_search_product_url"]) && trim($_SESSION["user_search_product_url"]) != "")
			{
				header("Location: index.php?".$_SESSION["user_search_product_url"]);
			}
		}
		/*$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products");//." GROUP BY ".DB_PREFIX."products.pid");
		$db->moveNext();
		//calc page breaks
		
		$ccc = 20;
		$items_count = $db->col["c"];
		$pages_count = floor($items_count / $ccc) +  ((($items_count % $ccc) > 0 )?1:0);
		$pg = isset($pg)?($pg*1):1;
		$pg = (($pg<1)||($pg>$pages_count))?1:$pg;
		$pages_line = format_pages_line(
			$pg, // current pare
			$pages_count, // total pages
			7,
			"index.php?p=my_equipments".
				"&action=search".
				"&cid=".urlencode($cid).
				"&product_id=".urlencode($product_id).
				"&title=".urlencode($title).
				"&status=".$status.
				"&sort_products_by=".$sort_products_by
		);
	
		$db->query("
			SELECT * FROM ".DB_PREFIX."products
			".$where." ORDER BY added DESC				
			LIMIT ".(($pg-1)* $ccc).", ".$ccc //".$order_sql."
		);*/
?>
<form action="index.php?p=my_equipments" method="GET" style="padding:0px;margin:0px;">
	<input type="hidden" name="p" value="my_equipments">
	<input type="hidden" name="action" value="search">

<div class="searchFormBody">
	<div class="searchFormLine">
		<div class="searchFormItem">
			Product ID:<br/>
			<input type="text" name="product_id" style="width:210px;" value="<?=htmlspecialchars($product_id)?>"/>
		</div>
		<div class="searchFormItem">
			Product Status :<br>
			<select name="product_status" style="width:210px;">
				<option value="">Select</option>
				<option value="approved" <?=$product_status=="approved"?"selected":""?>>Approved</option>
				<option value="pending" <?=$product_status=="pending"?"selected":""?>>Pending</option>
			</select>
		</div>
		<div class="searchFormItem">
			Owner First Name :<br>
			<input type="text" name="owner_name" style="width:210px;" value="<?=htmlspecialchars($owner_name)?>"/>
		</div>
		<div class="searchFormItem">
			Owner Company :<br>
			<input type="text" name="owner_company" style="width:210px;" value="<?=htmlspecialchars($owner_company)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Main Category:<br/>
			<select name="cid" style="width:210px;">
<?php
	$tree->collection[TREE_ROOT]->drawNode(
		new OPTION_PARAM($cid, 0)
	);
?>
			</select>
		</div>
		<div class="searchFormItem">
			Available :<br>
			<select name="is_sold" style="width:210px;">
				<option value="">Select</option>
				<option value="yes" <?=$is_sold=="yes"?"selected":""?>>Yes</option>
				<option value="no" <?=$is_sold=="no"?"selected":""?>>No</option>
			</select>
		</div>
		<div class="searchFormItem">
			Owner Last Name :<br>
			<input type="text" name="owner_lname" style="width:210px;" value="<?=htmlspecialchars($owner_lname)?>"/>
		</div>
		<div class="searchFormItem">
			Owner Phone :<br>
			<input type="text" name="owner_phone" style="width:210px;" value="<?=htmlspecialchars($owner_phone)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Product Name:<br/>
			<input type="text" name="title" style="width:210px;" value="<?=htmlspecialchars($title)?>"/>
		</div>
		<div class="searchFormItem">
			Date Listed:(YYYY-MM-DD) From<br/>
			<input type="text" name="added_from" style="width:210px;" value="<?=htmlspecialchars($added_from)?>"/>
		</div>
		<div class="searchFormItem">
			Owner City :<br>
			<input type="text" name="owner_city" style="width:210px;" value="<?=htmlspecialchars($owner_city)?>"/>
		</div>
		<div class="searchFormItem">
			Owner Mobile :<br>
			<input type="text" name="owner_mobile" style="width:210px;" value="<?=htmlspecialchars($owner_mobile)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Manufacturer :<br>
				<select name="manufacturer_id" style="width:210px;" id="manufacturer_id">
					<option value="">Select Manufacturer</option>
<?		$query=mysql_query("SELECT * FROM ".DB_PREFIX."manufacturers ORDER BY manufacturer_name");
		while($fetch =mysql_fetch_array($query)){?>
				<option value="<?=$fetch["manufacturer_id"]?>" <?=$fetch["manufacturer_id"]==$manufacturer_id?"selected":""?>><?=htmlspecialchars($fetch["manufacturer_name"])?></option>
<?		}?>
				</select>
		</div>
		<div class="searchFormItem">
			Date Listed:(YYYY-MM-DD) To<br/>
			<input type="text" name="added_to" style="width:210px;" value="<?=htmlspecialchars($added_to)?>"/>
		</div>
		<div class="searchFormItem">
			Owner State :<br>
			<input type="text" name="owner_state" style="width:210px;" value="<?=htmlspecialchars($owner_state)?>"/>
		</div>
		<div class="searchFormItem">
			Owner Email :<br>
			<input type="text" name="owner_email" style="width:210px;" value="<?=htmlspecialchars($owner_email)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Model :<br>
			<input type="text" name="model" style="width:210px;" value="<?=htmlspecialchars($model)?>"/>
		</div>
		<div class="searchFormItem">
		&nbsp;
		</div>
		<div class="searchFormItem">
			Owner Zip :<br>
			<input type="text" name="owner_zip" style="width:210px;" value="<?=htmlspecialchars($owner_zip)?>"/>
		</div>
		<div class="searchFormItem">
			Sort by :<br>
			<select name="sort_products_by" style="width:210px;">
				<option value="product_id">Product Id</option>
				<option value="owner_company" <?=$sort_products_by=="owner_company"?"selected":""?>>Owner Company</option>
				<option value="product_status" <?=$sort_products_by=="product_status"?"selected":""?>>Product Status</option>
				<option value="is_sold" <?=$sort_products_by=="is_sold"?"selected":""?>>Available</option>
				<option value="added" <?=$sort_products_by=="added"?"selected":""?>>Date Listed</option>
				<option value="cid" <?=$sort_products_by=="cid"?"selected":""?>>Main Category</option>
				<option value="manufacturer_id" <?=$sort_products_by=="manufacturer_id"?"selected":""?>>Manufacturer</option>
				<option value="year" <?=$sort_products_by=="year"?"selected":""?>>Year</option>
				<option value="owner_lname" <?=$sort_products_by=="owner_lname"?"selected":""?>>Owner Last Name
				<option value="owner_state" <?=$sort_products_by=="owner_state"?"selected":""?>>Owner State
				<option value="owner_country" <?=$sort_products_by=="owner_country"?"selected":""?>>Owner Country
				</option>
			</select>
		</div>	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Year :<br>
			<input type="text" name="year" style="width:210px;" value="<?=htmlspecialchars($year)?>"/>
		</div>
		<div class="searchFormItem">
			<b>Results Per Page :</b><br>
			<select name="rpp" style="width:210px;">
				<option value="1">All</option>
				<option value="20" <?=$rpp==20?"selected":""?>>20</option>
				<option value="50" <?=$rpp==50?"selected":""?>>50</option>
				<option value="100" <?=$rpp==100?"selected":""?>>100</option>
				<option value="250" <?=$rpp==250?"selected":""?>>250</option>
			</select>
		</div>
		<div class="searchFormItem">
			Owner Country :<br>
			<input type="text" name="owner_country" style="width:210px;" value="<?=htmlspecialchars($owner_country)?>"/>
		</div>
		<div class="searchFormItem">
			<b>Sort Type :</b><br>
			<select name="sort_products_type" style="width:210px;">
				<option value="DESC" <?=$sort_products_type=="DESC"?"selected":""?>>DESCENDING</option>
				<option value="" <?=$sort_products_type==""?"selected":""?>>ASCENDING</option>
			</select>
		</div>
	</div>
	<div class="searchFormBottom">
		<div class="searchFormItem">
			<input type="submit" value="Search" style="width:120px;height:25px;"/>
		</div>
		<div class="searchFormItem">
			<a href="index.php?p=my_equipments&reset_search=true">Reset Search</a>
		</div>
	</div>
</div>
</form>

<div class="listHeader">
	<div class="listHeaderIcon"><img src="images/icons/ic_search.gif"/></div>
	<!--<div class="listHeaderCaption">
		Product Search Results
	</div> -->
<?php
		if ($db->numRows() > 0 && $rpp!=1)
		{
?>
	<div class="listHeaderCaption" style="float:right;font-weight:normal;">
		Products found : <?=$items_count?> |
		Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
	</div> 
<?php	}?>
</div>
<?php
		if ($db->numRows() > 0)
		{
?>
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listItemButtons">&nbsp;</div>
	<div class="listHeaderCaption" style="width:120px;">Product ID</div>
	<div class="listHeaderCaption" style="width:120px;">Product Name</div>
	<div class="listHeaderCaption" style="width:120px;">Owner Company</div>
	<div class="listHeaderCaption" style="width:100px;">Approved</div>
	<div class="listHeaderCaption" style="width:100px;">Available</div>
	<div class="listHeaderCaption" style="width:100px;">Date Listed</div>
	<div class="listHeaderCaption" style="width:120px;">Main Category</div>
	<div class="listHeaderCaption" style="width:120px;">Manufacturer</div>
	<div class="listHeaderCaption" style="width:100px;">Model</div>
	<div class="listHeaderCaption" style="width:100px;">Year</div>
	<div class="listHeaderCaption" style="width:100px;">Owners Lowest Price</div>
	<div class="listHeaderCaption" style="width:100px;">Item Price</div>
	<div class="listHeaderCaption" style="width:100px;">Sale Price</div>
	<div class="listHeaderCaption" style="width:100px;">Owner First Name</div>
	<div class="listHeaderCaption" style="width:100px;">Owner Last Name</div>
	<div class="listHeaderCaption" style="width:100px;">Owner City/Town</div>
	<div class="listHeaderCaption" style="width:100px;">Owner State</div>
	<div class="listHeaderCaption" style="width:100px;">Owner Zip</div>
	<div class="listHeaderCaption" style="width:100px;">Owner Country</div>
	<div class="listHeaderCaption" style="width:100px;">Owner Phone</div>
	<div class="listHeaderCaption" style="width:100px;">Owner Mobile</div>
</div>
<?php
			while ($db->moveNext())
			{
			
				/*$manufacturer_id = $db->col['manufacturer_id'];
				$manufacturer_query = mysql_query("select manufacturer_name from manufacturers where manufacturer_id='".$manufacturer_id."'");
				$fetch_manufacturer = mysql_fetch_row($manufacturer_query);
				$manufacturer_name = $fetch_manufacturer[0];*/
				
				
				$manufacturer_name = getManufacturerName($db,$manufacturer_id);
				
				
?>
<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/<?=$db->col["is_doba"] == "Yes"?"ic_doba":"ic_product"?>.gif"/></div>
	<div class="listItemButtons">
		<a href="index.php?p=my_equipment&mode=update&pid=<?=$db->col["pid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Edit Product"></a>
		<a href="index.php?p=my_equipment&mode=insert&pid=<?=$db->col["pid"]?>"><img src="images/icons/ic_product_add.gif" border="0" title="Use as a Template"></a>
		<a href="javascript:ConfirmDeleteProduct(<?=$db->col["pid"]?>)"><img src="images/icons/ic_delete.gif" border="0" title="Delete Product"></a>
	</div>
	<div class="listItemText" style="width:120px;"><a href="index.php?p=my_equipment&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["product_id"])?></a></div>
	<div class="listItemText" style="width:120px;"><a href="index.php?p=my_equipment&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["title"])?></a></div>
	<div class="listItemText" style="width:120px;"><?=htmlspecialchars($db->col["owner_company"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["product_status"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["is_sold"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["added"])?></div>
	<div class="listItemText" style="width:120px;"><?=getCategoryName($db,$db->col["cid"])?></div>
	<div class="listItemText" style="width:120px;"><?=getManufacturerName($db,$db->col["manufacturer_id"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["model"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["year"])?></div>
	<div class="listItemText" style="width:100px;" align="right"><?=money_format('%i',$db->col["consignee_low_price"])?></div>
	<div class="listItemText" style="width:100px;" align="right"><?=money_format('%i', $db->col["price"])?></div>
	<div class="listItemText" style="width:100px;" align="right"><?=money_format('%i',$db->col["price2"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_name"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_lname"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_city"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_state"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_zip"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_country"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_phone"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_mobile"])?></div>
</div>
<?php
			}

		}
		if ($db->numRows() > 0 && $rpp!=1)
		{
?>
	<div class="listFooterCaption" style="float:right;font-weight:normal;">
		Products found : <?=$items_count?> |
		Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
	</div>
<?php
		}
	}
?>

<script type="text/javascript">
$(document).ready(function(){
	$("#product-export-dialog").dialog({
		title: 'Export to CSV',
		modal: true,
		width: 1000,
		height: 500,
		autoOpen: false,
		resizable: false,
		open: function(){
			$(this)
				.width(1000)
				.height(500);
			var t = ($(window).height() - parseInt($(this).parent().height())) / 2;
			if (t < 0) t = 0;
			$(this).parent().css('top', parseInt($(window).scrollTop()) + parseInt(t) + 'px');
		},
		buttons:{
			Close : function (){
				$("#product-export-dialog").dialog("close");
			},
			Export : function (){
				$("#product-export-form").submit();
			}
		}
	});

	
	
	$("#export-to-csv").click(function(){
		$("#product-export-dialog").dialog("open");
	});

	$("#export-all-check").click(function(){
		$("#product-export-form input[type='checkbox']").attr("checked", true);
		return false;
	});

	$("#export-all-uncheck").click(function(){
		$("#product-export-form input[type='checkbox']").removeAttr("checked");
		return false;
	});
});
</script>



