<?php
	if (!defined("ENV")) exit();

	require_once("content/classes/class.regions.php");
	require_once("content/classes/class.taxes.php");
	require_once("content/classes/class.products_locations.php");
	
	
	
	if ($iono->max_product_count > 0)
	{
		$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products");
		$db->moveNext();
		$products_count = $db->col["c"];
	}
	else
	{
		$products_count = -1;
	}

	$taxes = new Taxes($db);
	$taxes->demo = defined('DEMO_LOCK') && DEMO_LOCK;

	$productsLocations = new ProductsLocations($db);

	$last_active_tab = isset($last_active_tab) ? $last_active_tab : "main";
	//echo $product_images_dir;
	$categories = array();
	$categories1 = array();
	$prev_pid = false;
	$next_pid = false;
	$google_co_active = false;
	//Check if google checkout is enaled
	$db->query("SELECT active FROM ".DB_PREFIX."payment_methods WHERE id='googlecheckout'");
	if ($db->moveNext())
	{
		if ($db->col["active"] =="Yes")
		{
			$google_co_active = true;
		}
	}

	///////////////////////////////////////////
	// inherit basic niode & override drawNode
	class OPTION_PARAM
	{
		var $parent_id;
		var $level;
		var $categories;
		function OPTION_PARAM($parent_id, $level, $categories = array())
		{
			$this->parent_id = $parent_id;
			$this->level = $level;
			$this->categories = $categories;
			return $this;
		}
	}

	class OPTION_NODE extends DB_TREE_NODE
	{
		function drawNode($param)
		{
			if ($this->id != TREE_ROOT)
			{
				//echo 'option value="'.$param->categories.'">"'.$param->categories .'" Test </option>';
				echo '<option value="'.$this->id.'" '.(($this->id == $param->parent_id || in_array($this->id, $param->categories))?"selected":"").' '.($this->is_visible=="No"?'style="color:gray;"':"").'>';
				for ($i=0; $i<$param->level*4; $i++)
				{
					echo "&nbsp;";
				}
				echo htmlspecialchars($this->caption).'</option>';
			}
			if (count($this->nodes)>0)
			{
				reset($this->nodes);
				while (list($id, $node) = each($this->nodes))
				{
					$node->drawNode(
						new OPTION_PARAM($param->parent_id, $param->level+1, $param->categories)
					);
				}
			}
		}
	}

	$tree = new DB_TREE();
	$tree->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes",  "None selected"));
	$tree1 = new DB_TREE();
	$tree1->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes",  "None selected"));
	$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, priority, name");
	$cats_count = $db->numRows();
	while ($db->moveNext())
	{
		$tree->addNode(
			new OPTION_NODE(
				$db->col["cid"],
				$db->col["parent"],
				$db->col["level"],
				$db->col["is_visible"],
				$db->col["name"]
			)
		);
	}
	$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog ORDER BY ptic_level, ptic_priority, ptic_name");
	while ($db->moveNext())
	{
		$tree1->addNode(
			new OPTION_NODE(
				$db->col["ptic_id"],
				$db->col["ptic_parent"],
				$db->col["ptic_level"],
				$db->col["ptic_is_visible"],
				$db->col["ptic_name"]
			)
		);
	}
	// below line added by mahesh.k.s on 13-06-11 --- for retriving value from $_GET in user side ///
	extract($_GET);
	//print_r($tree1);
	
	 $mode = isset($mode)?trim($mode):"insert";
	 $mode = in_array($mode, array("insert", "update")) ? $mode : "insert";
	
	if (count($tree->collection) > 1)
	{
		$pid = isset($pid)?$pid*1:"";

		switch ($mode)
		{
			case "update" : 
			{
				$db->query("SELECT gift_max_quantity FROM ".DB_PREFIX."products_gifts WHERE pid='".$pid."'");
				if ($db->moveNext())
				{
					$gift_max_quantity = $db->col["gift_max_quantity"];
					$gift_max_quantity=isset($gift_max_quantity)?$gift_max_quantity*1:"";
				}
				else
				{
					$gift_max_quantity = 999;
				}
                ///products_users
				$db->query("SELECT * FROM ".DB_PREFIX."products_users WHERE pid='".$pid."'");
				
				if ($db->moveNext())
				{
					//print_r($db);
					$cid = $db->col["cid"];
					$ptic_id = $db->col["ptic_id"];
					$is_visible = $db->col["is_visible"];
					$is_hotdeal = $db->col["is_hotdeal"];
					$is_home = $db->col["is_home"];
					$is_google_co = $db->col["is_google_co"];
					$is_taxable = $db->col["is_taxable"];
					$is_dollar_days = $db->col["is_dollar_days"];
					$is_doba = $db->col["is_doba"];
					$is_locked = $db->col["is_locked"];
					$inventory_control  = $db->col["inventory_control"];
					$inventory_rule  = $db->col["inventory_rule"];
					$stock = $db->col["stock"];
					$stock_warning = $db->col["stock_warning"];
					$weight = $db->col["weight"];
					$free_shipping = $db->col["free_shipping"];
					$digital_product = $db->col["digital_product"];
					$digital_product_file = $db->col["digital_product_file"];
					$cost = $db->col["cost"];
					if ($db->col["price2"]>0)
					{
						$price = $db->col["price2"];
						$price2 = $db->col["price"];
					}
					else
					{
						$price = $db->col["price"];
						$price2 = "";
					}
					$call_for_price = $db->col["call_for_price"];
					$price_level_1 = $db->col["price_level_1"];
					$price_level_2 = $db->col["price_level_2"];
					$price_level_3 = $db->col["price_level_3"];
					$tax_rate = $db->col["tax_rate"];
					$tax_class_id = $db->col["tax_class_id"];
					$min_order = $db->col["min_order"];
					$max_order = $db->col["max_order"];
					$product_id = $db->col["product_id"];
					$product_sku = $db->col["product_sku"];
					$product_upc = $db->col["product_upc"];
					$case_pack = $db->col["case_pack"];
					$inter_pack = $db->col["inter_pack"];
					$gift_quantity = $db->col["gift_quantity"];
					//added new fields details
					$owner_company = $db->col["owner_company"];
					$owner_address1 =  $db->col["owner_address1"];
					$owner_address2 =  $db->col["owner_address2"];
					$owner_name =  $db->col["owner_name"];
					$owner_lname =  $db->col["owner_lname"];
					$owner_city = $db->col["owner_city"];
					$owner_state = $db->col["owner_state"];
					$owner_zip = $db->col["owner_zip"];
					$owner_country = $db->col["owner_country"];
					$tire_condition = $db->col["tire_condition"];
					$paint_condition = $db->col["paint_condition"];
					$engine_condition = $db->col["engine_condition"];
					$pump_condition = $db->col["pump_condition"];
					$trailer_condition = $db->col["trailer_condition"];
					$hose_condition = $db->col["hose_condition"];
					$hose_length = $db->col["hose_length"];
					$hose_type = $db->col["hose_type"];
					$length_inches = $db->col["length_inches"];
					
					$width_inches = $db->col["width_inches"];
					$height_inches = $db->col["height_inches"];
					$length_feets = $db->col["length_feets"];
					$width_feets = $db->col["width_feets"];
					$height_feets = $db->col["height_feets"];
					$length_cms = $db->col["length_cms"];
					$width_cms = $db->col["width_cms"];
					$height_cms = $db->col["height_cms"];
					$move_date1 = $db->col["move_date"];
					$consigned_status = $db->col["consigned_status"];
					$consignee_ask_price = $db->col["consignee_ask_price"];
					$consignee_low_price = $db->col["consignee_low_price"];
					$date_move = explode(" ", $move_date1);
					$move_date = $date_move[0];
					//end
					$ebay_cat_id = $db->col["ebay_cat_id"];
					$pricegrabber_category = $db->col["pricegrabber_category"];
					$pricegrabber_item_condition = $db->col["pricegrabber_item_condition"];
					$pricegrabber_part_number = $db->col["pricegrabber_part_number"];
					$amazon_id = $db->col["amazon_id"];
					$amazon_id_type = $db->col["amazon_id_type"];
					$amazon_item_condition = $db->col["amazon_item_condition"];
					$yahoo_path = $db->col["yahoo_path"];
					$google_item_condition = $db->col["google_item_condition"];
					$nextag_category = $db->col["nextag_category"];
					$nextag_item_condition = $db->col["nextag_item_condition"];
					$nextag_part_number = $db->col["nextag_part_number"];

					$title = $db->col["title"];
					$meta_keywords = $db->col["meta_keywords"];
					$meta_title = $db->col["meta_title"];
					$meta_description = $db->col["meta_description"];
					$url_default = $db->col["url_default"];
					$url_custom = $db->col["url_custom"];
					$manufacturer_id = $db->col["manufacturer_id"];
					$overview = $db->col["overview"];
					$description = $db->col["description"];
					$dimension_width = $db->col["dimension_width"];
					$dimension_length = $db->col["dimension_length"];
					$dimension_height = $db->col["dimension_height"];
					$priority = $db->col["priority"];
					$image_location = $db->col["image_location"];
					$image_url = $db->col["image_url"];
					$image_alt_text = $db->col["image_alt_text"];
					$zoom_option = $db->col["zoom_option"];

					$lock_fields = explode(",", $db->col["lock_fields"]);
					$update_val = $db->col["update_val"];
					$products_location_id = $db->col["products_location_id"];
					//////////////////////////////
					
					//---------new fields by mahesh.k.s
					$year = $db->col["year"];
					$new_or_used = $db->col["new_or_used"];
					$model = $db->col["model"];
					$capacity = $db->col["capacity"];
					$size = $db->col["size"];
					$hoursmeter = $db->col["hoursmeter"];
					$condition1 = $db->col["condition1"];
					$mso_included = $db->col["mso_included"];
					$title_included = $db->col["title_included"];
					$liens = $db->col["liens"];
					$liens_amount = $db->col["liens_amount"];
					$owner_last_contact_date_frmdb = $db->col["owner_last_contact_date"];
					$owner_last_contact_date = date("d-m-Y", strtotime($owner_last_contact_date_frmdb));
					//$consignee_ask_price = $db->col["consignee_ask_price"]; 
					//$consignee_low_price = $db->col["consignee_low_price"];
					$owner_phone = $db->col["owner_phone"];
					$owner_mobile = $db->col["owner_mobile"];
					$owner_fax = $db->col["owner_fax"];
					$owner_email = $db->col["owner_email"];
					$item = $db->col["item"];
					$item_addr1 = $db->col["item_addr1"];
					$item_addr2 = $db->col["item_addr2"];
					$item_city = $db->col["item_city"];
					$item_state = $db->col["item_state"];
					$item_zip = $db->col["item_zip"];
					$item_country = $db->col["item_country"];
					$loading_method = $db->col["loading_method"];
					$loading_contact = $db->col["loading_contact"];
					$loading_phone = $db->col["loading_phone"];
					$loading_hours = $db->col["loading_hours"];
					$move_by_date = date("d-m-Y", strtotime($db->col["move_by_date"]));
					$zip_from = $db->col["zip_from"];
					$zip_to = $db->col["zip_to"];
					$cost_per_mile = $db->col["cost_per_mile"];
					$manufacturer_value = $db->col["manufacturer_value"];
					$product_status = $db->col["product_status"];
					
					$vin = $db->col["vin"];
					$serial = $db->col["serial"];
					//------end -------
					
					$db->query("SELECT * FROM ".DB_PREFIX."products WHERE product_id LIKE '".$db->escape($product_id)."' AND pid<>'".$pid."'");
					if ($db->moveNext())
					{
						$dw = true;
					}
					$db->query("SELECT * FROM ".DB_PREFIX."products_categories WHERE pid='".$pid."' AND is_primary=0");
					while ($db->moveNext())
					{
						if ($db->col["cid"] != $cid)
						{
							$categories[] = $db->col["cid"];
						}
					}
					$db->query("SELECT * FROM ".DB_PREFIX."products_pticcategories WHERE pid='".$pid."' AND is_primary=0");
					while ($db->moveNext())
					{
						if ($db->col["ptic_id"] != $ptic_id)
						{
							$categories1[] = $db->col["ptic_id"];
						}
					}
					$db->query("SELECT MAX(pid) AS c FROM ".DB_PREFIX."products WHERE pid<'".$pid."'");
					$db->moveNext();
					$prev_pid = $db->col["c"];
					$db->query("SELECT MIN(pid) AS c FROM ".DB_PREFIX."products WHERE pid>'".$pid."'");
					$db->moveNext();
					$next_pid = $db->col["c"];
					break;
				}
				
				$db->query("SELECT * FROM ".DB_PREFIX."condition_products,".DB_PREFIX."conditionfields WHERE ".DB_PREFIX."condition_products.condition_id=".DB_PREFIX."conditionfields.condition_id and ".DB_PREFIX."condition_products.pid='".$pid."'");				
				if ($db->moveNext())
				{
					$item_addr1 = $db->col["item_addr1"];
					$item_addr2 = $db->col["item_addr2"];
				}
				
			}
			default :
			case "insert" : 
			{
				if ($pid > 0 && $mode != "update")
				{
					$db->query("SELECT gift_max_quantity FROM ".DB_PREFIX."products_gifts WHERE pid='".$pid."'");
					if ($db->moveNext())
					{
						$gift_max_quantity = $db->col["gift_max_quantity"];
					}
					else
					{
						$gift_max_quantity = 999;
					}
					$gift_max_quantity = " ";

					$db->query("SELECT * FROM ".DB_PREFIX."products WHERE pid='".$pid."'");
					if ($db->moveNext())
					{
						$cid = $db->col["cid"];
						$ptic_id = $db->col["ptic_id"];
						$is_visible = $db->col["is_visible"];
						$is_hotdeal = $db->col["is_hotdeal"];
						$is_home = $db->col["is_home"];
						$is_google_co = $db->col["is_google_co"];
						$is_taxable = $db->col["is_taxable"];
						$is_dollar_days = "No";
						$is_doba = "No";
						$is_locked = "No";
						$inventory_control  = $db->col["inventory_control"];
						$inventory_rule  = $db->col["inventory_rule"];
						$stock = $db->col["stock"];
						$stock_warning = $db->col["stock_warning"];
						$weight = $db->col["weight"];
						$free_shipping = $db->col["free_shipping"];
						$digital_product = $db->col["digital_product"];
						$digital_product_file = $db->col["digital_product_file"];
						if ($db->col["price2"]>0)
						{
							$price = $db->col["price2"];
							$price2 = $db->col["price"];
						}
						else
						{
							$price = $db->col["price"];
							$price2 = "";
						}
						$call_for_price = $db->col["call_for_price"];
						$price_level_1 = $db->col["price_level_1"];
						$price_level_2 = $db->col["price_level_2"];
						$price_level_3 = $db->col["price_level_3"];
						$tax_rate = $db->col["tax_rate"];
						$tax_class_id = $db->col["tax_class_id"];
						$min_order = $db->col["min_order"];
						$max_order = $db->col["max_order"];
						$url_default = "will be generated after product saved";
						$url_custom = "";
						$product_id = "";
						$product_sku = "";
						$product_upc = "";
						$case_pack = $db->col["case_pack"];
						
						//added new fields details
					$owner_company = $db->col["owner_company"];
					$owner_address1 =  $db->col["owner_address1"];
					$owner_address2 =  $db->col["owner_address2"];
					$owner_name =  $db->col["owner_name"];
					$owner_lname =  $db->col["owner_lname"];
					$owner_city = $db->col["owner_city"];
					$owner_state = $db->col["owner_state"];
					$owner_zip = $db->col["owner_zip"];
					$owner_country = $db->col["owner_country"];
					$tire_condition = $db->col["tire_condition"];
					$paint_condition = $db->col["paint_condition"];
					$engine_condition = $db->col["engine_condition"];
					$pump_condition = $db->col["pump_condition"];
					$trailer_condition = $db->col["trailer_condition"];
					$hose_condition = $db->col["hose_condition"];
					$hose_length = $db->col["hose_length"];
					$hose_type = $db->col["hose_type"];
					$length_inches = $db->col["length_inches"];
					
					$width_inches = $db->col["width_inches"];
					$height_inches = $db->col["height_inches"];
					$length_feets = $db->col["length_feets"];
					$width_feets = $db->col["width_feets"];
					$height_feets = $db->col["height_feets"];
					$length_cms = $db->col["length_cms"];
					$width_cms = $db->col["width_cms"];
					$height_cms = $db->col["height_cms"];
					$move_date1 = $db->col["move_date"];
					$consigned_status = $db->col["consigned_status"];
					$consignee_ask_price = $db->col["consignee_ask_price"];
					$consignee_low_price = $db->col["consignee_low_price"];
					$date_move = explode(" ", $move_date1);
					$move_date = $date_move[0];
					$update_val = $db->col["update_val"];
					//end
					
					
					//---------new fields by mahesh.k.s
					$year = $db->col["year"];
					$new_or_used = $db->col["new_or_used"];
					$model = $db->col["model"];
					$capacity = $db->col["capacity"];
					$size = $db->col["size"];
					$hoursmeter = $db->col["hoursmeter"];
					$condition1 = $db->col["condition1"];
					$mso_included = $db->col["mso_included"];
					$title_included = $db->col["title_included"];
					$liens = $db->col["liens"];
					$liens_amount = $db->col["liens_amount"];
					$owner_last_contact_date_frmdb = $db->col["owner_last_contact_date"];
					$owner_last_contact_date = date("d-m-Y", strtotime($owner_last_contact_date_frmdb));
					//$consignee_ask_price = $db->col["consignee_ask_price"]; 
					//$consignee_low_price = $db->col["consignee_low_price"];
					$owner_phone = $db->col["owner_phone"];
					$owner_mobile = $db->col["owner_mobile"];
					$owner_fax = $db->col["owner_fax"];
					$owner_email = $db->col["owner_email"];
					$item = $db->col["item"];
					$item_addr1 = $db->col["item_addr1"];
					$item_addr2 = $db->col["item_addr2"];
					$item_city = $db->col["item_city"];
					$item_state = $db->col["item_state"];
					$item_zip = $db->col["item_zip"];
					$item_country = $db->col["item_country"];
					$loading_method = $db->col["loading_method"];
					$loading_contact = $db->col["loading_contact"];
					$loading_phone = $db->col["loading_phone"];
					$loading_hours = $db->col["loading_hours"];
					$move_by_date = date("d-m-Y", strtotime($db->col["move_by_date"]));
					$zip_from = $db->col["zip_from"];
					$zip_to = $db->col["zip_to"];
					$cost_per_mile = $db->col["cost_per_mile"];
					
					$vin = $db->col["vin"];
					$serial = $db->col["serial"];
					
					
					//------end -------
					
						$inter_pack = $db->col["inter_pack"];
						$gift_quantity = $db->col["gift_quantity"];

						$amazon_id = $db->col["amazon_id"];
						$amazon_id_type = $db->col["amazon_id_type"];
						$amazon_item_condition = $db->col["amazon_item_condition"];
						$ebay_cat_id = $db->col["ebay_cat_id"];
						$pricegrabber_category = $db->col["pricegrabber_category"];
						$pricegrabber_item_condition = $db->col["pricegrabber_item_condition"];
						$pricegrabber_part_number = $db->col["pricegrabber_part_number"];
						$yahoo_path = $db->col["yahoo_path"];
						$google_item_condition = $db->col["google_item_condition"];
						$nextag_category = $db->col["nextag_category"];
						$nextag_item_condition = $db->col["nextag_item_condition"];
						$nextag_part_number = $db->col["nextag_part_number"];

						$title = $db->col["title"];
						$meta_keywords = $db->col["meta_keywords"];
						$meta_title = $db->col["meta_title"];
						$meta_description = $db->col["meta_description"];
						$manufacturer_id = $db->col["manufacturer_id"];
						$overview = $db->col["overview"];
						$description = $db->col["description"];
						$dimension_width = $db->col["dimension_width"];
						$dimension_length = $db->col["dimension_length"];
						$dimension_height = $db->col["dimension_height"];
						$priority = $db->col["priority"];
						$image_location = $db->col["image_location"];
						$image_url = $db->col["image_url"];
						$image_alt_text = $db->col["image_alt_text"];
						$zoom_option = $db->col["zoom_option"];
						
						$lock_fields = explode(",", $db->col["lock_fields"]);
						
						$products_location_id = $db->col["products_location_id"];

						$db->query("SELECT * FROM ".DB_PREFIX."products_categories WHERE pid='".$pid."' AND is_primary=0");
						while ($db->moveNext())
						{
							$categories[] = $db->col["cid"];
						}
						$db->query("SELECT * FROM ".DB_PREFIX."products_pticcategories WHERE pid='".$pid."' AND is_primary=0");
						while ($db->moveNext())
						{
							$categories1[] = $db->col["ptic_id"];
						}
					}
				}
				else
				{
					//echo $user->id;
					$userdetails = $db->query("select * from ".DB_PREFIX."users LEFT JOIN ".DB_PREFIX."countries on ".DB_PREFIX."users.country=".DB_PREFIX."countries.coid where ".DB_PREFIX."users.uid='".$user->id."'");
					if($db->moveNext())
					{
						$mode = "insert";
						$cid = isset($cid)?$cid*1:TREE_ROOT;
						$ptic_id = isset($ptic_id)?$ptic_id*1:TREE_ROOT;;
						$is_visible = "Yes";
						$is_hotdeal = "No";
						$is_home = "No";
						$is_google_co = "Yes";
						$is_taxable = "Yes";
						$is_dollar_days = "No";
						$is_doba = "No";
						$is_locked = "No";
						$inventory_control = "No";
						$inventory_rule  = "Hide";
						$stock = 0;
						$stock_warning = 0;
						$weight = "0.00";
						$amazon_id = "";
						$amazon_id_type = 0;
						$amazon_item_condition = 0;
						$google_item_condition = "";
						$nextag_category = "";
						$nextag_item_condition = "";
						$nextag_part_number = "";
						$ebay_cat_id = 0;
						$pricegrabber_category = "";
						$pricegrabber_item_condition = "New";
						$pricegrabber_part_number = "";
						$yahoo_path = "";
						$free_shipping = "No";
						//$shipping_price = "0.00";
						$digital_product = "No";
						$digital_product_file = "";
						$cost = "";
						$price = "";
						$price2 = "";
						$call_for_price = "No";
						$price_level_1 = 0;
						$price_level_2 = 0;
						$price_level_3 = 0;
						$tax_rate = 0;
						$tax_class_id = 1;  //Add all products to default tax class
						$min_order = 1;
						$max_order = 0;
						$product_id = "";
						//added new fields details
						$owner_company = $db->col["company"];
						$owner_address1 =  $db->col["address1"];
						$owner_address2 =  $db->col["address2"];
						$owner_name =  $db->col["fname"];
						$owner_lname =  $db->col["lname"];
						$owner_city = $db->col["city"];
						$owner_state = $db->col["province"];
						//$owner_state_id = $db->col["province"];
						$owner_zip = $db->col["zip"];
						$owner_phone =	$db->col["phone"];
						$email =	$db->col["email"];
						$owner_country = $db->col["name"];
						$owner_country_id = $db->col["country"];
						$owner_state_id = $db->col["state"];
						$tire_condition = "";
						$paint_condition = "";
						$engine_condition = "";
						$pump_condition = "";
						$trailer_condition = "";
						$hose_condition = "";
						$hose_length = "0.00";
						$hose_type = "";
						$length_inches = "0.00";
						
						$width_inches = "0.00";
						$height_inches = "0.00";
						$length_feets = "0.00";
						$width_feets = "0.00";
						$height_feets = "0.00";
						$length_cms = "0.00";
						$width_cms = "0.00";
						$height_cms = "0.00";
						$move_date = date("Y-m-d H:i:s");
						$consigned_status = "";
						$consignee_ask_price = "0.00";
						$consignee_low_price = "0.00";
						$update_val = "";
						//end
						$product_sku = "";
						$product_upc = "";
						$case_pack = -1;
						$inter_pack = -1;
						$gift_quantity = 1;
						$gift_max_quantity = 999;
						$title = "";
						$meta_keywords = "";
						$meta_title = "";
						$meta_description = "";
						$url_default = "will be generated after product saved";
						$url_custom = "";
						$manufacturer_id = 0;
						$overview = "";
						$description = "";
						$dimension_width = 0;
						$dimension_length = 0;
						$dimension_height = 0;
						$priority = 0;
						$image_location = "Local";
						$image_url = "";
						$image_alt_text = "";
						$zoom_option = "";
						$lock_fields = array();
						$products_location_id = 0;
					}
				}
				$pid = 0;
			}
		}

		$stock = $stock < 0 ? 0 : $stock;
?>
<script type="text/javascript" src="content/vendors/jquery/ddaccordion/ddaccordion.js"></script>
<script type="text/javascript">
ddaccordion.init({
	headerclass:"sliderButton", //Shared CSS class name of headers group
	contentclass:"sliderDiv", //Shared CSS class name of contents group
	collapseprev:false, //Collapse previous content (so only one open at any time)? true/false
	defaultexpanded:[], //index of content(s) open by default [index1, index2, etc]. [] denotes no content.
	animatedefault:false, //Should contents open by default be animated into view?
	persiststate:true, //persist state of opened contents within browser session?
	toggleclass:["", ""], //Two CSS classes to be applied to the header when it's collapsed and expanded, respectively ["class1", "class2"]
	togglehtml:["src", "images/icons/ic_arrow_down.gif", "images/icons/ic_arrow_up.gif"], //Additional HTML added to the header when it's collapsed and expanded, respectively  ["position", "html1", "html2"] (see docs)
	animatespeed:"fast" //speed of animation: "fast", "normal", or "slow"
});
</script>
<?php
		//loadJS("cf_product.js");
		//loadJS("cd_product.js");
		//loadJS("product_gifts.js");

		//pageHeader("Product", ucfirst(strtolower($mode)), "ic_product_".($mode == "update" ? "edit" : "add").".gif");

		pageNote(array(
			//array("icon"=>"ic_hint.gif", "text"=>"<b>Please note : required fields are bold</b>", "url"=>"",  "visible"=>true),
			//array("icon"=>"ic_hint.gif", "text"=>"Decimal points and commas are accepted in the Product Price and Weight fields.", "url"=>"",  "visible"=>true),
			//array("icon"=>"ic_delete.gif", "text"=>"Delete this product", "url"=>"JavaScript:ConfirmDeleteProduct('".$pid."')",  "visible"=>$mode=="update"),
			array("icon"=>"ic_hint.gif", "text"=>"<span style=\"color:#990000\"><b>Please note: There are currently no product categories in database.</b><br>Please add product categories first</span>", "url"=>"", "visible"=>$cats_count < 1),
			array("icon"=>"ic_dollar.gif", "text"=>"Product source: DollarDays.com", "url"=>"",  "visible"=>$is_dollar_days == "Yes"),
			array("icon"=>"ic_doba.gif", "text"=>"Product source: Doba.com", "url"=>"",  "visible"=>$is_doba == "Yes"),
		));

?>
<form name="frmProduct" action="index.php?p=admin_product_process" method="post" onsubmit="return validateFields();" enctype="multipart/form-data" style="padding:0px;margin:0px;">
	<input type="hidden" name="pid" value="<?=$pid?>">
	<input type="hidden" name="mode" value="<?=$mode?>">
	<input type="hidden" name="last_active_tab" value="<?=$last_active_tab?>" id="idActiveTabHidden">
	<div class="admin-tabs admin-tabs-framed" id="tabs-product">
<?php
	if($user->level == 100)
	{
		pageTabs(array(
			//array("title"=>"Product Info", "id"=>"main"),
			array("title"=>"Additional Product Info", "id"=>"newattributes"),
			//array("title"=>"Attributes", "id"=>"attributes"),
			//array("title"=>"Inventory", "id"=>"inventory"),
			//array("title"=>"Recommended", "id"=>"families"),
			//array("title"=>"Product Promotions", "id"=>"gifts"),
			//array("title"=>"Quantity Discounts", "id"=>"discounts"),
			array("title"=>"Secondary Images/Videos", "id"=>"images"),
			//array("title"=>"Data Export Attributes", "id"=>"export-mapping")
		), 'tabs-product', $last_active_tab);
	}
	elseif($user->level == 200)
	{
		pageTabs(array(
			array("title"=>"Product Info", "id"=>"main"),
			array("title"=>"Additional Product Info", "id"=>"newattributes"),
			//array("title"=>"Attributes", "id"=>"attributes"),
			//array("title"=>"Inventory", "id"=>"inventory"),
			//array("title"=>"Recommended", "id"=>"families"),
			//array("title"=>"Product Promotions", "id"=>"gifts"),
			//array("title"=>"Quantity Discounts", "id"=>"discounts"),
			array("title"=>"Secondary Images/Videos", "id"=>"images"),
			//array("title"=>"Data Export Attributes", "id"=>"export-mapping")
		), 'tabs-product', $last_active_tab);
	}
	else
	{
		pageTabs(array(
			array("title"=>"Equipment Info", "id"=>"myequipuser"),
			//array("title"=>"Additional Product Info", "id"=>"newattributes"),
			//array("title"=>"Attributes", "id"=>"attributes"),
			//array("title"=>"Inventory", "id"=>"inventory"),
			//array("title"=>"Recommended", "id"=>"families"),
			//array("title"=>"Product Promotions", "id"=>"gifts"),
			//array("title"=>"Quantity Discounts", "id"=>"discounts"),
			array("title"=>"Secondary Images/Videos", "id"=>"images"),
			//array("title"=>"Data Export Attributes", "id"=>"export-mapping")
		), 'tabs-product', $last_active_tab);
	}

		if (isset($dw) && $mode=="update")
		{
?>
		<table width="100%" cellpadding="2" cellspacing="1" border="0" bgcolor="black">
			<tr>
				<td bgcolor="#ffffCC" style="color:red;" height="60" align="center">
					<b>
						Warning: Entered Product ID "<?=gs($product_id)?>" Already Exists in the Database.<br>
						Please Enter a Different Product ID.
					</b>
				</td>
			</tr>
		</table>

		
		&nbsp;
<?php
		}
		?>	
<link rel="stylesheet" href="content/admin/plupload.queue.css" type="text/css" media="screen" />
<script type="text/javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">
	google.load("jquery", "1.3");
</script>
<!--
<script type="text/javascript" src="content/admin/js/jquery-1.5.1.js"></script>
<script type="text/javascript" src="content/admin/js/jquery.ui.core.js"></script>	
<script type="text/javascript" src="content/admin/js/jquery.ui.datepicker.js"></script>
<script>
	$(function() {
		//alert("se");
		$( "#datepicker1" ).datepicker();
	});
	/*$("#datepicker").click(function(){
		alert("se");
	});*/
</script>
-->
<script type="text/javascript" src="content/admin/js/gears_init.js"></script>
<script type="text/javascript" src="http://bp.yahooapis.com/2.4.21/browserplus-min.js"></script>
<script type="text/javascript" src="content/admin/js/plupload.full.min.js"></script>
<script type="text/javascript" src="content/admin/js/jquery.plupload.queue.min.js"></script>

<script type="text/javascript" src="content/admin/js/swfupload/swfupload.js"></script>
<script type="text/javascript" src="content/admin/js/jquery.swfupload.js"></script>



		<?php
	if($user->level == 100)
	{
		//require_once("content/public/include/admin_product_tab_info.php");
		require_once("content/public/include/admin_product_add_field_info.php");
		//require_once("content/public/include/admin_product_tab_attributes.php");
		//require_once("content/public/include/admin_product_tab_inventory.php");
		//require_once("content/public/include/admin_product_tab_families.php");

		require_once("content/public/include/admin_product_tab_images.php");
		//require_once("content/public/include/admin_product_tab_gifts.php");
		//require_once("content/public/include/admin_product_tab_discounts.php");
		//require_once("content/public/include/admin_product_tab_export_mapping.php");
	}
	elseif($user->level == 200)
	{
		require_once("content/public/include/admin_product_tab_info.php");
		require_once("content/public/include/admin_product_add_field_info.php");
		//require_once("content/public/include/admin_product_tab_attributes.php");
		//require_once("content/public/include/admin_product_tab_inventory.php");
		//require_once("content/public/include/admin_product_tab_families.php");

		require_once("content/public/include/admin_product_tab_images.php");
		//require_once("content/public/include/admin_product_tab_gifts.php");
		//require_once("content/public/include/admin_product_tab_discounts.php");
		//require_once("content/public/include/admin_product_tab_export_mapping.php");
	}
	else
	{
		require_once("content/public/include/admin_product_myequip_user.php");
		//require_once("content/public/include/admin_product_add_field_info.php");
		//require_once("content/public/include/admin_product_tab_attributes.php");
		//require_once("content/public/include/admin_product_tab_inventory.php");
		//require_once("content/public/include/admin_product_tab_families.php");

		require_once("content/public/include/admin_product_tab_images.php");
		//require_once("content/public/include/admin_product_tab_gifts.php");
		//require_once("content/public/include/admin_product_tab_discounts.php");
		//require_once("content/public/include/admin_product_tab_export_mapping.php");
	}
		
?>
	</div>

<?php
	if($product_status == 'pending' || $product_status == 'approved' || $mode == 'insert')
	{
?>
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td width="25%" align="left">
				&nbsp;
    		</td>
			<td width="50%" class="admin-form-buttons">
				<input type="hidden" name="do_apply" value="no">
				<input type="submit" value="Save changes" default="default"> &nbsp;
				<input type="reset" value="Reset form">
			</td>
			<td width="25%" align="right">
				&nbsp;
			</td>
		</tr>
	</table>
<?php
	}
?>

</form>

<?php
	}
	else
	{
		pageHeader("Error Adding New Product", "", "ic_error.gif");
		if ($products_count >= $iono->max_product_count && $mode == "insert")
		{
			pageNote(array(
				array("icon"=>"ic_error.gif", "text"=>"<b>Product cannot be added as you have reached the maximum number of products allowed.<br/>If you would like to upgrade your service, please contact customer support.</b>", "url"=>"",  "visible"=>true)
			));
		}
		else
		{
			pageNote(array(
				array("icon"=>"ic_error.gif", "text"=>"<b>Can't add a new product. Please add a new category first.</b>", "url"=>"",  "visible"=>true),
				array("icon"=>"ic_folder_new.gif", "text"=>"Click here to add a New Category", "url"=>"admin.php?p=category&mode=insert",  "visible"=>true)
			));
		}
	}
?>
<script>
function validateFields()
{
	//alert("fdsfds");
	if($("#consignee_ask_price").val()=='')
	{
		alert("Please Enter Your Best Price");
		$("#consignee_ask_price").focus();
		return false;
	}
	if($("#manufacturer_id").val()=='')
	{
		alert("Please Select a Manufacturer");
		$("#manufacturer_id").focus();
		return false;
	}
	if($("#model").val()=='')
	{
		alert("Please Enter Model");
		$("#model").focus();
		return false;
	}
	if($("#year").val()=='')
	{
		alert("Please Select an Year");
		$("#year").focus();
		return false;
	}
	if($("#hoursmeter").val()=='')
	{
		alert("Please Enter value for Hours Meter");
		$("#hoursmeter").focus();
		return false;
	}
	if($("#field-category").val()==0)
	{
		alert("Please Select A Category");
		$("#field-category").focus();
		return false;
	}	
	if($("#field-name").val()=='')
	{
		alert("Please Enter Product Name");
		$("#field-name").focus();
		return false;
	}	
	if($("#field-price").val()=='')
	{
		alert("Please Enter Item Price");
		$("#field-price").focus();
		return false;
	}
}
</script>