<?php
/**
 * Show products catalog
 */

	if (!defined("ENV")) exit();

	require_once("content/classes/class.catalog.php");
	require_once("content/classes/class.products.php");
	require_once("content/classes/class.manufacturers.php");
	
	$parent = isset($_REQUEST["parent"]) ? intval($_REQUEST["parent"]) : 0;
	$pg = isset($_REQUEST["pg"]) ? intval($_REQUEST["pg"]): 0 ;
	$mode = isset($_REQUEST["mode"]) ? trim($_REQUEST["mode"]) : "catalog";
	$mid = isset($_REQUEST["mid"]) ? intval($_REQUEST["mid"]) : 0;
	
	$category = isset($_REQUEST["category"]) ? intval($_REQUEST["category"]) : 0;
	$equipment = isset($_REQUEST["equipment"]) ? intval($_REQUEST["equipment"]) : 0;
	$manufacturer = isset($_REQUEST["manufacturer"]) ? intval($_REQUEST["manufacturer"]) : 0;
	$hose_length = isset($_REQUEST["hose_length"]) ? $_REQUEST["hose_length"] : 0;
	$hose_type = isset($_REQUEST["hose_type"]) ? $_REQUEST["hose_type"] : "";
	$convert_heated = isset($_REQUEST["convert_heated"]) ? $_REQUEST["convert_heated"] : "";
	$hose_acce = isset($_REQUEST["hose_acce"]) ? $_REQUEST["hose_acce"] : "";	
	
	unset($_SESSION["url_redirect_dmp"]);
	$_SESSION["url_redirect_dmp"] = $pageURL;
	
	view()->assign("search_str2","Enter Keyword");
	if ($mode == "catalog" && $settings["USE_MOD_REWRITE"] == "YES" && isset($_REQUEST["catalog_code"]))
	{
		$parts = explode("-", $_REQUEST["catalog_code"]);
		if (($count = count($parts))>=3)
		{
			$parent = $_REQUEST["parent"] = intval($parts[$count - 2]);
			$pg = $_REQUEST["pg"] = intval($parts[$count - 1]);
		}
		else
		{
			$parent = $_REQUEST["parent"] = "0";
			$pg = $_REQUEST["pg"] = "0";
		}
	}
	else
	{
		$parent = $_REQUEST["parent"] = !empty($_REQUEST["parent"]) ? intval($_REQUEST["parent"]) : "0";
		$pg = $_REQUEST["pg"] = !empty($_REQUEST["pg"]) ? intval($_REQUEST["pg"]) : "0";
	}
	
	//	prepare params
	
	/**
	 * Set user settings cookies - SORTING
	 */
	$cookies = initCookies();
	
	$CatalogSortCookie = $settings["SecurityCookiesPrefix"]."CatalogSortBy";
	
	$products = new ShoppingCartProducts($db, $settings);

	if (isset($_REQUEST["CatalogSetSortBy"]))
	{
		//$cookies->set($CatalogSortCookie, $_REQUEST["CatalogSetSortBy"]);
		$CatalogSortBy = $_REQUEST["CatalogSetSortBy"];
	}
	else
	{
//		$CatalogSortBy = array_key_exists($CatalogSortCookie, $_COOKIE)?$_COOKIE[$CatalogSortCookie]:$settings["CatalogDefaultSortOrder"];
		//$CatalogSortBy = array_key_exists($CatalogSortCookie, $_COOKIE)?$_COOKIE[$CatalogSortCookie]:'date';
		$CatalogSortBy = $products->getCatalogSortBy($parent);

	}
/*array("product_id","title", "owner_company", "product_status", "is_sold", "added", "cid", "manufacturer_id", "year", "owner_fname", "owner_lname", "owner_state", "owner_country", "is_visible", "is_private", "sold_status", "model", "consignee_low_price", "price", "price2", "owner_city", "owner_zip", "owner_phone", "owner_mobile")	*/

	$CatalogSortBy = in_array($CatalogSortBy, array("priority", "date", "manufacturer", "price", "price_desc", "product_id", "cid", "title", "owner_company", "owner_fname", "owner_lname", "owner_state", "is_sold", "year"))?$CatalogSortBy:$settings["CatalogDefaultSortOrder"];
	$CatalogDisplayCookie = $settings["SecurityCookiesPrefix"]."CatalogDisplaytBy";
	$sort_products_type = isset($_REQUEST["sort_products_type"]) ? $_REQUEST["sort_products_type"] : "DESC";
	if (isset($_REQUEST["CatalogSetDisplaytBy"]))
	{
		$value = $_REQUEST["CatalogSetDisplaytBy"];
		$cookies->set($CatalogDisplayCookie, $value);
		$CatalogSetDisplaytBy = $_REQUEST["CatalogSetDisplaytBy"];
	}
	else
	{		
			$CatalogSetDisplaytBy = array_key_exists($CatalogDisplayCookie, $_COOKIE)?$_COOKIE[$CatalogDisplayCookie]:'Yes';
	}
	$CatalogSetDisplaytBy = in_array($CatalogSetDisplaytBy, array("Yes", "No"))?$CatalogSetDisplaytBy:'Yes';
	view()->assign("CatalogSetDisplaytBy", $CatalogSetDisplaytBy);

	/**
	 * PRICES RANGES
	 */
	if ($settings["CatalogUsePriceRanges"] == "1")
	{
		$price_ranges = unserialize(base64_decode($settings["CatalogPriceRanges"]));
		view()->assign("catalog_price_ranges", $price_ranges);
		$CatalogPriceRangeCookie = $settings["SecurityCookiesPrefix"]."CatalogPriceRange";
		if (isset($_REQUEST["CatalogSetPriceRange"]))
		{
			$cookies->set($CatalogPriceRangeCookie, $_REQUEST["CatalogSetPriceRange"]);
			$CatalogPriceRange = $_REQUEST["CatalogSetPriceRange"];
		}
		else
		{
			$CatalogPriceRange = array_key_exists($CatalogPriceRangeCookie, $_COOKIE)?$_COOKIE[$CatalogPriceRangeCookie]:0;
		}
		
		$CatalogPriceRange = (($CatalogPriceRange >= 1) && ($CatalogPriceRange <=10)) ? intval($CatalogPriceRange) : 0;
		if (array_key_exists($CatalogPriceRange, $price_ranges) && ($price_ranges[$CatalogPriceRange]["min"] == "" || $price_ranges[$CatalogPriceRange]["max"] == ""))
		{
			$CatalogPriceRange = 0;
		}
	}
	else
	{
		$CatalogPriceRange = 0;	
	}
	
	$parent = isset($_REQUEST["parent"]) ? $_REQUEST["parent"] : "0";
	//echo $_REQUEST["search_str"]; die();
	$search_str = isset($_REQUEST["search_str"]) ? trim(preg_replace('/[\s,]+/', ' ', $_REQUEST["search_str"])) : "";
	$category = isset($_REQUEST["category"]) ? $_REQUEST["category"] : "";
	$equipment = isset($_REQUEST["equipment"]) ? $_REQUEST["equipment"] : "";
	$year_from = isset($_REQUEST["year_from"]) ? $_REQUEST["year_from"] : "";
	$year_to = isset($_REQUEST["year_to"]) ? $_REQUEST["year_to"] : "";
	$manufacturer = isset($_REQUEST["manufacturer"]) ? $_REQUEST["manufacturer"] : "";
	$model = isset($_REQUEST["model"]) ? $_REQUEST["model"] : "";
	$price_from = isset($_REQUEST["price_from"]) ? $_REQUEST["price_from"] : "";
	$price_to = isset($_REQUEST["price_to"]) ? $_REQUEST["price_to"] : "";
	
	//echo $category;
	
	
	//$search_str = isset($_REQUEST["search_str"]) ? trim(preg_replace('/[\s,]+/', ' ', $_REQUEST["search_str"])) : "";
	//echo $search_str; die();
	$search_in = isset($_REQUEST["search_in"]) ? trim($_REQUEST["search_in"]) : "";
	$search_in = in_array($search_in, array("all", "name", "id")) ? $search_in : "all";
		//echo $search_in; die();
	
	$products->parent = $parent;
		
	$products->taxRates = $order->taxRates;
	
	//print_r($params);die();
	$params = array();
	
	/**
	 * Page break params
	 */
	$params["CatalogItemsOnPage"] = ($settings["CatalogItemsOnPage"])?$settings["CatalogItemsOnPage"]:10;
	$params["Page"] = isset($_REQUEST["pg"]) ? intval($_REQUEST["pg"]) : 1;
	
	/**
	 * Sort
	 */
	$params["CatalogSortBy"] = $CatalogSortBy;
	$params["sort_products_type"] = $sort_products_type;
	$params["CatalogSetDisplaytBy"] = $CatalogSetDisplaytBy;

	/**
	 * Price range
	 */
	if($settings["CatalogUsePriceRanges"] == "1" && $CatalogPriceRange > 0){
		$params["CatalogPriceRangeMin"] = $price_ranges[$CatalogPriceRange]["min"];
		$params["CatalogPriceRangeMax"] = $price_ranges[$CatalogPriceRange]["max"];
	
		view()->assign("CatalogPriceRangeMin", $price_ranges[$CatalogPriceRange]["min"]);
		view()->assign("CatalogPriceRangeMax", $price_ranges[$CatalogPriceRange]["max"]);
	}
	
	$page_not_found = false;
		
	$result = array();
	$dmp_auth_ok = $user->auth_ok ? $user->auth_ok : false;
	//echo "hi".$dmp_auth_ok;
	$_SESSION["dmp_auth_ok"] = $dmp_auth_ok;
	$userLevel = ($user->auth_ok) ? ($user->level) : ($userCookie ? $userCookie["l"] : 0);
	//echo $mode; die();
	if($mode != 'search' || $mode != 'quick_search')
		unset($_SESSION['search_pagena']);
	
	switch($mode)
	{
		case "addtocart" :
		{
			$pid = $_REQUEST['pid'];
			if($pid){
			$parent = $_REQUEST['parent'];
			
			$recommendproduct = $products->getProductFamilies($pid, $userLevel);
			
			
			view()->assign("products", $recommendproduct[0]['products']);
			$products->items_count = count($recommendproduct[0]['products']);
			//view()->assign("body", "templates/pages/product/elements/element-siblings.html");
			
			$page_title = $msg['catalog']['search_results'];
			$page_nav = array(
				array(
					"href"=>$url_http.'p=catalog&amp;mode=search&amp;search_in='.$search_in.'&amp;search_str='.urlencode($search_str), 
					"caption"=>$msg['catalog']['search_results_for'].' '.htmlspecialchars($search_str)
				)
			); 
			} else {
			$page_not_found = true;	
			}
			break;
		}
		case "search" : 
		{
			//echo "mahesh";
			$category_adv = isset($_REQUEST["category_adv"]) ? intval($_REQUEST["category_adv"]) : 0;	
			$equipment_adv = isset($_REQUEST["equipment_adv"]) ? intval($_REQUEST["equipment_adv"]) : 0;
			// sales adv search	
			$product_id = isset($_REQUEST["product_id"]) ? $_REQUEST["product_id"] : "";
			$title = isset($_REQUEST["title"]) ? $_REQUEST["title"] : "";
			$is_private = isset($_REQUEST["is_private"]) ? $_REQUEST["is_private"] : "";
			
			$owner_company = isset($_REQUEST["owner_company"]) ? $_REQUEST["owner_company"] : "";
			$owner_city = isset($_REQUEST["owner_city"]) ? $_REQUEST["owner_city"] : "";
			$owner_state = isset($_REQUEST["owner_state"]) ? $_REQUEST["owner_state"] : "";
			$owner_zip = isset($_REQUEST["owner_zip"]) ? $_REQUEST["owner_zip"] : "";
			$owner_fname = isset($_REQUEST["owner_fname"]) ? $_REQUEST["owner_fname"] : "";
			$owner_lname = isset($_REQUEST["owner_lname"]) ? $_REQUEST["owner_lname"] : "";
			$owner_mobile = isset($_REQUEST["owner_mobile"]) ? $_REQUEST["owner_mobile"] : "";
			$owner_country = isset($_REQUEST["owner_country"]) ? $_REQUEST["owner_country"] : "";	
			$added_from = isset($_REQUEST["added_from"]) ? $_REQUEST["added_from"] : "";
			$added_to = isset($_REQUEST["added_to"]) ? $_REQUEST["added_to"] : "";
			$owner_email = isset($_REQUEST["owner_email"]) ? $_REQUEST["owner_email"] : "";
			$owner_phone = isset($_REQUEST["owner_phone"]) ? $_REQUEST["owner_phone"] : "";	
			$product_status = isset($_REQUEST["product_status"]) ? $_REQUEST["product_status"] : "";	
				
			
			
			$params["mode"] = "search";
			$params["product_status"] = $product_status;
			$params["category"] = $category_adv;	
			$params["equipment"] = $equipment_adv;	
			$params["year_from"] = $year_from;	
			$params["year_to"] = $year_to;	
			$params["manufacturer"] = $manufacturer;	
			$params["model"] = $model;	
			$params["price_from"] = $price_from;	
			$params["price_to"] = $price_to;
			$params["product_id"] = $product_id;
			$params["title"] = $title;
			$params["is_private"] = $is_private;
			
			$params["owner_company"] = $owner_company;
			$params["owner_city"] = $owner_city;
			$params["owner_state"] = $owner_state;
			$params["owner_zip"] = $owner_zip;
			$params["owner_fname"] = $owner_fname;
			$params["owner_lname"] = $owner_lname;
			$params["owner_mobile"] = $owner_mobile;
			$params["owner_country"] = $owner_country;
			$params["added_from"] = $added_from;
			$params["added_to"] = $added_to;
			$params["owner_email"] = $owner_email;
			$params["owner_phone"] = $owner_phone;
			
			
//print_r($params);die("fgds");			
			
			parseSearchKeywords($search_str, $params["keywords"]);
			
			//print_r($params);die("fgds");
			
			$ee = $products->getItemsCatalog($params, $userLevel); 
			for($i=0; $i < count($ee); $i++)
			{
				$search_pagena[$i] = $ee[$i]['pid'];
			}
			$_SESSION['search_pagena'] = $search_pagena;
			//print_r($ee); die("fgds");
			
			view()->assign("products", $products->getItemsCatalog($params, $userLevel));
			view()->assign("category", $category_adv);
			view()->assign("equipment", $equipment_adv);
			view()->assign("year_from", $year_from);
			view()->assign("year_to", $year_to);
			view()->assign("manufacturer", $manufacturer);
			view()->assign("search_str", $search_str);
			view()->assign("model", $model);
			view()->assign("price_from", $price_from);
			view()->assign("price_to", $price_to);
			view()->assign("product_id", $product_id);
			view()->assign("title", $title);
			view()->assign("is_private", $is_private);
			
			view()->assign("owner_company", $owner_company);
			view()->assign("owner_city", $owner_city);
			view()->assign("owner_state", $owner_state);
			view()->assign("owner_zip", $owner_zip);
			view()->assign("owner_fname", $owner_fname);
			view()->assign("owner_lname", $owner_lname);
			view()->assign("owner_mobile", $owner_mobile);
			view()->assign("owner_country", $owner_country);
			view()->assign("added_from", $added_from);
			view()->assign("added_to", $added_to);
			view()->assign("owner_email", $owner_email);
			view()->assign("owner_phone", $owner_phone);
			view()->assign("product_status", $product_status);
			
						
			$page_title = $msg['catalog']['search_results'];
			$page_nav = array(
				array(
					"href"=>$url_http.'p=catalog&amp;mode=search&amp;category='.$category.'&amp;search_str='.urlencode($search_str).'&amp;equipment='.$equipment.'&amp;year_from='.$year_from.'&amp;year_to='.$year_to.'&amp;manufacturer='.$manufacturer.'&amp;model='.$model.'&amp;price_from='.$price_from.'&amp;price_to='.$price_to, 
					"caption"=>$msg['catalog']['search_results_for'].' '.htmlspecialchars($search_str)
				)
			);
			break;
		}
		case "hot" :
		{
			$meta_keywords .= ($meta_keywords==""?"":",")." Hot deals";
			$params["mode"] = "hot";
			view()->assign("products", $products->getItemsCatalog($params, $userLevel));
			$page_title = "Hot Deals";
			$page_nav = array(
				array(
					"href"=>$url_http.'p=catalog&amp;mode=hot',
					"caption"=>"Hot Deals"
				)
			);
			break;
		}
		case "new" :
		{
			$meta_keywords .= ($meta_keywords==""?"":",")." Newest updates";
			$params["mode"] = "new";
			$params["CatalogNewestDays"] = $settings["CatalogNewestDays"];
			view()->assign("products", $products->getItemsCatalog($params, $userLevel));
			$page_title = "Newest Updates";
			$page_nav = array(
				array(
					"href"=>$url_http.'p=catalog&amp;mode=new',
					"caption"=>"Newest Updates"
				)
			);
			
			break;
		}
		case "manufacturer" :
		{
			if ($settings["CatalogManufacturers"] == "YES")
			{
				if ($mnf = $manufacturers->getManufacturerById($mid, true))
				{
					$meta_keywords .= ($meta_keywords==""?"":",")." ".$mnf["manufacturer_name"];
					$params["mode"] = "manufacturer";
					$params["manufacturer_id"] = $mid;
					view()->assign("manufacturer", $mnf);
					view()->assign("products", $products->getItemsCatalog($params, $userLevel));
					$page_title = $mnf["manufacturer_name"];
					$page_nav = array(
						array(
							"href"=>$url_http.'p=catalog&amp;mode=manufacturer&amp;mid='.$mid,
							"caption"=>htmlspecialchars($mnf["manufacturer_name"])
						)
					);
				}
				else
				{
					$page_not_found = true;
				}
			}
			break;
		}
                // below case updated by mahesh k s on oct 13 2011
        case "quick_search" :{				
				//echo $_REQUEST["category"]; die();
				
                    $params["mode"] = "quick_search";
					$params["manufacturer"] = isset($_REQUEST["manufacturer"]) ? intval($_REQUEST["manufacturer"]) : 0;
                    $params["search_str"] = $search_str;
					$params["category"] = isset($_REQUEST["category"]) ? intval($_REQUEST["category"]) : 0;
					$params["equipment"] = isset($_REQUEST["equipment"]) ? intval($_REQUEST["equipment"]) : 0;
					
					$ee = $products->getItemsCatalog($params, $userLevel);
					for($i=0; $i < count($ee); $i++)
					{
						$search_pagena[$i] = $ee[$i]['pid'];
					}
					$_SESSION['search_pagena'] = $search_pagena;
					
					view()->assign("products", $products->getItemsCatalog($params, $userLevel));
					$page_title = "Quick Search Result";
					$page_nav = array(
						array(
							"href"=>$url_http.'p=catalog&amp;mode=quick_search&amp;mid='.$mid.'&amp;search_str='.$search_str.'&amp;category='.$category.'&amp;equipment='.$equipment.'&amp;manufacturer='.$manufacturer.'&mahesh',
                                                        "caption"=>"Quick Search Result"
						)
					);
                                      view()->assign("search_str2",$params["search_str"]);
                                      view()->assign("manufacturer",$params["manufacturer"]);
                                      view()->assign("category",$params["category"]);
                                      view()->assign("equipment",$params["equipment"]);
                                        break;

                }
		default:
		case "catalog" :
		{
			
			$mode = "catalog";
			$params["manufacturer"] = $manufacturer;
			$params["hose_length"] = $hose_length;
			$params["hose_type"] = $hose_type;	
			$params["convert_heated"] = $convert_heated;
			$params["hose_acce"] = $hose_acce;			
			
			
			view()->assign("manufacturer", $manufacturer);
			view()->assign("hose_length", $hose_length);
			view()->assign("hose_type", $hose_type);
			view()->assign("convert_heated", $convert_heated);
			view()->assign("hose_acce", $hose_acce);
			
			$catalog = new ShoppingCartCatalog($db);
			if (!$category = $catalog->getCategoryById($parent))
			{
				//line bellow added there by bug #27
				$page_not_found = true;
				
			}
			else
			{
				
				if ($settings["SearchAutoGenerate"] == "YES")
				{
				;
					$meta_title = $category["name"].": ".$meta_title;
					$meta_keywords .= ", ".$category["name"];
					if (trim($category["description"]) != "")
					{
						$meta_description = str_replace("\r", "", str_replace("\n", "", str_replace('"', "", str_replace("'", " ", strip_tags($category["description"])))));
					}
					//new changes
					$meta_title = trim($category["meta_title"]) == "" ? $meta_title : $category["meta_title"];
					$meta_keywords = trim($category["meta_keywords"]) == "" ? $meta_keywords : $category["meta_keywords"];
					$meta_description = trim($category["meta_description"]) == "" ? $meta_description : $category["meta_description"];
				}
			}
			
			if (!$page_not_found)
			{	
				view()->assign("category", $category);
				$params["parent"] = $parent;
				$params["nested"] = $settings["CatalogShowNested"] == "YES";
				$params["mode"] = "catalog";
				$pid = $_REQUEST["pid"];
				$parentUrl = $_REQUEST["parenturl"];
				
				$categories->setCategoryNestedChildrenIds($parent);
				$params["categories"] = $categories->tree[$parent]["nested"];
				//print_r($params);
				if(isset($_REQUEST["adjacent"]))
				{
					$adj_list = $products->getAdjacentProducts($params, $userLevel);
					$current = array_search($pid, $adj_list['id']);
					//print_r($adj_list);
					$last = $adj_list['count'];
					$pagination = '';
					//$pagination.='<table style="float:left; border:1px solid; width:100%;"><tr>';
					if($current!=0)
					{
						//$pagination.= "<td>";
						$pagination.= "<a href='".$adj_list['prev']."?".$parentUrl."'> << Previous </a>";
						//$pagination.= "</td>";
					}
					if($last<7)
					{
						for($counter=0;$counter<$last;$counter++)
						{
							if($adj_list['id'][$counter] == $pid)
							{
							//$pagination.= "<td>";
								$pagination.= "<a href='".$adj_list['url'][$counter]."?".$parentUrl."' class='select'>".($counter+1)."</a>";	
							//$pagination.= "</td>";
							}
							else
								$pagination.= "<a href='".$adj_list['url'][$counter]."?".$parentUrl."'>".($counter+1)."</a>";
						}
					}
					else
					{	//echo $pid;
						
						if($current < 3)
						{
							if($current-2 >= 0 && $current-2 < $last-2)
								$pagination.= "<a href='".$adj_list['url'][$current-2]."?".$parentUrl."'>".($current-1)."</a>";
							if($current-1 >= 0 && $current-1 <$last-2)
								$pagination.= "<a href='".$adj_list['url'][$current-1]."?".$parentUrl."'>".($current)."</a>";
								
							$pagination.= "<a href='".$adj_list['url'][$current]."?".$parentUrl."' class='select'>".($current+1)."</a>";
							
							if($current+1 < $last-2)
								$pagination.= "<a href='".$adj_list['url'][$current+1]."?".$parentUrl."'>".($current+2)."</a>";
							if($current+2 < $last-2)
								$pagination.= "<a href='".$adj_list['url'][$current+2]."?".$parentUrl."'>".($current+3)."</a>";
							
							$pagination.=" ... ";
							
							$pagination.= "<a href='".$adj_list['url'][$last-2]."?".$parentUrl."'>".($last-1)."</a>";
							$pagination.= "<a href='".$adj_list['url'][$last-1]."?".$parentUrl."'>".($last)."</a>";
						}
						else
						{
							$pagination.= "<a href='".$adj_list['url'][0]."?".$parentUrl."'>1</a>";
							$pagination.= "<a href='".$adj_list['url'][1]."?".$parentUrl."'>2</a>";
							
							$pagination.=" ... ";
							
							if($current-2 >= 2 && $current-2 < $last-2)
								$pagination.= "<a href='".$adj_list['url'][$current-2]."?".$parentUrl."'>".($current-1)."</a>";
							if($current-1 >= 2 && $current-1 <$last-2)
								$pagination.= "<a href='".$adj_list['url'][$current-1]."?".$parentUrl."'>".($current)."</a>";
								
							if($current < $last-2)
							$pagination.= "<a href='".$adj_list['url'][$current]."?".$parentUrl."' class='select'>".($current+1)."</a>";
							
							if($current+1 < $last-2)
								$pagination.= "<a href='".$adj_list['url'][$current+1]."?".$parentUrl."'>".($current+2)."</a>";
							if($current+2 < $last-2)
								$pagination.= "<a href='".$adj_list['url'][$current+2]."?".$parentUrl."'>".($current+3)."</a>";
								
							$pagination.=" ... ";
						
							if($current == $last-2)
								$pagination.= "<a href='".$adj_list['url'][$last-2]."?".$parentUrl."' class='select'>".($last-1)."</a>";
							else
								$pagination.= "<a href='".$adj_list['url'][$last-2]."?".$parentUrl."'>".($last-1)."</a>";
							if($current == $last-1)
								$pagination.= "<a href='".$adj_list['url'][$last-1]."?".$parentUrl."' class='select'>".($last)."</a>";
							else
								$pagination.= "<a href='".$adj_list['url'][$last-1]."?".$parentUrl."'>".($last)."</a>";
						}
						
					}
					if($current!=$last-1)
						$pagination.= "<a href='".$adj_list['next']."?".$parentUrl."'> Next >> </a>";
					//print_r($adj_list);
					//$pagination.="</tr></table>";
					echo $pagination;
					//echo $adj_list[prev] .",". $adj_list[next] .",". $adj_list[count];
					die();
				}
				else
				{
					$pro_list = $products->getItemsCatalog($params, $userLevel);
					
					
					
					//print_r($pro_list); die();
					
					//print_r($pro_list);
					//echo $testlink = $products->
					
					//echo"Fes";
					view()->assign("products", $pro_list);
					$page_title = trim($category["category_header"])==""?$category["name"]:$category["category_header"];
					
					$page_nav = $categories->getParsedPath($parent);
					
				// belw 2 line added by mahesh to pass category link to sub pages	
					$linkArray = split("/",$page_nav[count($page_nav)-1]["href"]); 
					//print_r($linkArray);
					$link = $linkArray[count($linkArray)-2];
						//exceptional case for infrared under used equipment section
						// by mahesh k s
					if($link=='pavementgroup')
						$link = $linkArray[count($linkArray)-1];
						//--------  end for link    --->
					view()->assign("productlink", $link);
				//-----------   end       ----------//
				}
			}
			break;
		}

	}

	if (!$page_not_found)
	{
		//params
		//////////////////////////
		//Catalog View Settings
		// Commented the "Clean" versions of the catalog style
		$catalog_views = array();
		if ($settings["CatalogViewText"] == "YES") $catalog_views["Text"] = $msg['catalog']['view_text'];
		if ($settings["CatalogViewThumb1"] == "YES") $catalog_views["Thumb1"] = $msg['catalog']['view_single_row'];
		// if ($settings["CatalogViewThumb1Clean"] == "YES") $catalog_views["Thumb1Clean"] = $msg['catalog']['view_single_row_clean'];
		if ($settings["CatalogViewThumb2"] == "YES") $catalog_views["Thumb2"] = $msg['catalog']['view_double_row'];
		if ($settings["CatalogViewDisplay"] == "YES") $catalog_views["Display"] = $msg['catalog']['view_two_row'];
		if ($settings["CatalogViewDisplayBox"] == "YES") $catalog_views["DisplayBox"] = $msg['catalog']['view_two_row_box'];
		if ($settings["CatalogViewThumb3"] == "YES") $catalog_views["Thumb3"] = $msg['catalog']['view_three_row'];
		if ($settings["CatalogViewFlexible"] == "YES") $catalog_views["Flexible"] = $msg['catalog']['view_flexible'];
		// if ($settings["CatalogViewThumb3Clean"] == "YES") $catalog_views["Thumb3Clean"] = $msg['catalog']['view_three_row_clean'];

		$CatalogViewCookie = $settings["SecurityCookiesPrefix"]."CatalogView";
		if (isset($_REQUEST["CatalogSetView"]))
		{
			$cookies->set($CatalogViewCookie, $_REQUEST["CatalogSetView"]);
			$CatalogView = $_REQUEST["CatalogSetView"];
		}
		else
		{
			$CatalogView = array_key_exists($CatalogViewCookie, $_COOKIE)?$_COOKIE[$CatalogViewCookie]:($settings["CatalogDefaultView"]);
		}

		$CatalogView = array_key_exists($CatalogView, $catalog_views)? $CatalogView : $settings["CatalogDefaultView"];
		
		view()->assign("CatalogView", $CatalogView);
		view()->assign("catalog_views", $catalog_views);
		view()->assign("CatalogViewFile", $f = "templates/pages/catalog/views/".strtolower($CatalogView).".html");
		//echo $f;
		view()->assign("CatalogSortBy", $CatalogSortBy);
		view()->assign("sort_products_type", $sort_products_type);
		view()->assign("CatalogPriceRange", $CatalogPriceRange);

		view()->assign("items_count", $products->items_count);
		view()->assign("pages_count", $products->pages_count);

		view()->assign("page_title", $page_title);
		view()->assign("page_nav", $page_nav);

		view()->assign("catalog_mode", $mode);

		//for catalog
		view()->assign("parent", $parent);

		//for search
		view()->assign("search_str", $search_str);
		view()->assign("search_in", $search_in);

		$url_prefix = $url_http."p=catalog&amp;mode=".$mode."&amp;parent=".$parent."&amp;mid=".$mid."&amp;category_adv=".$category_adv."&amp;equipment_adv=".$equipment_adv."&amp;manufacturer=".$manufacturer."&amp;search_in=".$search_in."&amp;search_str=".(urlencode($search_str)). "&amp;product_id=".$product_id."&amp;title=".$title."&amp;is_private=".$is_private."&amp;owner_company=".$owner_company."&amp;owner_city=".$owner_city."&amp;owner_state=".$owner_state."&amp;owner_zip=".$owner_zip."&amp;owner_fname=".$owner_fname."&amp;owner_lname=".$owner_lname."&amp;owner_mobile=".$owner_mobile."&amp;owner_country=".$owner_country."&amp;added_from=".$added_from."&amp;added_to=".$added_to."&amp;owner_email=".$owner_email."&amp;owner_phone=".$owner_phone."&amp;CatalogSortBy=".$CatalogSortBy."&amp;sort_products_type=".$sort_products_type; 


		
		//$url_prefix = $url_http."p=catalog&amp;mode=".$mode."&amp;parent=".$parent."&amp;mid=".$mid."&amp;category=".$category."&amp;equipment=".$equipment."&amp;manufacturer=".$manufacturer."&amp;search_in=".$search_in."&amp;search_str=".(urlencode($search_str));
		
		if ($mode == "catalog" && $settings["USE_MOD_REWRITE"] == "YES")
		{
			$category["url"]."<br/>";
			$url_prefix = getCatalogUrl($category["url_custom"] == "" ? $category["url_default"] : $category["url_custom"], $parent, "%n%");
		}
		
		view()->assign("page_current", $products->current_page);
		view()->assign("pages_count", $products->pages_count);
		
		// urls for sort by and view
		$catalogUrlBase = 
			(($settings['USE_MOD_REWRITE'] == 'YES') ? preg_replace('/\?.+$/', '', $_SERVER['REQUEST_URI']) : '')."?p=catalog&amp;mode=".$mode.
			($mode=="catalog"?"&amp;parent=".$parent:"").
			($mode=="quick_search"?"&amp;search_str=".$search_str."&amp;category=".$category."&amp;equipment_temp=".$equipment."&amp;manufacturer=".$manufacturer."&amp;parent=".$parent:"").
			($mode=="search"?"&amp;category_adv=".$category_adv."&amp;equipment_adv=".$equipment_adv."&amp;year_from=".$year_from."&amp;year_to=".$year_to."&amp;manufacturer=".$manufacturer."&amp;model=".$model."&amp;price_from=".$price_from."&amp;price_to=".$price_to."&amp;search_str=".$search_str."&amp;search_in=".$search_in:"").
			//($mode=="search"?"&amp;search_str=".$search_str."&amp;search_in=".$search_in:"").
			($mode=="manufacturer"?"&amp;mid=".$mid:"").
			(isset($_REQUEST['pg']) ? '&amp;pg='.htmlspecialchars($_REQUEST['pg']) : '');
		
		view()->assign("catalog_url_base", $catalogUrlBase);
		
		// for new skin
		view()->assign("paginator", 
			$paginate = paginate(
				$products->current_page,
				$products->pages_count, // total pages
				$settings["CatalogPagesInList"],
				$url_prefix,
				$mode=="catalog" && $settings["USE_MOD_REWRITE"] == "YES",
				$mode=="catalog" && $settings["USE_MOD_REWRITE"] == "YES" ? getCatalogUrl($category["url_custom"] == "" ? $category["url_default"] : $category["url_custom"], $parent) : false
			)
		);

		//log statistics
		if ($mode != "catalog")
		{
			LogStatistics($db, $user->id, "other", 0, $page_title);
		}
		else
		{
			LogStatistics($db, $user->id, "catalog", $parent, $page_title);
		}
		
		view()->assign("body", "templates/pages/catalog/catalog.html");
	}
	else
	{
		LogStatistics($db, $user->id, "other", 0, "");
		header("Location: ".$settings["GlobalHttpUrl"]."/index.php?p=404");
		_session_write_close();
		die();
	}
