<?php
/**
 * Gift certificate
 */

if (!defined("ENV")) exit();

if ($settings['enable_gift_cert'] !== 'Yes')
{
	header('Location: '.$url_dynamic);
	exit();
}

$gift_cert = new GiftCertificates($db);
$action = isset($_REQUEST['action'])?$_REQUEST['action']:"";
if ($action == 'print')
{
	$ocid = intval($_REQUEST['ocid']);
	if ($ocid > 0)
	{
		$db->query("SELECT ".DB_PREFIX."orders_gift_cert.* FROM ".DB_PREFIX."ordered_gift_cert 
			INNER JOIN ".DB_PREFIX."orders ON ".DB_PREFIX."orders.uid = ".intval($user->id)."
			INNER JOIN ".DB_PREFIX."orders_gift_cert ON ".DB_PREFIX."orders_gift_cert.ocid = ".intval($ocid)." AND ".DB_PREFIX."orders_gift_cert.oid = ".DB_PREFIX."orders.oid			
			WHERE ".DB_PREFIX."ordered_gift_cert.ocid = ".intval($ocid));

		if ($db->moveNext())
		{
			$gift_data = $db->col;
			view()->assign("voucher", $gift_data['voucher']);
			view()->assign("first_name", $gift_data['first_name']);
			view()->assign("last_name", $gift_data['last_name']);
			view()->assign("gift_amount", $gift_data['gift_amount']);
			view()->assign("from_name", $gift_data['from_name']);
			view()->assign("message", $gift_data['message']);
			view()->assign("print", '1');
		}
		else
		{
			header("Location: ".$settings["GlobalHttpUrl"]."/index.php?p=404");
			_session_write_close();
			die();	
			return;
		}		
	}
	else
	{
		header("Location: ".$settings["GlobalHttpUrl"]."/index.php?p=404");
		_session_write_close();
		die();
		return;
	}
}
else
{
	$ordered_gifts = array();
	if ($user->auth_ok)
	{
		$db->query("SELECT ".DB_PREFIX."orders_gift_cert.*, ".DB_PREFIX."ordered_gift_cert.date_ordered FROM ".DB_PREFIX."ordered_gift_cert 
			INNER JOIN ".DB_PREFIX."orders ON ".DB_PREFIX."orders.uid = ".intval($user->id)." 
			INNER JOIN ".DB_PREFIX."orders_content ON ".DB_PREFIX."orders_content.oid = ".DB_PREFIX."orders.oid AND ".DB_PREFIX."orders_content.ocid = ".DB_PREFIX."ordered_gift_cert.ocid
			INNER JOIN ".DB_PREFIX."orders_gift_cert ON ".DB_PREFIX."orders_gift_cert.ocid = ".DB_PREFIX."orders_content.ocid			
			WHERE ".DB_PREFIX."ordered_gift_cert.balance > 0
			ORDER BY ".DB_PREFIX."ordered_gift_cert.date_ordered DESC");
		if ($db->moveNext())
		{ 
			$g_email = $db->col['email'];
			$gift_data = $gift_cert->GetOrderedGiftCertById(intval($db->col['ocid']));
			$gift_data['email'] = $g_email;
			array_push($ordered_gifts, $gift_data);
		}
	}
	view()->assign("ordered_gifts", $ordered_gifts);
	
	$order = $gift_cert->GetGiftCertificate($order->oid);
	
	if ($order !== false)
	{
		view()->assign("update", '1');
		view()->assign("first_name", $order['first_name']);
		view()->assign("last_name", $order['last_name']);
		view()->assign("phone", $order['phone']);
		view()->assign("rep_email", $order['email']);
		view()->assign("from_name", $order['from_name']);
		view()->assign("message", $order['message']);
		view()->assign("gift_amount", $order['gift_amount']);
	}
	else
	{
		view()->assign("update", '0');
	}
	if ($action == 'check_balance')
	{ 
		view()->assign("check_balance", 'yes');			
		if (isset($_REQUEST["get_balance"]))
		{ 
			$db->query("SELECT ".DB_PREFIX."ordered_gift_cert.balance FROM ".DB_PREFIX."ordered_gift_cert 
				WHERE ".DB_PREFIX."ordered_gift_cert.voucher = '".$db->escape($_REQUEST["gift_cert_voucher"])."'
				and ".DB_PREFIX."ordered_gift_cert.first_name = '".$db->escape($_REQUEST["gift_cert_first_name"])."' 
				and ".DB_PREFIX."ordered_gift_cert.last_name = '".$db->escape($_REQUEST["gift_cert_last_name"])."' ");				
			if ($db->moveNext())
			{ 
				view()->assign("your_balance", $db->col["balance"]);
			}
			else
			{
				view()->assign("giftcert_error", "Voucher number doesn't exist in our records.");
			}
		}
	}
}

view()->assign("body", "templates/pages/gift-certificate/gift-certificate.html");
