<?php
/**
 * Show home page
 */

if (!defined("ENV")) exit();

if ($settings["CatalogHomeView"] != "None")
{
	require_once("content/classes/class.products.php");
	$products = new ShoppingCartProducts($db, $settings);
	$products->taxRates = $order->taxRates;
	$params = array();
	$params["CatalogSortBy"] = $settings["CatalogDefaultSortOrder"];
	$params["CatalogItemsOnPage"] = is_numeric($settings["CatalogHomeItemsOnPage"])?intval($settings["CatalogHomeItemsOnPage"]):10;
	$params["Page"] = isset($_REQUEST["pg"]) ? intval($_REQUEST["pg"]) : 1;
	$params["mode"] = "home";
		
	view()->assign("products", $products->getItemsCatalog($params, $user->level));
	view()->assign("products_file", strtolower("templates/pages/catalog/views/".$settings["CatalogHomeView"].".html"));
}
else
{
	view()->assign("products", false);
}
	
view()->assign("body", "templates/pages/site/home.html");