<?php
/**
 * Handle user signup
 */

	if (!defined("ENV")) exit();
	
	$frmpage = isset($_REQUEST["frmpage"]) ? $_REQUEST["frmpage"] : '';
	$var = isset($_REQUEST["var"]) ? $_REQUEST["var"] : '';
	
	view()->assign("frmpage", $frmpage);
	view()->assign("var", $var);	
	//assign actions IDs
	view()->assign("USER_SIGNUP", USER_SIGNUP);
	
	//country / state data
	require_once("content/classes/class.regions.php");
	$regions = new Regions($db);
	view()->assign("countries_states", json_encode($regions->getCountriesStatesForSite()));

	//check shipping
	$sc = getShippingCountries($db);
	if (is_array($sc))
	{
		view()->assign("ship2countries", in_array(0, $sc) ? "all" : $sc);
	}
	else
	{
		view()->assign("ship2countries", "all");
	}
	
	//check is there registration error on wrong attempt
	view()->assign("is_user_errors", ($ua=USER_SIGNUP) && ($user->is_error)?"yes":"no");
	
	//check captcha
	
	if (($ua=USER_SIGNUP) && ($user->is_error))
	{
		view()->assign("userErrors", $user->errors);
	}
	
	//check / create form data array 
	$form = isset($_POST["form"]) ? $_POST["form"] : array("email_newsletters"=>"No", "email_updates"=>"Yes");
	$form = is_array($form) ? $form : array("email_newsletters"=>"No", "email_updates"=>"Yes");
	//print_r($form); die("kak");
	view()->assign("form", $form);
	
	//assign custom fields
	$customFieldsData = isset($_POST["custom_field"]) ? $_POST["custom_field"] : array();
	view()->assign("cf_billing", $cf_billing = $customFields->getCustomFields("billing", $customFieldsData));
	view()->assign("cf_signup", $cf_signup = $customFields->getCustomFields("signup", $customFieldsData));
	view()->assign("cf_account", $cf_account = $customFields->getCustomFields("account", $customFieldsData));
	
	//add captcha
	if ($settings['captchaMethod'] != 'None')
	{
		error_reporting(-1);
		require_once('content/vendors/recaptcha/recaptchalib.php');
		/*echo  "<pre>";
			print_r(recaptcha_get_html($settings['captchaReCaptchaPublicKey']));
		echo "</pre>";*/
	
		view()->assign('captcha', recaptcha_get_html($settings['captchaReCaptchaPublicKey']));
		
	}
	
	$from_visitor = isset($_REQUEST["frmvisitor_id"])	?	$_REQUEST["frmvisitor_id"] : "";
	if($from_visitor!='')
	{
		$db->query("select * from visitor_equipment where visitor_id='".$from_visitor."'");
		if($db->moveNext())
		{
			view()->assign("visitor_data", $db->col);
		}
	}

	//finally, join template
	view()->assign("body", "templates/pages/account/signup.html");
