<?php
/**
 * Newsletter subscribe page
 */

if (!defined("ENV")) exit();

$email = isset($_POST["email"]) ? trim(strtolower($_POST["email"])) : "";
$email_mode = isset($_POST["email_mode"]) ? $_POST["email_mode"] : "html";
$email_mode = in_array($email_mode, array("text", "html")) ? $email_mode : "html";
$email_exists = "no";

if (validate($email, VALIDATE_EMAIL))
{
//	$db->query("SELECT * FROM ".DB_PREFIX."emails WHERE email LIKE BINARY '".$db->escape($email)."'");
//	if ($db->moveNext())
//	{
//		$email_exists = "yes";
//	}
//	else
//	{
//		$db->query("INSERT INTO ".DB_PREFIX."emails VALUES(NULL, NOW(), '".$db->escape($email)."','".$db->escape($email_mode)."', 0, 'No', 'Yes', 'No')");
//	}
	
	$response = Newsletter_Connector::subscribe($email, $email_mode);
	$email_exists = ($response) ? 'no' : 'yes';
}

view()->assign("email_exists", $email_exists);
view()->assign("body", "templates/pages/newsletters/subscribe.html");

	$meta_keywords = trim($settings['subscribe_meta_keywords']) != '' ? $settings['subscribe_meta_keywords'] : $meta_keywords;
	$meta_title = trim($settings['subscribe_page_title']) != '' ? $settings['subscribe_page_title'] : $meta_title;
	$meta_description = trim($settings['subscribe_meta_description']) != '' ? $settings['subscribe_meta_description'] : $meta_description;