UPDATE settings SET value='3.7.0', description='R.2911' WHERE name='AppVer';

ALTER TABLE admins CHANGE receive_notifications receive_notifications set('invoice','outofstock','signup','product_review','notactive','pwdchange30','pwdchange60','pwdchange90','pwdchangenever')   NOT NULL DEFAULT '' after email_mode, CHANGE rights rights set('all','demo','categories','products','users','orders','emails','admins','global','business','content','database','stats','marketing','ccs')   NOT NULL DEFAULT '' after session_id, ADD COLUMN password_history text NOT NULL after active, ADD COLUMN login_errors tinyint(3) unsigned   NOT NULL DEFAULT '0' after password_history, DROP COLUMN inactive_account_email, DROP COLUMN inactive_account_email_sentAt, DROP COLUMN change_password_email;
CREATE TABLE admins_logs(log_date datetime NOT NULL, ip int(10) unsigned NOT NULL  DEFAULT '0', is_error tinyint(1) unsigned NOT NULL  DEFAULT '0', username varchar(100)  NOT NULL  DEFAULT '', message text  NOT NULL ) TYPE=MyISAM;
ALTER TABLE catalog ADD COLUMN url_hash varchar(32) NOT NULL DEFAULT '' after list_subcats, ADD COLUMN url_default varchar(128) NOT NULL DEFAULT '' after url_hash, ADD COLUMN url_custom varchar(128) NOT NULL DEFAULT '' after url_default, ADD KEY url_hash(url_hash);
ALTER TABLE design_elements CHANGE type type enum('text','image','image-hidden') NOT NULL DEFAULT 'text' after caption, ADD COLUMN skin_name varchar(64) NULL DEFAULT NULL after content;
CREATE TABLE layout_elements(id int(10) NOT NULL auto_increment, type enum('panel','widget') NOT NULL , name varchar(100) NOT NULL , title varchar(100) NOT NULL , is_active tinyint(1) NULL DEFAULT '1', PRIMARY KEY (id) ) TYPE=MyISAM;
ALTER TABLE orders ADD COLUMN buysafe_wants_bond varchar(5) NOT NULL DEFAULT '' after handling_text, ADD COLUMN buysafe_bond_amount decimal(20,5) unsigned NOT NULL DEFAULT '0.00000' after buysafe_wants_bond, ADD COLUMN doba_order_sent tinyint(1) unsigned NOT NULL DEFAULT '0' after shipping_country, ADD COLUMN doba_order_id int(20) unsigned NOT NULL DEFAULT '0' after doba_order_sent;
ALTER TABLE orders_content ADD COLUMN cost decimal(20,5) unsigned NOT NULL DEFAULT '0.00000' after quantity, ADD COLUMN is_doba enum('Yes','No') NOT NULL DEFAULT 'No' after is_dollar_days, ADD COLUMN products_location_id int(10) unsigned NOT NULL DEFAULT '0' after inventory_id, CHANGE product_id product_id varchar(64) NOT NULL DEFAULT '' after options_clean, ADD COLUMN product_sku varchar(64) NOT NULL DEFAULT '' after product_sub_id, ADD COLUMN product_upc varchar(64) NOT NULL DEFAULT '' after product_sku;
ALTER TABLE pages ADD COLUMN url_hash varchar(32) NOT NULL DEFAULT '' after options, ADD COLUMN url_default varchar(128) NOT NULL DEFAULT '' after url_hash, ADD COLUMN url_custom varchar(128) NOT NULL DEFAULT '' after url_default, ADD KEY url_hash(url_hash);
ALTER TABLE products ADD COLUMN is_doba enum('Yes','No') NOT NULL DEFAULT 'No' after is_google_co, ADD COLUMN is_locked enum('Yes','No') NOT NULL DEFAULT 'No' after is_doba, ADD COLUMN cost decimal(20,5) unsigned NOT NULL DEFAULT '0.00000' after digital_product_file, CHANGE tax_rate tax_rate decimal(20,5) NOT NULL DEFAULT '-1.00000' after tax_class_id, ADD COLUMN products_location_id int(10) unsigned NOT NULL DEFAULT '0' after added, ADD COLUMN url_hash varchar(32) NOT NULL DEFAULT '' after products_location_id, ADD COLUMN url_default varchar(128) NOT NULL DEFAULT '' after url_hash, ADD COLUMN url_custom varchar(128) NOT NULL DEFAULT '' after url_default, CHANGE product_id product_id varchar(64) NOT NULL DEFAULT '' after url_custom, ADD COLUMN product_sku varchar(64) NOT NULL DEFAULT '' after product_id, ADD COLUMN product_upc varchar(64) NOT NULL DEFAULT '' after product_sku, ADD COLUMN image_alt_text varchar(255) NOT NULL DEFAULT '' after image_url, ADD KEY url_hash(url_hash);
ALTER TABLE products_images ADD COLUMN alt_text varchar(255) NOT NULL DEFAULT '' after caption;
CREATE TABLE products_locations(products_location_id int(10) unsigned NOT NULL auto_increment, is_active tinyint(1) unsigned NOT NULL DEFAULT '0', send_notification tinyint(1) unsigned NOT NULL DEFAULT '0', location_type enum('drop-shipper','warehouse','store','manufacturer','distributor','other') NOT NULL DEFAULT 'drop-shipper', code varchar(100) NOT NULL, name varchar(100) NOT NULL, contact_name varchar(100) NOT NULL, address1 varchar(100) NOT NULL, address2 varchar(100) NULL, city varchar(100) NULL, state int(10) unsigned NOT NULL DEFAULT '0', province varchar(100) NULL, country int(10) unsigned NOT NULL DEFAULT '0', zip varchar(100) NOT NULL, phone varchar(100) NULL, contact_email varchar(100) NULL, notify_email varchar(100) NULL, notes text NULL, email_text text NULL, PRIMARY KEY (products_location_id), UNIQUE KEY code(code) ) TYPE=MyISAM;
CREATE TABLE products_reviews(id int(10) unsigned NOT NULL auto_increment, pid int(10) unsigned NOT NULL, user_id int(10) unsigned NOT NULL, review_title varchar(255) NOT NULL, review_text text NOT NULL, is_visible tinyint(1) NOT NULL, rating tinyint(1) NOT NULL, purchased tinyint(1) NOT NULL DEFAULT '0', date_created datetime NULL, date_approved datetime NULL, approved tinyint(1) NOT NULL DEFAULT '0', PRIMARY KEY (id), KEY user_id(user_id), KEY product_id(pid) ) TYPE=MyISAM;
CREATE TABLE promo_categories(pid int(11) NOT NULL, cid int(11) NOT NULL, PRIMARY KEY (pid,cid)) TYPE=MyISAM;
ALTER TABLE promo_codes ADD COLUMN is_global enum('Yes','No') NOT NULL DEFAULT 'Yes' after discount_type;
CREATE TABLE promo_products(pid int(11) NOT NULL, prid int(11) NOT NULL, PRIMARY KEY (pid,prid)) TYPE=MyISAM;
ALTER TABLE settings ADD COLUMN caption varchar(100) NULL after validation;
CREATE TABLE templates(id int(10) NOT NULL auto_increment, name varchar(100) NOT NULL, date_added datetime NOT NULL, author varchar(100) NULL, thumbnail varchar(255) NOT NULL, fullsize varchar(255) NOT NULL, PRIMARY KEY (id)) TYPE=MyISAM;
CREATE TABLE testimonials(id int(11) NOT NULL auto_increment, name varchar(45) NOT NULL, company varchar(45) NOT NULL, rating int(11) NULL, testimonial text NOT NULL, status enum('pending','approved','declined') NOT NULL DEFAULT 'pending', date_created datetime NOT NULL DEFAULT '0000-00-00 00:00:00', PRIMARY KEY (id)) TYPE=MyISAM;
ALTER TABLE users CHANGE password password varchar(64) NOT NULL DEFAULT '' after login;

INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-catalog-search','Search Catalog',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-catalog-bestsellers','Bestsellers',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-catalog-categories','Catalog Categories',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-catalog-manufacturers','Manufacturers',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-catalog-others-bought','Products Others Bought',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-catalog-recent','Recently Viewed',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-account-profile','Account Profile',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-checkout','Checkout',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-checkout-cart','View Cart',1);
INSERT INTO layout_elements VALUES ('','panel','element_panels_panel-newsletters-subscribe','Newsletter Signup',1);
UPDATE payment_accepted_cc SET name='Maestro' WHERE code='SW' OR code='9';
INSERT INTO payment_methods (pid, active, proto, url_to_gateway, type, priority, id, class, version, gateway_name, name, title, enable_ccs, message_payment, message_thankyou) VALUES (null, 'No', 'http', '', 'ipn', 1, 'amazon_sp', 'PAYMENT_AMAZON_SP', '1.00', 'Amazon Simple Pay', 'Amazon Simple Pay', 'Amazon Simple Pay', 0, '<p>You have selected Amazon Simple Pay as your method of payment.</p>\r\n<p>To complete the transaction, you will be redirected to the Amazon Payments gateway.</p>\r\n<p>When the transaction has been completed, you will be redirected here.</p>\r\n<p></p>\r\n<div class="formLine"><input type="image" src="https://authorize.payments.amazon.com/pba/images/payNowButton.png" border="0" /></div>', '<p>The transaction completed successfully.</p>');
INSERT INTO payment_methods (pid, active, proto, url_to_gateway, type, priority, id, class, version, gateway_name, name, title, enable_ccs, message_payment, message_thankyou) VALUES (null, 'No', 'http', '', 'ipn', 2, 'amazon_checkout', 'PAYMENT_AMAZON_CHECKOUT', '1.00', 'Amazon Checkout', 'Amazon Checkout', 'Amazon Checkout', 0, '<p>You have selected Amazon Checkout as your payment method.</p>\r\n<p>In order to pay by Amazon Checkout you will be redirected to the Amazon Payments Gateway, you will return here once you have paid for the order.</p>\r\n\r\n<input alt="Checkout with Amazon Payments" src="content/engine/payment/amazon/cba_logo.php" type="image">', 'The transaction completed successfully.');
UPDATE payment_methods SET url_to_gateway='https://payflowpro.paypal.com', version='1.00', gateway_name='PayPal Website Payments Pro (Payflow Edition)', name='PayPal Website Payments Pro (Payflow Edition)', title='Credit Card Payment with PayPal Website Payments Pro (Payflow Edition)' WHERE (pid = 28) ;
UPDATE payment_methods SET url_to_gateway='https://api.paypal.com/2.0/',  version='3.30', gateway_name='PayPal Website Payments Pro', name='PayPal Website Payments Pro', title='Credit Card Payment with PayPal Website Payments Pro' WHERE (pid = 17) ;
UPDATE payment_methods SET url_to_gateway='https://www.paypal.com/cgi-bin/webscr', version='3.30', gateway_name='PayPal Website Payments Standard', name='PayPal Website Payments Standard', title='Payment with PayPal Website Payments Standard' WHERE (pid = 5) ;


UPDATE settings SET value='doc1024x768C', description='' WHERE name='LayoutSiteWidth';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Design Settings', priority='0', name='DesignSkinTheme', value='default.css', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Catalog Settings', priority='0', name='CatalogCategoryThumbSize', value='150', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Catalog Settings', priority='0', name='CatalogCategoryThumbType', value='Proportionate', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Catalog Settings', priority='0', name='CatalogViewThumb1Clean', value='YES', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Catalog Settings', priority='0', name='CatalogViewThumb3Clean', value='YES', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Catalog Settings', priority='0', name='CatalogProductPageBottom', value='Flat', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Search Engines Settings', priority='0', name='SearchAutoGenerateLowercase', value='YES', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Search Engines Settings', priority='0', name='SearchURLCategoryTemplate', value='%CategoryName%/', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Search Engines Settings', priority='0', name='SearchURLCategoryPaginatorTemplate', value='-page-%PageNumber%', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Search Engines Settings', priority='0', name='SearchURLProductTemplate', value='%CategoryName%/%ProductName%/', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Search Engines Settings', priority='0', name='SearchURLPageTemplate', value='%PageName%', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Search Engines Settings', priority='0', name='SearchURLJoiner', value='-', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Layout Settings', priority='0', name='LayoutElements', value='a:1:{s:5:\"pages\";a:9:{s:7:\"_global\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:5:{i:0;a:2:{s:5:\"class\";s:39:\"element_panels_panel-catalog-categories\";s:4:\"file\";s:46:\"templates/panels/panel-catalog-categories.html\";}i:1;a:2:{s:5:\"class\";s:35:\"element_panels_panel-catalog-search\";s:4:\"file\";s:42:\"templates/panels/panel-catalog-search.html\";}i:2;a:2:{s:5:\"class\";s:42:\"element_panels_panel-catalog-manufacturers\";s:4:\"file\";s:49:\"templates/panels/panel-catalog-manufacturers.html\";}i:3;a:2:{s:5:\"class\";s:42:\"element_panels_panel-newsletters-subscribe\";s:4:\"file\";s:49:\"templates/panels/panel-newsletters-subscribe.html\";}i:4;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}}}}s:4:\"cart\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:9:\"completed\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:14:\"shipping_quote\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:28:\"billing_and_shipping_address\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:15:\"shipping_method\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:7:\"invoice\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:17:\"one_page_checkout\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:18:\"payment_validation\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}}}', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Layout Settings', priority='0', name='LayoutElementsDefault', value='a:1:{s:5:\"pages\";a:9:{s:7:\"_global\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:5:{i:0;a:2:{s:5:\"class\";s:39:\"element_panels_panel-catalog-categories\";s:4:\"file\";s:46:\"templates/panels/panel-catalog-categories.html\";}i:1;a:2:{s:5:\"class\";s:35:\"element_panels_panel-catalog-search\";s:4:\"file\";s:42:\"templates/panels/panel-catalog-search.html\";}i:2;a:2:{s:5:\"class\";s:42:\"element_panels_panel-catalog-manufacturers\";s:4:\"file\";s:49:\"templates/panels/panel-catalog-manufacturers.html\";}i:3;a:2:{s:5:\"class\";s:42:\"element_panels_panel-newsletters-subscribe\";s:4:\"file\";s:49:\"templates/panels/panel-newsletters-subscribe.html\";}i:4;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}}}}s:4:\"cart\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:9:\"completed\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:14:\"shipping_quote\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:28:\"billing_and_shipping_address\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:15:\"shipping_method\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:7:\"invoice\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:17:\"one_page_checkout\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}s:18:\"payment_validation\";a:1:{s:5:\"zones\";a:1:{s:4:\"left\";a:2:{i:0;a:2:{s:5:\"class\";s:36:\"element_panels_panel-account-profile\";s:4:\"file\";s:43:\"templates/panels/panel-account-profile.html\";}i:1;a:2:{s:5:\"class\";s:29:\"element_panels_panel-checkout\";s:4:\"file\";s:36:\"templates/panels/panel-checkout.html\";}}}}}}', options='', default_value='', validation='', caption='', description='';
UPDATE settings SET description='What process would like your customer to use for checkout? Our recommendation is to use the One-Page Checkout as we feel it will convert more visitors to buyers on your website.' WHERE name='CheckoutProcessMode';
UPDATE settings SET caption='Display Clean Payment Page' WHERE name='SecurityDisplayCleanPaymentPage';
UPDATE settings SET caption='Administrator Time Out' WHERE name='SecurityAdminTimeOut';
UPDATE settings SET caption='Administrator IP Address Restriction' WHERE name='SecurityAdminIpRestriction';
UPDATE settings SET caption='Restrict Administrator Access To These IP Addresses' WHERE name='SecurityAdminIps';
INSERT INTO settings SET visible='Yes', input_type='select', group_id='7', group_name='Security Settings', priority='14', name='SecurityForceCompliantAdminPasswords', value='NO', options='YES, NO', default_value='NO', validation='', caption='Force PCI Compliant Administrator Passwords', description='Force engine to require PCI-compliant passwords';
INSERT INTO settings SET visible='Yes', input_type='select', group_id='7', group_name='Security Settings', priority='15', name='SecurityAdminActivyLogging', value='YES', options='YES, NO', default_value='YES', validation='', caption='Activate Administrator Activity Logging', description='Log sensitive administrators activity';
INSERT INTO settings SET visible='Yes', input_type='select', group_id='7', group_name='Security Settings', priority='16', name='SecurityAdminAreaMode', value='HTTP', options='HTTP,HTTPS', default_value='HTTP', validation='', caption='Admin area access mode', description='For better security select HTTPS';
UPDATE settings SET description='Do you want the Bestsellers box to be displayed?' WHERE name='CatalogBestSellersAvailable';
UPDATE settings SET description='Display products other customers purchased on cart page?' WHERE name='CustomerAlsoBoughtAvailable';
UPDATE settings SET description='How many \'Products Other Customer Bought\' would you like to display?' WHERE name='CustomerAlsoBoughtCount';
INSERT INTO settings SET visible='No', input_type='checkbox', group_id='0', group_name='Reviews Settings', priority='0', name='ReviewsEnable', value='1', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='checkbox', group_id='0', group_name='Reviews Settings', priority='0', name='ReviewsShowSummary', value='1', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Reviews Settings', priority='0', name='ReviewsAutoApprove', value='1', options='', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='Reviews Settings', priority='0', name='ReviewsAutoApproveRating', value='4', options='0,1,2,3,4,5', default_value='4', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='hidden', group_id='0', group_name='Reviews Settings', priority='0', name='ReviewsAutoApprovePurchased', value='has purchased', options='has purchased,has not purchased', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='No', input_type='checkbox', group_id='0', group_name='Reviews Settings', priority='0', name='ReviewsCustomImage', value='0', options='', default_value='', validation='', caption='', description='';
UPDATE settings SET description='When your buyer approves an authorization, the buyer\'s balance can be placed on hold for a 29-day period to ensure the availability of the authorization amount for capture. You can reauthorize a transaction only once, up to 115% of the originally authorized amount (not to exceed an increase of $75 USD).After a successful reauthorization, PayPal honors 100% of authorized funds for three days.You can settle without a reauthorization from day 4 to day 29 of the authorization period, but PayPal cannot ensure that 100% of the funds will be available after the three-day honor period. However, PayPal will not allow you to capture funds if the buyer\'s account is restricted, locked, or a fraudulent case occurs, or if your account has a high restriction level. You can use Authorization & Capture only when your account has a low restriction level.' WHERE name='paypalipn_Payment_Action';
UPDATE settings SET caption='API Username', description='PayPal Website Payments Pro API Username' WHERE name='paypalpro_Username';
UPDATE settings SET caption='API Password', description='PayPal Website Payments Pro API Password' WHERE name='paypalpro_Password';
UPDATE settings SET caption='Currency Code' WHERE name='paypalpro_code';
UPDATE settings SET description='When your buyer approves an authorization, the buyer\'s balance can be placed on hold for a 29-day period to ensure the availability of the authorization amount for capture. You can reauthorize a transaction only once, up to 115% of the originally authorized amount (not to exceed an increase of $75 USD).After a successful reauthorization, PayPal honors 100% of authorized funds for three days.You can settle without a reauthorization from day 4 to day 29 of the authorization period, but PayPal cannot ensure that 100% of the funds will be available after the three-day honor period. However, PayPal will not allow you to capture funds if the buyer\'s account is restricted, locked, or a fraudulent case occurs, or if your account has a high restriction level. You can use Authorization & Capture only when your account has a low restriction level.' WHERE name='paypalpro_Payment_Action';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='payment_paypalpro', priority='5', name='paypalpro_Enable_Cardinal_Centinel', value='No', options='Yes, No', default_value='No', validation='', caption='', description='<table height=\"22\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr><td width=\"20\"><img src=\"images/icons/ic_centinel.gif\"></td><td><a href=\"admin.php?p=payment_cardinal\" style=\"font-size:11px\"><b>Click here to setup Cardinal Centinel Module</b></a></td></tr></table>';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='payment_paypalec', priority='0', name='paypalec_Email', value='', options='', default_value='', validation='', caption='', description='Accelerated Boarding email address. Please note: when Accelerated Boarding is used only the Sale action is available. When you complete your PayPal account setup please make sure this field blank.';
UPDATE settings SET description='PayPal Website Payments Pro API Username' WHERE name='paypalec_Username';
UPDATE settings SET description='PayPal Website Payments Pro API Password' WHERE name='paypalec_Password';
UPDATE settings SET description='When your buyer approves an authorization, the buyer\'s balance can be placed on hold for a 29-day period to ensure the availability of the authorization amount for capture. You can reauthorize a transaction only once, up to 115% of the originally authorized amount (not to exceed an increase of $75 USD).	An order period is 29-days long. Within this period, you can request an authorization to ensure the availability of funds. You can request an authorization on an order up to 10 times, up to 115% of the originally authorized amount (not to exceed an increase of $75 USD). Every successful authorization includes an honor period of 3 days.After a successful reauthorization, PayPal honors 100% of authorized funds for three days. You can settle without a reauthorization from day 4 to day 29 of the authorization period, but PayPal cannot ensure that 100% of the funds will be available after the three-day honor period. However, PayPal will not allow you to capture funds if the buyer\'s account is restricted, locked, or a fraudulent case occurs, or if your account has a high restriction level. You can use Authorization & Capture only when your account has a low restriction level. ' WHERE name='paypalec_Payment_Action';
UPDATE settings SET description='Datacash 3 chars currency code' WHERE name='datacash_currency';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='payment_paypalwppuk', priority='5', name='paypalwppuk_Enable_Cardinal_Centinel', value='No', options='Yes, No', default_value='No', validation='', caption='', description='<table height=\"22\" cellpadding=\"0\" cellspacing=\"0\" border=\"0\"><tr><td width=\"20\"><img src=\"images/icons/ic_centinel.gif\"></td><td><a href=\"admin.php?p=payment_cardinal\" style=\"font-size:11px\"><b>Click here to setup Cardinal Centinel Module</b></a></td></tr></table>';
INSERT INTO settings SET visible='Yes', input_type='select', group_id='30', group_name='buySAFE Settings', priority='1', name='buysafe_active', value='No', options='Yes,No', default_value='No', validation='', caption='Do you want to use buySafe?', description='';
INSERT INTO settings SET visible='Yes', input_type='select', group_id='30', group_name='buySAFE Settings', priority='2', name='buysafe_mode', value='Live', options='Live,Test', default_value='', validation='', caption='Please select buySafe mode', description='';
INSERT INTO settings SET visible='Yes', input_type='text', group_id='30', group_name='buySAFE Settings', priority='3', name='buysafe_username', value='', options='', default_value='', validation='', caption='Your buySafe username', description='';
INSERT INTO settings SET visible='Yes', input_type='text', group_id='30', group_name='buySAFE Settings', priority='4', name='buysafe_password', value='', options='', default_value='', validation='', caption='Your buySafe password', description='';
INSERT INTO settings SET visible='Yes', input_type='text', group_id='30', group_name='buySAFE Settings', priority='5', name='buysafe_token', value='', options='', default_value='', validation='', caption='Enter buySafe Store Token', description='';
INSERT INTO settings SET visible='Yes', input_type='text', group_id='30', group_name='buySAFE Settings', priority='6', name='buysafe_hash', value='', options='', default_value='', validation='', caption='Enter buySafe Seal Hash', description='';
INSERT INTO settings SET visible='Yes', input_type='select', group_id='30', group_name='buySAFE Settings', priority='7', name='buysafe_seal_type', value='Premium', options='Premium,Large,Medium,Small', default_value='Premium', validation='', caption='Choose buySafe seal type', description='Please note: if you switched between premium and generic seals you alos have to update your seal type in buySafe account area';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='Doba Settings', priority='0', name='doba_mode', value='Live', options='Live,Test', default_value='', validation='', caption='Please select Doba mode', description='';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='Doba Settings', priority='0', name='doba_username', value='', options='', default_value='', validation='', caption='Your Doba username', description='';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='Doba Settings', priority='0', name='doba_password', value='', options='', default_value='', validation='', caption='Your Doba password', description='';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='Doba Settings', priority='0', name='doba_retailer_id', value='', options='', default_value='', validation='', caption='Retailer ID', description='';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='Doba Settings', priority='0', name='doba_autosend_orders', value='Yes', options='Yes,No', default_value='', validation='', caption='Send order to Doba after payment received', description='';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='Doba Settings', priority='0', name='doba_cron_update', value='Yes', options='Yes,No', default_value='', validation='', caption='Update inventory on cron', description='';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='Doba Settings', priority='0', name='doba_price_option', value='item_price_inc', options='item_price,item_price_inc,item_price_dec,msrp_price,msrp_price_inc,msrp_price_dec', default_value='', validation='', caption='Pricing options', description='';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='Doba Settings', priority='0', name='doba_price_option99', value='Yes', options='Yes,No', default_value='', validation='', caption='End price with .99', description='';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='Doba Settings', priority='0', name='doba_price_modifier', value='10', options='', default_value='', validation='', caption='Price change, %', description='';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='Doba Settings', priority='0', name='doba_min_stock', value='5', options='', default_value='', validation='', caption='Do not add if stock lower as', description='';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='payment_amazon_checkout', priority='0', name='amazon_checkout_access_key', value='', options='', default_value='', validation='', caption='', description='Your Amazon Web Services Access Key.';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='payment_amazon_checkout', priority='0', name='amazon_checkout_merchant_id', value='', options='', default_value='', validation='', caption='', description='Your Amazon Checkout Merchant ID.';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='payment_amazon_checkout', priority='0', name='amazon_checkout_secret_key', value='', options='', default_value='', validation='', caption='', description='Your Amazon Web Services Secret Key.';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='payment_amazon_checkout', priority='0', name='amazon_checkout_test_mode', value='Yes', options='Yes,No', default_value='Yes', validation='', caption='', description='Whether to run this gateway in test mode.';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='payment_amazon_sp', priority='0', name='amazon_sp_access_key', value='', options='', default_value='', validation='', caption='', description='Amazon Web Services Access Key';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='payment_amazon_sp', priority='0', name='amazon_sp_secret_key', value='', options='', default_value='', validation='', caption='', description='Amazon Web Services Secret Key';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='payment_amazon_sp', priority='0', name='amazon_sp_test_mode', value='Yes', options='Yes,No', default_value='No', validation='', caption='', description='Do you want this service to operate in test mode?';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='Products Locations', priority='0', name='ProductsLocationsSendOption', value='off', options='user,admin,off', default_value='', validation='', caption='', description='';
INSERT INTO settings SET visible='Yes', input_type='select', group_id='4', group_name='Order/Cart Settings', priority='0', name='StoreClosed', value='No', options='Yes,No', default_value='No', validation='', caption='', description='If this is yes, the store will display a page saying that the store is closed, instead of the store.';
INSERT INTO settings SET visible='Yes', input_type='text', group_id='4', group_name='Order/Cart Settings', priority='0', name='StoreClosedMessage', value='The store is closed.', options='', default_value='The store is closed.', validation='', caption='', description='If the store is closed, this message is displayed.';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='testimonials', priority='1', name='testimonials_Enabled', value='No', options='Yes,No', default_value='', validation='', caption='Enable testimonials', description='Do you want to enable testimonials on your site?';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='testimonials', priority='2', name='testimonials_Email_Notify', value='', options='', default_value='', validation='', caption='Notification email', description='Email address to send testimonail notifications to. Leave blank if you do not want to receive them';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='testimonials', priority='3', name='testimonials_Per_Page', value='5', options='', default_value='5', validation='', caption='Testimonials per page', description='How many testimonials to show per page';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='testimonials', priority='4', name='testimonials_Use_Rating', value='Yes', options='Yes,No', default_value='Yes', validation='', caption='Enable rating?', description='Use the 1-10 rating system?';
INSERT INTO settings SET visible='No', input_type='select', group_id='0', group_name='testimonials', priority='5', name='testimonials_Use_Captcha', value='NO', options='Yes,No', default_value='Yes', validation='', caption='Use reCAPTCHA', description='Use the reCAPTCHA plugin to verify input?';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='testimonials', priority='6', name='testimonials_Captcha_Public_Key', value='', options='', default_value='', validation='', caption='reCAPTCHA public key', description='Public key provided by recaptcha.com';
INSERT INTO settings SET visible='No', input_type='text', group_id='0', group_name='testimonials', priority='7', name='testimonials_Captcha_Private_Key', value='', options='', default_value='', validation='', caption='reCAPTCHA private key', description='Private key provided by recaptcha.com';
UPDATE settings SET value='NO' WHERE name='USE_MOD_REWRITE';
DELETE FROM shipping_default  WHERE (sdid = 119) ;
DELETE FROM shipping_default  WHERE (sdid = 117) ;
DELETE FROM shipping_default  WHERE (sdid = 114) ;
DELETE FROM shipping_default  WHERE (sdid = 110) ;
DELETE FROM shipping_default  WHERE (sdid = 105) ;
DELETE FROM shipping_default  WHERE (sdid = 104) ;
DELETE FROM shipping_default  WHERE (sdid = 103) ;
DELETE FROM shipping_default  WHERE (sdid = 102) ;
DELETE FROM shipping_default  WHERE (sdid = 101) ;
DELETE FROM shipping_default  WHERE (sdid = 100) ;
DELETE FROM shipping_default  WHERE (sdid = 98) ;
DELETE FROM shipping_default  WHERE (sdid = 118) ;



