DELETE FROM payment_methods WHERE class = 'PAYMENT_AMAZON_CHECKOUT' LIMIT 1;
DELETE FROM settings WHERE name = 'SecurityAdminAreaMode' LIMIT 1;
DELETE FROM settings WHERE name = 'SecurityMode' LIMIT 1;
ALTER TABLE promo_codes ADD COLUMN promo_type enum ('Global','Product','Shipping') NOT NULL DEFAULT 'Global' AFTER promo_code;
ALTER TABLE orders ADD COLUMN promo_type enum('Global','Product','Shipping') NOT NULL default 'Global' AFTER promo_discount_type;
ALTER TABLE orders ADD COLUMN payment_method_description varchar(100) NOT NULL default '' AFTER payment_method_name, ADD COLUMN ipaddress varchar(100) AFTER attempts;
ALTER TABLE admins ADD COLUMN display_quickstart int(1) NOT NULL default 0;
ALTER TABLE products_images ADD COLUMN filename varchar(255) NOT NULL default '';
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_virtual_merchant', '1', 'virtual_merchant_merchant_id', '', '', '', '', '', 'Virtual Merchant account ID');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_virtual_merchant', '2', 'virtual_merchant_user_id', '', '', '', '', '', 'Virtual Merchant user ID');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_virtual_merchant', '3', 'virtual_merchant_pin', '', '', '', '', '', 'Merchant PIN associated with the Virtual Merchant ID');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'select', '0', 'payment_virtual_merchant', '4', 'virtual_merchant_test_mode', 'No', 'Yes,No', 'No', '', '', 'Enable test mode?');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'select', '0', 'payment_virtual_merchant', '5', 'virtual_merchant_site_form', 'No', 'Yes,No', 'No', '', '', 'Show payment for on your site?');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'select', '0', 'payment_virtual_merchant', '6', 'virtual_merchant_avs', 'No', 'Yes,No', 'No', '', '', 'Enable address verification system?');
INSERT INTO settings VALUES('No','text',0,'Mailchimp Settings',0,'mailchimp_enabled','0','','','','Mailchimp Enabled', '');
INSERT INTO settings VALUES('No','text',0,'Mailchimp Settings',0,'mailchimp_username','','','','','Mailchimp Username', '');
INSERT INTO settings VALUES('No','text',0,'Mailchimp Settings',0,'mailchimp_password','','','','','Mailchimp Password', '');
INSERT INTO settings VALUES('No','text',0,'Mailchimp Settings',0,'mailchimp_apikey','','','','','Mailchimp Api Key', '');
INSERT INTO settings VALUES('No','text',0,'Mailchimp Settings',0,'mailchimp_newsletter_list','','','','','Mailchimp Newsletter Email List', '');
INSERT INTO settings VALUES('No','text',0,'Mailchimp Settings',0,'mailchimp_e360','0','','','','Mailchimp Ecommerce 360 enabled', '');
INSERT INTO settings VALUES('No','hidden',0,'plugin_api',0,'plugin_openapi_active','NO','YES,NO','','','Open Api Enabled', '');
INSERT INTO settings VALUES('No','hidden',0,'plugin_api',0,'plugin_openapi_username','','','','','Open Api Username', '');
INSERT INTO settings VALUES('No','hidden',0,'plugin_api',0,'plugin_openapi_password','','','','','Open Api Password', '');
INSERT INTO settings VALUES('No','hidden',0,'plugin_api',0,'plugin_openapi_token','','','','','Open Api Token', '');
INSERT INTO settings VALUES ('No', 'hidden', 0, 'Catalog Settings', 0, 'SiblingProductsView', 'flexible', '', '', '', '', '');
INSERT INTO settings VALUES ('No', 'hidden', 0, 'Catalog Settings', 0, 'SiblingProductsCount', '6', '', '', '', '', '');
INSERT INTO settings VALUES ('No', 'hidden', 0, 'Catalog Settings', 0, 'CatalogViewFlexible', 'YES', '', '', '', '', '');
INSERT INTO settings VALUES ('No', 'hidden', 0, 'Design Settings', 0, 'DesignTopMenuAvailable', 'YES', '', '', '', '', '');
INSERT INTO settings VALUES ('No', 'hidden', 0, 'Design Settings', 0, 'DesignTopMenuStyle', 'drop-down', '', '', '', '', '');
INSERT INTO settings VALUES ('No', 'hidden', 0, 'Design Settings', 0, 'DesignSideMenuStyle', 'tree', '', '', '', '', '');
INSERT INTO payment_methods (active, proto, url_to_gateway, type, priority, id, class, version, gateway_name, name, title, enable_ccs, message_payment, message_thankyou) VALUES ('No', 'http', 'https://www.myvirtualmerchant.com/VirtualMerchant/process.do', 'ipn', 2, 'virtual_merchant', 'PAYMENT_VIRTUAL_MERCHANT', '1.00', 'Virtual Merchant', 'Virtual Merchant', 'Virtual Merchant', 0, '<p>You have selected Virtual Merchant as your payment method.</p>\r\n<p>In order to pay by Virtual Merchant you will be redirected to the Virtual Merchant Gateway, you will return here once you have paid for the order.</p>', 'The transaction completed successfully.');
UPDATE settings SET value = 'idev_pinn_1' WHERE name = 'AffiliateVarAmount' AND value = 'idev_pinn_2';
UPDATE settings SET value = 'idev_pinn_2' WHERE name = 'AffiliateVarOrderId' AND value = 'idev_pinn_1';
UPDATE settings SET options = '0,1' WHERE name = 'ReviewsAutoApprovePurchased';
UPDATE payment_methods SET message_payment = '<p>You have selected Amazon Simple Pay as your method of payment.</p>\r\n<p>To complete the transaction, you will be redirected to the Amazon Payments gateway.</p>\r\n<p>When the transaction has been completed, you will be redirected here.</p>\r\n<p></p>\r\n<div class="formLine"><input type="image" onclick="$(\'input.button-purchase:visible\').click();return false;" src="https://authorize.payments.amazon.com/pba/images/payNowButton.png" border="0" /></div>' WHERE id = 'amazon_sp' LIMIT 1;
UPDATE settings SET value='3.7.5', description='R.4000' WHERE name='AppVer';