<?php
/**
 * Show administrators list
 */

if (!defined("ENV")) exit();

loadJS("cd_admin.js");

pageHeader("Site Administrators", "", "ic_admins.gif");

if (_ACCESS_ALL || _ACCESS_MULTIPLE_ADMINS)
{
	pageNote(
		array(
			array("icon"=>"ic_admin_add.gif","url"=>"admin.php?p=admin&mode=insert","text"=>"<b>Create a New Administrator Account</b>", "visible"=>true),
			array("icon"=>"ic_admin_profile.gif","url"=>"admin.php?p=profile","text"=>"<b>Update Your Profile</b>", "visible"=>true),
		)
	);

	//$db->query("SELECT *, DATE_FORMAT(last_access, '".$settings["LocalizationDateTimeFormat"]."') AS la FROM ".DB_PREFIX."admins WHERE aid<> '".intval($admin_auth_id)."' ORDER BY name");
	$db->query("SELECT *, DATE_FORMAT(last_access, '".$settings["LocalizationDateTimeFormat"]."') AS la FROM ".DB_PREFIX."admins ORDER BY name");
	if ($db->numRows()>0)
	{
?>
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption" style="width:150px;">User Name</div>
	<div class="listHeaderCaption" style="width:200px;">First &amp; Last Name</div>
	<div class="listHeaderCaption" style="width:100px;">Active</div>
	<div class="listHeaderCaption" style="width:170px;">Last Access</div>
</div>
<?php
		while (($admin = $db->moveNext()) != false)
		{
?>

<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/ic_admin.gif"/></div>
	<div class="listItemText" style="width:150px;"><a href="admin.php?p=admin&mode=update&aid=<?=$admin["aid"]?>"><?=htmlspecialchars($admin["username"])?></a></div>
	<div class="listItemText" style="width:200px;"><a href="admin.php?p=admin&mode=update&aid=<?=$admin["aid"]?>"><?=htmlspecialchars($admin["name"])?></a></div>
	<div class="listItemText" style="width:100px;"><?=$admin["active"]?></div>
	<div class="listItemText" style="width:170px;"><?=$admin["la"]?></div>
	<div class="listItemButtons">
		<a href="admin.php?p=admin&mode=update&aid=<?=$admin["aid"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Edit Account"></a>
		<a href="javascript:ConfirmDeleteAdmin(<?=$admin["aid"]?>)"><img src="images/icons/ic_delete.gif" border="0" title="Delete Account"></a>
	</div>
</div>
<?php
		}
	}
	else
	{
?>
<div class="listEmpty">
	No admins have been entered.
</div>
<?php
	}
}
else
{
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
	));
}
