<?php
/**
 * Process category
 */

	if (!defined("ENV")) exit();
	
	
	$mode = isset($mode)?trim($mode):"";
	$parent = isset($parent)?intval($parent):TREE_ROOT;
	$name = isset($name)?trim($name):"";
	$key_name = isset($key_name)?trim($key_name):"";
	$description = isset($description)?trim($description):"";
	$description_bottom = isset($description_bottom)?trim($description_bottom):"";
	$cid = isset($cid)?intval($cid):0;
	$priority = isset($priority)?intval($priority):5;
	$is_visible = isset($is_visible)?trim($is_visible):"No";
	$list_subcats = isset($list_subcats)?trim($list_subcats):"No";
	$may_upload_image = false;

	$image = isset($image)?$image:"";
	
	$meta_title = isset($meta_title)?trim($meta_title):"";
	$meta_keywords = isset($meta_keywords)?trim($meta_keywords):"";
	$meta_description = isset($meta_description)?trim($meta_description):"";
	$category_header = isset($category_header)?trim($category_header):"";
	$url_custom = isset($url_custom)?$url_custom:"";
	$generate_url = false;
	
	//check category id exists
	$duplicate_category_key = false;
	if($mode == "insert" || $mode == "update"){
		$db->query("SELECT cid, name FROM ".DB_PREFIX."catalog WHERE key_name = '".$db->escape($key_name)."' AND cid<>'".$cid."'");
		if($db->moveNext()){
			$duplicate_category_key = true;
			$key_name = substr(md5(uniqid(rand(),1)), rand(0, 10), 16); 
		}
	}
	
	
	switch($mode){
/////////////////////
// INSERT CATEGORY
		case "insert" : {
			if($parent==TREE_ROOT){
				$level = 1;
				$parent_name = "Root";
			}
			else{
				$db->query("SELECT * FROM ".DB_PREFIX."catalog WHERE cid ='".$parent."'");
				if($db->moveNext()){
					$level = $db->col["level"] + 1;
					$parent_name = $db->col["name"];
					$is_visible = $db->col["is_visible"] == "No"?"No":$is_visible;
				}
				else{
					$level = 1;
					$parent_name = "Root";
					$is_visible = "No";
				}
			}
			if(!DEMO_LOCK){
				$db->reset();
				$db->assign("parent", $parent);
				$db->assignStr("is_visible", $is_visible);
				$db->assignStr("list_subcats", $list_subcats);
				$db->assign("level", $level);
				$db->assign("priority", $priority);
				$db->assignStr("key_name", $key_name);
				$db->assignStr("name", $name);
				$db->assignStr("meta_title", $meta_title);
				$db->assignStr("meta_keywords", $meta_keywords);
				$db->assignStr("meta_description", $meta_description);
				$db->assignStr("url_custom", $url_custom);
				$db->assignStr("category_header", $category_header);
				$db->assignStr("description", $description);
				$db->assignStr("description_bottom", $description_bottom);
				$db->assign("carousel_priority", $carousel_priority);
				
				$cid = $db->insert(DB_PREFIX."catalog");
				$generate_url = true;
				$may_upload_image = true;
				pageHeader("Category Added", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>New products category has been successfully created</b>", "url"=>"", "visible"=>true),
					array("icon"=>"ic_warning.gif", "text"=>"<b><span style=\"color:#dd0000\">Duplicate Categrory Key - the category you entered contained a Category Key already found in the database. The category was assigned a New Category Key. To change it, please go to edit category.</span></b>", "url"=>"", "visible"=>$duplicate_category_key)
				));
				pageWhat(array(
					array("icon"=>"ic_change_text.gif",	"text"=>"Edit just added category",	"url"=>"admin.php?p=category&mode=update&cid=".$cid),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category again",	"url"=>"admin.php?p=category&mode=insert&parent=".$parent),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add subcategory into created category",	"url"=>"admin.php?p=category&mode=insert&parent=".$cid),
					array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories")
				));
			}
			else{
				pageHeader("Category Added", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>New products category has been successfully created</b>", "url"=>"", "visible"=>true),
					array("icon"=>"ic_warning.gif", "text"=>"<b><span style=\"color:#dd0000\">Duplicate Categrory Key - the category you entered contained a Category Key already found in the database. The category was assigned a New Category Key. To change it, please go to edit category.</span></b>", "url"=>"", "visible"=>$duplicate_category_key)
				));
				pageWhat(array(
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category again",	"url"=>"admin.php?p=category&mode=insert&parent=".$parent),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add subcategory into created category",	"url"=>"admin.php?p=category&mode=insert&parent=".$cid),
					array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories")
				));
			}
			break;
		}
////////////////////////
// UPDATE CATEGORY
		case "update" : {
			if(!DEMO_LOCK){
				if($parent==TREE_ROOT){
					$level = 1;
					$parent_name = "Root";
				}
				else{
					$db->query("SELECT * FROM ".DB_PREFIX."catalog WHERE cid ='".$parent."'");
					if($db->moveNext()){
						$level = $db->col["level"] + 1;
						$parent_name = $db->col["name"];
						$is_visible = $db->col["is_visible"] == "No"?"No":$is_visible;
					}
				}
				// update children levels
				$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, name");
				$tree = new DB_TREE();
				$tree->collection[TREE_ROOT] = (new DB_TREE_NODE(TREE_ROOT, -1, 0, "Yes", "Root"));
		
				$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, name");
				while($db->moveNext()){
					$tree->addNode(
						new DB_TREE_NODE(
							$db->col["cid"], 
							$db->col["parent"], 
							$db->col["level"], 
							$db->col["is_visible"],
							$db->col["name"]
						)
					);
				}
				
				function ScanTree($db, $nodes, $parent_id, $new_level, $visible, $do_update, $got_parent){
					reset($nodes);
					while(list($id, $node) = each($nodes)){
						if($do_update){
							//is_visible='".$visible."' removed according to bug 208
							//$db->query("UPDATE ".DB_PREFIX."catalog SET level='".$new_level."', is_visible='".$visible."' WHERE cid='".($node->id)."'");
							$db->query("UPDATE ".DB_PREFIX."catalog SET level='".$new_level."' WHERE cid='".($node->id)."'");
							//echo "Updating node : ".$node->caption."; new level: ".$new_level."; node id:".$node->id."; is_visible:".$visible."<br>";
						}
						if($got_parent){
						//is_visible='".$visible."' commented according to bug 208
						//	$db->query("UPDATE ".DB_PREFIX."catalog SET is_visible='".$visible."' WHERE cid='".($node->id)."'");
						}
						if(count($node->nodes)>0){
							//echo "Compare nodes : ".$node->id." - ".$parent_id."<br>";
							if($node->id==$parent_id){
								//echo "Parent detected : ".$node->caption."<br>";
								$new_level +=1;
								ScanTree($db, $node->nodes, $parent_id, $new_level + ($do_update?1:0), $visible, true, true);
							}
							else{
								ScanTree($db, $node->nodes, $parent_id, $new_level + ($do_update?1:0), $visible, false, $got_parent);
							}
						}
					}
				}
				
				ScanTree($db, $tree->collection[TREE_ROOT]->nodes, $cid, $level, $is_visible, false, false);
				
				$db->reset();
				$db->assign("parent", $parent);
				$db->assignStr("is_visible", $is_visible);
				$db->assignStr("list_subcats", $list_subcats);
				$db->assign("level", $level);
				$db->assign("priority", $priority);
				$db->assignStr("key_name", $key_name);
				$db->assignStr("name", $name);
				$db->assignStr("meta_title", $meta_title);
				$db->assignStr("meta_keywords", $meta_keywords);
				$db->assignStr("meta_description", $meta_description);
				$db->assignStr("url_custom", $url_custom);
				$db->assignStr("category_header", $category_header);
				$db->assignStr("description", $description);
				$db->assignStr("description_bottom", $description_bottom);
				$db->assign("carousel_priority", $carousel_priority);
				$db->update(DB_PREFIX."catalog", "WHERE cid='".$cid."'");
				$generate_url = true;
				$may_upload_image = true;
			}
			pageHeader("Category Updated", "", "ic_folder_done.gif");
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>Category data has been successfully updated</b>", "url"=>"",  "visible"=>true),
				array("icon"=>"ic_warning.gif", "text"=>"<b><span style=\"color:#dd0000\">Duplicate Categrory Key - the category you entered contained a Category Key already found in the database. The category was assigned a New Category Key. To change it, please go to edit category.</span></b>", "url"=>"", "visible"=>$duplicate_category_key)
			));
			pageWhat(array(
				array("icon"=>"ic_change_text.gif",	"text"=>"Back to category editing",	"url"=>"admin.php?p=category&mode=update&cid=".$cid),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=category&mode=insert&parent=".$parent),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add subcategory into last category",	"url"=>"admin.php?p=category&mode=insert&parent=".$cid),
				array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories")
			));
			break;
		}
////////////////////////
// DELETE CATEGORY
		case "delete" : {
			// check sites 
			$db->query("SELECT * FROM ".DB_PREFIX."catalog WHERE parent='".$cid."'");
			$subcategories = $db->numRows();
			$db->query("SELECT * FROM ".DB_PREFIX."products WHERE cid='".$cid."'");
			$products = $db->numRows();
			if(($subcategories>0) || ($products >0)){
				pageHeader("Can't Delete Category", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Can't delete category while it contains subcategories and products</b>", "url"=>"",  "visible"=>true)
				));
				pageWhat(array(
					array("icon"=>"ic_folder.gif", "text"=>"Browse categories", "url"=>"admin.php?p=categories"),
					array("icon"=>"ic_folder.gif", "text"=>"Browse products", "url"=>"admin.php?p=products")
					
				));
			}
			else{
				if(!DEMO_LOCK){
					$db->query("DELETE FROM ".DB_PREFIX."catalog_attributes WHERE cid='".$cid."'");
					@unlink("images/catalog/category".$cid.".jpg");
					@unlink("images/catalog/category".$cid.".gif");
					@unlink("images/catalog/category".$cid.".png");
					@unlink("images/catalog/thumbs/category".$cid.".jpg");
					@unlink("images/catalog/thumbs/category".$cid.".gif");
					@unlink("images/catalog/thumbs/category".$cid.".png");
					$db->query("DELETE FROM ".DB_PREFIX."catalog WHERE cid='".$cid."'");
				}
				pageHeader("Category Removed", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>Category has been successfully removed</b>", "url"=>"",  "visible"=>true)
				));
				pageWhat(array(
					array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories"),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=category&mode=insert")
				));
			}
			break;
		}
		case "delete_image" : {
			$img_file = CategoryHasImage($cid);
			if($img_file){
				if(!DEMO_LOCK){
					if(@unlink($img_file)){
						pageHeader("Image Removed", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Category image has been successfully removed</b>", "url"=>"",  "visible"=>true)
						));
					}
					else{
						pageHeader("Can't Delete Category Image", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
						));
					}
				}
				else{
					pageHeader("Can't Delete Category Image", "", "ic_folder_done.gif");
					pageNote(array(
						array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
					));
				}
			}
			else{
				pageHeader("Can't Delete Category Image", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Category image file does not exists</b>", "url"=>"",  "visible"=>true)
				));
			}
			pageWhat(array(
				array("icon"=>"ic_change_text.gif",	"text"=>"Back to category editing",	"url"=>"admin.php?p=category&mode=update&cid=".$cid),
				array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories"),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=category&mode=insert")
			));
			break;
		}
		
		case "delete_carousel" : {
			$img_file = CategoryHasCarouselImage($cid);
			$img_file1 = CategoryHasCarouselTumbImage($cid);
			if($img_file){
				if(!DEMO_LOCK){
					if(@unlink($img_file)){
						pageHeader("Carousel Image Removed", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Category Carousel Image has been successfully removed</b>", "url"=>"",  "visible"=>true)
						));
					}
					else{
						pageHeader("Can't Delete Category Carousel Image", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
						));
					}
				}
				else{
					pageHeader("Can't Delete Category Image", "", "ic_folder_done.gif");
					pageNote(array(
						array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
					));
				}
			}
			else{
				pageHeader("Can't Delete Category  Carousel Image", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Category Carousel image file does not exists</b>", "url"=>"",  "visible"=>true)
				));
			}
			
			
			
			if($img_file1){
				if(!DEMO_LOCK){
					if(@unlink($img_file1)){
						pageHeader("Carousel Tumb Image Removed", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Category Carousel Tumb Image has been successfully removed</b>", "url"=>"",  "visible"=>true)
						));
					}
					else{
						pageHeader("Can't Delete Category Carousel Image", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
						));
					}
				}
				else{
					pageHeader("Can't Delete Category Image", "", "ic_folder_done.gif");
					pageNote(array(
						array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
					));
				}
			}
			else{
				pageHeader("Can't Delete Category  Carousel Image", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Category Carousel image file does not exists</b>", "url"=>"",  "visible"=>true)
				));
			}
			
			pageWhat(array(
				array("icon"=>"ic_change_text.gif",	"text"=>"Back to category editing",	"url"=>"admin.php?p=category&mode=update&cid=".$cid),
				array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories"),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=category&mode=insert")
			));
			break;
		}
		
		
		case "delete_thumb" : {
			$img_file = CategoryHasThumb($cid);
			if($img_file){
				if(!DEMO_LOCK){
					if(@unlink($img_file)){
						pageHeader("Thumbnail Removed", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Category thumbnail image has been successfully removed</b>", "url"=>"",  "visible"=>true)
						));
					}
					else{
						pageHeader("Can't Delete Category Image", "", "ic_folder_done.gif");
						pageNote(array(
							array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
						));
					}
				}
				else{
					pageHeader("Can't Delete Category Thumbnail Image", "", "ic_folder_done.gif");
					pageNote(array(
						array("icon"=>"ic_hint.gif", "text"=>"<b>Please check does image file exists and file permissions</b>", "url"=>"",  "visible"=>true)
					));
				}
			}
			else{
				pageHeader("Can't Delete Category Thumbnail Image", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Category image file does not exists</b>", "url"=>"",  "visible"=>true)
				));
			}
			pageWhat(array(
				array("icon"=>"ic_change_text.gif",	"text"=>"Back to category editing",	"url"=>"admin.php?p=category&mode=update&cid=".$cid),
				array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories"),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=category&mode=insert")
			));
			break;
		}
////////////////////////
// INCORRECT ACTION
		default : {
			pageHeader("Incorrect Action", "", "ic_folder_done.gif");
			pageWhat(array(
				array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=categories"),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=category&mode=insert&parent=".$parent)
			));
		}
	}

//////////////////////////
// GENERATE SEO URLs
	if($generate_url)
	{
		//render URL
		updateSeoURLs($db, $settings, true, true, false);
	}
	
//////////////////////////
// UPLOAD CATEGORY IMAGE
	if(in_array($mode, array("insert", "update")) && $may_upload_image &&  !empty($_FILES["image"]["tmp_name"]) && !DEMO_LOCK){
	
		$image_data = @getImageSize($_FILES["image"]["tmp_name"]);
		if(in_array($image_data[2], $imageTypes)){
			$destination = "images/catalog/category".$cid.".";
			@unlink($destination."jpg");
			@unlink($destination."png");
			@unlink($destination."gif");
			//add new file extension
			switch($image_data[2]){
				case IMAGETYPE_GIF: $destination.="gif"; break;
				case IMAGETYPE_JPEG: $destination.="jpg"; break;
				case IMAGETYPE_PNG: $destination.="png"; break;
			}
			if(@copy($_FILES["image"]["tmp_name"], $destination)){
			
				//in case of JPG and PNG image generate thumb
				if($settings["CatalogCategoryThumbType"] != "Manual" && in_array($image_data[2], array(IMAGETYPE_JPEG, IMAGETYPE_PNG))){
					@copy($destination, $catalog_thumbs_dir."/category".$cid.".jpg");
					// commented by Prasanth
					// Date : 27-9-2012
					// No need to create thumb nail (admin needs to upload proper image)
					//getImageThumb($destination, $catalog_thumbs_dir."/category".$cid.".jpg", $settings["CatalogCategoryThumbSize"], $settings["CatalogCategoryThumbType"], $error);
				}
			}
			else{
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Can't upload category image.<br><br>Please check free disk space and permissions", "url"=>"",  "visible"=>true)
				));
			}
		}
		else{
			pageNote(array(
				array("icon"=>"is_error.gif", "text"=>"<b>Can't upload category image</b><br>Image type is incorrect", "url"=>"",  "visible"=>true)
			));
		}
	}
	#echo $mode;
	if(in_array($mode, array("insert", "update")) && !empty($_FILES["carousel"]["tmp_name"]) && !DEMO_LOCK){
	#echo $_FILES["carousel"]["tmp_name"];
	
		$image_data1 = @getImageSize($_FILES["carousel"]["tmp_name"]);
		if(in_array($image_data1[2], $imageTypes)){
		    if((($image_data1[0]/$image_data1[1]) == (107/75)) && $image_data1[0] >= 107 && $image_data1[0] >= 75){
				$destination = "images/catalog/carousel/category".$cid.".";
				@unlink($destination."jpg");
				@unlink($destination."png");
				@unlink($destination."gif");
				//add new file extension
				switch($image_data1[2]){
					case IMAGETYPE_GIF: $destination.="gif"; break;
					case IMAGETYPE_JPEG: $destination.="jpg"; break;
					case IMAGETYPE_PNG: $destination.="png"; break;
				}if(@copy($_FILES["carousel"]["tmp_name"], $destination)){
				
				
				
				if($settings["CatalogCategoryThumbType"] != "Manual" && in_array($image_data1[2], array(IMAGETYPE_JPEG, IMAGETYPE_PNG))){
				$destination_tumb = "images/catalog/carousel/thumbs_category".$cid.".jpg";
						@unlink($destination_tumb);
						@copy($destination, $destination_tumb);
						// commented by Prasanth
						// Date : 27-9-2012
						// No need to create thumb nail (admin needs to upload proper image)
						//getImageThumb($destination, $destination_tumb, CAROUSEL_TUMB_SIZE, CAROUSEL_TUMB_TYPE, $error);
					}
				}else{
					pageNote(array(
						array("icon"=>"ic_error.gif", "text"=>"<b>Can't upload category image.<br><br>Please check free disk space and permissions", "url"=>"",  "visible"=>true)
					));
				}
			}
			else{
			    pageNote(array(
					array("icon"=>"is_error.gif", "text"=>"<b>Can't upload Carousel Image</b><br>Image size is incorrect", "url"=>"",  "visible"=>true)
				));
			}
			
		}
		else{
			pageNote(array(
				array("icon"=>"is_error.gif", "text"=>"<b>Can't upload category image</b><br>Image type is incorrect", "url"=>"",  "visible"=>true)
			));
		}
	}
?>