<?php
	if (!defined("ENV")) exit();
	
	$mode = isset($mode)?trim($mode):"insert";
	$field_id = isset($_REQUEST["field_id"])?intval($_REQUEST["field_id"]):0;
	$field_type = isset($_REQUEST["field_type"])?$_REQUEST["field_type"]:"text";
	
	$field_types = array(
		"text"=>"Text Box",
		"select"=>"Drop-Down",
		"radio"=>"Radio Buttons",
		"checkbox"=>"Checkbox",
		"textarea"=>"Text Area"
	);
	
	switch($mode)
	{
		case "update" :
		{
			$db->query("SELECT * FROM ".DB_PREFIX."custom_fields WHERE field_id='".$field_id."'");
			if ($db->moveNext())
			{
				$field_type = $db->col["field_type"];
				$field_name = $db->col["field_name"];
				$field_caption = $db->col["field_caption"];
				$is_active = $db->col["is_active"];
				$is_required = $db->col["is_required"];
				$priority = $db->col["priority"];
				$field_place = $db->col["field_place"];
				$text_length = $db->col["text_length"];
				$options = $db->col["options"];
				$value_checked = $db->col["value_checked"];
				$value_unchecked = $db->col["value_unchecked"];
				break;
			}
		}
		default :
		{
			$mode = "insert";
			$field_caption = "";
			$field_name = "";
			$is_active = 1;
			$is_required = 0;
			$priority = 1;
			$field_place = "billing";
			$text_length = 20;
			$options = "";
			$value_checked = "Yes";
			$value_unchecked = "No";
			break;
		}
	}
	loadJS("cf_custom_field.js");
	pageHeader("Custom Field", ucfirst(strtolower($mode)), "ic_form_".($mode == "update" ? "edit" : "add").".gif");
	pageNote(array(
		array("text"=>"This section allows you to edit custom field properties.", "icon"=>"ic_hint.gif", "url"=>"", "visible"=>true),
		array("text"=>"Browse custom fields", "icon"=>"ic_properties.gif", "url"=>"admin.php?p=forms_control", "visible"=>true)
	));
?>
<script type="text/javascript">
	function updateFieldType(){
		a = document.forms["frmField"];
		var ft = a.elements["field_type"].value;
		var div_text = document.getElementById("div_text");
		var div_select_radio = document.getElementById("div_select_radio");
		var div_checkbox = document.getElementById("div_checkbox");
		var cb_is_required = document.getElementById("cb_is_required");
		if(ft == "text"){
			div_checkbox.style.display = "none";
			div_select_radio.style.display = "none";
			div_text.style.display = "block";
			cb_is_required.disabled = false;
		}
		if(ft == "select"){
			div_checkbox.style.display = "none";
			div_text.style.display = "none";
			div_select_radio.style.display = "block";
			cb_is_required.disabled = false;
		}
		if(ft == "radio"){
			div_checkbox.style.display = "none";
			div_text.style.display = "none";
			div_select_radio.style.display = "block";
			cb_is_required.disabled = true;
		}
		if(ft == "checkbox"){
			div_select_radio.style.display = "none";
			div_text.style.display = "none";
			div_checkbox.style.display = "block";
			cb_is_required.disabled = false;
		}
		if(ft == "textarea"){
			div_select_radio.style.display = "none";
			div_text.style.display = "none";
			div_checkbox.style.display = "none";
			cb_is_required.disabled = false;
		}
	}
</script>
<form name="frmField" action="admin.php?p=custom_field_process" method="post" onsubmit="return CheckFieldForm(this, '<?=$field_type?>');">
	<div class="admin-tabs admin-tabs-framed" id="tabs-field">
<?php 
	pageTabs(array(
		array("title"=>"Custom Field Properties", "id"=>"main"),
	), "tabs-field", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
<?php
	if ($mode == "update")
	{
?>
				<input type="hidden" name="field_id" value="<?=$field_id?>">
<?php
	}
?>
				<input type="hidden" name="mode" value="<?=$mode?>"/>
				<div class="admin-form-header">Basic Properties</div>
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr valign="top">
						<td class="formItemCaption">Add this Field To</td>
						<td class="formItemControl">
							<select name="field_place" style="width:250px;">				
								<option value="billing" <?=$field_place=="billing"?"selected":""?>>Billing Information</option>
								<option value="shipping" <?=$field_place=="shipping"?"selected":""?>>Shipping Information</option>
								<option value="signup" <?=$field_place=="signup"?"selected":""?>>Registration Form</option>
								<option value="account" <?=$field_place=="account"?"selected":""?>>Account Information</option>
								<option value="invoice" <?=$field_place=="invoice"?"selected":""?>>Invoice Additional Information</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Field Type</td>
						<td class="formItemControl">
						<?	if($mode == "insert"){?>
							<select name="field_type" style="width:140px;" onChange="updateFieldType()">
								<option value="text" <?=$field_type=="text"?"selected":""?>>Text Box</option>
								<option value="select" <?=$field_type=="select"?"selected":""?>>Drop-Down</option>
								<option value="radio" <?=$field_type=="radio"?"selected":""?>>Radio Buttons</option>
								<option value="checkbox" <?=$field_type=="checkbox"?"selected":""?>>Checkbox</option>
								<option value="textarea" <?=$field_type=="textarea"?"selected":""?>>Text Area</option>
							</select>
						<?	}
							else{?>
							<input type="hidden" name="field_type" value="<?=$field_type?>">
							<?
								echo "<b>".$field_types[$field_type]."</b>";
							}
						?>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Field Name</b></td>
						<td class="formItemControl"><input type="text" name="field_name" value="<?=htmlspecialchars($field_name)?>" style="width:250px;"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Field Caption</b></td>
						<td class="formItemControl"><input type="text" name="field_caption" value="<?=htmlspecialchars($field_caption)?>" style="width:250px;"></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Is This Field Available?</td>
						<td class="formItemControl"><input type="checkbox" name="is_active" <?=$is_active==1?"checked":""?> value="1"></td>
					</tr>
<?php
	if ($mode == "update" && in_array($field_type, array("radio")))
	{
?>
		<input type="hidden" name="is_required" value="0">	
<?php
	}
	else
	{
?>
					<tr valign="top">
						<td class="formItemCaption">Is This Field Required?</td>
						<td class="formItemControl"><input type="checkbox" id="cb_is_required" name="is_required" <?=$is_required==1?"checked":""?> value="1"></td>
					</tr>
<?php
	}
?>
					<tr valign="top">
						<td class="formItemCaption">Priority</td>
						<td class="formItemControl">
							<select name="priority" style="width:123px;">
<?php
	for ($i=1; $i<10; $i++)
	{
?>
								<option value="<?=$i?>" <?=$i==$priority?"selected":""?>><?=$i?></option>
<?php
	}
?>
							</select>
						</td>
					</tr>
				</table>

				<div name="div_text" id="div_text" style="display:<?=$field_type=="text"?"block":"none"?>">
					<table cellpadding="0" cellspacing="5" border="0" width="100%">
						<tr valign="top">
							<td class="formItemCaption"><b>Maximum text length</b></td>
							<td class="formItemControl"><input type="text" style="width:123px;" name="text_length" value="<?=intval($text_length)?>"></td>
						</tr>
					</table>
				</div>
	
				<div name="div_select_radio" id="div_select_radio" style="display:<?=$field_type=="select"||$field_type=="radio"?"block":"none"?>">
					<table cellpadding="0" cellspacing="5" border="0" width="100%">
						<tr valign="top">
							<td class="formItemCaption"><b>Options (one per line)</b></td>
							<td class="formItemControl">
								<textarea class="no-mce" name="options" style="width:100%;height:80px;"><?=htmlspecialchars($options)?></textarea>
							</td>
						</tr>
					</table>
				</div>
	
				<div name="div_checkbox" id="div_checkbox" style="display:<?=$field_type=="checkbox"?"block":"none"?>">
					<table cellpadding="0" cellspacing="5" border="0" width="100%">
						<tr valign="top">
							<td class="formItemCaption"><b>Checked Value</b></td>
							<td class="formItemControl">
								<input type="text" style="width:250px;" name="value_checked" value="<?=htmlspecialchars($value_checked)?>">
							</td>
						</tr>
						<tr valign="top">
							<td class="formItemCaption"><b>Unchecked Value</b></td>
							<td class="formItemControl">
								<input type="text" style="width:250px;" name="value_unchecked" value="<?=htmlspecialchars($value_unchecked)?>">
							</td>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/> &nbsp;
		<input type="reset" value="Reset form"/>
	</div>
</form>