<?php
	if (!defined("ENV")) exit();
	$from_y = isset($from_y)?$from_y:date("Y");
	$from_m = isset($from_m)?$from_m:date("n");
	$from_d = isset($from_d)?$from_d:1;
	$to_y = isset($to_y)?$to_y:date("Y");	
	$to_m = isset($to_m)?$to_m:date("n");
	$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	$mysql_from =  $from_y."-".$from_m."-".$from_d;
	$mysql_to =  $to_y."-".$to_m."-".$to_d;
	
	$filename = "Cart-QuickBooks".
	$ext = "iif";
	header('Content-Disposition: inline; filename="'.$filename.'.'.$ext.'"');
	header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
	header('Content-Disposition: attachment; filename="'.$filename.'.'.$ext.'"');
	header('Pragma: no-cache');
	$db->query("
		SELECT 
			".DB_PREFIX."users.*, ".DB_PREFIX."countries.name AS country_name,
			".DB_PREFIX."users_shipping.address1 AS saddress1,
			".DB_PREFIX."users_shipping.address2 AS saddress2,
			".DB_PREFIX."users_shipping.city AS scity,
			".DB_PREFIX."users_shipping.province AS sprovince,
			".DB_PREFIX."users_shipping.zip AS szip,
			scountries.name AS scountry_name
		FROM ".DB_PREFIX."orders 
		INNER JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid=".DB_PREFIX."orders.uid
		INNER JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."users.country=".DB_PREFIX."countries.coid
		LEFT JOIN ".DB_PREFIX."users_shipping ON ".DB_PREFIX."users_shipping.uid = ".DB_PREFIX."users.uid AND ".DB_PREFIX."users_shipping.is_primary='Yes'
		LEFT JOIN ".DB_PREFIX."countries AS scountries ON ".DB_PREFIX."users_shipping.country = scountries.coid
		WHERE ".DB_PREFIX."orders.status <> 'Abandon' AND ".DB_PREFIX."orders.status <> 'New'
			AND ".DB_PREFIX."orders.status_date >= '".$mysql_from ." 00:00:00'
			AND ".DB_PREFIX."orders.status_date <= '".$mysql_to ." 23:59:59'
		GROUP BY ".DB_PREFIX."users.uid
	");
	//echo $db->query;
	if($db->numRows()>0){
		//users data reference
		echo "!CUST\tNAME\tREFNUM\tBADDR1\tBADDR2\tBADDR3\tBADDR4\tSADDR1\tSADDR2\tSADDR3\tSADDR4\tPHONE1\tCTYPE\tTAXABLE\tCOMPANYNAME\tEMAIL\tFIRSTNAME\tLASTNAME\r\n";
		//users data
		while($db->moveNext()){
			echo 
				"CUST\t".
				gs($db->col["fname"]." ".$db->col["lname"])."\t".
				$db->col["uid"]."\t".
				gs($db->col["address1"])."\t".
				gs($db->col["address2"])."\t".
				gs($db->col["city"]).", ".gs($db->col["province"])." ".gs($db->col["zip"])."\t".
				gs($db->col["country_name"])."\t".
				gs($db->col["saddress1"])."\t".
				gs($db->col["saddress2"])."\t".
				gs($db->col["scity"]).", ".gs($db->col["sprovince"])." ".gs($db->col["szip"])."\t".
				gs($db->col["scountry_name"])."\t".
				gs($db->col["phone"])."..\t\t".
				"Y\t".
				gs($db->col["company"])."\t".
				gs($db->col["email"])."\t".
				gs($db->col["fname"])."\t".
				gs($db->col["lname"])."\r\n";
		}
		//orders data reference
		echo "!TRNS\tDATE\tACCNT\tNAME\tCLASS\tAMOUNT\tMEMO\r\n";
		echo "!SPL\tDATE\tACCNT\tNAME\tAMOUNT\tMEMO\r\n";
		echo "!ENDTRNS\r\n";
		$db->query("
			SELECT 
				".DB_PREFIX."orders.*, 
				DATE_FORMAT(placed_date, \"%Y-%m-%d\") AS cdate,
				CONCAT(".DB_PREFIX."users.fname, ' ', ".DB_PREFIX."users.lname) AS user_name
			FROM ".DB_PREFIX."orders 
			INNER JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid = ".DB_PREFIX."orders.uid
			WHERE status<>'Completed' and payment_status='Received'
			ORDER BY oid
		");
		while($db->moveNext()){
			$qb_class = strtolower($db->col["payment_method_name"]);
			echo 
				"TRNS\t".
				$db->col["cdate"]."\t".
				"Internet Sales\t".
				gs($db->col["user_name"])."\t".
				$qb_class."\t".
				$db->col["total_amount"]."\t".
				"Cart Order #".$db->col["oid"]."\r\n";
			echo 
				"SPL\t".
				$db->col["cdate"]."\t".
				"Other Income\t".
				gs($db->col["user_name"])."\t".
				"-".$db->col["total_amount"]."\t".
				"Cart Order #".$db->col["oid"]."\r\n";
			echo "ENDTRNS\r\n!ENDTRNS\r\n";
		}
	}
?>