<script type="text/javascript">
$(document).ready(function(){
	$("#product-export-dialog").dialog({
		title: 'Export to CSV',
		modal: true,
		width: 1000,
		height: 500,
		autoOpen: false,
		resizable: false,
		open: function(){
			$(this)
				.width(1000)
				.height(500);
			var t = ($(window).height() - parseInt($(this).parent().height())) / 2;
			if (t < 0) t = 0;
			$(this).parent().css('top', parseInt($(window).scrollTop()) + parseInt(t) + 'px');
		},
		buttons:{
			Close : function (){
				$("#product-export-dialog").dialog("close");
			},
			Export : function (){
				$("#product-export-form").submit();
			}
		}
	});

	
	
	$("#export-to-csv").click(function(){
		$("#product-export-dialog").dialog("open");
	});

	$("#export-all-check").click(function(){
		$("#product-export-form input[type='checkbox']").attr("checked", true);
		return false;
	});

	$("#export-all-uncheck").click(function(){
		$("#product-export-form input[type='checkbox']").removeAttr("checked");
		return false;
	});
	
		if($("#uncheckall").is(':checked')){
			$('.listItem').find('.listItemButtons').find('input[type="checkbox"]').removeAttr('checked');
		}
		
		if($("#resetpriority").is(':checked')){
			$('.listItem').find('.listItemButtons').find('input[type="text"]').removeAttr('value');
		}
			
			
		$('#uncheckall:checkbox').change(function () {
		var conf=confirm('Are you sure you want to Uncheck All items marked as Featured Product? ');
	    if (conf==true)
		 {	
		   if($(this).attr("checked")) 
		   $('.listItem').each(function(){
			   $(this).find('.listItemButtons').find('input[type="checkbox"]').removeAttr('checked');
			   })
			   
			$('.listHeaderCaption').each(function(){
				var uhref = $(this).find('a:first').attr('href');
				var dmp = '&all=checked';
				$(this).find('a:first').attr('href',uhref+dmp);
				})   
			   
		 }
		 else{$(this).removeAttr('checked');}
		 
		})
		
		
		
		$('#resetpriority:checkbox').change(function () {
		var conf=confirm('Are you sure you want to Reset All items Priority? ');
	    if (conf==true)
		 {	
		   if($(this).attr("checked")) 
		   $('.listItem').each(function(){
			   $(this).find('.listItemButtons').find('input[type="text"]').removeAttr('value');
			   })	
			$('.listHeaderCaption').each(function(){
				var uhref = $(this).find('a:first').attr('href');
				var dmp = '&resetall=checked';
				$(this).find('a:first').attr('href',uhref+dmp);
				})     				
		 }
		 else{$(this).removeAttr('checked');}
		 
		})		
		
		$( "#datepicker1" ).datepicker({ dateFormat: 'yy-mm-dd' });

		$( "#datepicker2" ).datepicker({ dateFormat: 'yy-mm-dd' });	
		
});
</script>
 <?php
	if (!defined("ENV")) exit();
	///////////////////////////////////////////
	// inherit basic niode & override drawNode
	class OPTION_PARAM{
		var $parent_id;
		var $level;
		function OPTION_PARAM($parent_id, $level){
			$this->parent_id = $parent_id;
			$this->level = $level;
			return $this;
		}
	}

	class OPTION_NODE extends DB_TREE_NODE
	{
		function drawNode($param)
		{
			echo '<option value="'.$this->id.'" '.($this->id == $param->parent_id?"selected":"").' '.($this->is_visible=="No"?'style="color:gray;"':'').'>';
			for ($i=0; $i<$param->level*4; $i++)
			{
				echo "&nbsp;";
			}
			echo gs($this->caption).'</option>';
			if (count($this->nodes)>0)
			{
				reset($this->nodes);
				while (list($id, $node) = each($this->nodes))
				{
					$node->drawNode(
						new OPTION_PARAM($param->parent_id, $param->level+1)
					);
				}
			}
		}
	}

	$tree = new DB_TREE();
	$tree->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes", "Any"));

	$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, priority, name");
	$cats_count = $db->numRows();
	if ($cats_count > 0)
	{
		while ($db->moveNext())
		{
			$tree->addNode(
				new OPTION_NODE(
					$db->col["cid"],
					$db->col["parent"],
					$db->col["level"],
					$db->col["is_visible"],
					$db->col["name"]
				)
			);
		}
	}

	loadJS("cd_product.js");
	pageHeader("Featured Products List", "", "ic_product.gif");

	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"<b>Please enter your search criteria.</b><br>You need to enter at least one search criteria for search results to appear.", "url"=>"", "visible"=>true),
	));

	$action = isset($action)?trim($action):"";
	$product_id = isset($product_id)?trim($product_id):"";
	$title = isset($title)?trim($title):"";
	$status = isset($status)?trim($status):"";
	$status = in_array($status, array("Yes", "No", "OutOfStock", "StockWarning"))?$status:"";
	$cid = isset($cid)?$cid*1:TREE_ROOT;
	$where = "";
	$sort_products_by = isset($sort_products_by)?$sort_products_by:"product_id";
	$sort_products_by = in_array($sort_products_by, array("product_id", "owner_company", "owner_listing", "product_status", "is_sold", "added", "cid", "manufacturer_id", "year", "owner_lname", "owner_fname", "owner_state", "owner_country", "priority", "title", "sold_status", "model", "consignee_low_price", "price", "price2", "owner_city", "owner_zip", "owner_phone", "owner_mobile"))?$sort_products_by:"product_id";
	
	$sort_products_type = isset($sort_products_type)?$sort_products_type:"DESC";
	
	$is_home = is_array($is_home)?$_REQUEST["is_home"]:array();
	$priority = is_array($priority)?$_REQUEST["priority"]:array();
	$hid_pid = is_array($hid_pid)?$_REQUEST["hid_pid"]:array();
	
	//print_r($priority); 
	
//    -----------   code for updating is_home and priority values in product database  -----    //

 if(isset($_REQUEST["dmp_update"]) && $_REQUEST["dmp_update"] == 'update')
 {
	foreach($hid_pid as $id) 
	{
		//echo ",".$key.":".$id;
		if($is_home[$id]=='')
			$is_home[$id]='No';
		else
			$is_home[$id]='Yes';
			
		//echo $priority[$id].":".$id;
		$db->query("UPDATE ".DB_PREFIX."products SET is_home='".$is_home[$id]."',priority='".$priority[$id]."' WHERE pid='".$id."'");			
	} 	
 }



//----------           end        ----------------//
	
	//echo $sort_products_type; 
	//echo $_POST['action']; die(); 
	//echo $_SESSION["admin_search_featured_product_url"]; die();
	//print_r($_POST);die();
	if (isset($_GET['action']) && $_GET['action'] == "search")
	{
		$_SESSION["admin_search_featured_product_url"] = $_SERVER["QUERY_STRING"];
		
		
		
		switch($sort_products_by){
			case "owner_company" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_company";
				break;
			}
			case "owner_listing" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_listing";
				break;
			}
			case "product_status" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.product_status";
				break;
			}
			case "is_sold" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.is_sold";
				break;
			}
			case "added" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.added ";
				break;
			}
			case "cid" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.cid ";
				break;
			}
			case "manufacturer_id" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.manufacturer_id ";
				break;
			}
			case "year" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.year ";
				break;
			}
			case "owner_fname" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_fname ";
				break;
			}			
			case "owner_lname" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_lname ";
				break;
			}
			case "owner_state" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_state ";
				break;
			}
			case "owner_country" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_country ";
				break;
			}
			case "priority" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.priority ";
				break;
			}	
			case "title" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.title ";
				break;
			}	
			case "sold_status" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.sold_status";
				break;
			}
			case "model" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.model ";
				break;
			}
			case "consignee_low_price" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.consignee_low_price ";
				break;
			}
			case "price" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.price ";
				break;
			}
			case "price2" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.price2 ";
				break;
			}
			case "owner_city" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_city ";
				break;
			}
			case "owner_zip" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_zip ";
				break;
			}
			case "owner_phone" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_phone ";
				break;
			}
			case "owner_mobile" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.owner_mobile ";
				break;
			}					
			default :
			case "product_id" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."products.product_id";
				break;
			}
		}

		if ($product_id != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." product_id LIKE '%".$db->escape($product_id)."%' ";
		}
		if ($title != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." title LIKE '%".$db->escape($title)."%' ";
		}
		//echo $owner_lname; die("gfsd");
		if ($owner_company != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_company LIKE '%".$db->escape($owner_company)."%' ";
		}
		if ($owner_listing != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.owner_listing LIKE '%".$db->escape($owner_listing)."%' ";
		}
		if ($owner_fname != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_fname LIKE '%".$db->escape($owner_fname)."%' ";
		}
		if ($owner_lname != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_lname LIKE '%".$db->escape($owner_lname)."%' ";
		}

		if ($owner_zip != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_zip LIKE '%".$db->escape($owner_zip)."%' ";
		}	
		
		if ($product_status != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." product_status LIKE '%".$db->escape($product_status)."%' AND user_id != '0'";
		}
		
		if ($featured_product != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." is_home LIKE '%".$db->escape($featured_product)."%' ";
		}
		//echo $manufacturer_id; 
		
		if ($manufacturer_id != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." manufacturer_id =".$db->escape($manufacturer_id);
		}
		
		if ($model != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." model =".$db->escape($model);
		}		//echo $where;
		
		if ($year != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." year =".$db->escape($year);
		}		//echo $where;
		
		if ($owner_city != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_city LIKE '%".$db->escape($owner_city)."%' ";
		}	

		if ($owner_state != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_state LIKE '%".$db->escape($owner_state)."%' ";
		}	

		if ($owner_phone != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_phone =".$db->escape($owner_phone);
		}		//echo $where;
		
		if ($is_sold != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." is_sold LIKE '%".$db->escape($is_sold)."%' ";
		}
		if ($added_from != "" || $added_to != "")
		{
			if($added_from == '')
				$added_from = date('Y-m-d');
			if($added_to == '')
				$added_to = date('Y-m-d');
			$where .= ($where==""?"WHERE ":" AND ")." added between '".$db->escape($added_from)."' AND '".$db->escape($added_to)."'";
		}
		if ($owner_country != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_country LIKE '%".$db->escape($owner_country)."%' ";
		}
		if ($owner_mobile != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_mobile LIKE '%".$db->escape($owner_mobile)."%' ";
		}
		if ($owner_email != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." owner_email LIKE '%".$db->escape($owner_email)."%' ";
		}
		if ($meta_keywords != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." (title LIKE '%".$db->escape($meta_keywords)."%' OR description LIKE '%".$db->escape($meta_keywords)."%' OR product_id LIKE '%".$db->escape($meta_keywords)."%' OR owner_company LIKE '%".$db->escape($meta_keywords)."%' OR owner_city LIKE '%".$db->escape($meta_keywords)."%' OR owner_state LIKE '%".$db->escape($meta_keywords)."%' OR owner_zip LIKE '%".$db->escape($meta_keywords)."%' OR owner_country LIKE '%".$db->escape($meta_keywords)."%' OR owner_fname LIKE '%".$db->escape($meta_keywords)."%' OR owner_lname LIKE '%".$db->escape($meta_keywords)."%' OR owner_mobile LIKE '%".$db->escape($meta_keywords)."%' OR owner_email LIKE '%".$db->escape($meta_keywords)."%' OR owner_phone LIKE '%".$db->escape($meta_keywords)."%')";
		}		
		if ($is_visible != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." is_visible LIKE '%".$db->escape($is_visible)."%' ";
		}
		if ($sold_status != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." sold_status LIKE '%".$db->escape($sold_status)."%' ";
		}					
		
		if ($status != "")
		{
			switch ($status)
			{
				case "Yes" :
				case "No" : 
				{
					$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.is_visible = '".$status."' ";
					break;
				}
				case "OutOfStock" : 
				{
					$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.inventory_control != 'No' AND ".DB_PREFIX."products.stock = 0 ";
					break;
				}
				case "StockWarning" : 
				{
					$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.inventory_control != 'No' AND ".DB_PREFIX."products.stock <= stock_warning ";
					break;
				}
			}
		}
		
		if ($cid != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." ".DB_PREFIX."products.cid = '".$cid."'"; 
		}

		//store last search product statement
		$_SESSION["featured_products-search-where"] = $where;
		//preselect
		//echo("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products ".$where);
		$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products ".$where);//." GROUP BY ".DB_PREFIX."products.pid");
		$db->moveNext();
		//calc page breaks
		//echo $rpp; die("mah");
		
		$ccc = $rpp;
		$items_count = $db->col["c"];
		$pages_count = floor($items_count / $ccc) +  ((($items_count % $ccc) > 0 )?1:0);
		$pg = isset($pg)?($pg*1):1;
		$pg = (($pg<1)||($pg>$pages_count))?1:$pg;
		$pages_line = format_pages_line(
			$pg, // current pare
			$pages_count, // total pages
			7,
			"admin.php?p=featured_products".
				"&action=search".
				"&cid=".urlencode($cid).
				"&product_id=".urlencode($product_id).
				"&title=".urlencode($title).
				"&status=".$status.
				"&sort_products_by=".$sort_products_by.
				"&sort_products_type=".$sort_products_type.
				"&rpp=".$rpp
		);
		//select
		/**
		 * old select with grouping
		$db->query("
			SELECT pid, is_doba, product_id, title, is_visible, price, call_for_price, inventory_control, stock FROM ".DB_PREFIX."products
			".$where."
			GROUP BY ".DB_PREFIX."products.pid
			".$order_sql."
			LIMIT ".(($pg-1)* $ccc).", ".$ccc
		);
		**/
		if($rpp!=1)
		{
			$db->query("
				SELECT * FROM ".DB_PREFIX."products
				".$where."
				".$order_sql.				
				 " ".$sort_products_type."				
				LIMIT ".(($pg-1)* $ccc).", ".$ccc
			);
		}
		else
		{		
			$db->query("
				SELECT * FROM ".DB_PREFIX."products
				".$where."
				".$order_sql
				." ".$sort_products_type
			);
		}
	}
	else{
		//echo $_SESSION["admin_search_featured_product_url"]; die();
		$reset_search = isset($_REQUEST["reset_search"])?true:false;

		if($reset_search && $_SESSION["admin_search_featured_product_url"])
		{
			//session_unregister("admin_search_featured_product_url");
			unset($_SESSION["admin_search_featured_product_url"]);
		}
		elseif(isset($_SESSION["admin_search_featured_product_url"]) && trim($_SESSION["admin_search_featured_product_url"]) != "")
		{
			//echo "enter"; die();
			header("Location:admin.php?".$_SESSION["admin_search_featured_product_url"]);
		}
			//echo "outside"; die();
	}
?>
<div class="searchFormTitle">Search Products</div>
<form action="admin.php?p=featured_products" method="GET" style="padding:0px;margin:0px;">
	<input type="hidden" name="p" value="featured_products">
	<input type="hidden" name="action" value="search">

<div class="searchFormBody">
	<div class="searchFormLine">
		<div class="searchFormItem">
			Product ID:<br/>
			<input tabindex=1 type="text" name="product_id" style="width:210px;" value="<?=htmlspecialchars($product_id)?>"/>
		</div>
		<div class="searchFormItem">
			User Product Status :<br>
			<select tabindex=7 name="product_status" style="width:210px;">
				<option value="">All</option>
				<option value="approved" <?=$product_status=="approved"?"selected":""?>>Approved</option>
				<option value="pending" <?=$product_status=="pending"?"selected":""?>>Pending</option>
			</select>
		</div>
		
		<div class="searchFormItem">
			Seller Company :<br>
			<input tabindex=14 type="text" name="owner_company" style="width:210px;" value="<?=htmlspecialchars($owner_company)?>"/>
		</div>
        <div class="searchFormItem">
			Seller First Name :<br>
			<input tabindex=21 type="text" name="owner_fname" style="width:310px;" value="<?=htmlspecialchars($owner_fname)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Main Category:<br/>
			<select tabindex=2 name="cid" style="width:210px;">
<?php
	$tree->collection[TREE_ROOT]->drawNode(
		new OPTION_PARAM($cid, 0)
	);
?>
			</select>
		</div>
		<div class="searchFormItem">
			Item Available :<br>
<!--		chnages by dharmin	<select name="is_sold" style="width:210px;">
				<option value="">Select</option>
				<option value="yes" <?=$is_sold=="yes"?"selected":""?>>Yes</option>
				<option value="no" <?=$is_sold=="no"?"selected":""?>>No</option>
			</select>-->
			<select tabindex=8 name="is_visible" style="width:210px;">
				<option value="">Select</option>
				<option value="yes" <?=$is_visible=="yes"?"selected":""?>>Yes</option>
				<option value="no" <?=$is_visible=="no"?"selected":""?>>No</option>
			</select>
            
		</div>
        <div class="searchFormItem">
			Seller City :<br>
			<input tabindex=15 type="text" name="owner_city" style="width:210px;" value="<?=htmlspecialchars($owner_city)?>"/>
		</div>
        <div class="searchFormItem">
			Seller Last Name :<br>
			<input tabindex=22 type="text" name="owner_lname" style="width:310px;" value="<?=htmlspecialchars($owner_lname)?>"/>
		</div>        
		
		
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Product Name:<br/>
			<input tabindex=3 type="text" name="title" style="width:210px;" value="<?=htmlspecialchars($title)?>"/>
		</div>
        <div class="searchFormItem">
        	Sold Item :<br>
			<select tabindex=9 name="is_sold" style="width:210px;">
				<option value="">Select</option>
				<option value="yes" <?=$is_sold=="yes"?"selected":""?>>Sold</option>
				<option value="no" <?=$is_sold=="no"?"selected":""?>>Available</option>
			</select>  
		</div>
        
        <div class="searchFormItem">
			Seller State :<br>
			<input tabindex=16 type="text" name="owner_state" style="width:210px;" value="<?=htmlspecialchars($owner_state)?>"/>
		</div>
        
		<div class="searchFormItem">
			Seller Mobile :<br>
			<input tabindex=23 type="text" name="owner_mobile" style="width:210px;" value="<?=htmlspecialchars($owner_mobile)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Manufacturer :<br>
				<select tabindex=4 name="manufacturer_id" style="width:210px;" id="manufacturer_id">
					<option value="">Select Manufacturer</option>
<?		$query=mysql_query("SELECT * FROM ".DB_PREFIX."manufacturers ORDER BY manufacturer_name");
		while($fetch =mysql_fetch_array($query)){?>
				<option value="<?=$fetch["manufacturer_id"]?>" <?=$fetch["manufacturer_id"]==$manufacturer_id?"selected":""?>><?=htmlspecialchars($fetch["manufacturer_name"])?></option>
<?		}?>
				</select>
		</div>
        <div class="searchFormItem">
			Sold item appears as 'Available' :<br>
            
            <select tabindex=10 name="sold_status" style="width:210px;">
				<option value="">Select</option>
				<option value="Sold" <?=$sold_status=="Sold"?"selected":""?>>Yes</option>
				<option value="Available" <?=$sold_status=="Available"?"selected":""?>>No</option>
			</select>
			</div>
		
		<div class="searchFormItem">
			Date Listed:(YYYY-MM-DD) From<br/>
			<input tabindex=17 type="text" name="added_from" id="datepicker1" class="datepicker1" style="width:210px;" value="<?=htmlspecialchars($added_from)?>"/>
		</div>
		
		<div class="searchFormItem">
			Date Listed:(YYYY-MM-DD) To<br/>
			<!--<input type="text" name="added_to" id="datepicker2" class="datepicker2" style="width:210px;" value="<?php if($added_to == ''){echo date("Y-m-d");}else{?><?=htmlspecialchars($added_to)?><?php }?>"/>-->
            <input tabindex=24 type="text" name="added_to" id="datepicker2" class="datepicker2" style="width:210px;" value="<?=htmlspecialchars($added_to)?>"/>
		</div>
		
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Model :<br>
			<input tabindex=5 type="text" name="model" style="width:210px;" value="<?=htmlspecialchars($model)?>"/>
		</div>
		<div class="searchFormItem">
			Featured Product :<br>
			<select tabindex=11 name="featured_product" style="width:210px;">
				<option value="">Select</option>
				<option value="Yes" <?=$featured_product=="Yes"?"selected":""?>>Yes</option>
				<option value="No" <?=$featured_product=="No"?"selected":""?>>No</option>
			</select>
		</div>
		<div class="searchFormItem">
			Seller Zip :<br>
			<input tabindex=18 type="text" name="owner_zip" style="width:210px;" value="<?=htmlspecialchars($owner_zip)?>"/>
		</div>
        <div class="searchFormItem">
			Seller Email :<br>
			<input tabindex=25 type="text" name="owner_email" style="width:210px;" value="<?=htmlspecialchars($owner_email)?>"/>
		</div>
			</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Year :<br>
			<input tabindex=6 type="text" name="year" style="width:210px;" value="<?=htmlspecialchars($year)?>"/>
		</div>
        <div class="searchFormItem">
        Keyword :<br>
		<input tabindex=12 type="text" name="meta_keywords" style="width:210px;" value="<?=htmlspecialchars($meta_keywords)?>"/>
        </div>
		
		<div class="searchFormItem">
			Seller Country :<br>
			<input tabindex=19 type="text" name="owner_country" style="width:210px;" value="<?=htmlspecialchars($owner_country)?>"/>
		</div>
        <div class="searchFormItem">
			Seller Phone :<br>
			<input tabindex=26 type="text" name="owner_phone" style="width:210px;" value="<?=htmlspecialchars($owner_phone)?>"/>
		</div>
		
	</div>
    <div class="searchFormLine">
		<div class="searchFormItem">
			Listing Owner :<br>
			<select name="owner_listing" style="width:210px;" id="">
					<option value="">Select</option>
								<option <?php if($owner_listing=='Mark') echo 'selected'; ?> value="Mark">Mark</option>
								<option <?php if($owner_listing=='Michelle') echo 'selected'; ?> value="Michelle">Michelle</option>
								<option <?php if($owner_listing=='Mike') echo 'selected'; ?> value="Mike">Mike</option>
								<option <?php if($owner_listing=='Ned') echo 'selected'; ?> value="Ned">Ned</option>
								<option <?php if($owner_listing=='Rod') echo 'selected'; ?> value="Rod">Rod</option>
								<option <?php if($owner_listing=='Sal') echo 'selected'; ?> value="Sal">Sal</option>
							</select>  
        </div>
		<div class="searchFormItem">
			<b>Results Per Page :</b><br>
			<select tabindex=13 name="rpp" style="width:210px;">
				<option value="1">All</option>
				<option value="20" <?=$rpp==20?"selected":""?>>20</option>
				<option value="50" <?=$rpp==50?"selected":""?>>50</option>
				<option value="100" <?=$rpp==100?"selected":""?>>100</option>
				<option value="250" <?=$rpp==250?"selected":""?>>250</option>
			</select>
		</div>  
		<div class="searchFormItem">
			<b>Sort by :</b><br>
			<select tabindex=20 name="sort_products_by" style="width:210px;">
				<option value="added" <?=$sort_products_by=="added"?"selected":""?>>Date Listed</option>
				<option value="cid" <?=$sort_products_by=="cid"?"selected":""?>>Main Category</option>
				<option value="priority" <?=$sort_products_by=="priority"?"selected":""?>>CategorySort</option> 
				<option value="manufacturer_id" <?=$sort_products_by=="manufacturer_id"?"selected":""?>>Manufacturer</option>				         
				<option value="product_id" <?=$sort_products_by=="product_id"?"selected":""?>>Product Id</option>                
				<option value="product_status" <?=$sort_products_by=="product_status"?"selected":""?>>Product Status</option>
				<option value="owner_listing" <?=$sort_products_by=="owner_listing"?"selected":""?>>Listing Owner</option>Private :
				<option value="owner_company" <?=$sort_products_by=="owner_company"?"selected":""?>>Seller Company</option>
				<option value="owner_country" <?=$sort_products_by=="owner_country"?"selected":""?>>Seller Country</option>
				<option value="owner_fname" <?=$sort_products_by=="owner_fname"?"selected":""?>>Seller First Name</option>                
				<option value="owner_lname" <?=$sort_products_by=="owner_lname"?"selected":""?>>Seller Last Name</option>
				<option value="owner_state" <?=$sort_products_by=="owner_state"?"selected":""?>>Seller State</option>
				<option value="is_sold" <?=$sort_products_by=="is_sold"?"selected":""?>>Sold Item</option>
				<option value="year" <?=$sort_products_by=="year"?"selected":""?>>Year</option>
			</select>
		</div>		
        <div class="searchFormItem">
			<b>Sort Type :</b><br>
			<select tabindex=27 name="sort_products_type" style="width:210px;">
				<option value="DESC" <?=$sort_products_type=="DESC"?"selected":""?>>DESCENDING</option>
				<option value="ASC" <?=$sort_products_type=="ASC"?"selected":""?>>ASCENDING</option>
			</select>
		</div>
    </div>
	<div class="searchFormBottom">
		<div class="searchFormItem">
			<input tabindex=28 type="submit" value="Search" style="width:120px;height:25px;"/>
		</div>
		<div class="searchFormItem">
			<a href="admin.php?p=featured_products&reset_search=true">Reset Search</a>&nbsp;&nbsp;&nbsp;&nbsp;
		</div>
		<div class="searchFormItem">
			<input type="checkbox" name="all" id="uncheckall" <?=$_REQUEST['all'];?> />Uncheck All &nbsp;&nbsp;&nbsp;&nbsp;
            <input type="checkbox" name="resetall" id="resetpriority" <?=$_REQUEST['resetall'];?> />Reset Priority
		</div>        
        
	</div>
</div>
</form>
<?php
	if ($action == "search")
	{
?>
<form name="form1" action="admin.php?p=featured_products" method="POST" style="padding:0px;margin:0px;">
	<input type="hidden" value="update" name="dmp_update">
<div class="listHeader">
	<div class="listHeaderIcon"><img src="images/icons/ic_search.gif"/></div>
	<div class="listHeaderCaption">
		Product Search Results<strong style="color:#F00"><?php echo " ".$items_count; ?></strong>
	</div>
<?php
		if ($db->numRows() > 0 && $rpp!=1)
		{
?>
	<div class="listHeaderCaption" style="float:right;font-weight:normal;">
		Products found : <?=$items_count?> |
		Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
	</div> 
<?php	}?>
</div>
<?php

if($sort_products_type=='DESC')
{
	$sort_products_type="ASC";
}
else if($sort_products_type=='ASC')
{
	$sort_products_type="DESC";
}
else
{
	$sort_products_type="ASC";
}
?>
<?php
		if ($db->numRows() > 0)
		{
?>
<div class="listHeader" >
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=priority&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Priority</div>
	<div class="listHeaderCaption" style="width:110px;padding-top: 10px;text-align: center;">Image</div>
	<div class="listHeaderCaption" style="width:150px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=product_id&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Product ID</div>
	<div class="listHeaderCaption" style="width:120px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=title&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Product Name</div>
	<div class="listHeaderCaption" style="width:90px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=added&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Date Listed</div>
    
	<div class="listHeaderCaption" style="width:120px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_company&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Company</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=product_status&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>User Product Status</div>
	<div class="listHeaderCaption" style="width:60px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=is_sold&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Sold Item</div>
    <div class="listHeaderCaption" style="width:130px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=sold_status&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Sold item appears as 'Available'</div>    
	<div class="listHeaderCaption" style="width:120px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=cid&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Main Category</div>
	<div class="listHeaderCaption" style="width:120px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=manufacturer_id&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Manufacturer</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=model&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Model</div>
	<div class="listHeaderCaption" style="width:60px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=year&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Year</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=consignee_low_price&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Cost</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=price&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Item Price</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=price2&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Sale Price</div>
    <div class="listHeaderCaption" style="width:160px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_fname&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller First Name</div>
	<div class="listHeaderCaption" style="width:160px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_lname&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Last Name</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_city&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller City/Town</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_state&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller State</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_zip&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Zip</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_country&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Country</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_phone&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Phone</div>
	<div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_featured_product_url"]; ?>&sort_products_by=owner_mobile&sort_products_type=<?php echo $sort_products_type; ?>"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Seller Mobile</div>
</div>
<?php
			while ($db->moveNext())
			{ 
				$thumb = ProductHasThumb($db->col["product_id"]);	
				//echo "Fdsf".$thumb;
			
?>

<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/<?=$db->col["is_doba"] == "Yes"?"ic_doba":"ic_product"?>.gif"/></div>
	<div class="listItemText">
		<input type="hidden" name="hid_pid[<?php echo $db->col["pid"] ?>]" value="<?php echo $db->col["pid"] ?>">
		<input type="checkbox" name="is_home[<?php echo $db->col["pid"] ?>]" id="is_home_<?php echo $db->col["pid"] ?>" <?php if($db->col["is_home"]=='Yes') echo 'checked' ?> >
		<input type="text" name="priority[<?php echo $db->col["pid"] ?>]" id="priority_<?php echo $db->col["pid"] ?>" style="width:30px;" value="<?php echo $db->col["priority"]; ?>" />
	</div>
	<div class="listItemText" style="width:110px;"><?php if($thumb) { ?>
		<img src="<?=$thumb?>?<?=rand(1, 9999999)?>" border="1" width="100" height="65">
	<?php } ?></div>
	<div class="listItemText" style="width:150px;"><?=htmlspecialchars($db->col["product_id"])?></div>
	<div class="listItemText" style="width:120px;"><?=htmlspecialchars($db->col["title"])?></div>
	<div class="listItemText" style="width:90px;"><?=htmlspecialchars($db->col["added"])?></div>
    
	<div class="listItemText" style="width:120px;"><?=htmlspecialchars($db->col["owner_company"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["product_status"])?></div>
<!--	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["is_sold"])?></div>
-->	<div class="listItemText" style="width:60px;"><?=($db->col["is_sold"] == "Yes")?"Sold":"Available"?></div>     
    <div class="listItemText" style="width:130px;"><?=htmlspecialchars($db->col["sold_status"])?></div>    
	<div class="listItemText" style="width:120px;"><?=getCategoryName($db,$db->col["cid"])?></div>
	<div class="listItemText" style="width:120px;"><?=getManufacturerName($db,$db->col["manufacturer_id"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["model"])?></div>
	<div class="listItemText" style="width:60px;"><?=htmlspecialchars($db->col["year"])?></div>
	<div class="listItemText" style="width:100px;"><?=money_format('%i',$db->col["consignee_low_price"])?></div>
	<div class="listItemText" style="width:100px;"><?=money_format('%i', $db->col["price"])?></div>
	<div class="listItemText" style="width:100px;"><?=money_format('%i',$db->col["price2"])?></div>
	<div class="listItemText" style="width:160px;"><?=htmlspecialchars($db->col["owner_fname"])?></div>    
	<div class="listItemText" style="width:160px;"><?=htmlspecialchars($db->col["owner_lname"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_city"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_state"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_zip"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_country"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_phone"])?></div>
	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["owner_mobile"])?></div>
</div>
<?php
			}
?>

<!--<script type="text/javascript">
$(document).ready(function(){
	$("#product-export-dialog").dialog({
		title: 'Export to CSV',
		modal: true,
		width: 1000,
		height: 500,
		autoOpen: false,
		resizable: false,
		open: function(){
			$(this)
				.width(1000)
				.height(500);
			var t = ($(window).height() - parseInt($(this).parent().height())) / 2;
			if (t < 0) t = 0;
			$(this).parent().css('top', parseInt($(window).scrollTop()) + parseInt(t) + 'px');
		},
		buttons:{
			Close : function (){
				$("#product-export-dialog").dialog("close");
			},
			Export : function (){
				$("#product-export-form").submit();
			}
		}
	});

	
	
	$("#export-to-csv").click(function(){
		$("#product-export-dialog").dialog("open");
	});

	$("#export-all-check").click(function(){
		$("#product-export-form input[type='checkbox']").attr("checked", true);
		return false;
	});

	$("#export-all-uncheck").click(function(){
		$("#product-export-form input[type='checkbox']").removeAttr("checked");
		return false;
	});
	
		$('#uncheckall:checkbox').change(function () {
		var conf=confirm('Are you sure you want to Uncheck All items marked as Featured Product? ');
	    if (conf==true)
		 {	
		   if($(this).attr("checked")) 
		   $('.listItem').each(function(){
			   $(this).find('.listItemButtons').find('input[type="checkbox"]').removeAttr('checked');
			   })
		 }
		 else{$(this).removeAttr('checked');}
		 
		})
		
		$(".datepicker1").blur(function(){
		$(this).datepicker({ dateFormat: 'yy-mm-dd' });
		});
		
		//var date2 = $(".datepicker2").val();
		//if( date2 == ''){$( ".datepicker2" ).datepicker( "getDate" );}
		$(".datepicker2").blur(function(){
		$(this).datepicker({ dateFormat: 'yy-mm-dd' });
		});			
		
});
</script>-->

<div class="listFooter">
	<div class="listFooterCaption" style="float:left;font-weight:normal;">
		<input type="submit" style="width: 120px; height: 25px;" value="Update" name="update" id="update"/>
	</div>
	
<?php
		if ($db->numRows() > 0 && $rpp!=1)
		{
?>
	<div class="listFooterCaption" style="float:right;font-weight:normal;">
		Products found : <?=$items_count?> |
		Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
	</div>
<?php
		}
?>
</div>

<?php
		}
		else
		{
?>
<div class="listEmpty">
	Your search did not produce any results. Please try again with a different search criteria.<br/>
	<a href="admin.php?p=products&reset_search=true">Reset Search</a>
</div>
<?php
		}
	}
?>
</form>
