<?php
	if (!defined("ENV")) exit();
	$action = isset($action)?$action:"";
	
	if (!DEMO_LOCK)
	{
		switch ($action)
		{
			case "update_standard_fields" : 
			{
				foreach ($form as $s_name=>$s_value)
				{
					$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($s_value)."' WHERE name='".$s_name."'");
					$settings[$s_name] = $s_value;
				}
				break;
			}
		}
	}

	pageHeader("Forms Control & Custom Fields", "", "ic_form.gif");
	echo "&nbsp;";
?>
<form name="frmStandardFields" action="admin.php?p=forms_control" method="POST">
	<input type="hidden" name="action" value="update_standard_fields">
	<div class="admin-tabs admin-tabs-framed" id="tabs-forms">
<?php 
	pageTabs(array(
		array("title"=>"Enable/Disable Fields", "id"=>"main"),
	), "tabs-forms", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<table cellpadding="0" cellspacing="5" border="0" width="100%">
					<tr>
						<td class="formHeader" colspan="4">
							<div class="formHeaderIcon"><img src="images/icons/ic_field.gif"/></div>
							<div class="formHeaderText">Standard Fields Control</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">&nbsp;</td>
						<td class="formItemControl" style="width:100px;"><b>Required</b></td>
						<td class="formItemControl" style="width:100px;"><b>Not Required</b></td>
						<td class="formItemControl"><b>Not Available</b></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Company Name in Billing Information</td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingCompany]" value="Required" <?=$settings["FormsBillingCompany"] == "Required" ? "checked" : ""?>></td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingCompany]" value="Notrequired" <?=$settings["FormsBillingCompany"] == "Notrequired" ? "checked" : ""?>></td>
						<td class="formItemControl"><input type="radio" name="form[FormsBillingCompany]" value="Invisible" <?=$settings["FormsBillingCompany"] == "Invisible" ? "checked" : ""?>></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Address Line 2 in Billing Information</td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingAddressLine2]" value="Required" <?=$settings["FormsBillingAddressLine2"] == "Required" ? "checked" : ""?>></td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingAddressLine2]" value="Notrequired" <?=$settings["FormsBillingAddressLine2"] == "Notrequired" ? "checked" : ""?>></td>
						<td class="formItemControl"><input type="radio" name="form[FormsBillingAddressLine2]" value="Invisible" <?=$settings["FormsBillingAddressLine2"] == "Invisible" ? "checked" : ""?>></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Phone in Billing Information</td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingPhone]" value="Required" <?=$settings["FormsBillingPhone"] == "Required" ? "checked" : ""?>></td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsBillingPhone]" value="Notrequired" <?=$settings["FormsBillingPhone"] == "Notrequired" ? "checked" : ""?>></td>
						<td class="formItemControl"><input type="radio" name="form[FormsBillingPhone]" value="Invisible" <?=$settings["FormsBillingPhone"] == "Invisible" ? "checked" : ""?>></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Company Name in Shipping Information</td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingCompany]" value="Required" <?=$settings["FormsShippingCompany"] == "Required" ? "checked" : ""?>></td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingCompany]" value="Notrequired" <?=$settings["FormsShippingCompany"] == "Notrequired" ? "checked" : ""?>></td>
						<td class="formItemControl"><input type="radio" name="form[FormsShippingCompany]" value="Invisible" <?=$settings["FormsShippingCompany"] == "Invisible" ? "checked" : ""?>></td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Address Line 2 in Shipping Information</td>
							<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingAddressLine2]" value="Required" <?=$settings["FormsShippingAddressLine2"] == "Required" ? "checked" : ""?>></td>
						<td class="formItemControl" style="width:100px;"><input type="radio" name="form[FormsShippingAddressLine2]" value="Notrequired" <?=$settings["FormsShippingAddressLine2"] == "Notrequired" ? "checked" : ""?>></td>
						<td class="formItemControl"><input type="radio" name="form[FormsShippingAddressLine2]" value="Invisible" <?=$settings["FormsShippingAddressLine2"] == "Invisible" ? "checked" : ""?>></td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"> &nbsp;
		<input type="reset" value="Reset form">
	</div>
</form>
<?php
	loadJS("cd_custom_field.js");
	pageNote(array(
		array("icon"=>"ic_insert_row.gif", "text"=>"<b>Create a New Custom Field</b>", "visible"=>true, "url"=>"admin.php?p=custom_field&mode=insert")
	));
	$place_names = array(
		"invoice"=>"Invoice Additional Information",
		"shipping"=>"Shipping Information",
		"account"=>"Account Information",
		"signup"=>"Registration Form",
		"billing"=>"Billing Information"
	);
	$field_types = array(
		"text"=>"Text Box",
		"select"=>"Drop-Down",
		"radio"=>"Radio Buttons",
		"checkbox"=>"Checkbox",
		"textarea"=>"Text Area"
	);
?>
<div style="clear:both">
	<div class="listHeader">
		<div class="listHeaderIcon">&nbsp;</div>
		<div class="listHeaderCaption" style="width:250px;">Form / Field Name</div>
		<div class="listHeaderCaption" style="width:100px;">Type</div>
		<div class="listHeaderCaption" style="width:100px;">Active</div>
		<div class="listHeaderCaption" style="width:100px;">Required</div>
	</div>
<?php
	$db->query("SELECT * FROM ".DB_PREFIX."custom_fields ORDER BY field_place, priority");
	if ($db->numRows() > 0)
	{
?>

<?php
		$place = "";
		while ($db->moveNext())
		{
			if ($db->col["field_place"] != $place)
			{
?>
	<div class="listHeader">
		<div class="listHeaderIcon"><img src="images/icons/ic_properties.gif"/></div>
		<div class="listHeaderCaption"><?=$place_names[$db->col["field_place"]]?></div>
	</div>
<?php
				$place = $db->col["field_place"];
			}
?>
	<div class="listItem">
		<div class="listItemIcon">&nbsp;</div>
		<div class="listItemText" style="width:250px;"><a href="admin.php?p=custom_field&mode=update&field_id=<?=$db->col["field_id"]?>"><?=htmlspecialchars($db->col["field_name"])?></a></div>
		<div class="listItemText" style="width:100px;"><?=$field_types[$db->col["field_type"]]?></div>
		<div class="listItemText" style="width:100px;"><?=$db->col["is_active"]?"Yes":"No"?></div>
		<div class="listItemText" style="width:100px;"><?=$db->col["is_required"]?"Yes":"No"?></div>
		<div class="listItemButtons">
			<a href="admin.php?p=custom_field&mode=update&field_id=<?=$db->col["field_id"]?>"><img src="images/icons/ic_change_text.gif" title="Edit Custom Field" border="0"></a>
			<a href="javascript:confirtDeleteCustomField(<?=$db->col["field_id"]?>)"><img src="images/icons/ic_delete.gif" title="Delete Custom Field" border="0"></a>&nbsp;
		</div>
	</div>
<?php
		}
	}
	else
	{
?>
	<div class="listEmpty">
		There are no custom fields yet
	</div>
<?php
	}
?>
