<?php
	if (!defined("ENV")) exit();

	pageHeader("Google Tools", "", "icb-google");
	$action = isset($action)?trim($action):"";
	
	if ($action == "update_google_code" && !DEMO_LOCK)
	{
		$form = isset($form)?$form:array();
		reset($form);
		$at_tab = "idTabMain";
		foreach ($form as $name=>$value)
		{
			if ($name == "GoogleConversion")
			{
				$c_code = $value;
				if (writeTemplateFile("templates/pages/google/conversion_code.html", $c_code))
				{
					$msg = "Google code Page has been successfully saved.";
				}

				$db->reset();
				if (strstr($c_code, '.push(') !== false)
				{
					$db->assignStr('value', 'YES');	
				}
				else
				{
					$db->assignStr('value', 'NO');
				}
				$db->update(DB_PREFIX.'settings', "WHERE name='GoogleConversionAsync'");
			}
			elseif ($name == "GoogleAdwordsConversion")
			{
				$ac_code = $value;
				if (writeTemplateFile("templates/pages/google/adwords_conversion.html", $ac_code))
				{
					$msg = "Google code Page has been successfully saved.";
				}
			}
			else
			{
				$db->reset();
				$db->assignStr("value", $value);
				$db->update(DB_PREFIX."settings", "WHERE name='".$name."'");
				$msg = "Google code has been successfully saved.";
			}
			$db->reset();
			$active_var=$name."Active";
			if (isset($settings[$active_var]))
			{
				$db->assignStr("value", isset($_POST[$active_var]) ? "YES" : "NO");
				$db->update(DB_PREFIX."settings", "WHERE name='".$active_var."'");
			}
			$settings[$name] = $value;
			$at_tab = trim(str_replace("Google", "idTab", $name));
		}

		pageNote(array(
			array("class"=>"ic-info", "text"=>$msg , "url"=>"", "visible"=>true),
			array("class"=>"ic-google", "text"=>"Back to Google Marketing", "url"=>"admin.php?p=google_marketing&last_active_tab=$at_tab", "visible"=>true),
		));

	}
	else
	{
		if (!($c_code = readTemplateFile("templates/pages/google/conversion_code.html")))
		{
			$c_code = "Can't open conversion_code.html file";
		}
		if (!($ac_code = readTemplateFile("templates/pages/google/adwords_conversion.html")))
		{
			$c_code = "Can't open adwords_conversion.html file";
		}

		pageNote(array(
			array("class"=>"ic-info", "text"=>
				"Google supplies business owners with a variety of tools that can help gain more exposure, track visitors and sales conversions.  <br>".
				"Click on the tabs below for a summary of the tools and how they can assist you in growing your business.", "url"=>"", "visible"=>true),
		));

		$last_active_tab = isset($last_active_tab)?strtolower(trim($last_active_tab)):"main";

		//form table
		$sql = "select * from ".DB_PREFIX."products_groups";
		$db->query($sql);
		$productGroups = $db->getRecords();

		$sql = "select cid,name,level from ".DB_PREFIX."catalog WHERE name <> 'gift_cert' ORDER BY category_path";
		$db->query($sql);
		$categories = $db->getRecords();
?>
<div class="admin-tabs admin-tabs-framed" id="tabs-google">
<?php 
		pageTabs(array(
			array("title"=>"Google Base Feed", "id"=>"main"),
			array("title"=>"Analytics Tracking", "id"=>"analytics"),
			array("title"=>"Conversion Tracking", "id"=>"conversion"),
			array("title"=>"Adwords Conversion Tracking", "id"=>"adwords-conversion"),
			array("title"=>"Sitemap Export", "id"=>"sitemap")
		), "tabs-google", $last_active_tab);

?>
	<div id="admin-tab-sheet-main" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<div class="admin-form-header first"><span class="icon ic-icon ic-google"></span>Google Base</div>
			
<?php
		if (!AccessManager::checkAccess('PRODUCT_EXPORT'))
		{
			AccessManager::notAllowed();
		}
		else
		{
?>			
			<form name="frmFroogle" action="admin.php?no-acceleration=true&p=export_froogle_process&chart=true&noheaders=true" method="post">
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption" style="padding-top:10px;width:250px;">Product Description</td>
						<td class="formItemControl" style="padding-top:10px;width:270px;">
							<select name="de">
								<option value="overview">Use quick overview</option>
								<option value="description">Use detailed description</option>
							</select>
						</td>
						<td rowspan="6" style="border-left:1px solid #E0E0E0;padding:10px 15px;">
							<strong>Google Base</strong><br/><br/>
							Google Base is an online database and free Web publishing service provided by <a href="http://google.com" target="_new">Google</a> that allows users to upload their own content/products. Posted products is searchable using the Google Base search engine, and may also be included in other Google databases such as Froogle and Google Local. Items published in this manner have unique Web addresses and can be viewed worldwide. This tool will create a product feed that can be easily posted into Google Base.
							<br /><br />
							<a href="http://support.google.com/merchants/bin/answer.py?hl=en&answer=188493" target="_blank">Click here</a> for more information regarding Google Base.
							<br /><br /><a href="https://www.google.com/accounts/NewAccount" target="_blank">Click here</a> to sign up for an account on Google.
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption" style="padding-top:10px;">Export Tax Information</td>
						<td class="formItemControl" style="padding-top:10px;">
							<select name="export_taxes">
								<option value="1">Yes</option>
								<option value="0">No</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Include products from this category</td>
						<td class="formItemControl">
							<select id="product_category" name="product_category">
								<option value="">All Categories</option>
								<?php foreach ($categories as $category) { ?>
								<option value="<?php echo $category['cid']; ?>"><?php echo str_replace(" ","&nbsp;",str_pad("", ($category['level']*3)," ",STR_PAD_LEFT).$category['name']); ?></option>
								<?php } ?>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Include products from this product group</td>
						<td class="formItemControl">
							<select id="product_group" name="product_group">
								<option value="">All Groups</option>
								<?php foreach ($productGroups as $productGroup) { ?>
								<option value="<?php echo $productGroup['id']; ?>"><?php echo $productGroup['name']; ?></option>
								<?php } ?>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Max # of Products</td>
						<td class="formItemControl">
							<select id="product_count" name="product_count">
								<option value="">All Products</option>
								<option value="1">1</option>
								<?php for ($i = 100; $i <= 5000; $i += 100) { ?>
								<option value="<?php echo $i; ?>"><?php echo $i; ?></option>
								<?php } ?>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Feed Expiration Days</td>
						<td class="formItemControl">
							<select name="expdays">
								<option value="">Default</option>
								<?php for ($i = 1; $i <= 30; $i++) { ?>
								<option value="<?=$i?>"><?=$i?></option><?php } ?>
							</select>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Export"/>
				</div>
			</form>
<?php
		}
?>
		</div>
	</div>
	
	<div id="admin-tab-sheet-analytics" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<div class="admin-form-header first"><span class="icon ic-icon ic-google"></span>Google Analytics</div>
			<form name="frmAnalytics" action="admin.php?p=google_marketing" method="post">
				<input type="hidden" name="action" value="update_google_code"/>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption" style="padding-right:10px;width:545px;">
							<input id="ch_GoogleAnalytics" type="checkbox" value="YES" <?=$settings["GoogleAnalyticsActive"]=='YES'?'checked="checked"':""?> name="GoogleAnalyticsActive"/>Activate Google Analytics Tracking Code <br /><br />
							<textarea class="no-mce" wrap="off" cols="60" rows="8" style="height:200px;width:520px;" class="content" id="GoogleAnalytics" name="form[GoogleAnalytics]"><?=$settings["GoogleAnalytics"]?></textarea>
						</td>
						<td style="border-left:1px solid #E0E0E0;padding:10px 15px;">
							<strong>Google Analytics</strong><br /><br />
							Use Google Analytics to learn more about where your visitors come from and how they interact with your site. You'll get the information you need to write better ads, strengthen your marketing initiatives, and create higher-converting websites. Google Analytics is free to everyone, whether you are an advertiser, publisher, or site owner. Since the code provided may change, it is strongly suggested you refer to the documentation provided by Google at this link, http://code.google.com/apis/analytics/docs/ to make sure you are using the most up to date method for tracking.
							<br /><br /><b>Important</b> - Site tracking will not work until you replace the example tracking ID (UA-XXXXX-X) with an actual tracking ID provided to you when you sign up for Google Analytics.  Please do not activate this code until you have added your tracking ID.
							<br /><br /><a href="http://www.google.com/analytics/" target="_blank">Click here</a> for more information regarding Google Analytics.
							<br /><br /><a href="https://www.google.com/accounts/NewAccount?" target="_blank">Click here</a> to sign up for an account on Google. 
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Save changes"/>
				</div>
			</form>
		</div>
	</div>
	
	<div id="admin-tab-sheet-conversion" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<div class="admin-form-header first"><span class="icon ic-icon ic-google"></span>Analytics Conversion Tracking</div>
			<form name="frmConversion" action="admin.php?p=google_marketing" method="post">
				<input type="hidden" name="action" value="update_google_code"/>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption" style="padding-right:10px;width:545px;">
							<input id="ch_GoogleConversion" type="checkbox" value="YES" <?=$settings["GoogleConversionActive"]=='YES'?'checked="checked"':""?> name="GoogleConversionActive"/>Activate Conversion Tracking Code<br /><br />
							<textarea class="no-mce" wrap="off" cols="60" rows="8" style="height:400px;width:520px;" class="content" id="GoogleConversion" name="form[GoogleConversion]"><?=$c_code?></textarea>
						</td>
						<td style="border-left:1px solid #E0E0E0;padding:10px 15px;">
							<strong>Analytics Conversion Tracking</strong><br /><br />
							Before Google Analytics can begin to report ecommerce activity on your website, you must enable ecommerce tracking on the profile settings page for your website within Google Analytics. Once that is complete, you can activate the Conversion Tracking Code and start tracking conversions through Google Analytics. Google may change or update the code so it is strongly suggested you refer to the documentation provided by Google at this link, <a href="http://code.google.com/apis/analytics/docs/" target="_blank">http://code.google.com/apis/analytics/docs/</a> to be sure you are using the most up to date method for tracking.
							<br /><br />This code passes the following information over to Google Analytics for tracking purposes.
							<br /><br />Order ID
							<br />Tax
							<br />Shipping
							<br />City
							<br />State
							<br />Country
							<br /><br />Additionally this code will track individual items in each order including:
							<br /><br />Order ID - necessary to associate item with transaction
							<br />Product ID / SKU
							<br />Product name
							<br />Category
							<br />Unit price
							<br />Quantity
							<br /><br />You will have the option of removing per item tracking by removing the per item variables within this code. Please refer to Google Analytics documentation additional information.
							<br /><br /><b>Important</b> - Site tracking will not work until you replace the example tracking ID (UA-xxxxxxx) with an actual tracking ID provided to you when you sign up for Google Analytics.  Please do not activate this code until you have added your tracking ID.
							<br /><br /><a href="http://www.google.com/analytics/" target="_blank">Click here</a> for more information regarding Google Analytics.
							<br /><br /><a href="https://www.google.com/accounts/NewAccount?" target="_blank">Click here</a> to sign up for an account on Google.
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Save changes"/>
				</div>
			</form>
		</div>
	</div>
	
	
	<div id="admin-tab-sheet-adwords-conversion" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<div class="admin-form-header first"><span class="icon ic-icon ic-google"></span>Adwords Conversion Tracking</div>
			<form name="frmAdwordsConversion" action="admin.php?p=google_marketing" method="post">
				<input type="hidden" name="action" value="update_google_code"/>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
					<tr valign="top">
						<td class="formItemCaption" style="padding-right:10px;width:545px;">
							<input id="ch_GoogleAdwordsConversion" type="checkbox" value="YES" <?=$settings["GoogleAdwordsConversionActive"]=='YES'?'checked="checked"':""?> name="GoogleAdwordsConversionActive"/>Activate Adwords Conversion Tracking Code<br /><br />
							<textarea class="no-mce" wrap="off" cols="60" rows="8" style="height:200px;width:520px;" class="content" id="GoogleAdwordsConversion" name="form[GoogleAdwordsConversion]"><?=$ac_code?></textarea>
						</td>
						<td style="border-left:1px solid #E0E0E0;padding:10px 15px;">
							<strong>Adwords Conversion Tracking</strong><br />
							<br />To begin to tracking Adwords conversions you will need to sign up for a Google Adwords Account. Once you have an account you will need to activate "Conversion Tracking" within the Adwords Account management area and paste the code provided to you in the text box on the left.
							<br /><br />For additional information on Adwords conversion tracking, please reference the help files found within your Google Adwords Management area.
							<br /><br /><a href="https://www.google.com/accounts/NewAccount?" target="_blank">Click here</a> to sign up for an account on Google.
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Save changes"/>
				</div>
			</form>
		</div>
	</div>
	<div id="admin-tab-sheet-sitemap" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<div class="admin-form-header first"><span class="icon ic-icon ic-google"></span>Sitemap Export</div>
			<?php
				$sitemap = new plugin_google_site_maps();
				$sitemap->runPlugin($db, $settings, $_REQUEST);
			?>
			&nbsp;
		</div>
	</div>
</div>
<?php
	}
?>
