<?php
	if (!defined("ENV")) exit();
	$now_year = date("Y");
	$now_month = date("n");
	$now_day = date("j");

	pageHeader("Welcome to ".$label_app_name."!", "", "ic_home.gif");
	$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."orders WHERE status='Process' AND removed='No'");
	$db->moveNext();
	$order_count = $db->col["c"];
	$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."users WHERE login <> 'ExpressCheckoutUser'");
	$db->moveNext();
	$users_count = $db->col["c"];

	$mysql_from =  $now_year."-".$now_month."-".$now_day." 00:00:01";
	$mysql_to =  $now_year."-".$now_month."-".$now_day." 23:59:59";
	$db->query("
		SELECT SUM(total_amount) AS c FROM ".DB_PREFIX."orders
		WHERE
			removed = 'No'
			AND status_date BETWEEN '".$mysql_from."' AND  '".$mysql_to."'
			AND status NOT IN ('Abandon', 'Canceled', 'New', 'Failed', 'Yes')
	");
	$db->moveNext();
	$sales_today = $db->col["c"];

	$mysql_from =  $now_year."-".$now_month."-1 00:00:01";
	$mysql_to =  $now_year."-".$now_month."-".date("t")." 23:59:59";
	$db->query("
		SELECT SUM(total_amount) AS c FROM ".DB_PREFIX."orders
		WHERE removed='No' AND status_date >= '".$mysql_from."' AND status_date <= '".$mysql_to."'
			AND status='Completed' AND payment_status='Received'
	");
	$db->moveNext();
	$sales_month = $db->col["c"];

	$db_tables = $db->getTablesStatus();

	$pro_count = $db_tables[DB_PREFIX."products"]["Rows"];
	$admins_count = $db_tables[DB_PREFIX."admins"]["Rows"];
?>
<script type="text/javascript"><!--
	function resizeGraph(){
		var graphImage = document.getElementById("graphImage");
		var graphMeter = document.getElementById("graphMeter");
		if(graphImage && graphMeter){
			var newWidth = graphMeter.width - 80;
			graphImage.src='admin.php?p=charts&chart=true&mode=sales_by_month&mini=true&chart_width=' + newWidth + '&chart_height=' + graphImage.height;
		}
	}
--></script>


<table width="100%" cellpadding="0" cellspacing="10" border="0">
	<tr valign="top">
		<td width="180" style="width:180px;paddisng-right:10px;padding-lesft:30px;padsding-top:20px;">
			<div style="border:1px solid #999999;margin-bottom:10px;">
				<div style="padding:5px;background-color:#D8D8D8;text-align:center;color:black;font-size:12px;">New Orders</div>
				<div style="padding:6px;text-align:center;font-size:16px;font-weight:bold;color:#777777;"><?=$order_count?></div>
			</div>

			<div style="border:1px solid #999999;margin-bottom:10px;">
				<div style="padding:5px;background-color:#D8D8D8;text-align:center;color:black;font-size:12px;">Sales Today</div>
				<div style="padding:6px;text-align:center;font-size:16px;font-weight:bold;color:#777777;"><?=getAdminPrice($sales_today)?></div>
			</div>

			<div style="border:1px solid #999999;margin-bottom:10px;">
				<div style="padding:5px;background-color:#D8D8D8;text-align:center;color:black;font-size:12px;">Sales This Month</div>
				<div style="padding:6px;text-align:center;font-size:16px;font-weight:bold;color:#777777;"><?=getAdminPrice($sales_month)?></div>
			</div>

			<div style="border:1px solid #999999;margin-bottom:10px;">
				<div style="padding:5px;background-color:#D8D8D8;text-align:center;color:black;font-size:12px;">Products in Store</div>
				<div style="padding:6px;text-align:center;font-size:16px;font-weight:bold;color:#777777;"><?=$pro_count?></div>
			</div>

			<div style="border:1px solid #999999;margin-bottom:10px;">
				<div style="padding:5px;background-color:#D8D8D8;text-align:center;color:black;font-size:12px;">Registered Users</div>
				<div style="padding:6px;text-align:center;font-size:16px;font-weight:bold;color:#777777;"><?=$users_count?></div>
			</div>
			<img src="images/zerro.gif" width="180" height="1"/>
		</td>
		<td>
<?
	pageTabs(array(
		array("title"=>"Statistics", "id"=>"Stats", "active"=>true, "width"=>70),
		array("title"=>"Recent Orders", "id"=>"Orders", "active"=>false, "width"=>70, "visible"=>true),
		array("title"=>"Last Users", "id"=>"Users", "active"=>false, "width"=>70, "visible"=>true),
	));
?>
<div id="idTabSheetStats" class="sheetActive">
<?	if(isPrivilege($auth_rights, array("all", "stats"))){
		if(function_exists("imagepng")){
?>
			<div style="padding-left:30px;padding-top:30px;"><img id="graphImage" src="admin.php?p=charts&chart=true&mode=sales_by_month&mini=true&chart_width=600&chart_height=260" border="0" height="260"/></div>

<?		}
		else{?>
<div style="border:1px solid black;height:136px;padding:20px;text-align:center;"><b>Please note: sales chart can not be displayed because your PHP installation does not support GD Lib</b>.<p>To get more information, please refer to PHP documentation</p></div>
<?		}
	}
	else{
		echo "&nbsp;";
	}?>
</div>
<div id="idTabSheetOrders" class="sheetUnactive" style="height:303px;">
	<table cellpadding="0" cellspacing="5" border="0" width="100%">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"/></div>
				<div class="formHeaderText">Last 7 Orders</div>
			</td>
		</tr>
	</table>
	<table width="100%" cellpadding="5" cellspacing="0" border="0">
		<tr>
			<td class="formListHeaderIcon">&nbsp;</td>
			<td class="formListHeaderCaption" style="width:80px;">Order ID</td>
			<td class="formListHeaderCaption" style="width:160px;">Customer's Name</td>
			<td class="formListHeaderCaption" style="width:160px;">Last Update</td>
			<td class="formListHeaderCaption" style="width:150px;">Amount</td>
			<td class="formListHeaderCaption">&nbsp;</td>
		</tr>
<?
		$db->query("
			SELECT ".DB_PREFIX."orders.*, ".DB_PREFIX."users.*, DATE_FORMAT(status_date, '".$settings["LocalizationDateTimeFormat"]."') AS sd
			FROM ".DB_PREFIX."orders
			LEFT JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid=".DB_PREFIX."orders.uid
			WHERE ".DB_PREFIX."orders.status <> 'Abandon' AND ".DB_PREFIX."orders.status <> 'New' AND order_num > 0 AND ".DB_PREFIX."orders.status <> 'Failed' AND ".DB_PREFIX."orders.removed <> 'Yes'
			ORDER BY ".DB_PREFIX."orders.oid DESC
			LIMIT 7
		");
		if($db->numRows() > 0){
			while($db->moveNext()){
				$b1 = $db->col["status"] == "Completed" && $db->col["payment_status"] == "Received" ? "" : "<b>";
				$b2 = $db->col["status"] == "Completed" && $db->col["payment_status"] == "Received" ? "" : "</b>";
?>
		<tr>
			<td class="formListItemIcon">&nbsp;</td>
			<td class="formListItemText"><?=$b1?><?=$db->col["order_num"]?><?=$b2?></td>
			<td class="formListItemText"><?=$b1?><a href="admin.php?p=order&oid=<?=$db->col["oid"]?>"><?=htmlspecialchars($db->col["fname"]." ".$db->col["lname"])?></a><?=$b2?></td>
			<td class="formListItemText"><?=$b1?><?=$db->col["sd"]?><?=$b2?></td>
			<td class="formListItemText"><?=$b1?><?=getAdminPrice($db->col["total_amount"])?><?=$b2?></td>
			<td class="formListItemText"><a href="admin.php?p=order&oid=<?=$db->col["oid"]?>"><img src="images/icons/ic_change_text.gif" border="0"/></a></td>
		</tr>
<?			}?>
		<tr>
			<td class="formListItemIcon">&nbsp;</td>
			<td colspan="5"><a href="admin.php?p=orders">Click to Browse Your Orders</a></td>
		</tr>
<?
		}
		else{?>
		<tr>
			<td colspan="6" class="formListEmpty">There are no orders.</td>
		</tr>
<?		}
?>
	</table>
</div>
<div id="idTabSheetUsers" class="sheetUnactive" style="height:303px;">
	<table cellpadding="0" cellspacing="5" border="0" width="100%">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"/></div>
				<div class="formHeaderText">Last 7 Users</div>
			</td>
		</tr>
	</table>
	<table width="100%" cellpadding="5" cellspacing="0" border="0">
		<tr>
			<td class="formListHeaderIcon">&nbsp;</td>
			<td class="formListHeaderCaption" style="width:80px;">Username</td>
			<td class="formListHeaderCaption" style="width:160px;">First &amp; Last Name</td>
			<td class="formListHeaderCaption" style="width:160px;">Last Action</td>
			<td class="formListHeaderCaption" style="width:150px;">Email</td>
			<td class="formListHeaderCaption">&nbsp;</td>
		</tr>
<?
		$db->query("SELECT *, DATE_FORMAT(session_date, '".$settings["LocalizationDateTimeFormat"]."') AS la FROM ".DB_PREFIX."users WHERE login <> 'ExpressCheckoutUser' ORDER BY ".DB_PREFIX."users.uid DESC LIMIT 7");
		if($db->numRows() > 0){
			while($db->moveNext()){
?>
		<tr>
			<td class="formListItemIcon">&nbsp;</td>
			<td class="formListItemText"><?=htmlspecialchars($db->col["login"])?></td>
			<td class="formListItemText"><a href="admin.php?p=users&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["fname"]." ".$db->col["lname"])?></a></td>
			<td class="formListItemText"><?=htmlspecialchars($db->col["la"])?></td>
			<td class="formListItemText"><?=htmlspecialchars($db->col["email"])?></td>
			<td class="formListItemText"><a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><img src="images/icons/ic_change_text.gif" border="0"/></a></td>
		</tr>
<?			}?>
		<tr>
			<td class="formListItemIcon">&nbsp;</td>
			<td colspan="5"><a href="admin.php?p=users">Click to Browse Your Users</a></td>
		</tr>
<?
		}
		else{?>
		<tr>
			<td colspan="6" class="formListEmpty">There are no users.</td>
		</tr>
<?		}
?>

	</table>
</div>
<img src="images/zerro.gif" id="graphMeter" width="100%" height="1"/>
<script language="javascript" type="text/javascript">
	//document.body.onload=resizeGraph;
	var graphMeterWidth = 0;
	function checkResize(){
		var gm = document.getElementById("graphMeter");
		if(gm){
			if(gm.width != graphMeterWidth){
				resizeGraph();
				graphMeterWidth = gm.width;
			}
		}
	}
	setInterval('checkResize();', 1000);
</script>
		</td>
	</tr>

<?
	if(isPrivilege($auth_rights, array("all", "global"))){
		require_once("content/classes/class.update-client.php");
		$xmlParser = new XMLParser();
		$updateClient = new updateClient($db, $xmlParser);
		$fixes= $updateClient->checkForUpdates($update_script_url, LICENSE_NUMBER, $settings["AppVer"], $settings["AppEncoder"]);

		$is_info_line = false;

		if($fixes && $updateClient->new_updates){
			echo '<tr><td colspan="2">';
			echo "<div style=\"background-color:#ffffcc;height:40px;padding:10px;padding-right:10px;border:1px solid black;\"><img src=\"images/icons_middle/ic_updates.gif\" hspace=\"0\" align=\"right\"><b>Updates are avaliable</b><br>".'<img src="images/icons/ic_arrow_right.gif" align="left" vspace="2" hspace="2">'."<a href=\"admin.php?p=update\" style=\"color:blue\">Please click here for more information</a></div>";
			echo '</td></td>';
			$is_info_line = true;
		}

		if(($dfs = disk_free_space($settings["GlobalServerPath"])) < 1024*1024*20){
			echo '<tr><td colspan="2">';
			echo "<div style=\"background-color:#ffcccc;height:40px;padding:10px;padding-right:10px;border:1px solid black;\"><img src=\"images/icons_middle/ic_error.gif\" hspace=\"0\" align=\"right\"><b>Amount of free disk space has reached critical size of. ".round($dfs / 1024 / 1024)." Mb.</b><br>".'<img src="images/icons/ic_arrow_right.gif" align="left" vspace="2" hspace="2">'."Please remove unused files OR increase your available disk space quota</div>";
			echo '</td></td>';
			$is_info_line = true;
		}
		if($is_info_line) echo '<tr><td colspan="2">&nbsp;</td></tr>';
	}
?>


</table>
</div>




<div class="settingsSpace" style="padding-top:0px;">
<!--------------------------->
<!--CATEGORIES AND PRODUCTS-->
	<div class="settingsItem" style="height:200px;">
		<div>
			<div style="width:36px;float:left;"><img src="images/icons_big/cubes.gif"/></div>
			<div style="float:left;padding:5px;font-weight:bold;">Categories & Products</div>
		</div>
		<div style="clear:both;padding-left:36px;">
<?	if(isPrivilege($auth_rights, array("all", "products"))){?>
			<li><a href="admin.php?p=products">Manage Products</a></li>
			<li><a href="admin.php?p=product&mode=insert">Add a New Product</a></li>
<?	}
	else{?>
			<li><font color="gray">Manage Products</font></li>
			<li><font color="gray">Add a New Product</font></li>
<?	}?>
<?	if(isPrivilege($auth_rights, array("all", "categories"))){?>
			<li><a href="admin.php?p=categories">Manage Categories</a></li>
			<li><a href="admin.php?p=category&mode=insert">Add a New Category</a></li>
<?	}
	else{?>
			<li><font color="gray">Manage Categories</font></li>
			<li><font color="gray">Add a New Category</font></li>
<?	}?>
<?	if(isPrivilege($auth_rights, array("all", "products"))){?>
			<li><a href="admin.php?p=manufacturers">Manufacturers</a></li>
			<li><a href="admin.php?p=bulk_products">Bulk Product Loader</a></li>
			<li><a href="admin.php?p=bulk_images">Bulk Image Loader</a></li>
			<li><a href="admin.php?p=thumbs_generator">Thumbnail Generator</a></li>
			<li><a href="admin.php?p=products_attributes">Global Attributes</a></li>
			<li><a href="admin.php?p=products_families">Recommended Products</a></li>
			<li><a href="admin.php?p=products_reviews">Product Reviews</a></li>
			<li><a href="admin.php?p=plugin&plugin_id=gift_cert">Gift Certificates</a></li>
<?	}
	else{?>
			<li><font color="gray">Manufacturers</font></li>
			<li><font color="gray">Bulk Product Loader</font></li>
			<li><font color="gray">Bulk Image Loader</font></li>
			<li><font color="gray">Thumbnail Generator</font></li>
			<li><font color="gray">Global Attributes</font></li>
			<li><font color="gray">Recommended Attributes</font></li>
			<li><font color="gray">Product Reviews</a></li>
			<li><font color="gray">Gift Certificates</a></li>
<?	}?>
		</div>
	</div>

<!--------------------------->
<!--EMAILS-->
	<div class="settingsItem" style="height:200px;">
		<div>
			<div style="width:36px;float:left;"><img src="images/icons_big/email.gif"/></div>
			<div style="float:left;padding:5px;font-weight:bold;">Manage Emails</div>
		</div>
		<div style="clear:both;padding-left:36px;">
<?	if(isPrivilege($auth_rights, array("all", "emails"))){?>
			<li><a href="admin.php?p=email_newsletter">Newsletter Email Wizard</a></li>
			<li><a href="admin.php?p=email_updates">Product Update Email Wizard</a></li>
			<li><a href="admin.php?p=email_archive">Sent Email Archive</a></li>
			<li><a href="admin.php?p=email_top_bottom">Default Email Top & Bottom</a></li>
			<li><a href="admin.php?p=email_notifications">Notification Emails</a></li>
			<li><a href="admin.php?p=email_list">Manage Subscriber Emails</a></li>
			<li><a href="admin.php?p=emails_import">Import Emails</a></li>
			<li><a href="admin.php?p=users_emails&mode=users">Export User Emails</a></li>
			<li><a href="admin.php?p=users_emails&mode=subscribers">Export Subscriber Emails</a></li>
			<li><a href="admin.php?p=email_check">Check Bounced Emails</a></li>
<?	}
	else{?>
			<li><font color="gray">Newsletter Email Wizard</font></li>
			<li><font color="gray">Product Update Email Wizard</font></li>
			<li><font color="gray">Sent Email Archive</font></li>
			<li><font color="gray">Default Email Top & Bottom</font></li>
			<li><font color="gray">Notification Emails</font></li>
			<li><font color="gray">Manage Subscriber Emails</font></li>
			<li><font color="gray">Import Email Adresses</font></li>
			<li><font color="gray">Export User Emails</font></li>
			<li><font color="gray">Export Subscriber Emails</font></li>
			<li><font color="gray">Check Bounced Emails</font></li>
<?	}?>
		</div>
	</div>

<!--------------------------->
<!--CART SETTINGS-->

	<div class="settingsItem" style="height:200px;">
		<div>
			<div style="width:36px;float:left;"><img src="images/icons_big/settings.gif"/></div>
			<div style="float:left;padding:5px;font-weight:bold;">Cart Settings</div>
		</div>
		<div style="clear:both;padding-left:36px;">
<?	if(isPrivilege($auth_rights, array("all", "global"))){?>
<script type="text/javascript" language="JavaScript">
function showExpressSetupWindow(){
	var bWin = null;
	bWin = window.open(
		"admin.php?p=express_setup&printing=true",
		"ExpressSetupWind",
		//"dialogWidth:690px;dialogHeight:560px;help:no;status:no;scroll:yes;resizable:yes;"
		"titlebar=no, toolbar=no, menubar=no, status=no, directories=no, resizable=no, scrollbars=yes, top=20, left=20, width=640, height=505"
	);
	while(bWin==null);
	bWin.focus();
}
</script>
			<li><a href="admin.php?p=settings">Global Cart Settings</a></li>
<?	}
	else{?>
			<li><font color="gray">Global Cart Settings</font></li>
<?	}
	if(isPrivilege($auth_rights, array("all", "global"))){?>
			<li><a href="admin.php?p=payment_methods">Payment Methods</a></li>
			<li><a href="admin.php?p=shipping">Shipping Management</a></li>
			<li><a href="admin.php?p=taxes">Edit Taxes</a></li>
			<li><a href="admin.php?p=discounts">Edit Discounts</a></li>
			<li><a href="admin.php?p=affiliate">Affiliate Integration</a></li>
<?	}
	else{?>
			<li><font color="gray">Payment Methods</font></li>
			<li><font color="gray">Shipping Management</font></li>
			<li><font color="gray">Edit Taxes</font></li>
			<li><font color="gray">Edit Discounts</font></li>
			<li><font color="gray">Affiliate Integration</font></li>
<?	}
	if(isPrivilege($auth_rights, array("all", "content"))){?>

 			<li><a href="admin.php?p=design_settings">Appearance Settings</a></li>
			<li><a href="admin.php?p=pages">Edit Text Pages</a></li>
			<li><a href="admin.php?p=filemanager">File Manager</a></li>
<?	}
	else{?>
			<li><font color="gray">Appearance Settings</font></li>
			<li><font color="gray">Edit Text Pages</font></li>
			<li><font color="gray">File Manager</font></li>
<?	}
	if(isPrivilege($auth_rights, array("all", "export"))){?>
			<li><a href="admin.php?p=backup_restore">Database & Back-up Tools</a></li>
<?	}
	else{?>
			<li><font color="gray">Database & Back-up Tools</font></li>
<?	}
	if(isPrivilege($auth_rights, array("all", "global"))){?>
			<li><a href="javascript:showExpressSetupWindow()"><b>Express Setup Wizard</b></a><br/>&nbsp;</li>
<?	}?>
		</div>
	</div>

<!--------------------------->
<!--MARKETING-->
	<div class="settingsItem" style="height:200px;">
		<div>
			<div style="width:36px;float:left;"><img src="images/icons_big/marketing.gif"/></div>
			<div style="float:left;padding:5px;font-weight:bold;">Marketing</div>
		</div>
		<div style="clear:both;padding-left:36px;">
<?	if(isPrivilege($auth_rights, array("all", "marketing"))){?>
			<li><a href="admin.php?p=google_marketing">Google</a></li>
			<!--<li><a href="admin.php?p=export_altura">Altura Data Feed</a></li>-->
			<li><a href="admin.php?p=export_shopzilla">Shopzilla Data Feed</a></li>
<?	}
	else{?>
			<li><font color="gray">Google</font></li>
			<!--<li><font color="gray">Altura Data Feed</font></li>-->
			<li><font color="gray">Shopzilla Data Feed</font></li>
<?	}?>
<?	if(isPrivilege($auth_rights, array("all", "marketing"))){?>
			<li><a href="admin.php?p=sale_prices">Sale Prices</a></li>
			<li><a href="admin.php?p=affiliate">iDev Affiliate Integration</a></li>
<?	}
	else{?>
			<li><font color="gray">Sale Prices</font></li>
			<li><font color="gray">iDev Affiliate Integration</font></li>
<?	}?>
<?	if(isPrivilege($auth_rights, array("all", "marketing"))){?>
			<li><a href="admin.php?p=plugins">Cart Plug-ins</a></li>
<?	}
	else{?>
			<li><font color="gray">Cart Plug-ins</font></li>
<?	}?>
		</div>
	</div>

<!--------------------------->
<!--USER AND ORDERS-->
	<div class="settingsItem" style="height:200px;">
		<div>
			<div style="width:36px;float:left;"><img src="images/icons_big/boxe.gif"/></div>
			<div style="float:left;padding:5px;font-weight:bold;">Users & Orders</div>
		</div>
		<div style="clear:both;padding-left:36px;">
<?	if(isPrivilege($auth_rights, array("all", "users"))){?>
			<li><a href="admin.php?p=users">Browse Users</a></li>
<?	}
	else{?>
			<li><font color="gray">Browse Users</font></li>
<?	}?>
<?	if(isPrivilege($auth_rights, array("all", "orders"))){?>
			<li><a href="admin.php?p=orders">Browse Orders</a></li>
			<li><a href="admin.php?p=export_quickbooks">Export to QuickBooks</a></li>
<?	}
	else{?>
			<li><font color="gray">Browse Orders</font></li>
			<li><font color="gray">Export to QuickBooks</font></li>
<?	}?>
		</div>
	</div>

<!--------------------------->
<!--ADMINS---->
	<div class="settingsItem" style="height:200px;">
		<div>
			<div style="width:36px;float:left;"><img src="images/icons_big/admins.gif"/></div>
			<div style="float:left;padding:5px;font-weight:bold;">Manage Admins</div>
		</div>
		<div style="clear:both;padding-left:36px;">
<?	if(isPrivilege($auth_rights, array("all", "admins"))){?>
			<li><a href="admin.php?p=admins">Browse Administrators</a></li>
			<li><a href="admin.php?p=admin&mode=insert">Create a New Account</a></li>
			<li><a href="admin.php?p=admins_log">Activity Log</a></li>
<?	}
	else{?>
			<li><font color="gray">Browse Administrators</font></li>
			<li><font color="gray">Create a New Account</font></li>
			<li><font color="gray">Activity Log</font></li>
<?	}?>
			<li><a href="admin.php?p=profile">Update Your Profile</a></li>
		</div>
	</div>


<!--------------------------->
<!--REPORTS-->
	<div class="settingsItem" style="height:200px;">
		<div>
			<div style="width:36px;float:left;"><img src="images/icons_big/stats.gif"/></div>
			<div style="float:left;padding:5px;font-weight:bold;">Reports</div>
		</div>
		<div style="clear:both;padding-left:36px;">
<?	if(isPrivilege($auth_rights, array("all", "reports"))){?>
			<li><a href="admin.php?p=stats_charts">Charts</a></li>
			<li><a href="admin.php?p=reports">Reports</a></li>
<?	}
	else{?>
			<li><font color="gray">Charts</font></li>
			<li><font color="gray">Reports</font></li>
<?	}?>
		</div>
	</div>

</div>