<?php
	if (!defined("ENV")) exit();
	loadJS("languages.js");
	$action = isset($action)?$action:"";
	$mode = isset($mode)?$mode:"insert";
	$language_id = isset($language_id)?$language_id:"";
	$cat_id = isset($cat_id)?$cat_id:"";
	
	require_once("content/classes/class.languages.php");
	$lang = new Language($db);
	
	$lang->loadTemplate();
	
	$cat_id = array_key_exists($cat_id, $lang->categories)?$cat_id:"common";
	
	switch($action){
		case "add" : {
			break;
		}
		case "save_changes" : {
			$current_cat_id = isset($current_cat_id)?$current_cat_id:"";
			$current_cat_id = array_key_exists($current_cat_id, $lang->categories)?$current_cat_id:"common";
			$edit_msg = isset($_REQUEST["edit_msg"])?$_REQUEST["edit_msg"]:array();
			$lang->saveMessages($language_id, $current_cat_id, $edit_msg);
			$lang->updateLanguage($language_id, $_POST);
			$lang->getLanguages();
			break;
		}
	}
/*******************************
	UPDATE LANGUAGE
*******************************/
	if($mode == "update" && array_key_exists($language_id, $lang->languages)){
		$messages = $lang->getMessages($language_id, $cat_id);
		pageHeader("Update Language - ".$lang->languages[$language_id]["name"], "", "");
		pageNote(array(
			array("icon"=>"ic_hint.gif","url"=>"","text"=>"Messages that your users see are grouped into categories corresponding to the area of your store.<br>Use this page to edit the messages corresponding to the language and category shown.", "visible"=>true),
			array("icon"=>"ic_globe.gif","url"=>"admin.php?p=localization&last_active_tab=idTabSheetLanguage","text"=>"<b>Return To Languages Management Page</b>", "visible"=>true)
		));
		pageTabs(array(
			array("title"=>"Change Language Properties", "id"=>"Main", "active"=>true, "width"=>200),
		));
?>
<script language="javaScript">
	var isChanges = false;
	var isSettingsChanges = false;
	function changeCategory(select){
		if(isChanges || isSettingsChanges){
			if(confirm("You have made languge settings changes or changed at least one message.\nDo you want to continue without saving changes?")){
				document.location='admin.php?p=language&mode=update&language_id=<?=$language_id?>&cat_id=' + select.value;
			}
		}
		else{
			document.location='admin.php?p=language&mode=update&language_id=<?=$language_id?>&cat_id=' + select.value;
		}
	}
</script>
<form name="frmLanguage" method="post" action="admin.php?p=language&mode=update&language_id=<?=$language_id?>">
	<input type="hidden" name="action" value="save_changes">	
	<input type="hidden" name="language_id" value="<?=$language_id?>">
	<input type="hidden" name="current_cat_id" value="<?=$cat_id?>">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_globe.gif"></div>
				<div class="formHeaderText">Current Language: <?=htmlspecialchars($lang->languages[$language_id]["name"])?></div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Language Name</b></td>
			<td class="formItemControl"><input type="text" name="name" onchange="isSettingsChanges=true;" style="width:250px;" value="<?=htmlspecialchars($lang->languages[$language_id]["name"])?>"/></td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Language Code</b></td>
			<td class="formItemControl"><input type="text" name="code" onchange="isSettingsChanges=true;" style="width:250px;" value="<?=gs($lang->languages[$language_id]["code"])?>"/></td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Is this Language Active</td>
			<td class="formItemControl">
<?	if($lang->languages[$language_id]["is_default"] == "Yes"){?>
				<input type="checkbox" checked disabled>
				<input type="hidden" name="is_active" value="Yes">
<?	}
	else{?>
				<input type="checkbox" name="is_active" onchange="isSettingsChanges=true;"  value="Yes" <?=$lang->languages[$language_id]["is_active"]=="Yes"?"checked":""?>>
<?	}?>
			</td>
		</tr>
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"></div>
				<div class="formHeaderText">Edit Messages Below</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Message Category</td>
			<td class="formItemControl">
				<select name="cat_id" onChange="changeCategory(this)" style="width:250px;">
<?		foreach($lang->categories as $cat_data){
			$cat_id = $cat_id == ""?$cat_data["id"]:$cat_id;
?>
					<option value="<?=$cat_data["id"]?>" <?=$cat_data["id"]==$cat_id?"selected":""?>><?=$cat_data["name"]?></option>
<?		}?>
				</select>
			</td>
		</tr>
	</table>
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
	
<?		$i = 0;
		foreach($messages as $msg_key => $msg_data){?>
		<tr> 
			<td>
				<div style="font-family:courier;padding:10px;background-color:#fffff0;border:1px solid #eeeeee"><?=htmlspecialchars($msg_data["template"])?><br/>
					<textarea class="no-mce" style="width:100%;height:50;" name="edit_msg[<?=$msg_data["key"]?>]" onChange="isChanges=true;"><?=htmlspecialchars($msg_data["message"])?></textarea>
				</div>
			</td>
		</tr>	
<?			$i++;
		}?>
	</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp; 
	<input type="image" src="images/admin/bt_reset_form.gif" onClick="document.forms['frmLangMessages'].reset();return false;">
</div>
</form>
<?	}
/*******************************
	INSERT LANGUAGE
*******************************/

	if($mode == "insert"){
		pageHeader("Add / Create Language", "", "");
		pageNote(array(
			array("icon"=>"ic_hint.gif","url"=>"","text"=>"This area is for adding a new language template. If you have a template file compatable with this cart, you can choose to upload it here.<br/> Otherwise, once you have named the template you will be returned to the main language template page,<br/>where you can choose \"Edit\" to enter in the template.", "visible"=>true),
			array("icon"=>"ic_globe.gif","url"=>"admin.php?p=localization&last_active_tab=idTabSheetLanguage","text"=>"<b>Return To Languages Management Page</b>", "visible"=>true)
		));
		pageTabs(array(
			array("title"=>"Set New Language Properties", "id"=>"Main", "active"=>true, "width"=>200),
		));
?>
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<input type="hidden" name="action" value="add_language">	
	<form name="frmLangInsert" method="post" action="admin.php?p=language_process" onSubmit="return checkLanguageForm(this);" enctype="multipart/form-data">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_globe.gif"></div>
				<div class="formHeaderText">Add New Language</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Language Name</b></td>
			<td class="formItemControl"><input type="text" name="name" style="width:250px;"/></td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Language Code</b></td>
			<td class="formItemControl"><input type="text" name="code" style="width:250px;"/></td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Is this Language Active?</td>
			<td class="formItemControl">
				<input type="checkbox" name="is_active" onchange="isSettingsChanges=true;" value="Yes">
			</td>
		</tr>
		
		<tr valign="top">
			<td class="formItemCaption" style="padding-left:22px;">
				<input type="radio" name="create_method" value="base" checked="checked" id="create_method_tamplate">
				<label for="create_method_tamplate">Use existings language as a base</label>
			</td>
			<td class="formItemControl">
				<select name="language_base" style="width:250px;">
					<option value="_template">Use language template</option>
<?	foreach($lang->languages as $key=>$lang_data){?>
					<option value="<?=$lang_data["code"]?>"><?=$lang_data["name"]?></option>
<?	}?>
				</select>
				<div class="formItemComment">
					Please select the Base Language for the template.
					The Base Language will be the language that will appear initally.<br/>
					You can edit the Base Language once the template is created.
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption" style="padding-left:22px;">
				<input type="radio" name="create_method" value="file" id="create_method_file"/>
				<label for="create_method_file">Upload Language File</label>
			</td>
			<td class="formItemControl">
				<input type="file" name="new_file" style="width:250px;">
				<div class="formItemComment">
					Uploading language files is a quick and easy way to make global changes to 
					an existing Language Template.<br/>The uploaded file must be compatiable with
					this cart for it to work correctly.
				</div>
			</td>
		</tr>
	</table>
</div>
<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp; 
	<input type="image" src="images/admin/bt_reset_form.gif" onClick="document.forms['frmLangMessages'].reset();return false;">
</div>
</form>
<?
	}
?>

