<?php
	if (!defined("ENV")) exit();

	$tiny_mce_pages = array("category", "email_newsletter", "email_updates", "email_top_bottom", "page", "payment_method", "product", "plugin");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title><?=$label_app_name?> Administrator Area</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/ui/themes/smoothness/smoothness.css" />
	<link rel="stylesheet" type="text/css" href="content/vendors/jquery/thickbox/thickbox.css" />
	<link rel="stylesheet" type="text/css" href="content/admin/styles/admin.css?378" />
	<link rel="stylesheet" type="text/css" href="content/admin/styles/quick_start_guide.css" />
	<!--[if gte IE 6]>
	<style type="text/css">
	.quick-start-guide-footer ul li {display: inline;}
	</style>
	<![endif]-->
	<script type="text/javascript" language="JavaScript" src="content/vendors/json/json2-min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/jquery-1.5.1.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/ui/jquery-ui-1.8.9.custom.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/qtip/jquery.qtip-1.0.min.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/vendors/jquery/thickbox/thickbox.js"></script>

<?php
	if (in_array($p, $tiny_mce_pages))
	{
?>
	<script type="text/javascript" language="JavaScript" src="content/vendors/tiny_mce/tiny_mce.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/tiny_mce_common.php"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/mcfilemanager_common.php"></script>
<?php
	}
?>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/jquery.ddm.core.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/common.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/menus.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/kb.js"></script>
	<script type="text/javascript" language="JavaScript" src="content/admin/javascript/quick_start_guide.js"></script>
	<script type="text/javascript" language="JavaScript">
		var GlobalHttpUrl = "<?php echo $settings["GlobalHttpUrl"]; ?>";
		var GlobalHttpsUrl = "<?php echo $settings["GlobalHttpsUrl"]; ?>";
		var hideMenus = <?php echo $hidemenus = isset($hidemenus)? 1 : 0; ?>;
		var autoOpenQuickStartGuide = <?php echo (!defined('DEMO_MODE') || !DEMO_MODE) && (isPrivilege($auth_rights, array("all"))) && (!defined('DEMO_LOCK') || !DEMO_LOCK) && ($p == "" || $p == "home") && $admin["display_quickstart"] == 1 ? 1 : 0; ?>;
		var adminAutoLogoutTimeInMinutes =  <?php echo $settings["SecurityAdminTimeOut"]; ?>;
		var isFederated = <?php echo (isset($_SESSION["admin_federated"]) ? 1 : 0); ?>;
	</script>
</head>
<body>
	<div id="divAutoLogout" class="hidden" style="width:100%;">
		<div style="width:100%;">
			<div style="text-align:center;font-size:18px;padding:20px;font-weight:bold;color:black;">Your session expires in <span id="spanLogoutCountdown">xx</span> seconds</div>
			<div style="text-align:center;padding:15px;">
				<input type="button" id="buttonAutoLogoutNow" value="Logout now"> &nbsp;
				<input type="button" id="buttonAutoLogoutCancel" value="Keep me logged in">
			</div>
		</div>
	</div>
	<div id="divHeader" style="min-width:1000px;">
		<div class="logo"><a href="admin.php?p=home"><img src="images/admin/logo.gif" border="0"/></a></div>
		<div class="menu">
<?php
	/**
	 * Show top menu
	 */
	require("content/admin/admin_build_menu.php");
	foreach($topMenuButtons as $buttonId=>$data)
	{
?>
			<div class="button <?php echo $buttonId; ?>" id="<?php echo $buttonId; ?>"><?php echo $data["title"]; ?>
			</div>
<?php
	}
?>
		</div>
		<div class="right">
			<table cellpadding="0" cellspacing="0" border="0" width="180">
				<tr>
					<td>
						<div class="logout">
							<a style="" href="javascript:confirmLogout()">
								Log-out <img src="images/admin/bt_logout.gif" align="absmiddle" border="0" hspace="0" alt="Logout">
							</a>
							<form name="frmLogout" id="frmLogout" action="login.php" method="POST">
								<input type="hidden" name="action" value="logout"/>
							</form>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<div class="links">
<?php
	if ((!defined('DEMO_MODE') || !DEMO_MODE) && (!defined('DEMO_LOCK') || !DEMO_LOCK) && isPrivilege($auth_rights, array("all")))
	{
?>
				<a id="quick-start-guide-link" href="#">Quick Start Guide</a>
<?php
		echo !IS_LABEL ? " | " : "";
	}
	if (!IS_LABEL)
	{
?>
				<a id="video-tutorials-link" href="#">Video Tutorials</a>
<?php
	}
?>
						</div>
					</td>
				</tr>
			</table>
		</div>
	</div>
<?php
/**
<!-- TODO: Remove for final release-->
<!-- begin beta bug tracker -->
<style type="text/css">
	#bugTracker a:link,
	#bugTracker a:visited,
	#bugTracker a:hover { color: #ffc; }
</style>
<!-- end beta bug tracker -->
**/
?>
	<div id="divTopLine">
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr>
				<td class="left">
					<?php echo htmlspecialchars($label_app_name); ?> Version
					<?php echo $settings["AppVer"]; ?>
					<?php echo $iono->level == 99 ? " - <b>TRIAL CART</b>" : ""; ?>
					<?php echo $_SERVER["SERVER_PORT"] == 443 ? " - <b>HTTPS mode</b>" : " - <b>HTTP mode</b>"; ?>
<?php
				if (defined('DEMO_MODE') && DEMO_MODE && defined('DEMO_LOCK') && DEMO_LOCK) echo ' - <b>DEMO MODE</b>';

				if (($p == "home" || $p == "") && isPrivilege($auth_rights, array("all", "global")))
				{
					require_once("content/classes/class.update-client.php");
					$xmlParser = new XMLParser();
					$updateClient = new updateClient($db, $xmlParser);
					$fixes= $updateClient->checkForUpdates($update_script_url, LICENSE_NUMBER, $settings["AppVer"], $settings["AppEncoder"]);
					if ($fixes && $updateClient->new_updates)
					{
						echo " - Please note: <a href=\"admin.php?p=update\" style=\"color:#880000;font-weight:bold;text-decoration:underline;\">UPDATES ARE AVAILABLE</a>";
					}
				}
?>
				</td>
				<td class="right">
<?php
/**
	<span id="bugTracker" style="font-size: 14px; margin-right: 20px; color: yellow; margin: 5px;">Do you think you found a bug? Submit it to us at <a href="http://beta.pinnaclecart.com/" target="_blank">http://beta.pinnaclecart.com/</a> <strong>Username:</strong> beta <span style="margin: 0px 20px;"><strong>Password:</strong> tracker</span></span>
**/
?>
					Welcome, <?=htmlspecialchars($auth_admin_name)?>. Today is <?=date("F j, Y")?>
				</td>
			</tr>
		</table>
	</div>

	<table cellpadding="0" cellspacing="0" border="0" width="100%" height="600" style="clear:both;">
		<tr valign="top">
			<td width="220" id="quickLinks">
				<div style="margin:10px;" class="wrap">
					<div class="header">Quick Links</div>
					<div class="content">
<?php
		/**
		 * Quick links
	 	 */
		if (!$hidemenus)
		{
			echo '<div class="title">'.$zone_title.'</div>';
			$_current_page = "admin.php?".$_SERVER["QUERY_STRING"];
			if (array_key_exists($current_zone, $quick_links))
			{
				$links = $quick_links[$current_zone];
				foreach ($links as $link)
				{
					if ($link[0] == "separator")
					{
						echo '<div class="separator"></div>';
					}
					elseif (IsPrivilege(array($link[0], "all"), $auth_rights))
					{
						$link_active = $link[1] == $_current_page || ($link[3]!="" && $link[3]==$p);
						echo '<div class="quickLink'.($link_active ? " active":"").'"><a href="'.$link[1].'">'.$link[2].'</a></div>';
					}
				}
			}
?>
						<br/>
						<div class="quickLink<?="admin.php?p=home"==$_current_page?" active":""?>">
							<a href="admin.php?p=home">Admin Area Home</a>
						</div>
						<div class="quickLink<?="admin.php?p=profile"==$_current_page?" active":""?>">
							<a href="admin.php?p=profile">Update Your Profile</a>
						</div>
                         <div class="quickLink<?="admin.php?p=site_feedback"==$_current_page?" active":""?>">
						<a href="admin.php?p=site_feedback">Feedback</a>
					</div>
<?php
			if (isset($_SESSION['admin_design_mode']) && $_SESSION['admin_design_mode'] && (!isset($_REQUEST['design_mode_flag']) || $_REQUEST['design_mode_flag'] == 'On'))
			{
				$design_mode_link_label = 'Deactivate Cart Designer';
				$design_mode_link_url = 'admin.php?p=design_settings&design_mode_flag=Off';
			}
			else
			{
				$design_mode_link_label = 'Activate Cart Designer';
				$design_mode_link_url = 'admin.php?p=design_settings&design_mode_flag=On&printing=true';
			}
			?>
						<div class="quickLink">
							<a href="<?=$design_mode_link_url?>"><?=$design_mode_link_label?></a>
						</div>
<?php
			if (IsPrivilege(array("all"), $auth_rights))
			{
?>
						<div class="quickLink<?="admin.php?p=info"==$_current_page?" active":""?>">
							<a href="admin.php?p=info">Cart Information</a>
						</div>
<?php
			}
		}
?>
						<br/>
						<div class="title">Help & Support</div>
						<div class="quickLink">
							<a href="<?=$label_user_manual?>">User Manual</a>
						</div>
						<div class="quickLink">
							<a href="<?=$label_support_area?>">Support Area</a>
						</div>

						<br/>
						&copy; <?=$label_app_name?><br /><a href="<?=$label_home_site?>" target="_blank"><?=$label_home_site?></a>
					</div>
				</div>
<?php 
		if (md5($label_app_name) == 'aac9a3612c49dc1c1d5d4b756d07d789')
		{
?>			
				<div class="admin-left-button admin-icon-tweet"><a target="_new" href="http://www.twitter.com/pinnaclecart">Follow us on Twitter</a></div>
				<div class="admin-left-button admin-icon-blog"><a target="_new" href="http://blog.pinnaclecart.com">We're blogging</a></div>
				<div class="admin-left-button admin-icon-support"><a target="_new" href="https://account.pinnaclecart.com">Support Center</a></div>
				<div class="admin-left-button admin-icon-kb"><a id="kb-link" href="#">Knowledge Base</a></div>
				<div class="admin-left-button admin-icon-compatible"><a target="_new" href="http://www.pinnaclecart.com/shopping-cart-compatiable-applications.htm">Compatible Applications</a></div>
<?php 
		}
?>	
				<img src="images/zerro.gif" width="220" height="1"/>
			</td>
			<td bgcolor="#ffffff" style="padding:10px;">
<?php
		if (isset($auth_https_warning) && $auth_https_warning)
		{
?>
				<div style="background-color:#ffffcc;padding:10px;padding-right:10px;border:1px solid black;margin-bottom:10px;">
					<img src="images/icons_middle/ic_error.gif" hspace="0" align="right">
					<b>Warning: The administrative area has been set to HTTPS (Secure) mode but the current administrator area URL is not a secure URL.
					Please <a href="<?php echo $settings["GlobalHttpsUrl"]?>/admin.php">click here</a> to switch to HTTPS mode.</b><br/><br/>
					<li><a href="admin.php?p=settings&group=3">Click here to access Global Site Settings</a></li>
					<li><a href="admin.php?p=settings&group=7">Click to open Security Settings page</a></li>
				</div>
<?php
		}
	

		/**
		 * Include page
		 */
		require("content/admin/".$body);


?>
				<img src="images/zerro.gif" width="800" height="1">
			</td>
		</tr>
	</table>
<?php
	if (!IS_LABEL)
	{
?>
	<div id="kb-search-dialog" style="display:none;">
		<div id="kb-search-dialog-inner">
			<form id="kb-search-form" action="#" method="POST">
				To search our Knowledge Base, simply type in some terms specific to your search
				<br/>
				<table cellpadding="0" cellspacing="0" border="0">
					<tbody>
						<tr>
							<td><input id="kb-search-input" type="text"/></td>
							<td><input id="kb-search-button" type="submit" value="Search"/></td>
						</tr>
					</tbody>
				</table>
			</form>
			<div id="kb-search-result"></div>
		</div>
	</div>
			
	<div id="kb-search-answer-dialog" style="display:none;">
		<div id="kb-search-answer-dialog-inner"></div>
		<div>
			<input type="button" id="kb-search-answer-dialog-close" value=" Back "/>
		</div>
	</div>

	<div id="video-tutorials" style="display:none">
		Below is a sampling of tutorials designed to help you use the cart. You can view all of the tutorials by clicking <a href="http://pinnaclecart.com/pinnacle-cart-videos.htm" target="_blank">here</a>
		<div style="margin:10px 0px 10px 20px;">
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=addingproduct&TB_iframe=true&height=600&width=740">Adding a Product</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=addingpaymentmethod&TB_iframe=true&height=600&width=740">Enabling a Payment Method</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=shippingquotes&TB_iframe=true&height=600&width=740">Enabling the Shipping Quote Feature</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=secondaryimages&TB_iframe=true&height=600&width=740">Adding Secondary Images</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=creatingattributes&TB_iframe=true&height=600&width=740">Adding Attributes (size, color, etc)</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=adding_recommended_products&TB_iframe=true&height=600&width=740">Adding Recommended Products</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=file_backup&TB_iframe=true&height=600&width=740">Backing Up Files</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=adding_shipping&TB_iframe=true&height=600&width=740">Adding Shipping Methods</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=adding_fields_checkout&TB_iframe=true&height=600&width=740">Adding Additional Fields to Checkout</a><br/>
			<a class="thickbox" href="https://www.pinnaclecart.com/video-tutorials-direct.htm?video=creatingwholesalers&TB_iframe=true&height=600&width=740">Creating Wholesalers (pricing groups)</a>
		</div>
	</div>
<?php
	}
?>
	<div id="QuickStartGuide" style="display:none;">
		<div id="QuickStartGuideInner"></div>
	</div>
</body>
</html>

