<?php
	if (!defined("ENV")) exit();
	$action = isset($action)?trim($action):"";
	$couponInfo = "Valid only for new Google Checkout merchants with a self-managed AdWords account.  Merchants must (i) be properly referred by [ECOMMERCE PROVIDER NAME], (ii) use an approved implementation of Google Checkout, and (iii) successfully process at least three (3) valid payment transactions and at least $500 of valid payments as a merchant through Google Checkout.  The promotional credit will be distributed directly to the merchant within 30 days after the end of the month in which the merchant satisfies the criteria outlined in (i) and (ii). Merchants will be charged for advertising that exceeds the promotional credit. Merchants will need to suspend their ads if they do not wish to receive additional charges beyond the free credit amount. Subject to ad approval, valid registration and acceptance of the Google AdWords Program standard terms and conditions. The promotional credit is non-transferable and may not be sold or bartered. Offer may be revoked at any time for any reason by Google Inc. One promotional credit per merchant.  For new AdWords Program registrants, an activation fee of $5 will be applied and deducted from the promotion credit. Offer valid only for merchants in the United States signing up for Google Checkout through the referral link provided. The promotional credit will expire approximately 90 days from the date the credit is issued.";

	
?> 
<div id="idTabSheetMerchantSignup" class="<?=$last_active_tab == "idTabMerchantSignup"?"sheetActive":"sheetUnactive"?>">
<table cellpadding="0" cellspacing="5" width="100%">
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_expand.gif"></div>
			<div class="formHeaderText">Sign-Up for a PayPal Account</div>
		</td>
	</tr>
	<tr>
		<td style="padding:15px;">
			<img src="images/admin/paypal_logo.gif" align="left" hspace="10"/>
			Low cost. No start-up or monthly fees, no cancellation fees, and no minimum payments. With more than 100 million accounts in 103 countries and regions, PayPal offers a fast, affordable and convenient online payment service for businesses of all sizes.<br/><br/>
			<b><a href="http://altfarm.mediaplex.com/ad/ck/3484-23890-3840-72" target="_blank">Click here</a> to sign-up for PayPal.</b>
		</td>
	</tr>
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_expand.gif"></div>
			<div class="formHeaderText">Sign-Up for a Merchant Account</div>
		</td>
	</tr>
	<tr>
		<td style="padding:15px;">
			<img src="images/admin/m_a_logo.jpg" align="left" hspace="10"/>
			Through InternetMerchant you can sign-up for both a Merchant Account and Payment Gateway in a couple of quick steps. Join millions of other online business owners and experience the countless benefits of accepting credit cards from your customers.<br/><br/>
			<b><a href="http://www.cartmanual.com/merchantaccount" target="_blank">Click here</a>  for more information.</b>
		</td>
	</tr>
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_expand.gif"></div>
			<div class="formHeaderText">Sign-Up for a Google Checkout Account</div>
		</td>
	</tr>
	<tr>
		<td style="padding:15px;">
			<img src="images/admin/google_ch_logo.gif" align="left" hspace="10"/>
			Google Checkout&trade; is a checkout process that you provide on your website to enable your customers to buy from you quickly and securely, using a single username and password.<br/><br/>
			<b><a href="http://checkout.google.com/sell?promo=sedesertdog" target="_blank">Click here</a> to sign-up for Google Checkout&trade;</b>
            <br /><br /> 
			<a href="http://checkout.google.com/seller/acceptance_logos.html" target="_blank">Click here </a>to generate a badge to go on the front of your site.  This is highly recommend so that you can show everyone you are using Google Checkout.
		</td>
	</tr>
</table>
</div>