<?php
	if (!defined("ENV")) exit();
	
	if ((substr($order_data["payment_gateway_id"], 0, strlen('paypal')) == 'paypal' && $order_data['payment_gateway_id'] != 'paypalipn')
		&& strlen(trim($order_data["custom1"])) > 0)
	{ 
		$chargeable_amt = $order_data["total_amount"] * 15/100;
		$chargeable_amt = $chargeable_amt >75?"75":$chargeable_amt;
		$chargeable_amt = $chargeable_amt + $order_data["total_amount"];

		$supportsAuth = true;
		$supportsPartial = true;

		if (isset($settings[$order_data["payment_gateway_id"].'_Vendor']))
		{
			$supportsAuth = false;
			$supportsPartial = false;
		}
?>
	<input type="hidden" name="paypal_charged_amount" value="<?php echo $order_data["custom3"];?>">
	<input type="hidden" name="paypal_method" value="<?php echo $order_data["payment_gateway_id"];?>">
	<input type="hidden" name="chargeable_amt" value="<?php echo $chargeable_amt;?>">
	<input type="hidden" name="authorization_id" value="<?php echo $order_data["security_id"];?>">
	<input type="hidden" name="uid" value="<?php echo $order_data["uid"];?>">

<script type="text/javascript">
	function changePaypalAction(select){
<?php
		if (!$supportsPartial)
		{?>
			if ($(select).val() == '')
			{
				return '';
			}

			if ($(select).val() == 'Capture' || $(select).val() == 'Cancel')
			{
				$('input[name="paypal_partial_capture"]').attr('disabled', 'disabled');
			}
			else
			{
				$('input[name="paypal_partial_capture"]').removeAttr('disabled');
			}
<?php
		}
?>
	}
</script>

	<div class="admin-form-header first"><span class="icon ic-icon ic-payment"></span>PayPal Payment Handling</div>
	<table width="100%" cellpadding="0" cellspacing="5" border="0">	
		<tr valign="top">
			<td class="formItemCaption">Current PayPal Order Status</td>
			<td class="formItemControl"><b><?=ucfirst($order_data["custom1"])?></b></td>
		</tr>
<?php
		if (trim($order_data["custom1"]) != "echeck")
		{
?>
		<tr valign="top">
			<td class="formItemCaption">PayPal Payment Status</td>		
			<td class="formItemControl"> 
				<select name="paypal_payment_status" style="width:120px;" onchange="changePaypalAction(this)">
					<option value=" ">Select status</option>
<?php
			if ($order_data["custom1"] =="sale" || $order_data["custom1"] == "none")
			{
?>
						<option value="Refund">Refund</option>
<?php
			}
			else
			{
				if ($supportsAuth && $order_data["custom1"] == "order")
				{
?>
						<option value="Authorization">Authorization</option>
<?php
				}
				if ($supportsAuth && $order_data["custom1"] == "authorization" && $order_data["auth_exp"] >= 3)
				{
?>
						<option value="Reauthorization">Reauthorization</option>
<?php
				}
?>
						<option value="Capture">Capture</option>
						<option value="Cancel">Cancel</option>	
<?php
				}
?>			
				</select>
			</td>
		</tr>
	
		<tr valign="top">
			<td class="formItemCaption">Amount to Capture / Refund</td>		
			<td class="formItemControl">
<?php
				if ($order_data["custom3"]>0)
				{
					if ($order_data["custom1"] =="sale" || $order_data["custom1"] == "none")
					{
						$paypal_amount = $order_data["custom3"];
					}
					else
					{
						$paypal_amount=$order_data["total_amount"] - $order_data["custom3"];
					}
				}
				else
				{
					$paypal_amount=$order_data["total_amount"];
				}
?>
				<input type="text" style="width:90px;" maxlength="90" name="paypal_partial_capture" value="<?=gs($paypal_amount)?>"<?php echo $supportsPartial ? '' : 'disabled="disabled"'?>>&nbsp;&nbsp;<?=$admin_currency["code"]?>					
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Settlement Note</td>		
			<td class="formItemControl">
				<textarea class="no-mce" wrap="off" name="paypal_settlement_note" style="width:290px;height:50px;" font-size:10px;><?=gs($db->col["paypal_settlement_note"])?></textarea>
			</td>
		</tr>
<?php
		}
?>
	</table>
<?php
	} 
		
	if ($order_data["payment_gateway_id"] == "datacash" && strlen(trim($order_data["custom1"]))>0)
	{ 
?>
	<input type="hidden" name="datacash_charged_amount" value="<?=$order_data["custom3"]?>"/>
	<input type="hidden" name="datacash_method" value="<?=$order_data["payment_gateway_id"]?>"/>
	<input type="hidden" name="reference_id" value="<?=$order_data["security_id"]?>"/>
	<input type="hidden" name="auth_code" value="<?=$order_data["custom2"]?>"/>
	<input type="hidden" name="uid" value="<?=$order_data["uid"]?>"/>
	
	<div class="admin-form-header"><span class="icon ic-icon ic-payment"></span>PayPal Payment Handling</div>
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td colspan="2" class="th">
			<img src="images/icons/a/payment.png" align="left" hspace="6">
			DataCash Payment Handling
		</td>
	</tr>
	<tr>
		<td align="right">Current DataCash order status</td>		
		<td><b><?=ucfirst($order_data["custom1"])?></b></td>
	</tr>
	<tr>
		<td align="right" height="30" width="45%">DataCash Payment status</td>
		<td width="55%"> 
			<select name="datacash_payment_status" style="width:120px;">
				<option value="">Select status</option>
<?php
		if (in_array($order_data["custom1"], array("pre","erp")))
		{
?>				
				<option value="fulfill">FullFill</option>	
<?php
		}
?>				
				<option value="refund">Refund</option>
				<option value="cancel">Cancel</option>
			</select>
		</td>
	</tr>
	<tr>
		<td align="right" height="30" width="45%">Amount to capture/refund</td>		
	
		<td width="55%">
<?php
		if ($order_data["custom3"]>0)
		{
			$datacash_amount=$order_data["total_amount"] - $order_data["custom3"];
		}
		else
		{
			$datacash_amount=$order_data["total_amount"];
		}
?>
			<input type="text" style="width:90px;" maxlength="90" name="datacash_partial_capture" value="<?php echo number_format($datacash_amount, 2, ".", "");?>">&nbsp;
			<?php echo $admin_currency["code"];?>
		</td>
	</tr>
<?php
	}  
?>
