<?php
	$daysAdvance = isset($_POST['daysAdvance']) ? $_POST['daysAdvance'] : '';
	$mailClass = isset($_POST['MailClass']) ? $_POST['MailClass'] : '';
	$mailpieceShape = isset($_POST['MailpieceShape']) ? $_POST['MailpieceShape'] : '';
	$weightOz = isset($_POST['WeightOz']) ? $_POST['WeightOz'] : '';
	$declaredValue = isset($_POST['DeclaredValue']) ? $_POST['DeclaredValue'] : '';
	$packageDescription = isset($_POST['PackageDescription']) ? $_POST['PackageDescription'] : '';
	$length = isset($_POST['Length']) ? $_POST['Length'] : '';
	$width = isset($_POST['Width']) ? $_POST['Width'] : '';
	$height = isset($POST['Height']) ? $_POST['Height'] : '';
	$insurance = isset($POST['Insurance']) ? $_POST['Insurance'] : '';

	if ($isBongoOrder)
	{
		$regions = new Regions($db);
		$bongoCountry = $regions->getCountryById(1);
		$bongoState = $regions->getStateById($settings['bongocheckout_State']);
		$shipToCompany = $settings['bongocheckout_Company_Name'];
		$shipToName = $settings['bongocheckout_Attention_To'];
		$shipToType = 'Business';
		$shipToAddress1 = $settings['bongocheckout_Address1'];
		$shipToAddress2 = $settings['bongocheckout_Address2'];
		$shipToCity = $settings['bongocheckout_City'];
		$shipToStateName = $bongoState['name'];
		$shipToStateCode = $bongoState['short_name'];
		$shipToZip = $settings['bongocheckout_Zip_Code'];
		$shipToCountryName = $bongoCountry['name'];
		$shipToCountryCode = $bongoCountry['iso_a2'];
		$shipToPhone = $settings['bongocheckout_Phone'];
	}
	else
	{
		$shipToCompany = $order_data['shipping_company'];
		$shipToName = $order_data['shipping_name'];
		$shipToType = $order_data['shipping_address_type'];
		$shipToAddress1 = $order_data['shipping_address1'];
		$shipToAddress2 = $order_data['shipping_address2'];
		$shipToCity = $order_data['shipping_city'];
		$shipToStateName = $order_data['shipping_province'];
		$shipToStateCode = $order_data['state_code'];
		$shipToZip = $order_data['shipping_zip'];
		$shipToCountryName = $order_data['country_name'];
		$shipToCountryCode = $order_data['country_iso_a2'];
		$shipToPhone = $user_data['phone'];
	}

	$shipFromName = $settings['CompanyName'];
	$shipFromAddress1 = $settings['ShippingOriginAddressLine1'];
	$shipFromAddress2 = $settings['ShippingOriginAddressLine2'];
	$shipFromCity = $settings['ShippingOriginCity'];
	$shipFromState = $settings['ShippingOriginState'];
	$shipFromProvince = $settings['ShippingOriginProvince'];
	$shipFromZip = $settings['ShippingOriginZip'];
	$shipFromCountry = $settings['ShippingOriginCountry'];
	$shipFromPhone = $settings['ShippingOriginPhone'];

    $weightInOunces = $order_weight > 0 ? ceil($settings['LocalizationWeightUnits'] == 'lbs' ? $order_weight * 16 : $order_weight / 0.0283495) : '';

	if ($result = $db->selectOne('SELECT name, short_name FROM '.DB_PREFIX.'states WHERE stid='.intval($shipFromState).' AND coid='.intval($shipFromCountry)))
	{
		$shipFromStateName = $result['name'];
		$shipFromStateCode = $result['short_name'];
	}
	else
	{
		$shipFromStateName = $shipFromStateCode = $shipFromProvince;
	}

	if ($result = $db->selectOne('SELECT name, iso_a2 FROM '.DB_PREFIX.'countries WHERE coid='.intval($db->escape($shipFromCountry))))
	{
		$shipFromCountryName = $result['name'];
		$shipFromCountryCode = $result['iso_a2'];
	}

	$endicia = new Shipping_Endicia($settings['EndiciaShippingLabelsAccountID'], $settings['EndiciaShippingLabelsPassword'], $settings['EndiciaShippingLabelsTestMode']);

	$is_endicia_acct_valid = $endicia->GetEndiciaAccountStatus();
	$endicia_balance = $endicia->GetEndiciaAccountBalance();
?>
<script type="text/javascript">
    var shipToCountryCode = '<?=addslashes($shipToCountryCode);?>';
</script>
<script type="text/javascript" src="content/admin/javascript/order_endicia.js"></script>

<div id="admin-tab-sheet-enlabel" class="admin-tab-sheet">
	<div class="admin-tab-sheet-wrap">
		<form id="endicia_form" name="frmEndicia">
		<!-- shipping details -->
		<div class="admin-form-header first"><span class="icon ic-icon ic-invoice"></span>Shipping Details</div>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td width="50%" style="padding:10px 0px 0px 31px;">
					<strong>Shipping Origin Address</strong><br/>
					<?=gs($shipFromName );?><br/>
					<?=gs($shipFromAddress1);?><br/>
					<?=trim($shipFromAddress2)==''?'':(gs($shipFromAddress2).'<br/>');?>
					<?=gs($shipFromCity).', '.gs($shipFromStateName).' '.gs($shipFromZip);?><br/>
					<?=gs($shipFromCountryName);?><br/>
					&nbsp;
				</td>
				<td width="50%" style="padding:10px 0px 0px 31px;">
					<strong>Shipping Destination Address</strong><br/>
					<?=gs($shipToName);?> <i>(<?=gs($shipToType)?>)</i><br/>
					<?=gs($shipToAddress1);?><br/>
					<?=trim($shipToAddress2)==''?'':(gs($shipToAddress2).'<br/>');?>
					<?=gs($shipToCity).', '.gs($shipToStateName).' '.gs($shipToZip);?><br/>
					<?=gs($shipToCountryName);?><br/>
					&nbsp;
				</td>
			</tr>
		</table>
		<!-- shipping details -->

		<div class="admin-form-header">
			<span class="icon ic-icon ic-truck"></span>Print Endicia USPS Shipping Label
		</div>
<?php
	if ($is_endicia_acct_valid['Status'] == '0')
	{
?>
		<div style="margin-bottom:15px;padding:20px 32px;background-color:#f7f7f7;border-radius:10px;border:1px solid #aaaaaa;font-weight:normal;text-align:center;">
			<div id="endiciabalance">
				<strong>Your endicia account is active with a balance of <?php echo $endicia_balance; ?></strong>
				- <a href = "javascript:void(0)" id="opener" onclick = "">Click here to add funds to your Endicia account</a>
			</div>
			<div id="endiciabalanceupdated" style="display:none;">
				You have added funds to your Endicia Account! - <strong>Your new balance is $<span id='updatebal'></span></strong>
			</div>
		</div>
<?php
	}
?>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Package type</td>
				<td width="30%" class="formItemControl">
					<select name="MailShape" id="packagetype">
					    <!--<option value="Choose" selected="selected" >Choose a Package Type</option>-->
						<option value="Parcel" <?php echo $mailpieceShape == 'Parcel' ? 'selected="selected"' : ''; ?>>Parcel</option> 
						<option value="LargeParcel" <?php echo $mailpieceShape == 'LargeParcel' ? 'selected="selected"' : ''; ?> >Large Parcel</option> 
						<option value="Letter" <?php echo $mailpieceShape == 'Letter' ? 'selected="selected"' : ''; ?>>Letter</option> 
						<option value="Card" <?php echo $mailpieceShape == 'Card' ? 'selected="selected"' : ''; ?>>Card</option>
						<option value="SmallFlatRateBox" <?php echo $mailpieceShape == 'SmallFlatRateBox' ? 'selected="selected"' : ''; ?>>Small Flat Rate Box</option> 
						<option value="MediumFlatRateBox" <?php echo $mailpieceShape == 'MediumFlatRateBox' ? 'selected="selected"' : ''; ?>>Medium Flat Rate Box</option>
						<option value="LargeFlatRateBox" <?php echo $mailpieceShape == 'LargeFlatRateBox' ? 'selected="selected"' : ''; ?>>Large Flat Rate Box</option>					
						<option value="Flat" <?php echo $mailpieceShape == 'Flat' ? 'selected="selected"' : ''; ?>>Flat</option>
						<option value="SmallFlatRateEnvelope" <?php echo $mailpieceShape == 'SmallFlatRateEnvelope' ? 'selected="selected"' : ''; ?>>Small Flat Rate Envelope</option>
						<option value="FlatRateEnvelope" <?php echo $mailpieceShape == 'FlatRateEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Envelope</option> 
						<option value="FlatRateLegalEnvelope" <?php echo $mailpieceShape == 'FlatRateLegalEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Legal Envelope</option>  
						<option value="FlatRatePaddedEnvelope" <?php echo $mailpieceShape == 'FlatRatePaddedEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Padded Envelope</option> 
						<option value="FlatRateGiftCardEnvelope" <?php echo $mailpieceShape == 'FlatRateGiftCardEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Gift Card Envelope</option> 
						<option value="FlatRateWindowEnvelope" <?php echo $mailpieceShape == 'FlatRateWindowEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Window Envelope</option> 
						<option value="FlatRateCardboardEnvelope" <?php echo $mailpieceShape == 'FlatRateCardboardEnvelope' ? 'selected="selected"' : ''; ?>>Flat Rate Cardboard Envelope</option> 	
					</select>	
				</td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Delivery service</td>
				<td width="30%" class="formItemControl">
					<select name="MailClass" id="classofmail" style="width:240px;">
						<option value="ChooseFirst">Select a package type above</option> 
					</select>	
				</td>	
				<td width="55%"></td>
			</tr>

            <tr valign="top" id="endicia-sort-type" style="display:none;">
                <td class="formItemCaption required">Sort type</td>
                <td class="formItemControl">
                    <select name="SortType" style="width:190px;">
                        <option value="Presorted">Presorted</option>
                        <option value="Nonpresorted">Non Presorted</option>
                        <option value="BMC">BMC</option>
                        <option value="FiveDigit">Five Digit</option>
                        <option value="MixedBMC">Mixed BMC</option>
                        <option value="SCF">SCF</option>
                        <option value="SinglePiece">Single Piece</option>
                        <option value="ThreeDigit">Three Digit</option>
                    </select>
                </td>
            </tr>

            <tr valign="top" id="endicia-entry-facility" style="display:none;">
                <td class="formItemCaption required">Entry facility</td>
                <td class="formItemControl">
                    <select name="EntryFacility" style="width:190px;">
                        <option value="Other">Other</option>
                        <option value="DBMC">DBMC</option>
                        <option value="DDU">DDU</option>
                        <option value="DSCF">DSCF</option>
                        <option value="OBMC">OBMC</option>
                    </select>
                </td>
            </tr>

			<tr valign="top">
				<td width="15%" class="formItemCaption required">Package weight (ounces)</td>
				<td width="30%" class="formItemControl"><input type="text" style="width:80px;" id="pweight" name="WeightOz" class="number" value="<?php echo $weightInOunces;?>"> </td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Declared value</td>
				<td width="30%" class="formItemControl"><input type="text" style="width:80px;" id="pdecvalue" name="DeclaredValue" class="number" value="<?php echo myNum($order_data["subtotal_amount"]);?>"></td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Package description</td>
				<td colspan="2" class="formItemControl"><input type="text" style="width:300px;" id="packdesc" name="PackageDescription" value="Order #<?php echo $order_data["order_num"];?>"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Mailpiece dimensions (inches)</td>
				<td width="30%" class="formItemControl">
					<table cellpadding="0" cellspacing="0" border="0" align="left" width="210">
						<tr>
							<td width="33%" align="left">Length</td>
							<td width="33%" align="left">Height</td>
							<td width="33%" align="left">Width</td>
						</tr>
						<tr>
							<td align="left" class="formItemControl" style="padding:0px;"><input type="text" style="width:50px;" name="Length" id="plength" class="number" <?php echo $length > '0' ? '" value=$length"' : ''; ?>></td>
							<td align="left" class="formItemControl" style="padding:0px;"><input type="text" style="width:50px;" name="Height" id="pheight" class="number" <?php echo $height > '0' ? '" value=$height"' : ''; ?>></td>
							<td align="left" class="formItemControl" style="padding:0px;"><input type="text" style="width:50px;" name="Width" id="pwidth" class="number" <?php echo $width > '0' ? '" value=$width"' : ''; ?>></td>
						</tr>
					</table>
				</td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td width="15%" class="formItemCaption required">Ship on</td>
				<td width="30%" class="formItemControl">
					<select name="DaysAdvance" style="width:150px;">	
						<option value="0" <?php echo $daysAdvance == '0' ? 'selected="selected"' : ''; ?>>Today</option>
						<option value="1" <?php echo $daysAdvance == '1' ? 'selected="selected"' : ''; ?>>Tomorrow <?php echo date("m/d",strtotime("+1 day")); ?></option> 
						<option value="2" <?php echo $daysAdvance == '2' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+2 day")); ?></option> 
						<option value="3" <?php echo $daysAdvance == '3' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+3 day")); ?></option> 
						<option value="4" <?php echo $daysAdvance == '4' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+4 day")); ?></option> 
						<option value="5" <?php echo $daysAdvance == '5' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+5 day")); ?></option>
						<option value="6" <?php echo $daysAdvance == '6' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+6 day")); ?></option>
						<option value="7" <?php echo $daysAdvance == '7' ? 'selected="selected"' : ''; ?>><?php echo date("D (m/d)",strtotime("+7 day")); ?></option>
					</select>
				</td>
				<td width="55%"></td>
			</tr>
			<tr valign="top">
				<td colspan="3" align="left" class="formItemCaption"><strong>Special Services requested for this package</strong></td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Insurance</td>
				<td colspan="2" class="formItemControl">
					<input type="radio" name="Insurance" value="None" checked="checked">None<br/>	
					<input type="radio" name="Insurance" value="UspsOnline" <?php echo $insurance == 'USPS Online' ? ' checked="checked"' : ''; ?>>USPS Online - *Not allowed for International Mail or When Stealth Mode is on<br/>
					<input type="radio" name="Insurance" value="Endicia" <?php echo $insurance == 'Endicia' ? ' checked="checked"' : '';  ?>>Endicia - *Not included in postage price. It is billed to your Endicia account
				</td>
			</tr>
            <tr valign="top">
                <td class="formItemCaption">Delivery confirmation</td>
                <td colspan="2" class="formItemControl">
                    <input type="checkbox" name="DeliveryConfirmation" <?php if (isset($_POST['DeliveryConfirmation'])) { echo ' checked="checked"';} ?>>
                </td>
            </tr>
			<tr valign="top">
				<td class="formItemCaption">Certified mail</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="CertifiedMail" <?php if (isset($_POST['CertifiedMail'])) { echo ' checked="checked"';} ?>>
					<span class="formHelp">Available for First-Class and Priority Mail</span>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Restriced delivery</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="RestrictedDelivery" <?php if (isset($_POST['RestrictedDelivery'])) { echo ' checked="checked"';} ?>>	
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">No weekend delivery</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="NoWeekendDelivery" <?php if (isset($_POST['NoWeekendDelivery'])) { echo ' checked="checked"';} ?>>
					<span class="formHelp">Delivery attempts will not be made on Saturday</span>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Return receipt</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="ReturnReceipt" <?php if (isset($_POST['ReturnReceipt'])) { echo ' checked="checked"';} ?>>
					<span class="formHelp">Not supported for International Mail</span>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Signature confirmation</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="AdultSignature" <?php if (isset($_POST['AdultSignature'])) { echo ' checked="checked"';} ?>>	
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Stealth postage mode</td>
				<td colspan="2" class="formItemControl">
					<input type="checkbox" name="Stealth">
					<span class="formHelp">Stealth mode cannot be used with COD, USPS Insurance and Card Shape Mailpieces</span>
				</td>
			</tr>
		</table>
		
		<input type="hidden" name="orderid" value="<?php echo $oid;?>">
		<input type="hidden" name="mode" value=""/>
        <input type="hidden" name="shiptocompany" value="<?php echo htmlspecialchars($shipToCompany);?>">
		<input type="hidden" name="shiptoname" value="<?php echo htmlspecialchars($shipToName);?>">
		<input type="hidden" name="shiptoaddress1" value="<?php echo htmlspecialchars($shipToAddress1);?>">
		<input type="hidden" name="shiptoaddress2" value="<?php echo htmlspecialchars($shipToAddress2);?>">
		<input type="hidden" name="shiptocity" value="<?php echo htmlspecialchars($shipToCity);?>">
		<input type="hidden" name="shiptostate" value="<?php echo htmlspecialchars($shipToStateCode);?>">
		<input type="hidden" name="shiptozip" value="<?php echo htmlspecialchars($shipToZip);?>">
		<input type="hidden" name="shiptocountryname" value="<?php echo htmlspecialchars($shipToCountryName);?>">
		<input type="hidden" name="shiptocountrycode" value="<?php echo htmlspecialchars($shipToCountryCode);?>">
		<input type="hidden" name="shiptophone" value="<?php echo htmlspecialchars($shipToPhone);?>">

		<input type="hidden" name="shipfromname" value="<?php echo htmlspecialchars($shipFromName);?>">
		<input type="hidden" name="shipfromaddress1" value="<?php echo htmlspecialchars($shipFromAddress1);?>">
		<input type="hidden" name="shipfromaddress2" value="<?php echo htmlspecialchars($shipFromAddress2);?>">
		<input type="hidden" name="shipfromcity" value="<?php echo htmlspecialchars($shipFromCity);?>">
		<input type="hidden" name="shipfromstate" value="<?php echo htmlspecialchars($shipFromStateCode);?>">
		<input type="hidden" name="shipfromzip" value="<?php echo htmlspecialchars($shipFromZip);?>">
		<input type="hidden" name="shipfromcountryname" value="<?php echo htmlspecialchars($shipFromCountryName);?>">
		<input type="hidden" name="shipfromcountrycode" value="<?php echo htmlspecialchars($shipFromCountryCode);?>">
		<input type="hidden" name="shipfromphone" value="<?php echo htmlspecialchars($shipFromPhone);?>">
		<input type="hidden" name="nonce" value="<?php echo create_nonce('endicia_label'); ?>"/>
		<!-- end billing and shipping -->
	
	</div>
	<div class="admin-form-buttons">
		<input type="button" id="postageSubmit" value="Submit Label" />
		<input type="reset" value="Reset form" />
	</div>
	</form>
</div>

<div id="endiciaLabelDialog" style="display:none;">
	<div style="text-align:center;">
		<iframe id="endiciaLabelIframe" name="endiciaLabelIframe" scrolling="no" style="overflow:hidden;border:none;width:100%;height:575px;"></iframe>
	</div>
</div>
<div id="endiciaAddPostage" style="display:none";>
	<div id ="endiciapostagestep1">
		<table width="99%" cellspacing="5">
			<tr>
				<td colspan="2">
					<div class="admin-form-header first">
						<span class="icon ic-icon ic-truck"></span><strong>Add Funds to Your Endicia Account</strong>
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="2" height="8"></td>
			</tr>
			<tr>
				<td colspan="2">Adding Funds to your DYMO Endicia Account is easy!<br /><br />Simply verify your Account Passphrase below, enter an amount<br /> to add and click Add Funds to My Account</td>
			</tr>
			<tr>
				<td colspan="2" height="22" align="center">
					<span id="error1" style="color:red; display:none;">The Passphrase you entered was not correct</span>
					<span id="error2" style="color:red; display:none;">We were unable to Add Funds to your Account</span> 
				</td>
			</tr>
			<tr>
				<td width="33%">
					<strong>Verify passphrase</strong>
				</td>
				<td width="66%" class="formItemControl">
					<input type="password" name="passconfirm" style="width:140px;">
				</td>
			</tr>
			<tr>
				<td colspan="2" height="12" align="center">
				</td>
			</tr>
			<tr>
				<td>
					<strong>Amount to add</strong>
				</td>
				<td class="formItemControl">
					<input type="text" size="6" class="number" name="amount_to_add" style="width:80px;">
				</td>
			</tr>
			<tr>
				<td colspan="2" height="34"></td>
			</tr>
		</table>

		<div class="admin-form-buttons">
			<input type="button" id="fundsSubmit" value="Add Funds to My Account" />
			<input type="reset" value="Reset form" />
		</div>
	</div>

	<div id="endiciapostagestep2" style="display:none; position: absolute; left: 220px; top: 160px; "; >
		<img src="images/admin/spinner-big.gif"/>
	</div>

	<div id="endiciapostagesuccess" style="display:none;">
		<table width="99%" cellspacing="5">
			<tr>
				<td colspan="2">
					<div class="admin-form-header first">
						<span class="icon ic-icon ic-truck"></span> <strong>Add Funds to Your Endicia Account</strong>
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="2" height="8"></td>
			</tr>
			<tr>
				<td colspan="2">You have successfully added funds to your Endicia Account</td>
			</tr>
			<tr>
				<td colspan="2" height="12"></td>
			</tr>
			<tr>
				<td width="33%">
					<strong>Verify Passphrase:</strong>
				</td>
				<td width="66%" class="formItemControl">
					<input type="password" name="passconfirm" style="width:140px;">
				</td>
			</tr>
		</table>
	</div>
</div>
