<?php
	if (!defined("ENV")) exit();
	
	$filtered = isset($filtered)?trim($filtered):"No";
	
	pageHeader("Site Text Pages", "", "icb-document");
	
	loadJS("cd_page.js");
	
	pageNote(array(
		array("class"=>"ic-add", "text"=>"<b>Add a New Page</b>", "url"=>"admin.php?p=page&mode=insert", "visible"=>true),
		array("class"=>"ic-info", "text"=>"<b>Please note: there are three pre-defined text pages and it is strongly recommended that you do not delete these pages. Instead, it is recommended that you add the relevant information with regard to your business.</b>", "url"=>"", "visible"=>true)
	));

	$db->query("SELECT * FROM ".DB_PREFIX."pages ORDER BY priority, title");
	
	if ($db->numRows() > 0)
	{
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="admin-list-table">
	<thead>
		<tr>
			<th class="icon"><img src="images/icons/a/document.png"/></th>
			<th style="width:200px;">Page Title</th>
			<th style="width:200px;">Short Name (URL Param)</th>
			<th style="width:100px;">Is Visible</th>
			<th>&nbsp;</th>
		</tr>
	</thead>
	<tbody>
<?php
		while ($db->moveNext())
		{
?>
		<tr>
			<td class="icon"><img src="images/icons/a/document.png"/></td>
			<td style="width:200px;"><a href="admin.php?p=page&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["title"])?></a></td>
			<td style="width:200px;"><a href="admin.php?p=page&mode=update&pid=<?=$db->col["pid"]?>"><?=htmlspecialchars($db->col["name"])?></a></td>
			<td style="width:100px;"><?=htmlspecialchars($db->col["is_active"])?></td>
			<td style="text-align:right;">
				<a href="admin.php?p=page&mode=update&pid=<?=$db->col["pid"]?>"><img src="images/icons/a/pencil.png" border="0" title="Edit Page"></a>
				<a href="javascript:ConfirmDeletePage(<?=$db->col["pid"]?>)"><img src="images/icons/a/delete.png" border="0" title="Delete Page"></a>
			</td>
		</tr>
<?php	

		}
?>
	</tbody>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"No pages defined yet", "visible"=>true)
		));
	}
