<?php
	if (!defined("ENV")) exit();
?>
<div id="admin-tab-sheet-export-mapping" class="admin-tab-sheet hidden">
	<div class="admin-tab-sheet-wrap">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
      	<td colspan="2" class="formHeader">
      		<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
      		<div class="formHeaderText">Google Base</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Item Condition</td>
		<td class="formItemControl">
                        <select style="width:123px;" name="google_item_condition">
                            <option value="new" <?=($google_item_condition=="new"?"selected":"")?>>New</option>
                            <option value="used" <?=($google_item_condition=="used"?"selected":"")?>>Used</option>
                            <option value="refurbished" <?=($google_item_condition=="refurbished"?"selected":"")?>>Refurbished</option>
                        </select>
			<div class="formItemComment">
                            Google requires the product condition (new, used, etc)
			</div>
		</td>
	</tr>
</table>
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
      	<td colspan="2" class="formHeader">
      		<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
      		<div class="formHeaderText">Amazon</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Product Id</td>
		<td class="formItemControl">
			<input style="width:123px;" type="text" name="amazon_id" maxlength="64" value="<?=$amazon_id?>">
			<div class="formItemComment">
                            Amazon uses UPCs, ISBNs or other codes to identify their product pages.
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Id Type</td>
		<td class="formItemControl">
                        <select style="width:123px;" name="amazon_id_type">
                            <option value="1" <?=($amazon_id_type==1?"selected":"")?>>ASIN</option>
                            <option value="2" <?=($amazon_id_type==2?"selected":"")?>>ISBN</option>
                            <option value="3" <?=($amazon_id_type==3?"selected":"")?>>UPC</option>
                            <option value="4" <?=($amazon_id_type==4?"selected":"")?>>EAN</option>
                        </select>
			<div class="formItemComment">
                            Select the type of ID you have entered
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Item Condition</td>
		<td class="formItemControl">
                        <select style="width:123px;" name="amazon_item_condition">
                            <option value="1" <?=($amazon_item_condition==1?"selected":"")?>>Used, Like New</option>
                            <option value="2" <?=($amazon_item_condition==2?"selected":"")?>>Used, Very Good</option>
                            <option value="3" <?=($amazon_item_condition==3?"selected":"")?>>Used, Good</option>
                            <option value="4" <?=($amazon_item_condition==4?"selected":"")?>>Used, Acceptable</option>
                            <option value="5" <?=($amazon_item_condition==5?"selected":"")?>>Collectible; Like New</option>
                            <option value="6" <?=($amazon_item_condition==6?"selected":"")?>>Collectible; Very Good</option>
                            <option value="7" <?=($amazon_item_condition==7?"selected":"")?>>Collectible; Good</option>
                            <option value="8" <?=($amazon_item_condition==8?"selected":"")?>>Collectible; Acceptable</option>
                            <option value="9" <?=($amazon_item_condition==9?"selected":"")?>>Not Used</option>
                            <option value="10" <?=($amazon_item_condition==10?"selected":"")?>>Refurbished (for computers, kitchen & housewares, electronics, and camera & photo only) </option>
                            <option value="11" <?=($amazon_item_condition==11?"selected":"")?>>New</option>
                        </select>
			<div class="formItemComment">
                            Amazon requires a special code to mark the product condition
			</div>
		</td>
	</tr>
</table>

<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
      	<td colspan="2" class="formHeader">
      		<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
      		<div class="formHeaderText">Ebay</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Category</td>
		<td class="formItemControl">
			<input style="width:123px;" type="text" name="ebay_cat_id" maxlength="7" value="<?=$ebay_cat_id?>">
			<div class="formItemComment">
                            enter the numeric eBay category id (example, for antiques enter: 20081)
                            <a href="http://listings.ebay.com/_W0QQloctZShowCatIdsQQsacatZQ2d1QQsalocationZatsQQsocmdZListingCategoryList?loct=2" target="_blank">See a list of eBay categories</a>
			</div>
		</td>
	</tr>
</table>

<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
      	<td colspan="2" class="formHeader">
      		<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
      		<div class="formHeaderText">Yahoo!</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Path</td>
		<td class="formItemControl">
			<input style="width:400px;" type="text" name="yahoo_path" maxlength="255" value="<?=$yahoo_path?>">
			<div class="formItemComment">
                            a Yahoo! <em>path</em> is a grouping of products
			</div>
		</td>
	</tr>
</table>

    
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
      	<td colspan="2" class="formHeader">
      		<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
      		<div class="formHeaderText">PriceGrabber</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Category</td>
		<td class="formItemControl">
			<input style="width:400px;" type="text" name="pricegrabber_category" maxlength="300" value="<?=$pricegrabber_category?>">
			<div class="formItemComment">
                            enter the full breadcrumb to the PriceGrabber category (example: Appliances › Air Cleaners, Heating & Cooling › Air Conditioners)
                            <a href="http://www.pricegrabber.com/home_channelindex.php" target="_blank">See a list of PriceGrabber categories</a>
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Part Number</td>
		<td class="formItemControl">
			<input style="width:123px;" type="text" name="pricegrabber_part_number" maxlength="30" value="<?=$pricegrabber_part_number?>">
			<div class="formItemComment">
                            manufacturer model/part#
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Item Condition</td>
		<td class="formItemControl">
                        <select style="width:123px;" name="pricegrabber_item_condition">
                            <option value="New" <?=($pricegrabber_item_condition=="New"?"selected":"")?>>New</option>
                            <option value="Like New" <?=($pricegrabber_item_condition=="Like New"?"selected":"")?>>Like New</option>
                            <option value="Used" <?=($pricegrabber_item_condition=="Used"?"selected":"")?>>Used</option>
                            <option value="Refurbished" <?=($pricegrabber_item_condition=="Refurbished"?"selected":"")?>>Refurbished</option>
                            <option value="Generic" <?=($pricegrabber_item_condition=="Generic"?"selected":"")?>>Generic</option>
                        </select>
			<div class="formItemComment">
                            Google requires the product condition (new, used, etc)
			</div>
		</td>
	</tr>
</table>

<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
      	<td colspan="2" class="formHeader">
      		<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
      		<div class="formHeaderText">Nextag</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Category</td>
		<td class="formItemControl">
			<input style="width:400px;" type="text" name="nextag_category" maxlength="300" value="<?=$nextag_category?>">
			<div class="formItemComment">
                            Enter the Nextag category.  You may also use your own although Nextag does not recommend it.
                            <a href="http://merchants.nextag.com/serv/main/buyer/BulkCategoryCodes.jsp" target="_blank">See a list of Nextag categories</a>
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Part Number</td>
		<td class="formItemControl">
			<input style="width:123px;" type="text" name="nextag_part_number" maxlength="30" value="<?=$nextag_part_number?>">
			<div class="formItemComment">
                            manufacturer model/part#. (required only if this product does not have a UPC)
			</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Item Condition</td>
		<td class="formItemControl">
                        <select style="width:123px;" name="nextag_item_condition">
                            <option value="New" <?=($nextag_item_condition=="New"?"selected":"")?>>New</option>
                            <option value="Open Box" <?=($nextag_item_condition=="Open Box"?"selected":"")?>>Open Box</option>
                            <option value="OEM" <?=($nextag_item_condition=="OEM"?"selected":"")?>>OEM</option>
                            <option value="Refurbished" <?=($nextag_item_condition=="Refurbished"?"selected":"")?>>Refurbished</option>
                            <option value="Pre-Owned" <?=($nextag_item_condition=="Pre-Owned"?"selected":"")?>>Pre-Owned</option>
                            <option value="Like New" <?=($nextag_item_condition=="Like New"?"selected":"")?>>Like New</option>
                            <option value="Good" <?=($nextag_item_condition=="Good"?"selected":"")?>>Good</option>
                            <option value="Very Good" <?=($nextag_item_condition=="Very Good"?"selected":"")?>>Very Good</option>
                            <option value="Acceptable" <?=($nextag_item_condition=="Acceptable"?"selected":"")?>>Acceptable</option>
                        </select>
			<div class="formItemComment">
                            the product condition (new, used, etc)
			</div>
		</td>
	</tr>
</table>

</div>
</div>
