<?php 
	if (!defined("ENV")) exit();

	$adminView = Ddm_AdminView::getInstance();

	if ($mode == "update")
	{
		$db->query("
			SELECT ".DB_PREFIX."products.pid, ".DB_PREFIX."products.product_id, ".DB_PREFIX."products.title, ".DB_PREFIX."products_gifts.gift_quantity, ".DB_PREFIX."products_gifts.gift_shipping_free, ".DB_PREFIX."products_gifts.gift_max_quantity
				FROM ".DB_PREFIX."products_gifts
				INNER JOIN ".DB_PREFIX."products ON ".DB_PREFIX."products.pid = ".DB_PREFIX."products_gifts.gift_pid
				WHERE ".DB_PREFIX."products_gifts.pid='".$pid."'
		");
		$adminView->assign('selected_products', $db->getRecords());
	}
	else
	{
		$adminView->assign('selected_products', array());
	}

	$formBuilder = new core_Form_FormBuilder('promotions', array('label' => 'Product Promotions - This section allows you to create "Buy X get Y FREE" type promotions', 'first' => true));
	
	$formBuilder->add('gift_quantity', 'integer', array('label' => 'Minimum number of this product (X)', 'value' => $gift_quantity,
		'tooltip' => 'Enter the quantity of this product a customer must order to<br/>receive the item(s) below for free'
	));
	$formBuilder->add('gift_product_quantity', 'integer', array('label' => 'Free product quantity (Y)', 'value' => '1',
		'tooltip' => 'The quantity of the free product selected below the customer<br/> will receive'
	));
	$formBuilder->add('gift_max_product_quantity', 'integer', array('label' => 'Max. number of free product (Y)', 'value' => $gift_max_quantity,
		'tooltip' => 'Enter the Maximum number of free product allowed per order for this product.'
	));
	$formBuilder->add(
		'gift_product_free_shipping', 'choice', 
		array(
			'label' => 'Charge shipping for this free product?', 
			'options' => array(new core_Form_Option('Yes', 'No'), new core_Form_Option('No', 'Yes')),
		)	
	);

	$form = $formBuilder->getForm();
	$adminView->assign('form', $form);

	$adminView->render('pages/product/product-promotions-tab');