<?php
	if (!defined("ENV")) exit();
?>
<div id="admin-tab-sheet-main" class="admin-tab-sheet">
	<div class="admin-tab-sheet-wrap">
    
   
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
				<div class="formHeaderText">Category product will be listed in</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Main Category (primary)</b></td>
			<td class="formItemControl">
				<select name="cid" style="width:100%;" id="field-category" <?php echo in_array("category", $lock_fields) ? 'readonly="readonly" class="locked field-category"' : 'class="field-category"';?>>
					<option value="<?=TREE_ROOT?>">Select Category</option>
<?					$tree->collection[TREE_ROOT]->drawNode(new OPTION_PARAM($cid, 0));?>
				</select>
				<span class="lock">
					<input type="checkbox" id="lock-for-category" name="lock_fields[]" value="category" <?php echo in_array("category", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-category">Lock categories from updating</label>
				</span>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Secondary Categories</td>
			<td class="formItemControl">
        		<select name="secondary_categories[]" id="field-category-secondary" style="width:100%;" multiple size="7" <?php echo in_array("category", $lock_fields) ? 'readonly="readonly" class="locked field-category"' : 'class="field-category"';?>>
					<option value="<?=TREE_ROOT?>">None Selected</option>
<?					$tree->collection[TREE_ROOT]->drawNode(new OPTION_PARAM(0, 0, $categories));?>
				</select>
				<div class="formItemComment">
					Hold down the control key to select multiple categories.
				</div>
			</td>
		</tr> 
               
	</table>
	
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"></div>
				<div class="formHeaderText">Product ID, Name &amp;  Search Engine Settings</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Product ID</b></td>
			<td class="formItemControl">
				<input style="width:250px;" maxlength="30" type="text" name="product_id" value="<?=htmlspecialchars($product_id)?>">
				<div class="formItemComment">
					All products need to have an ID associated with the product for easy look-up and identification.
					This ID must be unique for each individual product.
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Product SKU</td>
			<td class="formItemControl">
				<input style="width:250px;" maxlength="30" type="text" name="product_sku" value="<?=htmlspecialchars($product_sku)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">UPC</td>
			<td class="formItemControl">
				<input style="width:250px;" maxlength="30" type="text" name="product_upc" value="<?=htmlspecialchars($product_upc)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Product name (title)</b></td>
			<td class="formItemControl">
				<input style="width:250px;" <?php echo in_array("name", $lock_fields) ? 'readonly="readonly" class="locked field-name"' : 'class="field-name"';?> type="text" id="field-name" name="title" maxlength="255" value="<?=htmlspecialchars($title)?>">
				<span class="lock">
					<input type="checkbox" id="lock-for-name" name="lock_fields[]" value="name" <?php echo in_array("name", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-name">Lock</label>
				</span>
			</td>
		</tr>
		
<?php	if($is_doba == "Yes" && 1>2){ ?>
		<tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_locked">Lock title and description</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_locked" type="checkbox" name="is_locked" value="Yes" <?=$is_locked=="Yes"?"checked":""?>/>
				<div class="formItemComment">
					When locked, product title and description will not be locked on next datafeed update
				</div>
			</td>
		</tr>
<?php 	} ?>

<?	if($settings["CatalogManufacturers"] == "YES"){?>
		<tr valign="top">
			<td class="formItemCaption">Product Manufacturer</td>
			<td class="formItemControl">
				<select name="manufacturer_id" style="width:250px;" id="manufacturer_id">
					<option value="0">Do not assign manufacturer</option>
<?		$db->query("SELECT * FROM ".DB_PREFIX."manufacturers ORDER BY manufacturer_name");
		while($db->moveNext()){?>
				<option value="<?=$db->col["manufacturer_id"]?>" <?=$db->col["manufacturer_id"]==$manufacturer_id?"selected":""?>><?=htmlspecialchars($db->col["manufacturer_name"])?></option>
<?		}?>
				<option value="-1">No Match Found</option>
				</select>
				<br><br>
				<input <?php if($manufacturer_value!='') { ?> style="width:250px;" <?php } else { ?>style="width:250px;display:none;" <?php } ?> type="text" name="manufacturer_name" id="manufacturer_name" maxlength="255" value="<?php echo $manufacturer_value; ?>"> 				
			</td>
		</tr>

<?	}?>

		<tr valign="top">
			<td class="formItemCaption">Product Location</td>
			<td class="formItemControl">
				<select name="products_location_id" id='products_location_id' style="width:250px;" onchange=''>
					<option value="0">Do not assign location</option>
<?php
					$pls = $productsLocations->getAll();
					foreach ($pls as $pl)
					{
						echo '<option '.(!$pl["is_active"]?'style="color:gray"':'').' value="'.$pl["products_location_id"].'" '.($pl["products_location_id"] == $products_location_id ? "selected" : "").'>'.htmlspecialchars($pl["name"])." (".ucfirst($pl["name"]).")</option>";
					}
?>
				</select>
                  <input type="text" name="products_location_value" id="products_location_value" value="<?=htmlspecialchars($products_location_value)?>" style="margin-left:10px; width:200px;"/>
                <div class="formItemComment">
					This feature allows you to automatically send shipping notification of products purchased to manufacturer.<br/>
					<a href="admin.php?p=products_locations">Manage products locations</a>
				</div>
		
                </td>
      
				
            
		</tr>

		<tr valign="top">
			<td class="formItemCaption">Priority</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="priority" maxlength="255" value="<?=htmlspecialchars($priority)?>">
				<div class="formItemComment">
					Use priority to have products listed higher within your cart.
					The higher the number, the higher the product will be listed.
					Use positive or negative number. Example: 50, -20, 4
				</div>
			</td>
		</tr>
	</table>
	
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td colspan="2" class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_properties.gif"></div>
				<div class="formHeaderText">Product Properties</div>
			</td>
		</tr>
        
        <?php if($mode == 'update'){?>
         <tr valign="top">
			<td class="formItemCaption" colspan="2"><div style="border:1px solid #ccc;padding:5px;width:400px;" class="products_price_history"><strong>Price Edits</strong><br />
<span><b>Item price</b></span>       <span style=";"><b>Sale price</b></span>       
            <spa style=""><b>Date / Time</b></span><br />
            <?php 
			$sql = mysql_query("SELECT * FROM ".DB_PREFIX."products_price_history WHERE pid='".$pid."'");
			while($result_price = mysql_fetch_array($sql))
			{
			?>
            
            <span><?=myNum($result_price["price2"]);?></span>       <span style=""><?=myNum($result_price["price"]);?></span>       
            <spa style=""><?=$result_price["last_update_date_time"];?></span><br />
            <?php }?>
            </div></td>
		</tr>
<?php } ?>

		<tr valign="top">
			<td class="formItemCaption"><b>Item price</b></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="price" <?php echo in_array("price", $lock_fields) ? 'readonly="readonly" class="locked field-price"' : 'class="field-price"';?> id="field-price" value="<?=myNum($price)?>">
				<input id="checkbox_call_for_price" type="checkbox" name="call_for_price" value="Yes" <?=$call_for_price=="Yes"?"checked":""?>>
				<label for="checkbox_call_for_price">Call For Price</label>
				&nbsp;
				<span class="lock">
					<input type="checkbox" id="lock-for-price" name="lock_fields[]" value="price" <?php echo in_array("price", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-price">Lock</label>
				</span>
			</td>
		</tr>

		<tr valign="top">
			<td class="formItemCaption">Cost</td>
			<td class="formItemControl">
				<input type="text" name="cost" value="<?=$cost>0?myNum($cost):""?>">&nbsp;&nbsp;&nbsp;<b>As of: </b><input type="text" name="asof" id="asof" style="width:80px;" value="<?=htmlspecialchars($asof)?>"/>&nbsp;&nbsp;<b>Until: </b><input type="text" name="until" id="until" style="width:80px;" value="<?=htmlspecialchars($until)?>"/>
			</td>
		</tr>

		<tr valign="top">
			<td class="formItemCaption">Sale price</td>
			<td class="formItemControl">
				<input type="text" name="price2" <?php echo in_array("sale-price", $lock_fields) ? 'readonly="readonly" class="locked field-sale-price"' : 'class="field-sale-price"';?> id="field-sale-price" value="<?=$price2>0?myNum($price2):""?>" style="width:123px;">
				<span class="lock">
					<input type="checkbox" id="lock-for-sale-price" name="lock_fields[]" value="sale-price" <?php echo in_array("sale-price", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-sale-price">Lock</label>
				</span>
				<div class="formItemComment">
					If this item is on sale, enter in the sale price.
					The sale price will appear in red below the retail price.
				</div>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption">Shipping Cost</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="shipping_cost" value="<?=myNum($shipping_cost)?>">
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption">Total Cost</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="total_cost" class="field-sale-price locked" value="<?=myNum($cost+$shipping_cost)?>" readonly>
			</td>
		</tr>
<?	if($settings["WholesaleDiscountType"] == "PRODUCT"){?>
		<tr valign="top">
			<td class="formItemCaption">Wholesale Prices (Level 1/Level 2/Level 3)</td>
			<td class="formItemControl">
				<input style="width:123px;" maxlength="50" type="text" name="price_level_1" value="<?=$price_level_1>0?myNum($price_level_1):"";?>">
<?		if($settings["WholesaleMaxLevels"] != "1"){?>
				<input style="width:123px;" maxlength="50" type="text" name="price_level_2" value="<?=$price_level_2>0?myNum($price_level_2):"";?>">
<?			if($settings["WholesaleMaxLevels"] != "2"){?>
				<input style="width:123px;" maxlength="50" type="text" name="price_level_3" value="<?=$price_level_3>0?myNum($price_level_3):"";?>">
<?			}
		}?>
			</td>
		</tr>
<?	}?>

		<tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_taxable">Is this a taxable item?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_taxable" type="checkbox" name="is_taxable" value="Yes" <?=$is_taxable=="Yes"?"checked":""?>>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Select tax class</td>
			<td class="formItemControl">
<?	$tax_classes = $taxes->getTaxClassesList();
	if(count($tax_classes) > 0){?>
				<select name="tax_class_id" style="width:250px;">
					<option value="0">Tax Class is not assigned</option>
<?		for($i=0; $i<count($tax_classes); $i++){?>
				<option value="<?=$tax_classes[$i]["class_id"]?>" <?=$tax_class_id==$tax_classes[$i]["class_id"]?'selected="selected"':''?>><?=htmlspecialchars($tax_classes[$i]["class_name"])?></option>
<?		}?>
				</select>
<?	}
else{
	echo "There are no taxes classes defined";
}
?>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Tax rate at product level</td>
			<td class="formItemControl">
				<input type="text" name="tax_rate" value="<?=$tax_rate>0?myNum($tax_rate):""?>" style="width:123px;">
				<div class="formItemComment">
					If this item has "exclusive" tax rate, please enter it here.
				</div>
			</td>
		</tr>
		
		<tr valign="top">
			<td class="formItemCaption">Unit weight (<?=$settings["LocalizationWeightUnits"]?>)</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="weight" value="<?=$weight?>">
				<div class="formItemComment">Not required if free shipping is selected.</div>
			</td>
		</tr>
<!--SHIPPING PRICE AT PRODUCT LEVEL-->
<?php
$db->query("
		SELECT
			".DB_PREFIX."shipping_selected.carrier_name,
			".DB_PREFIX."shipping_selected.ssid,
			".DB_PREFIX."products_shipping_price.is_price,
			IF(".DB_PREFIX."products_shipping_price.price IS NULL, 0.00000, ".DB_PREFIX."products_shipping_price.price) AS shipping_price
		FROM
			".DB_PREFIX."shipping_selected
		LEFT JOIN ".DB_PREFIX."products_shipping_price ON
			".DB_PREFIX."products_shipping_price.ssid = ".DB_PREFIX."shipping_selected.ssid AND
			".DB_PREFIX."products_shipping_price.pid = ".intval($pid)."
		WHERE
			carrier_id ='custom' AND
			method_id='product_level' AND
			hidden='No'
		GROUP BY
			".DB_PREFIX."shipping_selected.ssid
		ORDER BY
			".DB_PREFIX."shipping_selected.priority
	");
	if($db->numRows() > 0){
		while($db->moveNext()){?>
		<tr valign="top">
			<td class="formItemCaption">Shipping price for <?=htmlspecialchars($db->col["carrier_name"])?></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="shipping_price[<?=$db->col["ssid"]?>]" value="<?=$db->col["is_price"] == "Yes"?myNum($db->col["shipping_price"]):""?>">
				<div class="formItemComment">
					Enter price if you want shipping charged at the product level.<br/>
					If a price is entered the "Shipping Management" settings for this item will be ignored. For free shipping enter 0.00 or click free shipping above.
				</div>
			</td>
		</tr>
<?		}
	}
	if($settings["WholesaleInterPack"] == "YES" || $settings["WholesaleCasePack"] == "YES"){?>
		<tr valign="top">
			<td class="formItemCaption">
<?		if($settings["WholesaleInterPack"] == "YES") echo "Inter Pack";
			if($settings["WholesaleCasePack"] == "YES"){?>
<?				if($settings["WholesaleInterPack"] == "YES") echo "/";
        			echo "Case Pack";
        		}
?>
			</td>
			<td class="formItemControl">
<?		if($settings["WholesaleInterPack"] == "YES"){?>
			<input style="width:123px;" maxlength="5" type="text" name="inter_pack" value="<?=$inter_pack>0?$inter_pack:"";?>">
<?		}
		if($settings["WholesaleCasePack"] == "YES"){?>
			<input style="width:123px;" maxlength="5" type="text" name="case_pack" value="<?=$case_pack>0?$case_pack:"";?>">
<?		}?>
			</td>
		</tr>
<?	}?>
		<tr valign="top">
			<td class="formItemCaption">Minimum / Maximum quantity in order</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="min_order" value="<?=$min_order?>">
				<input style="width:123px;" type="text" name="max_order" value="<?=$max_order?>">
				<div class="formItemComment">
					Set the minimum and maximum number this product can be purchased by your customer. The default minimum is 1.
				</div>
			</td>
		</tr>
        <tr valign="top">
		<td class="formItemCaption"><label for="checkbox_is_visible">Item Available (item displayed on website)</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_visible" type="checkbox" name="is_visible" value="Yes" <?=$is_visible=="Yes"?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_home">Show product on home page?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_home" type="checkbox" name="is_home" value="Yes" <?=$is_home=="Yes"?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_private">Private (item Not visible to visitors)</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_private" type="checkbox" name="is_private" value="1" <?=$is_private==1?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_hotdeal">Add banner 'Hot Deal'</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_hotdeal" type="checkbox" name="is_hotdeal" value="Yes" <?=$is_hotdeal=="Yes"?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_comingsoon">Add small banner 'Coming Soon'</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_comingsoon" type="checkbox" name="is_comingsoon" value="Yes" <?=$is_comingsoon=="Yes"?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption"><label for="checkbox_free_shipping">Free shipping for this product?</label></td>
			<td class="formItemControl">
				<input id="checkbox_free_shipping" type="checkbox" name="free_shipping" value="Yes" <?=$free_shipping=="Yes"?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_sold">Sold, Add banner 'Sold'</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_sold" type="checkbox" name="is_sold" value="Yes" <?=$is_sold=="Yes"?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption">Sold item appears as 'Available'</td> 
			<td class="formItemControl">
				<!--<select name="sold_status">
                <option value="All" <? if($sold_status=="All"){?>selected="selected"<?php } ?>>All</option>
                <option value="Sold" <? if($sold_status=="Sold"){?>selected="selected"<?php } ?>>Sold</option>
                <option value="Available"  <? if($sold_status=="Available"){?>selected="selected"<?php } ?>>Available</option>
				</select>-->
                <input id="checkbox_sold_status" type="checkbox" name="sold_status" value="Sold" <?=$sold_status=="Sold"?"checked":""?>>
			</td>
		</tr>
        <tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_home">Paypal</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_paypal" type="checkbox" name="is_paypal" value="Yes" <?=$is_paypal=="Yes"?"checked":""?>>
			</td>
		</tr>
		
        <?php if($google_co_active){ ?>
        <tr valign="top">
		<td class="formItemCaption"><label for="checkbox_is_google_co">Is this product available for Google Checkout?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_google_co" type="checkbox" name="is_google_co" value="Yes" <?=$is_google_co=="Yes"?"checked":""?>>

			</td>
		</tr>
        <?php }
		else { echo '<input id="checkbox_is_google_co" type="hidden" name="is_google_co" value="Yes" />';}
		 ?>
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_search.gif"></div>
				<div class="formHeaderText">SEO Properties</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Meta Keywords</td>
			<td class="formItemControl">
				<!--<input style="width:250px;" type="text" <?php echo in_array("meta-keywords", $lock_fields) ? 'readonly="readonly" class="locked field-meta-keywords"' : 'class="field-meta-keywords"';?> name="meta_keywords" id="field-meta-keywords" maxlength="255" value="<?=htmlspecialchars($meta_keywords)?>">-->
                <textarea style="width:500px;height:80px;" <?php echo in_array("meta-keywords", $lock_fields) ? 'readonly="readonly" class="locked field-meta-keywords"' : 'class="field-meta-keywords"';?> name="meta_keywords" id="field-meta-keywords" maxlength="510"><?=htmlspecialchars($meta_keywords)?></textarea>
				<span class="lock">
					<input type="checkbox" id="lock-for-meta-keywords" name="lock_fields[]" value="meta-keywords"  <?php echo in_array("meta-keywords", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-meta-keywords">Lock</label>
				</span>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Meta Title<br />Character Count <input id="charNum" name="charNum" value="" style="width:30px;height:20px;" /><br />
            <span id="charNum_text" style="display:none;color:#F00">Only 65 Characters are Allowed.</span>
			</td>
			<td class="formItemControl">
				<!--<input style="width:250px;" type="text" <?php echo in_array("meta-title", $lock_fields) ? 'readonly="readonly" class="locked field-meta-title"' : 'class="field-meta-title"';?> name="meta_title" id="field-meta-title" maxlength="255" value="<?=htmlspecialchars($meta_title)?>">-->
                <textarea style="width:500px;height:35px;" type="text" <?php echo in_array("meta-title", $lock_fields) ? 'readonly="readonly" class="locked field-meta-title"' : 'class="field-meta-title"';?> name="meta_title" id="field-meta-title" maxlength="510"><?=htmlspecialchars($meta_title)?></textarea>
				<span class="lock">
					<input type="checkbox" id="lock-for-meta-title" name="lock_fields[]" value="meta-title" <?php echo in_array("meta-title", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-meta-title">Lock</label>
				</span>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Product URL (pre-generated)</td>
			<td class="formItemControl">
				<span style="text-decoration:underline;color:blue;"><?=htmlspecialchars($url_default)?></span>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Product URL (custom)</td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="url_custom" maxlength="128" value="<?=htmlspecialchars($url_custom)?>">
				<div class="formItemComment">
					Enter a custom URL to be used for search engine optimization.
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Meta Description<br />Character Count <input id="charNum1" name="charNum1" value="" style="width:30px;height:20px;" />					 			<br />
            <span id="charNum_text1" style="display:none;color:#F00">Only 160 Characters are Allowed.</span>
	
</td>
			<td class="formItemControl">
				<textarea class="no-mce" style="width:100%;height:100px;" <?php echo in_array("meta-description", $lock_fields) ? 'readonly="readonly" class="locked field-meta-description"' : 'class="field-meta-description"';?> id="field-meta-description" name="meta_description"><?=htmlspecialchars($meta_description)?></textarea>
				<span class="lock">
					<input type="checkbox" id="lock-for-meta-description" name="lock_fields[]" value="meta-description" <?php echo in_array("meta-description", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-meta-description">Lock</label>
				</span>
			</td>
		</tr>
	</table>
<?	if($settings["DigitalProductsActive"] == "YES" && (_ACCESS_ALL || _ACCESS_DOWNLOADS)){?>
<!--DIGITAL PRODUCTS STARTS HERE-->
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_digital.gif"/></div>
				<div class="formHeaderText">Digital Product Properties</div>
				<div class="formHeaderButtons"><img src="images/icons/ic_arrow_down.gif" class="sliderButton" style="cursor:pointer;"></div>
			</td>
		</tr>
	</table>

	<div id="divDigital" style="display:none;" class="sliderDiv">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr valign="top">
				<td class="formItemCaption"><label for="checkbox_digital_product">Is this a digital download?</label></td>
				<td class="formItemControl">
					<input id="checkbox_digital_product" type="checkbox" name="digital_product" value="Yes" <?=$digital_product=="Yes"?"checked":""?>>
					<div class="formItemComment">
						If you select yes, the product will be classified as a digital product
						and customers may download it from your store.
						Use a FTP application to upload products to the server.
						Please upload the file/application into /content/download folder
						and enter the relative path below. You may organize any directory
						structure you like in this folder
					</div>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Enter here path to digital product file</td>
				<td class="formItemControl">
					<input type="text" name="digital_product_file" maxlength="255" value="<?=$digital_product_file?>" style="width:250px">
					<div class="formItemComment">
						Please enter the relative path to the file.
						For example, if full file path is <u>/content/download/books/story.pdf</u>,
						your have to enter <u>books/story.pdf</u> only (exclude "/content/download").
						Do not place "/" (slash) symbol before file path
					</div>
				</td>
			</tr>
		</table>
	</div>
<?	}
else{
	if($digital_product == "Yes"){
	?>	<input type="hidden" name="digital_product" value="Yes">
	<?	}?>
		<input type="hidden" name="digital_product_file" value="<?=$digital_product_file?>">
<?	}?>

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"/></div>
				<div class="formHeaderText">Quick Overview</div>
				<div class="formHeaderButtons"><!--<img src="images/icons/ic_arrow_down.gif" style="cursor:pointer;" class="sliderButton">--></div>
			</td>
		</tr>
	</table>

	<div id="divQuickOverview" style="display:block;" class="sliderDiv">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr valign="top">
				<td class="formItemBig">
					<textarea wrap="on" style="width:100%;height:150px;" id="overview" class="no-mce" name="overview"><?=htmlspecialchars($overview)?></textarea>
					<div class="formItemComment">
						Please note: enter here plain text, HTML is not allowed in the Quick Overview.<br>This information may also appear on the Catalog pages
					</div>
				</td>
			</tr>
		</table>
	</div>
		

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"></div>
				<div class="formHeaderText">Product Description</div>
				<div class="formHeaderButtons">
					<a href="javascript:toggleEditorMode('description',this)"><img src="images/icons/ic_change_text.gif" style="cursor:pointer;border:0px;" alt="Edit HTML Online"/></a>
					<!--<img src="images/icons/ic_arrow_down.gif" style="cursor:pointer;" class="sliderButton">-->
				</div>
			</td>
		</tr>
	</table>
	
	<div id="divDescription" style="display:block;" class="sliderDiv">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr valign="top">
				<td class="formItemBig">
					<textarea wrap="off" style="width:100%;height:150px;" width="100%" class="ddd" id="description" name="description"><?=htmlspecialchars($description)?></textarea>
				</td>
			</tr>
		</table>
	</div>

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_jpg.gif"/></div>
				<div class="formHeaderText">Product Image</div>
			</td>
		</tr>
		<tr valign="top">
        	<td class="formItemCaption">Image zooming</td>
        	<td class="formItemControl">
				<select name="zoom_option" style="width:250px;">
		    		<option value="global" <?=$zoom_option=="global"?"selected":""?>>Use Global Settings</option>
					<option value="none" <?=$zoom_option=="none"?"selected":""?>>None</option>
					<option value="zoom" <?=$zoom_option=="zoom"?"selected":""?>>Zoom</option>
					<option value="magnify" <?=$zoom_option=="magnify"?"selected":""?>>Magnify</option>
                    <option value="magicthumb" <?=$zoom_option=="magicthumb"?"selected":""?>>Magic Thumb</option>
                    <option value="imagelayover" <?=$zoom_option=="imagelayover"?"selected":""?>>Image Layover</option>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Primary image</td>
     		<td class="formItemControl">
				<input style="width:250px;" type="file" name="image"  <?php echo in_array("images", $lock_fields) ? 'readonly="readonly" class="locked field-images"' : 'class="field-images"';?> >
				<span>
					<input id="" type="checkbox" name="image_visible" value='Yes' <?=$image_visible=="Yes"?"checked":""?>>
					<label>Visible</label>
				</span>
				
				
				<span class="lock">
					<input type="checkbox" id="lock-for-images" name="lock_fields[]" value="images" <?php echo in_array("images", $lock_fields) ? 'checked' : '';?>/>
					<label for="lock-for-images">Lock</label>
				</span>
				
				<div class="formItemComment">
					Accepted file types are JPG, PNG and GIF.
<?	if($settings["CatalogThumbType"] != "Manual"){?>
					Thumbnails can only be generated from .JPG and .PNG file types only.
<?	}?>
					If you would like to add additional images, click
					the "Secondary Images" tab at the top of the page.
				</div>
			</td>
		</tr>
		
<?php 

if($mode != "insert")
	{
	if($image_location == "Local"){
		$img_file = ProductHasImage($product_id);
		$thumb = ProductHasThumb($product_id);
		$thumb2 = ProductHasThumb2($product_id);
		if($img_file || $thumb || $thumb2){
			if($img_file){
				$size = getimagesize($img_file);?>
		<tr valign="top">
			<td class="formItemCaption">
				Current Image<br/>
				(<?=gs($img_file)?>, <?=$size[0]?>x<?=$size[1]?> pixels, <?=number_format(filesize($img_file)/1024, 2, ".", ",")?> Kb)
			</td>
			<td class="formItemControl">
				<img src="<?=$img_file?>?<?=rand(1, 9999999)?>" border="1" width="<?=$size[0]>500?500:$size[0]?>" border="0"><br>
				<input type="checkbox" name="cb_delete_image" id="cb_delete_image">
				<label for="cb_delete_image">Check to delete</label>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Thumbnail for this image</td>
			<td class="formItemControl">
<?				if($thumb){?>
				<img src="<?=$thumb?>?<?=rand(1, 9999999)?>" border="1"><br>
				<input type="checkbox" name="cb_delete_thumb" id="cb_delete_thumb">
				<label for="cb_delete_thumb">Check to delete</label>
<?				}
				else{
					echo "There is no thumbnail for this image";
				}
?>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">&nbsp;</td>
			<td class="formItemControl">
				<a href="javascript:ConfirmDeleteProductImage(<?=$pid?>)"><b>Delete selected images</b></a>
			</td>
		</tr>
<?			}?>
		
		
<?			}
	}
}
?>		
			
		<tr valign="top">
			<td class="formItemCaption">Primary image URL</td>
     		<td class="formItemControl">
				<input style="width:250px;" type="text" name="image_url" value="<?php echo htmlspecialchars($image_url);?>"/>
				<div class="formItemComment">
					Overrides local image if URL is not empty
				</div>
			</td>
		</tr>
<?	if($settings["CatalogThumbType"] == "Manual"){?>
		<tr valign="top">
			<td class="formItemCaption">Thumbnail Image</td>
			<td class="formItemControl">
				<input style="width:250px;" type="file" name="image_thumb">
			</td>
		</tr>
<?	} 
	if($settings["CatalogThumb2Type"] == "Manual"){?>
		<tr valign="top">
      		<td class="formItemCaption">Product Page Image :</td>
			<td class="formItemControl">
				<input style="width:250px;" type="file" name="image_thumb2">
			</td>
		</tr>
<?	}
if($mode != "insert")
	{
	if($image_location == "Local"){
		$img_file = ProductHasImage($product_id);
		$thumb = ProductHasThumb($product_id);
		$thumb2 = ProductHasThumb2($product_id);
		if($img_file || $thumb || $thumb2){
			if($img_file){
				$size = getimagesize($img_file);?>
		
		
<?			}
if($thumb2){?>
		<tr valign="top">
			<td class="formItemCaption">Image on product page</td>
			<td class="formItemControl">
			
				<img src="<?=$thumb2?>?<?=rand(1, 9999999)?>" border="1"><br>
				<input type="checkbox" name="cb_delete_thumb2" id="cb_delete_thumb2">
				<label for="cb_delete_thumb2">Check to delete</label>

			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">&nbsp;</td>
			<td class="formItemControl">
				<a href="javascript:ConfirmDeleteProductImage(<?=$pid?>)"><b>Delete selected images</b></a>
			</td>
		</tr>
<?				}?>		
<?			}
	}
	else
	{
		if ($image_url != "")
		{
?>
		<tr valign="top">
			<td class="formItemCaption">Current Image</td>
			<td class="formItemControl">
				<a href="<?=$image_url?>" target="img"><img src="<?=$image_url?>" style="height:100px;max-height:250px;max-width:250px;border-color:black;" border="1"></a><br/>
				<?=$image_url?><br/>
				<div class="formItemComment">(Click over image to see it real size)</div>
			</td>
		</tr>
<?		}
	}
}

?>	
		<tr valign="top">
			<td class="formItemCaption">Image ALT Text</td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="image_alt_text" maxlength="128" value="<?=htmlspecialchars($image_alt_text)?>">
				<div class="formItemComment">
					Enter the alternate text for the image. If left blank, it will use Product Title text.
				</div>
			</td>
		</tr>

</table>
</div>
</div>
<script>
$(document).ready(function(){
	//$("#products_location_id").change(updateAddr);
	$("#manufacturer_id").change(function(){
		if($("#manufacturer_id").val()== '-1')
			$("#manufacturer_name").show();		
	});
		$( "#asof" ).datepicker({ dateFormat: 'yy-mm-dd' });
		/*var asof_check = $("#asof").val();
		if(asof_check == ''){$( "#asof" ).datepicker("setDate", new Date());}*/
		
		$( "#until" ).datepicker({ dateFormat: 'yy-mm-dd' });
		toggleEditorMode('description',this);
		
		var lenn = $('#field-meta-title').val().length;
		$('#charNum').val(lenn);
		if (lenn > 65) {
			$('#charNum').css("color","red");
			$('#charNum_text').show();
		  } else {
			$('#charNum').css("color","black");
			$('#charNum_text').hide();
		  }
		 
		var lenn1 = $('#field-meta-description').val().length;
		$('#charNum1').val(lenn1);
		if (lenn1 > 160) {
			$('#charNum1').css("color","red");
			$('#charNum_text1').show();
		  } else {
			$('#charNum1').css("color","black");
			$('#charNum_text1').hide();
		  } 

		$('#field-meta-title').keyup(function () {
		  var max = 65;
		  var len = $(this).val().length;
		  $('#charNum').val(len);
		  if (len > max) {
			$('#charNum').css("color","red");
			$('#charNum_text').show();
		  } else {
			$('#charNum').css("color","black");
			$('#charNum_text').hide();
		  }
		});	
		
		$('#field-meta-description').keyup(function () {
		  var max = 160;
		  var len = $(this).val().length;
		  $('#charNum1').val(len);
		  if (len > max) {
			$('#charNum1').css("color","red");
			$('#charNum_text1').show();
		  } else {
			$('#charNum1').css("color","black");
			$('#charNum_text1').hide();
		  }
		});	
});

/*var addressarray= new Array();
function updateAddr() {
	var locationid = $("#products_location_id").val();
	//alert(location);
	$.ajax({
		url:"admin.php?p=ajax",
		data:"&chart=1&requestfrm=getAddrfrmLocation&locationid= "+locationid,
		success:function(result){
			//alert(addressarray) 
			eval(result);
			//alert(addressarray);
			//alert(result);
			//$resultarray = split(",",result);
			$("#owner_address1").val(addressarray['address1']);
			$("#item_addr1").val(addressarray['address1']);
			
			$("#owner_address2").val(addressarray['address2']);
			$("#item_addr2").val(addressarray['address2']);
			
			$("#owner_city").val(addressarray['city']);
			$("#item_city").val(addressarray['city']);
			
			$("#owner_state").val(addressarray['state_name']);
			$("#item_state").val(addressarray['state_name']);
			
			$("#owner_zip").val(addressarray['zip']);
			$("#item_zip").val(addressarray['zip']);
			
			$("#owner_country").val(addressarray['country_name']);
			$("#item_country").val(addressarray['country_name']);
			
			$("#owner_phone").val(addressarray['phone']);
			$("#loading_phone").val(addressarray['phone']);
		}
	})
}*/

</script>
