<?php 
	/**
	 * Product export fields
	 */
	$product_export_fields = array();
	$product_export_fields["is_visible"] = "Available";
	$product_export_fields["product_sku"] = "Product SKU";
	$product_export_fields["product_upc"] = "UPC code";
	$product_export_fields["category"] = "Categories";
	$product_export_fields["manufacturer_name"] = "Manufacturer name";
	$product_export_fields["manufacturer_code"] = "Manufacturer code";
	$product_export_fields["location_name"] = "Location name";
	$product_export_fields["location_code"] = "Location code";
	$product_export_fields["is_locked"] = "Lock product";
	$product_export_fields["lock_fields"] = "Lock fields";
	$product_export_fields["meta_keywords"] = "Meta keywords";
	$product_export_fields["meta_title"] = "Meta title";
	$product_export_fields["meta_description"] = "Meta description";
	$product_export_fields["priority"] = "Priority";
	$product_export_fields["rating"] = "Rating";
	$product_export_fields["reviews_count"] = "Reviews Count";
	$product_export_fields["added"] = "Date added";
	$product_export_fields["call_for_price"] = "Call for price";
	$product_export_fields["is_taxable"] = "Is taxable";
	$product_export_fields["tax_class_name"] = "Tax class name";
	$product_export_fields["tax_class_id"] = "Tax class ID";
	$product_export_fields["tax_rate"] = "Tax rate on product level";
	$product_export_fields["cost"] = "Cost";
	$product_export_fields["sale_price"] = "Sale price";
	$product_export_fields["price_level_1"] = "Price level 1";
	$product_export_fields["price_level_2"] = "Price level 2";
	$product_export_fields["price_level_3"] = "Price level 3";
	$db->query("SELECT * FROM ".DB_PREFIX."shipping_selected WHERE carrier_id='custom' AND method_id='product_level'");
	while (($shipping_selected = $db->moveNext()) != false)
	{
		$product_export_fields["shipping_price_".$shipping_selected["ssid"]] = "Shipping Price - ".$shipping_selected["carrier_name"];
	}
	$product_export_fields["free_shipping"] = "Free shipping";
	$product_export_fields["weight"] = "Weight";
	$product_export_fields["inter_pack"] = "Inter pack";
	$product_export_fields["case_pack"] = "Case pack";
	$product_export_fields["min_order"] = "Min order";
	$product_export_fields["max_order"] = "Max order";
	$product_export_fields["is_home"] = "On home page";
	$product_export_fields["is_hotdeal"] = "Is hotdeal";
	$product_export_fields["is_dollar_days"] = "Dollar Days Product";
	$product_export_fields["is_doba"] = "Doba Product";
	$product_export_fields["url_default"] = "Default Product URL";
	$product_export_fields["url_custom"] = "Custom Product URL";
	$product_export_fields["digital_product"] = "Is digital";
	$product_export_fields["digital_product_file"] = "Digital product file";
	if (_ACCESS_ALL || _ACCESS_INVENTORY)
	{
		$product_export_fields["inventory_control"] = "Track inventory";
		$product_export_fields["stock"] = "Stock";
		$product_export_fields["stock_warning"] = "Stock warning";
		$product_export_fields["inventory_rule"] = "Inventory rule";
	}
	$product_export_fields["overview"] = "Overview";
	$product_export_fields["description"] = "Description";	
	$product_export_fields["image_url"] = "Image URL";
	$product_export_fields["image_location"] = "Image Location";
	$product_export_fields["zoom_option"] = "Image zooming option";
	$product_export_fields["image_alt_text"] = "Image alt text";
	$product_export_fields["attributes"] = "Attributes";
	//$product_fields["quantity_discounts"] = "Quantity discounts";
