<?php
	if (!defined("ENV")) exit();

	loadJS("cd_product_family.js");
	pageHeader("Recommended Products Families", "", "ic_recommended.gif");

	if (_ACCESS_ALL || _ACCESS_RECOMMENDED)
	{
		pageNote(
			array(
				array("icon"=>"ic_hint.gif","url"=>"","text"=>"Use this section to set up Product Families for Recommended Products. Once a Product Family is set up, you can add a family to a product on the Add/Edit Product Page.", "visible"=>true),
				array("icon"=>"ic_insert_row.gif","url"=>"admin.php?p=products_family&mode=insert","text"=>"<b>Create a New Product Family</b>", "visible"=>true),
				array("icon"=>"ic_hint.gif","url"=>"","text"=>"<b>There are currently no product families.</b>", "visible"=>$db->numRows() == 0)
			)
		);
?>
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption" style="width:300px;">Recommended Product Family</div>
</div>
<?
		$db->query("SELECT * FROM ".DB_PREFIX."products_families ORDER BY name");
		if ($db->numRows() > 0)
		{
?>

<?			while ($db->moveNext())
			{
?>
<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/ic_recommended.gif"/></div>
	<div class="listItemText" style="width:300px;"><a href="admin.php?p=products_family&mode=update&pf_id=<?=$db->col["pf_id"]?>"><?=htmlspecialchars($db->col["name"])?></a></div>
	<div class="listItemButtons">
		<a href="admin.php?p=products_family&mode=update&pf_id=<?=$db->col["pf_id"]?>"><img src="images/icons/ic_change_text.gif" border="0" title="Click to Edit Products Family"></a>
		<a href="javascript:ConfirmDeleteProductFamily('<?=$db->col["pf_id"]?>')"><img src="images/icons/ic_delete.gif" border="0" title="Delete Products Family"></a>
	</div>
</div>
<?			}
		}
		else
		{
?>
<div class="listEmpty">
	No product families have been entered yet.
</div>
<?		}
	}
	else
	{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}
?>