<?php
/**
 * Product family
 */
	if (!defined("ENV")) exit();

	loadJS("products_family.js");
	$mode = isset($_REQUEST["mode"])?$_REQUEST["mode"]:"update";
	$pf_id = isset($_REQUEST["pf_id"])?intval($_REQUEST["pf_id"]):"0";
	if (_ACCESS_ALL || _ACCESS_RECOMMENDED)
	{
		if ($mode == "update")
		{
			$db->query("SELECT * FROM ".DB_PREFIX."products_families WHERE pf_id='".$pf_id."'");
			if ($db->moveNext())
			{
				$name = $db->col["name"];
			}
			else
			{
				$mode = "insert";
				$name = "";
			}
		}
		else
		{
			$mode = "insert";
			$name = "";
		}
		pageHeader("Recommended Products (Family)", ucfirst($mode), "ic_recommended_".($mode == "update"?"edit":"add").".gif");

		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"A Product Family gives you the ability to add recommended products to your product pages.<br/>To create a new Product Family, create a family name and enter in the products you would like to include.<br/>You will have the ability to select any Product Family in the \"Add a New Product\" section.", "url"=>"", "visible"=>true)
		));
?>
<form action="admin.php?p=products_family_process" method="post" onSubmit="return checkFamilyForm(this)">
	<input type="hidden" name="mode" value="<?=$mode?>">
	<input type="hidden" name="pf_id" value="<?=$pf_id?>">
	<input type="hidden" name="products_in_family" id="products_in_family" value="">
	
	<div class="admin-tabs admin-tabs-framed" id="tabs-family">
<?php 
		pageTabs(array(
			array("title"=>"Product Family Properties", "id"=>"main"),
		), "tabs-family", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_recommended.gif"/></div>
							<div class="formHeaderText">Product Family Name</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption"><b>Name of Product Family</b></td>
						<td class="formItemControl">
							<input type="text" name="name" value="<?=htmlspecialchars($name)?>" style="width:250px;">
						</td>
					</tr>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_product.gif"/></div>
							<div class="formHeaderText">Products in this Family</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">
							Enter a Product Name or ID :<br/>
							<div id="inDiv"></div>
							<input type="text" name="searchStr" id="searchStr" style="width:190px;" onKeyPress="loadAutoCompleteFrame();">
							<select name="searchLimit" id="searchLimit">
								<option value="10">10</option>
								<option value="25">25</option>
								<option value="50">50</option>
								<option value="-">-</option>
							</select>
							<div class="formItemComment">
								Our auto search feature will attempt to search your
								product database as you are entering in the
								product data.
							</div>
							<div id="acDiv" style="position:absolute;top:445px;width:255px;padding:0px;background-color:white;border:1px solid black;visibility:hidden;"></div>
						</td>
						<td class="formItemControl">
							Selected Products:<br/>
							<select name="pr_family" size="10" style="width:460px;" id="pr_family">
<?php
		if ($mode == "update")
		{
			$db->query("
				SELECT ".DB_PREFIX."products.pid, ".DB_PREFIX."products.product_id, ".DB_PREFIX."products.title
				FROM ".DB_PREFIX."products_families_content
				INNER JOIN ".DB_PREFIX."products ON ".DB_PREFIX."products.pid = ".DB_PREFIX."products_families_content.pid
				WHERE pf_id='".$pf_id."'
			");
			while ($db->moveNext())
			{
				echo '<option value="'.$db->col["pid"].'">'.gs($db->col["product_id"]." - ".$db->col["title"]).'</option>';
			}
		}
?>
							</select><br/>
							<a href="javascript:removeFromFamily();">Remove Selected</a>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes" /> &nbsp;
		<input type="reset" value="Reset form" />
	</div>
</form>
<script type="text-javascript"><!--
	document.acDiv = document.getElementById('acDiv');
--></script>
<div style="position:absolute;top:-10000;left:-10000;visibility:hidden;width:0px;height:0px;">
<iframe width="0" height="0" src="admin.php?p=auto_complete&mode=products_family&chart=true" name="acFrame" id="acFrame"></iframe>
</div>
<?php
	}
	else
	{
		pageHeader("Recommended Products (Family)", "", "ic_recommended_add.gif");
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
		));
	}
?>
