<?php
/**
 * Save product family
 */
	if (!defined("ENV")) exit();

	$mode = isset($_REQUEST["mode"])?$_REQUEST["mode"]:"update";
	$name = isset($_REQUEST["name"])?$_REQUEST["name"]:"Untitled";
	$pf_id = isset($_REQUEST["pf_id"])?intval($_REQUEST["pf_id"]):"0";
	$products_in_family = isset($_REQUEST["products_in_family"])?$_REQUEST["products_in_family"]:"";
	
	switch ($mode)
	{
		case "insert" : 
		{
			if (!DEMO_LOCK)
			{
				$db->reset();
				$db->assignStr("name", $name);
				$pf_id = $db->insert(DB_PREFIX."products_families");
				$a = explode(",", $products_in_family);
				
				foreach ($a as $key=>$pid)
				{
					$pid = intval($pid);
					if ($pid > 0)
					{
						$db->reset();
						$db->assign("pf_id", $pf_id);
						$db->assign("pid", $pid);
						$db->insert(DB_PREFIX."products_families_content");
					}
				}
				
				pageHeader("Products Family Added", "", "icb-chat-exclamation");
				
				pageNote(array(
					array("class"=>"ic-info", "text"=>"<b>New products family has been successfully added</b>", "url"=>"", "visible"=>true)
				));
				
				pageWhat(array(
					array("text"=>"Edit Just Added Products Family", "url"=>"admin.php?p=products_family&mode=update&pf_id=".$pf_id),
					array("text"=>"Add Another Product Family", "url"=>"admin.php?p=products_family&mode=insert"),
					array("text"=>"Browse Products Families", "url"=>"admin.php?p=products_families")
				));
			}
			else
			{
				pageHeader("Products Family Added", "", "icb-chat-exclamation");
				
				pageNote(array(
					array("class"=>"ic-info", "text"=>"<b>New products family has been successfully added</b>", "url"=>"", "visible"=>true)
				));
				
				pageWhat(array(
					array("text"=>"Add Another Product Family", "url"=>"admin.php?p=products_family&mode=insert"),
					array("text"=>"Browse Products Families", "url"=>"admin.php?p=products_families")
				));
			}
			break;
		}
		
		case "update" : 
		{
			if (!DEMO_LOCK)
			{
				$db->reset();
				$db->assignStr("name", $name);
				$db->update(DB_PREFIX."products_families", "WHERE pf_id='".$pf_id."'");
				$a = explode(",", $products_in_family);
				$db->query("DELETE FROM ".DB_PREFIX."products_families_content WHERE pf_id='".$pf_id."'");
				
				foreach ($a as $key=>$pid)
				{
					$pid = intval($pid);
					
					if ($pid > 0)
					{
						$db->reset();
						$db->assign("pf_id", $pf_id);
						$db->assign("pid", $pid);
						$db->insert(DB_PREFIX."products_families_content");
					}
				}
			}
			
			pageHeader("Products Family Updated", "", "icb-chat-exclamation");
			
			pageNote(array(
				array("class"=>"ic-info", "text"=>"<b>Products Family has been successfully updated</b>", "url"=>"", "visible"=>true)
			));
			
			pageWhat(array(
				array("text"=>"View Edited Products Family", "url"=>"admin.php?p=products_family&mode=update&pf_id=".$pf_id),
				array("text"=>"Add a New Products Family", "url"=>"admin.php?p=products_family&mode=insert"),
				array("text"=>"Browse Products Families", "url"=>"admin.php?p=products_families")
			));
			
			break;
		}
		
		case "delete" : 
		{
			if (!DEMO_LOCK)
			{
				$db->query("DELETE FROM ".DB_PREFIX."products_families_content WHERE pf_id='".$pf_id."'");
				$db->query("DELETE FROM ".DB_PREFIX."products_families WHERE pf_id='".$pf_id."'");
			}
			
			pageHeader("Products Family Removed", "", "icb-chat-exclamation");
			
			pageNote(array(
				array("class"=>"ic-info", "text"=>"<b>Products Family has been successfully removed</b>", "url"=>"", "visible"=>true)
			));
			
			pageWhat(array(
				array("text"=>"Browse Products Families", "url"=>"admin.php?p=products_families"),
				array("text"=>"Add a New Products Family", "url"=>"admin.php?p=products_family&mode=insert")
			));
			
			break;
		}
	}
