<?php
	if (!defined("ENV")) exit();

	$name = isset($name)?trim($name):"";
	$email = isset($email)?trim($email):"";
	$password = isset($password)?trim($password):"";
	$password2 = isset($password2)?trim($password2):"";
	$receive_notification = isset($receive_notification)?$receive_notification:array();	
	$receive_notifications = implode(",", $receive_notification);

	if (!DEMO_LOCK)
	{
		$password_history = array();
		if ($password != "")
		{
			$db->query("SELECT password_history FROM ".DB_PREFIX."admins WHERE aid='".intval($admin_auth_id)."'");
			if ($db->moveNext())
			{
				$s = $db->col["password_history"];
				if($s != "")
				{
					$password_history = unserialize(base64_decode($s));
				}
			}
		}
		
		$db->reset();
		$db->assignStr("name", $name);
		$db->assignStr("email", $email);
		$db->assignStr("email_mode", $email_mode);
		$db->assignStr("receive_notifications", $receive_notifications);
		
		//update password if it is not empty
		if ($password != "")
		{
			$passwordHash = getPasswordHash($password);
			
			//if current password in array, remove it
			foreach ($password_history as $key=>$value)
			{
				if($value["p"] == $passwordHash)
				{
					unset($password_history[$key]);
					break;
				}
			}
			
			//..and rearrange array keys (like 0,1,3,4 to 0,1,2,3)
			$_password_history = array();
			foreach ($password_history as $ph)
			{
				$_password_history[] = $ph;
			}
			$password_history = $_password_history;
			
			//if history already has 4 or more (why??) password - remove last one
			if(count($password_history) > 3) array_shift($password_history);
			
			//finaly add current password
			$password_history[] = array(
				"p" => $passwordHash,
				"s" => pwdStrength($password)
			);
			$db->assignStr("password", $passwordHash);
			$db->assignStr("password_history", base64_encode(serialize($password_history)));
			$db->assign("last_update", "NOW()");
		}
		
		$db->update(DB_PREFIX."admins", "WHERE aid='".intval($admin_auth_id)."'");
	}
				
	pageHeader("Profile Updated", "", "");
	
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"<b>Your profiles has been successfully updated</b>", "url"=>"", "visible"=>true)
	));
	
	pageWhat(array(
		array("text"=>"Back to Edit Your Profile", "url"=>"admin.php?p=profile")
	));