<?php
/**
 * Process category
 */

	if (!defined("ENV")) exit();
	
	$mode = isset($mode)?trim($mode):"";
	$parent = isset($parent)?intval($parent):TREE_ROOT;
	$name = isset($name)?trim($name):"";
	$key_name = isset($key_name)?trim($key_name):"";
	$description = isset($description)?trim($description):"";
	$description_bottom = isset($description_bottom)?trim($description_bottom):"";
	$cid = isset($cid)?intval($cid):0;
	$priority = isset($priority)?intval($priority):5;
	$is_visible = isset($is_visible)?trim($is_visible):"No";
	$list_subcats = isset($list_subcats)?trim($list_subcats):"No";
	$may_upload_image = false;

	$image = isset($image)?$image:"";
	
	$meta_title = isset($meta_title)?trim($meta_title):"";
	$meta_keywords = isset($meta_keywords)?trim($meta_keywords):"";
	$meta_description = isset($meta_description)?trim($meta_description):"";
	$category_header = isset($category_header)?trim($category_header):"";
	$url_custom = isset($url_custom)?$url_custom:"";
	$generate_url = false;
	
	//check category id exists
	$duplicate_category_key = false;
	if($mode == "insert" || $mode == "update"){
		$db->query("SELECT ptic_id, ptic_name FROM ".DB_PREFIX."PTIC_catalog WHERE ptic_key_name = '".$db->escape($key_name)."' AND ptic_id<>'".$cid."'");
		if($db->moveNext()){
			$duplicate_category_key = true;
			$key_name = substr(md5(uniqid(rand(),1)), rand(0, 10), 16); 
		}
	}
	
	
	switch($mode){
/////////////////////
// INSERT CATEGORY
		case "insert" : {
			if($parent==TREE_ROOT){
				$level = 1;
				$parent_name = "Root";
			}
			else{
				$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog WHERE ptic_id ='".$parent."'");
				if($db->moveNext()){
					$level = $db->col["ptic_level"] + 1;
					$parent_name = $db->col["ptic_name"];
					$is_visible = $db->col["ptic_is_visible"] == "No"?"No":$is_visible;
				}
				else{
					$level = 1;
					$parent_name = "Root";
					$is_visible = "No";
				}
			}
			if(!DEMO_LOCK){
				$db->reset();
				$db->assign("ptic_parent", $parent);
				$db->assignStr("ptic_is_visible", $is_visible);
				$db->assignStr("ptic_list_subcats", $list_subcats);
				$db->assign("ptic_level", $level);
				$db->assign("ptic_priority", $priority);
				$db->assignStr("ptic_key_name", $key_name);
				$db->assignStr("ptic_name", $name);
				$db->assignStr("ptic_meta_title", $meta_title);
				$db->assignStr("ptic_meta_keywords", $meta_keywords);
				$db->assignStr("ptic_meta_description", $meta_description);
				$db->assignStr("ptic_url_custom", $url_custom);
				$db->assignStr("ptic_category_header", $category_header);
				$db->assignStr("ptic_description", $description);
				$db->assignStr("ptic_description_bottom", $description_bottom);
				$cid = $db->insert(DB_PREFIX."PTIC_catalog");
				$generate_url = true;
				$may_upload_image = true;
				pageHeader("PTIC Category Added", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>New products category has been successfully created</b>", "url"=>"", "visible"=>true),
					array("icon"=>"ic_warning.gif", "text"=>"<b><span style=\"color:#dd0000\">Duplicate Categrory Key - the category you entered contained a Category Key already found in the database. The category was assigned a New Category Key. To change it, please go to edit category.</span></b>", "url"=>"", "visible"=>$duplicate_category_key)
				));
				pageWhat(array(
					array("icon"=>"ic_change_text.gif",	"text"=>"Edit just added category",	"url"=>"admin.php?p=pticcategory&mode=update&cid=".$cid),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category again",	"url"=>"admin.php?p=pticcategory&mode=insert&parent=".$parent),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add subcategory into created category",	"url"=>"admin.php?p=pticcategory&mode=insert&parent=".$cid),
					array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=pticcategories")
				));
			}
			else{
				pageHeader("PTIC Category Added", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>New products category has been successfully created</b>", "url"=>"", "visible"=>true),
					array("icon"=>"ic_warning.gif", "text"=>"<b><span style=\"color:#dd0000\">Duplicate Categrory Key - the category you entered contained a Category Key already found in the database. The category was assigned a New Category Key. To change it, please go to edit category.</span></b>", "url"=>"", "visible"=>$duplicate_category_key)
				));
				pageWhat(array(
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category again",	"url"=>"admin.php?p=category&mode=insert&parent=".$parent),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add subcategory into created category",	"url"=>"admin.php?p=category&mode=insert&parent=".$cid),
					array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=pticcategories")
				));
			}
			break;
		}
////////////////////////
// UPDATE CATEGORY
		case "update" : {
			if(!DEMO_LOCK){
				if($parent==TREE_ROOT){
					$level = 1;
					$parent_name = "Root";
				}
				else{
					$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog WHERE ptic_id ='".$parent."'");
					if($db->moveNext()){
						$level = $db->col["ptic_level"] + 1;
						$parent_name = $db->col["ptic_name"];
						$is_visible = $db->col["ptic_is_visible"] == "No"?"No":$is_visible;
					}
				}
				// update children levels
				$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog ORDER BY ptic_level, ptic_name");
				$tree = new DB_TREE();
				$tree->collection[TREE_ROOT] = (new DB_TREE_NODE(TREE_ROOT, -1, 0, "Yes", "Root"));
		
				$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog ORDER BY ptic_level, ptic_name");
				while($db->moveNext()){
					$tree->addNode(
						new DB_TREE_NODE(
							$db->col["ptic_id"], 
							$db->col["ptic_parent"], 
							$db->col["ptic_level"], 
							$db->col["ptic_is_visible"],
							$db->col["ptic_name"]
						)
					);
				}
				
				function ScanTree($db, $nodes, $parent_id, $new_level, $visible, $do_update, $got_parent){
					reset($nodes);
					while(list($id, $node) = each($nodes)){
						if($do_update){
							//is_visible='".$visible."' removed according to bug 208
							//$db->query("UPDATE ".DB_PREFIX."catalog SET level='".$new_level."', is_visible='".$visible."' WHERE cid='".($node->id)."'");
							$db->query("UPDATE ".DB_PREFIX."PTIC_catalog SET ptic_level='".$new_level."' WHERE ptic_id='".($node->id)."'");
							//echo "Updating node : ".$node->caption."; new level: ".$new_level."; node id:".$node->id."; is_visible:".$visible."<br>";
						}
						if($got_parent){
						//is_visible='".$visible."' commented according to bug 208
						//	$db->query("UPDATE ".DB_PREFIX."catalog SET is_visible='".$visible."' WHERE cid='".($node->id)."'");
						}
						if(count($node->nodes)>0){
							//echo "Compare nodes : ".$node->id." - ".$parent_id."<br>";
							if($node->id==$parent_id){
								//echo "Parent detected : ".$node->caption."<br>";
								$new_level +=1;
								ScanTree($db, $node->nodes, $parent_id, $new_level + ($do_update?1:0), $visible, true, true);
							}
							else{
								ScanTree($db, $node->nodes, $parent_id, $new_level + ($do_update?1:0), $visible, false, $got_parent);
							}
						}
					}
				}
				
				ScanTree($db, $tree->collection[TREE_ROOT]->nodes, $cid, $level, $is_visible, false, false);
				
				$db->reset();
				$db->assign("ptic_parent", $parent);
				$db->assignStr("ptic_is_visible", $is_visible);
				$db->assignStr("ptic_list_subcats", $list_subcats);
				$db->assign("ptic_level", $level);
				$db->assign("ptic_priority", $priority);
				$db->assignStr("ptic_key_name", $key_name);
				$db->assignStr("ptic_name", $name);
				$db->assignStr("ptic_meta_title", $meta_title);
				$db->assignStr("ptic_meta_keywords", $meta_keywords);
				$db->assignStr("ptic_meta_description", $meta_description);
				$db->assignStr("ptic_url_custom", $url_custom);
				$db->assignStr("ptic_category_header", $category_header);
				$db->assignStr("ptic_description", $description);
				$db->assignStr("ptic_description_bottom", $description_bottom);
				$db->update(DB_PREFIX."PTIC_catalog", "WHERE ptic_id='".$cid."'");
				$generate_url = true;
				$may_upload_image = true;
			}
			pageHeader("PTIC Category Updated", "", "ic_folder_done.gif");
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>Category data has been successfully updated</b>", "url"=>"",  "visible"=>true),
				array("icon"=>"ic_warning.gif", "text"=>"<b><span style=\"color:#dd0000\">Duplicate Categrory Key - the category you entered contained a Category Key already found in the database. The category was assigned a New Category Key. To change it, please go to edit category.</span></b>", "url"=>"", "visible"=>$duplicate_category_key)
			));
			pageWhat(array(
				array("icon"=>"ic_change_text.gif",	"text"=>"Back to category editing",	"url"=>"admin.php?p=pticcategory&mode=update&cid=".$cid),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=pticcategory&mode=insert&parent=".$parent),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add subcategory into last category",	"url"=>"admin.php?p=pticcategory&mode=insert&parent=".$cid),
				array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=pticcategories")
			));
			break;
		}
////////////////////////
// DELETE CATEGORY
		case "delete" : {
			// check sites 
			$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog WHERE ptic_parent='".$cid."'");
			$subcategories = $db->numRows();
			$db->query("SELECT * FROM ".DB_PREFIX."products WHERE ptic_id='".$cid."'");
			$products = $db->numRows();
			if(($subcategories>0) || ($products >0)){
				pageHeader("Can't Delete Category", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Can't delete category while it contains subcategories and products</b>", "url"=>"",  "visible"=>true)
				));
				pageWhat(array(
					array("icon"=>"ic_folder.gif", "text"=>"Browse categories", "url"=>"admin.php?p=pticcategories"),
					array("icon"=>"ic_folder.gif", "text"=>"Browse products", "url"=>"admin.php?p=products")
					
				));
			}
			else{
				if(!DEMO_LOCK){
					$db->query("DELETE FROM ".DB_PREFIX."PTIC_catalog WHERE ptic_id='".$cid."'");
				}
				pageHeader("Category Removed", "", "ic_folder_done.gif");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>Category has been successfully removed</b>", "url"=>"",  "visible"=>true)
				));
				pageWhat(array(
					array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=pticcategories"),
					array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=pticcategory&mode=insert")
				));
			}
			break;
		}
		
////////////////////////
// INCORRECT ACTION
		default : {
			pageHeader("Incorrect Action", "", "ic_folder_done.gif");
			pageWhat(array(
				array("icon"=>"ic_folder.gif",	"text"=>"Browse categories",	"url"=>"admin.php?p=pticcategories"),
				array("icon"=>"ic_insert_row.gif",	"text"=>"Add new category",	"url"=>"admin.php?p=pticcategory&mode=insert&parent=".$parent)
			));
		}
	}

//////////////////////////
// GENERATE SEO URLs
	if($generate_url)
	{
		//render URL
		updateSeoURLs($db, $settings, true, true, false);
	}
	
//////////////////////////
// UPLOAD CATEGORY IMAGE
	if(in_array($mode, array("insert", "update")) && $may_upload_image &&  !empty($_FILES["image"]["tmp_name"]) && !DEMO_LOCK){
	
		$image_data = @getImageSize($_FILES["image"]["tmp_name"]);
		if(in_array($image_data[2], $imageTypes)){
			$destination = "images/catalog/category".$cid.".";
			@unlink($destination."jpg");
			@unlink($destination."png");
			@unlink($destination."gif");
			//add new file extension
			switch($image_data[2]){
				case IMAGETYPE_GIF: $destination.="gif"; break;
				case IMAGETYPE_JPEG: $destination.="jpg"; break;
				case IMAGETYPE_PNG: $destination.="png"; break;
			}
			if(@copy($_FILES["image"]["tmp_name"], $destination)){
			
				//in case of JPG and PNG image generate thumb
				if($settings["CatalogCategoryThumbType"] != "Manual" && in_array($image_data[2], array(IMAGETYPE_JPEG, IMAGETYPE_PNG))){
					getImageThumb($destination, $catalog_thumbs_dir."/category".$cid.".jpg", $settings["CatalogCategoryThumbSize"], $settings["CatalogCategoryThumbType"], $error);
				}
			}
			else{
				pageNote(array(
					array("icon"=>"ic_error.gif", "text"=>"<b>Can't upload category image.<br><br>Please check free disk space and permissions", "url"=>"",  "visible"=>true)
				));
			}
		}
		else{
			pageNote(array(
				array("icon"=>"is_error.gif", "text"=>"<b>Can't upload category image</b><br>Image type is incorrect", "url"=>"",  "visible"=>true)
			));
		}
	}
?>