<?php
	if (!defined("ENV")) exit();

	$quick_links = array(
		"any"=>array(
			array("categories", "admin.php?p=categories", "Browse Categories", ""),
			array("products", "admin.php?p=pticcategories", "Browse PTIC Categories", ""),
			array("products", "admin.php?p=products", "Browse Products", ""),
			array("orders", "admin.php?p=orders","Browse Orders", ""),
			array("customers", "admin.php?p=users","Browse Users", ""),
		),
		"categories"=>array(
			array("products", "admin.php?p=products","Manage Products", "products"),
			array("products", "admin.php?p=product&mode=insert","Add a New Product", ""),
			array("separator", "", "", ""),
			array("categories", "admin.php?p=categories","Manage Categories", "categories"),
			array("categories", "admin.php?p=category&mode=insert","Add a New Category", "category"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=pticcategories","Manage PTIC Categories", "pticcategories"),
			array("products", "admin.php?p=pticcategory&mode=insert","Add a New PTIC Category", "pticcategory"),
			array("separator", "", "", ""),
			array("categories", "admin.php?p=manufacturers","Manufacturers", "manufacturers"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=bulk_categories","Bulk Category Loader", "bulk_categories"),
			array("products", "admin.php?p=bulk_products","Bulk Product Loader", "bulk_products"),
			array("products", "admin.php?p=bulk_images","Bulk Image Loader", "bulk_images"),
			array("products", "admin.php?p=thumbs_generator","Thumbnail Generator", "thumbs_generator"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=products_attributes","Global Attributes", "products_attributes"),
			array("products", "admin.php?p=products_attribute&mode=insert","Add a New Attribute", "products_attribute"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=products_families","Recommended Products", "products_families"),
			array("products", "admin.php?p=products_family&mode=insert","Add a New Product Family", "products_family"),
		),
		"products"=>array(
			array("products", "admin.php?p=products","Manage Products", "products"),
			array("products", "admin.php?p=product&mode=insert","Add a New Product", ""),
			array("separator", "", "", ""),
			array("categories", "admin.php?p=categories","Manage Categories", "categories"),
			array("categories", "admin.php?p=category&mode=insert","Add a New Category", "category"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=pticcategories","Manage PTIC Categories", "pticcategories"),
			array("products", "admin.php?p=pticcategory&mode=insert","Add a New PTIC Category", "pticcategory"),
			array("separator", "", "", ""),
			array("categories", "admin.php?p=manufacturers","Manufacturers", "manufacturers"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=bulk_categories","Bulk Category Loader", "bulk_categories"),
			array("products", "admin.php?p=bulk_products","Bulk Product Loader", "bulk_products"),
			array("products", "admin.php?p=bulk_images","Bulk Image Loader", "bulk_images"),
			array("products", "admin.php?p=thumbs_generator","Thumbnail Generator", "thumbs_generator"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=products_attributes","Global Attributes", "products_attributes"),
			array("products", "admin.php?p=products_attribute&mode=insert","Add a New Attribute", "products_attribute"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=products_families","Recommended Products", "products_families"),
			array("products", "admin.php?p=products_family&mode=insert","Add a New Product Family", "products_family"),
			array("separator", "", "", ""),
			array("products", "admin.php?p=products_groups","Product Groups", "products_groups")
		),
		"users"=>array(
			array("users", "admin.php?p=users","Browse Users", "users"),
			array("orders", "admin.php?p=orders","Browse Orders", "orders"),
			array("separator", "", "", ""),
			array("orders", "admin.php?p=export_quickbooks","Export to QuickBooks", "export_quickbooks")
		),
		"orders"=>array(
			array("users", "admin.php?p=users","Browse Users", ""),
			array("orders", "admin.php?p=orders","Browse Orders", ""),
			array("separator", "", "", ""),
			array("orders", "admin.php?p=export_quickbooks","Export to QuickBooks", "")
		),
		"emails"=>array(
			array("emails", "admin.php?p=email_newsletter","Newsletter Wizard", "email_newsletter"),
			array("emails", "admin.php?p=email_updates","Product Update Wizard", "email_updates"),
			array("emails", "admin.php?p=email_archive","Sent Email Archive", "email_archive"),
			array("separator", "", "", ""),
			array("emails", "admin.php?p=email_top_bottom","Emails Top & Bottom", ""),
			array("emails", "admin.php?p=email_notifications","Notification Emails", ""),
			array("separator", "", "", ""),
			array("emails", "admin.php?p=email_list","Manage Emails", "email_list"),
			array("emails", "admin.php?p=emails_import","Import Emails", ""),
			array("emails", "admin.php?p=users_emails&mode=users","Export User Emails", ""),
			array("emails", "admin.php?p=users_emails&mode=subscribers","Subscriber Emails", ""),
			array("separator", "", "", ""),
			array("emails", "admin.php?p=email_check","Check Bounced Emails", "")
		),
		"admins"=>array(
			array("admins", "admin.php?p=admins","Browse Administrators", ""),
			array("admins", "admin.php?p=admin&mode=insert","Create New Account", ""),
			array("admins", "admin.php?p=admins_log","Activity Log", "")
		),
		"global"=>array(),

		"business"=>array(
			array("global", "admin.php?p=settings", "Global Cart Settings", ""),
			array("separator", "", "", ""),
			array("business", "admin.php?p=payment_methods", "Payment Methods", "payment_methods"),
			array("business", "admin.php?p=payment_method&mode=insert", "Add Custom Method", ""),
			array("separator", "", "", ""),
			array("business", "admin.php?p=shipping","Shipping Management", "shipping"),
			array("separator", "", "", ""),
			array("business", "admin.php?p=taxes","Edit Taxes", "taxes"),
			//array("business", "admin.php?p=taxes_settings","Edit Taxes Settings", "taxes_settings"),
			//array("business", "admin.php?p=taxes_zones","Edit Taxes Zones", "taxes_zones"),
			//array("business", "admin.php?p=taxes_classes","Edit Taxes Classes", "taxes_classes"),
			//array("business", "admin.php?p=taxes_rates","Edit Taxes Rates", "taxes_rates"),
			array("separator", "", "", ""),
			array("business", "admin.php?p=discounts","Edit Discounts", "discounts"),
		),
		"content"=>array(
			array("content", "admin.php?p=design_settings", "Appearance Settings", ""),
			array("separator", "", "", ""),
			//array("content", "admin.php?p=design_layout", "Site Layout", "design_layout"),
			array("content", "admin.php?p=design_catalog", "Catalog Settings", "design_catalog"),
			array("separator", "", "", ""),
			array("content", "admin.php?p=site_home", "Site Home Page", "site_home"),
			array("separator", "", "", ""),
			array("content", "admin.php?p=pages","Edit Text Pages", ""),
			array("content", "admin.php?p=page&mode=insert","Add a New Page", ""),
			array("separator", "", "", ""),
			array("content", "admin.php?p=forms_control","Forms Control", ""),
			array("content", "admin.php?p=custom_field&mode=insert","Add a New Field", ""),
			array("separator", "", ""),
			array("content", "admin.php?p=filemanager", "File Manager", ""),
		),
		"database"=>array(
			array("export", "admin.php?p=backup_restore","Database & Back-up Tools", ""),
		),
		"stats"=>array(
			array("stats", "admin.php?p=stats_charts","Charts", ""),
			array("separator", "", ""),
			array("stats", "admin.php?p=reports","Reports", ""),
		),
		"marketing"=>array(
			array("marketing", "admin.php?p=google_marketing", "Google", ""),
			array("marketing", "admin.php?p=export_shopzilla", "Shopzilla Data Feed", ""),
			array("marketing", "admin.php?p=sale_prices", "Sale Prices", ""),
			array("separator", "", ""),
			array("marketing", "admin.php?p=affiliate", "iDevAffiliate Integration", ""),
			array("separator", "", ""),
			array("marketing", "admin.php?p=plugins", "Cart Plug-ins", "")
		)
	);

	$quick_links["global"][] = array("settings", "admin.php?p=settings", "Global Cart Settings", "");
	$quick_links["global"][] = array("separator", "", "");

	/**
	$db->query("SELECT * FROM ".DB_PREFIX."settings WHERE visible='Yes' AND group_name <> 'buySAFE Settings' GROUP BY group_name ORDER BY group_id");
	while ($db->moveNext())
	{
		$quick_links["global"][] = array("settings", "admin.php?p=settings&group=".$db->col["group_id"], gs($db->col["group_name"]), "");
		$c = count($quick_links["global"]);
		if ($c == 6)
		{
			$quick_links["global"][] = array("separator", "", "");
		}
	}
	**/
	$quick_links["global"][] = array("separator", "", "");
	$quick_links["global"][] = array("settings", "admin.php?p=settings_search", "Search Engine Settings", "settings_search");
	$quick_links["global"][] = array("settings", "admin.php?p=products_locations", "Products Locations Settings", "products_locations");
	$quick_links["global"][] = array("settings", "admin.php?p=settings_wholesale", "Wholesale Settings", "settings_wholesale");
	$quick_links["global"][] = array("settings", "admin.php?p=settings_email", "POP3 &amp; SMTP Settings", "settings_email");
	$quick_links["global"][] = array("settings", "admin.php?p=countries", "Country Listing Setting", "countries");
	$quick_links["global"][] = array("settings", "admin.php?p=localization", "Languages &amp; Currencies", "localization");
	
	if (IsPrivilege(array("ccs", "all"), $auth_rights))
	{
		$quick_links["global"][] = array("settings", "admin.php?p=settings_ccs", "CCS Settings", "settings_ccs");
	}
	$quick_links["global"][] = array("settings", "admin.php?p=compliance", "PCI-DSS/PA-DSS", "compliance");

	$quick_links["ccs"] = $quick_links["global"];

?>