<?php
	if (!defined("ENV")) exit();
?>
<div class="admin-form-header">
	<div class="admin-form-header-buttons">
		<a href="<?php echo $_SERVER["PHP_SELF"]."?".($_SERVER["QUERY_STRING"]);?>&printing" target="_blank" title="Print Report"><span class="icon ic-icon ic-printer"></span></a>
	</div>
	<span class="icon ic-icon ic-list"></span>Orders by Products (<?php echo GetReportDate();?>)
</div>
<?php
	$db->query("
		SELECT 
			".DB_PREFIX."orders_content.*,
			SUM(".DB_PREFIX."orders_content.admin_price * ".DB_PREFIX."orders_content.admin_quantity) AS product_amount,
			SUM(".DB_PREFIX."orders_content.admin_quantity) AS product_quantity
		FROM ".DB_PREFIX."orders_content
		INNER JOIN ".DB_PREFIX."orders ON ".DB_PREFIX."orders.oid=".DB_PREFIX."orders_content.oid
		WHERE 
			".DB_PREFIX."orders.removed='No' AND
			".DB_PREFIX."orders.placed_date >= '".$mysql_from."' AND 
			".DB_PREFIX."orders.placed_date <= '".$mysql_to."' AND 
			".DB_PREFIX."orders.status='Completed' AND 
			".DB_PREFIX."orders.payment_status='Received'
		GROUP BY ".DB_PREFIX."orders_content.pid
		ORDER BY
			product_amount DESC
	");
	
	if ($db->numRows() > 0)
	{
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table admin-stat-table">
	<thead>
		<tr>
			<th class="item-num">#</th>
			<th width="20%">Product ID</th>
			<th>Product Name</th>
			<th class="text-align-right" width="10%">Items Sold</th>
			<th class="text-align-right" width="10%">Total</th>
		</tr>
	</thead>
	<tbody>
<?php
		$subtotal = 0;
		$discount = 0;
		$tax = 0;
		$shipping = 0;
		$total = 0;
		$i = 0;
		
		while ($db->moveNext())
		{
			$subtotal += $db->col["product_amount"];
?>
		<tr>
			<td class="item-num"><?php echo $i+1;?></td>
			<td><?php echo gs($db->col["product_id"]);?></td>
			<td><?php echo gs($db->col["title"]);?></td>
			<td class="text-align-right"><?php echo $db->col["product_quantity"];?></td>
			<td class="text-align-right"><?php echo getAdminPrice($db->col["product_amount"]);?></td>
		</tr>

<?php
			$i++;
		}
?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="5" class="text-align-right">Subtotal amount: <?php echo getAdminPrice($subtotal);?></td>
		</tr>
	</tfoot>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"No data available for selected period", "url"=>"", "visible"=>true)
		));
	}
