<?php
	if (!defined("ENV")) exit();
?>
<table bgcolor="<?=$bg?>" width="<?=$tw?>" cellpadding="1" cellspacing="1" border="0" style="clear:both;">
	<tr>
		<td bgcolor="#FFFFFF">
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td colspan="8" class="<?=$th?>">
						<img src="images/icons/ic_reports.gif" align="left" hspace="6">
						Total Profit For (<?=GetReportDate();?>)
					</td>
				</tr>
<?php
	$db->query("
		SELECT
			COUNT(profit) AS num_records, 
			SUM(profit) AS profit,
			SUM(total_cost) AS total_cost,
			SUM(total_amount) AS total_amount
		FROM 
			(SELECT
				SUM(oc.price * oc.quantity) - SUM(oc.cost * oc.quantity) AS profit,
				SUM(oc.cost * oc.quantity) AS total_cost,
				SUM(o.total_amount) AS total_amount
			FROM ".DB_PREFIX."orders_content oc
			JOIN ".DB_PREFIX."orders o ON  o.oid = oc.oid
			WHERE 
				o.removed='No' AND
				(o.status_date BETWEEN '".$mysql_from."' AND '".$mysql_to."') AND
				o.status='Completed' AND 
				o.payment_status='Received'
			GROUP BY o.oid) AS tmp_profit
	");
	
	$db->moveNext();
	
	if(intval($db->col['num_records'])>0){
	?>
	<tr bgcolor="#F0F0F0">
		<td background="images/bg1.gif" colspan="3" align="right" height="24">
			<b>Total Cost:</b> &nbsp;
		</td>
		<td background="images/bg1.gif" style="font-size:12px;font-weight:bold;"><?=getAdminPrice($db->col['total_cost'])?></td>
		<td background="images/bg1.gif" colspan="3" align="right" height="24">
			<b>Total Income:</b> &nbsp;
		</td>
		<td background="images/bg1.gif" style="font-size:12px;font-weight:bold;"><?=getAdminPrice($db->col['total_amount'])?></td>
		<td background="images/bg1.gif" colspan="3" align="right" height="24">
			<b>Total Profit:</b> &nbsp;
		</td>
		<td background="images/bg1.gif" style="font-size:12px;font-weight:bold;"><?=getAdminPrice($db->col['profit'])?></td>
	</tr>
<?	}
	else{
?>
	<tr>
		<td class="no_data" colspan="5">
			<img src="images/icons/ic_hint.gif" align="left">
			No data available for selected period
		</td>
	</tr>
<?
	}
?>
</table>
</td></tr></table>