<?php
	if (!defined("ENV")) exit();
?>
<div class="admin-form-header">
	<div class="admin-form-header-buttons">
		<a href="<?php echo $_SERVER["PHP_SELF"]."?".($_SERVER["QUERY_STRING"]);?>&printing" target="_blank" title="Print Report"><span class="icon ic-icon ic-printer"></span></a>
	</div>
	<span class="icon ic-icon ic-list"></span>Total Tax For (<?php echo GetReportDate();?>)
</div>
<?php
	$db->query("
		SELECT 
			".DB_PREFIX."orders.*,
			DATE_FORMAT(".DB_PREFIX."orders.placed_date, '%M %e, %Y') AS order_date,
			DATE_FORMAT(".DB_PREFIX."orders.status_date, '%M %e, %Y') AS completed_date,
			".DB_PREFIX."users.fname, ".DB_PREFIX."users.lname
		FROM ".DB_PREFIX."orders
		INNER JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid = ".DB_PREFIX."orders.uid
		WHERE 
			".DB_PREFIX."orders.removed='No' AND
			".DB_PREFIX."orders.status_date >= '".$mysql_from."' AND 
			".DB_PREFIX."orders.status_date <= '".$mysql_to."' AND 
			".DB_PREFIX."orders.status='Completed' AND 
			".DB_PREFIX."orders.payment_status='Received'
		ORDER BY
			".DB_PREFIX."orders.order_num
	");
	
	if ($db->numRows()>0)
	{
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0" class="admin-list-table">
	<thead>
		<tr>
			<th class="item-num">&nbsp;</th>
			<th>Total Tax</th>
			<th width="50%">Total Income</th>
		</tr>
	</thead>
<?php
		$subtotal = 0;
		$discount = 0;
		$tax = 0;
		$shipping = 0;
		$total = 0;
		$i = 0;
		
		while ($db->moveNext())
		{
			$tax+=$db->col["tax_amount"];
			$total+=$db->col["total_amount"];
		}
?>
	<tbody>
		<tr>
			<td>&nbsp;</td>
			<td><?php echo getAdminPrice($tax);?></td>	
			<td><?php echo getAdminPrice($total);?></td>
		</tr>
	</tbody>
</table>
<?php
	}
	else
	{
		pageNote(array(
			array("class"=>"ic-info", "text"=>"No data available for selected period", "url"=>"", "visible"=>true)
		));
	}
