<?php
	if (!defined("ENV")) exit();

	$action = isset($action)?trim($action):"";
	$where = isset($where)?trim($where):"";
	$export_what = isset($export_what)?trim($export_what):"";
	//$from_y = isset($from_y)?$from_y:date("Y");
	//$from_m = isset($from_m)?$from_m:date("n");
	//$from_d = isset($from_d)?$from_d:1;
	//$to_y = isset($to_y)?$to_y:date("Y");	
	//$to_m = isset($to_m)?$to_m:date("n");
	//$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	//unset($msg_alert);// Alert message array 
	
	if($action == "export"){
		//if($mode == "csv"){
			function str_csv($s){
				return '"'.str_replace("\t", "\\t", str_replace("\r", " ", str_replace("\n", " ", str_replace('"', '""', $s)))).'"';
			}
	
			$export_what = isset($export_what)?trim($export_what):"";
			$separator = isset($separator)?trim($separator):",";
			$decimal_separator = isset($settings["LocalizationCurrencyDecimalSymbol"])?trim($settings["LocalizationCurrencyDecimalSymbol"]):",";
			if(in_array($export_what, array("products", "orders", "users"))){
				//check dates
				//$mysql_from =  $from_y."-".$from_m."-".$from_d." 00:00:01";
				//$mysql_to =  $to_y."-".$to_m."-".$to_d." 23:59:59";
	
				//start output
				$mime_type = "text/plain";
				$filename = $export_what;
				$ext = "csv";
	
				//set headers
				header('Content-Type: '.$mime_type);
				header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
				header('Content-Disposition: inline; filename="'.$filename.'.'.$ext.'"');
				header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
				header('Content-Disposition: attachment; filename="'.$filename.'.'.$ext.'"');
				header('Pragma: no-cache');
	
				//export data
				switch($export_what){
					case "products" : {
						$cat_join="";
						if(isset($cid) && $cid > 0){
							$cat_join = "INNER JOIN ".DB_PREFIX."products_categories ON ".DB_PREFIX."products_categories.pid=".DB_PREFIX."products.pid AND ".DB_PREFIX."products_categories.cid='".$cid."'";
						}
						if(isset($where)){
							$db->query("SELECT ".DB_PREFIX."products.*, ".DB_PREFIX."catalog.name AS cat_name, ".DB_PREFIX."catalog.key_name, ".DB_PREFIX."manufacturers.manufacturer_name, ".DB_PREFIX."products_shipping_price.price as pl_shipping_price
								     FROM ".DB_PREFIX."products 
								     INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products.cid = ".DB_PREFIX."catalog.cid 
								     ".$cat_join."	
								     LEFT JOIN ".DB_PREFIX."manufacturers ON ".DB_PREFIX."products.manufacturer_id = ".DB_PREFIX."manufacturers.manufacturer_id
								     LEFT JOIN ".DB_PREFIX."products_shipping_price ON ".DB_PREFIX."products_shipping_price.pid = ".DB_PREFIX."products.pid AND ".DB_PREFIX."products_shipping_price.is_price = 'Yes' ".$where);
						}
						else{
							$db->query("SELECT ".DB_PREFIX."products.*, ".DB_PREFIX."catalog.name AS cat_name, ".DB_PREFIX."catalog.key_name, ".DB_PREFIX."manufacturers.manufacturer_name, ".DB_PREFIX."products_shipping_price.price as pl_shipping_price 
								     FROM ".DB_PREFIX."products 
								     INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products.cid = ".DB_PREFIX."catalog.cid 
								     ".$cat_join."
								     LEFT JOIN ".DB_PREFIX."manufacturers ON ".DB_PREFIX."products.manufacturer_id= ".DB_PREFIX."manufacturers.manufacturer_id
								     LEFT JOIN ".DB_PREFIX."products_shipping_price ON ".DB_PREFIX."products.pid= ".DB_PREFIX."products_shipping_price.pid AND ".DB_PREFIX."products_shipping_price.is_price='Yes'
								     ORDER BY product_id");
						}
						$column_header = "Category Key".$separator."Category Name".$separator."Product ID".$separator."Name".$separator."Price".$separator."Overview".$separator."Description".$separator."Manufacturer".$separator."Meta Keywords".$separator."Meta Title".$separator."Meta Description".$separator."Sorting Priority".$separator."Call For Price".$separator."Is Taxable".$separator."Sale Price".$separator."Price Level 1".$separator."Price Level 2".$separator."Price Level 3".$separator."Shipping Price 1".$separator."Free Shipping".$separator."Weight".$separator."Inter Pack".$separator."Case Pack".$separator."Min Order".$separator."Max Order".$separator."Available".$separator."Digital Product File".$separator."Track Inventory".$separator."Stock".$separator."Stock Warning".$separator."Inventory Rule".$separator."Image Url".$separator."Is Home".$separator."Is Hotdeal".$separator."Attribute Name".$separator."Attribute Caption".$separator."Attribute Options \n";
						echo $column_header;
						$products_list=$db->getRecords();
						
						foreach($products_list as $val){
							$db->query("SELECT ".DB_PREFIX."products_categories.cid  AS sub_cid, ".DB_PREFIX."catalog.name AS subcat_name, ".DB_PREFIX."catalog.key_name AS subcat_key_name FROM ".DB_PREFIX."products_categories INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products_categories.cid = ".DB_PREFIX."catalog.cid and ".DB_PREFIX."products_categories.is_primary < 1 WHERE ".DB_PREFIX."products_categories.pid = '".$val["pid"]."' ORDER BY ".DB_PREFIX."products_categories.cid");
							$subcat_list=$db->getRecords();
							$subcat_name=$val["cat_name"];
							$subcat_key=$val["key_name"];
							foreach($subcat_list as $subcat){
								$subcat_name.="||".$subcat["subcat_name"];
								$subcat_key.="||".$subcat["subcat_key_name"];
							}
							if($val["price2"] != 0 && $val["price2"] > $val["price"]) {
								$sale_price = $val["price"];
								$prod_price = $val["price2"];
							}else{
								$sale_price = $val["price"];
								$prod_price = $val["price"];
							}
							echo str_csv($subcat_key).$separator;
							echo str_csv($subcat_name).$separator;							
							echo str_csv($val["product_id"]).$separator;
							echo str_csv($val["title"]).$separator;
							echo str_csv(number_format($prod_price, 2, $decimal_separator, "")).$separator;
							echo str_csv($val["overview"]).$separator;
							echo str_csv($val["description"]).$separator;
							//----------Additional product fields---------------------
							echo str_csv($val["manufacturer_name"]).$separator;
							echo str_csv($val["meta_keywords"]).$separator;
							echo str_csv($val["meta_title"]).$separator;
							echo str_csv($val["meta_description"]).$separator;
							echo str_csv($val["priority"]).$separator;
							echo str_csv($val["call_for_price"]).$separator;
							echo str_csv($val["is_taxable"]).$separator;
							echo str_csv(number_format($sale_price, 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["price_level_1"], 2, $decimal_separator, "")).$separator;	
					        echo str_csv(number_format($val["price_level_2"], 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["price_level_3"], 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["pl_shipping_price"], 2, $decimal_separator, "")).$separator;
							
							echo str_csv($val["free_shipping"]).$separator;
							echo str_csv($val["weight"]).$separator;
							echo str_csv($val["inter_pack"]).$separator;
							echo str_csv($val["case_pack"]).$separator;							
							echo str_csv($val["min_order"]).$separator;
							echo str_csv($val["max_order"]).$separator;
							echo str_csv($val["is_visible"]).$separator;
							//if(isset($ch_price2))echo str_csv($val["digital_product"]).$separator;
							echo str_csv($val["digital_product_file"]).$separator;
							echo str_csv($val["inventory_control"]).$separator;
							echo str_csv($val["stock"]).$separator;
							echo str_csv($val["stock_warning"]).$separator;
							echo str_csv($val["inventory_rule"]).$separator;
							echo str_csv($val["image_url"]).$separator;
							/*if(isset($ch_tax_rate)){ 
										if($val["tax_rate"] > -1)echo str_csv($val["tax_rate"]).$separator;
										else echo str_csv('').$separator;
									}
							*/
							echo str_csv($val["is_home"]).$separator;
							echo str_csv($val["is_hotdeal"]).$separator;
							//-------------------------------------------------
							$sub_q = "
								SELECT * FROM ".DB_PREFIX."products_attributes	
								WHERE pid= '".$val["pid"]."' ORDER BY pid";
							$db->query($sub_q);
							$att_var=$db->getRecords();
							foreach($att_var as $val){
								echo str_csv($val["name"]).$separator;
								echo str_csv($val["caption"]).$separator;
								$final_opt = "";
								if($val["options"] != ""){									
									$opt_str = explode("\n", $val["options"]);
									foreach($opt_str as $opt){
										$final_opt.= $opt."||";
									}									
								}
								echo str_csv($final_opt).$separator;
								//echo str_csv($val["options"]).$separator;								
							}							
							echo "\n";
						}
						die();
						break;
					}
					case "orders" : {
						$q = "
							SELECT ".DB_PREFIX."orders.*, DATE_FORMAT(".DB_PREFIX."orders.create_date, '%M %e, %Y') AS order_date,
								CONCAT(".DB_PREFIX."users.fname, ' ', ".DB_PREFIX."users.lname) AS billing_name,
								".DB_PREFIX."users.address1 AS billing_address1,
								".DB_PREFIX."users.address2 AS billing_address2,
								".DB_PREFIX."users.company AS billing_company,
								".DB_PREFIX."users.city AS billing_city,
								IF(".DB_PREFIX."users.country = 1 OR ".DB_PREFIX."users.country = 2, s1.name, ".DB_PREFIX."users.province) AS billing_state_name,
								".DB_PREFIX."users.zip AS billing_zip,
								c1.name AS billing_country_name,
								".DB_PREFIX."users.phone AS billing_phone,
								".DB_PREFIX."users.email AS billing_email,
								IF(".DB_PREFIX."users.country = 1 OR ".DB_PREFIX."users.country = 2, s2.name, ".DB_PREFIX."users.province) AS shipping_state_name,
								IF(".DB_PREFIX."orders.shipping_country = 1 OR ".DB_PREFIX."orders.shipping_country = 2, s2.name, ".DB_PREFIX."orders.shipping_province) AS shipping_state_name,
								c2.name AS shipping_country_name
							FROM ".DB_PREFIX."orders
							LEFT JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid = ".DB_PREFIX."orders.uid
							LEFT JOIN ".DB_PREFIX."countries AS c1 ON ".DB_PREFIX."users.country = c1.coid
							LEFT JOIN ".DB_PREFIX."countries AS c2 ON ".DB_PREFIX."orders.shipping_country = c2.coid
							LEFT JOIN ".DB_PREFIX."states AS s1 ON ".DB_PREFIX."users.state = s1.stid
							LEFT JOIN ".DB_PREFIX."states AS s2 ON ".DB_PREFIX."orders.shipping_state = s2.stid
						";
						if(isset($where)){
							$db->query($q." WHERE ".$where);
						}
						else{
							$db->query($q." WHERE status<>'Abandon' AND status<>'New' GROUP BY order_num ORDER BY order_num");
						}
						echo "Order Date".$separator.
						"Order ID".$separator.
						"Order Status".$separator.
						"Payment Status".$separator.
						"Customer Name".$separator.
						"Company Name".$separator.
						"Billing Address 1".$separator.
						"Billing Address 2".$separator.
						"Billing City".$separator.
						"Billing State".$separator.
						"Billing Zip/Postal Code".$separator.
						"Billing Country".$separator.
						"Phone".$separator.
						"Email Address".$separator.
						"Shipping Name".$separator.
						"Shipping Company".$separator.
						"Shipping Address 1".$separator.
						"Shipping Address 2".$separator.
						"Shipping City".$separator.
						"Shipping State".$separator.
						"Shipping Zip/Postal Code".$separator.
						"Shipping Country".$separator.
						"Additional Information".$separator.
						"Subtotal Amount".$separator.
						"Discount Amount".$separator.
						"Tax Amount".$separator.
						"Shipping Amount".$separator.
						"Total Amount".$separator.
						"Product ID".$separator.
						"Product Sub ID".$separator.
						"Product Title".$separator.
						"Product Quantity".$separator.
						"Product Price".$separator.
						"Product Attributes".$separator."\n ";
						$order_var=$db->getRecords();
						$flag=0;
						foreach($order_var as $val){
							//while($db->moveNext()){
							if($flag==0){ echo "\n"; $flag++;}
							echo str_csv($val["order_date"]).$separator;
							echo str_csv($val["order_num"]).$separator;
							echo str_csv($val["status"]).$separator;
							echo str_csv($val["payment_status"]).$separator;
	
							echo str_csv($val["billing_name"]).$separator;
							echo str_csv($val["billing_company"]).$separator;
							echo str_csv($val["billing_address1"]).$separator;
							echo str_csv($val["billing_address2"]).$separator;
							echo str_csv($val["billing_city"]).$separator;
							echo str_csv($val["billing_state_name"]).$separator;
							echo str_csv($val["billing_zip"]).$separator;
							echo str_csv($val["billing_country_name"]).$separator;
							echo str_csv($val["billing_phone"]).$separator;
							echo str_csv($val["billing_email"]).$separator;
	
							echo str_csv($val["shipping_name"]).$separator;
							echo str_csv($val["shipping_company"]).$separator;
							echo str_csv($val["shipping_address1"]).$separator;
							echo str_csv($val["shipping_address2"]).$separator;
							echo str_csv($val["shipping_city"]).$separator;
							echo str_csv($val["shipping_state_name"]).$separator;
							echo str_csv($val["shipping_zip"]).$separator;
							echo str_csv($val["shipping_country_name"]).$separator;
							$sub_q = "
								SELECT field_value,
								".DB_PREFIX."custom_fields.field_caption FROM ".DB_PREFIX."custom_fields_values								
								LEFT JOIN ".DB_PREFIX."custom_fields ON ".DB_PREFIX."custom_fields_values.field_id = ".DB_PREFIX."custom_fields.field_id
								WHERE order_id= '".$val["oid"]."' ORDER BY ".DB_PREFIX."custom_fields_values.field_id";
							$db->query($sub_q);
							$cf_var=$db->getRecords();
							$final_str = "";
							foreach($cf_var as $cf_val){
								$final_str.= $cf_val["field_caption"].":  ".$cf_val["field_value"]."||";																
							}
							echo str_csv($final_str).$separator;
							
							echo str_csv(number_format($val["subtotal_amount"], 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["discount_amount"] + $val["promo_discount_amount"], 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["tax_amount"], 5, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["shipping_amount"] + ($val["handling_separated"]?$val["handling_amount"]:0), 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["total_amount"], 2, $decimal_separator, "")).$separator;
	
							$sub_q = "
								SELECT * FROM ".DB_PREFIX."orders_content	
								WHERE oid= '".$val["oid"]."' ORDER BY pid";
							$db->query($sub_q);
							$tp_var=$db->getRecords();
							foreach($tp_var as $val){
								echo str_csv($val["product_id"]).$separator;
								echo str_csv($val["product_sub_id"]).$separator;
								echo str_csv($val["title"]).$separator;
								echo str_csv($val["quantity"]).$separator;
								echo str_csv(number_format($val["price"], 2, $decimal_separator, "")).$separator;	
								$opt_str = explode("\n", $val["options"]);
								$final_opt = "";
								if($val["options"] != ""){									
									$opt_str = explode("\n", $val["options"]);
									foreach($opt_str as $opt){
										$final_opt.= $opt."||";
									}									
								}
								echo str_csv($final_opt).$separator;
							}
							echo "\n";	
						}
						die();
						break;
					}
					case "users" : {
						if(isset($where)){
						$db->query("SELECT ".DB_PREFIX."users.*,
								".DB_PREFIX."countries.name AS country_name,
								IF(".DB_PREFIX."states.name IS NULL, province, ".DB_PREFIX."states.name) AS state_name 
							FROM ".DB_PREFIX."users 
							INNER JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."users.country = ".DB_PREFIX."countries.coid
							LEFT JOIN ".DB_PREFIX."states ON ".DB_PREFIX."users.state = ".DB_PREFIX."states.stid 
							 ".$where."   
							ORDER BY lname, fname
						");
						}else{
							$db->query("SELECT ".DB_PREFIX."users.*,
								".DB_PREFIX."countries.name AS country_name,
								IF(".DB_PREFIX."states.name IS NULL, province, ".DB_PREFIX."states.name) AS state_name 
							FROM ".DB_PREFIX."users 
							INNER JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."users.country = ".DB_PREFIX."countries.coid
							LEFT JOIN ".DB_PREFIX."states ON ".DB_PREFIX."users.state = ".DB_PREFIX."states.stid						
							ORDER BY lname, fname
						");
						}
						echo "Last Name".$separator."First Name".$separator."Company".$separator."Address Line 1".$separator."Address Line 2".$separator."City".$separator."State".$separator."ZIP".$separator."Country".$separator."Email".$separator."Phone".$separator."Login".$separator."Additional Information\n";
						$user_var=$db->getRecords();
						
						foreach($user_var as $val){
						//while($db->moveNext()){
							echo str_csv($val["lname"]).$separator;
							echo str_csv($val["fname"]).$separator;
							echo str_csv($val["company"]).$separator;
							echo str_csv($val["address1"]).$separator;
							echo str_csv($val["address2"]).$separator;
							echo str_csv($val["city"]).$separator;
							echo str_csv($val["state_name"]).$separator;
							echo str_csv($val["zip"]).$separator;
							echo str_csv($val["country_name"]).$separator;
							echo str_csv($val["email"]).$separator;
							echo str_csv($val["phone"]).$separator;
							echo str_csv($val["login"]).$separator;
							$sub_q = "
								SELECT field_value,
								".DB_PREFIX."custom_fields.field_caption FROM ".DB_PREFIX."custom_fields_values								
								LEFT JOIN ".DB_PREFIX."custom_fields ON ".DB_PREFIX."custom_fields_values.field_id = ".DB_PREFIX."custom_fields.field_id
								WHERE profile_id= '".$val["uid"]."' AND order_id = '0' AND address_id = '0' ORDER BY ".DB_PREFIX."custom_fields_values.field_id";
							$db->query($sub_q);
							$cf_var=$db->getRecords();
							$final_str = "";
							foreach($cf_var as $val){
								$final_str = $val["field_caption"].":  ".$val["field_value"];
								echo str_csv($final_str).$separator;								
							}
							echo "\n";
						}
						die();
						break;
					}
				}
			}
		//}
	}
?>	
	