<?php
	if (!defined("ENV")) exit();
require_once("content/classes/class.products_locations.php");
$productsLocations = new ProductsLocations($db);
	set_time_limit(10000);

	$action = isset($action)?trim($action):"";
	$where = isset($where)?trim($where):"";
	$where2 = isset($where2)?trim($where2):"";
	$export_what = isset($export_what)?trim($export_what):"";
	//$from_y = isset($from_y)?$from_y:date("Y");
	//$from_m = isset($from_m)?$from_m:date("n");
	//$from_d = isset($from_d)?$from_d:1;
	//$to_y = isset($to_y)?$to_y:date("Y");	
	//$to_m = isset($to_m)?$to_m:date("n");
	//$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	//unset($msg_alert);// Alert message array 

	if ($action == "export")
	{
		function str_csv($s)
		{
			return '"'.str_replace("\t", "\\t", str_replace("\r", " ", str_replace("\n", " ", str_replace('"', '""', $s)))).'"';
		}

		$export_what = isset($export_what)?trim($export_what):"";
		$separator = isset($separator)?trim($separator):",";
		$decimal_separator = isset($settings["LocalizationCurrencyDecimalSymbol"])?trim($settings["LocalizationCurrencyDecimalSymbol"]):",";
		if (in_array($export_what, array("products", "orders", "users", "notification_reports", "email_reports")))
		{
			//check dates
			//$mysql_from =  $from_y."-".$from_m."-".$from_d." 00:00:01";
			//$mysql_to =  $to_y."-".$to_m."-".$to_d." 23:59:59";

			//start output
			$mime_type = "text/plain";
			$filename = $export_what;
			$ext = "csv";

			//set headers
			header('Content-Type: '.$mime_type);
			header('Expires: '.gmdate('D, d M Y H:i:s').' GMT');
			header('Content-Disposition: inline; filename="'.$filename.'.'.$ext.'"');
			header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
			header('Content-Disposition: attachment; filename="'.$filename.'.'.$ext.'"');
			header('Pragma: no-cache');

			//export data
			switch ($export_what)
			{
				case "products" :
				{
					$cat_join="";
					if (isset($cid) && $cid > 0)
					{
						$cat_join = "INNER JOIN ".DB_PREFIX."products_categories ON ".DB_PREFIX."products_categories.pid=".DB_PREFIX."products.pid AND ".DB_PREFIX."products_categories.cid='".$cid."'";
					}
					if (isset($where))
					{
						$db->query("SELECT ".DB_PREFIX."products.*, ".DB_PREFIX."catalog.name AS cat_name, ".DB_PREFIX."catalog.key_name, ".DB_PREFIX."manufacturers.manufacturer_name, ".DB_PREFIX."products_shipping_price.price as pl_shipping_price
								 FROM ".DB_PREFIX."products
								 INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products.cid = ".DB_PREFIX."catalog.cid
								 ".$cat_join."
								 LEFT JOIN ".DB_PREFIX."manufacturers ON ".DB_PREFIX."products.manufacturer_id = ".DB_PREFIX."manufacturers.manufacturer_id
								 LEFT JOIN ".DB_PREFIX."products_shipping_price ON ".DB_PREFIX."products_shipping_price.pid = ".DB_PREFIX."products.pid AND ".DB_PREFIX."products_shipping_price.is_price = 'Yes' ".$where);
					}
					else
					{
						$db->query("SELECT ".DB_PREFIX."products.*, ".DB_PREFIX."catalog.name AS cat_name, ".DB_PREFIX."catalog.key_name, ".DB_PREFIX."manufacturers.manufacturer_name, ".DB_PREFIX."products_shipping_price.price as pl_shipping_price
								 FROM ".DB_PREFIX."products
								 INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products.cid = ".DB_PREFIX."catalog.cid
								 ".$cat_join."
								 LEFT JOIN ".DB_PREFIX."manufacturers ON ".DB_PREFIX."products.manufacturer_id= ".DB_PREFIX."manufacturers.manufacturer_id
								 LEFT JOIN ".DB_PREFIX."products_shipping_price ON ".DB_PREFIX."products.pid= ".DB_PREFIX."products_shipping_price.pid AND ".DB_PREFIX."products_shipping_price.is_price='Yes'
								 ORDER BY product_id");
					}
					$column_header =
						"Category Key".$separator.
						"Category Name".$separator.
						"Product ID".$separator.
						"Name".$separator.
						"Price".$separator.
						"Overview".$separator.
						"Description".$separator.
						"Manufacturer".$separator.
						"Meta Keywords".$separator.
						"Meta Title".$separator.
						"Meta Description".$separator.
						"Sorting Priority".$separator.
						"Call For Price".$separator.
						"Is Taxable".$separator.
						"Sale Price".$separator.
						"Price Level 1".$separator.
						"Price Level 2".$separator.
						"Price Level 3".$separator.
						"Shipping Price 1".$separator.
						"Free Shipping".$separator.
						"Weight".$separator.
						"Inter Pack".$separator.
						"Case Pack".$separator.
						"Min Order".$separator.
						"Max Order".$separator.
						"Available".$separator.
						"Digital Product File".$separator.
						"Track Inventory".$separator.
						"Stock".$separator.
						"Stock Warning".$separator.
						"Inventory Rule".$separator.
						"Image Url".$separator.
						"Is Home".$separator.
						"Is Hotdeal".$separator.
						"SKU".$separator.
						"UPC".$separator.
						"Attribute Name".$separator.
						"Attribute Caption".$separator.
						"Attribute Options \n";
					echo $column_header;
					//$products_list=$db->getRecords();

					$tmpFile = "content/cache/tmp/export-".md5(uniqid(rand(1000,9999), true));

					if (is_file($tmpFile)) unlink($tmpFile);

					$f = fopen($tmpFile, "w+");
					while($db->moveNext()) fputs($f, base64_encode(serialize($db->col))."\n");
					fclose($f);

					$f = fopen($tmpFile, "r");
					while ($s = fgets($f, 10000000))// foreach ($products_list as $val)
					{
						$val = unserialize(base64_decode($s));
						$db->query("SELECT ".DB_PREFIX."products_categories.cid  AS sub_cid, ".DB_PREFIX."catalog.name AS subcat_name, ".DB_PREFIX."catalog.key_name AS subcat_key_name FROM ".DB_PREFIX."products_categories INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products_categories.cid = ".DB_PREFIX."catalog.cid and ".DB_PREFIX."products_categories.is_primary < 1 WHERE ".DB_PREFIX."products_categories.pid = '".$val["pid"]."' ORDER BY ".DB_PREFIX."products_categories.cid");
						$subcat_list=$db->getRecords();
						$subcat_name=$val["cat_name"];
						$subcat_key=$val["key_name"];

						foreach ($subcat_list as $subcat)
						{
							$subcat_name.="||".$subcat["subcat_name"];
							$subcat_key.="||".$subcat["subcat_key_name"];
						}
						if ($val["price2"] != 0 && $val["price2"] > $val["price"])
						{
							$sale_price = $val["price"];
							$prod_price = $val["price2"];
						}
						else
						{
							$sale_price = $val["price"];
							$prod_price = $val["price"];
						}

						echo str_csv($subcat_key).$separator;
						echo str_csv($subcat_name).$separator;
						echo str_csv($val["product_id"]).$separator;
						echo str_csv($val["title"]).$separator;
						echo str_csv(number_format($prod_price, 2, $decimal_separator, "")).$separator;
						echo str_csv($val["overview"]).$separator;
						echo str_csv($val["description"]).$separator;
						//----------Additional product fields---------------------
						echo str_csv($val["manufacturer_name"]).$separator;
						echo str_csv($val["meta_keywords"]).$separator;
						echo str_csv($val["meta_title"]).$separator;
						echo str_csv($val["meta_description"]).$separator;
						echo str_csv($val["priority"]).$separator;
						echo str_csv($val["call_for_price"]).$separator;
						echo str_csv($val["is_taxable"]).$separator;
						echo str_csv(number_format($sale_price, 2, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["price_level_1"], 2, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["price_level_2"], 2, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["price_level_3"], 2, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["pl_shipping_price"], 2, $decimal_separator, "")).$separator;

						echo str_csv($val["free_shipping"]).$separator;
						echo str_csv($val["weight"]).$separator;
						echo str_csv($val["inter_pack"]).$separator;
						echo str_csv($val["case_pack"]).$separator;
						echo str_csv($val["min_order"]).$separator;
						echo str_csv($val["max_order"]).$separator;
						echo str_csv($val["is_visible"]).$separator;
						//if(isset($ch_price2))echo str_csv($val["digital_product"]).$separator;
						echo str_csv($val["digital_product_file"]).$separator;
						echo str_csv($val["inventory_control"]).$separator;
						echo str_csv($val["stock"]).$separator;
						echo str_csv($val["stock_warning"]).$separator;
						echo str_csv($val["inventory_rule"]).$separator;
						echo str_csv($val["image_url"]).$separator;
						/*if(isset($ch_tax_rate)){
									if($val["tax_rate"] > -1)echo str_csv($val["tax_rate"]).$separator;
									else echo str_csv('').$separator;
								}
						*/
						echo str_csv($val["is_home"]).$separator;
						echo str_csv($val["is_hotdeal"]).$separator;
						echo str_csv($val["product_sku"]).$separator;
						echo str_csv($val["product_upc"]).$separator;

						//-------------------------------------------------
						$sub_q = "
							SELECT * FROM ".DB_PREFIX."products_attributes
							WHERE pid= '".$val["pid"]."' ORDER BY pid";
						$db->query($sub_q);
						$att_var=$db->getRecords();
						foreach ($att_var as $val)
						{
							echo str_csv($val["name"]).$separator;
							echo str_csv($val["caption"]).$separator;
							$final_opt = "";
							if ($val["options"] != "")
							{
								$opt_str = explode("\n", $val["options"]);
								foreach ($opt_str as $opt)
								{
									$final_opt.= $opt."||";
								}
							}
							echo str_csv($final_opt).$separator;
							//echo str_csv($val["options"]).$separator;
						}
						echo "\n";
					}
					fclose($f);
					unlink($tmpFile);

					die();
					break;
				}
				case "orders" :
				{
					$q = "
						SELECT ".DB_PREFIX."orders.*, DATE_FORMAT(".DB_PREFIX."orders.placed_date, '%M %e, %Y') AS order_date,
							CONCAT(".DB_PREFIX."users.fname, ' ', ".DB_PREFIX."users.lname) AS billing_name,
							".DB_PREFIX."users.address1 AS billing_address1,
							".DB_PREFIX."users.address2 AS billing_address2,
							".DB_PREFIX."users.company AS billing_company,
							".DB_PREFIX."users.city AS billing_city,
							IF(".DB_PREFIX."users.country = 1 OR ".DB_PREFIX."users.country = 2, s1.name, ".DB_PREFIX."users.province) AS billing_state_name,
							".DB_PREFIX."users.zip AS billing_zip,
							c1.name AS billing_country_name,
							".DB_PREFIX."users.phone AS billing_phone,
							".DB_PREFIX."users.email AS billing_email,
							IF(".DB_PREFIX."users.country = 1 OR ".DB_PREFIX."users.country = 2, s2.name, ".DB_PREFIX."users.province) AS shipping_state_name,
							IF(".DB_PREFIX."orders.shipping_country = 1 OR ".DB_PREFIX."orders.shipping_country = 2, s2.name, ".DB_PREFIX."orders.shipping_province) AS shipping_state_name,
							c2.name AS shipping_country_name
						FROM ".DB_PREFIX."orders
						LEFT JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid = ".DB_PREFIX."orders.uid
						LEFT JOIN ".DB_PREFIX."countries AS c1 ON ".DB_PREFIX."users.country = c1.coid
						LEFT JOIN ".DB_PREFIX."countries AS c2 ON ".DB_PREFIX."orders.shipping_country = c2.coid
						LEFT JOIN ".DB_PREFIX."states AS s1 ON ".DB_PREFIX."users.state = s1.stid
						LEFT JOIN ".DB_PREFIX."states AS s2 ON ".DB_PREFIX."orders.shipping_state = s2.stid
					";
					if (isset($where))
					{
						$db->query($q." WHERE ".$where);
					}
					else
					{
						$db->query($q." WHERE status<>'Abandon' AND status<>'New' GROUP BY order_num ORDER BY order_num");
					}
					echo "Order Date".$separator.
					"Order ID".$separator.
					"Order Status".$separator.
					"Payment Status".$separator.
					"Customer Name".$separator.
					"Company Name".$separator.
					"Billing Address 1".$separator.
					"Billing Address 2".$separator.
					"Billing City".$separator.
					"Billing State".$separator.
					"Billing Zip/Postal Code".$separator.
					"Billing Country".$separator.
					"Phone".$separator.
					"Email Address".$separator.
					"Shipping Name".$separator.
					"Shipping Company".$separator.
					"Shipping Address 1".$separator.
					"Shipping Address 2".$separator.
					"Shipping City".$separator.
					"Shipping State".$separator.
					"Shipping Zip/Postal Code".$separator.
					"Shipping Country".$separator.
					"Shipping Method".$separator.
					"Additional Information".$separator.
					"Subtotal Amount".$separator.
					"Discount Amount".$separator.
					"Tax Amount".$separator.
					"Shipping Amount".$separator.
					"Total Amount".$separator.
					"Product ID".$separator.
					"Product Sub ID".$separator.
					"Product Title".$separator.
					"Product Quantity".$separator.
					"Product Price".$separator.
					"Product Attributes".$separator."\n ";
					$order_var=$db->getRecords();
					$flag=0;
					foreach ($order_var as $val)
					{
						//while($db->moveNext()){
						if ($flag==0)
						{
							echo "\n"; $flag++;
						}
						echo str_csv($val["order_date"]).$separator;
						echo str_csv($val["order_num"]).$separator;
						echo str_csv($val["status"]).$separator;
						echo str_csv($val["payment_status"]).$separator;

						echo str_csv($val["billing_name"]).$separator;
						echo str_csv($val["billing_company"]).$separator;
						echo str_csv($val["billing_address1"]).$separator;
						echo str_csv($val["billing_address2"]).$separator;
						echo str_csv($val["billing_city"]).$separator;
						echo str_csv($val["billing_state_name"]).$separator;
						echo str_csv($val["billing_zip"]).$separator;
						echo str_csv($val["billing_country_name"]).$separator;
						echo str_csv($val["billing_phone"]).$separator;
						echo str_csv($val["billing_email"]).$separator;

						echo str_csv($val["shipping_name"]).$separator;
						echo str_csv($val["shipping_company"]).$separator;
						echo str_csv($val["shipping_address1"]).$separator;
						echo str_csv($val["shipping_address2"]).$separator;
						echo str_csv($val["shipping_city"]).$separator;
						echo str_csv($val["shipping_state_name"]).$separator;
						echo str_csv($val["shipping_zip"]).$separator;
						echo str_csv($val["shipping_country_name"]).$separator;
						echo str_csv($val["shipping_cm_name"]).$separator;
						$sub_q = "
							SELECT field_value,
							".DB_PREFIX."custom_fields.field_caption FROM ".DB_PREFIX."custom_fields_values
							LEFT JOIN ".DB_PREFIX."custom_fields ON ".DB_PREFIX."custom_fields_values.field_id = ".DB_PREFIX."custom_fields.field_id
							WHERE order_id= '".$val["oid"]."' ORDER BY ".DB_PREFIX."custom_fields_values.field_id";
						$db->query($sub_q);
						$cf_var=$db->getRecords();
						$final_str = "";
						foreach ($cf_var as $cf_val)
						{
							$final_str.= $cf_val["field_caption"].":  ".$cf_val["field_value"]."||";
						}
						echo str_csv($final_str).$separator;

						echo str_csv(number_format($val["subtotal_amount"], 2, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["discount_amount"] + $val["promo_discount_amount"], 2, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["tax_amount"], 5, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["shipping_amount"] + ($val["handling_separated"]?$val["handling_amount"]:0), 2, $decimal_separator, "")).$separator;
						echo str_csv(number_format($val["total_amount"], 2, $decimal_separator, "")).$separator;

						$sub_q = "
							SELECT * FROM ".DB_PREFIX."orders_content
							WHERE oid= '".$val["oid"]."' ORDER BY pid";
						$db->query($sub_q);
						$tp_var=$db->getRecords();
						foreach ($tp_var as $val)
						{
							echo str_csv($val["product_id"]).$separator;
							echo str_csv($val["product_sub_id"]).$separator;
							echo str_csv($val["title"]).$separator;
							echo str_csv($val["quantity"]).$separator;
							echo str_csv(number_format($val["price"], 2, $decimal_separator, "")).$separator;
							$opt_str = explode("\n", $val["options"]);
							$final_opt = "";
							if ($val["options"] != "")
							{
								$opt_str = explode("\n", $val["options"]);
								foreach ($opt_str as $opt)
								{
									$final_opt.= $opt."||";
								}
							}
							echo str_csv($final_opt).$separator;
						}
						echo "\n";
					}
					die();
					break;
				}
				case "users" :
				{
					if (isset($where))
					{
						$db->query("SELECT ".DB_PREFIX."users.*,
								".DB_PREFIX."countries.name AS country_name,
								IF(".DB_PREFIX."states.name IS NULL, province, ".DB_PREFIX."states.name) AS state_name
							FROM ".DB_PREFIX."users
							INNER JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."users.country = ".DB_PREFIX."countries.coid
							LEFT JOIN ".DB_PREFIX."states ON ".DB_PREFIX."users.state = ".DB_PREFIX."states.stid
							 ".$where."
							ORDER BY lname, fname
						");
					}
					else
					{
						$db->query("SELECT ".DB_PREFIX."users.*,
							".DB_PREFIX."countries.name AS country_name,
							IF(".DB_PREFIX."states.name IS NULL, province, ".DB_PREFIX."states.name) AS state_name
							FROM ".DB_PREFIX."users
							INNER JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."users.country = ".DB_PREFIX."countries.coid
							LEFT JOIN ".DB_PREFIX."states ON ".DB_PREFIX."users.state = ".DB_PREFIX."states.stid
							ORDER BY lname, fname
						");
					}
					echo "Last Name".$separator."First Name".$separator."Company".$separator."Address Line 1".$separator."Address Line 2".$separator."City".$separator."State".$separator."ZIP".$separator."Country".$separator."Email".$separator."Phone".$separator."Login".$separator."Additional Information\n";
					$user_var=$db->getRecords();

					foreach ($user_var as $val)
					{
						echo str_csv($val["lname"]).$separator;
						echo str_csv($val["fname"]).$separator;
						echo str_csv($val["company"]).$separator;
						echo str_csv($val["address1"]).$separator;
						echo str_csv($val["address2"]).$separator;
						echo str_csv($val["city"]).$separator;
						echo str_csv($val["state_name"]).$separator;
						echo str_csv($val["zip"]).$separator;
						echo str_csv($val["country_name"]).$separator;
						echo str_csv($val["email"]).$separator;
						echo str_csv($val["phone"]).$separator;
						echo str_csv($val["login"]).$separator;
						$sub_q = "
							SELECT field_value,
							".DB_PREFIX."custom_fields.field_caption FROM ".DB_PREFIX."custom_fields_values
							LEFT JOIN ".DB_PREFIX."custom_fields ON ".DB_PREFIX."custom_fields_values.field_id = ".DB_PREFIX."custom_fields.field_id
							WHERE profile_id= '".$val["uid"]."' AND order_id = '0' AND address_id = '0' ORDER BY ".DB_PREFIX."custom_fields_values.field_id";
						$db->query($sub_q);
						$cf_var=$db->getRecords();
						$final_str = "";
						foreach ($cf_var as $val)
						{
							$final_str = $val["field_caption"].":  ".$val["field_value"];
							echo str_csv($final_str).$separator;
						}
						echo "\n";
					}
					die();
					break;
				}
				
				case "email_reports" :
				{
					if($where)
					{
						/*$where = str_replace("where ","",$where);
						$where = "(".$where.")";
						if (preg_match('/contactus/',$where))
				    	{
						$db->query("SELECT *,date_format(insert_date,'%m-%d-%Y') as insertdate FROM ".DB_PREFIX."notification_reports WHERE ".$where);		
						}
						else
						{
					//$db->query("SELECT *,date_format(insert_date,'%m-%d-%Y') as insertdate FROM ".DB_PREFIX."notification_reports ".$where);		
					//echo "SELECT *,date_format(insert_date,'%m-%d-%Y') as insertdate,date_format(insert_date,'%T %p') as inserttime,".DB_PREFIX."products.*  FROM ".DB_PREFIX."notification_reports,".DB_PREFIX."products  WHERE ".$where." AND ".DB_PREFIX."notification_reports.pid = ".DB_PREFIX."products.pid ";die;
					$db->query("SELECT *,date_format(insert_date,'%m-%d-%Y') as insertdate,date_format(insert_date,'%T %p') as inserttime,".DB_PREFIX."products.*  FROM ".DB_PREFIX."notification_reports,".DB_PREFIX."products  WHERE ".$where." AND ".DB_PREFIX."notification_reports.pid = ".DB_PREFIX."products.pid");		}*/	
						$db->query("SELECT *,date_format(insert_date,'%m-%d-%Y') as insertdate, date_format(insert_date,'%T') as inserttime FROM ".DB_PREFIX."notification_reports ".$where);
					}
					else
					{
						if($where2)
					$db->query("SELECT *,date_format(insert_date,'%m-%d-%Y') as insertdate,date_format(insert_date,'%T') as inserttime FROM ".DB_PREFIX."visitor_equipment ".$where2);	
					else
					$db->query("SELECT *,date_format(insert_date,'%m-%d-%Y') as insertdate,date_format(insert_date,'%T') as inserttime FROM ".DB_PREFIX."visitor_equipment");	
					
					}
					
					echo "EmailReportType".$separator."Product".$separator."Company".$separator."LastName".$separator."FirstName".$separator."Email".$separator."Phone".$separator."Address1".$separator."Address2".$separator."City".$separator."Country".$separator."State".$separator."ZIP".$separator."Comments".$separator."OfferAmount".$separator."SendDate".$separator."SendTime".$separator."DateAdded".$separator."ProductID".$separator."Category".$separator."New/Used".$separator."Mfg".$separator."Model".$separator."Year".$separator."Size".$separator."Capacity".$separator."Hours".$separator."Product Location".$separator."Cost".$separator."ItemPrice".$separator."SalePrice".$separator."SellerCo".$separator."SellerFN".$separator."SellerLN".$separator."SellerA1".$separator."SellerA2".$separator."SellerCi".$separator."SellerSt".$separator."SellerZi".$separator."SellerCo".$separator."SellerPh".$separator."SellerMo".$separator."SellerFa".$separator."SellerEm".$separator."SellerIt".$separator."SellerLC\n";
					
					//$user_var=$db->getRecords();
					while($db->moveNext())
					{
						$pid = $db->col["pid"];
						$selproduct = mysql_query("select * from products where pid='".$pid."'");
						$fetchproduct = mysql_fetch_array($selproduct);
						$product = $fetchproduct["title"];
						
						if($db->col["report_type"]=='moreinfo')
							$reporttype = 'Request More Info';
						if($db->col["report_type"]=='requestquote')
							$reporttype = 'Request A Quote';
						if($db->col["report_type"]=='makeanoffer')
							$reporttype = 'Make An Offer';
						if($db->col["report_type"]=='contactus')
							$reporttype = 'Contact Us';
						if($db->col["visitor_id"])
							$reporttype = 'Sell My Equipment';	
							
						if($db->col["offer_amount"] == 0)
							$offeramount = 'N/A';
						else
							$offeramount = $db->col["offer_amount"];
						
						echo str_csv($reporttype).$separator;
						echo str_csv($product).$separator;
						echo str_csv($db->col["company"]).$separator;
						echo str_csv($db->col["lname"]).$separator;
						echo str_csv($db->col["fname"]).$separator;
						echo str_csv($db->col["email"]).$separator;
						echo str_csv($db->col["phone"]).$separator;
						echo str_csv($db->col["addr1"]).$separator;
						echo str_csv($db->col["addr2"]).$separator;
						echo str_csv($db->col["city"]).$separator;
						echo str_csv(getCountry($db,$db->col["country"])).$separator;
						echo str_csv(getState($db,$db->col["state"])).$separator;
						echo str_csv($db->col["zip"]).$separator;
						echo str_csv($db->col["comments"]).$separator;
						echo str_csv($offeramount).$separator;
						echo str_csv($db->col["insertdate"]).$separator;
						echo str_csv($db->col["inserttime"]).$separator;
						echo str_csv($fetchproduct["added"]).$separator;
						echo str_csv($fetchproduct["product_id"]).$separator;
						echo str_csv(getCategoryName($db,$fetchproduct["cid"])).$separator;
						echo str_csv($fetchproduct["new_or_used"]).$separator;
						echo str_csv(getManufacturerName($db,$fetchproduct["manufacturer_id"])).$separator;
						echo str_csv($fetchproduct["model"]).$separator;
						echo str_csv($fetchproduct["year"]).$separator;
						echo str_csv($fetchproduct["size"]).$separator;
						echo str_csv($fetchproduct["capacity"]).$separator;
						echo str_csv($fetchproduct["hoursmeter"]).$separator;

						$sql = mysql_query("SELECT * FROM ".DB_PREFIX."products_locations where products_location_id = '".$fetchproduct["products_location_id"]."' ");
						$row = mysql_fetch_array($sql);
						$products_location = $row["name"];
						
						echo str_csv($products_location).$separator;
						echo str_csv($fetchproduct["cost"]).$separator;
						echo str_csv($fetchproduct["price"]).$separator;
						echo str_csv($fetchproduct["price2"]).$separator;
						echo str_csv($fetchproduct["owner_company"]).$separator;
						echo str_csv($fetchproduct["owner_fname"]).$separator;
						echo str_csv($fetchproduct["owner_lname"]).$separator;
						echo str_csv($fetchproduct["owner_address1"]).$separator;
						echo str_csv($fetchproduct["owner_address2"]).$separator;
						echo str_csv($fetchproduct["owner_city"]).$separator;
						echo str_csv($fetchproduct["owner_state"]).$separator;
						echo str_csv($fetchproduct["owner_zip"]).$separator;
						echo str_csv($fetchproduct["owner_country"]).$separator;
						echo str_csv($fetchproduct["owner_phone"]).$separator;
						echo str_csv($fetchproduct["owner_mobile"]).$separator;
						echo str_csv($fetchproduct["owner_fax"]).$separator;
						echo str_csv($fetchproduct["owner_email"]).$separator;
						echo str_csv($fetchproduct["item"]).$separator;
						echo str_csv($fetchproduct["owner_last_contact_date"]).$separator;
						echo "\n";
						
					}

					/*foreach ($user_var as $val)
					{
						$pid = $val["pid"];
						$selproduct = mysql_query("select title from products where pid='".$pid."'");
						$fetchproduct = mysql_fetch_array($selproduct);
						$product = $fetchproduct["title"];
						
						if($val["report_type"]=='moreinfo')
							$reporttype = 'Request More Info';
						if($val["report_type"]=='requestquote')
							$reporttype = 'Request A Quote';
						if($val["report_type"]=='makeanoffer')
							$reporttype = 'Make An Offer';
							
						if($val["offer_amount"] == 0)
							$offeramount = 'N/A';
						else
							$offeramount = $val["offer_amount"];
						
						echo str_csv($reporttype).$separator;
						echo str_csv($product).$separator;
						echo str_csv($val["company"]).$separator;
						echo str_csv($val["lname"]).$separator;
						echo str_csv($val["fname"]).$separator;
						echo str_csv($val["email"]).$separator;
						echo str_csv($val["phone"]).$separator;
						echo str_csv($val["addr1"]).$separator;
						echo str_csv($val["addr2"]).$separator;
						echo str_csv($val["city"]).$separator;
						echo str_csv(getCountry($db,$val["country"])).$separator;
						echo str_csv(getState($db,$val["state"])).$separator;
						echo str_csv($val["zip"]).$separator;
						echo str_csv($val["comments"]).$separator;
						echo str_csv($offeramount).$separator;
						echo str_csv($val["insertdate"]).$separator;
						echo str_csv($val["inserttime"]).$separator;
						echo str_csv($val["added"]).$separator;
						echo str_csv($val["product_id"]).$separator;
						echo "\n";
					}*/
					die();
					break;
				}		
				case "notification_reports" :
				{
					$reporttype = isset($report_type)?trim($report_type):"";
					if($reporttype == 'notifyme')
					{
						$db->query("SELECT * FROM ".DB_PREFIX."users where used_equip_id!=''");
						$reportName = 'NotifyMeAlert';
					}
					elseif($reporttype == 'pricedrop')
					{
						$db->query("SELECT *,date_format(create_date,'%m-%d-%Y %h:%i:%s %p') as createdate FROM ".DB_PREFIX."users_wishlist,".DB_PREFIX."users_wishlist_products where ".DB_PREFIX."users_wishlist.wlid=".DB_PREFIX."users_wishlist_products.wlid and ".DB_PREFIX."users_wishlist.name='PriceDropAlert' order by ".DB_PREFIX."users_wishlist.uid");
						$reportName = 'PriceDropAlerts';
					}
					elseif($reporttype == 'userfavorites')
					{
						$db->query("SELECT *,date_format(create_date,'%m-%d-%Y %h:%i:%s %p') as createdate FROM ".DB_PREFIX."users_wishlist,".DB_PREFIX."users_wishlist_products where ".DB_PREFIX."users_wishlist.wlid=users_wishlist_products.wlid and ".DB_PREFIX."users_wishlist.name!='PriceDropAlert' order by ".DB_PREFIX."users_wishlist.uid");
						$reportName = 'Favorites';
					}
					echo "NotificationType".$separator."LastName".$separator."FirstName".$separator."Company".$separator."User".$reportName."Products\n";
					$user_var=$db->getRecords();
					if($reporttype == 'notifyme')
					{
						foreach ($user_var as $val)
						{
							$used_equip_id_array = split(",",$val["used_equip_id"]);
							foreach($used_equip_id_array as $used_equip_id)
							{								
								$sel=mysql_query("select * from catalog where cid='".$used_equip_id."'");
								$fetch=mysql_fetch_array($sel);
								if(mysql_num_rows($sel)>0)
								{
									echo str_csv($reportName).$separator;
									echo str_csv($val["lname"]).$separator;
									echo str_csv($val["fname"]).$separator;
									echo str_csv($val["company"]).$separator;
									echo str_csv($fetch["name"]).$separator;
									echo"\n";
								}
								
							}
						}
					}
					else
					{
						foreach ($user_var as $val)
						{
							$selQuery = mysql_query("select * from users where uid='".$val["uid"]."'");
							$fetchQuery=mysql_fetch_array($selQuery);
							
							$sel=mysql_query("select * from products where pid='".$val["pid"]."'");
							$fetch=mysql_fetch_array($sel);
							
							echo str_csv($reportName).$separator;
							echo str_csv($fetchQuery["lname"]).$separator;
							echo str_csv($fetchQuery["fname"]).$separator;
							echo str_csv($fetchQuery["company"]).$separator;
							echo str_csv($fetch["title"]).$separator;
							echo"\n";
						}
					}
					die();
					break;
				}				
			}
		}
	}
	