<?php

	if (!defined("ENV")) exit();
	
	$action = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';
	$lastActiveTab = isset($_REQUEST['last_active_tab']) ? $_REQUEST['last_active_tab'] : '';
	
	if ($action == "save")
	{
		$form = isset($_POST['form']) ? is_array($_POST['form']) ? $_POST['form'] : array() : array();
		
		foreach ($form as $key=>$value)
		{
			$db->query('UPDATE '.DB_PREFIX.'settings SET value="'.$db->escape($value).'" WHERE name="'.$db->escape($key).'"');
			$settings[$key] = $value;
		}
	}
	
	$socialFormBuilder = new core_Form_FormBuilder('social', array('label'=>'Social Sharing', 'class'=>'ic-smiley', 'first'=>true));
	$socialFormBuilder->add('form[facebookLikeButtonProduct]', 'choice', array('label'=>'Facebook Like Button on a product page', 'value'=>$settings['facebookLikeButtonProduct'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'The Like button lets users share product pages from your site back to their Facebook profile with one click.'))
		->add('form[facebookCommentsProduct]', 'choice', array('label'=>'Facebook Comments on a product page', 'value'=>$settings['facebookCommentsProduct'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'The Comments plugin lets users comment on products on your site. Requires Facebook application ID.'))
		->add('form[facebookPageAccount]', 'text', array('label'=>'Facebook Page', 'value'=>$settings['facebookPageAccount'], 'note' => 'Facebook page for users to like'))
		->add('form[twitterAccount]', 'text', array('label'=>'Twitter account', 'value'=>$settings['twitterAccount'], 'note'=>'Twitter account for users to follow after they share content from your website.'))
		->add('form[twitterTweetButtonProduct]', 'choice', array('label'=>'Tweet button on a product page', 'value'=>$settings['twitterTweetButtonProduct'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'Add this button to your website to let people share content on Twitter without having to leave the page. Promote strategic Twitter accounts at the same time while driving traffic to your website'))
		->add('form[diggButtonProduct]', 'choice', array('label'=>'Digg button on a product page', 'value'=>$settings['diggButtonProduct'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'The Digg button, also known as the "Digg This" button, is for website and blog publishers that want to encourage their audience to submit content to Digg or Digg their content.'))
		->add('form[googlePlusButtonProduct]', 'choice', array('label'=>'Post to Google Plus from a product page', 'value'=>$settings['googlePlusButtonProduct'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'Help people share stuff from your website in Google Plus.'))
		->add('form[deliciousButtonProduct]', 'choice', array('label'=>'Delicious  Button on a product page', 'value'=>$settings['deliciousButtonProduct'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'With a "Bookmark this on Delicious" link, you can provide your site visitors an easy way to save it to Delicious.'))
		->add('form[pinItButtonProduct]', 'choice', array('label'=>'Pin It Button on a product page', 'value'=>$settings['pinItButtonProduct'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'With a "Pin It on Pinterest" link, you can provide your site visitors an easy way to save it to Pinterest.'))
		->add('form[pinterestUsername]', 'text', array('label'=>'Pin It Username', 'value'=>$settings['pinterestUsername'], 'note'=>'Pinterest account for users to follow after they share content from your website.'))
		->add('form[disallowPinterestPinning]', 'choice', array('label'=>'Disallow all Pinterest pinning', 'value'=>$settings['disallowPinterestPinning'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short'), 'note'=>'Block all Pinterest sharing of your website content.'))
	;
	
	$fbLoginFormBuilder = new core_Form_FormBuilder('fb', array('label'=>'Facebook Login', 'class'=>'ic-smiley', 'first'=>true)); 
	$fbLoginFormBuilder->add('form[facebookLogin]', 'choice', array('label'=>'Allow Facebook Account Login', 'value'=>$settings['facebookLogin'], 'options'=>array(new core_Form_Option('Yes', 'Yes'), new core_Form_Option('No', 'No')), 'attr'=>array('class'=>'short')))
		->add('form[facebookAppId]', 'text', array('label'=>'Facebook App ID/API Key', 'value'=>$settings['facebookAppId']))
		->add('form[facebookAppSecret]', 'text', array('label'=>'Facebook App Secret', 'value'=>$settings['facebookAppSecret']));
	
	$adminView = Ddm_AdminView::getInstance();
	$adminView->assign("socialForm", $socialFormBuilder->getForm());
	$adminView->assign("fbLoginForm", $fbLoginFormBuilder->getForm());
	$adminView->assign('action', $action);
	$adminView->assign('lastActiveTab', $lastActiveTab);
	
	$adminView->render('pages/settings/social');
	