<?php
	if (!defined("ENV")) exit();

	pageHeader("Wholesale Settings", "", "");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"Use the settings below if you are selling wholesale.<br/>Information here can be viewed on the \"Add a Product\" page as well as appearing to wholesale buyers on the front end of the website after they are logged in.", "url"=>"", "visible"=>true)
	));
	
	$action = isset($action)?$action:"";
	
	if($action == "update" && !DEMO_LOCK){
		$form = isset($form)?$form:array();
		foreach($form as $name=>$value){
			$db->query("UPDATE ".DB_PREFIX."settings SET value='".$db->escape($value)."' WHERE name='".$name."'");
			$settings[$name] = $value;
		}
	}
?>
<form name="frmSettings" action="admin.php?p=settings_wholesale" method="post">
	<input type="hidden" name="action" value="update">
	<div class="admin-tabs admin-tabs-framed" id="tabs-wholesale">
<?php 
	pageTabs(array(
		array("title"=>"Wholesale Settings", "id"=>"main")
	), "tabs-wholesale", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
							<div class="formHeaderText">Wholesale Settings</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Activate wholesaler discounts at</td>
						<td class="formItemControl">
							<select name="form[WholesaleDiscountType]" style="width:250px;">
								<option value="NO">I don't have wholesalers</option>
								<option value="PRODUCT" <?=$settings["WholesaleDiscountType"]=="PRODUCT"?"selected":""?>>Add discounts at product level</option>
								<option value="GLOBAL" <?=$settings["WholesaleDiscountType"]=="GLOBAL"?"selected":""?>>Calculate discounts globally</option>
							</select>
							<div class="formItemComment">
								If "product level" is selected, you will need to enter in wholesale prices for each product. 
								If "globally" is selected, cart will automatically adjust wholesale prices based on the percentage discount you outline below.
							</div>
						</td>
					</tr>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
							<div class="formHeaderText">Wholesale Global Discounts</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">How many wholesale levels do you have?</td>
						<td class="formItemControl">
							<select name="form[WholesaleMaxLevels]" style="width:123px;" onChange="document.forms['frmSettings'].submit();">
								<option value="1">1</option>
								<option value="2" <?=$settings["WholesaleMaxLevels"]=="2"?"selected":""?>>2</option>
								<option value="3" <?=$settings["WholesaleMaxLevels"]=="3"?"selected":""?>>3</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Discount percentage level 1, %</td>
						<td class="formItemControl"><input type="text" name="form[WholesaleDiscount1]" style="width:123px;" value="<?=$settings["WholesaleDiscount1"]?>"></td>
					</tr>
<?php
	if ($settings["WholesaleMaxLevels"] != "1")
	{
?>
					<tr valign="top">
						<td class="formItemCaption">Discount percentage level 2, %</td>
						<td class="formItemControl"><input type="text" name="form[WholesaleDiscount2]" style="width:123px;" value="<?=$settings["WholesaleDiscount2"]?>"></td>
					</tr>
<?php
		if ($settings["WholesaleMaxLevels"] != "2")
		{
?>	
					<tr valign="top">
						<td class="formItemCaption">Discount percentage level 3, %</td>
						<td class="formItemControl"><input type="text" name="form[WholesaleDiscount3]" style="width:123px;" value="<?=$settings["WholesaleDiscount3"]?>"></td>
					</tr>
<?php
		}
	}
?>
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
							<div class="formHeaderText">Case Pack / Inter Pack Settings</div>
						</td>
					</tr>
				
					<tr valign="top">
						<td class="formItemCaption">Allow wholesale case pack?</td>
						<td class="formItemControl">
							<select name="form[WholesaleCasePack]" style="width:123px;">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["WholesaleCasePack"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
					
					<tr valign="top">
						<td class="formItemCaption">Allow wholesale inter pack?</td>
						<td class="formItemControl">
							<select name="form[WholesaleInterPack]" style="width:123px;">
								<option value="YES">Yes</option>
								<option value="NO" <?=$settings["WholesaleInterPack"]=="NO"?"selected":""?>>No</option>
							</select>
						</td>
					</tr>
				</table>
			</div>
		</div>
	</div>
	<div class="admin-form-buttons">
		<input type="submit" value="Save changes"/> &nbsp;
		<input type="reset" value="Reset form"/>
	</div>
</form>