<?php
	if (!defined("ENV")) exit();

	$action = isset($action)?trim($action):"";
	if ($action == "insert_realtime" && !DEMO_LOCK)
	{
		$new_method = isset($new_method)?$new_method*1:0;
		$db->query("SELECT * FROM ".DB_PREFIX."shipping_default WHERE sdid='".$new_method."'");
		if ($db->moveNext())
		{
			$data = $db->col;
			$new_countries = isset($new_countries)?$new_countries:array();
			if (in_array("0", $new_countries) || count($new_countries) == 0)
			{
				$cl = "0";
			}
			else
			{
				$cl = "";
				for ($i = 0; $i < count($new_countries); $i++) $cl = $cl.$new_countries[$i].",";
				if ($cl == "") $cl = "0";
			}
			$new_states = isset($new_states)?$new_states:array();
			if (in_array("0", $new_states) || count($new_states) == 0)
			{
				$sl = "0";
			}
			else
			{
				$sl = "";
				for($i = 0; $i < count($new_states); $i++) $sl = $sl.$new_states[$i].",";
				if($sl == "") $sl = "0";
			}

			$new_weight_min = isset($new_weight_min)?$new_weight_min*1:0;
			$new_weight_max = isset($new_weight_max)?$new_weight_max*1:0;
			$new_exclude = isset($new_exclude)?trim($new_exclude):"No";

			$new_fee = isset($new_fee)?$new_fee:0;
			$new_fee_type = isset($new_fee_type)?trim($new_fee_type):"percent";

			$new_priority = isset($new_priority)?$new_priority*1:5;
			$new_hidden = isset($new_hidden)?trim($new_hidden):"Yes";

			$db->reset();
			$db->assignStr("carrier_id", $data["carrier_id"]);
			$db->assignStr("carrier_name", $data["carrier_name"]);
			$db->assignStr("method_id", $data["method_id"]);
			$db->assignStr("priority", $new_priority);
			if ($data["carrier_id"] == "ups" && $cl > 0)
			{
				//$db->assignStr("country", $settings["ShippingOriginCountry"].",1");
				if ($settings["ShippingOriginCountry"] == 2)
				{
					switch ($data["method_id"])
					{
						case "01": $db->assignStr("method_name", "Express"); break;
						case "02": $db->assignStr("method_name", "Expedited"); break;
						case "13": $db->assignStr("method_name", "Express Saver"); break;
						case "14": $db->assignStr("method_name", "Express Early A.M."); break;
						default: $db->assignStr("method_name", $data["method_name"]); break;
					}
				}
				else
				{
					$db->assignStr("method_name", $data["method_name"]);
				}
			}
			else
			{
				$db->assignStr("method_name", $data["method_name"]);
			}
			$db->assignStr("country", $cl);
			$db->assignStr("country_exclude", $data["country_exclude"]);
			$db->assignStr("state", $sl);
			$db->assignStr("weight_min", $new_weight_min);
			$db->assignStr("weight_max", $new_weight_max);
			$db->assignStr("fee", $new_fee);
			$db->assignStr("fee_type", $new_fee_type);
			$db->assignStr("exclude", $new_exclude);
			$db->assignStr("hidden", $new_hidden);
			$db->assignStr("notes", "");
			$db->insert(DB_PREFIX."shipping_selected");
			$show_message = "New real-time shipping method has been successfully added!";
		}
		else
		{
			$show_message = "Can't identify method by ID\nPlease try again!";
		}
	}
	
	if ($action == "update_realtime" && !DEMO_LOCK)
	{
		$weight_min = isset($weight_min)?$weight_min:array();
		$weight_max = isset($weight_max)?$weight_max:array();
		$exclude = isset($exclude)?$exclude:array();
		$fee = isset($fee)?$fee:array();
		$fee_type = isset($fee_type)?$fee_type:array();
		$priority = isset($priority)?$priority:array();
		$hidden = isset($hidden)?$hidden:array();
		reset($weight_min);
		foreach ($weight_min as $ssid=>$data)
		{
			$db->reset();
			$db->assignStr("priority", $priority[$ssid]);
			$db->assignStr("weight_min", $weight_min[$ssid]);
			$db->assignStr("weight_max", $weight_max[$ssid]);
			$db->assignStr("fee", $fee[$ssid]);
			$db->assignStr("fee_type", $fee_type[$ssid]);
			$db->assignStr("exclude", $exclude[$ssid]);
			$db->assignStr("hidden", $hidden[$ssid]);
			$db->assignStr("notes", "");
			$db->update(DB_PREFIX."shipping_selected", "WHERE ssid='".$ssid."'");
			$show_message = "Changes have been successfully saved!";
		}
	}

	if ($action == "delete_realtime" && !DEMO_LOCK)
	{
		$ssid = isset($ssid)?$ssid*1:0;
		$db->query("SELECT * FROM ".DB_PREFIX."shipping_selected WHERE carrier_id <> 'custom' AND ssid='".$ssid."'");
		if ($db->moveNext())
		{
			$db->query("DELETE FROM ".DB_PREFIX."shipping_selected WHERE ssid='".$ssid."'");
			$show_message = "Selected real-time shipping method has been successfully removed.";
		}
		else
		{
			$show_message = "Cannot select real-time shipping method by specified ID.";
		}
	}
	$def = array();
?>
<script type="text/javascript" language="JavaScript">
	defRealtime = new Array();
	countriesRealtime = new Array();
	statesRealtime = new Array();
<?php
	$db->query("SELECT * FROM ".DB_PREFIX."shipping_default ORDER BY carrier_name, method_name");
	while($db->moveNext())
	{
?>
	defRealtime[<?=$db->col["sdid"]?>] = new Array('<?=$db->col["country"]?>', '<?=$db->col["country_exclude"]?>', '<?=$db->col["state"]?>', <?=$db->col["weight_min"]?>, <?=$db->col["weight_max"]?>);
<?php
	}
	$db->query("SELECT * FROM ".DB_PREFIX."countries ORDER BY country_priority DESC, name");
	$i = 0;
	while($db->moveNext())
	{
?>
	countriesRealtime[<?=$i++?>] = new Array(<?=$db->col["coid"]?>, "<?=$db->col["name"]?>");
<?php
	}
	$db->query("SELECT * FROM ".DB_PREFIX."states ORDER BY coid, name");
	$i = 0;
	while($db->moveNext())
	{
?>
	statesRealtime[<?=$i++?>] = new Array(<?=$db->col["stid"]?>, <?=$db->col["coid"]?>, "<?=$db->col["name"]?>");
<?php
	}
?>

</script>
<div id="admin-tab-sheet-realtime" class="admin-tab-sheet hidden">
	<div class="admin-tab-sheet-wrap">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr>
				<td class="formHeader">
					<div class="formHeaderIcon"><img src="images/icons/ic_insert_row.gif"/></div>
					<div class="formHeaderText"><a href="javascript:showHideDiv(document.images.arr1, 'divNewRealtime')">Add a new real-time shipping method</a></div>
					<div class="formHeaderButtons"><img src="images/icons/ic_arrow_down.gif" style="cursor:pointer;" onClick="showHideDiv(this, 'divNewRealtime')" id="arr1" align="right"></div>
				</td>
			</tr>
		</table>
		<div id="divNewRealtime" style="display:none">
			<form name="frmNewRealtime" action="admin.php?p=shipping" method="post" onsubmit="return CheckNewRealtimeShippingForm(this)">
				<input type="hidden" name="action" value="insert_realtime">
				<input type="hidden" name="last_active_tab" value="realtime">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr valign="top">
						<td class="formItemCaption">Carrier - Method Name</td>
						<td class="formItemControl">
							<select name="new_method" onChange="updateRealtimeMethod()" style="width:100%;" size="10">
<?php
	$where = "";
	if (_ACCESS_ALL || _ACCESS_UPS) $where.= (($where != "")?" OR ": "")." (carrier_id LIKE 'ups')";
	if (_ACCESS_ALL || _ACCESS_USPS) $where.= (($where != "")?" OR  ": "")." (carrier_id LIKE 'usps_domestic' OR carrier_id LIKE 'usps_international')";
	if (_ACCESS_ALL || _ACCESS_FEDEX) $where.= (($where != "")?" OR ": "")." (carrier_id LIKE 'fedex_express' OR carrier_id LIKE 'fedex_ground')";
	if (_ACCESS_ALL || _ACCESS_CANADA_POST) $where.= (($where != "")?" OR ": "")." (carrier_id LIKE 'canada_post')";

	$db->query("SELECT * FROM ".DB_PREFIX."shipping_default ".($where!=""?"WHERE ".$where:"")." ORDER BY country DESC, carrier_name, sdid");
	//echo $db->query;
	$cc = "";
	$selected = false;
	while ($db->moveNext())
	{
		if ($cc != $db->col["country"])
		{
			if ($cc != "")echo "</OPTGROUP>";
			if ($db->col["country"]=="1")
			{
?>
									<optgroup label="Domestic Methods (For USA)">Domestic Methods(For USA)
<?php
			}
			elseif ($db->col["country"]=="1,2")
			{
?>
									<optgroup label="Domestic Methods (For USA and Canada)">Domestic Methods (For USA and Canada)
<?php
			}
			else
			{
?>
									<optgroup label="International Methods">International Methods
<?php
			}
			$cc = $db->col["country"];
		}
		if ($db->col["carrier_id"] == "ups")
		{
			if($settings["ShippingOriginCountry"] == 2)
			{
				switch ($db->col["method_id"])
				{
					case "01" : $mod_method_name = "Express"; break;
					case "02" : $mod_method_name = "Expedited";	break;
					case "13" : $mod_method_name = "Express Saver"; break;
					case "14" : $mod_method_name = "Express Early A.M."; break;
					default : $mod_method_name = $db->col["method_name"]; break;
				}
			}
			else
			{
				$mod_method_name = $db->col["method_name"];
			}
		}
		else
		{
			$mod_method_name = $db->col["method_name"];
		}
?>
									<option value="<?=$db->col["sdid"]?>" <?=!$selected?"selected":""?>><?=$db->col["carrier_name"]?> - <?=$mod_method_name?></option>
<?php
		$selected = true;
	}
?>
								</optgroup>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Country</td>
						<td class="formItemControl">
							<select name="new_countries[]" onChange="updateRealtimeStates()" multiple size="5" style="width:100%;"></select>
							<div class="formHelp">Hold down the control key to select multiple countries.</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">State/Province</td>
						<td class="formItemControl">
							<select name="new_states[]" multiple size="5" style="width:100%;"></select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Min/Max weight</td>
						<td class="formItemControl">
							<input type="text" name="new_weight_min" value="<?=$db->col["weight_min"]?>" style="width:123px;">&nbsp;
							<input type="text" name="new_weight_max" value="<?=$db->col["weight_max"]?>" style="width:123px;">&nbsp;
							<select name="new_exclude" style="width:123px;">
								<option value="No">Include range</option>
								<option value="Yes">Exclude range</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Additional fee</td>
						<td class="formItemControl">
							<input type="text" name="new_fee" style="width:123px;" value="0">&nbsp;
							<select name="new_fee_type" style="width:123px;">
								<option value="percent">%</option>
								<option value="amount"><?=$admin_currency["code"]?></option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Priority</td>
						<td class="formItemControl">
							<select name="new_priority" style="width:123px;">
<?php
		for ($i=1; $i<=10; $i++)
		{
?>
								<option value="<?=$i?>" <?=$i==5?"selected":""?>><?=$i?></option>
<?php
		}
?>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Hidden</td>
						<td class="formItemControl">
							<select name="new_hidden" style="width:123px;">
								<option value="Yes">Yes</option>
								<option value="No" selected>No</option>
							</select>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Save changes"/>
				</div>
			</form>
		</div>
		<form name="frmRealtime" action="admin.php?p=shipping" method="post" onsubmit="return CheckRealtimeForm(this)">
			<input type="hidden" name="action" value="update_realtime"/>
			<input type="hidden" name="last_active_tab" value="realtime"/>
			<table width="100%" cellpadding="0" cellspacing="5" border="0">
				<tr>
					<td class="formHeader">
						<div class="formHeaderIcon"><img src="images/icons/ic_shipping.gif"></div>
						<div class="formHeaderText">Real-time shipping costs calculation settings</div>
					</td>
				</tr>
			</table>
			<table width="100%" cellpadding="5" cellspacing="0" border="0">
				<tr>
					<td class="formListHeaderIcon">&nbsp;</td>
					<td class="formListHeaderCaption" colspan="3">Carrier/Method</td>
					<td class="formListHeaderCaption" colspan="2">Country/State</td>
					<td class="formListHeaderCaption" colspan="3">&nbsp;</td>
				</tr>
				<tr>
					<td class="formListHeaderIcon">&nbsp;</td>
					<td class="formListHeaderCaption">Min Weight</td>
					<td class="formListHeaderCaption">Max Weight</td>
					<td class="formListHeaderCaption">&nbsp;</td>
			
					<td class="formListHeaderCaption">Fee</td>
					<td class="formListHeaderCaption">&nbsp;</td>
			
					<td class="formListHeaderCaption">Priority</td>
					<td class="formListHeaderCaption">Hidden</td>
					<td class="formListHeaderCaption">&nbsp;</td>
				</tr>
<?php
	$db->query("
		SELECT
			".DB_PREFIX."shipping_selected.*,
			".DB_PREFIX."countries.name AS country_name,
			".DB_PREFIX."states.name AS state_name
		FROM ".DB_PREFIX."shipping_selected
		LEFT JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."countries.coid = ".DB_PREFIX."shipping_selected.country
		LEFT JOIN ".DB_PREFIX."states ON ".DB_PREFIX."states.stid = ".DB_PREFIX."shipping_selected.state
		WHERE carrier_id<>'custom'
	");
	if ($db->numRows()>0)
	{
		$ml = $db->getRecords();
		$j = 0;
		for ($i = 0; $i<count($ml); $i++)
		{
			$m = $ml[$i];
			if ($m["country"]=="0")
			{
				$m["country_name"] = "All";
			}
			else
			{
				$coids = explode(",", $m["country"]);
				$where = "";
				for ($k=0; $k<count($coids); $k++)
				{
					if($where != "") $where.=" OR ";
					$where.=" coid = '".$coids[$k]."' ";
				}
				$db->query("SELECT name FROM ".DB_PREFIX."countries WHERE ".$where." ORDER BY country_priority DESC, name");
				$m["country_name"] = "";
				while ($db->moveNext())
				{
					if($m["country_name"] != "") $m["country_name"].=", ";
					$m["country_name"].= $db->col["name"];
				}
			}
			if ($m["state"]=="0")
			{
				$m["state_name"] = "All";
			}
			else
			{
				$stids = explode(",", $m["state"]);
				$where = "";
				for ($k=0; $k<count($stids); $k++)
				{
					if ($where != "") $where.=" OR ";
					$where.=" stid = '".$stids[$k]."' ";
				}
				$db->query("SELECT name FROM ".DB_PREFIX."states WHERE ".$where." ORDER BY name");
				$m["state_name"] = "";
				while ($db->moveNext())
				{
					if($m["state_name"] != "") $m["state_name"].=", ";
					$m["state_name"].= $db->col["name"];
				}
			}
?>
				<tr valign="top">
					<td class="formListItemIcon"><img src="images/icons/ic_server.gif"/></td>
					<td class="formListItemText" colspan="3"><b><?=$m["carrier_name"]?> - <?=$m["method_name"]?></b></td>
					<td class="formListItemText" colspan="2"><i><?=$m["country"]==0?"ALL":$m["country_name"]?> - <?=$m["state"]==0?"ALL":$m["state_name"]?></i></td>
					<td class="formListItemText">&nbsp;</td>
					<td class="formListItemText">&nbsp;</td>
					<td class="formListItemText">&nbsp;</td>
				</tr>
			
				<tr valign="top">
					<td class="formListItemIcon">&nbsp;</td>
					<td class="formListItemText">
						<input type="text" name="weight_min[<?=$m["ssid"]?>]" value="<?=$m["weight_min"]?>" style="width:70px;">
					</td>
					<td class="formListItemText">
						<input type="text" name="weight_max[<?=$m["ssid"]?>]" value="<?=$m["weight_max"]?>" style="width:70px;">
					</td>
					<td class="formListItemText">
						<select name="exclude[<?=$m["ssid"]?>]" style="width:70px">
							<option value="No">Include</option>
							<option value="Yes" <?=$m["exclude"]=="Yes"?"selected":""?>>Exclude</option>
						</select>
					</td>
					<td class="formListItemText">
						<input type="text" name="fee[<?=$m["ssid"]?>]" value="<?=myNum($m["fee"])?>" style="width:70px;">
					</td>
					<td class="formListItemText">
						<select name="fee_type[<?=$m["ssid"]?>]" style="width:70px;">
							<option value="percent">%</option>
							<option value="amount" <?=$m["fee_type"]=="amount"?"selected":""?>><?=$admin_currency["code"]?></option>
						</select>
					</td>
					<td class="formListItemText">
						<select name="priority[<?=$m["ssid"]?>]" style="width:70px;">
<?php
			for ($iii=1; $iii<=10; $iii++)
			{
?>
							<option value="<?=$iii?>" <?=$m["priority"]==$iii?"selected":""?>><?=$iii?></option>
<?php
			}
?>
						</select>
					</td>
					<td class="formListItemText">
						<select name="hidden[<?=$m["ssid"]?>]" style="width:70px;">
							<option value="Yes">Yes</option>
							<option value="No" <?=$m["hidden"]=="No"?"selected":""?>>No</option>
						</select>
					</td>
					<td class="formListItemButtons">
						<a href="javascript:ConfirmDeleteRealtime(<?=$m["ssid"]?>)"><img src="images/icons/ic_delete.gif" border="0" alt="Delete Realime Method"></a>
					</td>
				</tr>

<?php
			$j++;
		}
?>
			</table>
			<div class="admin-form-buttons">
				<input type="submit" value="Save changes"/> &nbsp;
				<input type="reset" value="Reset form"/>
			</div>
<?php
	}
	else
	{
?>
			</table>
			<div class="formListEmpty">
				<img src="images/icons/ic_hint.gif" align="left" hspace="4">
				<b>No results were found. Please check search criteria</b>
			</div>
<?php
	}
?>
		</form>
	</div>
</div>
<script type="text/javascript" language="JavaScript">
	updateRealtimeMethod();
</script>