<?php
	if (!defined("ENV")) exit();

	$action = isset($action)?trim($action):"";
	function getPhoneNumber($n){
		$s = "";
		for($i=0; $i<strlen($n); $i++){
			if(in_array($n[$i], array("0","1","2","3","4","5","6","7","8","9"))){
				$s = $s.$n[$i];
			}
		}
		return $s;
	}

	//Validate UPS account
	
	if ($action == "check_ups_settings" && !DEMO_LOCK)
	{
		$str = '<?xml version="1.0"?>'.
    		'<AccessRequest xml:lang="en-US">'.
        		'<AccessLicenseNumber>'.urlencode($settings["ShippingUPSAccessKey"]).'</AccessLicenseNumber>'.
				 '<UserId>'.urlencode($settings["ShippingUPSUserID"]).'</UserId>'.
				 '<Password>'.urlencode($settings["ShippingUPSUserPassword"]).'</Password>'.
			'</AccessRequest>'.
				'<?xml version="1.0"?>'.
					'<RatingServiceSelectionRequest xml:lang="en-US">'.
						'<Request>'.
							'<TransactionReference>'.
								'<CustomerContext>Bare Bones Rate Request</CustomerContext>'.
								'<XpciVersion>1.0001</XpciVersion>'.
							'</TransactionReference>'.
							'<RequestAction>Rate</RequestAction>'.
							'<RequestOption>Rate</RequestOption>'.
						'</Request>'.
						'<PickupType>'.
							'<Code>'.urlencode('01').'</Code>'.
						'</PickupType>'.
						'<Shipment>'.
							'<Shipper>'.
								'<Address>'.
									'<PostalCode>'.urlencode('85004').'</PostalCode>'.
									'<CountryCode>'.urlencode('US').'</CountryCode>'.
								'</Address>'.
							'</Shipper>'.
							'<ShipTo>'.
								'<Address>'.
									'<PostalCode>'.urlencode('85339').'</PostalCode>'.
									'<CountryCode>'.urlencode('US').'</CountryCode>'.
									//'<ResidentialAddressIndicator/>'.
								'</Address>'.
							'</ShipTo>'.
							'<ShipFrom>'.
								'<Address>'.
									'<PostalCode>'.urlencode('85004').'</PostalCode>'.
									'<CountryCode>'.urlencode('US').'</CountryCode>'.
								'</Address>'.
							'</ShipFrom>'.
							'<Service>'.
								'<Code>'.urlencode('01').'</Code>'.
							'</Service>'.
							'<Package>'.
								'<PackagingType>'.
									'<Code>'.urlencode('01').'</Code>'.
			     				'</PackagingType>'.
								'<PackageWeight>'.
									'<UnitOfMeasurement>'.
										'<Code>'.urlencode('LBS').'</Code>'.
									'</UnitOfMeasurement>'.
									'<Weight>'.urlencode('1').'</Weight>'.
								'</PackageWeight>'.
							'</Package>'.
						'</Shipment>'.
					'</RatingServiceSelectionRequest>';
		//echo "<pre><b>UPS Request:</b><br>".htmlspecialchars($str)."</pre>";
		
		$buffer = "";
		$c = curl_init();
		
		if ($settings["ProxyAvailable"] == "YES")
		{
			//curl_setopt($c, CURLOPT_VERBOSE, 1);
			if (defined("CURLOPT_PROXYTYPE") && defined("CURLPROXY_HTTP") && defined("CURLPROXY_SOCKS5"))
			{
				curl_setopt($c, CURLOPT_PROXYTYPE, $settings["ProxyType"] == "HTTP" ? CURLPROXY_HTTP : CURLPROXY_SOCKS5);
			}
			curl_setopt($c, CURLOPT_PROXY, $settings["ProxyAddress"].":".$settings["ProxyPort"]);
			if ($settings["ProxyRequiresAuthorization"] == "YES")
			{
				curl_setopt($c, CURLOPT_PROXYUSERPWD, $settings["ProxyUsername"].":".$settings["ProxyPassword"]);
			}

			curl_setopt($c, CURLOPT_TIMEOUT, 120);
		}
		
		curl_setopt($c, CURLOPT_URL, $settings["ShippingUPSUrl"]);

	    curl_setopt($c, CURLOPT_SSL_VERIFYHOST, 0);
	    curl_setopt($c, CURLOPT_POSTFIELDS, $str);
	    curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);

		if (!safe_mode()) set_time_limit(3000);
		
		curl_setopt($c, CURLOPT_SSL_VERIFYPEER, 1);
		curl_setopt($c, CURLOPT_CAPATH, $settings['GlobalServerPath'].$settings['SecuritySslDirectory']);
		curl_setopt($c, CURLOPT_CAINFO, $settings['GlobalServerPath'].$settings['SecuritySslDirectory'].'/'.$settings['SecuritySslPem']);
		$buffer = curl_exec($c);
		
		$xmlParser = new XMLParser();
		$tracking_data="";		
		$data = $xmlParser->parse($buffer);
			
		if ($data["RatingServiceSelectionResponse"][0]["Response"][0]["ResponseStatusCode"][0] == 0 and $data["RatingServiceSelectionResponse"][0]["Response"][0]["ResponseStatusDescription"][0] == "Failure")
		{
			if ($data["RatingServiceSelectionResponse"][0]["Response"][0]["Error"][0]["ErrorCode"][0]=='10002')
			{
				$UPS_setting_err = "Wrong User ID or password.";
			}
			else
			{
				$UPS_setting_err = $data["RatingServiceSelectionResponse"][0]["Response"][0]["Error"][0]["ErrorDescription"][0];
			}					
		}
		else
		{
			$UPS_setting_err = "UPS account is valid";	
		}
	}

	if ($action == "update_settings" && !DEMO_LOCK)
	{
		$form = isset($form)?$form:array();
		reset($form);
		foreach ($form as $name=>$value)
		{
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$name."'");
			$settings[$name] = $value;
		}
	}
?>
<div id="admin-tab-sheet-realtime-settings" class="admin-tab-sheet hidden">
	<div class="admin-tab-sheet-wrap">
		<div class="admin-form-header first"><span class="icon ic-icon ic-truck"></span>UPS Gateway Settings</div>
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr valign="top">
				<td colspan="2">
					<div class="formItemComment">
						<img src="images/admin/shipping_ups.jpg" hspace="10" vspace="10" align="left">
						&nbsp;<br>
						Please choose settings options below. Unless you have very specific shipping requirements,
						you should be using the default methods. Rate Chart determines which rate chart applies to
						the shipment. Regular Daily Pickup rates are the lowest published rates, and apply to the
						majority of UPS shipments. Container drop-down box allows for the type of shipping container
						to be specified, but is a global setting and will be applied to all products in your cart.
						UPS online tool is by default getting shipping rate for "Bill to UPS account" = "Yes".
					</div>
				</td>
			</tr>
<?php
 	if (isset($UPS_setting_err) && strlen(trim($UPS_setting_err))>0)
 	{
?>
			<tr>
				<td colspan="2" align="center">
					<p><span style="color:#990000;"><b><?=$UPS_setting_err?></b></span></p>		
				</td>
			</tr>
<?php
	}
?>
		</table>
		<form name="frmUPSSettings" action="admin.php?p=shipping" method="post">
			<input type="hidden" name="action" value="check_ups_settings"/>
			<input type="hidden" name="last_active_tab" value="realtime-settings"/>
		</form>
				
		<form id="frmSettings2" name="frmSettings2" action="admin.php?p=shipping" method="post">
			<input type="hidden" name="action" value="update_settings"/>
			<input type="hidden" name="last_active_tab" value="realtime-settings"/>
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr valign="top">
					<td class="formItemCaption">UPS XML Access Key</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingUPSAccessKey]" class="short" value="<?=htmlspecialchars($settings["ShippingUPSAccessKey"])?>">
			        	<br/><a href="#" onClick="document.frmUPSSettings.submit();" title="Please save account information before using this link." >Validate the account</a>
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">UPS User Id</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingUPSUserID]" class="short" value="<?=htmlspecialchars($settings["ShippingUPSUserID"])?>">			
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">UPS Password</td>
					<td class="formItemControl">
						<input type="password" name="form[ShippingUPSUserPassword]" class="short" value="<?=htmlspecialchars($settings["ShippingUPSUserPassword"])?>">			
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">UPS Pickup Type</td>
					<td class="formItemControl">
						<select name="form[ShippingUPSRateChart]">
							<option value="01" <?=$settings["ShippingUPSRateChart"]=="01"?"selected":""?>>Daily Pickup(default)</option>
							<option value="07" <?=$settings["ShippingUPSRateChart"]=="07"?"selected":""?>>On Call Air Pickup</option>
							<option value="06" <?=$settings["ShippingUPSRateChart"]=="06"?"selected":""?>>One Time Pickup</option>
							<option value="19" <?=$settings["ShippingUPSRateChart"]=="19"?"selected":""?>>Letter Center</option>
							<option value="03" <?=$settings["ShippingUPSRateChart"]=="03"?"selected":""?>>Customer Counter</option>
							<option value="20" <?=$settings["ShippingUPSRateChart"]=="20"?"selected":""?>>Air Service Center</option>
							<option value="11" <?=$settings["ShippingUPSRateChart"]=="11"?"selected":""?>>Suggested Retail Rates (UPS Store)</option>
						</select>
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">UPS Package Type</td>
					<td class="formItemControl">
						<select name="form[ShippingUPSContainer]">
							<option value="00" <?=$settings["ShippingUPSContainer"]=="00"?"selected":""?>>Your Packaging (default)</option>
							<option value="01" <?=$settings["ShippingUPSContainer"]=="01"?"selected":""?>>UPS letter/ UPS Express Envelope</option>
							<option value="03" <?=$settings["ShippingUPSContainer"]=="03"?"selected":""?>>UPS Tube</option>
							<option value="04" <?=$settings["ShippingUPSContainer"]=="04"?"selected":""?>>UPS Pak</option>
							<option value="21" <?=$settings["ShippingUPSContainer"]=="21"?"selected":""?>>UPS Express Box</option>
							<option value="24" <?=$settings["ShippingUPSContainer"]=="24"?"selected":""?>>Worldwide 25KG Box</option>
							<option value="25" <?=$settings["ShippingUPSContainer"]=="25"?"selected":""?>>Worldwide 10KG Box</option>
						</select>
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Server URL for UPS Rating Tool</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingUPSUrl]" value="<?=htmlspecialchars($settings["ShippingUPSUrl"])?>">
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Server URL for UPS Tracking Tool</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingUPSTrackingUrl]" value="<?=htmlspecialchars($settings["ShippingUPSTrackingUrl"])?>">
					</td>
				</tr>
			</table>
			<div class="admin-form-header"><span class="icon ic-icon ic-truck"></span>USPS Gateway Settings</div>
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td colspan="2">
						<div class="formItemComment">
							<img src="images/admin/shipping_usps.jpg" hspace="10" vspace="10" align="left">
							&nbsp;<br/>
							Please note: to begin using USPS rates calculators APIs you must complete a simple registration process. <a target="_blank" href="http://www.usps.com/webtools/">Click here</a> to go to USPS site.
						</div>
					</td>
				</tr>
			</table>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr valign="top">
					<td class="formItemCaption">USPS Web Tools User ID</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingUSPSUserID]" class="short" value="<?=htmlspecialchars($settings["ShippingUSPSUserID"])?>">
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Server URL for USPS Rating Tool</td>
					<td class="formItemControl"><input type="text" name="form[ShippingUSPSUrl]" value="<?=htmlspecialchars($settings["ShippingUSPSUrl"])?>"></td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Server URL for USPS Tracking Tool</td>
					<td class="formItemControl"><input type="text" name="form[ShippingUSPSTrackingUrl]" value="<?=htmlspecialchars($settings["ShippingUSPSTrackingUrl"])?>"></td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Server URL for USPS Labeling Tool</td>
					<td class="formItemControl"><input type="text" name="form[ShippingUSPSLabelingUrl]" value="<?=htmlspecialchars($settings["ShippingUSPSLabelingUrl"])?>"></td>
				</tr>
			    <tr valign="top">
					<td class="formItemCaption">Packaging Size for USPS</td>
					<td class="formItemControl">
						<select class="usps-package-size" name="form[ShippingUSPSPackageSize]">
							<option value="REGULAR" <?=$settings["ShippingUSPSPackageSize"]=="REGULAR"?"selected":""?>>REGULAR</option>
							<option value="LARGE" <?=$settings["ShippingUSPSPackageSize"]=="LARGE"?"selected":""?>>LARGE</option>
						</select>
			        </td>
				</tr>
				<tr valign="top" class="usps-intl-package">
					<td colspan="2" class="formItemCaption">
						<div class="formItemComment">
							All <strong>International Package</strong> dimensions below are required when you have selected "LARGE" for the <strong>"Package Size for USPS"</strong> option.
						</div>
					</td>
				</tr>
				<tr valign="top" class="usps-intl-package">
					<td class="formItemCaption">International Package Width</td>
					<td class="formItemControl"><input type="text" name="form[ShippingUSPSPackageWidth]" class="short" value="<?=htmlspecialchars($settings["ShippingUSPSPackageWidth"])?>"></td>
				</tr>
				<tr valign="top" class="usps-intl-package">
					<td class="formItemCaption">International Package Length</td>
					<td class="formItemControl"><input type="text" name="form[ShippingUSPSPackageLength]" class="short" value="<?=htmlspecialchars($settings["ShippingUSPSPackageLength"])?>"></td>
				</tr>
				<tr valign="top" class="usps-intl-package">
					<td class="formItemCaption">International Package Height</td>
					<td class="formItemControl"><input type="text" name="form[ShippingUSPSPackageHeight]" class="short" value="<?=htmlspecialchars($settings["ShippingUSPSPackageHeight"])?>"></td>
				</tr>
			</table>
			<div class="admin-form-header"><span class="icon ic-icon ic-truck"></span>Canada Post Gateway Settings</div>
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td colspan="2">
						<div class="formItemComment">
							<img src="images/admin/shipping_canadapost.jpg" hspace="10" vspace="10" align="left">
							&nbsp;<br/>
							Please note: to begin using Canada Post rates calculators APIs you must complete a simple registration process. <a href="http://www.canadapost.ca/" target="_blank">Click here</a> to go to Canada Post site.
						</div>
					</td>
				</tr>
			</table>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr valign="top">
					<td class="formItemCaption">Canada Post Merchant ID</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingCPMerchantID]" value="<?=htmlspecialchars($settings["ShippingCPMerchantID"])?>">			
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Server URL for Canada Post Rating Tool</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingCPUrlRating]" value="<?=htmlspecialchars($settings["ShippingCPUrlRating"])?>">			
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Show delivery date with method name</td>
					<td class="formItemControl">
						<select name="form[ShippingCPDeliveryDate]" class="short">
							<option value="yes" <?=$settings["ShippingCPDeliveryDate"]=="yes"?"selected":""?>>Yes</option>
							<option value="no" <?=$settings["ShippingCPDeliveryDate"]=="no"?"selected":""?>>No</option>
						</select>
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Total Amount for Insurance Calculation</td>
					<td class="formItemControl">
						<select name="form[ShippingCPItemsValue]" class="short">
							<option value="yes" <?=$settings["ShippingCPItemsValue"]=="yes"?"selected":""?>>Yes</option>
							<option value="no" <?=$settings["ShippingCPItemsValue"]=="no"?"selected":""?>>No</option>
						</select>
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Turn Around Time (hours)</td>
					<td class="formItemControl">
						<input type="text" name="form[ShippingCPTAT]" class="short" value="<?=htmlspecialchars($settings["ShippingCPTAT"])?>">
					</td>
				</tr>
			</table>
			<div class="admin-form-header"><span class="icon ic-icon ic-truck"></span>FedEx Gateway Settings</div>
			<div>
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td colspan="2">
							<div class="formItemComment">
								<img src="images/admin/shipping_fedex.jpg" hspace="10" vspace="10" align="left">
								&nbsp;<br/>
								Please note: to begin using FedEx rates calculators APIs you must complete a simple registration process. 
								<a target="_blank" href="http://www.cartmanual.com/url/fedex">Click here</a> to go to FedEx site.
							</div>
						</td>
					</tr>
				</table>
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr valign="top">
						<td class="formItemCaption">FedEx Shipping Account Number</td>
						<td class="formItemControl">
							<input type="text" name="form[ShippingFedExAccountNumber]" value="<?php echo $settings["ShippingFedExAccountNumber"];?>">
							<div class="formItemComment">
								Your primary FedEx account number
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">FedEx Billing Account Number</td>
						<td class="formItemControl">
							<input type="text" name="form[ShippingFedExBillingAccountNumber]" value="<?php echo $settings["ShippingFedExBillingAccountNumber"];?>">
							<div class="formItemComment">
								If you do not have separated FedEx billing account, please enter your primary FedEx account number
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">FedEx Alternate Freight Account Number</td>
						<td class="formItemControl">
							<input type="text" name="form[ShippingFedExFreightAccountNumber]" value="<?php echo $settings["ShippingFedExFreightAccountNumber"];?>">
							<div class="formItemComment">
								If you do not have separated FedEx freight account, please enter your primary FedEx account number
							</div>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">FedEx API Key</td>
						<td class="formItemControl">
							<input type="text" name="form[ShippingFedExApiKey]" value="<?php echo $settings["ShippingFedExApiKey"];?>">
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">FedEx API Password</td>
						<td class="formItemControl">
							<input type="text" name="form[ShippingFedExApiPassword]" value="<?php echo $settings["ShippingFedExApiPassword"];?>">
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">FedEx Meter</td>
						<td class="formItemControl">
							<input type="text" name="form[ShippingFedExMeter]" value="<?php echo $settings["ShippingFedExMeter"];?>">
						</td>
					</tr>

					<tr valign="top">
						<td class="formItemCaption">FedEx Rate Rule</td>
						<td class="formItemControl">
							<select name="form[ShippingFedExRateRule]">
								<option value="max" <?php echo $settings["ShippingFedExRateRule"] == 'max' ? 'selected' : '';?>>Return Max Rate</option>
								<option value="min" <?php echo $settings["ShippingFedExRateRule"] == 'min' ? 'selected' : '';?>>Return Min Rate</option>
							</select>
							<div class="formItemComment">
								Sometimes FedEx returns different rates for each request. They may be a regular rates and / or your account-specific discounted rates.<br/>
								This option selects the rate that you will charge your customers.
							</div>
						</td>
					</tr>
				</table>
			</div>
			<div class="admin-form-buttons">
				<input id="button-save" type="submit" value="Save changes"/>
				<input type="reset" value="Reset form"/>
			</div>
		</form>
<script language="javascript" type="text/javascript"><!--
$(document).ready(function(){
	
	$('select.usps-package-size').data('current-index', $(this).val());
	
	$('select.usps-package-size').change(function(){
		if (!validateUspsInternationalPackageSize())
		{
			$(this).val($(this).data('current-index'));
			return false;
		}
		$(this).data('current-index', $(this).val());
		toggleInternationalPackageSize();
	});
	
	toggleInternationalPackageSize();
	
	// validation check
	$('#frmSettings2').submit(function(){
		
		// check numeric values for usps intl package dimensions
		return validateUspsInternationalPackageSize();
	});
});

	function validateUspsInternationalPackageSize()
	{
		var status = true;
		var pattern = /^\d+$/;
		$('.usps-intl-package input').each(function(){
			if ($.trim($(this).val()) == '' || !pattern.test($(this).val())) status = false;
		});
		if (!status)
		{
			alert('You must enter a numeric value for all International Package dimensions in the Real-Time Shipping Configurations tab before saving.');
		}
		return status;
	}

	// Toggles the International Package fields based on the Package Size selection
	function toggleInternationalPackageSize()
	{
		if ($('select.usps-package-size').val().toUpperCase() == 'REGULAR')
			$('.usps-intl-package').hide();
		else
			$('.usps-intl-package').show();
	}
	
--></script>
	</div>
</div>
