<?php
	if (!defined("ENV")) exit();

	pageHeader("Charts", "", "ic_report.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "url"=>"", "text"=>"Graphical representation of Page Views, Unique Hosts and Dollars Spent. To view this data, select a month, year and chart type.", "visible"=>true),
		array("icon"=>"ic_hint.gif", "url"=>"", "text"=>"Please select statistics period and chart type and click over Update button", "visible"=>true),
		array("icon"=>"ic_error.gif", "url"=>"", "text"=>"<b>Note: charts are not displayed because your PHP installation does not support GD Lib</b>.<br>To get more information, please refer to PHP documentation", "visible"=>!function_exists("imagepng"))
	));
	if(function_exists("imagepng")){
		$year = isset($year)?$year*1:date("Y");
		$month = isset($month)?$month*1:date("m");
		$chart_view = isset($chart_view)?trim($chart_view):"bar";
?>
<script type="text/javascript"><!--
	function resizeGraph(){
		var graph1 = document.getElementById("graph1");
		var graph2 = document.getElementById("graph2");
		var graph3 = document.getElementById("graph3");
		var graphMeter = document.getElementById("graphMeter");
		if(graphMeter){
			var newWidth = graphMeter.width - 70;
			if(graph1){
				graph1.src='admin.php?p=charts&chart=true&mode=usage_by_month_hits&year=<?=$year?>&month=<?=$month?>&chart_view=<?=$chart_view?>&chart_width=' + newWidth + '&chart_height=' + graph1.height;
				graph1.width = newWidth;
			}
			if(graph2){
				graph2.src='admin.php?p=charts&chart=true&mode=usage_by_month_hosts&year=<?=$year?>&month=<?=$month?>&chart_view=<?=$chart_view?>&chart_width=' + newWidth + '&chart_height=' + graph2.height;
				graph2.width = newWidth;
			}
			if(graph3){
				graph3.src='admin.php?p=charts&chart=true&mode=sales_by_month&year=<?=$year?>&month=<?=$month?>&chart_view=<?=$chart_view?>&chart_width=' + newWidth + '&chart_height=' + graph3.height;
				graph3.width = newWidth;
			}
		}
	}
--></script>
<?
		pageTabs(array(
			array("title"=>"Charts", "id"=>"Main", "active"=>true, "width"=>140),
		));
?>
<form name="frmCharts" action="admin.php?p=stats_charts" method="get">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
	<input type="hidden" name="p" value="stats_charts">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_dates.gif"></div>
				<div class="formHeaderText">Select Period & Charts Type</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Month &amp; Year</b></td>
			<td class="formItemControl">
				<select name="month" style="width:123px;">
<?			for($i=1; $i<=12; $i++){?>
					<option value="<?=$i?>" <?=$month==$i?"selected":""?>><?=$months[$i]?></option>
<?			}?>			
				</select>
				<select name="year" style="width:123px;">
<?			for($i=2004; $i<=date("Y"); $i++){?>
					<option value="<?=$i?>" <?=$year==$i?"selected":""?>><?=$i?></option>
<?			}?>			
				</select>
			
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Type</b></td>
			<td class="formItemControl">
				<select name="chart_view" style="width:123px;">
					<option value="bar">Bars</option>
					<option value="line" <?=$chart_view=="line"?"selected":""?>>Lines</option>
					<option value="dot" <?=$chart_view=="dot"?"selected":""?>>Dots</option>
					<option value="area" <?=$chart_view=="area"?"selected":""?>>Areas</option>
					<option value="step" <?=$chart_view=="step"?"selected":""?>>Steps</option>
					<option value="impuls" <?=$chart_view=="impuls"?"selected":""?>>Impulses</option>
				</select>
			</td>
		</tr>
	</table>
	<div class="formButtons">
		<input type="image" src="images/admin/bt_show_report.gif">
	</div>
	<div aslign="center" style="padding-left:30px;padding-top:10px;">
		<img height="230" width="100%" id="graph1" src="admin.php?p=charts&chart=true&mode=usage_by_month_hits&year=<?=$year?>&month=<?=$month?>&chart_view=<?=$chart_view?>" style="border:1px solid #dddddd" vspace="20"><br/>
		<img height="230" width="100%" id="graph2" src="admin.php?p=charts&chart=true&mode=usage_by_month_hosts&year=<?=$year?>&month=<?=$month?>&chart_view=<?=$chart_view?>" style="border:1px solid #dddddd"><br/>
		<img height="230" width="100%" id="graph3" src="admin.php?p=charts&chart=true&mode=sales_by_month&year=<?=$year?>&month=<?=$month?>&chart_view=<?=$chart_view?>" style="border:1px solid #dddddd" vspace="20">
	</div>
</div>
</form>
<img src="images/zerro.gif" id="graphMeter" width="100%" height="1"/>
<script language="javascript" type="text/javascript">
	//document.body.onload=resizeGraph;
	var graphMeterWidth = 0;
	function checkResize(){
		var gm = document.getElementById("graphMeter");
		if(gm){
			if(gm.width != graphMeterWidth){
				resizeGraph();
				graphMeterWidth = gm.width;
			//	alert(graphMeterWidth)
			}
		}
	}
	setInterval('checkResize();', 500);
</script>
<?	}
?>