<?php
	if (!defined("ENV")) exit();
	
	$tax_mode = isset($tax_mode)?$tax_mode:"";
	$tax_mode = in_array($tax_mode, array("simple", "advanced"))?$tax_mode:"simple";
	
	pageHeader("Taxes Settings");
	
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>$tax_mode=="advanced"?"Switch to Simple Mode":"Switch to Advanced Mode", "url"=>$tax_mode=="advanced"?"admin.php?p=taxes&tax_mode=simple":"admin.php?p=taxes&tax_mode=advanced", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"This page is for adding tax rates. Only the zone selected will be considered for tax calculations. Use Priority to control what order taxes will be applied to a order.", "url"=>"", "visible"=>true)
	));
	
	loadJS("regions.js");

	require_once("content/classes/class.regions.php");
	require_once("content/classes/class.taxes.php");
	
	$taxes = new Taxes($db);
	$regions = new Regions($db);
	
	$action = isset($_REQUEST["action"])?$_REQUEST["action"]:"";

	if($tax_mode == "advanced"){
		$last_active_tab = isset($last_active_tab)?trim($last_active_tab):"idTabSettings";
	
		pageTabs(array(
			array("title"=>"Edit Tax Settings", "id"=>"Settings", "active"=>$last_active_tab == "idTabSettings", "width"=>85),	
			array("title"=>"Edit Tax Zones", "id"=>"Zones", "active"=>$last_active_tab == "idTabZones", "width"=>77, "visible"=>true),
			array("title"=>"Edit Tax Classes", "id"=>"Classes", "active"=>$last_active_tab == "idTabClasses", "width"=>85, "visible"=>true),
			array("title"=>"Edit Tax Rates", "id"=>"Rates", "active"=>$last_active_tab == "idTabRates", "width"=>75, "visible"=>true)
		));
		
		require_once("content/admin/admin_taxes_settings.php");
		require_once("content/admin/admin_taxes_zones.php");
		require_once("content/admin/admin_taxes_classes.php");
		require_once("content/admin/admin_taxes_rates.php");
		
	}
	else{
		require_once("content/admin/admin_taxes_simple.php");
	}
?>