<?php
	if (!defined("ENV")) exit();

	$zone_id = isset($_REQUEST["zone_id"])?intval($_REQUEST["zone_id"]):0;
	$tax_zone = $taxes->getTaxZoneById($zone_id);
	
	$countries_states = $taxes->getCountriesStates(false);
	
	$action = isset($_REQUEST["action"])?$_REQUEST["action"]:"";
	
	if($action == "save"){
		$s = $_REQUEST["taxSettings"];
		foreach($s as $key=>$value){
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$db->escape($key)."'");
			$settings[$key] = $value;
		}
	}

?>
<div id="admin-tab-sheet-settings" class="admin-tab-sheet">
	<div class="admin-tab-sheet-wrap">
	
<script type="text/javascript">
function setTaxStates(){
	c = document.getElementById('selectCountry');
	s = document.getElementById('selectState');
	s.options.length = 1;
	s.options[0] = new Option('All States / Provinces', '0');
<?php	
	foreach($countries_states as $coid=>$country){
		if(is_array($country["states"])){
?>
	if(c.value == '<?=$coid?>'){<?
			$i = 1;
			foreach($country["states"] as $stid=>$state){?>
		s.options[<?=$i?>] = new Option('<?=addslashes($state)?>', '<?=$stid?>');		
<?php			$i++;
			}
		
?>
	}
<?php
		}
	}
?>
	if(c.value == '<?=$settings["TaxDefaultCountry"]?>'){
		s.value='<?=$settings["TaxDefaultState"]?>';
	}
}
</script>

		<form name="frmTaxesSettings" method="post" action="admin.php?p=taxes&tax_mode=advanced">
			<input type="hidden" name="action" value="save"/>
			<div class="admin-form-header">Taxes Settings</div>
			<table cellpadding="0" cellspacing="5" border="0" width="100%">
				<tr valign="top">
					<td class="formItemCaption">Display Prices with Tax?</td>
					<td class="formItemControl">
						<select id="selectDisplayPricesWithTax" name="taxSettings[DisplayPricesWithTax]" style="width:123px;">
							<option value="YES">Yes</option>
							<option value="NO" <?=$settings["DisplayPricesWithTax"]=="NO"?'selected="selected"':''?>>No</option>
						</select>
					</td>
				</tr>
	 
				<tr valign="top">
					<td class="formItemCaption">Apply Tax to Orders By</td>
					<td class="formItemControl">
						<input type="radio" id="radioTaxAddressShipping" name="taxSettings[TaxAddress]" <?=!in_array($settings["TaxAddress"], array("Billing", "Default"))?'checked="checked"':''?> value="Shipping"> 
						<label for="radioTaxAddressShipping">Order Shipping Address, or Billing Address if there no shipping</label><br/>
						
						<input type="radio" id="radioTaxAddressBilling" name="taxSettings[TaxAddress]" <?=$settings["TaxAddress"]=="Billing"?'checked="checked"':''?> value="Billing">
						<label for="radioTaxAddressBilling">Order Billing Address</label><br/>
						
						<input type="radio" id="radioTaxAddressDefault" name="taxSettings[TaxAddress]" <?=$settings["TaxAddress"]=="Default"?'checked="checked"':''?> value="Default">
						<label for="radioTaxAddressDefault">Default Tax Country / State (see below)</label>
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Default Tax Country</td>
					<td class="formItemControl">
						<select id="selectCountry" name="taxSettings[TaxDefaultCountry]" onchange="setTaxStates()" style="width:250px;">
							<option value="0">All Countries</option>
<?php
				foreach ($countries_states as $coid=>$country)
				{
					echo '<option value="'.$coid.'" '.($settings["TaxDefaultCountry"]==$coid?' selected="selected"':'').'>'.htmlspecialchars($country["country_name"]).'</option>';
				}
?>						
						</select>
					</td>
				</tr>
				<tr valign="top">
					<td class="formItemCaption">Default Tax State / Province</td>
					<td class="formItemControl">
						<select id="selectState" name="taxSettings[TaxDefaultState]" style="width:250px;">
							<option value="0">All States / Provinces</option>
						</select>
					</td>
				</tr>
			</table>
			<div class="admin-form-buttons">
				<input type="submit" value="Save changes" /> &nbsp;
				<input type="reset" value="Reset form" />
			</div>
		</form>
	</div>
</div>
<script type="text/javascript"><!--
setTaxStates();
--></script>
