<?php
	if (!defined("ENV")) exit();

	$uid = isset($uid)?$uid*1:0;
	$action = isset($action)?trim($action):"";
	if($action == "lock"){
		switch(strtolower($blocked)){
			case "yes": {
				$db->query("UPDATE ".DB_PREFIX."users SET block_date=DATE_ADD(NOW(), INTERVAL ".$settings["SecurityAccountBlockingHours"]." HOUR) WHERE uid='".$uid."'");
				break;
			}
			case "no": {
				$db->query("UPDATE ".DB_PREFIX."users SET block_date=DATE_ADD(NOW(), INTERVAL -".$settings["SecurityAccountBlockingHours"]." HOUR) WHERE uid='".$uid."'");
				break;
			}
		}
	}
	
	$db->query("SELECT *, DATE_FORMAT(session_date, '".$settings["LocalizationDateTimeFormat"]."') AS la, IF(NOW()<block_date, 'Yes', 'No') AS blocked FROM ".DB_PREFIX."users WHERE uid='".$uid."'");
	if($db->moveNext()){
		$fname = $db->col["fname"];
		$lname = $db->col["lname"];
		$company = $db->col["company"];
		$login = $db->col["login"];
		$session_date = $db->col["la"];
		$email_mode = $db->col["email_mode"];
		$level = $db->col["level"];
		$newsletters = $db->col["newsletters"];
		$updates = $db->col["updates"];
		$phone = $db->col["phone"];
		$email = $db->col["email"];
		$address1 = $db->col["address1"];
		$address2 = $db->col["address2"];
		$city = $db->col["city"];
		$state = $db->col["state"];
		$zip = $db->col["zip"];
		$province = $db->col["province"];
		$country = $db->col["country"];
		$blocked = $db->col["blocked"];
		
		loadJS("cf_user.js");
		loadJS("cd_user.js");
		pageHeader("User Profile", "update", "ic_user_edit.gif");
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>Please note: required fields are bold</b>", "url"=>"", "visible"=>true),
			array("icon"=>"ic_delete_user.gif", "text"=>"Delete this user account", "url"=>"javascript:ConfirmDeleteUser(".$uid.")", "visible"=>true),
		));
		
		$customFields = new CustomFields($db);
		
		$cf_billing = $customFields->GetCustomFieldsValues("billing", $uid, 0, 0);
		$cf_account = $customFields->GetCustomFieldsValues("account", $uid, 0, 0);
		$cf_signup = $customFields->GetCustomFieldsValues("signup", $uid, 0, 0);
		
		//country / state data
		require_once("content/classes/class.regions.php");
		$regions = new Regions($db);
		$countries_states = $regions->getCountriesStates(false);
		
		
?>
<script language="javascript" type="text/javascript"><!--
function setUserState(){
	c = document.getElementById('billing_address_country');
	s = document.getElementById('billing_address_state');
	s.options.length = 1;
	s.options[0] = new Option("Select state or province...", '0');
<?	foreach($countries_states as $coid=>$country_data){
		if($country_data["states"]){?>
			if(c.value == '<?=$coid?>'){
<?				$i = 1;
				foreach($country_data["states"] as $stid => $state_data){?>
					s.options[<?=$i?>] = new Option('<?=addslashes($state_data)?>', '<?=$stid?>');
<?					$i = $i + 1;
				}?>	
			}
<?		}
	}
?>
	sd = document.getElementById('billing_address_state');
	pd = document.getElementById('billing_address_province');
	if(s.options.length == 1){
		sd.disabled = true;
		pd.disabled = false;
	}
	else{
		pd.disabled = true;
		sd.disabled = false;
		if(c.value=='<?=$country?>') s.value='<?=$state?>';
	}
}
--></script>
<?
	pageTabs(array(
		array("title"=>"User Properties", "id"=>"Main", "active"=>true, "width"=>110),
		array("title"=>"Address Book", "id"=>"Book", "active"=>false, "width"=>110),
	));
?>
<form name="frmUser" action="admin.php?p=user_process" method="post" onsubmit="return CheckUserForm(this)">
	<input type="hidden" name="uid" value="<?=$uid?>">
	<input type="hidden" name="mode" value="update">
<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_contact.gif"></div>
			<div class="formHeaderText">Contact Information</div>
		</td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>First Name</b></td>
		<td class="formItemControl"><input type="text" name="fname" value="<?=htmlspecialchars($fname)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>Last Name</b></td>
		<td class="formItemControl"><input type="text" name="lname" value="<?=htmlspecialchars($lname)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formItemCaption">Company</td>
		<td class="formItemControl"><input type="text" name="company" value="<?=htmlspecialchars($company)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formItemCaption">Phone</td>
		<td class="formItemControl"><input type="text" name="phone" value="<?=htmlspecialchars($phone)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>Email :</b></td>
		<td class="formItemControl"><input type="text" name="email" value="<?=htmlspecialchars($email)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_contact.gif"></div>
			<div class="formHeaderText">Account Information</div>
		</td>
	</tr>

<?	if($settings["WholesaleDiscountType"] != "NO"){?>
	<tr>
		<td class="formItemCaption">User Access :</td>
		<td class="formItemControl"><select name="level" style="width:250px;">
				<option value="0">Standard User</option>
				<option value="1" <?=$level=="1"?"selected":""?>>Wholesaler Level 1</option>
<?		if($settings["WholesaleMaxLevels"] != "1"){?>				
				<option value="2" <?=$level=="2"?"selected":""?>>Wholesaler Level 2</option>
<?			if($settings["WholesaleMaxLevels"] != "2"){?>				
				<option value="3" <?=$level=="3"?"selected":""?>>Wholesaler Level 3</option>
<?			}
		}?>
			</select>
		</td>
	</tr>
<?	}?>
	<tr>
		<td class="formItemCaption">Username (login)</td>
		<td class="formItemControl"><?=htmlspecialchars($login)?></td>
	</tr>
	<tr>
		<td class="formItemCaption">Last Action</td>
		<td class="formItemControl"><?=$session_date?></td>
	</tr>
<?	if($settings["SecurityAccountBlocking"] == "YES"){?>
	<tr>
		<td class="formItemCaption">Current account status</td>
		<td class="formItemControl"><?=$blocked=="Yes"?'<font color="red">Account is Locked</font>':"Account is Active"?></td>
	</tr>
	<tr>
		<td class="formItemCaption">Set New Account Status</td>
		<td class="formItemControl">
			[ <a href="admin.php?p=user&uid=<?=$uid?>&action=lock&blocked=<?=$blocked=="Yes"?"no":"yes"?>">Click here to <?=$blocked=="Yes"?"Unlock Account":"Lock Account for a ".$settings["SecurityAccountBlockingHours"]." hours"?></a> ]
		</td>
	</tr>
<?	}
	else{?>
	<tr>
		<td class="formItemCaption">Current account status</td>
		<td class="formItemControl">Account is Active</td>
	</tr>
	<tr>
		<td class="formItemCaption">Set New Account Status :<br>&nbsp;<br>&nbsp;</td>
		<td class="formItemControl">
			<u>Account Blocking Feature is Disabled</u>
			<div class="formItemComment">
				To enable blocking feature please go to Cart Settings ><br>
				Global Cart Settings > Security Settings page
			</div>
		</td>
	</tr>
<?	}?>
	<tr>
		<td class="formItemCaption">Email Mode</td>
		<td class="formItemControl">
			<select name="email_mode" style="width:123px;">
				<option value="html" <?=$email_mode=="html"?"selected":""?>>HTML</option>
				<option value="text" <?=$email_mode=="text"?"selected":""?>>Text</option>
			</select>
		</td>
	</tr>
	<tr>
		<td class="formItemCaption">Email Newsletters</td>
		<td class="formItemControl">
			<select name="newsletters" style="width:123px;">
				<option value="Yes">Yes</option>
				<option value="No" <?=$newsletters=="No"?"selected":""?>>No</option>
			</select>
		</td>
	</tr>
	<tr>
		<td class="formItemCaption">Email Product Update</td>
		<td class="formItemControl">
			<select name="updates" style="width:123px;">
				<option value="Yes">Yes</option>
				<option value="No" <?=$updates=="No"?"selected":""?>>No</option>
			</select>
		</td>
	</tr>
<?	if($cf_account){
		foreach($cf_account as $field){?>
	<tr valign="top">
		<td class="formItemCaption"><i><?=$field["field_name"]?></i></td>
		<td class="formItemControl"><?=$field["value_translated"]?></td>
	</tr>
<?		}
	}?>
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_payment.gif"></div>
			<div class="formHeaderText">Billing Information</div>
		</td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>Address Line 1</b></td>
		<td class="formItemControl">
			<input type="text" name="address1" value="<?=htmlspecialchars($address1)?>" style="width:250px;">
		</td>
	</tr>
	<tr>
		<td class="formItemCaption">Address Line 2</td>
		<td class="formItemControl"><input type="text" name="address2" value="<?=htmlspecialchars($address2)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>City</b></td>
		<td class="formItemControl"><input type="text" name="city" value="<?=htmlspecialchars($city)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>Country</b></td>
		<td class="formItemControl">
			<select id="billing_address_country" name="country" style="width:250px;" onchange="setUserState()">
<?	foreach($countries_states as $coid=>$country_data){?>
					<option value="<?=$coid?>" <?=$country == $coid?'selected="selected"':''?>><?=htmlspecialchars($country_data["country_name"])?></option>
<?	}?>
				
			</select>
		</td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>State/Province</b></td>
		<td class="formItemControl">
			<select id="billing_address_state" name="state" style="width:250px;">	
			</select>
		</td>
	</tr>
	<tr>
		<td class="formItemCaption">OR Custom State/Province</td>
		<td class="formItemControl"><input id="billing_address_province" type="text" name="province" value="<?=htmlspecialchars($province)?>" style="width:250px;"></td>
	</tr>
	<tr>
		<td class="formItemCaption"><b>ZIP / Postal Code</b></td>
		<td class="formItemControl"><input type="text" name="zip" value="<?=htmlspecialchars($zip)?>" style="width:123px;"></td>
	</tr>
<?	if($cf_billing){
		foreach($cf_billing as $field){?>
	<tr valign="top">
		<td class="formItemCaption"><i><?=$field["field_name"]?></i></td>
		<td><?=$field["value_translated"]?></td>
	</tr>
<?		}
	}
?>

<?	if($cf_signup){?>
	<tr>
		<td class="formHeader" colspan="2">
			<div class="formHeaderIcon"><img src="images/icons/ic_profiles.gif"></div>
			<div class="formHeaderText">Custom Signup Information</div>
		</td>
	</tr>
<?		foreach($cf_signup as $field){?>
	<tr valign="top">
		<td class="formItemCaption"><i><?=$field["field_name"]?></i></td>
		<td class="formItemControl"><?=$field["value_translated"]?></td>
	</tr>
<?		}
	}?>	
</table>
</div>

<div id="idTabSheetBook" class="sheetUnactive">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_shipping.gif"></div>
			<div class="formHeaderText">User's Address Book</div>
		</td>
	</tr>
	<tr>
		<td class="formItemBig">
<?php
		$db->query("
			SELECT 	
				".DB_PREFIX."users_shipping.*,
				".DB_PREFIX."countries.name AS country_name
			FROM ".DB_PREFIX."users_shipping 
			LEFT JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."countries.coid = ".DB_PREFIX."users_shipping.country 
			WHERE uid='".intval($uid)."' ORDER BY is_primary
		");
		if ($db->numRows()>0)
		{
			
			$i = 1;
			$shippingAddresses = $db->getRecords(); 
			foreach ($shippingAddresses as $shippingAddress)
			{
				//print_r($customFields);
				$cf_shipping = $customFields->GetCustomFieldsValues("shipping", $uid, 0, $shippingAddress["usid"]);
?>
			 <div class="userShippingAddress">
				<b>Address <?=$i++?> <?=$shippingAddress["is_primary"]=="Yes"?"(primary)":""?></b><br/>
				<?=htmlspecialchars($shippingAddress["name"])?><br/>
				<?=htmlspecialchars($shippingAddress["address1"])?><br/>
				<?=trim($shippingAddress["address2"])!=""?htmlspecialchars($shippingAddress["address2"])."<br/>":""?>
				<?=htmlspecialchars($shippingAddress["city"])?>, <?=htmlspecialchars($shippingAddress["province"])?><br/>
				<?=htmlspecialchars($shippingAddress["country_name"])?>, <?=htmlspecialchars($shippingAddress["zip"])?>	
<?				if($cf_shipping){
					foreach($cf_shipping as $field){
						echo "<br/><i>".$field["field_name"]."</i> : ".$field["value_translated"];
					}
				}?>
			</div>
<?
			}
		}
		else{
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>No shipping addresses defined yet</b>", "url"=>"", "visible"=>true)
			));
		}
?>	
		</td>
	</tr>
</table>
</div>

<div class="formButtons">
	<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
	<input type="image" src="images/admin/bt_reset_form.gif" onClick="frmUser.reset();return false;">
</div>
</form>
<script language="javascript" type="text/javascript"><!--
	setUserState();
--></script>
<?
	}
?>