<?php
	if (!defined("ENV")) exit();

	$mode = isset($mode)?$mode:"";  
	$uid = isset($uid)?($uid*1):0;
	$db->query("SELECT * FROM ".DB_PREFIX."users WHERE uid='".$uid."' AND removed='No'");
	
	if ($db->moveNext())
	{
		switch ($mode)
		{
			case "update" : 
			{
				$previousNewsletterSetting = $db->col['newsletters'];
				$previousEmail = $db->col['email'];
				
				$fname = isset($fname)?trim($fname):"";
				$lname = isset($lname)?trim($lname):"";
				$company = isset($company)?trim($company):"";
				$phone = isset($phone)?trim($phone):"";
				$email = isset($email)?trim($email):"";
				$email_mode = isset($email_mode)?trim($email_mode):"";
				$account_status = isset($account_status)?trim($account_status):"";
				
				switch ($account_status)
				{
					case "block": 
					{
						$status_sql = "block_date=DATE_ADD(NOW(), INTERVAL ".$settings["SecurityAccountBlockingHours"]." HOUR),";
						break;
					}
					case "unblock": 
					{
						$status_sql = "block_date=DATE_ADD(NOW(), INTERVAL -".$settings["SecurityAccountBlockingHours"]." HOUR),";
						break;
					}
					default: 
					{
						$status_sql = "";
					}
				}
				
				$level =  isset($level)?trim($level):"0";
				$newsletters = isset($newsletters)?trim($newsletters):"";
				$updates = isset($updates)?trim($updates):"";
				$address1 = isset($address1)?trim($address1):"";
				$address2 = isset($address2)?trim($address2):"";
				$city = isset($city)?trim($city):"";
				$zip = isset($zip)?trim($zip):"";
				$province = isset($province)?trim($province):"";
				$country_state = isset($country_state)?trim($country_state):"1/1";
				$ar = explode("/", $country_state);
				$state = isset($state)?trim($state):"0";
				$country = isset($country)?trim($country):"0";
				$avalara_tax_exempt_number = isset($avalara_tax_exempt_number) ? $avalara_tax_exempt_number : null;
				$exactor_tax_exemption_id = isset($exactor_tax_exemption_id) ? $exactor_tax_exemption_id : null;
				$is_tax_exempt = isset($is_tax_exempt) ? $is_tax_exempt : null;
				//get state name
				
				$db->query("SELECT * FROM ".DB_PREFIX."states WHERE stid='".$state."'");
				
				if ($db->moveNext())
				{
					$province = $db->col["name"];
				}
				else
				{
					$state = 0;
				}
				
			 	$q = "UPDATE ".DB_PREFIX."users SET ".
					$status_sql.
					"fname='".$db->escape($fname)."', ".
					"lname='".$db->escape($lname)."', ".
					"company='".$db->escape($company)."', ".
					"phone='".$db->escape($phone)."', ".
					"email='".$db->escape($email)."', ".
					"email_mode='".$db->escape($email_mode)."', ".					
					"address1='".$db->escape($address1)."', ".
					"address2='".$db->escape($address2)."', ".
					"city='".$db->escape($city)."', ".
					"state='".$db->escape($state)."', ".
					"zip='".$db->escape($zip)."', ".
					"province='".$db->escape($province)."', ".
					"country='".$db->escape($country)."', ".
					"level='".$level."', ".
					"newsletters='".$newsletters."', ".
					"updates='".$updates."', ".
					(!is_null($avalara_tax_exempt_number) ? 'avalara_tax_exempt_number="'.$db->escape($avalara_tax_exempt_number).'", ' : '').
					(!is_null($exactor_tax_exemption_id) ? 'exactor_tax_exemption_id="'.$db->escape($exactor_tax_exemption_id).'", ' : '').
					(!is_null($is_tax_exempt) ? 'is_tax_exempt="'.$db->escape($is_tax_exempt).'", ' : '').
					"last_update=NOW() ".
					"WHERE uid='".$uid."'";
				
				if (!DEMO_LOCK)
				{
					$db->query($q);

					if ($previousNewsletterSetting != $newsletters)
					{
						if ($newsletters == 'Yes')
						{
							Newsletter_Connector::subscribe($email, $email_mode);
						}
						else
						{
							Newsletter_Connector::unsubscribe($email);						
						}
					}
				}
				pageHeader("User Profile Update", "", "");
				pageNote(array(
					array("class"=>"ic-info", "text"=>"<b>User profile has been successfully updated</b>", "url"=>"", "visible"=>true)
				));
				pageWhat(array(
					array("text"=>"Back to this profile editing", "url"=>"admin.php?p=user&uid=".$uid),
					array("text"=>"Browse users", "url"=>"admin.php?p=users")
				));
				break;
			}
			
			case "delete" : 
			{
				if (!DEMO_LOCK)
				{
					//do not remove orders, keep for stats and to keep orders numbers order
					$db->query("UPDATE ".DB_PREFIX."orders SET removed='Yes' WHERE uid='".$uid."'");
					$db->query("UPDATE ".DB_PREFIX."users SET removed='Yes' WHERE uid='".$uid."'");
				}
				
				pageHeader("User Account Removed", "", "");
				pageNote(array(
					array("class"=>"ic-info", "text"=>"<b>User account has been successfully removed</b>", "url"=>"", "visible"=>true)
				));
				pageWhat(array(
					array("text"=>"Browse users", "url"=>"admin.php?p=users")
				));
				
				break;
			}
		}
	}
	else
	{
		pageHeader("Incorrect User ID", "", "");
		pageNote(array(
			array("class"=>"ic-info", "text"=>"<b>Can't idenfity user by specified ID</b>", "url"=>"", "visible"=>true)
		));
		pageWhat(array(
			array("text"=>"Browse users", "url"=>"admin.php?p=users")
		));
	}
