<?php
	if (!defined("ENV")) exit();

	loadJS("cd_user.js");
	pageHeader("Users", "", "ic_users.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"<b>Please enter in your search criteria.</b><br>You need to enter at least one search criteria for search to be effective", "url"=>"", "visible"=>true)
	));
	
	$action = isset($action)?trim($action):"";
	$lname = isset($lname)?trim($lname):"";
	$email = isset($email)?trim($email):"";
	$login = isset($login)?trim($login):"";
	$phone = isset($phone)?trim($phone):"";
	$company = isset($company)?trim($company):"";
?>



<div class="searchFormTitle">Search Users</div>
<form action="admin.php?p=users" method="GET" style="padding:0px;margin:0px;">
	<input type="hidden" name="p" value="users">
	<input type="hidden" name="action" value="search">
	
<div class="searchFormBody">
	<div class="searchFormLine">
		<div class="searchFormItem">
			Last Name:<br/>
			<input type="text" name="lname" style="width:210px;" value="<?=htmlspecialchars($lname)?>"/>
		</div>
		<div class="searchFormItem">
			Email Address:<br/>
			<input type="text" name="email" style="width:210px;" value="<?=htmlspecialchars($email)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Username Name:<br/>
			<input type="text" name="login" style="width:210px;" value="<?=htmlspecialchars($login)?>"/>
		</div>
		<div class="searchFormItem">
			Company:<br/>
			<input type="text" name="company" style="width:210px;" value="<?=htmlspecialchars($company)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Phone Number:<br/>
			<input type="text" name="phone" style="width:210px;" value="<?=htmlspecialchars($phone)?>"/>
		</div>
		<div class="searchFormItem">
			&nbsp;
		</div>
	</div>
	<div class="searchFormBottom">
		<div class="searchFormItem">
			<input type="submit" value="Search" style="width:120px;height:25px;"/>
		</div>
		<div class="searchFormItem">
			<a href="admin.php?p=users">Reset Search</a>
		</div>
	</div>
</div>
</form>


<?	if($action == "search"){
		$where = "WHERE ".
			"login <> 'ExpressCheckoutUser'".
			"AND lname LIKE '%".$db->escape($lname)."%'".
			"AND email LIKE '%".$db->escape($email)."%'".
			"AND login LIKE '%".$db->escape($login)."%'".
			"AND phone LIKE '%".$db->escape($phone)."%'".
			"AND company LIKE '%".$db->escape($company)."%'";
	
		$db->query("SELECT * FROM ".DB_PREFIX."users ".$where." ORDER BY lname, fname ");
?>


<div class="listHeader">
	<div class="listHeaderIcon"><img src="images/icons/ic_search.gif"/></div>
	<div class="listHeaderCaption">
		Users Search Results
	</div>
	<div class="listHeaderCaption" style="float:right;font-weight:normal;">
		Users found : <?=$db->numRows()?>
	</div>
</div>
<?php	
		if($db->numRows() > 0){?>
<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption" style="width:150px;">Username</div>
	<div class="listHeaderCaption" style="width:150px;">Name</div>
	<div class="listHeaderCaption" style="width:150px;">Company</div>
	<div class="listHeaderCaption" style="width:150px;">Email Address</div>
</div>
<?php
			while ($db->moveNext()) {?>

<div class="listItem">
	<div class="listItemIcon"><img src="images/icons/ic_user.gif"/></div>
	<div class="listItemText" style="width:150px;"><a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["login"])?></a></div>
	<div class="listItemText" style="width:150px;"><a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["fname"]." ".$db->col["lname"])?></a></div>
	<div class="listItemText" style="width:150px;"><?=htmlspecialchars($db->col["company"])?></div>
	<div class="listItemText" style="width:150px;"><?=htmlspecialchars($db->col["email"])?></div>
	<div class="listItemButtons">
		<a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><img src="images/icons/ic_user_info.gif" title="Show/Edit User's Profile" border="0"></a>
<?				if(in_array("orders", $auth_rights) || in_array("all", $auth_rights)){?>		
		<a href="admin.php?p=orders&uid=<?=$db->col["uid"]?>"><img src="images/icons/ic_orders.gif" title="Show User's Orders" border="0"></a>
<?				}?>
		<a href="javascript:ConfirmDeleteUser(<?=$db->col["uid"]?>)"><img src="images/icons/ic_delete.gif" title="Delete User" border="0"></a>&nbsp;
	</div>
</div>
<?			}?>

<div class="listFooter">
	<div class="listFooterCaption" style="float:left;font-weight:normal;">
	<form action="admin.php?p=search_export&chart=true" method="POST" target="_blank" style="padding:0px;margin:0px;">
		<input type="hidden" name="where" value="<?=$where?>">
		<input type="hidden" name="action" value="export">
		<input type="hidden" name="export_what" value="users">
		<input type="submit" style="width: 120px; height: 25px;" value="Export to CSV"/>
	</form>
	</div>

	<div class="listFooterCaption" style="float:right;font-weight:normal;">
		Users found : <?=$db->numRows()?>
	</div>
</div>
<?		}
		else{?>
<div class="listEmpty">
	Your search did not produce any results. Please try again with a different search criteria.<br/>
	<a href="admin.php?p=users">Reset Search</a>
</div>	
<?		}
	}
?>