<?php
	if (!defined("ENV")) exit();

	loadJS("cd_user.js");
	pageHeader("Users", "", "ic_users.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"<b>Please enter in your search criteria.</b><br>You need to enter at least one search criteria for search to be effective", "url"=>"", "visible"=>true)
	));
	
	$action = isset($action)?trim($action):"";
	$lname = isset($lname)?trim($lname):"";
	$email = isset($email)?trim($email):"";
	$login = isset($login)?trim($login):"";
	$phone = isset($phone)?trim($phone):"";
	$company = isset($company)?trim($company):"";
	$user_status = isset($user_status)?trim($user_status):"";
	$_SESSION["admin_search_user_products_url"] = $_SERVER["QUERY_STRING"];
	$sort_products_by = isset($sort_products_by)?$sort_products_by:"created_date";
	$sort_products_by = in_array($sort_products_by, array("login", "fname", "lname", "company", "address1", "address2", "city", "state", "zip", "country", "email", "phone", "created_date", "session_date"))?$sort_products_by:"created_date";	
	
?>



<div class="searchFormTitle">Search Users</div>
<form action="admin.php?p=users" method="GET" style="padding:0px;margin:0px;">
	<input type="hidden" name="p" value="users">
	<input type="hidden" name="action" value="search">
	
<div class="searchFormBody">
	<div class="searchFormLine">
    	<div class="searchFormItem">
			First Name:<br/>
			<input type="text" name="fname" style="width:210px;" value="<?=htmlspecialchars($fname)?>"/>
		</div>
		<div class="searchFormItem">
			Last Name:<br/>
			<input type="text" name="lname" style="width:210px;" value="<?=htmlspecialchars($lname)?>"/>
		</div>
		
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Username:<br/>
			<input type="text" name="login" style="width:210px;" value="<?=htmlspecialchars($login)?>"/>
		</div>
		<div class="searchFormItem">
			Company:<br/>
			<input type="text" name="company" style="width:210px;" value="<?=htmlspecialchars($company)?>"/>
		</div>
	</div>
	<div class="searchFormLine">
		<div class="searchFormItem">
			Phone Number:<br/>
			<input type="text" name="phone" style="width:210px;" value="<?=htmlspecialchars($phone)?>"/>
		</div>
        <div class="searchFormItem">
			Email Address:<br/>
			<input type="text" name="email" style="width:210px;" value="<?=htmlspecialchars($email)?>"/>
		</div>
		
	</div>
<div class="searchFormLine">
        <div class="searchFormItem">
        Keyword Search:<br>
		<input type="text" name="keywords_search" style="width:210px;" value="<?=htmlspecialchars($keywords_search)?>"/>
        </div>
		<div class="searchFormItem">
			User Status:<br/>
			<select name="user_status">
				<option value="all"> All </option>
				<option value="active" <?php if($user_status == 'active') echo 'selected'?>> Active </option>
				<option value="inactive" <?php if($user_status == 'inactive') echo 'selected' ?>> Pending </option>
			</select>
		</div>
	</div>
	<div class="searchFormBottom">
		<div class="searchFormItem">
			<input type="submit" value="Search" style="width:120px;height:25px;"/>
		</div>
		<div class="searchFormItem">
			<a href="admin.php?p=users">Reset Search</a>
		</div>
	</div>
</div>
</form>


<?	if($action == "search"){
		$where = "WHERE ".
			"login <> 'ExpressCheckoutUser'".
			"AND fname LIKE '%".$db->escape($fname)."%'".
			"AND lname LIKE '%".$db->escape($lname)."%'".
			"AND email LIKE '%".$db->escape($email)."%'".
			"AND login LIKE '%".$db->escape($login)."%'".
			"AND phone LIKE '%".$db->escape($phone)."%'".
			"AND company LIKE '%".$db->escape($company)."%'".
			"AND level <> 100";
		if ($keywords_search != "")
		{
			$where .= ($where==""?"WHERE ":" AND ")." fname LIKE '%".$db->escape($keywords_search)."%' OR lname LIKE '%".$db->escape($keywords_search)."%' OR login LIKE '%".$db->escape($keywords_search)."%' OR company LIKE '%".$db->escape($keywords_search)."%' OR phone LIKE '%".$db->escape($keywords_search)."%'";
		}	
		if($user_status == 'active')
		{
			$where .= " AND NOW() > block_date";
		}
		elseif($user_status == 'inactive')
		{
			$where .= " AND block_date > NOW()"; 
		}
		else
		{
			$where .="";
		}
		
		switch($sort_products_by){
			case "login" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.login";
				break;
			}
			case "fname" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.fname";
				break;
			}
			case "lname" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.lname";
				break;
			}
			case "company" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.company ";
				break;
			}
			case "address1" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.address1 ";
				break;
			}
			case "address2" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.address2 ";
				break;
			}
			case "city" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.city ";
				break;
			}
			case "state" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.state ";
				break;
			}
			case "zip" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.zip ";
				break;
			}
			case "country" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.country ";
				break;
			}
			case "email" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.email ";
				break;
			}
			case "phone" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.phone ";
				break;
			}
			case "created_date" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.created_date DESC ";
				break;
			}
			case "session_date" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.session_date DESC";
				break;
			}			
			default :
			case "created_date" : 
			{
				$order_sql = "ORDER BY ".DB_PREFIX."users.created_date DESC";
				break;
			}
		}		
		//echo "SELECT * FROM ".DB_PREFIX."users ".$where." ".$order_sql;
		$db->query("SELECT * FROM ".DB_PREFIX."users ".$where." ".$order_sql);
?>


<div class="listHeader">
	<div class="listHeaderIcon"><img src="images/icons/ic_search.gif"/></div>
	<div class="listHeaderCaption">
		Users Search Results
	</div>
	<div class="listHeaderCaption" style="float:right;font-weight:normal;">
		Users found : <?=$db->numRows()?>
	</div>
</div>
<?php	
		if($db->numRows() > 0){?>
<div class="listHeader">
<div class="listItemButtons"  style="width:60px;">&nbsp;</div>
	<div class="listHeaderIcon">&nbsp;</div>	
	<div class="listHeaderCaption" style="width:80px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=login"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Username</div>
	<div class="listHeaderCaption" style="width:70px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=fname"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>First Name</div>
    <div class="listHeaderCaption" style="width:70px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=lname"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Last Name</div>
	<div class="listHeaderCaption" style="width:80px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=company"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Company</div>
    <div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=address1"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Address 1</div>
     <div class="listHeaderCaption" style="width:80px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=address2"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Address 2</div>
      <div class="listHeaderCaption" style="width:80px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=city"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>City</div>
      <div class="listHeaderCaption" style="width:80px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=state"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>State</div>
	 <div class="listHeaderCaption" style="width:50px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=zip"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Zip</div>
      <div class="listHeaderCaption" style="width:80px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=country"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Country</div>
	<div class="listHeaderCaption" style="width:120px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=email"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Email Address</div>
      <div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=phone"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Phone</div>
      <div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=created_date"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Create Date/time</div>
      <div class="listHeaderCaption" style="width:100px;"><a href="admin.php?<?php echo $_SESSION["admin_search_user_products_url"]; ?>&sort_products_by=session_date"><img src="images/icons/ic_sort.png" title="Sort Sales Person" border="0"></a>Last Action</div>      
      
	<div class="listHeaderCaption" style="width:100px;">Reset Password</div>
	<div class="listHeaderIcon">&nbsp;</div>

</div>
<?php
			while ($db->moveNext()) {?>

<div class="listItem">
<div class="listItemButtons"  style="width:60px;">
		<a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><img src="images/icons/ic_user_info.gif" title="Show/Edit User's Profile" border="0"></a>
<?				if(in_array("orders", $auth_rights) || in_array("all", $auth_rights)){?>		
		<a href="admin.php?p=orders&uid=<?=$db->col["uid"]?>"><img src="images/icons/ic_orders.gif" title="Show User's Orders" border="0"></a>
<?				}?>
		<a href="javascript:ConfirmDeleteUser(<?=$db->col["uid"]?>)"><img src="images/icons/ic_delete.gif" title="Delete User" border="0"></a>&nbsp;
	</div>
	<div class="listItemIcon"><img src="images/icons/ic_user.gif"/></div>
	<div class="listItemText" style="width:80px;"><a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["login"])?></a></div>
	<div class="listItemText" style="width:70px;"><a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["fname"])?></a></div>
    <div class="listItemText" style="width:70px;"><a href="admin.php?p=user&uid=<?=$db->col["uid"]?>"><?=htmlspecialchars($db->col["lname"])?></a></div>
	<div class="listItemText" style="width:80px;"><?=htmlspecialchars($db->col["company"])?></div>
    	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["address1"])?></div>
		<div class="listItemText" style="width:80px;"><?=htmlspecialchars($db->col["address2"])?></div>
        <div class="listItemText" style="width:80px;"><?=htmlspecialchars($db->col["city"])?></div>
         <?php
         $selstate= mysql_query("select name from states where stid='".$db->col["state"]."'");
		$fetchstate = mysql_fetch_array($selstate);
		$state = $fetchstate["name"];
		$state_province = ($state != '' ? $state : $db->col["province"]);
		 ?>
                
        <div class="listItemText" style="width:80px;"><?=htmlspecialchars($state_province)?></div>
         <div class="listItemText" style="width:50px;"><?=htmlspecialchars($db->col["zip"])?></div>
         <?php
         $selcountry= mysql_query("select name from countries where coid='".$db->col["country"]."'");
		$fetchcountry = mysql_fetch_array($selcountry);
		$country = $fetchcountry["name"]; ?>
                  <div class="listItemText" style="width:80px;"><?=htmlspecialchars($country)?></div>
	<div class="listItemText" style="width:120px;"><?=htmlspecialchars($db->col["email"])?></div>
    	<div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["phone"])?></div>
        <div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["created_date"])?></div>
        <div class="listItemText" style="width:100px;"><?=htmlspecialchars($db->col["session_date"])?></div>        
	
	
    <div class="listItemText"> <input type="button" name="resetpswd" id="resetpswd" value="Reset PW" onclick="resetpassword('<?php echo $db->col["login"]; ?>','<?php echo $db->col["email"]; ?>')"> </div>
</div>
<?			}?>

<div class="listFooter">
	<div class="listFooterCaption" style="float:left;font-weight:normal;">
	<form action="admin.php?p=search_export&chart=true" method="POST" target="_blank" style="padding:0px;margin:0px;">
		<input type="hidden" name="where" value="<?=$where?>">
		<input type="hidden" name="action" value="export">
		<input type="hidden" name="export_what" value="users">
		<input type="submit" style="width: 120px; height: 25px;" value="Export to CSV"/>
	</form>
	</div>

	<div class="listFooterCaption" style="float:right;font-weight:normal;">
		Users found : <?=$db->numRows()?>
	</div>
</div>
<?		}
		else{?>
<div class="listEmpty">
	Your search did not produce any results. Please try again with a different search criteria.<br/>
	<a href="admin.php?p=users">Reset Search</a>
</div>	
<?		}
	}
?>
<script>
function resetpassword(login,email)
{
	if(!(confirm("Do you need to reset password for this user")))
		return false;
	else
	{
		$.get("admin.php?p=ajax&chart=1&requestfrm=resetPassword&login="+login+"&email="+email,
			function(data){
				alert(data);
			}
		);
	}
		
		
}
	
</script>