<?php
	if (!defined("ENV")) exit();

	$mode = isset($mode)?trim($mode):"users";
	$list = isset($list)?trim($list):"both";
	
	$where = "";
	if ($list == "newsletters")
	{
		$where = " AND newsletters='Yes'";
	}
	if ($list == "updates")
	{
		$where = " AND updates='Yes'";
	}
	if ($list == "both")
	{
		$where = " AND newsletters='Yes' AND updates='Yes'";
	}
	
	$type = isset($type)?$type:round("1");
	$type = (($type>4)||($type<1))?1:$type;
	switch ($mode)
	{
		case "subscribers" : 
		{
			$title = "Subscriber Email Adresses";
			$db->query("SELECT *, ".DB_PREFIX."emails.email AS name FROM ".DB_PREFIX."emails WHERE email <> '' ".$where." GROUP BY email ORDER BY email");
			break;
		}
		default :
		case "users" : 
		{
			$title = "User Email Adresses";
			$db->query("SELECT ".DB_PREFIX."users.*, CONCAT(fname, ' ', lname) AS name FROM ".DB_PREFIX."users WHERE email <> '' AND removed='No' ".$where." GROUP BY email ORDER BY email");
		}
	}
	
	$s = "";
	if ($db->numRows()>0)
	{
		while ($db->moveNext())
		{
			switch ($type)
			{
				case "2" : $s.= trim($db->col["email"]).", "; break;
				case "3" : $s.= trim($db->col["email"])."\r\n";	break;
				case "4" : $s.= trim($db->col["email"])."; "; break; 
				default :
				case "1" : $s.= '"'.gs($db->col["name"]).'"'." <".trim($db->col["email"]).">, ";break;
			}
		}
	}
	else
	{
		$s = "There are not any email addresses collected.";
	}
	pageHeader("Export ".$title, "", "");
	pageNote(array(
		array("class"=>"ic-info", "text"=>"<b>Choose the email list you want to export and then copy the email address from the text box below and past it into the application of your choice.</b>", "url"=>"", "visible"=>true),
	));
?>
<form method="POST" action="admin.php?p=users_emails&mode=<?=gs($mode)?>" style="padding:0px;spacing:0px;margin:0px;">
	<div class="admin-tabs admin-tabs-framed" id="tabs-emails">
<?php 
	pageTabs(array(
		array("title"=>"Export Emails", "id"=>"main"),
	), "tabs-emails", false);
?>
		<div id="admin-tab-sheet-main" class="admin-tab-sheet">
			<div class="admin-tab-sheet-wrap">
				<div class="admin-form-header first"><span class="icon ic-icon"></span>Parent Category</div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0">
<?php
	if ($mode == "users")
	{
?>
					<tr valign="top">
						<td class="formItemCaption">Please choose subscribers list</td>
						<td class="formItemControl">
							<select name="list">
								<option value="both" <?=$list=="both"?"selected":""?>>Both Product Update and Newsletters Subscribers</option>
								<option value="newsletters" <?=$list=="newsletters"?"selected":""?>>Newsletters Subscribers</option>
								<option value="updates" <?=$list=="updates"?"selected":""?>>Product Update Subscribers</option>
							<?	if($mode == "users"){?>
								<option value="all" <?=$list=="all"?"selected":""?>>All Email Addresses</option>
							<?	}?>
							</select>
						</td>
					</tr>
<?php
	}
	else
	{
?>
					<input type="hidden" name="list" value="newsletters">
<?php
	}
?>
					<tr valign="top">
						<td class="formItemCaption">Please choose export format</td>
						<td class="formItemControl">
							<select name="type">
								<option value="1">Show as "name1" &lt;email1&gt;, "name2" &lt;email2&gt;, ..</option>
								<option value="2" <?=$type==2?"selected":""?>>Comma-separated emails</option>
								<option value="3" <?=$type==3?"selected":""?>>Email address per line</option>
								<option value="4" <?=$type==4?"selected":""?>>Semicolon-separated emails</option>s
							</select>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Continue"/>
				</div>
				
			
				<div class="admin-form-header"><span class="icon ic-icon"></span>Emails</div>
				<div style="margin:20px 30px;">
					<textarea class="no-mce" style="width:100%;height:300px;" rows="20" cols="60"><?=$s?></textarea>
				</div>
			</div>
		</div>
	</div>

</form>