<?php
/**
 * Prepare cron envinronment
 */
	define('BASE_PATH', dirname(__FILE__).'/../../../');
	
	echo date("c")." - Cron system init, base path set to: " . BASE_PATH . "\n";

	define("ENV", true);

	//include libraries
	require_once(BASE_PATH."content/engine/engine_config.php");
	require_once(BASE_PATH."content/engine/engine_mysql.php");

	chdir(BASE_PATH);

	//init db
	$db = new DB();
	$db->init(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME);

	//get settings
	require_once(BASE_PATH."content/engine/engine_functions.php");
	require_once(BASE_PATH."content/engine/engine_settings.php");
	require_once(BASE_PATH."content/engine/engine_notifications.php");
	require_once(BASE_PATH."content/engine/engine_localization.php");
	require_once(BASE_PATH."content/classes/class.ddm_view.php");
	require_once(BASE_PATH."content/engine/engine_images.php");
	require_once(BASE_PATH."content/admin/admin_init_smarty.php");
	require_once(BASE_PATH."content/classes/class.json.php");

	require_once(BASE_PATH.'content/classes/class.currencies.php');

	$currencies = new Currencies($db);