$(document).ready(function(){
	//$("#side-menu ul").sortable();

	/**
	 * Menu search
	 */
	jQuery.expr[':'].hasText = function(a, i, m){
		return jQuery(a).text().toUpperCase().indexOf(m[3].toUpperCase())>=0;
	};

	var sideMenuSearchResultsCount = 0;

	$("#side-menu .search input[type='text']").keyup(function(event){
		var keyCode = event.which;
		
		if (keyCode == 40 || keyCode == 38 || keyCode == 13)
		{
			if (sideMenuSearchResultsCount > 0)
			{
				event.stopPropagation();
				var selectedItem = $('#side-menu .menu .search-results ul li.selected');
				if (keyCode == 13)
				{
					document.location = $(selectedItem).find('a').attr('href');
				}
				else
				{
					var newSelectedItem = keyCode == 40 ? $(selectedItem).next() : $(selectedItem).prev();
					if ($(newSelectedItem).length > 0)
					{
						$(selectedItem).removeClass('selected');
						$(newSelectedItem).addClass('selected');
					}
				}
			}
		}
		else
		{
			$("#side-menu .menu .search-results").html('<ul class="level_1"></ul>');
			
			var t = $.trim($(this).val())
			
			if (t != '')
			{
				var c = 0;
				var t = t.replace('\"', '\\\"');
				$("#side-menu .menu .menu-items li:hasText('" + $(this).val() + "')").each(function(i){
					var li = $(this).clone();
					if (c < 5 && $(li).find('ul').length == 0)
					{
						$(li).attr('id', 'search-' + $(li).attr('id'));
						$(li).appendTo('#side-menu .search-results ul');
						$(li).removeClass('active');
						c++;
					}
				});

				sideMenuSearchResultsCount = c;

				if (c > 0)
				{
					$('#side-menu .menu .search-results').slideDown('fast', 'linear');
					$('#side-menu .menu .search-results ul li:first').addClass('selected');
				}
				else
				{
					$('#side-menu .menu .search-results').slideUp('fast', 'linear');
				}
			}
		}
	});
	
	/**
	 * Menu items
	 */ 
	$("#side-menu .menu ul li").each(function(i){
		var li = this;
		
		if ($(li).hasClass('target-blank'))
		{
			$(li).find('a').attr('target', '_blank');
		}
		
		$(this).click(function(e){
			e.stopPropagation();
			
			var ul = $(this).find('ul:first');
			
			if ($(ul).length > 0)
			{
				if ($(ul).is(':visible'))
				{
					$(li).addClass('animate_up');
					$(ul).slideToggle(150, 'linear', function(){
						$(li).removeClass('animate_up');
						$(li).removeClass('open');
					});
				}
				else
				{
					$(li).addClass('animate_down');
					$(ul).slideToggle(150, 'linear', function(){
						$(li).removeClass('animate_down');
						$(li).addClass('open');
					});
				}
			}
		});
	});

	/**
	 * Loader
	 */
	$(document).ready(function() {
		adminHideSpinner();
	});

	$(window).load(function() {
		adminHideSpinner();
	});

	$(window).on('unload', function(){
        adminShowSpinner('Loading data from server');
	});
});
