$(document).ready(function(){
	$('#qr-generate-media').change(function(){
		$('#qr-generate-error-check').removeAttr("disabled");
		$('#qr-generate-default-size').removeAttr("disabled");
		
		var e = $('#qr-generate-error-check').val();
		var s = $('#qr-generate-default-size').val();
		switch ($(this).val())
		{
			case "1" :e = "L";s = "4";break;
			case "2" :e = "L";s = "8";break;
			case "3" :e = "M";s = "8";break;
			case "4" :e = "M";s = "12";break;
			case "5" :e = "Q";s = "4";break;
			case "6" :e = "H";s = "4";break;
		}
		$('#qr-generate-error-check').val(e);
		$('#qr-generate-default-size').val(s);
		if ($(this).val() != "0")
		{
			$('#qr-generate-error-check').attr("disabled", "disabled");
			$('#qr-generate-default-size').attr("disabled", "disabled");
		}
	});
	$('#qr-generate-media').change();
	
	$("#qr-generate-button").click(function(){
		$("#qr-generate-button").val('Please wait...').attr('disabled', 'disabled');
		$.ajax({
			url: "admin.php?p=marketing_qr_ajax&chart=true",
			dataType: 'json',
			data: {
				action: 'generate_category_qr',
				category_id: $("form[name='frmCategory'] input[name='cid']").val(), 
				campaign_id: $("#qr-generate-campaign-id").val(),
				image_type: $("#qr-generate-image-type").val(),
				error_check: $("#qr-generate-error-check").val(),
				default_size: $("#qr-generate-default-size").val()
			},
			success: function(data){
				$("#qr-generate-button").val('Generate').removeAttr('disabled');		
				$("#dialog-qr-generated").data('path', data.path);
				$("#dialog-qr-generated").dialog('option', 'minWidth', 350);
				$("#dialog-qr-generated").dialog('option', 'width', data.width + 70);
				$("#dialog-qr-generated").dialog('option', 'height', data.height + 150);
				$("#dialog-qr-generated-image").attr("src", data.url);
				$("#dialog-qr-generated-image").attr("src", data.url);
				$("#dialog-qr-generated-link-url").html(data.link_url);
				$("#dialog-qr-generated").dialog('open');
			}
		});
	});
	
	/**
	 * Generated dialog
	 */
	$("#dialog-qr-generated").dialog({
		autoOpen: false,
		resizable: false,
		title: 'Generated QR Code',
		buttons: {
			'Download': function(){
				var src = 'admin.php?p=marketing_qr_ajax&chart=true&action=download_qr&path=' + $("#dialog-qr-generated").data('path');
				$('#iframe-download').attr('src', src);
			},
			'Close': function(){
				$("#dialog-qr-generated").dialog('close');
			}
		}
	});
})