function ConfirmDeleteProduct(pid){
	if(confirm("Do you really want to delete selected product?")){
		document.location = "admin.php?p=product_process&mode=delete&pid=" + pid;
	}
}

function ConfirmApproveProduct(pid){
	if(confirm("Do you really want to Changes product Status from Pending to Approved?")){
		var last_active_tab = $('#idActiveTabHidden').val();
		document.location = "admin.php?p=product_process&mode=approve&pid="+pid+"&last_active_tab="+last_active_tab ;
	}
}

function ConfirmPendingProduct(pid){
	if(confirm("Do you really want to Changes product Status from Approved to Pending?")){
		var last_active_tab = $('#idActiveTabHidden').val();
		document.location = "admin.php?p=product_process&mode=pending&pid="+pid+"&last_active_tab="+last_active_tab;
	}
}


function ConfirmRejectProduct(pid){
	if(confirm("Do you really want to reject selected user product?")){
		document.location = "admin.php?p=product_process&mode=reject&pid=" + pid;
	}
}


function ConfirmDeleteProductImage(pid){
	var cb_image = document.getElementById("cb_delete_image");
	var cb_thumb = document.getElementById("cb_delete_thumb");
	var cb_thumb2 = document.getElementById("cb_delete_thumb2");
	var checked_count = 0;
	var param_str = "";
	if(cb_image){
		if(cb_image.checked){
			checked_count++;
			param_str = param_str + "&delete_image=true";
		}
	}
	if(cb_thumb){
		if(cb_thumb.checked){
			checked_count++;
			param_str = param_str + "&delete_thumb=true";
		}
	}
	if(cb_thumb2){
		if(cb_thumb2.checked){
			checked_count++;
			param_str = param_str + "&delete_thumb2=true";
		}
	}
	if(checked_count > 0){
		if(confirm("Do you really want to delete selected image(s)?")){
			document.location = "admin.php?p=product_process&mode=delete_image&pid=" + pid + "&do_apply=yes&last_active_tab=idTabCat" + param_str;
		}
	}
	else{
		alert("Please select at least 1 image to delete!");
	}
}

function ConfirmDeleteSecondaryImage(pid, secondary_id){
	if(confirm("Do you really want to delete this image?")){
		document.location = "admin.php?p=product_process&mode=delete_secondary_image&pid=" + pid + "&secondary_id=" + secondary_id + "&do_apply=yes&last_active_tab=images";
	}
}

// aaded by dharmin
function ConfirmDeleteCategoryImage(pid, category_id){
	if(confirm("Do you really want to delete this image?")){
		document.location = "admin.php?p=product_process&mode=delete_category_image&pid=" + pid + "&category_id=" + category_id + "&do_apply=yes&last_active_tab=multi-photo";
	}
}

// added by mahesh k s on 11 aug 2011
function ConfirmDeletePdfFiles(pid, secondary_id){
	if(confirm("Do you really want to delete this file?")){
		document.location = "admin.php?p=product_process&mode=delete_pdffiles&pid=" + pid + "&pdf_id=" + secondary_id + "&do_apply=yes&last_active_tab=idTabImages";
	}
}


function ConfirmDeleteProductAttribute(pid, paid){
	if(confirm("Do you really want to delete selected attribute?\n\nPlease note: after deleting attributes do not forget to update inventory!")){
		document.location = "admin.php?p=product_process&mode=delete_attribute&pid=" + pid + "&paid=" + paid + "&do_apply=yes&last_active_tab=idTabAttr";
	}
}

function ConfirmDeleteProductInventoryRecord(pid, pi_id){
	if(confirm("Do you really want to delete selected inventory record?")){
		document.location = "admin.php?p=product_process&mode=delete_inv_record&pid=" + pid + "&pi_id=" + pi_id + "&do_apply=yes&last_active_tab=idTabInventory";
	}
}

function ConfirmDeleteQuantityDicount(pid, qd_id){
	if(confirm("Do you really want to delete selected quantity discount?")){
		document.location = "admin.php?p=product_process&mode=delete_discount&pid=" + pid + "&qd_id=" + qd_id + "&do_apply=yes&last_active_tab=idTabDiscounts";
	}
}
