function deleteTaxCode(codeId)
{
	var codeForm = document.forms['exactor-tax-codes'];
	if (confirm('Are you sure? This can not be undone!'))
	{
		codeForm.delete_tax_code.value = codeId;
		codeForm.action.value = 'delete_tax_code';
		codeForm.submit();
		return true;
	}

	return false;
}

function displaySelectEUCCode()
{
	$.ajax({
		type: 'GET',
		url: 'admin.php?p=exactor_euc_tree&chart=true'
	}).success(function(data){
		$('#exactor_euc_dialog_inner').html(data);
		$('#exactor_euc_dialog').dialog({
			modal: true,
			width: 670,
			height: 715,
			maxWidth: 700,
			showTitle: false,
			resizable: false,
			autoOpen: true,
			closeOnEscape: false,
			title: 'Exactor EUC Code Selector'
		});
		$('#exactor_euc_dialog .tree').treeview({collapsed: true, animated: "medium", persist: "none"});
		$('.euc_category').click(function(){
			var id = $(this).attr('id').replace('category-', '');

			$.ajax({
				type: 'GET',
				url: 'admin.php?p=exactor_euc_ajax&chart=true',
				data: {
					cid: id
				}
			}).success(function(data){
				adminHideSpinner();

				html = '<ul>';
				$(data).each(function(i, item){
					html += '<li><a href="#" onclick="selectEucCode(\''+item.euc_code+'\', \''+(item.description)+'\')">'+item.description+'</a></li>';
				});
				html += '</ul>';
				$('#euc_products').html(html);
			});
		});
	});
}

function selectEucCode(euc_code, euc_name)
{
	$('#euc_code').val(euc_code);
	$('#euc_name').val(euc_name);

	$('#exactor-euc-codes').submit();

	$('#exactor_euc_dialog').dialog('close');
	closeSelectEUCCode();
	return false;
}

function closeSelectEUCCode()
{
	$('#exactor_euc_dialog').dialog('close');
}