var menuTimeout = null;
$(document).ready(function(){
	/**
	 * On menu top button enter
	 */
	$("#divHeader .menu .button").mouseover(function(){
		clearTimeout(menuTimeout);
		var pos = $(this).position();
		$("#divHeader .menu .buttonOn").removeClass("buttonOn"); // deactivate old active top button
		$(".activePopupMenu").removeClass("activePopupMenu").hide(); // hide old active popup menu		
		// set new menu as active
		$(this).addClass("buttonOn"); // set current button to active
		$("#" + this.id + "Items").addClass("activePopupMenu").css({top:pos.top+79,left:pos.left}).show();
	});
	
	/**
	 * On button mouse out, hide menu in few seconds
	 */
	$("#divHeader .menu .button").mouseout(function(){
		menuTimeout = setTimeout('$("#divHeader .menu .buttonOn").removeClass("buttonOn");$(".activePopupMenu").removeClass("activePopupMenu").fadeOut("fast");', 2000);
	});

	/**
	 * On menu item mouse enter 
	 */
	$("#divHeader .menu .item").mouseover(function(){
		clearTimeout(menuTimeout);
	});
	
	/**
	 * On menu item mouse out - hide popup
	 */
	$("#divHeader .menu .item").mouseout(function(){
		menuTimeout = setTimeout('$("#divHeader .menu .buttonOn").removeClass("buttonOn");$(".activePopupMenu").removeClass("activePopupMenu").fadeOut("fast");', 2000);
	});

});


////////////////////////////////
//Quick links menus
function onQuickLink(item){
	item.className = item.active=="yes"?"quickLinkActiveOn":"quickLinkOn";
	window.status = "Admin Area: " + item.statustext;
}
function offQuickLink(item){
	item.className = item.active=="yes"?"quickLinkActiveOff":"quickLinkOff";
	window.status = "Admin Area";
}
function gotoQuickLinkItem(url){
	document.location = url;
}


function showHideDiv(img, divName){
	d = document.getElementById(divName);
	if(d){
		if(d.style.display == "none"){
			d.style.display = "block";
			img.src = "images/icons/ic_arrow_up.gif";
		}
		else{
			d.style.display = "none";
			img.src = "images/icons/ic_arrow_down.gif";
		}
	}
}

var activeTab;
var activeSheet;
function setActiveTab(name){
	tabHidden = document.getElementById('idActiveTabHidden');
	initTab = document.getElementById('idTab' + initTabName);
	initSheet = document.getElementById('idTabSheet' + initTabName);
	if(initTab){
		activeTab = initTab;
	}
	if(initSheet){
		activeSheet = initSheet;
	}
	tab = document.getElementById('idTab' + name);
	if(tab){
		if(activeTab){
			activeTab.className = 'tabUnactive';
		}
		tab.className = 'tabActive';
		activeTab = tab;
		if(tabHidden){
			tabHidden.value = activeTab.id;
		}
	}
	
	sheet = document.getElementById('idTabSheet' + name);
	if(sheet){
		if(activeSheet){
			activeSheet.className = 'sheetUnactive';
		}
		sheet.className = 'sheetActive';
		activeSheet = sheet;
	}
	initTabName = "";
}
