$(document).ready(function(){
    // checkall checkboxes
    $('#check_all').click(function(){
        $('input.feedback').each(function(){
            this.checked = true;
        })
        return false;
    });

    // uncheck all checkboxes
    $('#uncheck_all').click(function(){
        $('input.feedback').each(function(){
            this.checked = false;
        })
        return false;
    });

    $('#apply_changes').click(function(){
        if (!$("input.feedback:checkbox:checked").length)
        {
            alert('Please select one or more feedbacks and try again.');
            return false;
        }
    });

    // deletes feedbacks
    $('#delete_feedbacks').click(function(){
        if (!$("input.feedback:checkbox:checked").length || !confirm('Are you sure you want to delete the selected feedbacks?'))
        {
            return false;
        }
    });

    // shows rating as stars
    $('div.rating').each(function(){
        $(this).rater({
            'curvalue': this.title,
            'style': 'small',
            'disable': true
        });
    });

    // read feedbacks
    $('a.read-feedback').click(function(){
        $.getJSON($(this).attr('href'), function(data){
            $('#dialog-read-feedback .feedbacker_name').html(data.feedback_firstname + ' ' + data.feedback_lastname);
            $('#dialog-read-feedback .feedback_text').html(data.feedback);
            $('#dialog-read-feedback').dialog('option', 'title',  "Feedback");

            // shows rating as stars
            $('#dialog-read-feedback .feedback-rating').remove();
            $('<div class="feedback-rating"></div>').insertBefore('#dialog-read-feedback .feedback_text').rater({
                'curvalue': data.feedback_rating,
                'disable': true
            });

            $('#dialog-read-feedback').dialog('open');
        });
        return false;
    });

    $("#dialog-read-feedback").dialog({
        'modal'			: true,
        'resizable'     : false,
        'autoOpen'      : false,
        'draggable'     : true,
        'width'         : 600,
        'height'        : 400,
        'stack'         : false,
        'overlay'       : 0.9,
        'title'			: 'Feedback',
        'buttons':
        {
            'Close': function()
            {
                $(this).dialog('close');
            }
        }
    });
});