$(document).ready(function(){
	$("#divOptions #buttonScan").click(function(){
		$(".divStep").hide();
		$("#divScanImages .divSpacer").html('<div class="load_spinner">Please wait, getting data...</div>');
		$("#divScanImages").show();
		var generateType = $("#divOptions input[name='generateType']:checked").val();
		var generateTarget = $("#divOptions input[name='generateTarget']:checked").val();
		$.getJSON(
			'admin.php?p=thumbs_generator_json&chart=true&action=scanImages&generateType=' + generateType + '&generateTarget=' + generateTarget, 
			function(data){
				var imagesFound = data.primaryCount + data.secondaryCount;
				if (imagesFound > 0)
				{
					$("#divScanImages .divSpacer").html(
						'There are <u>' + imagesFound + '</u> images found. Please click button below to generate images.<br/><br/><br/>' +
						'<input type="button" value="Generate" id="buttonGenerate"/> ' + 
						'<input type="button" value="Back" id="buttonBack"/>'
					);
					$("#divScanImages #buttonGenerate").click(function(){
						$(".divStep").hide();
						$("#divProgress #divProgressBar").html('<div class="progress" style="width:500px;height:20px;"></div>');
						$("#divProgress #divProgressBar .progress").progressbar({value:1});
						$("#divProgress").show();
						resetTimeout(timerLogout);
						timerLogoutActive = false;
						generateImages();
					});
					$("#divScanImages #buttonBack").click(function(){
						$(".divStep").hide();
						$("#divOptions").show();
					});
				}
				else
				{
					$("#divScanImages .divSpacer").html(
						'<b>There are no images found.</b><br/><br/><br/>' +
						'<input type="button" value="Back" id="buttonBack"/>'
					);
					$("#divScanImages #buttonBack").click(function(){
						$(".divStep").hide();
						$("#divOptions").show();
					});
				}
			}
		);
	});
});

function generateImages()
{
	$.getJSON('admin.php?p=thumbs_generator_json&chart=true&action=generateThumbs', function(data){
		if (data.done)
		{
			$(".divStep").hide();
			$("#divDone").show();
		}
		else
		{
			$("#divProgress #divProgressBar .progress").progressbar('option', 'value', data.progress);
			$("#divProgress #divProgressText").html(data.progressCount + ' of ' + data.totalCount + ' images processed');
			setTimeout('generateImages()', 10);
		}
	});
	return;
}