<?

// make necessary changes to the below line ( Slider Width ) in engine_config.php
// define('SLIDER_WIDTH', '450'); //store 


class plugin_home_slider extends cartPlugin {

	var $plugin_id = "home_slider";
	var $plugin_group = "custom_plugin";
	var $plugin_caption = "Home Slider";
	var $plugin_description = "Plugin for Home Slider";

	
	function plugin_home_slider()
	{	
		$this->interface = array();
		$this->interface["title"] = $this->plugin_caption;
		$this->interface["url"] = 'admin.php?p=plugin&plugin_id='.$this->plugin_id;
		$this->interface["icon"] = "ic_plugin";
		$this->interface["group"] = "custom_plugin"; 
		return $this;	
	}
	
	function setupPlugin(&$db)
	{	 
		// used so frontend can pass db and settings
		$this->db = $db;	
	}
	
	function runPlugin(&$db, &$settings, &$request)
	{
		parent::runPlugin($db, $settings, $request);
		extract($request);
		

		
		switch ($action)
	{
	
		/**
		 * PROCESS AJAX
		 */
		case 'Activate' : 
		/**
		 * PROCESS AJAX
		 */
		case 'Deactivate' : 
							$db->query("UPDATE ".DB_PREFIX."slider_images SET status = '" . (( $action == "Activate" )? "Active" : "Inactive" ) . "' WHERE sl_id='$id' ");
							
							echo "1";
							exit();
		/**
		 * PROCESS AJAX
		 */
		case 'update_title' :
							$db->query("UPDATE ".DB_PREFIX."slider_images SET title = '$title' WHERE sl_id='$title_id' ");
							echo "1";
							exit();
		/**
		 * PROCESS AJAX
		 */
		case 'update_url' :
							$db->query("UPDATE ".DB_PREFIX."slider_images SET link = '$url' WHERE sl_id='$title_id' ");
							echo "1";
							exit();
							
		case 'delete' :
							$db->query("SELECT * FROM ".DB_PREFIX."slider_images WHERE sl_id='$id' ");
							$db->moveNext();
							@unlink("images/home_slider/" . $db->col["image_name"]);
							$db->query("DELETE FROM ".DB_PREFIX."slider_images WHERE sl_id='$id' ");
		case 'reorder' :
							for( $i=0; $i < count( $_POST["img_id"] ); $i++ ) {
							
								$db->query("UPDATE ".DB_PREFIX."slider_images SET img_order = '" . $_POST["img_order"][$i] . "' WHERE sl_id='" . $_POST["img_id"][$i] . "' ");
							}
	}
		

		pageHeader("Home Slider Manager", "", "ic_home_slider.gif");
		loadJS("../plugins/home_slider/home_slider.js");
	
		$slider_dir = "images/home_slider/";
		$images_count = 5;
	
		$step = isset($step)?$step*1:2;
		$step = in_array($step, array(1,2))?$step:2;
	
	switch ($step)
	{
		/**
		 * STEP 1: SHOW LOAD FORM
		 */
		case 1 : 
		{
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"This section will allow you to manage the home slider images.", "url"=>"", "visible"=>true),
				array("icon"=>"ic_hint.gif", "text"=>"<b>Please note: only .jpg, .png and .gif will be accepted.</b>", "url"=>"", "visible"=>true),
			));
			pageTabs(array(
				array("title"=>"Image Loader", "id"=>"Main", "active"=>true, "width"=>140),
			));
		
?>

		<form action="admin.php?p=plugin&plugin_id=home_slider" enctype="multipart/form-data" method="post">
			<input type="hidden" name="step" value="2">
			<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
				<table  cellpadding="0" cellspacing="5" border="0">
					<tr>
						<td class="formHeader" colspan="6">
							<div class="formHeaderIcon"><img src="images/icons/ic_images_loader.gif"></div>
							<div class="formHeaderText">Choose Image to Upload</div>
						</td>
					</tr>

	<?php			
			$flag = 1;
			for($i=0; $i < $images_count; $i++){
	?>
			<tr>
				<td class="" style="width: 80px;" valign=top>Image #<?=($i+1)?> :</td>
				<td class=""  style="width: 260px;">
					<input type="file" name="image[]" style="width:150px;">
				</td>
				<td  style="width: 40px;" valign=top>
					Title :
				</td>
				<td class=""  style="width: 85px;" valign=top>
					<input type="text" name="title[]" style="width:200px;">
				</td>
				<td  style="width: 50px; text-align: right;" valign=top>
					URL :
				</td>
				<td class=""  style="width: 90px;" valign=top>
					<input type="text" name="url[]" style="width:200px;">
					<?php
					if( $flag ) {
						$flag = 0;
						echo '<br /><span style="font-size: 9px; margin-left: 35px;">e.g., http://google.com</span>';
					}
					?>
				</td>
			</tr>
	<?			}?>
		</table>
	</div>
			<div class="formButtons">
				<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
				<input type="image" src="images/admin/bt_reset_form.gif" onClick="frmCategory.reset();return false;">
			</div>
		</form>

<?
			break;
		}
		/**
		 * STEP 2 : LOAD IMAGES
		 */
		case 2 : 
		{
		
			pageNote(array(
				array("icon"=>"ic_import.gif", "text"=>"Click here to upload images", "url"=>"", "visible"=>true, "url"=>"admin.php?p=plugin&plugin_id=home_slider&step=1")
			));

?>			

<div class="listHeader">
	<div class="listHeaderIcon">&nbsp;</div>
	<div class="listHeaderCaption">Images Loading Results</div>
</div>
<?			$counter = 0;
			for ($i=0; $i<$images_count; $i++)
			{
				$message = "<i>File was not uploaded.</i>";
				$dyn_name = rand(time()-36000, time());
				$flag_success = 0;
				if (!empty($_FILES["image"]["tmp_name"][$i]))
				{ 
					if (!defined("IMAGETYPE_GIF")) define("IMAGETYPE_GIF", 1);
					if (!defined("IMAGETYPE_JPG")) define("IMAGETYPE_JPG", 2);
					if (!defined("IMAGETYPE_PNG")) define("IMAGETYPE_PNG", 3);

					$imageTypes = array(IMAGETYPE_GIF, IMAGETYPE_JPG, IMAGETYPE_PNG);
					
					//check is image type correct
					$image_data = @getImageSize($_FILES["image"]["tmp_name"][$i]);
                 //   echo "<img src='images/home_slider/na3.jpg' />"; exit;
					if ($image_data && in_array($image_data[2], $imageTypes))
					{ 
						$file_data = pathinfo($_FILES["image"]["name"][$i]);
						$product_id = strtolower(trim(substr($file_data["basename"], 0, strlen($file_data["basename"]) - strlen($file_data["extension"]) - 1)));
						for ($k=0; $k<strlen($product_id); $k++)
						{
							if(in_array($product_id[$k], array("\\", "/", "*", ":", "?", "<", ">", "|", '"', "'")))$product_id[$k] = "%";
						}

						//$db->query("SELECT * FROM ".DB_PREFIX."products WHERE product_id LIKE '".$db->escape($product_id)."'");

						if (!DEMO_LOCK )
						{
							//$pid = $product["pid"];
							
							$destination = $slider_dir."/".$dyn_name.".";
							
							//remove existing image & thumbs
							/*@unlink($destination."jpg");
							@unlink($destination."png");
							@unlink($destination."gif");*/
							/*@unlink($product_thumbs_dir."/".imageFileName($product_id).".jpg");*/
							//add new fil extension
							switch ($image_data[2])
							{
								case IMAGETYPE_GIF: $destination.="gif"; $dyn_name.=".gif"; break;
								case IMAGETYPE_JPEG: $destination.="jpg"; $dyn_name.=".jpg"; break;
								case IMAGETYPE_PNG: $destination.="png"; $dyn_name.=".png"; break;
							}
							//chmod($destination,0777);
							//echo "db"; exit;
							if (@copy($_FILES["image"]["tmp_name"][$i], $destination))
							{  
								$counter++;
								$flag_success = 1;
								//in case of JPG and PNG image generate thumb
								if (!DEMO_LOCK)
								{
									if (in_array($image_data[2], array(IMAGETYPE_JPEG, IMAGETYPE_PNG)))
									{
										getImageThumb($destination, $destination, SLIDER_WIDTH, 'Proportionate', $error);
									}
								
								}
								
								$db->reset();
								$db->assignStr("image_name", $dyn_name);
								$db->assignStr("title", $_POST["title"][$i]);
								$db->assignStr("link", $_POST["url"][$i]);
								
								$cid = $db->insert(DB_PREFIX."slider_images");
				
								$message = "<b>".$_FILES["image"]["name"][$i]." - File has been successfully uploaded.</b> ";
							}
							else
							{
								$message = "<font color=red>".$_FILES["image"]["name"][$i]." - Can't copy file to the destination folder. Please check free space and permissions.</font>";
							}
						}
						else
						{
							$message = "<font color=red>".$_FILES["image"]["name"][$i]." - Can't assign image with product by Product ID.</font>";
						}
					}
					else
					{
						$message = "<font color=red>".$_FILES["image"]["name"][$i]." - Incorrect image type: ".$_FILES["image"]["type"][$i].".</font>";
					}
				}
				else
				{ 
					continue; 
				}

			} // END LOOP FOR IMAGE UPLOAD
	?>
	<form name="sort_form" id="sort_form" method="post" />
	<input type=hidden name=pg value="<?= $pg ?>" />
	<?php 		
	// IMAGE LISTING
	
	$db->query("SELECT * FROM ".DB_PREFIX."slider_images ");
	
	//calc page breaks
		$ccc = 10;
		$items_count = $db->numRows();
		$pages_count = floor($items_count / $ccc) +  ((($items_count % $ccc) > 0 )?1:0);
		$pg = isset($pg)?($pg*1):1;
		$pg = (($pg<1)||($pg>$pages_count))?1:$pg;
		$pages_line = format_pages_line(
			$pg, // current pare
			$pages_count, // total pages
			7,
			"admin.php?p=plugin&plugin_id=home_slider"
		);
		
	$db->query("
			SELECT * FROM ".DB_PREFIX."slider_images
			ORDER BY img_order ASC, sl_id DESC
			LIMIT ".(($pg-1)* $ccc).", ".$ccc
		);
	$flag = 1;
?>
<link href="content/vendors/magictoolbox/magicthumb.css" rel="stylesheet" type="text/css" media="screen" />
<link href="content/vendors/magictoolbox/MagicZoom.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="content/vendors/magictoolbox/magicthumb-packed.js"></script>

	<div class="listHeader">
		<div class="listHeaderCaption" style="width:200px;">Image</div>
		<div class="listHeaderCaption" style="width:150px;">Title</div>
		<div class="listHeaderCaption" style="width:150px;">Url</div>
		<div class="listHeaderCaption" style="width:50px;">Priority</div>
		<div class="listHeaderCaption" style="width:100px;">&nbsp;</div>
	</div>	
	
<?	while( $db->moveNext() ){	
	 
	 
	?>
	
	<div class="listItem" >
		<div class="listItemIcon" align="center" style="width:200px">
			<a class="MagicThumb" href="images/home_slider/<?= $db->col["image_name"] ?>"><img  border="0" width="200"  src="images/home_slider/<?= $db->col["image_name"] ?>" style="visibility: visible;"/></a> 
		</div>
	<div class="listItemText" style="width:150px" >
		<input type="text" value="<?= $db->col["title"] ?>" name="img_title" id="img_title_<?= $db->col["sl_id"] ?>" style="width:140px;"/> <br />
		<input type="hidden" value="<?= $db->col["sl_id"] ?>" name="title_id" /><br />
	</div>
	<div class="listItemText" style="width:150px" >	
		<input type="text" value="<?= $db->col["link"] ?>" name="img_url" id="img_url_<?= $db->col["sl_id"] ?>" style="width:140px; "/>
		<input type="hidden" value="<?= $db->col["sl_id"] ?>" name="title_id" /><br />
		<?php
		
		if( $flag ) {
			$flag = 0;
			echo '<span style="font-size: 9px; margin-left: 35px;">e.g., http://google.com</span>';
		}
		
		?>
		
		<div class="save_msg" style="float:left; color: #ff0000; display: none; ">Saved</div>		
	</div>
	
	<div class="listItemText" style="width:50px;" class="sort_values">
		<input type="hidden" value="<?= $db->col["sl_id"] ?>" name="img_id[]" />
		<input type="text" value="<?= $db->col["img_order"] ?>" name="img_order[]"  style="width:30px;"/>
	</div>
	<div class="listItemText" style="width:100px;">
		<a href="javascript:void(0);" id="<?= $db->col["sl_id"] ?>" class="img_stat <?= $db->col["status"] == "Active" ? "Deactivate" : "Activate"?>"  ><img src="images/icons/<?= $db->col["status"] == "Active" ? "ic_enabled.png" : "ic_disabled.png" ?>" style=" border: none; " /></a>&nbsp;
		<a href="?p=plugin&plugin_id=home_slider&action=delete&id=<?= $db->col["sl_id"] . ( isset($_REQUEST["pg"]) ? "&pg=" . $_REQUEST["pg"] : "" )?>"  style=" margin: 29px 0 0 0;" title="Delete" ><img src="images/icons/ic_delete.gif" style=" border: none; " alt="Delete"/></a>
	</div>
	</div>
	
	
	<?php 
	}

	if( !$flag ) {
	
	?>
	
	<div class="listItem">
	<div class="listItemIcon" style="width:100px;" align="center"></div>
	<div class="listItemText" style="width:210px;" >
				
	</div>
	<div class="listItemText" style="width:30px;">
		<input type="submit" value="Save" name="save_order" id="save_order" style="width:40px;text-align:center; "/>
		<input type="hidden" value="reorder" name="action"  />
	</div>
	<div class="listItemText" style="width:100px;"></div>
	<div class="listItemText" style="width:100px;"></div>
	</div>
	<?php } ?>
	</form>	
	
	<div class="listFooter">
		<div class="listFooterCaption" style="float:right;font-weight:normal;">
			Images found : <?=$items_count?> |
			Page(s) : <?=trim($pages_line) == ""?0:$pages_line?>
		</div>
	</div>

<?php
 
			if( $counter ) {
			
				pageNote(array(
					array("icon"=>"ic_import.gif", "text"=>"Images loaded : <b>".$counter."</b>", "url"=>"", "visible"=>true)
				));
			}
			break;
		}
	}
	}	
}	
?>
