<?php

class Payment_Google_GoogleCheckout
{
	public static function initializeButton(&$db, &$settings, $order)
	{
		// GOOGLE BUTTON in cart box and on cart page
		if ($order->totalAmount > 0)
		{	
			$db->query("SELECT * FROM ".DB_PREFIX."payment_methods WHERE id='googlecheckout' AND active='Yes'");		
			if ($db->moveNext())
			{
				@require_once("content/engine/payment/payment_googlecheckout.php");
				$payment_gateway = new PAYMENT_GOOGLECHECKOUT();
				
				$pf = $payment_gateway->getPaymentForm($db, array(), array());			
				$payment_gateway->isTestMode();
				$post_url = $payment_gateway->getPostUrl();

				view()->assign("google_checkout_active", true);
				view()->assign("google_title", $payment_gateway->name);			
				view()->assign("google_url", $post_url);
				if (!$payment_gateway->allow_checkout)
				{
					$bt_variant = "disabled";
					view()->assign("google_not_allowed", $msg["cart"]["google_button_disable"]);	
				}
				else
				{
					$bt_variant = "text";
					
				}
				if (strlen(trim($settings["googlecheckout_google_checkout_button_size"])) > 0)
				{
					$buttone_bg = $settings["googlecheckout_google_checkout_button_background"] != ""?($settings["googlecheckout_google_checkout_button_background"] == "White"?"white":"trans") : "white";
					$button_size_value = explode  ("-", $settings["googlecheckout_google_checkout_button_size"]);
					if (count($button_size_value)>1){$button_size = explode("x", trim($button_size_value[1]));}
					if (count($button_size)>1)
					{
						$google_buton_url = "https://checkout.google.com/buttons/checkout.gif?merchant_id=".$settings["googlecheckout_Merchant_ID"]."&w=".$button_size[0]."&h=".$button_size[1]."&style=".$buttone_bg."&variant=".$bt_variant."&loc=en_".$settings["googlecheckout_your_location"];
					}
					else
					{
						$google_buton_url = "https://checkout.google.com/buttons/checkout.gif?merchant_id=".$settings["googlecheckout_Merchant_ID"]."&w=160&h=43&style=white&variant=".$bt_variant."&loc=en_US";
					}		
				}
				else
				{
					$google_buton_url = "https://checkout.google.com/buttons/checkout.gif?merchant_id=".$settings["googlecheckout_Merchant_ID"]."&w=160&h=43&style=white&variant=".$bt_variant."&loc=en_US";
				}
				view()->assign("google_buton_url", $google_buton_url);					
				view()->assign("google_signature", $pf[0]);
				view()->assign("google_cart", $pf[1]);					
			}
			else
			{
				view()->assign("google_checkout_active", false);
			}
		}
		// -------------
	}
}