<?php

class file_utils
{
	protected static $instance;

	public function file_exists($filename)
	{
		return file_exists($filename);
	}

	public function getimagesize($filename)
	{
		return @getimagesize($filename);
	}

	public function unlink($filename, $context = null)
	{
		@unlink($filename, $context);
	}

	public function stripFilename($filename)
	{
		$temp = $filename;
		for ($k=0; $k<strlen($temp); $k++)
		{
			if(in_array($temp[$k], array("\\", "/", "*", ":", "?", "<", ">", "|", '"', "'")))$temp[$k] = "_";
		}
		return $temp;
	}

	public function deleteImages($filename, $directory)
	{
		$this->unlink($directory."/".$filename.".jpg");
		$this->unlink($directory."/".$filename.".png");
		$this->unlink($directory."/".$filename.".gif");
	}

	public static function getInstance()
	{
		if (!self::$instance)
		{
			self::$instance = new file_utils();
		}

		return self::$instance;
	}

	public static function setInstance($instance)
	{
		self::$instance = $instance;
	}
	
	public function is_writable($filename)
	{
		return is_writable($filename);
	}
	
	public function is_dir($dir)
	{
		return is_dir($dir);
	}
}