<?php
class ProductGroup
{
    private $_groupid;
    private $_title;
    private $_db;

    public function  __construct(&$db) {
        $this->_db = $db;
    }
    public function SetGroupId($newGroupId)
    {
        $this->_groupid = $newGroupId;
    }
    public function GetGroupId()
    {
        return $this->_groupid;
    }
    public function SetTitle($newTitle)
    {
        $this->_title = $newTitle;
    }
    public function GetTitle()
    {
        return $this->_title;
    }
    public function AddProduct($pid)
    {
        $this->_db->reset();
        $this->_db->assign("group_id", $this->_groupid);
        $this->_db->assign("pid", $pid);
        $this->_db->insert(DB_PREFIX."products_groups_products");
    }
    public function RemoveProduct($pid)
    {
        $db->query("DELETE FROM ".DB_PREFIX."products_groups_products WHERE `group_id`='".intval($this->_groupid)."' and `pid`='".intval($pid)."'");
    }
    public function Save()
    {
        $this->_db->reset();
        $this->_db->assignStr("name", $this->_title);
        if ($this->_groupid)
        {
            $this->_db->update(DB_PREFIX."products_groups", "WHERE id='".intval($this->_groupid)."'");
        } else {
            $this->_groupid = $this->_db->insert(DB_PREFIX."products_groups");
        }
    }
    public static function DeleteById(&$db, $id)
    {
        $db->query("DELETE FROM ".DB_PREFIX."products_groups WHERE `id`='".intval($id)."'");
    }
    public static function LoadAll(&$db, $order_by=null)
    {
        if (!$order_by)
        {
            $order_by = "name";
        }
        $db->query("SELECT ".DB_PREFIX."products_groups.* FROM ".DB_PREFIX."products_groups ORDER BY ".$order_by);
        $records = $db->getRecords();
        
        $returnArray = array();
        foreach ($records as $record)
        {
            $newGroup = new ProductGroup($db);
            $newGroup->SetGroupId($record["id"]);
            $newGroup->SetTitle($record["name"]);
            array_push($returnArray,$newGroup);
        }
        return $returnArray;
    }
    public static function LoadById(&$db, $id)
    {
        $db->query("SELECT ".DB_PREFIX."products_groups.* FROM ".DB_PREFIX."products_groups where `id` = $id");
        $newGroup = null;
        if ($db->numRows() > 0)
        {
            $records = $db->getRecords();
            $record = $records[0];
            $newGroup = new ProductGroup($db);
            $newGroup->SetGroupId($record["id"]);
            $newGroup->SetTitle($record["name"]);
        }
        return $newGroup;
    }
}
?>