<?php
/**
 * Add item to a cart
 */

if (!defined("ENV")) exit();

$oa_id = isset($_REQUEST["oa_id"]) ? $_REQUEST["oa_id"] : "";
$oa_quantity = isset($_REQUEST["oa_quantity"]) ? intval($_REQUEST["oa_quantity"]) : 1;
$oa_attributes = isset($_REQUEST["oa_attributes"]) ? $_REQUEST["oa_attributes"] : array();
$oa_attributes = is_array($oa_attributes) ? $oa_attributes : array();

if ($settings["VisitorMayAddItem"] == "YES" || $user->auth_ok)
{
	$order->addItem($oa_id, $oa_quantity, $oa_attributes);
	$order->checkFreeProducts();
	$order->openShipping();
	$order->checkShippingDigital();
	$order->recalcOrderData();
	if ($settings["AfterProductAddedGoTo"] == "Cart Page")
	{
		$backurl = $url_dinamic."p=cart";
	}
	else
	{
		$_SESSION['HTTP_REFERER'] = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : null;
		$backurl = getBackUrl();
	}
}
