$(document).ready(function(){
	removeEmptyZones();
	setContentWidth();
	setTimeout('setContentWidth();', 1000);
	$(window).resize(function(){
		setContentWidth();
		setTimeout('setContentWidth();', 1000);
	});

	init();
});

/**
 * Init user site
 */
function init()
{
	$("body").css("display", "block");
	
	// initialize categories tree structure
	if ($(".tree").length > 0)
	{
		$(".tree").treeview({
			collapsed: true,
			animated: "medium",
			persist: "location"
		});
	}

	//init product tabs
	if ($("body").hasClass("page-product"))
	{
		if ($(".product-page-blocks").hasClass("product-page-blocks-tabs"))
		{
			var html = '';
			var blockCounter = 0;
			$(".product-page-blocks .product-page-block").each(function(){
				//check is there header
				if ($(this).find(".product-page-block-header").length > 0)
				{
					var blockId = $(this).attr("id") != '' ? $(this).attr("id") : 'product-page-block-' + blockCounter;
					$(this).attr("id", blockId);
					var title = $(this).find(".product-page-block-header:first").html();
					html = html + '<li><a href="#' + blockId + '">' + title + '</a></li>';
				}
				blockCounter++;
			});
			$(".product-page-blocks .product-page-block .product-page-block-header").remove();
			if (html != '') $(".product-page-blocks").prepend('<ul>' + html + '</ul>').tabs();
		}
	}

	/**
	$('object').each(function(){
		$(this).prepend('<param name="wmode" value="opaque" />');
	});
	$('embed').each(function(){
		$(this).attr('wmode', 'opaque');
		alert($(this).attr('wmode'));
	});
	**/
}