var orderTotalAmount = 0.00;

//copy billing address to shipping
function opcBilling2Shipping(){
	frm = document.getElementById("frmOPCBillingAndShipping");
	frm.elements["shipping_address[name]"].value = frm.elements["billing_address[fname]"].value + " " + frm.elements["billing_address[lname]"].value;
	frm.elements["shipping_address[company]"].value = frm.elements["billing_address[company]"].value;
	frm.elements["shipping_address[address1]"].value = frm.elements["billing_address[address1]"].value;
	frm.elements["shipping_address[address2]"].value = frm.elements["billing_address[address2]"].value;
	frm.elements["shipping_address[city]"].value = frm.elements["billing_address[city]"].value;
	frm.elements["shipping_address[country]"].value = frm.elements["billing_address[country]"].value;
	setShippingState();
	frm.elements["shipping_address[state]"].value = frm.elements["billing_address[state]"].value;
	frm.elements["shipping_address[zip]"].value = frm.elements["billing_address[zip]"].value;
}

//check billing form
function opcCheckBillingForm(){
	frm = document.getElementById("frmOPCBillingAndShipping");
	if(!CheckField(frm, "billing_address[fname]", msg.first_name)) return false;
	if(!CheckField(frm, "billing_address[lname]", msg.last_name)) return false;
	if(billing_address_company == "Required" && (!CheckField(frm, "billing_address[company]", msg.company_name))) return false;
	if(!CheckField(frm, "billing_address[address1]", msg.address_line1)) return false;
	if(billing_address_line2 == "Required" && (!CheckField(frm, "billing_address[address2]", msg.address_line2))) return false;
	if(!CheckField(frm, "billing_address[city]", msg.city_name)) return false;
	
	//check is state/province select OR custom state/province
	sd = document.getElementById('div_billing_address_state');
	if(sd.style.display == "block"){
		//check province/state from select
		if(frm.elements["billing_address[state]"].value == "" || frm.elements["billing_address[state]"].value == "0"){
			alert(msg.select_province_state);
			frm.elements["billing_address[state]"].focus();
			return false;
		}
	}
	else{
		//check custom province/state
		if(!CheckField(frm, "billing_address[province]", msg.custom_province_state)) return false;
	}
	
	if(!CheckField(frm, "billing_address[zip]", msg.zip_postal_code)) return false;
	if(billing_address_phone == "Required" && (!CheckField(frm, "billing_address[phone]", msg.phone_number))) return false;
	if(!CheckField(frm, "billing_address[email]", msg.email_address)) return false;
	if(!isEmail(frm.elements["billing_address[email]"].value)){
		alert(msg.enter_valid_email);
		frm.elements["billing_address[email]"].focus();
		return false;
	}
	if(!CheckCustomFields(frm, 'billing')){
		return false;	
	}
	return true;
}

//check shipping form
function opcCheckShippingForm(){
	frm = document.getElementById("frmOPCBillingAndShipping");
	shipping_address_id = "";
	
	
	for(i=0; i<frm.elements.length; i++){
		if(frm.elements[i].name == "shipping_address_id" && frm.elements[i].type == "radio"){
			if(frm.elements[i].checked){
				shipping_address_id = frm.elements[i].value;
			}
		}
	}
	
	if(shipping_address_id != "new") return true;
	
	if(!CheckField(frm, "shipping_address[name]", msg.name)) return false;
	if(shipping_address_company == "Required" && (!CheckField(frm, "shipping_address[company]", msg.company_name))) return false;
	if(!CheckField(frm, "shipping_address[address1]", msg.address_line1)) return false;
	if(shipping_address_line2 == "Required" && (!CheckField(frm, "shipping_address[address2]", msg.address_line2))) return false;
	if(!CheckField(frm, "shipping_address[city]", msg.city_name)) return false;
	
	
	//check is state/province select OR custom state/province
	sd = document.getElementById('div_shipping_address_state');
	if(sd.style.display == "block"){
		//check province/state from select
		if(frm.elements["shipping_address[state]"].value == "" || frm.elements["shipping_address[state]"].value == "0"){
			alert(msg.select_province_state);
			frm.elements["shipping_address[state]"].focus();
			return false;
		}
	}
	else{
		//check custom province/state
		if(!CheckField(frm, "shipping_address[province]", msg.custom_province_state)) return false;
	}
	
	if(!CheckField(frm, "shipping_address[zip]", msg.zip_postal_code)) return false;
	
	if(!CheckCustomFields(frm, 'shipping')){
		return false;	
	}
	
	return true;
}

//set shipping address
function opcSetShippingAddress(){
	var frm = document.getElementById("frmOPCBillingAndShipping");
	sa = "";
	for(i=0; i<frm.elements.length; i++){
		el = frm.elements[i];
		if(el.name== "shipping_address_id" && el.type=="radio" && el.checked){
			sa = el.value;
		}
	}
	if(sa == "new"){
		$("#div_new_shipping_address").slideDown("fast");
	}
	else{
		$("#div_new_shipping_address").slideUp("fast");
	}
}

//get shipping rates
function opcGetShippingRates(){
	frm = document.getElementById("frmOPCBillingAndShipping");
	if(frm.elements["paypal_ec_used"].value == "0"){
		if(!opcCheckBillingForm()){
			return false;
		}
		if(!opcCheckShippingForm()){
			return false;
		}
	}
	billing_and_shipping_sent = 1;
	
	var div_progress = document.getElementById("div_progress");
	if(div_progress){
		div_progress.style.display = "block";
	}
	
	xajax_processAjaxAction("opc_get_shipping_rates", xajax.getFormValues("frmOPCBillingAndShipping"));
}

//set shipping method and load payment form
function opcSetShippingAndPayment(refreshPaymentForm){	
	
	//calculate amounts for immediatelly display
	var s = $("input[name='shipping_method']:checked");
	
	if($(s).length == 0)
	{
		var s = $("input[name='shipping_method'][type='hidden']");
	}
	
	var p = document.getElementById("product_level_method_id");
	
	var orderTaxAmount = (1*order_properties["taxAmount"]);
	
	if(shipping_methods_array && shipping_methods_array[s.val()] && shipping_methods_array[s.val()] !=""){
		var orderShippingMethodPrice = (s && s.val() !="") ? shipping_methods_array[s.val()] : 0.00;
	}else{
		var orderShippingMethodPrice = (1*order_properties["shippingAmount"]);
	}
	
	var orderShippingAmount = orderShippingMethodPrice;
	
	orderTotalAmount = 0.00;
	
	if((s && s.val() !="") || p || (shippingDigital || shippingIsFree)){
		if(shippingDigital || shippingIsFree){
			orderShippingAmount = 0;
		}
		else{
			if(p && p.value != s.val()){
				orderShippingAmount = orderShippingAmount + shipping_price_at_product_level;
			}
			if(order_properties["shippingTaxable"] == "1"){
				if(order_properties["handlingSeparated"] == "0"){
					orderTaxAmount = orderTaxAmount + (orderShippingAmount - 1*order_properties["handlingAmount"]) / 100 * shipping_tax_rate;
				}
				else{
					orderTaxAmount = orderTaxAmount + orderShippingAmount / 100 * shipping_tax_rate;
				}
			}
		
			//if(order_properties["handlingTaxable"] == "1"){
				//alert(handling_tax_rate);
				//orderTaxAmount = orderTaxAmount + order_properties["handlingAmount"] / 100 * handling_tax_rate;
			//}
		}
		
		//if(order_properties["handlingSeparated"] == "0"){
		//	orderShippingAmount = orderShippingAmount + (1*order_properties["handlingAmount"]);
		//}
	
		orderTotalAmount = 
			(1*order_properties["subtotalAmount"]) + 
			orderShippingAmount -
			(1*order_properties["discountAmount"]) -
			(1*order_properties["promoDiscountAmount"]) +
			(order_properties["handlingSeparated"] == "1"?(1*order_properties["handlingAmount"]):0.00) +
			orderTaxAmount;
	
		orderTotalAmount = orderTotalAmount > 0 ? orderTotalAmount : 0;	
		
		var div_shipping_amount = document.getElementById("divShippingAmount");
		if(div_shipping_amount){
			div_shipping_amount.innerHTML = getPrice(orderShippingAmount);
		}
	
		var div_tax_amount = document.getElementById("divTaxAmount");
		if(div_tax_amount){
			div_tax_amount.innerHTML = getPrice(orderTaxAmount);
		}
	
		var div_total_amount = document.getElementById("divTotalAmount");
		if(div_total_amount){
			div_total_amount.innerHTML = getPrice(orderTotalAmount);
		}
	}
	
	var div_custom_realtime_payment = document.getElementById('div_custom_realtime_payment');
	var div_free_payment = document.getElementById('div_free_payment');
	
	//check for free payment
	if(orderTotalAmount > 0){
		div_free_payment.style.display = 'none';
		div_custom_realtime_payment.style.display = 'block';
		
		
		//////////////////////////////////////////////////////////////////
		//if current payment method is IPN, need to refresh payment form
		//elso check is there method selected. If there no one selected - autoselect first available
		frm_spm = document.getElementById("frmSelectPaymentMethod");
		var payment_method_id = "";
		var first_radio = false;
		for(i=0;i<frm_spm.elements.length;i++){
			if(frm_spm.elements[i].name == "select_payment_method"){
				if(frm_spm.elements[i] && (frm_spm.elements[i].type == "hidden" || (frm_spm.elements[i].type == "radio" && frm_spm.elements[i].checked))){
					payment_method_id = frm_spm.elements[i].value;
				}
				if(frm_spm.elements[i].type == "radio" && !first_radio){
					first_radio = frm_spm.elements[i];
				}
			}
		}
		if(payment_method_id == ""){
			first_radio.checked = true;
			payment_method_id = first_radio.value;
		}
		//load form for ipn method
		if(payment_method_id != ""){
			hidden_payment_method_type = document.getElementById("payment_method_type_" + payment_method_id);
			var payment_method_type = hidden_payment_method_type.value;
			if((!shippingDigital && !shippingIsFree) && (payment_method_type == "ipn" || refreshPaymentForm)){
			
				var div_progress = document.getElementById("div_progress");
				if(div_progress){
					div_progress.style.display = "block";
				}
			
				if(s){
					xajax_processAjaxAction("opc_set_shipping_method", s.val(), "refreshPaymentMethod");
				}
				else{
					xajax_processAjaxAction("opc_set_payment_method", payment_method_id);
				}
			}
			else{
				//xajax_processAjaxAction("opc_set_payment_method", payment_method_id);
				opcSetProcessPaymentButtonStatus(1)
			}
		}
	}
	else{
		payment_method_id = 0;
		div_custom_realtime_payment.style.display = 'none';
		div_free_payment.style.display = 'block';
		xajax_processAjaxAction("opc_set_payment_method", payment_method_id);
	}
}

//set shipping method and load payment form
function opcSetPaymentMethod(){
	var frm_spm = document.getElementById("frmSelectPaymentMethod");
	var payment_method_id = "";
	var first_radio = false;
	for(i=0;i<frm_spm.elements.length;i++){
		if(frm_spm.elements[i].name == "select_payment_method"){
			if(frm_spm.elements[i] && (frm_spm.elements[i].type == "hidden" || (frm_spm.elements[i].type == "radio" && frm_spm.elements[i].checked))){
				payment_method_id = frm_spm.elements[i].value;
			}
			if(frm_spm.elements[i].type == "radio" && !first_radio){
				first_radio = frm_spm.elements[i];
			}
		}
	}
	
	if(payment_method_id == ""){
		first_radio.checked = true;
		payment_method_id = first_radio.value;
	}
	
	if(payment_method_id != ""){
		hidden_payment_method_type = document.getElementById("payment_method_type[" + payment_method_id + "]");
		var div_progress = document.getElementById("div_progress");
		if(div_progress){
			div_progress.style.display = "block";
		}
		
		//alert("Set payment method: " + payment_method_id);
		xajax_processAjaxAction("opc_set_payment_method", payment_method_id);
	}
}

function opcContinueWithOrder(){
	frm_spm = document.getElementById("frmSelectPaymentMethod");
	frm_bs = document.getElementById("frmOPCBillingAndShipping");

	if(frm_spm){
		var payment_method_id = "";
		var first_radio = false;
		for(i=0;i<frm_spm.elements.length;i++){
			if(frm_spm.elements[i].name == "select_payment_method"){
				if(frm_spm.elements[i] && (frm_spm.elements[i].type == "hidden" || (frm_spm.elements[i].type == "radio" && frm_spm.elements[i].checked))){
					payment_method_id = frm_spm.elements[i].value;
				}
				if(frm_spm.elements[i].type == "radio" && !first_radio){
					first_radio = frm_spm.elements[i];
				}
			}
		}
		if(payment_method_id == ""){
			first_radio.checked = true;
			payment_method_id = first_radio.value;
		}
		if(payment_method_id != ""){
			hidden_payment_method_type = document.getElementById("payment_method_type_" + payment_method_id);
			if(frm_bs.elements["paypal_ec_used"].value == "0"){
				if(!opcCheckBillingForm()){
					return false;
				}
				if(!opcCheckShippingForm()){
					return false;
				}
			}
			billing_and_shipping_sent = 1;
			var div_progress = document.getElementById("div_progress");
			if(div_progress){
				div_progress.style.display = "block";
			}
			xajax_processAjaxAction("opc_continue_with_order", xajax.getFormValues("frmOPCBillingAndShipping"), hidden_payment_method_type.value);
		}
	}
}

function opcSendPrepaymentInfo(){
	var opc_set_additional_info = false;
	var opc_set_shipping_method = false;
	
	var frmAdditionalInfo = document.getElementById("frmAdditionalInfo");
	if(frmAdditionalInfo){
		if(!CheckCustomFields(frmAdditionalInfo, 'invoice')){
			return false;	
		}
		else{
			opc_set_additional_info = true;
		}
	}
	
	//check is free active
	var div_free_payment = document.getElementById("div_free_payment");
	
	if(div_free_payment && div_free_payment.style.display == "block"){
		var cb_agree = document.getElementById("cb_agree_free");
	}
	else{
		var cb_agree = document.getElementById("cb_agree");
	}
	
	if(cb_agree){
		if(!cb_agree.checked){
			alert(msg.check_terms_and_conditions);
			return false;
		}
	}
	
	
	if(shippingDigital || shippingIsFree || !shippingEnabled){
		//do nothing
	}
	else{
		//alert("Point 2");
		s = $("input[name='shipping_method']:checked'");
		if(s.val() == ""){
			//alert("Point 3");
			alert(msg.select_shipping_first);
			return false;
		}
		else{
			//alert("Point 4");
			opc_set_shipping_method = true;
		}
	}
		
	//send data to server
	if(opc_set_additional_info && !opc_set_shipping_method){
		xajax_processAjaxAction("opc_set_additional_info", xajax.getFormValues("frmAdditionalInfo"));
	}
	else if(!opc_set_additional_info && opc_set_shipping_method){
		xajax_processAjaxAction("opc_set_shipping_method", s.val(), "submitPaymentForm");
	}
	else if(opc_set_additional_info && opc_set_shipping_method){
		xajax_processAjaxAction("opc_set_additional_info_and_shipping_method", xajax.getFormValues("frmAdditionalInfo"), s.val(), "submitPaymentForm");
	}
	else{
		opcSubmitPaymentForm();
	}
	
	return false;
}

function opcSetProcessPaymentButtonStatus(allow_payment){
	btn = document.getElementById("btnProcessPayment");
	btn_free = document.getElementById("btnProcessFreePayment");
	//alert(btn + " ... " + btn_free);
	btn.disabled = false;
	btn_free.disabled = false;
	
	if(billing_and_shipping_sent && allow_payment && shipping_passed){
		$('#btnProcessPayment').show();
		$('#btnProcessFreePayment').show();
		btn.disabled = false;
		btn_free.disabled = false;
	}
	else{
		$('#btnProcessPayment').hide();
		$('#btnProcessFreePayment').hide();
		btn.disabled = true;
		btn_free.disabled = true;
	}
}

function opcSubmitPaymentForm(){
	var div_free_payment = document.getElementById('div_free_payment');

	if(div_free_payment && div_free_payment.style.display == "block"){
		var frm = document.getElementById("frmFreePayment");
		frm.submit();
	}
	else{
		frm_spm = document.getElementById("frmSelectPaymentMethod");
		var payment_method_id = "";
		for(i=0;i<frm_spm.elements.length;i++){
			if(frm_spm.elements[i].name == "select_payment_method"){
				if(frm_spm.elements[i] && (frm_spm.elements[i].type == "hidden" || (frm_spm.elements[i].type == "radio" && frm_spm.elements[i].checked))){
					payment_method_id = frm_spm.elements[i].value;
				}
			}
		}
		//alert("PM ID:" + payment_method_id);		
		if(payment_method_id != ""){
			var frm = document.getElementById("frmPayment");
			if(payment_method_id == "0"){
				//alert("Submit Free");
				frm.submit();	
			}
			else{
				validator_code = document.getElementById("js_chpf").innerHTML;
				eval(validator_code);
				var code = 'var result = CheckPaymentForm' + payment_method_id + '(frm);'
				eval(code);
				if(result){
					//alert("Submit " + payment_method_id);
					frm.submit();
				}
			}
		}
	}
}