<?php 
	
// Used parts from phpmailer library
// details on http://phpmailer.codeworxtech.com/

function send_mail($email, $subject, $message, $from, $mode)
{
	
	
	global $settings;
	
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();
	
	// if it is an array, we have a name and email address
	if (is_array($from))
	{
		if (!array_key_exists('email', $from) || !array_key_exists('name', $from))
			throw new Exception('Expecting keys "name" and "email"');
		
		$from_header_name = $from['name'];
		$from_header_email = $from['email'];
		
	}
	// if it is a string, this should only be an email address, mark name as blank
	else if (trim($from) != '')
	{
		$from_header_name = '';
		$from_header_email = $from;
	}
	
	//echo $settings["EmailSendmailEngine"]; die();
	if ($settings["EmailSendmailEngine"] == "mail")
	{
		$headers = "";
		if ($mode == "html") $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		
		// these are the headers we want to send
		$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
		
		//echo "ree"; die();
		//echo $email."<br>".$subject."<br>".$message."<br>".$eol_character."<br>".$headers."-f"."<br>".$from_header_email; die();
		$mailResult = mail($email, $subject, $message.$eol_character, $headers, "-f".$from_header_email);
		//echo $mailResult; die();
		//echo "fsd".$mailResult."FDsfs";
		return $mailResult;
	}
	else
	{
		require_once("content/classes/class.phpmailer.php");
		require_once("content/classes/class.smtp.php");
		
		$mail = new PHPMailer();

		$mail->SetLanguage("en", "content/classes/");
		
		$mail->IsSMTP();
		
		$mail->SMTPSecure = $settings["EmailSMTPSecure"]; // sets the prefix to the servier
		$mail->Host = $settings["EmailSMTPServer"]; // sets GMAIL as the SMTP server
		$mail->Port = $settings["EmailSMTPPort"]; // set the SMTP port 
		
		if($settings["EmailSMTPLogin"] != "" && $settings["EmailSMTPPassword"] != ""){
			$mail->SMTPAuth = true;                  // enable SMTP authentication
			$mail->Username = $settings["EmailSMTPLogin"];  // GMAIL username
			$mail->Password = $settings["EmailSMTPPassword"];            // GMAIL password
		}

		$from = is_array($from) ? $from["email"] : $from;
		
		$mail->From = $from_header_email;
		$mail->FromName = $from_header_name;
		$mail->Subject = $subject;
		$mail->Body = $message;
		
		$mail->Encoding = "base64";
		
		//$mail->AltBody    = "This is the body when user views in plain text format"; //Text Body
		//$mail->WordWrap   = 50; // set word wrap

		$mail->AddAddress($email, $email);
		$mail->AddReplyTo($from_header_email, $from_header_name);

		if ($mode == "html") $mail->IsHTML(true); // send as HTML
		if (!$mail->Send())
		{
			return false;
		}
		else
		{
			return true;
		}
	}
}

/**
 * Send email for contact us
 * @param $contact
 */
function emailcontactUs($contact,&$db)
{
	    global $settings;
		global $msg;	
		view()->assign("company", $contact['company']);		
		view()->assign("fname", $contact['fname']);		
		view()->assign("lname", $contact['lname']);		
		view()->assign("email", $contact['email']);		
		view()->assign("phone", $contact['phone']);		
		view()->assign("address1", $contact['address1']);		
		view()->assign("address2", $contact['address2']);		
		view()->assign("city", $contact['city']);		
		view()->assign("state", $contact['state']);		
		view()->assign("zip", $contact['zip']);		
		view()->assign("country", $contact['country']);		
		view()->assign("comments", $contact['comments']);	
		$uid=0.00;
		$pid=0.00;	
		$offer_amount=0.00;
	
		if($contact['country']=='USA'){
		$sql="SELECT * FROM countries WHERE name='United States'";
		}
		else{$sql="SELECT * FROM countries WHERE name='".$contact['country']."'";}
				
	$result = mysql_query($sql);	
	if($result){
	while($row = mysql_fetch_array($result)) {	$countries=$row['coid']; }}
	if($contact['country']=='Canada')
	{
			$state_name="SELECT * FROM `states` WHERE `name`='".$contact['state']."'";

		
	}
	else
	{
		$state_name="SELECT * FROM `states` WHERE `short_name`='".$contact['state']."'";
	}

	$result = mysql_query($state_name);
	$row = mysql_fetch_array($result);
	if($row){ $states=$row['stid'];view()->assign("state", $row['name']);}else{$states=$contact['state'];view()->assign("state", $contact['state']);}
		$message_html = view()->fetch("templates/emails/contact_admin_html.html");
		$message_text = view()->fetch("templates/emails/contact_admin_html.html");
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		//send to request@pavementgroup.com
		$cont_mail = $settings["GlobalNotificationEmail"];
		//$cont_mail = 'devdyna@gmail.com';
		send_mail($cont_mail, stripslashes($settings["CompanyName"].": New contact us mail"), $message_html, "", "html");
		
		//send to admins
		/*$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE active='Yes'");
		while($db->moveNext()){
			header("Pong: ping");
			send_mail($db->col["email"], stripslashes($settings["CompanyName"].": New contact us mail"), $db->col["email_mode"]=="html"?$message_html:$message_text, "", $db->col["email_mode"]);
			//send_mail('programmer17@dynamicdreamz.com', stripslashes($settings["CompanyName"].": New contact us mail"), $db->col["email_mode"]=="html"?$message_html:$message_text, "", $db->col["email_mode"]);
			header("Pind: pong");
		}*/
		$insertTodb = mysql_query("insert into notification_reports(uid,pid,report_type,company,fname,lname,email,phone,addr1,addr2,city,country,state,zip,comments,offer_amount,insert_date) values('".$uid."','".$pid."','contactus','".$contact["company"]."','".$contact["fname"]."','".$contact["lname"]."','".$contact["email"]."','".$contact["phone"]."','".$contact["address1"]."','".$contact["address2"]."','".$contact["city"]."','".$countries."','".$states."','".$contact["zip"]."','".$contact["comments"]."','".$offer_amount."',now())");
		$xmlmessage1="<formxml><Company>".$contact['company']."</Company><FirstName>".$contact['fname']."</FirstName><LastName>".$contact["lname"]."</LastName><Email>".$contact["email"]."</Email><Phone>".$contact["phone"]."</Phone><Address1>".$contact["address1"]."</Address1><Address2>".$contact["address2"]."</Address2><City>".$contact["city"]."</City><Country>".$contact['country']."</Country><State>".$contact['state']."</State><ZipCode>".$contact["zip"]."</ZipCode><Comments><![CDATA[".$contact["comments"]."]]></Comments><LeadStatus>Customer Inquiry-Return Call/Email</LeadStatus><SalesStageCode>Inquiry</SalesStageCode><Currency>US Dollar</Currency></formxml>";
		
		$xml_sub = "WebPG Contact Us";
		$xml_headers = 'From: information@pavementgroup.com' . "\r\n" .
   						   'Reply-To: information@pavementgroup.com' . "\r\n";
		//mail("information@pavementgroup.com","WebPG Contact Us",$massage,$headers);
		mail("information@pavementgroup.com",$xml_sub,$xmlmessage1,$xml_headers);
		//mail("programmer17@dynamicdreamz.com",$xml_sub,$xmlmessage1,$xml_headers);

	
}

/**
 * Send email on new user registered
 * @param $db
 * @param $uid
 * @param $custom_fields
 */
function emailNewUserRegistered(&$db, $uid, &$customFields)
{
	global $settings;
	global $msg;
	$db->query("
		SELECT ".DB_PREFIX."users.*, ".DB_PREFIX."countries.name AS country_name
		FROM ".DB_PREFIX."users 
		LEFT JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."users.country = ".DB_PREFIX."countries.coid
		WHERE uid='".$uid."'
	");
	if ($db->moveNext())
	{
		$user_data = $db->col;
		$cf_billing = $customFields->getCustomFieldsValues("billing", $uid, 0, 0);
		$cf_account = $customFields->getCustomFieldsValues("account", $uid, 0, 0);
		$cf_signup = $customFields->getCustomFieldsValues("signup", $uid, 0, 0);

		view()->assign("user_data", $user_data);
		
		view()->assign("cf_billing", $cf_billing);
		view()->assign("cf_account", $cf_account);
		view()->assign("cf_signup", $cf_signup);		
		view()->assign("EmailTitle", "Registration Details");
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);
		
		$message_user = view()->fetch("templates/emails/signup_user_".$user_data["email_mode"].".html");
		$message_html = view()->fetch("templates/emails/signup_admin_html.html");
		$message_text = view()->fetch("templates/emails/signup_admin_text.html");
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		//send email to user
		send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_welcome"]), $message_user, "", $user_data["email_mode"]);
		
		//send to admins
		
		header("Pong: ping");
			send_mail('request@pavementgroup.com', stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_registered"]), $message_html, "", 'html');
			header("Pind: pong");
		
		$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE active='Yes' AND (rights LIKE '%users%' OR rights LIKE '%all%') AND (receive_notifications LIKE '%signup%')");
		while($db->moveNext()){
			header("Pong: ping");
			send_mail($db->col["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_registered"]), $db->col["email_mode"]=="html"?$message_html:$message_text, "", $db->col["email_mode"]);
			header("Pind: pong");
		}
	}
}

// dmp added

function emailNewUserRegistered_equ(&$db, $uid, $token)
{
	global $settings;
	global $msg;
	$db->query("
		SELECT *
		FROM ".DB_PREFIX."users 
		WHERE uid='".$uid."'
	");
	if ($db->moveNext())
	{
		$user_data = $db->col;

		view()->assign("user_data", $user_data);
		view()->assign("token", $token);
		
		view()->assign("EmailTitle", "Registration Details");
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);
		
		$message_user = view()->fetch("templates/emails/signup_user_equ_".$user_data["email_mode"].".html");
		$message_html = view()->fetch("templates/emails/signup_admin_html.html");
		$message_text = view()->fetch("templates/emails/signup_admin_text.html");
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		/*$from_header_name = stripslashes($settings["GlobalSiteName"]);
		$from_header_email = $settings["GlobalNotificationEmail"];
		
		$eol_character = getMailHeaderEolCharacter();
		
		$headers = "";
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		
		// these are the headers we want to send
		$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;*/
		
		//send email to user
		send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_welcome"]), $message_user, "", $user_data["email_mode"]);
		
		//mail('programmer17@dynamicdreamz.com', stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_welcome"]),$message_user,$headers,'');
		
		send_mail('programmer17@dynamicdreamz.com', stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_welcome"]), $message_user, "", $user_data["email_mode"]);
		
		//send to admins
		
		header("Pong: ping");
			// dmp hide send_mail('request@pavementgroup.com', stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_registered"]), $message_html, "", 'html');
			header("Pind: pong");
		
		$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE active='Yes' AND (rights LIKE '%users%' OR rights LIKE '%all%') AND (receive_notifications LIKE '%signup%')");
		while($db->moveNext()){
			header("Pong: ping");
			// dmp hide send_mail($db->col["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_registered"]), $db->col["email_mode"]=="html"?$message_html:$message_text, "", $db->col["email_mode"]);
			header("Pind: pong");
		}
	}
}

// dmp end 

function emailNewSalespersonActivated(&$db, $uid, $password,$usertype)
{
	global $settings;
	global $msg;
	$db->query("SELECT * FROM ".DB_PREFIX."users WHERE uid='".$uid."'");				
	
	if ($db->moveNext())
	{
		$user_data = $db->col;		
		view()->assign("user_data", $user_data);		
		view()->assign("EmailTitle", "New Account Details");
		view()->assign("password", $password);
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);	
		if($usertype == 100)
			view()->assign("utype", "Salespreson");
		else
			view()->assign("utype", "Management user");

		
		$message_user = view()->fetch("templates/emails/signup_salesperson_approve_html.html");
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		//send email to user
		send_mail($user_data["email"], stripslashes($settings["CompanyName"].": New account created"), $message_user, "", $user_data["email_mode"]);
	}
}

function emailNewProductApproved(&$db, $uid, $pid)
{
	global $settings;
	global $msg;
	
	$db->query("SELECT * FROM ".DB_PREFIX."users,".DB_PREFIX."products WHERE users.uid=products.user_id and products.pid='".$pid."'");				
	
	if ($db->moveNext())
	{
		
		$user_data = $db->col;		
		view()->assign("user_data", $user_data);		
		view()->assign("EmailTitle", "New Product Approved");
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);	
		
		
		$message_user = view()->fetch("templates/emails/product_approve_html.html");
		
		
		//echo $settings["GlobalHttpsUrl"];
		//echo $message_user; die();
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		$from_header_name = stripslashes($settings["GlobalSiteName"]);
		$from_header_email = $settings["GlobalNotificationEmail"];
		
		$eol_character = getMailHeaderEolCharacter();
		
		$headers = "";
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		
		// these are the headers we want to send
		$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
		
		//echo $user_data["email"]; die();
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
		@mail($user_data["email"],stripslashes($settings["CompanyName"].":Product Approval"),$message_user,$headers);	
		
		//send email to user
		//send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_product_approved"]), $message_user, "", $user_data["email_mode"]);
		
		//die("mahesh");
	}
}

function get_follow_url($url) {
    
	
	//This is the URL you want to shorten
	$longUrl = $url;
	$apiKey  = 'AIzaSyC-au_vqcST44BnxRIRCjy1eIcFwrJcSh4';
	//Get API key from : http://code.google.com/apis/console/
	 
	$postData = array('longUrl' => $longUrl, 'key' => $apiKey);
	$jsonData = json_encode($postData);
	 
	$curlObj = curl_init();
	 
	curl_setopt($curlObj, CURLOPT_URL, 'https://www.googleapis.com/urlshortener/v1/url');
	curl_setopt($curlObj, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($curlObj, CURLOPT_SSL_VERIFYPEER, 0);
	curl_setopt($curlObj, CURLOPT_HEADER, 0);
	curl_setopt($curlObj, CURLOPT_HTTPHEADER, array('Content-type:application/json'));
	curl_setopt($curlObj, CURLOPT_POST, 1);
	curl_setopt($curlObj, CURLOPT_POSTFIELDS, $jsonData);
	 
	$response = curl_exec($curlObj);
	 
	//convert reponse to a json object
	$json = json_decode($response);
	 
	curl_close($curlObj);
	
	//echo result
	if(isset($json->error)){
		//echo $json->error->message;
	}else{
		return $json->id;
	}	


}

function smsNotifyAlert(&$db, $pid, $too)
{
	$user = "mreeves";
    $password = "adQINSbTVZdXQK";
    $api_id = "3511827";
    $baseurl ="http://api.clickatell.com";
	$country_code = '1';
	
 	$db->query("SELECT * FROM ".DB_PREFIX."products WHERE pid='".$pid."' ");								
	if ($db->moveNext())
	{
		$product = $db->col;
		$product_id = $db->col["product_id"];
		$url_dmp = "www.pavementgroup.com/".$db->col["url_default"]."?a";
		$url_final = get_follow_url($url_dmp);
		$text = urlencode("Product Name : '".$product["title"]."'\nProduct Id : '".$product_id."'\nView Full Product Details : ".$url_dmp."\nCall Us: 1-518-218-7676");
		//$text = urlencode("https://www.pavementgroup.com/used-plants-eq/portable-astec-self-erecting-4-pack/");
	}
    $to = str_replace('-', '', $too);
    $to = $country_code.$to;
    //$to = "919727760773";
	//$to = "15185779975";
    //echo $to;die;
    // auth call
    $url = "$baseurl/http/auth?user=$user&password=$password&api_id=$api_id";
 
    // do auth call
    $ret = file($url);
 
    // explode our response. return string is on first line of the data returned
    $sess = explode(":",$ret[0]);
    if ($sess[0] == "OK") {
 
        $sess_id = trim($sess[1]); // remove any whitespace
        $url = "$baseurl/http/sendmsg?session_id=$sess_id&to=$to&text=$text";
 
        // do sendmsg call
        $ret = file($url);
        $send = explode(":",$ret[0]);
 
        if ($send[0] == "ID") {
            //echo "successnmessage ID: ". $send[1];
        } else {
            //echo "send message failed";
        }
    } else {
        //echo "Authentication failure: ". $ret[0];
    }
	
}


function emailNotifyAlert(&$db, $umail, $fname, $lname, $pid)
{
	global $settings;
	global $msg;
	//echo $pid;
	// added by dharmin (note: private product to not sent notify mail)
	$db->query("SELECT * FROM ".DB_PREFIX."products WHERE pid='".$pid."' AND is_private='0' AND sent_notify='0' AND is_visible='Yes' AND is_sold='No' ");								
	if ($db->moveNext())
	{
		$product = $db->col;
		$product_id = $db->col["product_id"];
		//echo $product_id; die();
		//print_r($product); die();
		view()->assign("product", $product);
		view()->assign("email", $umail);	
		view()->assign("lname", $lname);	
		view()->assign("fname", $fname);	
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);		

		if (is_file("images/products/thumbs/".strtolower($product_id).".jpg"))
		{
			view()->assign("image_url", "images/products/thumbs/".strtolower($product_id).".jpg");	
		}
		if (is_file("images/products/thumbs/".strtolower($product_id).".gif"))
		{
			view()->assign("image_url","images/products/thumbs/".strtolower($product_id).".gif");	
		}
		if (is_file("images/products/thumbs/".strtolower($product_id).".png"))
		{
			view()->assign("image_url", "images/products/thumbs/".strtolower($product_id).".png");	
		}		
		view()->assign("EmailTitle", "New Product Notification Alert");
		
	$message_user = view()->fetch("templates/emails/product_notify_alert.html");
		
		//die("mahesh");
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		//send email to user
		//echo $umail;
		//echo $message_user;
		//echo $message_user;
		
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();
	
	$headers = "";
	$headers .= "Content-type: text/html; charset=UTF-8\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
	@mail($umail,stripslashes($settings["CompanyName"].": Notification Email"),$message_user,$headers);
	//@mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"].": Notification Email"),$message_user,$headers);			
		
		
		//send_mail($umail, stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_product_approved"]), $message_user, "", 'html');
	}
}


function smsPriceDropAlert(&$db, $pid, $too, $price_diff, $old_sales_price)
{
	$user = "mreeves";
    $password = "adQINSbTVZdXQK";
    $api_id = "3511827";
    $baseurl ="http://api.clickatell.com";
    $country_code = '1';
	//echo $to;die;
 	$db->query("SELECT * FROM ".DB_PREFIX."products WHERE pid='".$pid."' ");								
	if ($db->moveNext())
	{
		$product = $db->col;
		$product_id = $db->col["product_id"];
		$url_dmp = "www.pavementgroup.com/".$db->col["url_default"]."?a";
		$url_final = get_follow_url($url_dmp);
		$text = urlencode("Product Name : '".$product["title"]."'\nItem Previous Price : '$".money_format('%i',$old_sales_price)."'\nPrice Drop : '$".money_format('%i',$price_diff)."'\nView Full Product Details : ".$url_dmp."\nCall Us: 1-518-218-7676");
		//$text = urlencode("https://www.pavementgroup.com/used-plants-eq/portable-astec-self-erecting-4-pack/");
	}
    
    //$to = "919727760773";
	//$to = "15185779975";
    $to = str_replace('-', '', $too);
    $to = $country_code.$to;
    
    // auth call
    $url = "$baseurl/http/auth?user=$user&password=$password&api_id=$api_id";
 
    // do auth call
    $ret = file($url);
 
    // explode our response. return string is on first line of the data returned
    $sess = explode(":",$ret[0]);
    if ($sess[0] == "OK") {
 
        $sess_id = trim($sess[1]); // remove any whitespace
        $url = "$baseurl/http/sendmsg?session_id=$sess_id&to=$to&text=$text";
 
        // do sendmsg call
        $ret = file($url);
        $send = explode(":",$ret[0]);
 
        if ($send[0] == "ID") {
            //echo "successnmessage ID: ". $send[1];
        } else {
            //echo "send message failed";
        }
    } else {
        //echo "Authentication failure: ". $ret[0];
    }
	
}


function emailPriceDropAlert(&$db, $price_diff, $old_sales_price, $pid)
{	
	global $settings;
	global $msg;
	
	//echo $pid;
	//die("succ");
	//echo("SELECT * FROM ".DB_PREFIX."users,".DB_PREFIX."products WHERE users.uid=products.user_id and products.pid='".$pid."'");
//die();	
//echo("SELECT DISTINCT(".DB_PREFIX."users_wishlist.uid),".DB_PREFIX."users.* FROM ".DB_PREFIX."users_wishlist,".DB_PREFIX."users_wishlist_products,".DB_PREFIX."users WHERE ".DB_PREFIX."users_wishlist.wlid = ".DB_PREFIX."users_wishlist_products.wlid AND ".DB_PREFIX."users_wishlist.uid = ".DB_PREFIX."users.uid AND ".DB_PREFIX."users_wishlist_products.pid ='".$pid."'");
	//$db->query("SELECT DISTINCT(".DB_PREFIX."users_wishlist.uid) as uid,".DB_PREFIX."users.* FROM ".DB_PREFIX."users_wishlist,".DB_PREFIX."users_wishlist_products,".DB_PREFIX."users WHERE ".DB_PREFIX."users_wishlist.wlid = ".DB_PREFIX."users_wishlist_products.wlid AND ".DB_PREFIX."users_wishlist.uid = ".DB_PREFIX."users.uid AND ".DB_PREFIX."users_wishlist_products.pid ='".$pid."'");
	
	$db->query("SELECT DISTINCT(".DB_PREFIX."users_wishlist.uid) AS uid,".DB_PREFIX."users_wishlist.*,".DB_PREFIX."users.*,".DB_PREFIX."products.title,".DB_PREFIX."products.product_id,".DB_PREFIX."products.url_default FROM ".DB_PREFIX."users_wishlist,".DB_PREFIX."users_wishlist_products,".DB_PREFIX."users,".DB_PREFIX."products WHERE ".DB_PREFIX."users_wishlist.wlid =".DB_PREFIX."users_wishlist_products.wlid AND ".DB_PREFIX."users_wishlist.uid = ".DB_PREFIX."users.uid AND ".DB_PREFIX."users_wishlist_products.pid = ".DB_PREFIX."products.pid AND ".DB_PREFIX."users_wishlist_products.pid ='".$pid."' AND ".DB_PREFIX."users_wishlist.name ='PriceDropAlert'");
	
	$sql = mysql_query("SELECT DISTINCT(".DB_PREFIX."users_wishlist.uid) AS uid,".DB_PREFIX."users_wishlist.*,".DB_PREFIX."users.*,".DB_PREFIX."products.title,".DB_PREFIX."products.product_id,".DB_PREFIX."products.url_default FROM ".DB_PREFIX."users_wishlist,".DB_PREFIX."users_wishlist_products,".DB_PREFIX."users,".DB_PREFIX."products WHERE ".DB_PREFIX."users_wishlist.wlid =".DB_PREFIX."users_wishlist_products.wlid AND ".DB_PREFIX."users_wishlist.uid = ".DB_PREFIX."users.uid AND ".DB_PREFIX."users_wishlist_products.pid = ".DB_PREFIX."products.pid AND ".DB_PREFIX."users_wishlist_products.pid ='".$pid."' AND ".DB_PREFIX."users_wishlist.name ='PriceDropAlert'");
	
	while($fetchUser=mysql_fetch_array($sql))
	{
		$user_pricedrop_sms = $fetchUser['pricedrop_sms'];
		$user_pricedrop_sms_phone = $fetchUser['pricedrop_sms_phone'];
			
		if($user_pricedrop_sms == 'Yes' && $user_pricedrop_sms_phone != '')
		{
				smsPriceDropAlert($db, $pid, $user_pricedrop_sms_phone, $price_diff, $old_sales_price);
		}
	}
	
	while ($db->moveNext())
	{
		$user_data = $db->col;		
		view()->assign("user_data", $user_data);		
		view()->assign("EmailTitle", "Price Drop Alert");
		view()->assign("pricediff", money_format('%i',$price_diff));		
		view()->assign("oldprice", money_format('%i',$old_sales_price));
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);
		
		
		
		//print_r($settings); die();
		//echo $settings["GlobalServerPath"]."/images/products/thumbs/".$user_data["product_id"];
		//echo("images/products/thumbs/".$user_data["product_id"].".jpg");
		if (is_file("images/products/thumbs/".strtolower($user_data["product_id"]).".jpg"))
		{
			view()->assign("image_url", "images/products/thumbs/".strtolower($user_data["product_id"]).".jpg");	
		}
		if (is_file("images/products/thumbs/".strtolower($user_data["product_id"]).".gif"))
		{
			view()->assign("image_url","images/products/thumbs/".strtolower($user_data["product_id"]).".gif");	
		}
		if (is_file("images/products/thumbs/".strtolower($user_data["product_id"]).".png"))
		{
			view()->assign("image_url", "images/products/thumbs/".strtolower($user_data["product_id"]).".png");	
		}
		
		$message_user = view()->fetch("templates/emails/price_drop_html.html");
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		//echo $user_data["email"];
		//send email to user
		
		$from_header_name = stripslashes($settings["GlobalSiteName"]);
		$from_header_email = $settings["GlobalNotificationEmail"];
		
		$eol_character = getMailHeaderEolCharacter();
		
		$headers = "";
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		
		// these are the headers we want to send
		$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
		
		//echo $user_data["email"]; die();
		//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
		@mail($user_data["email"],stripslashes($settings["CompanyName"]).": Price Drop Notification",$message_user,$headers);
		
		//@mail('mahesh.k@glowtouch.com',stripslashes($settings["CompanyName"]).": Price Drop Notification",$message_admin,$headers);	
		
		
		//send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_product_approved"]), $message_user, "", $user_data["email_mode"]);
	}
	
	
	
	$db->query("SELECT DISTINCT(".DB_PREFIX."users_wishlist.price_email) AS price_email,".DB_PREFIX."users_wishlist.*,".DB_PREFIX."products.title,".DB_PREFIX."products.product_id,".DB_PREFIX."products.url_default FROM ".DB_PREFIX."users_wishlist,".DB_PREFIX."users_wishlist_products,".DB_PREFIX."products WHERE
".DB_PREFIX."users_wishlist.price_email != '' AND ".DB_PREFIX."users_wishlist.uid = 0 AND ".DB_PREFIX."users_wishlist.wlid =".DB_PREFIX."users_wishlist_products.wlid AND ".DB_PREFIX."users_wishlist_products.pid = ".DB_PREFIX."products.pid AND ".DB_PREFIX."users_wishlist_products.pid ='".$pid."' AND ".DB_PREFIX."users_wishlist.name ='PriceDropAlert'");


	while ($db->moveNext())
	{
		$user_data = $db->col;		
		view()->assign("user_data", $user_data);		
		view()->assign("EmailTitle", "Price Drop Alert");
		view()->assign("pricediff", money_format('%i',$price_diff));		
		view()->assign("oldprice", money_format('%i',$old_sales_price));
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);
		//print_r($settings); die();
		//echo $settings["GlobalServerPath"]."/images/products/thumbs/".$user_data["product_id"];
		//echo("images/products/thumbs/".$user_data["product_id"].".jpg");
		if (is_file("images/products/thumbs/".strtolower($user_data["product_id"]).".jpg"))
		{
			view()->assign("image_url", "images/products/thumbs/".strtolower($user_data["product_id"]).".jpg");	
		}
		if (is_file("images/products/thumbs/".strtolower($user_data["product_id"]).".gif"))
		{
			view()->assign("image_url","images/products/thumbs/".strtolower($user_data["product_id"]).".gif");	
		}
		if (is_file("images/products/thumbs/".strtolower($user_data["product_id"]).".png"))
		{
			view()->assign("image_url", "images/products/thumbs/".strtolower($user_data["product_id"]).".png");	
		}
		
		$message_user = view()->fetch("templates/emails/price_drop_html.html");
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		//echo $user_data["email"];
		//send email to user
		
		$from_header_name = stripslashes($settings["GlobalSiteName"]);
		$from_header_email = $settings["GlobalNotificationEmail"];
		
		$eol_character = getMailHeaderEolCharacter();
		
		$headers = "";
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		
		// these are the headers we want to send
		$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
		
		//echo $user_data["email"]; die();
		//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
		@mail($user_data["price_email"],stripslashes($settings["CompanyName"]).": Price Drop Notification",$message_user,$headers);
		
		//@mail('mahesh.k@glowtouch.com',stripslashes($settings["CompanyName"]).": Price Drop Notification",$message_admin,$headers);	
		
		
		//send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_product_approved"]), $message_user, "", $user_data["email_mode"]);
	}	
}

function emailUserNewProduct(&$db, $uid, $pid)
{
	global $settings;
	global $msg;
	
	//echo $pid;
	//die("succ");
	//echo("SELECT * FROM ".DB_PREFIX."users,".DB_PREFIX."products WHERE users.uid=products.user_id and products.pid='".$pid."'");
//die();	
	
	$db->query("SELECT * FROM ".DB_PREFIX."users,".DB_PREFIX."products WHERE users.uid=products.user_id and products.pid='".$pid."'");				
	
	if ($db->moveNext())
	{
		$user_data = $db->col;		
		view()->assign("user_data", $user_data);		
		view()->assign("EmailTitle", "New Product Added");
		
		$country = getCountry($db, $user_data["owner_country"]);
		$result = mysql_query("SELECT * FROM ".DB_PREFIX."states WHERE stid='".$user_data["owner_state"]."'");
		$row = mysql_fetch_array($result);
		if($row){$state = $row["name"];}else{$state = $user_data["owner_state"];}
		
		view()->assign('state', $state);
		view()->assign('country', $country);
		
		$manufacturer_id = $db->col['manufacturer_id'];
		$manufacturer_query = mysql_query("select manufacturer_name from manufacturers where manufacturer_id='".$manufacturer_id."'");
		$fetch_manufacturer = mysql_fetch_row($manufacturer_query);
		$manufacturer_name = $fetch_manufacturer[0];
		
		
		$db->query("SELECT * FROM conditionfields,condition_products WHERE conditionfields.condition_id = condition_products.condition_id AND condition_products.pid ='".$pid."'");
		while($db->moveNext())
		{
			$condition_data[] = $db->col;
		}
		view()->assign("condition_data", $condition_data);		
		view()->assign("manufacturer_name", $manufacturer_name);		
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);
		
		
		$dmp_image = mysql_query("SELECT * FROM ".DB_PREFIX."products_images WHERE pid='".$pid."' ");
		$image_name =array();
		while($row = mysql_fetch_array($dmp_image))
		{
			$path ='';
			if (is_file("images/products/email/".strtolower($row['filename']).".jpg"))
			{
				$path="images/products/email/".strtolower($row['filename']).".jpg";
			}
			if (is_file("images/products/email/".strtolower($row['filename']).".gif"))
			{
					$path="images/products/email/".strtolower($row['filename']).".gif";
			}
			if (is_file("images/products/email/".strtolower($row['filename']).".png"))
			{
				$path="images/products/email/".strtolower($row['filename']).".png";
			}	
			if($path!='')		
			$image_name[] = $path;	
								
		}
			
		//print_r($image_name);
		view()->assign("image_name",$image_name);

		$message_admin = view()->fetch("templates/emails/product_add_html.html");
		$message_user = view()->fetch("templates/emails/product_add_user_html.html");
		
		//echo($message_user); die();
		
		
		if (!ini_get('safe_mode')) set_time_limit(300);
		
		$from_header_name = stripslashes($settings["GlobalSiteName"]);
		$from_header_email = $settings["GlobalNotificationEmail"];
		
		$eol_character = getMailHeaderEolCharacter();
		
		$headers = "";
		$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		
		// these are the headers we want to send
		$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
		
		//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
		@mail($user_data["email"],stripslashes($settings["CompanyName"]),$message_user,$headers);
		@mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"]),$message_user,$headers);
		
		@mail($settings["GlobalNotificationEmail"],stripslashes($settings["CompanyName"]),$message_admin,$headers);
		@mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"]),$message_admin,$headers);
		
		//@mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"]),$message_admin,$headers);	
		//send email to user
		//send_mail($settings["GlobalNotificationEmail"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_product_approved"]), $message_user, "", $user_data["email_mode"]);
		//send_mail('mahesh.k@glowtouch.com', stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_user_product_approved"]), $message_user, "", $user_data["email_mode"]);
	}
}

/**
 * Send password reset email
 * @param $db
 * @param $uid
 * @param $new_password
 */
function emailnotify_weekly_mnthly($user_data,$db){
	global $settings;
	global $msg;
	//echo $msg["email"]["subject_new_password"]; die();
	view()->assign("EmailTitle", "Used Equipment Inventory List");
	view()->assign("userdate", $user_data);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);
	
	$sel = mysql_query("SELECT * FROM catalog,products WHERE catalog.cid = products.cid AND catalog.parent =1 AND products.is_visible = 'Yes' AND products.product_status = 'approved' AND ((products.is_sold = 'No' ) OR (products.is_sold = 'Yes' AND products.sold_status = 'Sold')) order by catalog.name")or die(mysql_error());
	
	while($fetch=mysql_fetch_array($sel))
	{
		$img_path = ProductHasThumb($fetch["product_id"]);
		if(!$img_path)
			$img_path = ProductHasThumb2($fetch["product_id"]);
		
		$fetch['img_path'] = ProductHasThumb($fetch["product_id"]);
		$categories[] = $fetch;
	}
	view()->assign("categories", $categories);
	
	$message = view()->fetch("templates/emails/notify_monthly.html");
	//echo $message;
	
	//die();		
	if (!ini_get('safe_mode')) set_time_limit(300);
	
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();
	
	$headers = "";
	$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
	@mail($user_data["email"],stripslashes($settings["CompanyName"].": Notification"),$message,$headers);
	//@mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"].": Notification"),$message,$headers);
	//send_mail('mahesh.k@glowtouch.com', stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_password"]), $message, "", $user_data["email_mode"]);
}


function emailUserResetPassword123($user_data, $uid, $new_password){
	global $settings;
	global $msg;
	view()->assign("EmailTitle", "Your New Password");
	view()->assign("fname", $user_data["fname"]);
	view()->assign("lname", $user_data["lname"]);
	view()->assign("username", $user_data["login"]);
	view()->assign("password", $new_password);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);
	
	$message = view()->fetch("templates/emails/reset_password_admin_".$user_data["email_mode"].".html");
	//echo $message; die();
		
	if (!ini_get('safe_mode')) set_time_limit(300);
	
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();

	
	$headers = "";
	$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
	//@mail('mahesh.k@glowtouch.com',stripslashes($settings["CompanyName"].": New Password"),$message,$headers);
	@mail($user_data["email"],stripslashes($settings["CompanyName"].": New Password"),$message,$headers);
	
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_password"]), $message, "", $user_data["email_mode"]);
}


function emailUserResetPassword($user_data, $uid, $new_password, $token){
	global $settings;
	global $msg;
	view()->assign("EmailTitle", "Your New Password");
	view()->assign("fname", $user_data["fname"]);
	view()->assign("lname", $user_data["lname"]);
	view()->assign("username", $user_data["login"]);
	view()->assign("password", $new_password);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);
	view()->assign("token",$token);
	
	$message = view()->fetch("templates/emails/reset_password_html.html");
	//echo $message; die();
		
	if (!ini_get('safe_mode')) set_time_limit(300);
	
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();

	
	$headers = "";
	$headers .= "Content-type: text/html; charset=UTF-8\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
	//@mail('mahesh.k@glowtouch.com',stripslashes($settings["CompanyName"].": New Password"),$message,$headers);
	@mail($user_data["email"],stripslashes($settings["CompanyName"].": Reset Your Password"),$message,$headers);
	
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_password"]), $message, "", $user_data["email_mode"]);
}


function emailUsernameResetPassword($user_data, $uid, $token){
	global $settings;
	global $msg;
	view()->assign("EmailTitle", "Your New Password");
	view()->assign("fname", $user_data["fname"]);
	view()->assign("lname", $user_data["lname"]);
	view()->assign("username", $user_data["login"]);
	
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);
	view()->assign("token",$token);
	
	$message = view()->fetch("templates/emails/reset_username_html.html");
	//echo $message; die();
		
	if (!ini_get('safe_mode')) set_time_limit(300);
	
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();

	
	$headers = "";
	$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
	//@mail('mahesh.k@glowtouch.com',stripslashes($settings["CompanyName"].": New Password"),$message,$headers);
	@mail($user_data["email"],stripslashes($settings["CompanyName"].": Reset Your Username"),$message,$headers);
	
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_password"]), $message, "", $user_data["email_mode"]);
}


/**
 * Send out of stock email
 * @param $db
 * @param $pid
 * @param $new_stock
 * @param $inventory_id
 */
function emailOutOfStock(&$db, $pid, $new_stock, $inventory_id = 0){
	global $settings;
	global $msg;
	$db->query("SELECT * FROM ".DB_PREFIX."products WHERE pid='".$pid."'");
	if($db->moveNext()){
		$product = $db->col;
		$product_attributes_stock = false;
		if($inventory_id > 0){
			$db->query("SELECT * FROM ".DB_PREFIX."products_inventory WHERE pid='".$pid."' AND pi_id='".$inventory_id."'");
			if($db->moveNext()){
				$product_attributes_stock = $db->col;
			}
		}
		view()->assign("EmailTitle", "Product Out Of Stock: ".htmlspecialchars($product["title"].($product_attributes_stock?(" - ".str_replace("\n", ",", $product_attributes_stock["attributes_list"])):"")));
		view()->assign("product", $product);
		view()->assign("new_stock", $new_stock);
		view()->assign("product_attributes_stock", $product_attributes_stock);
		$message_html = view()->fetch("templates/emails/outofstock_admin_html.html");
		$message_text = view()->fetch("templates/emails/outofstock_admin_text.html");
		
		//send to admins
		$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE active='Yes' AND (rights LIKE '%products%' OR rights LIKE '%all%') AND (receive_notifications LIKE '%outofstock%')");
		
		header("Pong: ping");
			send_mail($settings["GlobalNotificationEmail"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_out_of_stock"]." (".gs($product["title"]).")"), $message_html, "", 'html');
			header("Pind: pong");
		while($db->moveNext()){
			header("Pong: ping");
			send_mail($db->col["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_out_of_stock"]." (".gs($product["title"]).")"), $db->col["email_mode"]=="html"?$message_html:$message_text, "", $db->col["email_mode"]);
			header("Pind: pong");
		}
	}
}

/**
 * Send order received email
 * @param $db
 * @param $order
 * @param $user
 * @param $customFields
 * @param $payment_status
 */
function emailOrderReceived(&$db, &$order, &$user, &$customFields, $payment_status)
{
	global $settings;
	global $msg;
	view()->assign("EmailTitle", "Order Details");
	view()->assign("order", $order);
	
	$user_data = $user->getUserData();
	$order_items = $order->getOrderItems();
	$shipping_address = $order->getShippingAddress();
	
	view()->assign("user_data", $user_data);
	view()->assign("billing_address", $user_data);
	view()->assign("shipping_address", $shipping_address);
	view()->assign("order_items", $order_items);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);
	
	$payment = new PAYMENT($db);
	if ($payment->isMethod($order->paymentMethodId))
	{
		$pm = $payment->methods[$order->paymentMethodId];
		view()->assign("payment_method_thankyou", $pm->message_thankyou);
		if ($order->paymentIsRealtime == "Yes")
		{
			view()->assign("payment_realtime", "yes");
			view()->assign("payment_method_name", $pm->type." (".$pm->name.")");
		}
		else
		{
			view()->assign("payment_realtime", "no");
			view()->assign("payment_method_name", $pm->name);
		}
	}
	
	$cf_billing = $customFields->getCustomFieldsValues("billing", $user->id, 0, 0);
	$cf_shipping = $customFields->getCustomFieldsValues("shipping", $user->id, $order->oid, 0);
	$cf_invoice = $customFields->getCustomFieldsValues("invoice", $user->id, $order->oid, 0);
	
	view()->assign("cf_billing", $cf_billing);
	view()->assign("cf_shipping", $cf_shipping);
	view()->assign("cf_invoice", $cf_invoice);

	view()->assign("payment_status", $payment_status);
	
	$message_user = view()->fetch("templates/emails/order_received_user_".$user->data["email_mode"].".html");
	$message_html = view()->fetch("templates/emails/order_received_admin_html.html");
	$message_text = view()->fetch("templates/emails/order_received_admin_text.html");
	
	if (!ini_get('safe_mode')) set_time_limit(300);
	
	//send email to users
	send_mail($user->data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_your_order"]." - ".$order->order_num), $message_user, "", $user->data["email_mode"]);
	
	//send to admins
	$db->query("SELECT * FROM ".DB_PREFIX."admins WHERE active='Yes' AND (rights LIKE '%orders%' OR rights LIKE '%all%') AND (receive_notifications LIKE '%invoice%')");
	
	header("Pong: ping");
		send_mail($settings["GlobalNotificationEmail"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_order"]." - ".$order->order_num), $message_html, "", 'html');
		header("Pind: pong");
		
	while ($db->moveNext())
	{
		header("Pong: ping");
		send_mail($db->col["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_new_order"]." - ".$order->order_num), $db->col["email_mode"]=="html"?$message_html:$message_text, "", $db->col["email_mode"]);
		header("Pind: pong");
	}
}

/**
 * Send order completed email
 * @param $db
 * @param $oid
 */
function emailOrderCompleted(&$db, $oid){
	global $settings;
	global $msg;
	$db->query("
		SELECT 
			".DB_PREFIX."orders.*,
			shipping_countries.name AS shipping_country_name
		FROM ".DB_PREFIX."orders 
		LEFT JOIN ".DB_PREFIX."countries AS shipping_countries ON ".DB_PREFIX."orders.shipping_country = shipping_countries.coid
		WHERE oid='".intval($oid)."'"
	);
	if($db->moveNext()){
		$order_data = $db->col;
		$db->query("SELECT * FROM ".DB_PREFIX."orders_content WHERE oid='".intval($oid)."'");
		$order_items = $db->getRecords();
		if($settings["DisplayPricesWithTax"] == "YES"){
			$order_data["subtotal_amount"] = 0;
			for($i=0; $i<count($order_items); $i++){
				if($order_items[$i]["is_taxable"] == "Yes"){
					$order_items[$i]["admin_price"] = $order_items[$i]["admin_price"] + $order_items[$i]["admin_price"] / 100 *  $order_items[$i]["tax_rate"];
				}
				$order_data["subtotal_amount"] = $order_data["subtotal_amount"] + $order_items[$i]["admin_price"] * $order_items[$i]["admin_quantity"];
			}
		}
		$db->query("
			SELECT 
				".DB_PREFIX."users.*,
				billing_countries.name AS country_name
			FROM ".DB_PREFIX."users 
			LEFT JOIN ".DB_PREFIX."countries AS billing_countries ON ".DB_PREFIX."users.country = billing_countries.coid
			WHERE uid='".intval($order_data["uid"])."'"
		);
		if($db->moveNext()){
			$user_data = $db->col;
			view()->assign("EmailTitle", "Order Completed");
			
			$order_data["shipping_tracking"] = $order_data["shipping_tracking"] != "" ? unserialize($order_data["shipping_tracking"]) : false;
			
			view()->assign("order_data", $order_data);
			view()->assign("order_items", $order_items);
			view()->assign("user_data", $user_data);
			view()->assign("base_url",$settings["GlobalHttpsUrl"]);
			
			// credit to pinnaclezone members
			require_once("content/classes/class.currencies.php");
			$currencies = new Currencies($db);
			$currencies->getCurrentCurrency();
			if (!isset($_SESSION['default_currency']))
			{
			    $_SESSION['default_currency'] = $currencies->getDefaultCurrency();
			}
			
			$message_user = view()->fetch("templates/emails/order_completed_".$user_data["email_mode"].".html");
			send_mail($user_data["email"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_order_completed"]." - ".$order_data["order_num"]), $message_user, "", $user_data["email_mode"]);
			
			send_mail($settings["GlobalNotificationEmail"], stripslashes($settings["CompanyName"].": ".$msg["email"]["subject_order_completed"]." - ".$order_data["order_num"]), $message_user, "", $user_data["email_mode"]);
			
		}
	}
	return true;
}
function emailTheOffer(&$db,$values,$products,$manufacturer){
	
	global $msg;
	global $settings;
	
	//print_r($manufacturer); die();
	$nemail = $settings["GlobalNotificationEmail"];
	
	$country = getCountry($db, $values["mao-country"]);
	$result = mysql_query("SELECT * FROM ".DB_PREFIX."states WHERE stid='".$values["mao-state"]."'");
	$row = mysql_fetch_array($result);
	if($row){$state = $row["name"];}else{$state = $values["mao-state"];}
	
	//$femail = 'mark@pavementgroup.com';
	view()->assign('fname', $values["mao-fname"]);
	view()->assign('lname', $values["mao-lname"]);
	view()->assign('company', $values["mao-company"]);
	view()->assign('addr1', $values["mao-addr1"]);
	view()->assign('addr2', $values["mao-addr2"]);
	view()->assign('city', $values["mao-city"]);
	view()->assign('state', $state);
	view()->assign('country', $country);
	view()->assign('zip', $values["mao-zip"]);
	view()->assign('phone', $values["mao-phone"]);
	view()->assign('email', $values["mao-email"]);
	view()->assign('description', $values["mao-description"]);
	//view()->assign('offeramount', money_format('%i',$values["mao-offeramount"]));
	
	view()->assign('offeramount', str_replace(",", "", $values["mao-offeramount"]));
	
	view()->assign('product', $products);
	view()->assign('manufacturer', $manufacturer);		
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);	

	$product_id = $products["product_id"];
	$product_name = $products["title"];	

	if (is_file("images/products/email/".strtolower($product_id).".jpg"))
	{
		view()->assign("image_url", "images/products/email/".strtolower($product_id).".jpg");	
	}
	if (is_file("images/products/email/".strtolower($product_id).".gif"))
	{
		view()->assign("image_url","images/products/email/".strtolower($product_id).".gif");	
	}
	if (is_file("images/products/email/".strtolower($product_id).".png"))
	{
		view()->assign("image_url", "images/products/email/".strtolower($product_id).".png");	
	}
	if( !ini_get('safe_mode') )
		set_time_limit(300);
		
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();

	
	$headers = "";
	$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
		
	//send HTML email
	$message_html = view()->fetch("templates/emails/to_offer_html.html");
	$message_admin_html = view()->fetch("templates/emails/to_offer_admin_html.html");
	//$mail = mail($femail,"this is a test",'test');

	//send_mail($femail, sprintf($msg["email"]["subject_to_offer"], $fname, $lname), $message_html, array('name'=>stripslashes($fname),'email'=>$yemail), "html");
	
	//////////////@mail($values["mao-email"],stripslashes($settings["CompanyName"].": Make An Offer"),$message_html,$headers);
	//@mail($values["mao-email"],stripslashes($settings["CompanyName"].": Make An Offer, ".$product_id.", ".$product_name.""),$message_html,$headers);
	// dmp hide @mail('john.lennon963@gmail.com',stripslashes($settings["CompanyName"].": Make An Offer, ".$product_id.", ".$product_name.""),$message_admin_html,$headers);
	//////////////@mail($nemail,stripslashes($settings["CompanyName"].": Make An Offer, ".$product_id.", ".$product_name.""),$message_admin_html,$headers);
	// dmp hide @mail('latha.p@glowtouch.com',stripslashes($settings["CompanyName"].": Make An Offer, ".$product_id.", ".$product_name.""),$message_admin_html,$headers);
	//@mail("mahesh.k@glowtouch.com","Webform: Make An Offer",$message_admin_html,$headers);programmer17@dynamicdreamz.com
	//@mail("programmer17@dynamicdreamz.com",stripslashes($settings["CompanyName"].": Make An Offer, ".$product_id.", ".$product_name.""),$message_admin_html,$headers);
	
	@mail($nemail,stripslashes($settings["CompanyName"].": Make An Offer, ".$product_id.", ".$product_name.""),$message_admin_html,$headers);
	@mail($values["mao-email"],stripslashes($settings["CompanyName"].": Make An Offer, ".$product_id.", ".$product_name.""),$message_html,$headers);

	
}

function emailvisitorsellEquipment(&$db,$values,$id){
	
	global $msg;
	global $settings;
	
	//print_r($manufacturer); die();
	//$femail = 'mahesh.k@glowtouch.com, ';
	
	//$country = getCountry($db, $values["country"]);
	//$state = getState($db, $stid);

	//$femail = 'mark@pavementgroup.com';
	$femail = $settings["GlobalNotificationEmail"];
	view()->assign('fname', $values["fname"]);
	view()->assign('lname', $values["lname"]);
	view()->assign('company', $values["company"]);
	view()->assign('price', $values["price"]);
	view()->assign('addr1', $values["addr1"]);
	view()->assign('addr2', $values["addr2"]);
	view()->assign('city', $values["city"]);
	view()->assign('state', $values["_OfficeState93262"]);
	view()->assign('country', $values["_OfficeCountry93259"]);
	view()->assign('zip', $values["zip"]);
	view()->assign('phone', $values["phone"]);
	view()->assign('email', $values["email"]);
	view()->assign('description', $values["description"]);
	view()->assign('visitor_id', $id);		
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);	
	//view()->assign("pavementgroup",$settings["CompanyName"]);	

	
	if( !ini_get('safe_mode') )
		set_time_limit(300);
		
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();

	
	$headers = "";
	$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
		
	//send HTML email
	$message_html = view()->fetch("templates/emails/visitor_equipment_html.html");
	$message_admin_html = view()->fetch("templates/emails/visitor_equipment_admin_html.html");
	//$mail = mail($femail,"this is a test",'test');

	//send_mail($femail, sprintf($msg["email"]["subject_to_offer"], $fname, $lname), $message_html, array('name'=>stripslashes($fname),'email'=>$yemail), "html");
	
	 @mail($values["email"],stripslashes($settings["CompanyName"]),$message_html,$headers);
	//@mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"]),$message_html,$headers);
	
	 @mail($femail,stripslashes($settings["CompanyName"]),$message_admin_html,$headers);
	 @mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"]),$message_admin_html,$headers);
	
	
}

function emailTheRequestQuote($company, $full_name, $street, $state, $zip, $country, $email, $phone, $description, $other, $call_me){
	
	global $msg;
	global $settings;
	$femail = $email;
	
	
	//$femail = 'mark@pavementgroup.com';
	view()->assign("company", $company);
	view()->assign("full_name", $full_name);
	view()->assign("street", $street);
	view()->assign("state", $state);
	view()->assign("zip", $zip);
	view()->assign("country", $country);
	view()->assign("email", $email);
	view()->assign("phone", $phone);
	view()->assign("description", $description);
	view()->assign("other", $other);
	view()->assign("call_me", $call_me);
	
	if( !ini_get('safe_mode') )
		set_time_limit(300);
	//send HTML email
	$message_html = view()->fetch("templates/emails/to_quote_html.html");

	//$mail = mail($femail,"this is a test",'test');
	

	send_mail($femail, sprintf($msg["email"]["subject_to_offer"], $full_name), $message_html, array('name'=>stripslashes($full_name),'email'=>$email), "html");
	send_mail($settings["GlobalNotificationEmail"], sprintf($msg["email"]["subject_to_offer"], $full_name), $message_html, array('name'=>stripslashes($full_name),'email'=>$email), "html");
	
	send_mail('programmer17@dynamicdreamz.com', sprintf($msg["email"]["subject_to_offer"], $full_name), $message_html, array('name'=>stripslashes($full_name),'email'=>$email), "html");
	
}
/**
 * Send email to a friend
 * @param $db
 * @param $yname
 * @param $yemail
 * @param $fname
 * @param $femail
 * @param $pid
 * @param $msg
 * @param $send_copy
 */
 function emailToFriend(&$db, $yname, $yemail, $fname, $femail, $pid, $msg1, $send_copy){
	global $settings;
	global $msg;
	global $order;
	//echo $settings["CatalogEmailToFriend"]; exit();
	if($settings["CatalogEmailToFriend"] == "Disabled"){
		return false;
	}
	
	require_once("content/classes/class.products.php");
	$_products = new ShoppingCartProducts($db, $settings);
	$_products->taxRates = $order->taxRates;
	$_product = $_products->getProductById($pid, 0);

	view()->assign("EmailTitle", $msg['email']['title_to_friend']);
	view()->assign("product", $_product);
	view()->assign("user_name", $yname);
	view()->assign("user_email", $yemail);
	view()->assign("friend_name", $fname);
	view()->assign("mail_body", $msg1);
	view()->assign("friend_email", $femail);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);	
	
	$product_id = $_product["product_id"];	

	if (is_file("images/products/thumbs/".strtolower($product_id).".jpg"))
	{
		view()->assign("image_url", "images/products/thumbs/".strtolower($product_id).".jpg");	
	}
	if (is_file("images/products/thumbs/".strtolower($product_id).".gif"))
	{
		view()->assign("image_url","images/products/thumbs/".strtolower($product_id).".gif");	
	}
	if (is_file("images/products/thumbs/".strtolower($product_id).".png"))
	{
		view()->assign("image_url", "images/products/thumbs/".strtolower($product_id).".png");	
	}
		
	if( !ini_get('safe_mode') )
		set_time_limit(300);
		
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();

	
	$headers = "";
	$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
	
	
	if($settings["CatalogEmailToFriend"] == "HTML"){
		//send HTML email
		$message_html = view()->fetch("templates/emails/to_friend_html.html");
		
		@mail($femail,stripslashes($settings["CompanyName"].": Email A Friend"),$message_html,$headers);
		
		if($send_copy == true)
			@mail($yemail,stripslashes($settings["CompanyName"].": Email A Friend - Copy"),$message_html,$headers);
		//send_mail($femail, sprintf($msg["email"]["subject_to_friend"], $fname, $yname), $message_html, array('name'=>stripslashes($yname),'email'=>$yemail), "html");
	}
	if($settings["CatalogEmailToFriend"] == "Text"){
		//send TEXT email
		$message_text = view()->fetch("templates/emails/to_friend_text.html");
		
		@mail($femail,stripslashes($settings["CompanyName"]).": Email A Friend",$message_text,$headers);
		//send_mail($femail, sprintf($msg["email"]["subject_to_friend"], $fname, $yname), $message_text, array('name'=>stripslashes($yname),'email'=>$yemail), "text");
	}
}


function emailPDFs(&$db, $values){
	global $settings;
	global $msg;
	global $order;
	//echo $settings["CatalogEmailToFriend"]; exit();
	if($settings["CatalogEmailToFriend"] == "Disabled"){
		return false;
	}
	
	/*require_once("content/classes/class.products.php");
	$_products = new ShoppingCartProducts($db, $settings);
	$_products->taxRates = $order->taxRates;
	$_product = $_products->getProductById($pid, 0);*/

	/*view()->assign("EmailTitle", $msg['email']['title_to_friend']);
	view()->assign("product", $_product);
	view()->assign("user_name", $yname);
	view()->assign("user_email", $yemail);*/
	//view()->assign("subject", $values[""]);
	//view()->assign("subject", $values[""]);
	//view()->assign("subject", $values["epdfmsg"]);
	view()->assign("mail_body", $values["epdfmsg"]);
	//view()->assign("friend_email", $femail);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);	
		
	if( !ini_get('safe_mode') )
		set_time_limit(300);
		
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();
//    ----  code section for muti attachment   by mahesh.k.s ----//
	$semi_rand = md5(time()); 
	$mime_boundary = "==Multipart_Boundary_x{$semi_rand}x"; 
	 
	// headers for attachment 
	$headers = "";
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;
	
	$headers .= "MIME-Version: 1.0\n" . "Content-Type: multipart/mixed;\n" . " boundary=\"{$mime_boundary}\""; 

	//$headers .= "Content-type: multipart/mixed; charset=iso-8859-1\r\n";
	
	
	//send_mail($user_data["email"], stripslashes($settings["CompanyName"]),$message,"", 'html');
	
	
		//send HTML email
	$message_html = view()->fetch("templates/emails/email_pdf_html.html");	
	
	$message_html = "This is a multi-part message in MIME format.\n\n" . "--{$mime_boundary}\n" . "Content-Type: text/html; charset=\"iso-8859-1\"\n" . "Content-Transfer-Encoding: 7bit\n\n" . $message_html . "\n\n"; 
	$message_html .= "--{$mime_boundary}\n";
	
	$files = explode(",",$values["pdfpath"]);
	//print_r($files); die();
// preparing attachments
	for($x=0;$x<count($files);$x++)
	{
		$file = fopen($files[$x],"rb");
		$data = fread($file,filesize($files[$x]));
		fclose($file);
		$data = chunk_split(base64_encode($data));
		$message_html .= "Content-Type: {\"application/octet-stream\"};\n" . " name=\"$files[$x]\"\n" ."Content-Disposition: attachment;\n" . " filename=\"$files[$x]\"\n" . "Content-Transfer-Encoding: base64\n\n" . $data . "\n\n";
		$message_html .= "--{$mime_boundary}\n";
	}
	
// ----------------   ends   ---------------  //	
	$pdfemails = explode(",",$values["epdfemail"]);
	foreach($pdfemails as $epmails)
	{
		//@mail('mahesh.k@glowtouch.com',stripslashes($settings["CompanyName"].":".$values["epdfsubject"]),$message_html,$headers);
		@mail($epmails,stripslashes($settings["CompanyName"].":".$values["epdfsubject"]),$message_html,$headers);
		//send_mail($femail, sprintf($msg["email"]["subject_to_friend"], $fname, $yname), $message_html, array('name'=>stripslashes($yname),'email'=>$yemail), "html");
	}
}





/**
 * Send email more info
 * @param $db
 * @param $yname
 * @param $yemail
 * @param $fname
 * @param $femail
 * @param $pid
 * @param $msg
 */
function emailToMoreInfo(&$db, $values, $pid){
	global $msg;
	global $order;
	global $settings;
	require_once("content/classes/class.products.php");
	$_products = new ShoppingCartProducts($db, $settings);
	$_products->taxRates = $order->taxRates;
	$_product = $_products->getProductById($pid, 0);
	//$femail = $settings["GlobalNotificationEmail"];
	// dmp hide $femail = 'gayathri.b@glowtouch.com,mahesh.k@glowtouch.com';//gayathri.b@glowtouch.com,
	//$femail = 'mahesh.k@glowtouch.com';//gayathri.b@glowtouch.com,
	
	$country = getCountry($db, $values["country"]);
	/*$state = getState($db, $values["state"]);*/
	$result = mysql_query("SELECT * FROM ".DB_PREFIX."states WHERE stid='".$values["state"]."'");
	$row = mysql_fetch_array($result);
	if($row){$state = $row["name"];}else{$state = $values["state"];}	
	
	//$femail .= 'harikrishnan.a@glowtouch.com';
	//$femail = 'mark@pavementgroup.com';  updated by latha 31-Jan-2013
	$femail = $settings["GlobalNotificationEmail"];
	view()->assign("EmailTitle", $msg['email']['title_to_more_info']);	
	view()->assign('fname', $values["rmi-fname"]);
	view()->assign('lname', $values["rmi-lname"]);
	view()->assign('company', $values["rmi-company"]);
	view()->assign('addr1', $values["rmi-addr1"]);
	view()->assign('addr2', $values["rmi-addr2"]);
	view()->assign('city', $values["rmi-city"]);
	view()->assign('state', $state);
	view()->assign('country', $country);
	view()->assign('zip', $values["rmi-zip"]);
	view()->assign('phone', $values["rmi-yphone"]);
	view()->assign('email', $values["rmi-yemail"]);
	view()->assign('description', $values["rmi-ycomments"]);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);	
	
	view()->assign("product",$_product);	
	
	$product_id = $_product["product_id"];
	$product_name = $_product["title"];		

	if (is_file("images/products/email/".strtolower($product_id).".jpg"))
	{
		view()->assign("image_url", "images/products/email/".strtolower($product_id).".jpg");	
	}
	if (is_file("images/products/email/".strtolower($product_id).".gif"))
	{
		view()->assign("image_url","images/products/email/".strtolower($product_id).".gif");	
	}
	if (is_file("images/products/email/".strtolower($product_id).".png"))
	{
		view()->assign("image_url", "images/products/email/".strtolower($product_id).".png");	
	}

		
	if( !ini_get('safe_mode') )
		set_time_limit(300);
		
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = $settings["GlobalNotificationEmail"];
	
	$eol_character = getMailHeaderEolCharacter();

	
	$headers = "";
	$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	
	// these are the headers we want to send
	$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
	$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;	//send HTML email
	$message_html = view()->fetch("templates/emails/to_moreinfo_html.html");
	$message_admin_html = view()->fetch("templates/emails/to_moreinfo_admin_html.html");
	
	///////////// @mail($femail,stripslashes($settings["CompanyName"]).":".$msg["email"]["subject_to_more_info"].", ".$product_id.", ".$product_name."",$message_admin_html,$headers);
	// dmp hide @mail('john.lennon963@gmail.com',stripslashes($settings["CompanyName"]).":".$msg["email"]["subject_to_more_info"].", ".$product_id.", ".$product_name."",$message_admin_html,$headers);
	////////////// @mail($values["rmi-yemail"],stripslashes($settings["CompanyName"]).":".$msg["email"]["subject_to_more_info"],$message_html,$headers);
	//@mail('programmer17@dynamicdreamz.com',stripslashes($settings["CompanyName"]).":".$msg["email"]["subject_to_more_info"].", ".$product_id.", ".$product_name."",$message_html,$headers);
	
	//send_mail($femail, stripslashes($settings["CompanyName"]).":".$msg["email"]["subject_to_more_info"], $message_html, array('name'=>stripslas     hes($yname),'email'=>$yemail), "html");
	
	@mail($values["rmi-yemail"],stripslashes($settings["CompanyName"]).": Request More Info,".$product_id.", ".$product_name."",$message_html,$headers);
	@mail($femail,stripslashes($settings["CompanyName"]).": Request More Info,".$product_id.", ".$product_name."",$message_admin_html,$headers);
	
}

/**
 * Email wishlist 
 * @param $db
 * @param $mail_subject
 * @param $your_email
 * @param $uid
 * @param $wishlist
 */
function emailWishlist(&$db, $mail_subject, $your_email, $uid, $wishlist)
{
	global $settings;
		
	$db->query("
		SELECT fname, lname, email_mode				
		FROM ".DB_PREFIX."users 			
		WHERE uid='".intval($uid)."'
	");
	
	if ($user = $db->moveNext())
	{
		view()->assign("fname", $user["fname"]);
		view()->assign("lname", $user["lname"]);
		view()->assign("EmailTitle", $mail_subject);
		view()->assign("wishlist", $wishlist);
		view()->assign("GlobalHttpUrl", $settings["GlobalHttpUrl"]);
		
		//assign smarty vars
		view()->assign("products", $wishlist);
		view()->assign("products_file", strtolower("catalog_thumb1.html"));
		view()->assign("base_url",$settings["GlobalHttpsUrl"]);
		
		if (!ini_get('safe_mode')) set_time_limit(300);
	
		if ($user["email_mode"] == "html")
		{
			//send HTML email
			$message_html = view()->fetch("templates/emails/wishlist_html.html"); 
			send_mail($your_email, sprintf($mail_subject, $user["fname"], $user["lname"]), $message_html, "", "html");
		}
	
		if ($user["email_mode"]  == "text")
		{
			//send TEXT email
			$message_text = view()->fetch("templates/emails/email_wishlist_text.html");
			send_mail($your_email, sprintf($mail_subject, $user["fname"], $user["lname"]), $message_text, "", "text");
		}
	}
}

/**
 * Email to customer?
 * @param $db
 * @param $oid
 * @param $order_num
 * @param $emailid
 * @param $message_html
 * @param $sub
 */
function emailToCustomer(&$db, $oid, $order_num, $emailid, $message_html, $sub){
	global $settings;
	
	if( !ini_get('safe_mode') )
		set_time_limit(300);
	
	//send HTML email
	$message_html = "Order Id: ".$order_num."<br /><br /><br />".$message_html."<br /><br /><br />".
	send_mail($emailid, sprintf($sub), $message_html, "", "html");	
}

/**
 * EMail notification of drop ship products
 * @param $db
 * @param $oid
 */
function emailProductsLocationsNotify(&$db, $orderId)
{
	global $settings;
	global $msg;
	
	//get order data
	$order = $db->selectOne("
		SELECT 
			orders.*,
			countries.name AS shipping_country_name,
			states.name AS shipping_state_name
		FROM ".DB_PREFIX."orders AS orders
		LEFT JOIN ".DB_PREFIX."countries AS countries ON orders.shipping_country = countries.coid
		LEFT JOIN ".DB_PREFIX."states AS states ON orders.shipping_state = states.stid
		WHERE orders.oid='".intval($orderId)."'
	");
	
	//get order content and locations
	$items = $db->selectAll("
		SELECT 
			orders_content.title,
			orders_content.product_id,
			orders_content.product_sub_id,
			orders_content.product_upc,
			orders_content.admin_quantity,
			orders_content.options,
			products_locations.* 
		FROM ".DB_PREFIX."orders_content AS orders_content
		INNER JOIN ".DB_PREFIX."products_locations AS products_locations
			ON products_locations.products_location_id = orders_content.products_location_id
		LEFT JOIN ".DB_PREFIX."countries AS countries ON products_locations.country = countries.coid
		LEFT JOIN ".DB_PREFIX."states AS states ON products_locations.state = states.stid
		WHERE 
			orders_content.oid='".intval($orderId)."'
		ORDER BY 
			products_locations.products_location_id, 
			orders_content.title
		
	");
	
	$locations = array();
	$locationsItems = array();
	
	foreach ($items as $item)
	{
		$locations[$item["products_location_id"]] = $item;
		
		if (array_key_exists($item["products_location_id"], $locationsItems))
		{
			$locationsItems[$item["products_location_id"]][] = $item;
		}
		else
		{
			$locationsItems[$item["products_location_id"]] = array($item);
		}
	}
	
	view()->assign("order", $order);
	foreach ($locations as $location)
	{
		view()->assign("location", $location);
		view()->assign("items", $locationsItems[$location["products_location_id"]]);
		$emailHtml = view()->fetch("templates/emails/products_location_notification_html.html");
		$emailText = view()->fetch("templates/emails/products_location_notification_text.html");
		send_mail($location["notify_email"], "New shipment notification from ".$settings["GlobalSiteName"], $emailHtml, "", "html");
		send_mail($location["notify_email"], "New shipment notification from ".$settings["GlobalSiteName"], $emailText, "", "text");
	}
}

/**
 * Send order received email
 * @param $db
 * @param $order
 * @param $user
 */
function emailCartAbandoned($db, $orderRow, $orderItemRows, $userRow, $wrappingContent, $subject)
{
	global $settings;
	global $msg;
        
	view()->assign("user_data", $userRow);
	view()->assign("order_items", $orderItemRows);
	view()->assign("base_url",$settings["GlobalHttpsUrl"]);

	if ($userRow["email_mode"]=="html")
	{
		$itemsInCartContent = view()->fetch("templates/emails/drift_email_abandoned_cart_contents_html.html");
	}
	else 
	{
		$itemsInCartContent = view()->fetch("templates/emails/drift_email_abandoned_cart_contents_text.html");
	}
	$message = $wrappingContent;
	$message = str_replace("{\$ItemsInCart}", $itemsInCartContent, $message);
	$message = str_replace("{\$CartLink}", $settings["GlobalHttpUrl"] . "/?oa=RestoreCart&id=".$orderRow["security_id"], $message);
	$mailResults = send_mail($userRow["email"], $subject, $message, "", $userRow["email_mode"]);
}

function send_cron_mail($subject, $message, $from, $mode)
{
	global $settings;
	
	$from_header_name = stripslashes($settings["GlobalSiteName"]);
	$from_header_email = 'no-reply@pavementgroup.com';
	
	$eol_character = getMailHeaderEolCharacter();
	$email = $settings["GlobalNotificationEmail"];
	//$email = $settings["GlobalNotificationEmail"];
	// if it is an array, we have a name and email address
	if (is_array($from))
	{
		if (!array_key_exists('email', $from) || !array_key_exists('name', $from))
			throw new Exception('Expecting keys "name" and "email"');
		
		$from_header_name = $from['name'];
		$from_header_email = $from['email'];
		
	}
	// if it is a string, this should only be an email address, mark name as blank
	else if (trim($from) != '')
	{
		$from_header_name = '';
		$from_header_email = $from;
	}
	
	
	if ($settings["EmailSendmailEngine"] == "mail")
	{
		$headers = "";
		if ($mode == "html") $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
		
		// these are the headers we want to send
		$headers .= "From: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Reply-To: \"".$from_header_name."\"<".$from_header_email.">".$eol_character;
		$headers .= "Return-Path: ".$settings["GlobalNotificationEmail"].$eol_character;

		$mailResult = @mail($email, $subject, $message.$eol_character, $headers, "-f".$from_header_email);
		
		return $mailResult;
	}
	else
	{
		require_once("content/classes/class.phpmailer.php");
		require_once("content/classes/class.smtp.php");
		
		$mail = new PHPMailer();

		$mail->SetLanguage("en", "content/classes/");
		
		$mail->IsSMTP();
		
		$mail->SMTPSecure = $settings["EmailSMTPSecure"]; // sets the prefix to the servier
		$mail->Host = $settings["EmailSMTPServer"]; // sets GMAIL as the SMTP server
		$mail->Port = $settings["EmailSMTPPort"]; // set the SMTP port 
		
		if($settings["EmailSMTPLogin"] != "" && $settings["EmailSMTPPassword"] != ""){
			$mail->SMTPAuth = true;                  // enable SMTP authentication
			$mail->Username = $settings["EmailSMTPLogin"];  // GMAIL username
			$mail->Password = $settings["EmailSMTPPassword"];            // GMAIL password
		}

		$from = is_array($from) ? $from["email"] : $from;
		
		$mail->From = $from_header_email;
		$mail->FromName = $from_header_name;
		$mail->Subject = $subject;
		$mail->Body = $message;
		
		$mail->Encoding = "base64";
		
		//$mail->AltBody    = "This is the body when user views in plain text format"; //Text Body
		//$mail->WordWrap   = 50; // set word wrap

		$mail->AddAddress($email, $email);
		$mail->AddReplyTo($from_header_email, $from_header_name);

		if ($mode == "html") $mail->IsHTML(true); // send as HTML

		if (!$mail->Send())
		{
			return false;
		}
		else
		{
			return true;
		}
	}
}
