<?php 
	if (!defined("DESIGN_MODE")) define("DESIGN_MODE", false);

	/**
	 * Get product page URL
	 * @param $url
	 * @param $pid
	 * @param $parent
	 * @param $force_http
	 */
	function  getProductUrl($url, $pid, $parent, $force_http = false)
	{
		global $settings;
		return (DESIGN_MODE && !$force_http ? $settings["GlobalHttpsUrl"] : $settings["GlobalHttpUrl"])."/".$settings["INDEX"]."?p=product&amp;id=".$pid;//."&amp;parent=".$parent;
	}
	
	/**
	 * Get catalog page URL
	 * @param $url
	 * @param $cid
	 * @param $page
	 * @param $force_http
	 */
	function getCatalogUrl($url, $cid, $page = false, $force_http = false)
	{
		global $settings;
		return (DESIGN_MODE && !$force_http ? $settings["GlobalHttpsUrl"] : $settings["GlobalHttpUrl"])."/".$settings["INDEX"]."?p=catalog&amp;".(in_array($cid, array("hot", "new", "search"))?("mode=".$cid):("parent=".$cid))."&amp;pg=".($page ? $page : 1);
	}
	
	/**
	 * Get test page URL
	 * @param $page_id
	 * @param $url
	 * @param $force_http
	 */
	function getPageUrl($page_id, $url = "", $force_http = false)
	{
		global $settings;
		return (DESIGN_MODE && !$force_http ? $settings["GlobalHttpsUrl"] : $settings["GlobalHttpUrl"])."/".$settings["INDEX"]."?p=page&amp;page_id=".$page_id;
	}
	
	/**
	 * Get site map URL
	 * @param $force_http
	 */
	function getSiteMapUrl($force_http = false)
	{
		global $settings;
		return (DESIGN_MODE && !$force_http ? $settings["GlobalHttpsUrl"] : $settings["GlobalHttpUrl"])."/".$settings["INDEX"]."?p=site_map";
	}
