<?php
	
	$url = $_GET["url"];
	
	// Fix for issue 1244
	if ($url == $settings["GlobalServerPath"] || (isset($_SERVER["SCRIPT_FILENAME"]) && $url == dirname($_SERVER["SCRIPT_FILENAME"])))
	{
		header("Location: ".$url_dynamic);
		session_write_close();
		die();
	}
	
	$matchFound = false;
	
	/**
	 * Check is URL empty
	 * and patch for http://site.com/cart ==> http://site.com/cart/
	 */
	$serverUri = isset($_SERVER["SCRIPT_URI"]) ? $_SERVER["SCRIPT_URI"] : "";
	$serverUrl = isset($_SERVER["SCRIPT_URL"]) ? $_SERVER["SCRIPT_URI"] : "";
	$lastChar = strlen($serverUri) > 0 ? $serverUri[strlen($serverUri) - 1] : strlen($serverUrl) > 0 ? $serverUri[strlen($serverUrl) - 1] : "";
	
	if (trim($url) == "")
	{
		$_REQUEST["p"] = "home";
		$matchFound = true;
	}
	else if ($url == $settings["GlobalServerPath"] ||  $url == dirname($_SERVER["SCRIPT_FILENAME"]) || (trim($url) == "" && $lastChar != "/"))
	{
		header("Location: ".$settings["GlobalHttpUrl".($_SERVER["SERVER_PORT"] == 443 ? "s" : "")]."/");
		_session_write_close();
	}

	/**
	 * Try to match category pagination
	 */
	if (!$matchFound)
	{
		$pageNumberRegExp = 
			str_replace(
				$a = array("\\", ".", "(", ")", "[", "]", "%PageNumber%", "/"), 
				$b = array("\\\\", "\\.", "\\(", "\\)", "\\[", "\\]", "(\d+)", "\/"), 
				$settings["SearchURLCategoryPaginatorTemplate"]
			);
		$pageNumberPattern = 
			"/^(.+)".
			$pageNumberRegExp.
			"((\/|(\.([a-zA-Z0-9])+))?)$/";
	
		if (preg_match($pageNumberPattern, $url, $matches))
		{
			$_url = (isset($matches[1]) ? $matches[1] : '').(isset($matches[3]) ? $matches[3] : '');
			
			$db->query("SELECT cid FROM ".DB_PREFIX."catalog WHERE url_hash='".$db->escape(md5($_url))."'");
			if ($db->movenext())
			{
				$_REQUEST["p"] = "catalog";
				$_REQUEST["parent"] = $db->col["cid"];
				$_REQUEST["pg"] = $matches[2];
				$_REQUEST["mode"] = "catalog";
				$matchFound = true;
			}
		}
	}
	
	/**
	 * Categories
	 */
	if (!$matchFound)
	{
		$urlMd5 = md5($url);
		$db->query("SELECT cid FROM ".DB_PREFIX."catalog WHERE url_hash='".$db->escape($urlMd5)."'");
		if ($db->movenext())
		{
			$_REQUEST["p"] = "catalog";
			$_REQUEST["parent"] = $db->col["cid"];
			$_REQUEST["pg"] = 1;
			$_REQUEST["mode"] = "catalog";
			$matchFound = true;
		}
	}
	
	/**
	 * Products
	 */
	if (!$matchFound)
	{
		$db->query("SELECT pid FROM ".DB_PREFIX."products WHERE url_hash='".$db->escape($urlMd5)."'");
		if ($db->movenext())
		{
			$_REQUEST["p"] = "product";
			$_REQUEST["id"] = $db->col["pid"];
			$matchFound = true;
		}
	}
	
	
	/**
	 * Try to match manufacturer pagination
	 */
	if (!$matchFound)
	{
		$pageNumberRegExp = 
			str_replace(
				$a = array("\\", ".", "(", ")", "[", "]", "%PageNumber%", "/"), 
				$b = array("\\\\", "\\.", "\\(", "\\)", "\\[", "\\]", "(\d+)", "\/"), 
				$settings["SearchURLManufacturerPaginatorTemplate"]
			);
		$pageNumberPattern = 
			"/^(.+)".
			$pageNumberRegExp.
			"((\/|(\.([a-zA-Z0-9])+))?)$/";
	
		if (preg_match($pageNumberPattern, $url, $matches))
		{
			$_url = (isset($matches[1]) ? $matches[1] : '').(isset($matches[3]) ? $matches[3] : '');
			
			$db->query("SELECT manufacturer_id AS mid FROM ".DB_PREFIX."manufacturers WHERE url_hash='".$db->escape(md5($_url))."'");
			if ($db->movenext())
			{
				$_REQUEST["p"] = "catalog";
				$_REQUEST["mode"] = "manufacturer";
				$_REQUEST["mid"] = $db->col["mid"];
				$_REQUEST["pg"] = $matches[2];
				$matchFound = true;
			}
		}
	}
	
	/**
	 * Manufacturer
	 */
	if (!$matchFound)
	{
		$urlMd5 = md5($url);
		$db->query("SELECT manufacturer_id AS mid FROM ".DB_PREFIX."manufacturers WHERE url_hash='".$db->escape($urlMd5)."'");
		if ($db->movenext())
		{
			$_REQUEST["p"] = "catalog";
			$_REQUEST["mid"] = $db->col["mid"];
			$_REQUEST["pg"] = 1;
			$_REQUEST["mode"] = "manufacturer";
			$matchFound = true;
		}
	}
	
	/**
	 * Pages
	 */
	if (!$matchFound)
	{
		$db->query("SELECT name FROM ".DB_PREFIX."pages WHERE url_hash='".$db->escape($urlMd5)."'");
		if ($db->movenext())
		{
			$_REQUEST["p"] = "page";
			$_REQUEST["page_id"] = $db->col["name"];
			$matchFound = true;
		}
	}

	/**
	 * Other
	 */
	if (!$matchFound)
	{
		if (str_replace($settings["SearchURLJoiner"], "", $url) == "sitemap.html")
		{
			$_REQUEST["p"] = "site_map";
			$matchFound = true;
		}
	}
	
	/**
	 * Slash issue fix: http://site.com/cart --> http://site.com/cart/
	 */
	if (!$matchFound)
	{
		if ($url == $settings["GlobalServerPath"]) 
		{
			header("Location: ".$settings["GlobalHttpUrl".($_SERVER["SERVER_PORT"] == 443 ? "s" : "")]."/");
			_session_write_close();
			die();
			
		}
	}
	
	if (!$matchFound)
	{
		header("Location: ".$settings["GlobalHttpUrl"]."/index.php?p=404");
		_session_write_close();
		die();
	}
	
	