<?php
/* DataCash PHP API
   This module is used to include all the files necessary for DataCash to
   function in the PHP environment.

   $Id: DataCash.php,v 1.2.2.2 2006/06/05 16:56:30 victor Exp $

   Author: Dave MacRae

   Copyright: DataCash Group plc 2003

*/

$Id = isset($Id) ? $Id : "DataCash";
$Name = isset($Name) ? $Name : "DataCash";

$CVSid = explode (" ", "$Id: DataCash.php,v 1.2.2.2 2006/06/05 16:56:30 victor Exp $");

global $included_classes;

$included_classes{basename($CVSid{1}, ".php,v")} = $CVSid{2};

$package = explode( " ", "$Name: REL_3_4_0 $" );
preg_match( "/version_(.*)/", $package[1], $matches);
$package_version = str_replace('_', '.', $matches[1]);
$included_classes{"Bundle"} = $package_version;

include ("DataCash_SSLAgent.php");
include ("DataCash_Attribute.php");
include ("DataCash_Element.php");
include ("DataCash_Document.php");
include ("DataCash_Logger.php");
include ("DataCash_CardInfo.php");
include ("DataCash_UserAgent.php");

?>
