<?php
$msg = array (
  'common' => 
  array (
    'charset' => 'UTF-8',
    'home_page' => 'Home',
    'what_is_next' => 'Would you like to <a href="%urlp=home">continue shopping</a> or view our  <a href="%urlp=site_map">site map</a>?',
    'goto_home_page' => 'Go to home page',
    'print_version' => 'Printable Version',
    'required_fields_are_bold' => 'Required fields are bold',
    'cookies_note' => 'If you have already added items to your cart and it is still empty, please check to be sure your browser is set to accept cookies.',
    'page_not_found' => 'The Page Cannot Be Found',
    'page_not_found_description' => 'The page you are looking for might have been removed, had its name changed, or is temporarily unavailable.',
    'security_error' => 'Security Error',
    'security_error_description' => 'We are sorry, but you can not access this page while you are not logged in.',
    'account_blocked' => 'We are unable to process this transaction due to too many failed attempts.',
    'click_to_login' => 'Please <a href="%up=login">click here</a> to login now',
    'click_to_register' => 'Not registered yet? <a href="%up=signup">Click here</a> to register',
    'cookie_remark' => 'Please note : if you have already tried to login and can\'t do it, please check to be sure that your browser set to accept cookies.',
    'contact_admin' => 'Please <a href="mailto:%e">contact the site administrator</a>.',
    'thank_you_for_using_service' => 'Thank you for using our services.',
    'more_info' => '(more info)',
    'site_map' => 'Site Map',
    'item_url' => 'Item URL',
    'recent_product' => 'Product',
    'international_settings' => 'International Settings',
    'select_your_language' => 'Select Your Language',
    'choose_your_currency' => 'Choose Your Currency',
    'check_errors' => 'Please check error(s)',
  ),
  'cart' => 
  array (
    'view_cart' => 'My Cart',
    'your_cart' => 'Your Cart',
    'edit_cart' => 'Edit Cart',
    'step_1' => 'Step 1 - Edit Cart',
    'step_2' => 'Step 2 - Select existing shipping address or add a new one',
    'step_2_2' => 'Step 2/2 - Select Shipping Method',
    'step_3' => 'Step 3 - Review Your Billing Information and Choose Payment Method',
    'step_4' => 'Step 4 - Review order billing and shipping data and order content, and complete order',
    'empty_cart' => 'Empty Cart',
    'remove_item' => 'Remove',
    'cart_is_empty' => 'Your Shopping Cart is Empty',
    'review_and_payment' => 'Review &amp; Payment',
    'finish' => 'Finish',
    'items' => 'item(s)',
    'checkout' => 'Checkout',
    'login_register' => 'Login / Register',
    'subtotal_amount' => 'Subtotal Amount',
    'shipping_quote_amount' => 'Shipping',
    'total_amount' => 'Current Total',
    'others_bought' => 'Other products you may be interested in',
    'discount_amount' => 'Discount',
    'discount_note' => 'Note: Subtotal does not include discount. Discount(s) will appear at checkout',
    'promo_code_discount' => 'Promo Code Discount',
    'tax_amount' => 'Tax Amount',
    'tax_rate' => 'Tax',
    'included_in_price' => 'included in price',
    'unregistered_note' => 'To checkout, you must be a registered user. To register <a href="%urlp=signup">click here</a>. Already registered? Please <a href="%urlp=login">click here</a> to login.',
    'select_payment_method' => 'Payment Method',
    'please_select_payment_method' => 'Please Select Payment Method',
    'no_payment_methods_available' => 'There are no payment methods available',
    'gift_message' => 'Gift Message',
    'wanna_gift_message' => 'Do you want to add a gift message?',
    'enter_gift_message' => 'Please enter your message',
    'gift_message_max_lenght' => 'Max length',
    'promo_code' => 'Promo Code',
    'enter_promo_code' => 'Enter Promo Code',
    'promo_code_remark' => 'If you enter a promo code, please click the "Update" button',
    'promo_code_invalid' => 'The promo code you entered is not valid, expired or not eligible for this order. Please verify or leave the promo code field blank.',
    'please_enter_promo_code' => 'If you have a promotional code, please enter it here',
    'gateway_in_test_mode' => 'System Is In Test Mode.',
    'order_id' => 'Order ID',
    'payment' => 'Payment',
    'cvv2_note' => 'Most credit card processors require a 3-digit security code (CVV2 number)',
    'check_note' => 'Please click here to learn how to read data from a check',
    'billing_and_shipping_information' => 'Billing and Shipping Information',
    'billing_and_shipping' => 'Billing and Shipping Information',
    'edit_billing_information' => 'Edit Billing Information',
    'edit_shipping_information' => 'Edit Shipping Information',
    'order_content' => 'Order Content',
    'order_details' => 'Order Details',
    'order_date' => 'Order Date',
    'order_status' => 'Order Status',
    'click_to_view' => 'Click to View',
    'total' => 'Total',
    'options' => 'Options',
    'not_taxable' => 'Not Taxable',
    'taxable' => 'Taxable',
    'with_tax' => 'With Tax',
    'without_tax' => 'Without Tax',
    'shipping_taxable' => 'Taxable',
    'process_timeout_note' => 'Please note: It may take up to 90 seconds to process your credit card.<br/>To avoid duplicate charges, only click "Purchase" once',
    'order_summary' => 'Order Summary',
    'order_sent' => 'Your order has been sent',
    'thank_you_for_order' => '<p><b>Thank you for your order!</b></p><p>We will contact you shortly to arrange payment and shipping methods.</p>',
    'thank_you_for_order_digital' => 'You will be receiving the URL to download your digital product through e-mail.',
    'shipping_tracking_number' => 'Shipping Tracking Number',
    'click_to_track' => 'Click to Track',
    'minimal_sustotal_not_reached' => 'Minimal Order Subtotal Amount Is Not Reached',
    'minimal_sustotal' => 'Minimal order subtotal amount',
    'google_enter_zip' => 'enter zip code<br/>to checkout with Google',
    'other_checkout' => 'Other Payment Options',
    'google_heading' => 'Google Checkout',
    'paypal_ec_heading' => 'Checkout with PayPal',
    'also_bought' => 'Persons, who bought products from your cart, also bought',
    'paypal_errors_back' => 'PayPal Express Checkout module reported error(s) after you back to our site',
    'paypal_errors' => 'PayPal Express Checkout module reported error(s)',
    'paypal_text' => 'Save time. Checkout securely. Pay without sharing your financial information.',
    'additional_information' => 'Additional Information',
    'one_page_checkout' => 'One Page Checkout',
    'edit_billing_and_shipping' => 'Edit Billing / Shipping Information',
    'google_button_disable' => 'Products are not allowed to purchase using Google Checkout.',
    'promotions_and_gift_certificates' => 'Promotions and Gift Certificates',
  ),
  'billing' => 
  array (
    'billing_information' => 'Billing Information',
    'billing_address' => 'Billing Address',
    'check_billing_information' => 'Check Billing Information',
    'first_name' => 'First Name',
    'last_name' => 'Last Name',
    'name' => 'First and Last Name',
    'company' => 'Company Name',
    'address_line1' => 'Address Line 1',
    'address_line2' => 'Address Line 2',
    'city' => 'City',
    'state_province' => 'State / Province',
    'select_state' => 'Select',
    'state_province_remark' => 'For USA and Canada',
    'custom_state_province' => 'OR Custom State / Province',
    'custom_state_province_remark' => 'if outside the USA and Canada',
    'country' => 'Country',
    'select_country' => 'Select',
    'postal_code' => 'ZIP / Postal Code',
    'phone_number' => 'Phone Number',
    'billing_as_shipping' => 'Billing address is the same as shipping',
    'billing_as_shipping_description' => 'Please check this box if your billing information is the same as shipping.<br/>If it is not, you may simply add your billing address in the future.',
    'cc_type' => 'Credit card type',
    'cc_name' => 'Name on card',
    'cc_first_name' => 'First name on card',
    'cc_last_name' => 'Last name on card',
    'cc_number' => 'Credit card number',
    'cc_start_date' => 'Credit card start date',
    'cc_start_date_hint' => 'Required for Switch and Solo cards',
    'cc_start_month' => 'Credit card start month',
    'cc_start_year' => 'Credit card start year',
    'cc_expiration_date' => 'Expiration date',
    'cc_expiration_month' => 'Credit card exp. month',
    'cc_expiration_year' => 'Credit card exp. year',
    'cc_cvv2' => '3-Digit security code',
    'cc_cvv2_hint' => 'CVV2 credit card code',
    'enter_valid_cc_name' => 'Please enter valid name!',
    'enter_valid_cc_first_name' => 'Please enter valid first name!',
    'enter_valid_cc_last_name' => 'Please enter valid last name!',
    'enter_valid_cc_number' => 'Please enter valid credit card number!',
    'enter_valid_cc_expiration' => 'We\'re sorry, the credit card has expired. Please check the expiration date or try another card',
    'enter_valid_cc_cvv2' => 'Please enter valid CVV2 or CVC2 card code or leave this field blank!',
    'enter_valid_cc_cvv2_when_required' => 'CCV2 is required for selected Credit Card type!',
    'order_is_free_method' => 'Here are no payment methods available because your order is free',
    'order_is_free_title' => 'Your Order is Free',
    'order_is_free_text' => 'Please click "Complete" button to get free products',
    'check_bank_aba_code' => 'ABA routing number',
    'check_bank_account_number' => 'Bank Account Number',
    'check_bank_account_type' => 'Type of Account',
    'check_bank_account_type_checking' => 'Checking',
    'check_bank_account_type_business_checking' => 'Business Checking',
    'check_bank_account_type_savings' => 'Savings',
    'check_bank_name' => 'Name of bank',
    'check_bank_account_name' => 'Name of account at the bank',
    'enter_check_bank_aba_code' => 'Please enter ABA routing number',
    'enter_check_bank_account_number' => 'Please enter Bank Account Number',
    'enter_check_bank_name' => 'Please enter name of bank at which account is maintained',
    'enter_check_bank_account_name' => 'Please entre name under which the account is maintained at the bank',
    'paypal_ec_order' => 'PayPal Express Order - Billing Information at PayPal',
    'card_issue_number' => 'Issue Number',
    'enter_issue_number' => 'Please enter Issue Number',
  ),
  'shipping' => 
  array (
    'shipping_address' => 'Shipping Address',
    'shipping_method' => 'Shipping Method',
    'address' => 'Address',
    'shipping_information' => 'Shipping Information',
    'first_name' => 'First Name',
    'last_name' => 'Last Name',
    'name' => 'Name',
    'company' => 'Company Name',
    'address_line1' => 'Address Line 1',
    'address_line2' => 'Address Line 2',
    'city' => 'City',
    'state_province' => 'State / Province',
    'select_state' => 'Select',
    'state_province_remark' => 'For USA and Canada',
    'custom_state_province' => 'OR Custom State / Province',
    'custom_state_province_remark' => 'if outside the USA and Canada',
    'postal_code' => 'ZIP / Postal Code',
    'country' => 'Country',
    'select_country' => 'Select',
    'shipping_as_billing' => 'Shipping address is the same as billing',
    'shipping_as_billing_description' => 'Please check this box if your shipping information is the same as billing. If it is not, you may simply add your shipping address in the future.',
    'use_your_billing_address' => 'Use Your Billing Address',
    'use_paypal_ec_address' => 'Use address from PayPal.com',
    'select_address_to_edit_or_delete' => 'Please select shipping address you want to edit or delete',
    'enter_new_shipping_address' => 'Enter new shipping address',
    'address_error' => 'Please check error(s)',
    'edit_address' => 'Edit This Address',
    'delete_address' => 'Delete This Address',
    'no_addresses_yet' => 'No shipping address defined yet. Please enter shipping address below. New address will be set as your primary shipping address.',
    'current_is_primary_address' => 'This address is a primary shipping address',
    'set_primary_address' => 'Make this address primary',
    'shipping_address_editing' => 'Shipping Address Editing',
    'no_international_shipping' => 'Sorry, but we do not ship to international addresses',
    'po_box_warning' => 'Note: UPS and FedEx cannot ship to P.O. Boxes. Please use a physical address.',
    'select_shipping_address' => 'Select Shipping Address',
    'no_addresses_yet_2' => 'No shipping address has been defined for this order. Please select your billing address as your shipping destination, or enter a new shipping address below.',
    'use_new_address' => 'Add New Shipping Address',
    'enter_new_address' => 'Enter New Shipping Address',
    'copy_from_billing' => 'Copy from billing address',
    'current_shipping_price' => 'Current shipping price for this order is',
    'order_total_weight' => 'Total weight of your order:',
    'select_shipping_method' => 'Please select shipping method',
    'select_shipping_method_for_remaining_items' => 'Please select the shipping method for the remaining items in your order',
    'need_setup_shipping' => 'Shipping methods have not been set-up',
    'cant_calculate_shipping' => 'Sorry, but we cannot calculate your shipping.<br/>You may continue your order, but additional shipping charges may be applied.',
    'no_shipping_methods_for_order' => 'We\'re sorry, but there are no shipping methods available for your order. Please choose a different shipping address or remove items from your order to decrease shipping weight. If you continue to get this message, please contact the site administrator.',
    'change_shipping_address' => 'Click here to change shipping address',
    'collecting_shipping_info' => 'Please note: Collecting shipping information, this may take up to one minute to complete',
    'shipping_quote' => 'Shipping Quote',
    'get_shipping_quote' => 'Get Shipping Quote',
    'get_shipping_quote_for_this_order' => 'Click to Estimate',
    'quote_choose_country' => 'Please choose your country',
    'quote_choose_state' => 'Please choose your state/province',
    'quote_enter_zip' => 'Please enter your zip/postal code',
    'quote_current_shipping_price' => 'Current Shipping Price',
    'quote_multiple_shipping_methods' => 'This order contains multiple shipping methods. Estimates below depends on the shipping method you select when completing your order.',
    'quote_method' => 'Method',
    'quote_price' => 'Price',
    'quote_total' => 'Total',
    'no_shipping_address_is_necessary' => 'No shipping address is necessary for this order.',
    'no_shipping_informatio_available' => 'There no shipping information available.',
    'add_new_address_to_addressbook' => 'Add this new address to your address book',
    'click_to_get_rates' => 'Click the button below to get shipping rates and complete order.',
    'digital_download' => 'Digital Download',
    'free_shipping' => 'Free Shipping',
    'no_charge' => 'No Charge',
    'free' => 'Free',
    'shipping_quote_disabled' => 'Shipping quote feature is disabled',
    'shipping_price_of_your_order' => 'Shipping price for your order is',
    'shipping_quote_free_shipping' => 'Your order has free shipping',
    'shipping_quote_no_methods' => 'We are sorry, but there no available shipping methods for your order',
    'shipping_quote_issues' => 'Possible issues are',
    'shipping_quote_issue1' => 'Shipping Weight of your order does not match any available shipping method.',
    'shipping_quote_issue2' => 'We do not ship to entered shipping address.',
  ),
  'opc' =>
  array (
  	'title' => 'Checkout',
  	'please_wait_loading' => 'Please wait. Loading...',
  	'billing_title' => 'Billing Information',
  	'billing_fname' => 'First name',
  	'billing_lname' => 'Last name',
  	'billing_company' => 'Company',
  	'billing_address1' => 'Address line 1',
  	'billing_address2' => 'Address line 2',
 	'billing_city' => 'City',
  	'billing_state_province' => 'State / Province',
  	'billing_country' => 'Country',
  	'billing_zip' => 'ZIP',
  	'billing_phone' => 'Phone',
  	'billing_email' => 'Email',
  	'billing_button_save' => 'Continue with order',
  	'shipping_title' => 'Shipping Address / Method',
  	'shipping_select_address' => 'Select shipping address',
  	'shipping_as_billing_address' => 'Shipping address is the same as billing',
  	'shipping_new_address' => 'Enter a new shipping address',
 	'shipping_name' => 'Name',
  	'shipping_company' => 'Company',
  	'shipping_address1' => 'Address line 1',
  	'shipping_address2' => 'Address line 2',
  	'shipping_city' => 'City',
  	'shipping_state_province' => 'State / Province',
  	'shipping_country' => 'Country',
  	'shipping_zip' => 'ZIP',
  	'shipping_button_save' => 'Use this address',
  	'error_title' => 'Error occurred',
  	'invoice_title' => 'Order Summary',
  	'invoice_items_in_cart' => 'You currently have %n item(s) in your cart', 
  	'invoice_subtotal' => 'Subtotal',
  	'invoice_discount' => 'Discount',
  	'invoice_shipping' => 'Shipping',
    'invoice_handling' => 'Handling',
  	'invoice_promo_discount' => 'Promo discount',
 	'invoice_promo_code' => 'Promo code',
  	'invoice_promo_code_apply' => 'Apply',
  	'invoice_tax' => 'Tax',
  	'invoice_total' => 'Total',
  	'invoice_gift_certificate' => 'Gift certificate',
  	'invoice_remaining_amount' => 'Remaining amount',
  	'invoice_click_to_view' => 'Click to view cart',
  	'invoice_click_to_hide' => 'Hide shopping cart',
  	'payment_title' => 'Payment Method',
  	'payment_promo' => 'If you have promo code, please enter it here',
  	'payment_promo_apply' => 'Apply',
  	'payment_method_select' => 'Select payment method',
  	'payment_error_occured' => 'Payment error occurred',
  	'payment_gc_title' => 'Gift certificate',
  	'payment_gc_fname' => 'First Name',
  	'payment_gc_lname' => 'Last Name',
  	'payment_gc_voucher_code' => 'Voucher Code',
  	'payment_gc_apply' => 'Apply',
  	'payment_button_place_order' => 'Place Order',
  	'login_title' => 'Login',
  	'username' => 'Username',
  	'password' => 'Password',
  	'password_confirmation' => 'Password confirmation',
  	'login_button' => 'Login',
  	'cancel_button' => 'Cancel',
  	'already_registered' => 'Already registered?',
  	'login_here' => 'Login here',
  	'account' => 'Account',
  	'create_account' => 'Would you like to create account with us?',
  	'would_you_like_to_receive' => 'Would you like to receive?',
  	'product_updates' => 'Product Updates',
  	'our_newsletters' => 'Our Newsletter',
  	'email_format' => 'E-mail format',
  	'email_format_html' => 'HTML Messages',
  	'email_format_text' => 'Text Messages',
  	'gift_message' => 'Gift message',
  	'free_order_qualified' => 'Your order has been qualified as "Free order" and does not require any charges.',
  	'click_button_to_complete' => 'Please click button below to complete.'
  ),
  'account' => 
  array (
    'register' => 'Register',
    'register_note' => 'Please provide us your Shipping and Billing information below. This information will be used to process your order. Already registered? <a href="%urlp=login">Click here</a> to login.',
    'register_error' => 'Registration error',
    'register_agree_policy' => 'You agree with our <a href="%urlp=page&amp;page_id=terms_and_conditions" target="new">Terms and Conditions</a>',
    'register_view_policy' => 'click here to read our Terms and Conditions',
    'login' => 'Login',
    'existing_users' => '<b>Existing Users :</b><br/>To login, please enter your username and password.',
    'existing_users_2' => '<b>Existing Users :</b><br/>To go to login page, please click button below.',
  	'login_again' => 'To keep your personal information secure, it is necessary to provide your login information again.',
    'new_users' => '<b>New Users :</b><br/>If you are not registered, please click the Register button below.',
    'account_blocked' => 'You account is temporary blocked',
    'login_incorrect' => 'Username or password is incorrect',
    'enter_username' => 'Username',
    'enter_password' => 'Password',
    'enter_email' => 'Enter your email address here',
    'reset_password_title' => 'Reset Password',
    'reset_password' => 'Lost your password? <a href="%sp=password_reset">Click here</a> to reset it.',
    'reset_password_2' => '<b>Reset Password :</b><br/>To reset your password please enter your username and email address below. A new password will be sent to the e-mail you provided at registration.',
    'reset_error' => 'Can not find specified username and email address in database',
    'reset_password_sent' => '<b>Password sent</b><br/>New temporary password just sent to %s email address. Please check your mail box in few minutes.',
    'reset_again' => 'Don\'t like new password? Please <a href="%sp=password_reset">click here</a> to generate and send new one again.',
    'remember_visit' => 'Remember your login information?',
    'logout' => 'Logout',
    'welcome' => 'Welcome',
    'account_information' => 'Account Information',
    'my_address_book' => 'My Address Book',
    'email_address' => 'Email Address',
    'email_mode' => 'E-mail format',
    'email_text' => 'Text Messages',
    'email_html' => 'HTML Messages',
    'subscribe_to' => 'Would you like to receive?',
    'subscribe_newsletter' => 'Our Newsletter',
    'subscribe_updates' => 'Product Updates',
    'username' => 'Username',
    'username_note' => 'min - 4 chars',
    'password' => 'Password',
    'new_password' => 'New password',
    'password_note' => 'min - 6 chars',
    'password_confirm' => 'Confirm Password',
    'password_confirm_note' => 'the same as password',
    'password_no_change' => 'Please leave password fields blank if you don\'t want to change it',
    'profile_update_error' => 'Profile Update Error(s)',
    'form_agreement' => 'Please fill out this form completely. All information provided will only be used by us to contact you regarding your order(s).',
    'express_checkout' => '<b>Guest Checkout :</b><br/>Checkout quickly without registering. Click the link below to begin the checkout process.',
    'start_express_checkout' => 'Start Guest Checkout',
    'password_reset_answer' => 'You have requested to reset your password.',
    'access_information' => 'Your access information',
    'please_change_temporary_password' => 'Please use this URL to login and change your temporary password',
    'my_orders' => 'My Orders',
    'my_order' => 'My Order',
  	'my_account' => 'My Account',
  	'my_profile' => 'My Profile',
    'orders_placed' => 'Orders placed on the site :',
    'no_orders_yet' => 'There are no orders yet',
    'other_information' => 'Other information',
  ),
  'catalog' => 
  array (
    'catalog' => 'Catalog',
    'search' => 'Search',
    'search_results' => 'Search Results',
    'search_results_for' => 'Search Results For',
    'search_mode' => 'Search by',
    'search_mode_description' => 'Product description',
    'search_mode_name' => 'Product name',
    'search_mode_id' => 'Product id',
    'search_text' => 'Search for phrase',
    'search_hint' => 'You may customize your search by using special keywords',
    'advanced_search' => 'Advanced search',
    'show_results_mode' => 'Sort',
    'show_newest_to_system' => 'New arrivals',
    'show_alphabetical' => 'Name',
    'show_prices_descending' => 'Highest price',
    'show_prices_ascendinge' => 'Lowest price',
   	'view_mode' => 'View',
    'view_text' => 'Text',
    'view_single_row' => 'Single column',
  	'view_single_row_clean' => 'Single column clean',
    'view_double_row' => 'Double column',
    'view_two_row' => 'Two column',
    'view_two_row_box' => 'Two column box',
    'view_three_row' => 'Three column',
  	'view_three_row_clean' => 'Three columns clean',
  	'view_flexible' => 'Flexible',
    'list_subcats' => 'Subcategories in this category',
    'result_items' => 'item(s)',
    'result_pages' => 'Page %cr of %co',
    'result_goto' => 'Go to',
    'result_page_prev' => '&lt;&lt; Previous',
    'result_page_next' => 'Next &gt;&gt;',
    'no_results' => 'No items found',
    'browse_products' => 'Browse Products',
    'expand_collapse' => 'Expand/Collapse',
    'register_to_see_price' => 'Only registered users can see prices. Please login or register',
    'out_of_stock' => 'Product is out of stock',
    'price_filter' => 'Price Filter',
    'price_filter_nav' => 'Price',
    'cancel_price_filter' => 'Cancel filter',
    'page_first' => 'First',
    'page_prev' => '&lt;&lt; Previous',
    'page_next' => 'Next &gt;&gt;',
    'page_last' => 'Last',
  ),
  'newsletters' => 
  array (
    'email_address' => 'Email Address',
    'subscribe_to' => 'Would you like to receive?',
    'please_send_me' => 'Please Send Me',
    'subscribe_newsletter' => 'Newsletter',
    'subscribe_updates' => 'Product updates',
    'click_to_unsubscribe' => 'Click here to unsubscribe',
    'signup_title' => 'Signup For Our Newsletter',
    'email_added' => 'Email address you have provided to us has been successfully added to our newsletter subscribers list',
    'email_exists' => 'Can not add this email address to the database.<br/>It already exists in our newsletter subscribers list.',
    'cancel_subscription' => 'Cancel Your Subscription',
    'cancel_note' => 'To unsubscribe from our newsletter, please enter your email address below.<br/>Please be sure to use the same email address that was used during newsletters signup.',
    'type_your_email' => 'Type your email address here',
    'cancel_newsletter' => 'Cancel Newsletter Subscription',
    'cancel_updates' => 'Cancel Product Update Subscription',
    'email_remark' => 'email address is required to cancel your subscription',
    'unsubscribe_error' => 'Email address does not exist in our database.<br/>Please check this email and try again.',
    'subscription_updated' => 'Your subscription preferences have been successfully updated',
  ),
  'product' => 
  array (
    'product_id' => 'Product ID',
    'product_price' => 'Price',
    'product_name' => 'Product Name',
    'unit_price' => 'Unit Price',
    'sale_price' => 'Sale Price',
  	'compared_at' => 'Compared at',
    'you_save' => 'You Save',
    'wholesale_price' => 'Wholesale Price',
    'shipping_price' => 'Shipping Price',
    'price_per_case' => 'Price Per Case',
    'wholesale_price_per_case' => 'Wholesale Price Per Case',
    'parent_category' => 'Browse more in %s category',
    'min_max_order' => 'Min/Max Order',
    'call_for_price' => 'Call for price',
    'weight' => 'Weight',
    'free_shipping' => 'Free Shipping',
    'product_details' => 'Product Details',
    'product_purchase' => 'Purchase',
    'product_quantity' => 'Quantity',
    'product_overview' => 'Overview',
    'product_description' => 'Description',
    'hot_deal' => 'Hot Deal',
    'click_to_view' => 'Click to view',
    'enlarge_image' => 'Click to enlarge',
    'secondary_images' => 'More images',
    'recommended_products' => 'Recommended Products',
  	'sibling_products' => 'Products You May Like',
    'to_see_price' => 'To see price',
  	'to_purchase' => 'To buy this product',
    'product_total' => 'Product Total',
    'download_url' => 'Download URL',
    'special_offer' => 'Special Offer',
    'discount_percent' => 'Buy %range_min - %range_max and get an additional %value % off',
    'discount_amount' => 'Buy %range_min - %range_max and get an additional %value off',
    'magnify_image' => 'Hover over image to magnify',
    'zoom_image' => 'Hover over image to zoom',
    'attribute_out_of_stock' => 'The selected item is out of stock, please select a different item or combination',
    'email_to_friend' => 'E-mail to a friend',
    'manufacturer' => 'Manufacturer',
    'purchase_and_get_free_products' => 'Purchase %gift_quantity of %title and get',
    'for_free' => 'For free!',
    'a_x_value' => 'A %x VALUE!',
  ),
  'reviews' => 
  array (
    'product_reviews' => 'Product Reviews',
    'review_tab' => 'Reviews',
    'write_review' => 'Write a Product Review',
    'write_review_title' => 'Title',
    'write_review_text' => 'Review',
    'new_review' => '%login or %register to write a review.',
    'new_first_review' => '%login or %register to write the first review.',
    'create_review' => 'Write a review for this product',
    'create_first_review' => 'Write the first review for this product',
    'create_review_link' => 'Write a review',
  ),
  'email' => 
  array (
    'subject_new_user_registered' => 'New user registered',
    'subject_new_user_welcome' => 'Welcome!',
    'subject_new_password' => 'New Password',
    'subject_out_of_stock' => 'Product Out Of Stock',
    'subject_your_order' => 'Your Order',
    'subject_new_order' => 'New Order Received',
    'subject_order_completed' => 'Order Completed',
    'subject_to_friend' => 'Hello, %s. This is %s You must see it!',
    'title_to_friend' => 'You must see it!!!',
    'dear' => 'Dear %fname %lname!',
    'thanks_for_registration' => 'Thank you for your registration on our website.',
    'your_registration_details' => 'Here are your registration details',
    'thank_you_for_purchase' => 'Thank you for your purchase on %s website',
    'thank_you_for_purchase2' => 'We hope you enjoyed shopping with us and encourage you to add our site to your favorites.<br/>Thank you again for you order.',
    'new_user_registered' => 'There is a new user registered on %s website',
    'new_order_placed' => 'There is a new order placed on %s website',
    'user_registration_details' => 'New user registration details',
    'click_to_edit' => 'Click here to edit',
    'login_url' => 'To login into your user area, click URL below.',
    'sincerely' => 'Sincerely',
    'click_to_visit_us' => 'Click here to visit our site',
  ),
  'email2friend' => 
  array (
    'email2friend' => 'E-mail to a Friend',
    'fill_form_and_click' => 'Please complete this form.',
    'all_fileds_are_required' => 'All fields are required.',
    'your_name' => 'Your name',
    'your_email' => 'Your email address',
    'your_friend_name' => 'Your friend\'s name',
    'your_friend_email' => 'Your friend\'s email',
    'close_window' => 'Close Window',
    'email_has_been_sent' => 'Email has been successfully sent',
    'cant_select_product' => 'Can\'t select product',
    'button_send' => 'Send',
  ),
  'javascript' => 
  array (
    'enter_numeric_product_quantity' => 'Please enter valid product quantity!\\nIt must be a numeric value.',
    'product_quantity_less' => 'Product quantity is less as',
    'enter_min_valid_quantity' => '(min order quantity).\\nPlease enter valid product quantity!',
    'product_quantity_bigger' => 'Product quantity is bigger as',
    'enter_valid_max_quantity' => '(max order quantity).\\nPlease enter valid product quantity!',
    'enter_valid_email' => 'Please enter valid email address',
    'choose_min_1checkbox' => 'Please choose at least one check box',
    'want_cancel_subscription' => 'Do you really want to cancel your subscription?',
    'your_username' => 'your username',
    'your_password' => 'your password',
    'first_name' => 'first name',
    'last_name' => 'last name',
    'company_name' => 'company name',
    'address_line1' => 'address line 1',
    'address_line2' => 'address line 2',
    'city_name' => 'city name',
    'country' => 'country',
    'select_usa_state' => 'Please select USA state',
    'select_canada_province' => 'Please select Canadian province',
    'select_province_state' => 'Please select state or province',
    'custom_province_state' => 'custom province/state',
    'zip_postal_code' => 'zip/postal code',
    'phone_number' => 'phone number',
    'email_address' => 'email address',
    'username' => 'username',
    'password' => 'password',
    'password_confirmation' => 'password confirmation',
    'read_terms_before_registration' => 'Before registration please read our terms and conditions',
    'check_terms_and_conditions' => 'Please confirm you are agree with our terms and conditions',
    'select_shipping_first' => 'Please select shipping method first!',
    'name' => 'name',
    'different_password_and_comfirmation' => 'Password and confirmation are different!',
    'your_name' => 'your name',
    'your_email_address' => 'your email address',
    'your_friend_name' => 'your friend\'s name',
    'your_friend_email_address' => 'your friend\'s email address',
    'please_enter' => 'Please enter',
    'to_continue_please_check' => 'To continue, please check',
    'confirm_delete_item' => 'Do you really want delete selected item?',
    'confirm_empty_cart' => 'Do you really want empty cart?',
    'number_of_items_exceeded_min' => 'The number of items ordered exceeded the minimum allowed.\\nPlease adjust the quantity of this order',
    'number_of_items_exceeded_max' => 'The number of items ordered exceeded the maximum allowed.\\nPlease adjust the quantity of this order',
    'number_of_items_exceed_inventory' => 'We are sorry but this order will exceed our current inventory for this product.\\nPlease adjust the quantity of this order',
    'incorrect_shipping_address' => 'We do not shipping to the country you have entered as your billing address.\\nPlease uncheck "Shipping address is the same as billing" or select different country',
    'confirm_delete_shipping_address' => 'Do you really want to delete select address?',
    'confirm_delete_wishlist' => 'Do you really want to delete select wish list?',
    'confirm_delete_wishlist_product' => 'Do you really want to delete select product from wish list?',
    'please_enter_zip_code' => 'Please enter zip code first',
    'select_state_or_province' => 'Please select...',
    'reviews_create_success' => 'Thank you for reviewing this product',
    'reviews_alert_rating' => 'Please provide a star rating for revied product.',
    'reviews_alert_title' => 'Please enter a title.',
    'reviews_alert_text' => 'Please write a review.',
  
  	'opc_please_wait' => 'Please wait',
  	'opc_invoice_click_to_view' => 'Click to view cart',
  	'opc_invoice_click_to_hide' => 'Hide shopping cart',
  	'opc_error_no_payment_methods' => 'There no payment methods avaialble',
  	'opc_error_no_shipping_methods' => 'There no shipping methods',
  	'opc_error_cannot_process_response' => 'Cannot process response',
  	'opc_gift_certificate' => 'Gift certificate',
  	'opc_shipping_as_billing' => 'Shipping address is the same as billing',
  	'opc_edit_shipping_address' => 'Edit address',
 	'opc_edit_billing_address' => 'Edit address',
  	'opc_shipping_methods_title' => 'Shipping method',
  	'opc_select_shipping_address' => 'Please select shipping address',
  	'opc_shipping_is_free' => 'Shipping is free',
  	'opc_free_shipping' => 'Free shipping',
  	'opc_redirect_to_payment_gateway' => 'Redirecting to payment gateway',
  	'opc_finishing_order' => 'Finishing order',
  	'opc_login_successfull' => 'Login successfull. Getting data',
  	'opc_alternative_shipping' => 'If you would like to have products qualified for free shipping be delivered faster, please choose alternative shipping method.',
  	'opc_current_shipping_price' => 'Current shipping price',
  	'opc_select_shipping_method_for_remaining' => 'Please select shipping method for remaining part of your order',
  	'opc_use_gift_certificate' => 'Use Gift Certificate',
 	'opc_agree_to_terms_and_conditions' => 'Please agree to Term and Conditions',
  	'opc_saving_billing_data' => 'Saving billing data',
  	'opc_checking_credentials' => 'Checking credentials',
  	'opc_saving_shipping_address' => 'Saving shipping address',
  	'opc_getting_shipping_quotes' => 'Getting shipping quotes',
  	'opc_getting_payment_form' => 'Getting payment form',
  	'opc_processing_payment' => 'Processing payment',
  	'opc_checking_gift_certificate' => 'Checking gift certificate',
  	'opc_no_shipping_methods_for_order' => 'We\'re sorry, but there are no shipping methods available for your order. Please choose a different shipping address or remove items from your order to decrease shipping weight. If you continue to get this message, please contact the site administrator.',
  ),
  'headers' => 
  array (
    'headerCategories' => 'Categories',
    'headerBestSellers' => 'Bestsellers',
    'headerRecentItems' => 'Recently Viewed Items',
    'headerMyCart' => 'My Cart',
    'headerSearch' => 'Search',
    'headerNewsletter' => 'Newsletter',
    'headerCheckout' => 'Checkout',
    'headerProfile' => 'My Profile',
    'headerAboutProduct' => 'About this product',
    'headerOrderProduct' => 'Order',
    'headerManufacturers' => 'Manufacturers',
    'headerCurrencies' => 'Currencies',
    'headerAlsobought' => 'Related Items',
    'headerBackground' => '',
  ),
  'buttons' => 
  array (
    'buttonStartSearch' => 'Go!',
    'buttonCatalogNavigation' => 'Go',
    'buttonAddToCart' => 'Add to Cart',
    'buttonCheckout' => 'Proceed to Checkout',
    'buttonSubscribe' => 'Subscribe',
    'buttonUnsubscribe' => 'Unsubscribe',
    'buttonContinue' => 'Continue >>',
    'buttonContinueWithOrder' => 'Continue with Order',
    'buttonContinueShopping' => 'Continue Shopping',
    'buttonLogin' => 'Login',
    'buttonRegister' => 'Register',
    'buttonReset' => 'Reset',
    'buttonUpdateCart' => 'Update',
    'buttonApplyDiscount' => 'Apply',
    'buttonComplete' => 'Complete >>',
    'buttonPurchase' => 'Purchase >>',
    'buttonProcessPayment' => 'Process Payment',
    'buttonSave' => 'Save',
    'buttonAddAddress' => 'Add Address',
    'buttonResetPassword' => 'Reset password',
    'buttonEmailToFriend' => 'Email to a Friend',
    'buttonGetShippingRates' => 'Get Shipping Rates',
    'buttonGetShippingQuotes' => 'Get Shipping Quotes',
    'buttonGiftCertificateBalance' => 'Get Balance',
    'buttonAddWishlist' => 'Add Wish List',
    'buttonUpdateWishlist' => 'Update',
    'buttonSendWishlist' => 'Send Wish List',
    'buttonReviewSend' => 'Send',
    'buttonReviewClose' => 'Close',
    'buttonTestimonialSubmit' => 'Submit',
  ),
  'images' => 
  array (
    'imageLogo' => 'Logo',
    'imageSlogan' => 'Slogan',
    'imageHome' => 'Home',
    'imageHotDeal' => 'Hot Deal',
    'imageNoImageSmall' => 'There is no image yet',
    'imageNoImageBig' => 'There is no image yet',
    'imageCart' => 'Cart',
    'imageDeleteItem' => 'Delete Item',
    'imageCvv2' => 'CVV2 Code',
    'imageCheck' => 'Check',
    'imageClickToView' => 'Click to view',
    'imagePrintVersion' => 'Print',
    'imageGiftCertificate' => 'Gift Certificate',
  ),
  'gift_certificate' => 
  array (
    'gift_certificate' => 'Gift Certificate',
    'giftCertificateHeader' => 'Gift Certificates make outstanding gifts for friends, family or loved ones and can be redeemed for any product in our store. To purchase, please complete the information below.',
    'previousBought' => 'Previous bought gift certificates',
    'checkBalance' => 'Check Balance',
    'checkBalanceLink' => 'Gift Certificate Balance',
    'balanceForGiftCert' => 'Balance for the card is :',
    'giftCertError' => 'Couldn\'t find Gift voucher',
    'fields' => 
    array (
      'first_name' => 'First Name',
      'last_name' => 'Last Name',
      'voucher_code' => 'Voucher Code',
      'email_certificate' => 'Email this gift certificate?',
      'recipient_first_name' => 'Recipient First Name',
      'recipient_last_name' => 'Recipient Last Name',
      'recipient_phone_number' => 'Recipient Phone Number',
      'recipient_email_address' => 'Recipient Email Address',
      'your_name' => 'Your Name',
      'certificate_message' => 'Certificate Message',
      'certificate_amount' => 'Certificate Amount',
    ),
  ),
  'wishlist' => 
  array (
    'pageHeader' => 'Wish List',
    'addToWishlist' => 'Add To Wish List',
    'noWishlist' => 'You don\'t have a wish list.',
    'selectWishlist' => 'Please select the wish list you would like to use.',
    'enterWishlistName' => 'wish list name',
    'wishlistUpdated' => 'Your product(s) have been added.',
    'userError' => 'Plesae login to your account to use wish list feature.',
    'deleteWishlist' => 'Delete',
    'editWishlist' => 'Edit / View',
    'addToCart' => 'Add To Cart',
    'addWishlistToCart' => 'Add all items to Cart',
    'sendEmail' => 'Email Wish List',
    'printWishlist' => 'Print Wish List',
    'link' => 'My Wishlist',
    'name' => 'Please enter the name of your wish list.',
    'productList' => 'Products',
    'price' => 'Price',
    'wishlistDeleted' => 'Wish list is deleted.',
    'wishlist_updated' => 'Wish list has been updated.',
    'nameUpdates' => 'Wish list name has been updated.',
    'addnewLink' => 'Create New Wish List',
    'wishlistAdded' => 'New Wish list is added.',
    'genralError' => 'Whish list didn\'t update. Please try again',
    'yourEmail' => 'Email Address',
    'mailSubject' => 'Subject',
    'sentEmail' => 'Email has been sent.',
    'addedToCart' => 'Add To Cart',
    'returnToProductPage' => '<a href="%uplp=product&id=%pid">Click here to return to the last product viewed.</a>',
  ),
  'testimonials' => 
  array (
    'testimonials' => 'Testimonials',
    'testimonial' => 'Testimonial',
    'write_testimonial' => 'Write testimonial',
    'your_name' => 'Your name',
    'company' => 'Company',
    'rating' => 'Rating',
    'captcha' => 'Captcha',
    'thanks' => 'Thank you for submitting your testimonial! We will review your submission and should be posted shortly upon approval.',
    'error' => 'Error submitting your testimonial. Please try again.',
    'prev' => 'Previous',
    'next' => 'Next',
  ),
);
