<?php
	if (!defined("ENV")) exit();

	require_once("content/classes/class.regions.php");
	require_once("content/classes/class.taxes.php");
	require_once("content/classes/class.products_locations.php");
	
	$add_product = isset($_REQUEST["add_product"]) ? trim($_REQUEST["add_product"]) : "";
	$add_user = isset($_REQUEST["add_user"]) ? trim($_REQUEST["add_user"]) : "";	
	
	if ($iono->max_product_count > 0)
	{
		$db->query("SELECT COUNT(*) AS c FROM ".DB_PREFIX."products");
		$db->moveNext();
		$products_count = $db->col["c"];
	}
	else
	{
		$products_count = -1;
	}

	$taxes = new Taxes($db);
	$taxes->demo = defined('DEMO_LOCK') && DEMO_LOCK;

	$productsLocations = new ProductsLocations($db);

	$last_active_tab = isset($last_active_tab) ? $last_active_tab : "user";
	$dmp_msg = isset($dmp_msg)?trim($dmp_msg):"";
	//echo $product_images_dir;
	$categories = array();
	$categories1 = array();
	$prev_pid = false;
	$next_pid = false;
	$google_co_active = false;
	//Check if google checkout is enaled
	$db->query("SELECT active FROM ".DB_PREFIX."payment_methods WHERE id='googlecheckout'");
	if ($db->moveNext())
	{
		if ($db->col["active"] =="Yes")
		{
			$google_co_active = true;
		}
	}

	///////////////////////////////////////////
	// inherit basic niode & override drawNode
	class OPTION_PARAM
	{
		var $parent_id;
		var $level;
		var $categories;
		function OPTION_PARAM($parent_id, $level, $categories = array())
		{
			$this->parent_id = $parent_id;
			$this->level = $level;
			$this->categories = $categories;
			return $this;
		}
	}

	class OPTION_NODE extends DB_TREE_NODE
	{
		function drawNode($param)
		{
			if ($this->id != TREE_ROOT)
			{
				//echo 'option value="'.$param->categories.'">"'.$param->categories .'" Test </option>';
				echo '<option value="'.$this->id.'" '.(($this->id == $param->parent_id || in_array($this->id, $param->categories))?"selected":"").' '.($this->is_visible=="No"?'style="color:gray;"':"").'>';
				for ($i=0; $i<$param->level*4; $i++)
				{
					echo "&nbsp;";
				}
				echo htmlspecialchars($this->caption).'</option>';
			}
			if (count($this->nodes)>0)
			{
				reset($this->nodes);
				while (list($id, $node) = each($this->nodes))
				{
					$node->drawNode(
						new OPTION_PARAM($param->parent_id, $param->level+1, $param->categories)
					);
				}
			}
		}
	}

	$tree = new DB_TREE();
	$tree->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes",  "None selected"));
	$tree1 = new DB_TREE();
	$tree1->collection[TREE_ROOT] = (new OPTION_NODE(TREE_ROOT, -1, 0, "Yes",  "None selected"));
	$db->query("SELECT * FROM ".DB_PREFIX."catalog ORDER BY level, priority, name");
	$cats_count = $db->numRows();
	while ($db->moveNext())
	{
		$tree->addNode(
			new OPTION_NODE(
				$db->col["cid"],
				$db->col["parent"],
				$db->col["level"],
				$db->col["is_visible"],
				$db->col["name"]
			)
		);
	}
	$db->query("SELECT * FROM ".DB_PREFIX."PTIC_catalog ORDER BY ptic_level, ptic_priority, ptic_name");
	while ($db->moveNext())
	{
		$tree1->addNode(
			new OPTION_NODE(
				$db->col["ptic_id"],
				$db->col["ptic_parent"],
				$db->col["ptic_level"],
				$db->col["ptic_is_visible"],
				$db->col["ptic_name"]
			)
		);
	}
	// below line added by mahesh.k.s on 13-06-11 --- for retriving value from $_GET in user side ///
	extract($_GET);
	//print_r($tree1);
	
	 $mode = isset($mode)?trim($mode):"insert";
	 $mode = in_array($mode, array("insert", "update")) ? $mode : "insert";
	
	if (count($tree->collection) > 1)
	{
		$pid = isset($pid)?$pid*1:"";

		switch ($mode)
		{
			case "update" : 
			{
				$db->query("SELECT gift_max_quantity FROM ".DB_PREFIX."products_gifts WHERE pid='".$pid."'");
				if ($db->moveNext())
				{
					$gift_max_quantity = $db->col["gift_max_quantity"];
					$gift_max_quantity=isset($gift_max_quantity)?$gift_max_quantity*1:"";
				}
				else
				{
					$gift_max_quantity = 999;
				}
                ///products_users
				$db->query("SELECT * FROM ".DB_PREFIX."products_users WHERE pid='".$pid."'");
				
				if ($db->moveNext())
				{
					//print_r($db);
					$cid = $db->col["cid"];
					$user_id = $db->col["user_id"];					
					$ptic_id = $db->col["ptic_id"];
					$is_visible = $db->col["is_visible"];
					$is_hotdeal = $db->col["is_hotdeal"];
					$is_home = $db->col["is_home"];
					$is_google_co = $db->col["is_google_co"];
					$is_taxable = $db->col["is_taxable"];
					$is_dollar_days = $db->col["is_dollar_days"];
					$is_doba = $db->col["is_doba"];
					$is_locked = $db->col["is_locked"];
					$inventory_control  = $db->col["inventory_control"];
					$inventory_rule  = $db->col["inventory_rule"];
					$stock = $db->col["stock"];
					$stock_warning = $db->col["stock_warning"];
					$weight = $db->col["weight"];
					$free_shipping = $db->col["free_shipping"];
					$digital_product = $db->col["digital_product"];
					$digital_product_file = $db->col["digital_product_file"];
					$cost = $db->col["cost"];
					$shipping_cost = $db->col["shipping_cost"];
					if ($db->col["price2"]>0)
					{
						$price = $db->col["price2"];
						$price2 = $db->col["price"];
					}
					else
					{
						$price = $db->col["price"];
						$price2 = "";
					}
					$call_for_price = $db->col["call_for_price"];
					$price_level_1 = $db->col["price_level_1"];
					$price_level_2 = $db->col["price_level_2"];
					$price_level_3 = $db->col["price_level_3"];
					$tax_rate = $db->col["tax_rate"];
					$tax_class_id = $db->col["tax_class_id"];
					$min_order = $db->col["min_order"];
					$max_order = $db->col["max_order"];
					$product_id = $db->col["product_id"];
					$product_sku = $db->col["product_sku"];
					$product_upc = $db->col["product_upc"];
					$case_pack = $db->col["case_pack"];
					$inter_pack = $db->col["inter_pack"];
					$gift_quantity = $db->col["gift_quantity"];
					//added new fields details
					$owner_broker = $db->col["owner_broker"];
					$owner_owner = $db->col["owner_owner"];
					$owner_company = $db->col["owner_company"];
					$owner_address1 =  $db->col["owner_address1"];
					$owner_address2 =  $db->col["owner_address2"];
					$products_location2 =  $db->col["products_location2"];
					$owner_fname =  $db->col["owner_fname"];
					$owner_lname =  $db->col["owner_lname"];
					$owner_city = $db->col["owner_city"];
					$owner_state = $db->col["owner_state"];
					$owner_state_id = $db->col["owner_state"];
					$owner_zip = $db->col["owner_zip"];
					$owner_country = $db->col["owner_country"];
					$owner_country_id=$db->col["owner_country"];
					$tire_condition = $db->col["tire_condition"];
					$paint_condition = $db->col["paint_condition"];
					$engine_condition = $db->col["engine_condition"];
					$pump_condition = $db->col["pump_condition"];
					$trailer_condition = $db->col["trailer_condition"];
					$hose_condition = $db->col["hose_condition"];
					$hose_length = $db->col["hose_length"];
					$hose_type = $db->col["hose_type"];
					$length_inches = $db->col["length_inches"];
					
					$width_inches = $db->col["width_inches"];
					$height_inches = $db->col["height_inches"];
					$length_feets = $db->col["length_feets"];
					$width_feets = $db->col["width_feets"];
					$height_feets = $db->col["height_feets"];
					$length_cms = $db->col["length_cms"];
					$width_cms = $db->col["width_cms"];
					$height_cms = $db->col["height_cms"];
					
					$v_length_inches = $db->col["v_length_inches"];
					$v_width_inches = $db->col["v_width_inches"];
					$v_height_inches = $db->col["v_height_inches"];
					$v_length_feets = $db->col["v_length_feets"];
					$v_width_feets = $db->col["v_width_feets"];
					$v_height_feets = $db->col["v_height_feets"];
					$v_length_cms = $db->col["v_length_cms"];
					$v_width_cms = $db->col["v_width_cms"];
					$v_height_cms = $db->col["v_height_cms"];
					
					$dimension_note = $db->col["dimension_note"];
					$v_dimension_note = $db->col["v_dimension_note"];
					
					$move_date1 = $db->col["move_date"];
					$consigned_status = $db->col["consigned_status"];
					$consignment_date = $db->col["consignment_date"];
					$consignee_ask_price = $db->col["consignee_ask_price"];
					$consignee_low_price = $db->col["consignee_low_price"];
					$date_move = explode(" ", $move_date1);
					$move_date = $date_move[0];
					//end
					$ebay_cat_id = $db->col["ebay_cat_id"];
					$pricegrabber_category = $db->col["pricegrabber_category"];
					$pricegrabber_item_condition = $db->col["pricegrabber_item_condition"];
					$pricegrabber_part_number = $db->col["pricegrabber_part_number"];
					$amazon_id = $db->col["amazon_id"];
					$amazon_id_type = $db->col["amazon_id_type"];
					$amazon_item_condition = $db->col["amazon_item_condition"];
					$yahoo_path = $db->col["yahoo_path"];
					$google_item_condition = $db->col["google_item_condition"];
					$nextag_category = $db->col["nextag_category"];
					$nextag_item_condition = $db->col["nextag_item_condition"];
					$nextag_part_number = $db->col["nextag_part_number"];
					
					$listing_accepted_by = $db->col["listing_accepted_by"];
					$check_list_received = $db->col["check_list_received"];
					$photos_received = $db->col["photos_received"];
					$videos_received = $db->col["videos_received"];
					$seller_price_or_comis = $db->col["seller_price_or_comis"];
					$consignment_rcvd = $db->col["consignment_rcvd"];
					$ptci_retail_price = $db->col["ptci_retail_price"];
					$ptci_sale_price = $db->col["ptci_sale_price"];
					$approved_by = $db->col["approved_by"];
					$listing_owner = $db->col["listing_owner"];
					$source = $db->col["source"];	
					
					// start added fields by dmp
					
					$s_movement = $db->col["s_movement"];
					$s_destination = $db->col["s_destination"];
					$s_date_arrived = $db->col["s_date_arrived"];
					$s_date_estimated = $db->col["s_date_estimated"];
					$s_date_completed = $db->col["s_date_completed"];
					$s_priority = $db->col["s_priority"];
					$s_paint = $db->col["s_paint"];
					$s_paint_status = $db->col["s_paint_status"];
					$s_paint_date_off = $db->col["s_paint_date_off"];
					$s_paint_date_done = $db->col["s_paint_date_done"];
					$s_p_f_d_q = $db->col["s_p_f_d_q"];
					$s_part = $db->col["s_part"];
					
					$sl_sales_status = $db->col["sl_sales_status"];
					$sl_salesman = $db->col["sl_salesman"];
					$sl_date_sold = $db->col["sl_date_sold"];
					$sl_buyer_name = $db->col["sl_buyer_name"];
					$sl_buyer_company = $db->col["sl_buyer_company"];
					$sl_sale_price = $db->col["sl_sale_price"];					
	
					//Equipment Overview	
				
					$e_original_owner = $db->col["e_original_owner"];	
					$e_hw_long_owned = $db->col["e_hw_long_owned"];
					$e_reason_selling = $db->col["e_reason_selling"];
					$e_running_properly = $db->col["e_running_properly"];	
					$e_date_last_used = $db->col["e_date_last_used"];
					$e_overall_condition = $db->col["e_overall_condition"];
					$e_repairs_replaced = $db->col["e_repairs_replaced"];	
					$e_issues_problem = $db->col["e_issues_problem"];
					$e_other_acc_equ = $db->col["e_other_acc_equ"];
					$e_owner_included = $db->col["e_owner_included"];	
					$e_spec_included = $db->col["e_spec_included"];
					$e_avail_demonstration = $db->col["e_avail_demonstration"];
						
					//Equipment Details
					
					$e_hours_meter = $db->col["e_hours_meter"];	
					$e_color = $db->col["e_color"];
					$e_body = $db->col["e_body"];
					$e_str_frm_suppt = $db->col["e_str_frm_suppt"];	
					$e_paint = $db->col["e_paint"];
					$e_electrical = $db->col["e_electrical"];
					$e_engine = $db->col["e_engine"];	
					$e_engine_mdl_hp_gdp = $db->col["e_engine_mdl_hp_gdp"];
					$e_batteries = $db->col["e_batteries"];
					$e_heating = $db->col["e_heating"];	
					$e_hydraulics = $db->col["e_hydraulics"];
					$e_pump = $db->col["e_pump"];	
					
					//Trailer Details
					
					$t_trailer_included = $db->col["t_trailer_included"];
					$t_date_last_road = $db->col["t_date_last_road"];
					$t_date_dot_state_inspection = $db->col["t_date_dot_state_inspection"];
					$t_frame_sad_supt = $db->col["t_frame_sad_supt"];
					$t_how_many_axles = $db->col["t_how_many_axles"];
					$t_brakes = $db->col["t_brakes"];	
					$t_trailer_brakes2 = $db->col["t_trailer_brakes2"];
					$t_electric_hook_up = $db->col["t_electric_hook_up"];
					$t_hitcht = $db->col["t_hitcht"];
					$t_jack_stand = $db->col["t_jack_stand"];
					$t_trailer_lights = $db->col["t_trailer_lights"];
					$t_tires_remaining = $db->col["t_tires_remaining"];
					$t_sidewall_cracks = $db->col["t_sidewall_cracks"];
					$t_gvw_gross_wght = $db->col["t_gvw_gross_wght"];
					$t_vehicle_id_no = $db->col["t_vehicle_id_no"];
					$t_title_included = $db->col["t_title_included"];
					$t_overall_cond = $db->col["t_overall_cond"];
					$t_major_repair_replace = $db->col["t_major_repair_replace"];
					$t_issue_problem = $db->col["t_issue_problem"];					
			
					//Truck Details
					
					$tc_truck_included = $db->col["tc_truck_included"];	
					$tc_vehicle_id_no = $db->col["tc_vehicle_id_no"];	
					$tc_manufacturer = $db->col["tc_manufacturer"];	
					$tc_model = $db->col["tc_model"];	
					$tc_year = $db->col["tc_year"];	
					$tc_odometer_read = $db->col["tc_odometer_read"];	
					$tc_engine_hrs = $db->col["tc_engine_hrs"];	
					$tc_gvm_gross_wght = $db->col["tc_gvm_gross_wght"];	
					$tc_axle_capacity = $db->col["tc_axle_capacity"];	
					$tc_dot_state_inspection = $db->col["tc_dot_state_inspection"];	

					$tc_date_last_road = $db->col["tc_date_last_road"];	
					$tc_air_condit = $db->col["tc_air_condit"];	
					$tc_heating = $db->col["tc_heating"];	
					$tc_brakes = $db->col["tc_brakes"];	
					$tc_brakes2 = $db->col["tc_brakes2"];	
					$tc_cab_interior = $db->col["tc_cab_interior"];	
					$tc_seats = $db->col["tc_seats"];	
					$tc_body = $db->col["tc_body"];	
					$tc_mfg_mdl_hp = $db->col["tc_mfg_mdl_hp"];	
					$tc_engine = $db->col["tc_engine"];

					$tc_exhaust = $db->col["tc_exhaust"];	
					$tc_tires_remaining = $db->col["tc_tires_remaining"];	
					$tc_sidewall_cracks = $db->col["tc_sidewall_cracks"];	
					$tc_transmission = $db->col["tc_transmission"];	
					$tc_transmission2 = $db->col["tc_transmission2"];	
					$tc_windows = $db->col["tc_windows"];	
					$tc_repair_history = $db->col["tc_repair_history"];	
					$tc_overall_condt = $db->col["tc_overall_condt"];	
					$tc_issues_prob = $db->col["tc_issues_prob"];	
					$tc_repairs_repairs = $db->col["tc_repairs_repairs"];
					$tc_lien_truck = $db->col["tc_lien_truck"];			
								
					// end dmp 								

					$title = $db->col["title"];
					$meta_keywords = $db->col["meta_keywords"];
					$meta_title = $db->col["meta_title"];
					$meta_description = $db->col["meta_description"];
					$url_default = $db->col["url_default"];
					$url_custom = $db->col["url_custom"];
					$manufacturer_id = $db->col["manufacturer_id"];
					$overview = $db->col["overview"];
					$cost_note = $db->col["cost_note"];
					$description = $db->col["description"];
					$dimension_width = $db->col["dimension_width"];
					$dimension_length = $db->col["dimension_length"];
					$dimension_height = $db->col["dimension_height"];
					$priority = $db->col["priority"];
					$image_location = $db->col["image_location"];
					$image_url = $db->col["image_url"];
					$image_alt_text = $db->col["image_alt_text"];
					$zoom_option = $db->col["zoom_option"];

					$lock_fields = explode(",", $db->col["lock_fields"]);
					$update_val = $db->col["update_val"];
					$products_location_id = $db->col["products_location_id"];
					//////////////////////////////
					
					//---------new fields by mahesh.k.s
					$year = $db->col["year"];
					$new_or_used = $db->col["new_or_used"];
					$model = $db->col["model"];
					$capacity = $db->col["capacity"];
					$size = $db->col["size"];
					$hoursmeter = $db->col["hoursmeter"];
					$condition1 = $db->col["condition1"];
					$mso_included = $db->col["mso_included"];
					$title_included = $db->col["title_included"];
					$liens = $db->col["liens"];
					$liens_amount = $db->col["liens_amount"];
					$owner_last_contact_date_frmdb = $db->col["owner_last_contact_date"];
					$owner_last_contact_date = date("d-m-Y", strtotime($owner_last_contact_date_frmdb));
					//$consignee_ask_price = $db->col["consignee_ask_price"]; 
					//$consignee_low_price = $db->col["consignee_low_price"];
					$owner_phone = $db->col["owner_phone"];
					$owner_mobile = $db->col["owner_mobile"];
					$owner_fax = $db->col["owner_fax"];
					$owner_email = $db->col["owner_email"];
					$note = $db->col["note"];
					$item = $db->col["item"];
					$job_title = $db->col["job_title"];
					
					$item_addr1 = $db->col["item_addr1"];
					$item_addr2 = $db->col["item_addr2"];
					$item_city = $db->col["item_city"];
					$item_state = $db->col["item_state"];
					$item_zip = $db->col["item_zip"];
					$item_country = $db->col["item_country"];
					$loading_method = $db->col["loading_method"];
					$loading_contact = $db->col["loading_contact"];
					$loading_phone = $db->col["loading_phone"];
					$loading_hours = $db->col["loading_hours"];
					$move_by_date = date("d-m-Y", strtotime($db->col["move_by_date"]));
					$zip_from = $db->col["zip_from"];
					$zip_to = $db->col["zip_to"];
					$cost_per_mile = $db->col["cost_per_mile"];
					$manufacturer_value = $db->col["manufacturer_value"];
					$product_status = $db->col["product_status"];
					
					$vin = $db->col["vin"];
					$serial = $db->col["serial"];
					//------end -------
					
					$db->query("SELECT * FROM ".DB_PREFIX."products WHERE product_id LIKE '".$db->escape($product_id)."' AND pid<>'".$pid."'");
					if ($db->moveNext())
					{
						$dw = true;
					}
					$db->query("SELECT * FROM ".DB_PREFIX."products_categories WHERE pid='".$pid."' AND is_primary=0");
					while ($db->moveNext())
					{
						if ($db->col["cid"] != $cid)
						{
							$categories[] = $db->col["cid"];
						}
					}
					$db->query("SELECT * FROM ".DB_PREFIX."products_pticcategories WHERE pid='".$pid."' AND is_primary=0");
					while ($db->moveNext())
					{
						if ($db->col["ptic_id"] != $ptic_id)
						{
							$categories1[] = $db->col["ptic_id"];
						}
					}
					$db->query("SELECT MAX(pid) AS c FROM ".DB_PREFIX."products WHERE pid<'".$pid."'");
					$db->moveNext();
					$prev_pid = $db->col["c"];
					$db->query("SELECT MIN(pid) AS c FROM ".DB_PREFIX."products WHERE pid>'".$pid."'");
					$db->moveNext();
					$next_pid = $db->col["c"];
					break;
				}
				
				$db->query("SELECT * FROM ".DB_PREFIX."condition_products,".DB_PREFIX."conditionfields WHERE ".DB_PREFIX."condition_products.condition_id=".DB_PREFIX."conditionfields.condition_id and ".DB_PREFIX."condition_products.pid='".$pid."'");				
				if ($db->moveNext())
				{
					$item_addr1 = $db->col["item_addr1"];
					$item_addr2 = $db->col["item_addr2"];
				}
				
			}
			default :
			case "insert" : 
			{
				if ($pid > 0 && $mode != "update")
				{
					$db->query("SELECT gift_max_quantity FROM ".DB_PREFIX."products_gifts WHERE pid='".$pid."'");
					if ($db->moveNext())
					{
						$gift_max_quantity = $db->col["gift_max_quantity"];
					}
					else
					{
						$gift_max_quantity = 999;
					}
					$gift_max_quantity = " ";

					$db->query("SELECT * FROM ".DB_PREFIX."products WHERE pid='".$pid."'");
					if ($db->moveNext())
					{
						$cid = $db->col["cid"];
						$user_id = $db->col["user_id"];
						$ptic_id = $db->col["ptic_id"];
						$is_visible = $db->col["is_visible"];
						$is_hotdeal = $db->col["is_hotdeal"];
						$is_home = $db->col["is_home"];
						$is_google_co = $db->col["is_google_co"];
						$is_taxable = $db->col["is_taxable"];
						$is_dollar_days = "No";
						$is_doba = "No";
						$is_locked = "No";
						$inventory_control  = $db->col["inventory_control"];
						$inventory_rule  = $db->col["inventory_rule"];
						$stock = $db->col["stock"];
						$stock_warning = $db->col["stock_warning"];
						$weight = $db->col["weight"];
						$free_shipping = $db->col["free_shipping"];
						$digital_product = $db->col["digital_product"];
						$digital_product_file = $db->col["digital_product_file"];
						if ($db->col["price2"]>0)
						{
							$price = $db->col["price2"];
							$price2 = $db->col["price"];
						}
						else
						{
							$price = $db->col["price"];
							$price2 = "";
						}
						$call_for_price = $db->col["call_for_price"];
						$price_level_1 = $db->col["price_level_1"];
						$price_level_2 = $db->col["price_level_2"];
						$price_level_3 = $db->col["price_level_3"];
						$tax_rate = $db->col["tax_rate"];
						$tax_class_id = $db->col["tax_class_id"];
						$min_order = $db->col["min_order"];
						$max_order = $db->col["max_order"];
						$url_default = "will be generated after product saved";
						$url_custom = "";
						$product_id = "";
						$product_sku = "";
						$product_upc = "";
						$case_pack = $db->col["case_pack"];
						
						//added new fields details
					$owner_broker = $db->col["owner_broker"];	
					$owner_owner = $db->col["owner_owner"];	
					$owner_company = $db->col["owner_company"];
					$owner_address1 =  $db->col["owner_address1"];
					$owner_address2 =  $db->col["owner_address2"];
					$products_location2 =  $db->col["products_location2"];
					$owner_fname =  $db->col["owner_fname"];
					$owner_lname =  $db->col["owner_lname"];
					$owner_city = $db->col["owner_city"];
					$owner_state = $db->col["owner_state"];
					$owner_zip = $db->col["owner_zip"];
					$owner_country = $db->col["owner_country"];
					$tire_condition = $db->col["tire_condition"];
					$paint_condition = $db->col["paint_condition"];
					$engine_condition = $db->col["engine_condition"];
					$pump_condition = $db->col["pump_condition"];
					$trailer_condition = $db->col["trailer_condition"];
					$hose_condition = $db->col["hose_condition"];
					$hose_length = $db->col["hose_length"];
					$hose_type = $db->col["hose_type"];
					$length_inches = $db->col["length_inches"];
					
					$width_inches = $db->col["width_inches"];
					$height_inches = $db->col["height_inches"];
					$length_feets = $db->col["length_feets"];
					$width_feets = $db->col["width_feets"];
					$height_feets = $db->col["height_feets"];
					$length_cms = $db->col["length_cms"];
					$width_cms = $db->col["width_cms"];
					$height_cms = $db->col["height_cms"];

					$v_length_inches = $db->col["v_length_inches"];
					$v_width_inches = $db->col["v_width_inches"];
					$v_height_inches = $db->col["v_height_inches"];
					$v_length_feets = $db->col["v_length_feets"];
					$v_width_feets = $db->col["v_width_feets"];
					$v_height_feets = $db->col["v_height_feets"];
					$v_length_cms = $db->col["v_length_cms"];
					$v_width_cms = $db->col["v_width_cms"];
					$v_height_cms = $db->col["v_height_cms"];
					
					$dimension_note = $db->col["dimension_note"];
					$v_dimension_note = $db->col["v_dimension_note"];					
					
					$move_date1 = $db->col["move_date"];
					$consigned_status = $db->col["consigned_status"];
					$consignment_date = $db->col["consignment_date"];
					$consignee_ask_price = $db->col["consignee_ask_price"];
					$consignee_low_price = $db->col["consignee_low_price"];
					$date_move = explode(" ", $move_date1);
					$move_date = $date_move[0];
					$update_val = $db->col["update_val"];
					//end
					
					
					//---------new fields by mahesh.k.s
					$year = $db->col["year"];
					$new_or_used = $db->col["new_or_used"];
					$model = $db->col["model"];
					$capacity = $db->col["capacity"];
					$size = $db->col["size"];
					$hoursmeter = $db->col["hoursmeter"];
					$condition1 = $db->col["condition1"];
					$mso_included = $db->col["mso_included"];
					$title_included = $db->col["title_included"];
					$liens = $db->col["liens"];
					$liens_amount = $db->col["liens_amount"];
					$owner_last_contact_date_frmdb = $db->col["owner_last_contact_date"];
					$owner_last_contact_date = date("d-m-Y", strtotime($owner_last_contact_date_frmdb));
					//$consignee_ask_price = $db->col["consignee_ask_price"]; 
					//$consignee_low_price = $db->col["consignee_low_price"];
					$owner_phone = $db->col["owner_phone"];
					$owner_mobile = $db->col["owner_mobile"];
					$owner_fax = $db->col["owner_fax"];
					$owner_email = $db->col["owner_email"];
					$note = $db->col["note"];
					$item = $db->col["item"];
					$job_title = $db->col["job_title"];
					
					$item_addr1 = $db->col["item_addr1"];
					$item_addr2 = $db->col["item_addr2"];
					$item_city = $db->col["item_city"];
					$item_state = $db->col["item_state"];
					$item_zip = $db->col["item_zip"];
					$item_country = $db->col["item_country"];
					$loading_method = $db->col["loading_method"];
					$loading_contact = $db->col["loading_contact"];
					$loading_phone = $db->col["loading_phone"];
					$loading_hours = $db->col["loading_hours"];
					$move_by_date = date("d-m-Y", strtotime($db->col["move_by_date"]));
					$zip_from = $db->col["zip_from"];
					$zip_to = $db->col["zip_to"];
					$cost_per_mile = $db->col["cost_per_mile"];

					$listing_accepted_by = $db->col["listing_accepted_by"];
					$check_list_received = $db->col["check_list_received"];
					$photos_received = $db->col["photos_received"];
					$videos_received = $db->col["videos_received"];
					$seller_price_or_comis = $db->col["seller_price_or_comis"];
					$consignment_rcvd = $db->col["consignment_rcvd"];
					$ptci_retail_price = $db->col["ptci_retail_price"];
					$ptci_sale_price = $db->col["ptci_sale_price"];
					$approved_by = $db->col["approved_by"];
					$listing_owner = $db->col["listing_owner"];
					$source = $db->col["source"];	
					
					// start added fields by dmp
					
					$s_movement = $db->col["s_movement"];
					$s_destination = $db->col["s_destination"];
					$s_date_arrived = $db->col["s_date_arrived"];
					$s_date_estimated = $db->col["s_date_estimated"];
					$s_date_completed = $db->col["s_date_completed"];
					$s_priority = $db->col["s_priority"];
					$s_paint = $db->col["s_paint"];
					$s_paint_status = $db->col["s_paint_status"];
					$s_paint_date_off = $db->col["s_paint_date_off"];
					$s_paint_date_done = $db->col["s_paint_date_done"];
					$s_p_f_d_q = $db->col["s_p_f_d_q"];
					$s_part = $db->col["s_part"];
					
					$sl_sales_status = $db->col["sl_sales_status"];
					$sl_salesman = $db->col["sl_salesman"];
					$sl_date_sold = $db->col["sl_date_sold"];
					$sl_buyer_name = $db->col["sl_buyer_name"];
					$sl_buyer_company = $db->col["sl_buyer_company"];
					$sl_sale_price = $db->col["sl_sale_price"];					
				
					//Equipment Overview	
				
					$e_original_owner = $db->col["e_original_owner"];	
					$e_hw_long_owned = $db->col["e_hw_long_owned"];
					$e_reason_selling = $db->col["e_reason_selling"];
					$e_running_properly = $db->col["e_running_properly"];	
					$e_date_last_used = $db->col["e_date_last_used"];
					$e_overall_condition = $db->col["e_overall_condition"];
					$e_repairs_replaced = $db->col["e_repairs_replaced"];	
					$e_issues_problem = $db->col["e_issues_problem"];
					$e_other_acc_equ = $db->col["e_other_acc_equ"];
					$e_owner_included = $db->col["e_owner_included"];	
					$e_spec_included = $db->col["e_spec_included"];
					$e_avail_demonstration = $db->col["e_avail_demonstration"];
						
					//Equipment Details
					
					$e_hours_meter = $db->col["e_hours_meter"];	
					$e_color = $db->col["e_color"];
					$e_body = $db->col["e_body"];
					$e_str_frm_suppt = $db->col["e_str_frm_suppt"];	
					$e_paint = $db->col["e_paint"];
					$e_electrical = $db->col["e_electrical"];
					$e_engine = $db->col["e_engine"];	
					$e_engine_mdl_hp_gdp = $db->col["e_engine_mdl_hp_gdp"];
					$e_batteries = $db->col["e_batteries"];
					$e_heating = $db->col["e_heating"];	
					$e_hydraulics = $db->col["e_hydraulics"];
					$e_pump = $db->col["e_pump"];	
					
					//Trailer Details
					
					$t_trailer_included = $db->col["t_trailer_included"];
					$t_date_last_road = $db->col["t_date_last_road"];
					$t_date_dot_state_inspection = $db->col["t_date_dot_state_inspection"];
					$t_frame_sad_supt = $db->col["t_frame_sad_supt"];
					$t_how_many_axles = $db->col["t_how_many_axles"];
					$t_brakes = $db->col["t_brakes"];	
					$t_trailer_brakes2 = $db->col["t_trailer_brakes2"];
					$t_electric_hook_up = $db->col["t_electric_hook_up"];
					$t_hitcht = $db->col["t_hitcht"];
					$t_jack_stand = $db->col["t_jack_stand"];
					$t_trailer_lights = $db->col["t_trailer_lights"];
					$t_tires_remaining = $db->col["t_tires_remaining"];
					$t_sidewall_cracks = $db->col["t_sidewall_cracks"];
					$t_gvw_gross_wght = $db->col["t_gvw_gross_wght"];
					$t_vehicle_id_no = $db->col["t_vehicle_id_no"];
					$t_title_included = $db->col["t_title_included"];
					$t_overall_cond = $db->col["t_overall_cond"];
					$t_major_repair_replace = $db->col["t_major_repair_replace"];
					$t_issue_problem = $db->col["t_issue_problem"];					
			
					//Truck Details
					
					$tc_truck_included = $db->col["tc_truck_included"];	
					$tc_vehicle_id_no = $db->col["tc_vehicle_id_no"];	
					$tc_manufacturer = $db->col["tc_manufacturer"];	
					$tc_model = $db->col["tc_model"];	
					$tc_year = $db->col["tc_year"];	
					$tc_odometer_read = $db->col["tc_odometer_read"];	
					$tc_engine_hrs = $db->col["tc_engine_hrs"];	
					$tc_gvm_gross_wght = $db->col["tc_gvm_gross_wght"];	
					$tc_axle_capacity = $db->col["tc_axle_capacity"];	
					$tc_dot_state_inspection = $db->col["tc_dot_state_inspection"];	

					$tc_date_last_road = $db->col["tc_date_last_road"];	
					$tc_air_condit = $db->col["tc_air_condit"];	
					$tc_heating = $db->col["tc_heating"];	
					$tc_brakes = $db->col["tc_brakes"];	
					$tc_brakes2 = $db->col["tc_brakes2"];	
					$tc_cab_interior = $db->col["tc_cab_interior"];	
					$tc_seats = $db->col["tc_seats"];	
					$tc_body = $db->col["tc_body"];	
					$tc_mfg_mdl_hp = $db->col["tc_mfg_mdl_hp"];	
					$tc_engine = $db->col["tc_engine"];

					$tc_exhaust = $db->col["tc_exhaust"];	
					$tc_tires_remaining = $db->col["tc_tires_remaining"];	
					$tc_sidewall_cracks = $db->col["tc_sidewall_cracks"];	
					$tc_transmission = $db->col["tc_transmission"];	
					$tc_transmission2 = $db->col["tc_transmission2"];	
					$tc_windows = $db->col["tc_windows"];	
					$tc_repair_history = $db->col["tc_repair_history"];	
					$tc_overall_condt = $db->col["tc_overall_condt"];	
					$tc_issues_prob = $db->col["tc_issues_prob"];	
					$tc_repairs_repairs = $db->col["tc_repairs_repairs"];
					$tc_lien_truck = $db->col["tc_lien_truck"];	
					
					// end dmp										
					
					$vin = $db->col["vin"];
					$serial = $db->col["serial"];
					
					
					//------end -------
					
						$inter_pack = $db->col["inter_pack"];
						$gift_quantity = $db->col["gift_quantity"];

						$amazon_id = $db->col["amazon_id"];
						$amazon_id_type = $db->col["amazon_id_type"];
						$amazon_item_condition = $db->col["amazon_item_condition"];
						$ebay_cat_id = $db->col["ebay_cat_id"];
						$pricegrabber_category = $db->col["pricegrabber_category"];
						$pricegrabber_item_condition = $db->col["pricegrabber_item_condition"];
						$pricegrabber_part_number = $db->col["pricegrabber_part_number"];
						$yahoo_path = $db->col["yahoo_path"];
						$google_item_condition = $db->col["google_item_condition"];
						$nextag_category = $db->col["nextag_category"];
						$nextag_item_condition = $db->col["nextag_item_condition"];
						$nextag_part_number = $db->col["nextag_part_number"];

						$title = $db->col["title"];
						$meta_keywords = $db->col["meta_keywords"];
						$meta_title = $db->col["meta_title"];
						$meta_description = $db->col["meta_description"];
						$manufacturer_id = $db->col["manufacturer_id"];
						$overview = $db->col["overview"];
						$cost_note = $db->col["cost_note"];
						$description = $db->col["description"];
						$dimension_width = $db->col["dimension_width"];
						$dimension_length = $db->col["dimension_length"];
						$dimension_height = $db->col["dimension_height"];
						$priority = $db->col["priority"];
						$image_location = $db->col["image_location"];
						$image_url = $db->col["image_url"];
						$image_alt_text = $db->col["image_alt_text"];
						$zoom_option = $db->col["zoom_option"];
						
						$lock_fields = explode(",", $db->col["lock_fields"]);
						
						$products_location_id = $db->col["products_location_id"];

						$db->query("SELECT * FROM ".DB_PREFIX."products_categories WHERE pid='".$pid."' AND is_primary=0");
						while ($db->moveNext())
						{
							$categories[] = $db->col["cid"];
						}
						$db->query("SELECT * FROM ".DB_PREFIX."products_pticcategories WHERE pid='".$pid."' AND is_primary=0");
						while ($db->moveNext())
						{
							$categories1[] = $db->col["ptic_id"];
						}
					}
				}
				else
				{
					//echo $user->id;
					if($add_product == '' AND  $add_user == '')
						$userdetails = $db->query("select * from ".DB_PREFIX."users LEFT JOIN ".DB_PREFIX."countries on ".DB_PREFIX."users.country=".DB_PREFIX."countries.coid where ".DB_PREFIX."users.uid='".$user->id."'");	
					else
						$userdetails = $db->query("select * from ".DB_PREFIX."users LEFT JOIN ".DB_PREFIX."countries on ".DB_PREFIX."users.country=".DB_PREFIX."countries.coid where ".DB_PREFIX."users.uid='".$add_product."'");
						
					if($db->moveNext())
					{
						$mode = "insert";
						$cid = isset($cid)?$cid*1:TREE_ROOT;
						$user_id = $user->id;
						$ptic_id = isset($ptic_id)?$ptic_id*1:TREE_ROOT;;
						$is_visible = "Yes";
						$is_hotdeal = "No";
						$is_home = "No";
						$is_google_co = "Yes";
						$is_taxable = "Yes";
						$is_dollar_days = "No";
						$is_doba = "No";
						$is_locked = "No";
						$inventory_control = "No";
						$inventory_rule  = "Hide";
						$stock = 0;
						$stock_warning = 0;
						$weight = "0.00";
						$amazon_id = "";
						$amazon_id_type = 0;
						$amazon_item_condition = 0;
						$google_item_condition = "";
						$nextag_category = "";
						$nextag_item_condition = "";
						$nextag_part_number = "";
						$ebay_cat_id = 0;
						$pricegrabber_category = "";
						$pricegrabber_item_condition = "New";
						$pricegrabber_part_number = "";
						$yahoo_path = "";
						$free_shipping = "No";
						//$shipping_price = "0.00";
						$digital_product = "No";
						$digital_product_file = "";
						$cost = "";
						$shipping_cost = 0;
						$price = "";
						$price2 = "";
						$call_for_price = "No";
						$price_level_1 = 0;
						$price_level_2 = 0;
						$price_level_3 = 0;
						$tax_rate = 0;
						$tax_class_id = 1;  //Add all products to default tax class
						$min_order = 1;
						$max_order = 0;
						$product_id = "";
						//added new fields details
						$owner_broker = $db->col["owner_broker"];
						$owner_owner = $db->col["owner_owner"];
						$owner_company = $db->col["company"];
						$owner_address1 =  $db->col["address1"];
						$owner_address2 =  $db->col["address2"];
						$products_location2 =  $db->col["products_location2"];
						$owner_fname =  $db->col["fname"];
						$owner_lname =  $db->col["lname"];
						$owner_city = $db->col["city"];
						$owner_state = $db->col["province"];
						//$owner_state_id = $db->col["province"];
						$owner_zip = $db->col["zip"];
						$owner_phone =	$db->col["phone"];
						$owner_email =	$db->col["email"];
						$note = $db->col["note"];
						$owner_country = $db->col["name"];
						$owner_country_id = $db->col["country"];
						$owner_state_id = $db->col["state"];
						$tire_condition = "";
						$paint_condition = "";
						$engine_condition = "";
						$pump_condition = "";
						$trailer_condition = "";
						$hose_condition = "";
						$hose_length = "0.00";
						$hose_type = "";
						$length_inches = "0.00";
						
						$listing_accepted_by = "";
						$check_list_received = "";
						$photos_received = "";
						$videos_received = "";
						$seller_price_or_comis = "";
						$consignment_rcvd = "";
						$ptci_retail_price = "";
						$ptci_sale_price = "";
						$approved_by = "";
						$listing_owner = "";
						$source = "";
						
						// start added fields by dmp
					
						$s_movement = "";
						$s_destination = "";
						$s_date_arrived = "";
						$s_date_estimated = "";
						$s_date_completed = "";
						$s_priority = "";
						$s_paint = "";
						$s_paint_status = "";
						$s_paint_date_off = "";
						$s_paint_date_done = "";
						$s_p_f_d_q = "";
						$s_part = "";
						
						$sl_sales_status = "";
						$sl_salesman = "";
						$sl_date_sold = "";
						$sl_buyer_name = "";
						$sl_buyer_company = "";
						$sl_sale_price = "";	
						
						//Equipment Overview	
				
						$e_original_owner = "";
						$e_hw_long_owned = "";
						$e_reason_selling = "";
						$e_running_properly = "";
						$e_date_last_used = "";
						$e_overall_condition = "";
						$e_repairs_replaced = "";
						$e_issues_problem = "";
						$e_other_acc_equ = "";
						$e_owner_included = "";
						$e_spec_included = "";
						$e_avail_demonstration = "";
							
						//Equipment Details
						
						$e_hours_meter = "";
						$e_color = "";
						$e_body = "";
						$e_str_frm_suppt = "";
						$e_paint = "";
						$e_electrical = "";
						$e_engine = "";
						$e_engine_mdl_hp_gdp = "";
						$e_batteries = "";
						$e_heating = "";
						$e_hydraulics = "";
						$e_pump = "";
						
						//Trailer Details
					
						$t_trailer_included = "";
						$t_date_last_road = "";
						$t_date_dot_state_inspection = "";
						$t_frame_sad_supt = "";
						$t_how_many_axles = "";
						$t_brakes = "";
						$t_trailer_brakes2 = "";
						$t_electric_hook_up = "";
						$t_hitcht = "";
						$t_jack_stand = "";
						$t_trailer_lights = "";
						$t_tires_remaining = "";
						$t_sidewall_cracks = "";
						$t_gvw_gross_wght = "";
						$t_vehicle_id_no = "";
						$t_title_included = "";
						$t_overall_cond = "";
						$t_major_repair_replace = "";
						$t_issue_problem = "";
				
						//Truck Details
						
						$tc_truck_included = "";
						$tc_vehicle_id_no = "";
						$tc_manufacturer = "";
						$tc_model = "";
						$tc_year = "";
						$tc_odometer_read = "";
						$tc_engine_hrs = "";
						$tc_gvm_gross_wght = "";
						$tc_axle_capacity = "";
						$tc_dot_state_inspection = "";

						$tc_date_last_road = "";
						$tc_air_condit = "";
						$tc_heating = "";
						$tc_brakes = "";
						$tc_brakes2 = "";
						$tc_cab_interior = "";
						$tc_seats = "";
						$tc_body = "";
						$tc_mfg_mdl_hp = "";
						$tc_engine = "";

						$tc_exhaust = "";
						$tc_tires_remaining = "";
						$tc_sidewall_cracks = "";
						$tc_transmission = "";
						$tc_transmission2 = "";
						$tc_windows = "";
						$tc_repair_history = "";
						$tc_overall_condt = "";
						$tc_issues_prob = "";
						$tc_repairs_repairs = "";
						$tc_lien_truck = "";
				
					
						// end dmp
						
						$width_inches = "0.00";
						$height_inches = "0.00";
						$length_feets = "0.00";
						$width_feets = "0.00";
						$height_feets = "0.00";
						$length_cms = "0.00";
						$width_cms = "0.00";
						$height_cms = "0.00";
						
						$v_length_inches = "0.00";
						$v_width_inches = "0.00";
						$v_height_inches = "0.00";
						$v_length_feets = "0.00";
						$v_width_feets = "0.00";
						$v_height_feets = "0.00";
						$v_length_cms = "0.00";
						$v_width_cms = "0.00";
						$v_height_cms = "0.00";
						
						$dimension_note = "";
						$v_dimension_note = "";						
						
						$move_date = date("Y-m-d H:i:s");
						$consigned_status = "";
						$consignment_date = "";
						
						$consignee_ask_price = "0.00";
						$consignee_low_price = "0.00";
						$update_val = "";
						//end
						$product_sku = "";
						$product_upc = "";
						$case_pack = -1;
						$inter_pack = -1;
						$gift_quantity = 1;
						$gift_max_quantity = 999;
						$title = "";
						$meta_keywords = "";
						$meta_title = "";
						$meta_description = "";
						$url_default = "will be generated after product saved";
						$url_custom = "";
						$manufacturer_id = 0;
						$overview = "";
						$cost_note = "";
						$description = "";
						$dimension_width = 0;
						$dimension_length = 0;
						$dimension_height = 0;
						$priority = 0;
						$image_location = "Local";
						$image_url = "";
						$image_alt_text = "";
						$zoom_option = "";
						$lock_fields = array();
						$products_location_id = 0;
					}
				}
				$pid = 0;
			}
		}

		$stock = $stock < 0 ? 0 : $stock;
?>
<script type="text/javascript" src="content/vendors/jquery/ddaccordion/ddaccordion.js"></script>
<script type="text/javascript">
ddaccordion.init({
	headerclass:"sliderButton", //Shared CSS class name of headers group
	contentclass:"sliderDiv", //Shared CSS class name of contents group
	collapseprev:false, //Collapse previous content (so only one open at any time)? true/false
	defaultexpanded:[], //index of content(s) open by default [index1, index2, etc]. [] denotes no content.
	animatedefault:false, //Should contents open by default be animated into view?
	persiststate:true, //persist state of opened contents within browser session?
	toggleclass:["", ""], //Two CSS classes to be applied to the header when it's collapsed and expanded, respectively ["class1", "class2"]
	togglehtml:["src", "images/icons/ic_arrow_down.gif", "images/icons/ic_arrow_up.gif"], //Additional HTML added to the header when it's collapsed and expanded, respectively  ["position", "html1", "html2"] (see docs)
	animatespeed:"fast" //speed of animation: "fast", "normal", or "slow"
});
</script>
<script>
 $(document).ready(function(){
	
	 $(".ui-icon-closethick" ).bind("click touchstart", function(){
		$('#dmp_ui').hide();
	});
	setTimeout(function() {
$('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').fadeOut('fast');
$('.invisible').dialog("close");
}, 3000);
 });
 function closepopup()
 {
	 $('.ui-dialog').hide();
 }
</script>
<?php
		//loadJS("cf_product.js");
		//loadJS("cd_product.js");
		//loadJS("product_gifts.js");

		//pageHeader("Product", ucfirst(strtolower($mode)), "ic_product_".($mode == "update" ? "edit" : "add").".gif");

		pageNote(array(
			//array("icon"=>"ic_hint.gif", "text"=>"<b>Please note : required fields are bold</b>", "url"=>"",  "visible"=>true),
			//array("icon"=>"ic_hint.gif", "text"=>"Decimal points and commas are accepted in the Product Price and Weight fields.", "url"=>"",  "visible"=>true),
			//array("icon"=>"ic_delete.gif", "text"=>"Delete this product", "url"=>"JavaScript:ConfirmDeleteProduct('".$pid."')",  "visible"=>$mode=="update"),
			array("icon"=>"ic_hint.gif", "text"=>"<span style=\"color:#990000\"><b>Please note: There are currently no product categories in database.</b><br>Please add product categories first</span>", "url"=>"", "visible"=>$cats_count < 1),
			array("icon"=>"ic_dollar.gif", "text"=>"Product source: DollarDays.com", "url"=>"",  "visible"=>$is_dollar_days == "Yes"),
			array("icon"=>"ic_doba.gif", "text"=>"Product source: Doba.com", "url"=>"",  "visible"=>$is_doba == "Yes"),
		));

?>
<form name="frmProduct" action="index.php?p=admin_product_process" method="post" onsubmit="return validateFields();" enctype="multipart/form-data" style="padding:0px;margin:0px;">
	<input type="hidden" name="pid" value="<?=$pid?>">
	<input type="hidden" name="mode" value="<?=$mode?>">
	<input type="hidden" name="add_product" id="add_product" value="<?=$add_product?>">
	<input type="hidden" name="add_user" id="add_user" value="<?=$add_user?>">	
	<input type="hidden" name="mode" value="<?=$mode?>" id="dmp_mode">
	<input type="hidden" name="last_active_tab" value="<?=$last_active_tab?>" id="idActiveTabHidden">
	<input type="hidden" name="last_active_tab_front" value="yes" id="last_active_tab_front">
	<input type="hidden" name="user_level" value="<?=$user->level?>" id="user_level">
	<input type="hidden" name="product_status" value="<?=$product_status?>" id="product_status">
	<input type="hidden" name="user_id" value="<?=$user_id?>" id="user_id">	
	
	
	<?php
	if($add_product != '' OR  $add_user != '')
	{?>
		<script>
			$(document).ready(function(){
				$('.add_view_equi').hide();
				});
		</script>
	<?}
	if($add_product != '')
	{?>
		<div>
			<table cellpadding=5 cellspacing=5>
				<tr>
					<td style="padding:0 5px;" colspan=5>You are adding equipment to the following user's account.</td>
				</tr>
				<tr>
					<td style="padding:0 5px;"><?=$db->col["fname"]?></td><td style="padding:0 5px;"><?=$db->col["lname"]?></td><td style="padding:0 5px;"><?=$db->col["company"]?></td><td style="padding:0 5px;"><?=$db->col["phone"]?></td><td style="padding:0 5px;"><?=$db->col["email"]?></td>
				</tr>	
			</table>
		</div>
	<?}
	?>
	<div class="admin-tabs admin-tabs-framed" id="tabs-product">
	<?php	
	if($dmp_msg == 'success' && $dmp_msg != '')
	{ ?>
	<div style="display: block; z-index: 1002; outline: 0px none; height: auto; width: 550px; top: 100px; left: 80px;" class="ui-dialog ui-widget ui-widget-content ui-corner-all  ui-draggable" tabindex="-1" role="dialog" aria-labelledby="ui-dialog-title-sucmsg" id="dmp_ui"><div class="ui-dialog-titlebar ui-widget-header ui-corner-all ui-helper-clearfix" style="padding-left: 175px;"><span class="ui-dialog-title" id="ui-dialog-title-sucmsg">Task Completed Successfully</span><a href="javascript:void(0);" class="ui-dialog-titlebar-close ui-corner-all" role="button"><span class="ui-icon ui-icon-closethick" style="cursor:pointer;" onClick="javascript: closepopup(); " >close</span></a></div><div align="center" style="font-weight: bold; width: auto; min-height: 0px; height: 0px; display: none;" id="sucmsg" name="sucmsg" class="ui-dialog-content ui-widget-content">
	</div></div>

	<?php } ?>
<?php
	if($user->level == 100 )
	{
		pageTabs(array(
			array("title"=>"User", "id"=>"user"),
			array("title"=>"Equipment Info", "id"=>"myequipuser"),
			array("title"=>"Service", "id"=>"service"),
			#array("title"=>"Additional Product Info", "id"=>"newattributes"),
			//array("title"=>"Attributes", "id"=>"attributes"),
			//array("title"=>"Inventory", "id"=>"inventory"),
			//array("title"=>"Recommended", "id"=>"families"),
			//array("title"=>"Product Promotions", "id"=>"gifts"),
			//array("title"=>"Quantity Discounts", "id"=>"discounts"),
			array("title"=>"Photos", "id"=>"images"),
			array("title"=>"Videos", "id"=>"videos"),
			array("title"=>"Listing Check List", "id"=>"check_list")
			//array("title"=>"Data Export Attributes", "id"=>"export-mapping")
		), 'tabs-product', $last_active_tab);
	}
	elseif($user->level == 200)
	{
		//$last_active_tab = "myequipuser";
		pageTabs(array(
			array("title"=>"User", "id"=>"user"),
			array("title"=>"Equipment Info", "id"=>"myequipuser"),
			array("title"=>"Service", "id"=>"service"),
			array("title"=>"Product Info", "id"=>"main"),
			array("title"=>"Additional Product Info", "id"=>"newattributes"),
			//array("title"=>"Attributes", "id"=>"attributes"),
			//array("title"=>"Inventory", "id"=>"inventory"),
			//array("title"=>"Recommended", "id"=>"families"),
			//array("title"=>"Product Promotions", "id"=>"gifts"),
			//array("title"=>"Quantity Discounts", "id"=>"discounts"),
			array("title"=>"Photos", "id"=>"images"),
			array("title"=>"Videos", "id"=>"videos"),
			array("title"=>"Listing Check List", "id"=>"check_list")
			//array("title"=>"Data Export Attributes", "id"=>"export-mapping")
		), 'tabs-product', $last_active_tab);
	}	
	else
	{
		pageTabs(array(
			array("title"=>"User", "id"=>"user"),
			array("title"=>"Equipment Info", "id"=>"myequipuser"),
			#array("title"=>"Additional Product Info", "id"=>"newattributes"),
			//array("title"=>"Attributes", "id"=>"attributes"),
			//array("title"=>"Inventory", "id"=>"inventory"),
			//array("title"=>"Recommended", "id"=>"families"),
			//array("title"=>"Product Promotions", "id"=>"gifts"),
			//array("title"=>"Quantity Discounts", "id"=>"discounts"),
			array("title"=>"Photos", "id"=>"images"),
			array("title"=>"Videos", "id"=>"videos"),
			//array("title"=>"Listing Check List", "id"=>"check_list")
			//array("title"=>"Data Export Attributes", "id"=>"export-mapping")
		), 'tabs-product', $last_active_tab);
	}

		if (isset($dw) && $mode=="update")
		{
?>
		<table width="100%" cellpadding="2" cellspacing="1" border="0" bgcolor="black">
			<tr>
				<td bgcolor="#ffffCC" style="color:red;" height="60" align="center">
					<b>
						Warning: Entered Product ID "<?=gs($product_id)?>" Already Exists in the Database.<br>
						Please Enter a Different Product ID.
					</b>
				</td>
			</tr>
		</table>

		
		&nbsp;
<?php
		}
		?>	
<link rel="stylesheet" href="content/admin/plupload.queue.css" type="text/css" media="screen" />
<script type="text/javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">
	google.load("jquery", "1.3");
</script>
<!--
<script type="text/javascript" src="content/admin/js/jquery-1.5.1.js"></script>
<script type="text/javascript" src="content/admin/js/jquery.ui.core.js"></script>	
<script type="text/javascript" src="content/admin/js/jquery.ui.datepicker.js"></script>
<script>
	$(function() {
		//alert("se");
		$( "#datepicker1" ).datepicker();
	});
	/*$("#datepicker").click(function(){
		alert("se");
	});*/
</script>
-->
<script type="text/javascript" src="content/admin/js/gears_init.js"></script>
<script type="text/javascript" src="http://bp.yahooapis.com/2.4.21/browserplus-min.js"></script>
<script type="text/javascript" src="content/admin/js/plupload.full.min.js"></script>
<script type="text/javascript" src="content/admin/js/jquery.plupload.queue.min.js"></script>

<script type="text/javascript" src="content/admin/js/swfupload/swfupload.js"></script>
<script type="text/javascript" src="content/admin/js/jquery.swfupload.js"></script>



		<?php
		
	if($user->level == 100)
	{
		require_once("content/public/include/admin_product_myequip_user.php");
		require_once("content/public/include/admin_product_tab_service.php");
		//require_once("content/public/include/admin_product_add_field_info.php");
		//require_once("content/public/include/admin_product_tab_attributes.php");
		//require_once("content/public/include/admin_product_tab_inventory.php");
		//require_once("content/public/include/admin_product_tab_families.php");

		require_once("content/public/include/admin_product_tab_images.php");
		require_once("content/public/include/admin_product_tab_videos.php");
		require_once("content/public/include/admin_product_tab_check_list.php");
		//require_once("content/public/include/admin_product_tab_gifts.php");
		//require_once("content/public/include/admin_product_tab_discounts.php");
		//require_once("content/public/include/admin_product_tab_export_mapping.php");
	}
	elseif($user->level == 200)
	{
		require_once("content/public/include/admin_product_myequip_user.php");
		require_once("content/public/include/admin_product_tab_service.php");
		require_once("content/public/include/admin_product_tab_info.php");
		require_once("content/public/include/admin_product_add_field_info.php");
		//require_once("content/public/include/admin_product_tab_attributes.php");
		//require_once("content/public/include/admin_product_tab_inventory.php");
		//require_once("content/public/include/admin_product_tab_families.php");

		require_once("content/public/include/admin_product_tab_images.php");
		require_once("content/public/include/admin_product_tab_videos.php");
		require_once("content/public/include/admin_product_tab_check_list.php");
		//require_once("content/public/include/admin_product_tab_gifts.php");
		//require_once("content/public/include/admin_product_tab_discounts.php");
		//require_once("content/public/include/admin_product_tab_export_mapping.php");
	}	
	else
	{
		require_once("content/public/include/admin_product_myequip_user.php");
		//require_once("content/public/include/admin_product_add_field_info.php");
		//require_once("content/public/include/admin_product_tab_attributes.php");
		//require_once("content/public/include/admin_product_tab_inventory.php");
		//require_once("content/public/include/admin_product_tab_families.php");

		require_once("content/public/include/admin_product_tab_images.php");
		require_once("content/public/include/admin_product_tab_videos.php");
		//require_once("content/public/include/admin_product_tab_check_list.php");
		//require_once("content/public/include/admin_product_tab_gifts.php");
		//require_once("content/public/include/admin_product_tab_discounts.php");
		//require_once("content/public/include/admin_product_tab_export_mapping.php");
	}
		
?>
	</div>

<?php
	if($product_status == 'pending' || $product_status == 'approved' || $mode == 'insert' || $mode == 'update')
	{
?>
	<table width="100%" cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td width="25%" align="left">&nbsp;
				
    		</td>
			<td class="admin-form-buttons">
				<input type="hidden" name="do_apply" value="no">
				<input type="submit" class="sell-my-equipment" value="Save changes" default="default"> &nbsp;
				<input type="reset" class="sell-my-equipment" value="Reset form" onclick="return confirm('Are you sure you want to reset all the fields to display no values?');">
			</td>
			<td width="25%" align="right">&nbsp;
				
			</td>
		</tr>
	</table>
<?php
	}
?>

</form>

<?php
	}
	else
	{
		pageHeader("Error Adding New Product", "", "ic_error.gif");
		if ($products_count >= $iono->max_product_count && $mode == "insert")
		{
			pageNote(array(
				array("icon"=>"ic_error.gif", "text"=>"<b>Product cannot be added as you have reached the maximum number of products allowed.<br/>If you would like to upgrade your service, please contact customer support.</b>", "url"=>"",  "visible"=>true)
			));
		}
		else
		{
			pageNote(array(
				array("icon"=>"ic_error.gif", "text"=>"<b>Can't add a new product. Please add a new category first.</b>", "url"=>"",  "visible"=>true),
				array("icon"=>"ic_folder_new.gif", "text"=>"Click here to add a New Category", "url"=>"admin.php?p=category&mode=insert",  "visible"=>true)
			));
		}
	}
?>
<script>
function validateFields()
{
	
if( ($('#user_level').val()=='100') || ($('#user_level').val()=='0') || ($('#user_level').val()=='200') )
{
	var regexp = /^(\+|-)?(\d*\.?\d*)$/;
	var newVal = $("#consignee_ask_price").val();
	var mode = $('#dmp_mode').val();
	
	if($("#owner_company").val()=='')
	{
		alert("Please Enter Company Name");
		setActiveTab('tabs-product', 'user');
		$("#owner_company").focus();
		return false;
	}
	else if($("#owner_email").val()=='')
	{
		alert("Please Enter Email Address");
		setActiveTab('tabs-product', 'user');
		$("#owner_email").focus();
		return false;
	}
	else if(!isEmail($("#owner_email").val()))
	{
		alert("Please Enter a Valid Email Address");
		setActiveTab('tabs-product', 'user');
		$("#owner_email").focus();
		return false;
	}
	else if($("#consignee_ask_price").val()=='')
	{
		alert("Please Enter Your Best Price");	
		setActiveTab('tabs-product', 'myequipuser');	
		$("#consignee_ask_price").focus();
		return false;
	}	
	else if( (!regexp.test(newVal)) && (typeof newVal != 'undefined') )
	{
		alert("Enter only Decimal Data to the Price Field");
		setActiveTab('tabs-product', 'myequipuser');
		$("#consignee_ask_price").focus();
		return false;
	}
	else if($("#title").val()=='')
	{
		alert("Please Enter Item Name");
		setActiveTab('tabs-product', 'myequipuser');
		$("#title").focus();
		return false;
	}
	else if($("#jobtitle").val()=='')
	{
		alert("Please Enter Job Title");
		setActiveTab('tabs-product', 'myequipuser');
		$("#jobtitle").focus();
		return false;
	}
	else if($("#manufacturer_id").val()=='')
	{
		alert("Please Select a Manufacturer");
		setActiveTab('tabs-product', 'myequipuser');
		$("#manufacturer_id").focus();
		return false;
	}
	else if($("#model").val()=='')
	{
		alert("Please Enter Model");
		setActiveTab('tabs-product', 'myequipuser');
		$("#model").focus();
		return false;
	} 
	else if($("#year").val()=='')
	{
		alert("Please Select an Year");
		setActiveTab('tabs-product', 'myequipuser');
		$("#year").focus();
		return false;
	}
	else if($("#field-category").val()==0)
	{
		alert("Please Select A Category");
		setActiveTab('tabs-product', 'myequipuser');
		$("#field-category").focus();
		return false;
	}
	else
	{
		if(mode == 'insert')
		{	
			if($("#consi_agree1").is(':checked'))
			{
				 return true;
		    }
			else
			{
			alert('Please check the box to indicate that you have read, and agree, to the Terms and Conditions of PTIC’s Consignment Agreement');
			setActiveTab('tabs-product', 'myequipuser');
			$("#consi_agree1").focus();
			return false;
			}
		}
	} 		
	
}
else 
{
	var regexp = /^(\+|-)?(\d*\.?\d*)$/;
	var newVal = $("#consignee_ask_price").val();
	
	//alert("fdsfds");
	if($("#consignee_ask_price").val()=='')
	{
		alert("Please Enter Your Best Price");
		$("#consignee_ask_price").focus();
		return false;
	}
	
	if( (!regexp.test(newVal)) && (typeof newVal != 'undefined') )
	{
		alert("Enter only Decimal Data to the Price Field");
		$("#consignee_ask_price").focus();
		return false;
	}
	
	if($("#field-category").val()==0)
	{
		alert("Please Select A Category");
		$("#field-category").focus();
		return false;
	}	
	if($("#field-name").val()=='')
	{
		alert("Please Enter Product Name");
		$("#field-name").focus();
		return false;
	}
	
	if($("#title").val()=='')
	{
		alert("Please Enter Item Name");
		$("#title").focus();
		return false;
	}
	

	
	
	if($("#jobtitle").val()=='')
	{
	alert("Please Enter Job Title");
	$("#jobtitle").focus();
	return false;
	}

if($('#user_level').val()=='0')
{	
	if($("#owner_company").val()=='')
	{
	alert("Please Enter Company Name");
	$("#owner_company").focus();
	return false;
	}
}	
	
	if($("#manufacturer_id").val()=='')
	{
		alert("Please Select a Manufacturer");
		$("#manufacturer_id").focus();
		return false;
	}
	if($("#model").val()=='')
	{
		alert("Please Enter Model");
		$("#model").focus();
		return false;
	}
	if($("#year").val()=='')
	{
		alert("Please Select an Year");
		$("#year").focus();
		return false;
	}
	
	var newVal1 = $("#field-price").val();	
	if($("#field-price").val()=='' || $("#field-price").val() == 0)
	{
		alert("Please Enter Item Price");
		$("#field-price").focus();
		return false;
	}
	
	if( (!regexp.test(newVal1)) && (typeof newVal1 != 'undefined') )
	{
		alert("Enter only Decimal Data to the Price Field");
		$("#field-price").focus();
		return false;
	}

	
	
var mode = $('#dmp_mode').val();
	
	if(mode == 'insert')
	{	
		if($("#consi_agree1").is(':checked'))
		{}
		else
		{
		alert('Please check the box to indicate that you have read, and agree, to the Terms and Conditions of PTIC’s Consignment Agreement');
		$("#consi_agree").focus();
		return false;
		}
	}
}	
}
</script>

