<?php
	$base_url = substr($_SERVER['PHP_SELF'], 1, strlen($_SERVER['PHP_SELF']) - 46);
?>
var tinyMCEmode = false;

tinyMCE.init({
	mode : "specific_textareas",
	editor_deselector : "no-mce",
	editor_selector : "mce",
	theme : "advanced",
	visual : false,
	plugins : "imagemanager,filemanager,spellchecker,table,save,advhr,advimage,advlink,emotions,insertdatetime,preview,media,searchreplace,print,contextmenu,inlinepopups,fullscreen",
	theme_advanced_buttons1 : "save,fullscreen,fullpage,separator,bold,italic,underline,strikethrough,sup,sub,separator,justifyleft,justifycenter,justifyright,justifyfull,separator,bullist,numlist,outdent,indent",
	theme_advanced_buttons2 : "code,cleanup,removeformat,separator,cut,copy,paste,separator,search,replace,undo,redo,separator,link,unlink,anchor,separator,image,media,emotions,charmap,advhr,hr,separator,forecolor,backcolor",
	theme_advanced_buttons3 : "table,tablecontrol,rop_props,cell_props,delete_col,delete_row,col_after,col_before,row_after,row_before,split_cells,merge_cells,separator,fontselect,fontsizeselect",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_path_location : "bottom",
	theme_advanced_resizing : true,
	theme_advanced_resize_horizontal : false,
	plugin_insertdate_dateFormat : "%d-%m-%Y",
	plugin_insertdate_timeFormat : "%H:%M:%S",
	remove_script_host : true,
	<?php
	
		preg_match('/[&?](p=email_newsletter|p=email_top_bottom|p=email_updates|p=page)/', $_SERVER['HTTP_REFERER'], $matches);
		
		if (count($matches))
		{
			print '
				relative_urls : false,
				convert_urls : false,
			';
		} else {
			print '
				relative_urls : false,
				convert_urls : true,
			';
		}
	?>
	cleanup : true,
	cleanup_on_startup : true,
	document_base_url : "<?=$base_url?>",
	file_browser_callback : "mcFileManager.filebrowserCallBack",
	valid_elements : "@[id|class|style|title|dir<ltr?rtl|lang|xml::lang|onclick|ondblclick|"
		+ "onmousedown|onmouseup|onmouseover|onmousemove|onmouseout|onkeypress|"
		+ "onkeydown|onkeyup],a[rel|rev|charset|hreflang|tabindex|accesskey|type|"
		+ "name|href|target|title|class|onfocus|onblur],strong/b,em/i,strike,u,"
		+ "#p[align],-ol[type|compact],-ul[type|compact],-li,br,img[longdesc|usemap|"
		+ "src|border|alt=|title|hspace|vspace|width|height|align],-sub,-sup,"
		+ "-blockquote,-table[border=0|cellspacing|cellpadding|width|frame|rules|"
		+ "height|align|summary|bgcolor|background|bordercolor],-tr[rowspan|width|"
		+ "height|align|valign|bgcolor|background|bordercolor],tbody,thead,tfoot,"
		+ "#td[colspan|rowspan|width|height|align|valign|bgcolor|background|bordercolor"
		+ "|scope],#th[colspan|rowspan|width|height|align|valign|scope],caption,-div,"
		+ "-span,-code,-pre,address,-h1,-h2,-h3,-h4,-h5,-h6,hr[size|noshade],-font[face"
		+ "|size|color],dd,dl,dt,cite,abbr,acronym,del[datetime|cite],ins[datetime|cite],"
		+ "object[classid|width|height|codebase|*],param[name|value|_value],embed[type|width"
		+ "|height|src|*],script[src|type],map[name],area[shape|coords|href|alt|target],bdo,"
		+ "button,col[align|char|charoff|span|valign|width],colgroup[align|char|charoff|span|"
		+ "valign|width],dfn,fieldset,form[action|accept|accept-charset|enctype|method],"
		+ "input[accept|alt|checked|disabled|maxlength|name|readonly|size|src|type|value],"
		+ "kbd,label[for],legend,noscript,optgroup[label|disabled],option[disabled|label|selected|value],"
		+ "q[cite],samp,select[disabled|multiple|name|size],small,"
		+ "textarea[cols|rows|disabled|name|readonly],tt,var,big",
	verify_html : false,
	force_br_newlines : true,
	extended_valid_elements : "a[href|target|title],img[src|hspace|vspace|width|height|align|alt|title|border],font[face|size|color],br,iframe[src|width|height|scrolling|frameborder,title],script[type]",
	external_link_list_url : "",
	external_image_list_url : ""
});

/* Remove Control by Default */

function toggleEditorMode(sEditorID,eleToggleLink){
    try {
        if(tinyMCEmode) {
            tinyMCE.execCommand("mceRemoveControl", false, sEditorID);
            tinyMCEmode = false;
            if(eleToggleLink)
                eleToggleLink.innerHTML    =    "Show Editor";
        } else {
            tinyMCE.execCommand("mceAddControl", false, sEditorID);
            //tinyMCE.addMCEControl(sEditorID, "content", this.document);
	    tinyMCEmode = true;
            if(eleToggleLink)
                eleToggleLink.innerHTML    =    "Hide Editor";
        }
    } catch(e) {
        //error handling
    }
}
