<?php

	set_time_limit(1000000);

	if (!defined("ENV")) exit();

	//tar cvf - content/* index.php admin.php login.php | gzip -c backup.tar.gz

	$action = isset($_REQUEST['action'])?trim($_REQUEST['action']):"";
	$mode = isset($_REQUEST['mode'])?trim($_REQUEST['mode']):"";
	
	$from_y = isset($_REQUEST['from_y'])?$_REQUEST['from_y']:date("Y");
	$from_m = isset($_REQUEST['from_m'])?$_REQUEST['from_m']:date("n");
	$from_d = isset($_REQUEST['from_d'])?$_REQUEST['from_d']:1;
	$to_y = isset($_REQUEST['to_y'])?$_REQUEST['to_y']:date("Y");	
	$to_m = isset($_REQUEST['to_m'])?$_REQUEST['to_m']:date("n");
	$to_d = isset($_REQUEST['to_d'])?$_REQUEST['to_d']:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	unset($msg_alert);// Alert message array
	
	include "content/admin/admin_products_export_fields.php";
	
	$product_fields = $product_export_fields;
	
	/**
	 * Handle action
	 */
	if ($action == "export")
	{
		if ($mode == "csv")
		{
			function str_csv($s)
			{
				return '"'.str_replace("\t", "\\t", str_replace("\r", " ", str_replace("\n", " ", str_replace('"', '""', $s)))).'"';
			}
	
			$export_what = isset($_REQUEST['export_what'])?trim($_REQUEST['export_what']):"";
			$separator = isset($_REQUEST['separator'])?trim($_REQUEST['separator']):",";
			$decimal_separator = isset($_REQUEST['decimal_separator'])?trim($_REQUEST['decimal_separator']):",";
			
			if (in_array($export_what, array("products", "orders", "users","products_users")))
			{
				//check dates
				$mysql_from =  $from_y."-".$from_m."-".$from_d." 00:00:01";
				$mysql_to =  $to_y."-".$to_m."-".$to_d." 23:59:59";
				
				$from = isset($_REQUEST['from'])?trim($_REQUEST['from']):"";
				
				//start output
				$mime_type = "text/plain";
				$filename = $export_what;
				$ext = "csv";
	
				//set headers
				header("Pragma: public");
				header("Expires: 0"); // set expiration time
				header("Cache-Control: must-revalidate, post-check=0, pre-check=0"); 
				header('Content-Type: '.$mime_type);
				header('Content-Disposition: inline; filename="'.$filename.'.'.$ext.'"');
				header('Content-Disposition: attachment; filename="'.$filename.'.'.$ext.'"');
				header('Pragma: no-cache');
				
				//export data
				switch ($export_what)
				{
					case "products" : 
					{
						$ch = isset($_POST["ch"]) ? $_POST["ch"] : array();
						$ch = is_array($ch) ? $ch : array();
						
						/**
						 * Build header
						 */
						$header = "Product ID".$separator."Name".$separator."Price";
						
						if (isset($ch["is_visible"])) $header.=$separator.$product_fields["is_visible"];
						if (isset($ch["product_sku"])) $header.=$separator.$product_fields["product_sku"];
						if (isset($ch["product_upc"])) $header.=$separator.$product_fields["product_upc"];
						if (isset($ch["category"])) $header.=$separator.$product_fields["category"];
						if (isset($ch["manufacturer_name"])) $header.=$separator.$product_fields["manufacturer_name"];
						if (isset($ch["manufacturer_code"])) $header.=$separator.$product_fields["manufacturer_code"];
						if (isset($ch["location_name"])) $header.=$separator.$product_fields["location_name"];
						if (isset($ch["location_code"])) $header.=$separator.$product_fields["location_code"];
						if (isset($ch["is_locked"])) $header.=$separator.$product_fields["is_locked"];
						if (isset($ch["lock_fields"])) $header.=$separator.$product_fields["lock_fields"];
						if (isset($ch["meta_keywords"])) $header.=$separator.$product_fields["meta_keywords"];
						if (isset($ch["meta_title"])) $header.=$separator.$product_fields["meta_title"];
						if (isset($ch["meta_description"])) $header.=$separator.$product_fields["meta_description"];
						if (isset($ch["priority"])) $header.=$separator.$product_fields["priority"];
						if (isset($ch["rating"])) $header.=$separator.$product_fields["rating"];
						if (isset($ch["reviews_count"])) $header.=$separator.$product_fields["reviews_count"];
						if (isset($ch["added"])) $header.=$separator.$product_fields["added"];
						if (isset($ch["call_for_price"])) $header.=$separator.$product_fields["call_for_price"];
						if (isset($ch["is_taxable"])) $header.=$separator.$product_fields["is_taxable"];
						if (isset($ch["tax_class_name"])) $header.=$separator.$product_fields["tax_class_name"];
						if (isset($ch["tax_class_id"])) $header.=$separator.$product_fields["tax_class_id"];
						if (isset($ch["tax_rate"])) $header.=$separator.$product_fields["tax_rate"];
						if (isset($ch["cost"])) $header.=$separator.$product_fields["cost"];
						if (isset($ch["sale_price"])) $header.=$separator.$product_fields["sale_price"];
						if (isset($ch["price_level_1"])) $header.=$separator.$product_fields["price_level_1"];
						if (isset($ch["price_level_2"])) $header.=$separator.$product_fields["price_level_2"];
						if (isset($ch["price_level_3"])) $header.=$separator.$product_fields["price_level_3"];
						$db->query("SELECT * FROM ".DB_PREFIX."shipping_selected WHERE carrier_id='custom' AND method_id='product_level'");
						while (($shipping_selected = $db->moveNext()) != false)
						{
							if(isset($ch["shipping_price_".$shipping_selected["ssid"]])) $header.=$separator.$product_fields["shipping_price_".$shipping_selected["ssid"]];
						}
						if (isset($ch["free_shipping"])) $header.=$separator.$product_fields["free_shipping"];
						if (isset($ch["weight"])) $header.=$separator.$product_fields["weight"];
						if (isset($ch["inter_pack"])) $header.=$separator.$product_fields["inter_pack"];
						if (isset($ch["case_pack"])) $header.=$separator.$product_fields["case_pack"];
						if (isset($ch["min_order"])) $header.=$separator.$product_fields["min_order"];
						if (isset($ch["max_order"])) $header.=$separator.$product_fields["max_order"];
						if (isset($ch["is_home"])) $header.=$separator.$product_fields["is_home"];
						if (isset($ch["is_hotdeal"])) $header.=$separator.$product_fields["is_hotdeal"];
						if (isset($ch["is_dollar_days"])) $header.=$separator.$product_fields["is_dollar_days"];
						if (isset($ch["is_doba"])) $header.=$separator.$product_fields["is_doba"];
						
						if (isset($ch["url_default"])) $header.=$separator.$product_fields["url_default"];
						if (isset($ch["url_custom"])) $header.=$separator.$product_fields["url_custom"];
						
						if (isset($ch["digital_product"])) $header.=$separator.$product_fields["digital_product"];
						if (isset($ch["digital_product_file"])) $header.=$separator.$product_fields["digital_product_file"];
						if (_ACCESS_ALL || _ACCESS_INVENTORY)
						{
							if (isset($ch["inventory_control"])) $header.=$separator.$product_fields["inventory_control"];
							if (isset($ch["stock"])) $header.=$separator.$product_fields["stock"];
							if (isset($ch["stock_warning"])) $header.=$separator.$product_fields["stock_warning"];
							if (isset($ch["inventory_rule"])) $header.=$separator.$product_fields["inventory_rule"];
						}
						if (isset($ch["overview"])) $header.=$separator.$product_fields["overview"];
						if (isset($ch["description"])) $header.=$separator.$product_fields["description"];
						if (isset($ch["image_url"])) $header.=$separator.$product_fields["image_url"];
						if (isset($ch["image_location"])) $header.=$separator.$product_fields["image_location"];
						if (isset($ch["zoom_option"])) $header.=$separator.$product_fields["zoom_option"];
						if (isset($ch["image_alt_text"])) $header.=$separator.$product_fields["image_alt_text"];
						if (isset($ch["attributes"]))
						{
							$db->query("SELECT MAX(attributes_count) AS m FROM ".DB_PREFIX."products");
							if ($db->moveNext())
							{
								$m = $db->col["m"];
								for ($i=1; $i<=$m; $i++)
								{
									$header.=$separator."Attribute type ".$i;
									$header.=$separator."Attribute name ".$i;
									$header.=$separator."Attribute caption ".$i;
									$header.=$separator."Attribute options ".$i;
									$header.=$separator."Attribute priority ".$i;
								}
							}
						}
						if (isset($ch["quantity_discounts"])) $header.=$separator.$product_fields["quantity_discounts"];
						
						echo $header."\n";
						
						if ($from == "products-search")
						{
							$where = isset($_SESSION["products-search-where"]) ? $_SESSION["products-search-where"] : "";
						}
						else
						{
							$where = isset($by_dates)? " WHERE added BETWEEN '".$mysql_from."' AND '".$mysql_to."'" : "";
						}
						
						/**
						 * Get products
						 */
						$products = $db->query("
							SELECT 
								".DB_PREFIX."products.*, 
								".DB_PREFIX."catalog.name AS cat_name, 
								".DB_PREFIX."catalog.key_name, 
								".DB_PREFIX."manufacturers.manufacturer_code,
								".DB_PREFIX."manufacturers.manufacturer_name,
								".DB_PREFIX."tax_classes.class_name AS tax_class_name,
								".DB_PREFIX."tax_classes.key_name AS tax_class_code,
								".DB_PREFIX."products_locations.name AS location_name,
								".DB_PREFIX."products_locations.code AS location_code,
								".DB_PREFIX."products_shipping_price.price as pl_shipping_price
							FROM ".DB_PREFIX."products 
							INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products.cid = ".DB_PREFIX."catalog.cid 
							LEFT JOIN ".DB_PREFIX."manufacturers ON ".DB_PREFIX."products.manufacturer_id = ".DB_PREFIX."manufacturers.manufacturer_id
							LEFT JOIN ".DB_PREFIX."tax_classes ON ".DB_PREFIX."products.tax_class_id = ".DB_PREFIX."tax_classes.class_id
							LEFT JOIN ".DB_PREFIX."products_locations ON ".DB_PREFIX."products.products_location_id = ".DB_PREFIX."products_locations.products_location_id
							LEFT JOIN ".DB_PREFIX."products_shipping_price ON ".DB_PREFIX."products_shipping_price.pid = ".DB_PREFIX."products.pid AND ".DB_PREFIX."products_shipping_price.is_price = 'Yes'
							".($where != "" ? $where : "")." 
							ORDER BY product_id
						");
						
						while ($product = $db->moveNext($products))
						{
							//first 3 fields
							echo 
								str_csv($product["product_id"]).$separator.
								str_csv($product["title"]).$separator.
								str_csv(isset($ch["sale_price"]) && $product["price2"] > 0 ? $product["price2"] : $product["price"]);
							if (isset($ch["is_visible"])) echo $separator.str_csv($product["is_visible"]);
							if (isset($ch["product_sku"])) echo $separator.str_csv($product["product_sku"]);
							if (isset($ch["product_upc"])) echo $separator.str_csv($product["product_upc"]);
							if (isset($ch["category"])) 
							{
								$db->query("
									SELECT * FROM ".DB_PREFIX."products_categories 
									INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products_categories.cid = ".DB_PREFIX."catalog.cid 
									WHERE ".DB_PREFIX."products_categories.pid = '".$product["pid"]."' 
									ORDER BY ".DB_PREFIX."products_categories.is_primary DESC, ".DB_PREFIX."products_categories.cid
								");
								$categories = "";
								while ($category = $db->moveNext())
								{
									$categories .= ($categories == "" ? "" : "||").$category["key_name"];
								}
								echo $separator.str_csv($categories);
							}
							if (isset($ch["manufacturer_name"])) echo $separator.str_csv($product["manufacturer_name"]);
							if (isset($ch["manufacturer_code"])) echo $separator.str_csv($product["manufacturer_code"]);
							if (isset($ch["location_name"])) echo $separator.str_csv($product["location_name"]);
							if (isset($ch["location_code"])) echo $separator.str_csv($product["location_code"]);
							if (isset($ch["is_locked"])) echo $separator.str_csv($product["is_locked"]);
							if (isset($ch["lock_fields"])) echo $separator.str_csv(str_replace(",", "||", $product["lock_fields"]));
							if (isset($ch["meta_keywords"])) echo $separator.str_csv($product["meta_keywords"]);
							if (isset($ch["meta_title"])) echo $separator.str_csv($product["meta_title"]);
							if (isset($ch["meta_description"])) echo $separator.str_csv($product["meta_description"]);
							if (isset($ch["priority"])) echo $separator.str_csv($product["priority"]);
							if (isset($ch["rating"])) echo $separator.str_csv($product["rating"]);
							if (isset($ch["reviews_count"])) echo $separator.str_csv($product["reviews_count"]);
							if (isset($ch["added"])) echo $separator.str_csv($product["added"]);
							if (isset($ch["call_for_price"])) echo $separator.str_csv($product["call_for_price"]);
							if (isset($ch["is_taxable"])) echo $separator.str_csv($product["is_taxable"]);
							if (isset($ch["tax_class_name"])) echo $separator.str_csv($product["tax_class_name"]);
							if (isset($ch["tax_class_id"])) echo $separator.str_csv($product["tax_class_code"]);
							if (isset($ch["tax_rate"])) echo $separator.str_csv($product["tax_rate"]);
							if (isset($ch["cost"])) echo $separator.str_csv($product["cost"]);
							if (isset($ch["sale_price"])) echo $separator.str_csv($product["price"]);
							if (isset($ch["price_level_1"])) echo $separator.str_csv($product["price_level_1"]);
							if (isset($ch["price_level_2"])) echo $separator.str_csv($product["price_level_2"]);
							if (isset($ch["price_level_3"])) echo $separator.str_csv($product["price_level_3"]);
							
							$db->query("
								SELECT 
									IF((".DB_PREFIX."products_shipping_price.price IS NULL), '', ".DB_PREFIX."products_shipping_price.price) AS shipping_price,
									".DB_PREFIX."shipping_selected.ssid
								FROM ".DB_PREFIX."shipping_selected 
								LEFT JOIN 
									".DB_PREFIX."products_shipping_price 
									ON 
										(".DB_PREFIX."products_shipping_price.ssid = ".DB_PREFIX."shipping_selected.ssid) 
										AND (".DB_PREFIX."products_shipping_price.pid = ".$product["pid"].")
										AND (".DB_PREFIX."products_shipping_price.is_price = 'Yes')
								WHERE 
									".DB_PREFIX."shipping_selected.carrier_id='custom' 
									AND 
									".DB_PREFIX."shipping_selected.method_id='product_level'
							");
							while (($shipping_selected = $db->moveNext()) != false)
							{
								if(isset($ch["shipping_price_".$shipping_selected["ssid"]])) 
									echo $separator.str_csv($shipping_selected["shipping_price"]);
							}
							
							if (isset($ch["free_shipping"])) echo $separator.str_csv($product["free_shipping"]);
							if (isset($ch["weight"])) echo $separator.str_csv($product["weight"]);
							if (isset($ch["inter_pack"])) echo $separator.str_csv($product["inter_pack"]);
							if (isset($ch["case_pack"])) echo $separator.str_csv($product["case_pack"]);
							if (isset($ch["min_order"])) echo $separator.str_csv($product["min_order"]);
							if (isset($ch["max_order"])) echo $separator.str_csv($product["max_order"]);
							if (isset($ch["is_home"])) echo $separator.str_csv($product["is_home"]);
							if (isset($ch["is_hotdeal"])) echo $separator.str_csv($product["is_hotdeal"]);
							if (isset($ch["is_dollar_days"])) echo $separator.str_csv($product["is_dollar_days"]);
							if (isset($ch["is_doba"])) echo $separator.str_csv($product["is_doba"]);
							if (isset($ch["url_default"])) echo $separator.str_csv($product["url_default"]);
							if (isset($ch["url_custom"])) echo $separator.str_csv($product["url_custom"]);
							if (isset($ch["digital_product"])) echo $separator.str_csv($product["digital_product"]);
							if (isset($ch["digital_product_file"])) echo $separator.str_csv($product["digital_product_file"]);
							if (_ACCESS_ALL || _ACCESS_INVENTORY)
							{
								if (isset($ch["inventory_control"])) echo $separator.str_csv($product["inventory_control"]);
								if (isset($ch["stock"])) echo $separator.str_csv($product["stock"]);
								if (isset($ch["stock_warning"])) echo $separator.str_csv($product["stock_warning"]);
								if (isset($ch["inventory_rule"])) echo $separator.str_csv($product["inventory_rule"]);
							}
							if (isset($ch["overview"])) echo $separator.str_csv($product["overview"]);
							if (isset($ch["description"])) echo $separator.str_csv($product["description"]);
							if (isset($ch["image_url"])) echo $separator.str_csv($product["image_url"]);
							if (isset($ch["image_location"])) echo $separator.str_csv($product["image_location"]);
							if (isset($ch["zoom_option"])) echo $separator.str_csv($product["zoom_option"]);
							if (isset($ch["image_alt_text"])) echo $separator.str_csv($product["image_alt_text"]);
							if (isset($ch["attributes"]) && $product["attributes_count"] > 0)
							{
								$db->query("SELECT * FROM ".DB_PREFIX."products_attributes WHERE pid= '".$product["pid"]."' ORDER BY pid");
								while($attribute = $db->movenext())
								{
									echo $separator.str_csv($attribute["attribute_type"]);
									echo $separator.str_csv($attribute["name"]);
									echo $separator.str_csv($attribute["caption"]);
									if (in_array($attribute["attribute_type"], array("select", "radio")))
									{
										echo $separator.str_csv(str_replace("\n", "||", $attribute["options"]));
									}
									else
									{
										echo $separator.str_csv($attribute["text_length"]);
									}		
									echo $separator.str_csv($attribute["priority"]);	
								}	
							}						
							echo "\n";
						}
						die();
						break;
					}
					case "products_users" :
					{
						
						$ch = isset($_POST["ch"]) ? $_POST["ch"] : array();
						$ch = is_array($ch) ? $ch : array();
						
						/**
						 * Build header
						 */
						$header = "Product ID".$separator."Product Name".$separator."Seller Company".$separator."Approved".$separator."Available".$separator."Date Listed".$separator."Main Category".$separator."Lister".$separator."Manufacturer".$separator."Model".$separator."Year".$separator."Sellers Lowest Price".$separator."Item Price".$separator."Sale Price".$separator."Seller First Name".$separator."Seller Last Name".$separator."Seller City/Town".$separator."Seller State".$separator."Seller Zip".$separator."Seller Country".$separator."Seller Phone".$separator."Seller Mobile";
						
						
						if (isset($ch["product_sku"])) $header.=$separator.$product_fields["product_sku"];
						if (isset($ch["product_upc"])) $header.=$separator.$product_fields["product_upc"];
						
						
						if (isset($ch["manufacturer_code"])) $header.=$separator.$product_fields["manufacturer_code"];
						if (isset($ch["location_name"])) $header.=$separator.$product_fields["location_name"];
						if (isset($ch["location_code"])) $header.=$separator.$product_fields["location_code"];
						if (isset($ch["is_locked"])) $header.=$separator.$product_fields["is_locked"];
						if (isset($ch["lock_fields"])) $header.=$separator.$product_fields["lock_fields"];
						if (isset($ch["meta_keywords"])) $header.=$separator.$product_fields["meta_keywords"];
						if (isset($ch["meta_title"])) $header.=$separator.$product_fields["meta_title"];
						if (isset($ch["meta_description"])) $header.=$separator.$product_fields["meta_description"];
						if (isset($ch["priority"])) $header.=$separator.$product_fields["priority"];
						if (isset($ch["rating"])) $header.=$separator.$product_fields["rating"];
						if (isset($ch["reviews_count"])) $header.=$separator.$product_fields["reviews_count"];
						
						if (isset($ch["call_for_price"])) $header.=$separator.$product_fields["call_for_price"];
						if (isset($ch["is_taxable"])) $header.=$separator.$product_fields["is_taxable"];
						if (isset($ch["tax_class_name"])) $header.=$separator.$product_fields["tax_class_name"];
						if (isset($ch["tax_class_id"])) $header.=$separator.$product_fields["tax_class_id"];
						if (isset($ch["tax_rate"])) $header.=$separator.$product_fields["tax_rate"];
						
						
						if (isset($ch["price_level_1"])) $header.=$separator.$product_fields["price_level_1"];
						if (isset($ch["price_level_2"])) $header.=$separator.$product_fields["price_level_2"];
						if (isset($ch["price_level_3"])) $header.=$separator.$product_fields["price_level_3"];
						$db->query("SELECT * FROM ".DB_PREFIX."shipping_selected WHERE carrier_id='custom' AND method_id='product_level'");
						while (($shipping_selected = $db->moveNext()) != false)
						{
							if(isset($ch["shipping_price_".$shipping_selected["ssid"]])) $header.=$separator.$product_fields["shipping_price_".$shipping_selected["ssid"]];
						}
						if (isset($ch["free_shipping"])) $header.=$separator.$product_fields["free_shipping"];
						if (isset($ch["weight"])) $header.=$separator.$product_fields["weight"];
						if (isset($ch["inter_pack"])) $header.=$separator.$product_fields["inter_pack"];
						if (isset($ch["case_pack"])) $header.=$separator.$product_fields["case_pack"];
						if (isset($ch["min_order"])) $header.=$separator.$product_fields["min_order"];
						if (isset($ch["max_order"])) $header.=$separator.$product_fields["max_order"];
						if (isset($ch["is_home"])) $header.=$separator.$product_fields["is_home"];
						if (isset($ch["is_hotdeal"])) $header.=$separator.$product_fields["is_hotdeal"];
						if (isset($ch["is_dollar_days"])) $header.=$separator.$product_fields["is_dollar_days"];
						if (isset($ch["is_doba"])) $header.=$separator.$product_fields["is_doba"];
						
						if (isset($ch["url_default"])) $header.=$separator.$product_fields["url_default"];
						if (isset($ch["url_custom"])) $header.=$separator.$product_fields["url_custom"];
						
						if (isset($ch["digital_product"])) $header.=$separator.$product_fields["digital_product"];
						if (isset($ch["digital_product_file"])) $header.=$separator.$product_fields["digital_product_file"];
						if (_ACCESS_ALL || _ACCESS_INVENTORY)
						{
							if (isset($ch["inventory_control"])) $header.=$separator.$product_fields["inventory_control"];
							if (isset($ch["stock"])) $header.=$separator.$product_fields["stock"];
							if (isset($ch["stock_warning"])) $header.=$separator.$product_fields["stock_warning"];
							if (isset($ch["inventory_rule"])) $header.=$separator.$product_fields["inventory_rule"];
						}
						if (isset($ch["overview"])) $header.=$separator.$product_fields["overview"];
						if (isset($ch["description"])) $header.=$separator.$product_fields["description"];
						if (isset($ch["image_url"])) $header.=$separator.$product_fields["image_url"];
						if (isset($ch["image_location"])) $header.=$separator.$product_fields["image_location"];
						if (isset($ch["zoom_option"])) $header.=$separator.$product_fields["zoom_option"];
						if (isset($ch["image_alt_text"])) $header.=$separator.$product_fields["image_alt_text"];
						if (isset($ch["attributes"]))
						{
							$db->query("SELECT MAX(attributes_count) AS m FROM ".DB_PREFIX."products_users");
							if ($db->moveNext())
							{
								$m = $db->col["m"];
								for ($i=1; $i<=$m; $i++)
								{
									$header.=$separator."Attribute type ".$i;
									$header.=$separator."Attribute name ".$i;
									$header.=$separator."Attribute caption ".$i;
									$header.=$separator."Attribute options ".$i;
									$header.=$separator."Attribute priority ".$i;
								}
							}
						}
						if (isset($ch["quantity_discounts"])) $header.=$separator.$product_fields["quantity_discounts"];
						
						echo $header."\n";
						
						if ($from == "products-search")
						{
							$where = isset($_SESSION["products-search-where"]) ? $_SESSION["products-search-where"] : "";
						}
						else
						{
							$where = isset($by_dates)? " WHERE added BETWEEN '".$mysql_from."' AND '".$mysql_to."'" : "";
						}
						
						/**
						 * Get products
						 */
						$products = $db->query("
							SELECT 
								".DB_PREFIX."products_users.*,
								".DB_PREFIX."users.fname, 
								".DB_PREFIX."users.lname, 
								".DB_PREFIX."catalog.name AS cat_name, 
								".DB_PREFIX."catalog.key_name, 
								".DB_PREFIX."manufacturers.manufacturer_code,
								".DB_PREFIX."manufacturers.manufacturer_name,
								".DB_PREFIX."tax_classes.class_name AS tax_class_name,
								".DB_PREFIX."tax_classes.key_name AS tax_class_code,
								".DB_PREFIX."products_locations.name AS location_name,
								".DB_PREFIX."products_locations.code AS location_code,
								".DB_PREFIX."products_shipping_price.price as pl_shipping_price
							FROM ".DB_PREFIX."products_users
							INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products_users.cid = ".DB_PREFIX."catalog.cid 
							INNER JOIN ".DB_PREFIX."users ON ".DB_PREFIX."products_users.user_id = ".DB_PREFIX."users.uid
							LEFT JOIN ".DB_PREFIX."manufacturers ON ".DB_PREFIX."products_users.manufacturer_id = ".DB_PREFIX."manufacturers.manufacturer_id
							LEFT JOIN ".DB_PREFIX."tax_classes ON ".DB_PREFIX."products_users.tax_class_id = ".DB_PREFIX."tax_classes.class_id
							LEFT JOIN ".DB_PREFIX."products_locations ON ".DB_PREFIX."products_users.products_location_id = ".DB_PREFIX."products_locations.products_location_id
							LEFT JOIN ".DB_PREFIX."products_shipping_price ON ".DB_PREFIX."products_shipping_price.pid = ".DB_PREFIX."products_users.pid AND ".DB_PREFIX."products_shipping_price.is_price = 'Yes'
							".($where != "" ? $where : "")." 
							ORDER BY product_id
						");
						
						while ($product = $db->moveNext($products))
						{
							//first 3 fields
												
							$db->query("
									SELECT * FROM ".DB_PREFIX."products_categories 
									INNER JOIN ".DB_PREFIX."catalog ON ".DB_PREFIX."products_categories.cid = ".DB_PREFIX."catalog.cid 
									WHERE ".DB_PREFIX."products_categories.pid = '".$product["pid"]."' 
									ORDER BY ".DB_PREFIX."products_categories.is_primary DESC, ".DB_PREFIX."products_categories.cid
								");
								$categories = "";
								while ($category = $db->moveNext())
								{
									$categories .= ($categories == "" ? "" : "||").$category["key_name"];
								}
								
							echo 
								str_csv($product["product_id"]).$separator.
								str_csv($product["title"]).$separator.
								str_csv($product["owner_company"]).$separator.
								str_csv($product["product_status"]).$separator.
								str_csv($product["is_visible"]).$separator.
								str_csv($product["added"]).$separator.
								str_csv($categories).$separator.
								str_csv($product["owner_listing"]).$separator.
								str_csv($product["manufacturer_name"]).$separator.
								str_csv($product["model"]).$separator.
								str_csv($product["year"]).$separator.
								str_csv($product["cost"]).$separator.
								str_csv($product["price"]).$separator.
								str_csv($product["price2"]).$separator.
								str_csv($product["owner_fname"]).$separator.
								str_csv($product["owner_lname"]).$separator.
								str_csv($product["owner_city"]).$separator.
								str_csv($product["owner_state"]).$separator.
								str_csv($product["owner_zip"]).$separator.
								str_csv($product["owner_country"]).$separator.
								str_csv($product["owner_phone"]).$separator.
								str_csv($product["owner_mobile"]);
								
							
							if (isset($ch["product_sku"])) echo $separator.str_csv($product["product_sku"]);
							if (isset($ch["product_upc"])) echo $separator.str_csv($product["product_upc"]);
							
							if (isset($ch["manufacturer_code"])) echo $separator.str_csv($product["manufacturer_code"]);
							if (isset($ch["location_name"])) echo $separator.str_csv($product["location_name"]);
							if (isset($ch["location_code"])) echo $separator.str_csv($product["location_code"]);
							if (isset($ch["is_locked"])) echo $separator.str_csv($product["is_locked"]);
							if (isset($ch["lock_fields"])) echo $separator.str_csv(str_replace(",", "||", $product["lock_fields"]));
							if (isset($ch["meta_keywords"])) echo $separator.str_csv($product["meta_keywords"]);
							if (isset($ch["meta_title"])) echo $separator.str_csv($product["meta_title"]);
							if (isset($ch["meta_description"])) echo $separator.str_csv($product["meta_description"]);
							if (isset($ch["priority"])) echo $separator.str_csv($product["priority"]);
							if (isset($ch["rating"])) echo $separator.str_csv($product["rating"]);
							if (isset($ch["reviews_count"])) echo $separator.str_csv($product["reviews_count"]);
							
							if (isset($ch["call_for_price"])) echo $separator.str_csv($product["call_for_price"]);
							if (isset($ch["is_taxable"])) echo $separator.str_csv($product["is_taxable"]);
							if (isset($ch["tax_class_name"])) echo $separator.str_csv($product["tax_class_name"]);
							if (isset($ch["tax_class_id"])) echo $separator.str_csv($product["tax_class_code"]);
							if (isset($ch["tax_rate"])) echo $separator.str_csv($product["tax_rate"]);
							
							if (isset($ch["price_level_1"])) echo $separator.str_csv($product["price_level_1"]);
							if (isset($ch["price_level_2"])) echo $separator.str_csv($product["price_level_2"]);
							if (isset($ch["price_level_3"])) echo $separator.str_csv($product["price_level_3"]);
							
							$db->query("
								SELECT 
									IF((".DB_PREFIX."products_shipping_price.price IS NULL), '', ".DB_PREFIX."products_shipping_price.price) AS shipping_price,
									".DB_PREFIX."shipping_selected.ssid
								FROM ".DB_PREFIX."shipping_selected 
								LEFT JOIN 
									".DB_PREFIX."products_shipping_price 
									ON 
										(".DB_PREFIX."products_shipping_price.ssid = ".DB_PREFIX."shipping_selected.ssid) 
										AND (".DB_PREFIX."products_shipping_price.pid = ".$product["pid"].")
										AND (".DB_PREFIX."products_shipping_price.is_price = 'Yes')
								WHERE 
									".DB_PREFIX."shipping_selected.carrier_id='custom' 
									AND 
									".DB_PREFIX."shipping_selected.method_id='product_level'
							");
							while (($shipping_selected = $db->moveNext()) != false)
							{
								if(isset($ch["shipping_price_".$shipping_selected["ssid"]])) 
									echo $separator.str_csv($shipping_selected["shipping_price"]);
							}
							
							if (isset($ch["free_shipping"])) echo $separator.str_csv($product["free_shipping"]);
							if (isset($ch["weight"])) echo $separator.str_csv($product["weight"]);
							if (isset($ch["inter_pack"])) echo $separator.str_csv($product["inter_pack"]);
							if (isset($ch["case_pack"])) echo $separator.str_csv($product["case_pack"]);
							if (isset($ch["min_order"])) echo $separator.str_csv($product["min_order"]);
							if (isset($ch["max_order"])) echo $separator.str_csv($product["max_order"]);
							if (isset($ch["is_home"])) echo $separator.str_csv($product["is_home"]);
							if (isset($ch["is_hotdeal"])) echo $separator.str_csv($product["is_hotdeal"]);
							if (isset($ch["is_dollar_days"])) echo $separator.str_csv($product["is_dollar_days"]);
							if (isset($ch["is_doba"])) echo $separator.str_csv($product["is_doba"]);
							if (isset($ch["url_default"])) echo $separator.str_csv($product["url_default"]);
							if (isset($ch["url_custom"])) echo $separator.str_csv($product["url_custom"]);
							if (isset($ch["digital_product"])) echo $separator.str_csv($product["digital_product"]);
							if (isset($ch["digital_product_file"])) echo $separator.str_csv($product["digital_product_file"]);
							if (_ACCESS_ALL || _ACCESS_INVENTORY)
							{
								if (isset($ch["inventory_control"])) echo $separator.str_csv($product["inventory_control"]);
								if (isset($ch["stock"])) echo $separator.str_csv($product["stock"]);
								if (isset($ch["stock_warning"])) echo $separator.str_csv($product["stock_warning"]);
								if (isset($ch["inventory_rule"])) echo $separator.str_csv($product["inventory_rule"]);
							}
							if (isset($ch["overview"])) echo $separator.str_csv($product["overview"]);
							if (isset($ch["description"])) echo $separator.str_csv($product["description"]);
							if (isset($ch["image_url"])) echo $separator.str_csv($product["image_url"]);
							if (isset($ch["image_location"])) echo $separator.str_csv($product["image_location"]);
							if (isset($ch["zoom_option"])) echo $separator.str_csv($product["zoom_option"]);
							if (isset($ch["image_alt_text"])) echo $separator.str_csv($product["image_alt_text"]);
							if (isset($ch["attributes"]) && $product["attributes_count"] > 0)
							{
								$db->query("SELECT * FROM ".DB_PREFIX."products_attributes WHERE pid= '".$product["pid"]."' ORDER BY pid");
								while($attribute = $db->movenext())
								{
									echo $separator.str_csv($attribute["attribute_type"]);
									echo $separator.str_csv($attribute["name"]);
									echo $separator.str_csv($attribute["caption"]);
									if (in_array($attribute["attribute_type"], array("select", "radio")))
									{
										echo $separator.str_csv(str_replace("\n", "||", $attribute["options"]));
									}
									else
									{
										echo $separator.str_csv($attribute["text_length"]);
									}		
									echo $separator.str_csv($attribute["priority"]);	
								}	
							}						
							echo "\n";
						}
						die();
						break;
						
					}
					
					case "orders" : 
					{
						$q = "
							SELECT ".DB_PREFIX."orders.*, DATE_FORMAT(".DB_PREFIX."orders.placed_date, '%M %e, %Y') AS order_date,
								CONCAT(".DB_PREFIX."users.fname, ' ', ".DB_PREFIX."users.lname) AS billing_name,
								".DB_PREFIX."users.address1 AS billing_address1,
								".DB_PREFIX."users.address2 AS billing_address2,
								".DB_PREFIX."users.company AS billing_company,
								".DB_PREFIX."users.city AS billing_city,
								IF(".DB_PREFIX."users.country = 1 OR ".DB_PREFIX."users.country = 2, s1.name, ".DB_PREFIX."users.province) AS billing_state_name,
								".DB_PREFIX."users.zip AS billing_zip,
								c1.name AS billing_country_name,
								".DB_PREFIX."users.phone AS billing_phone,
								".DB_PREFIX."users.email AS billing_email,
								IF(".DB_PREFIX."users.country = 1 OR ".DB_PREFIX."users.country = 2, s2.name, ".DB_PREFIX."users.province) AS shipping_state_name,
								IF(".DB_PREFIX."orders.shipping_country = 1 OR ".DB_PREFIX."orders.shipping_country = 2, s2.name, ".DB_PREFIX."orders.shipping_province) AS shipping_state_name,
								c2.name AS shipping_country_name
							FROM ".DB_PREFIX."orders
							LEFT JOIN ".DB_PREFIX."users ON ".DB_PREFIX."users.uid = ".DB_PREFIX."orders.uid
							LEFT JOIN ".DB_PREFIX."countries AS c1 ON ".DB_PREFIX."users.country = c1.coid
							LEFT JOIN ".DB_PREFIX."countries AS c2 ON ".DB_PREFIX."orders.shipping_country = c2.coid
							LEFT JOIN ".DB_PREFIX."states AS s1 ON ".DB_PREFIX."users.state = s1.stid
							LEFT JOIN ".DB_PREFIX."states AS s2 ON ".DB_PREFIX."orders.shipping_state = s2.stid
						";
						if (isset($by_dates))
						{
							$db->query($q."	WHERE placed_date >= '".$mysql_from."' AND placed_date <= '".$mysql_to."' AND status<>'Abandon' AND status<>'New' GROUP BY order_num ORDER BY order_num");
						}
						else
						{
							$db->query($q." WHERE status<>'Abandon' AND status<>'New' GROUP BY order_num ORDER BY order_num");
						}
						echo "Order Date".$separator.
						"Order ID".$separator.
						"Order Status".$separator.
						"Payment Status".$separator.
						"Customer Name".$separator.
						"Company Name".$separator.
						"Billing Address 1".$separator.
						"Billing Address 2".$separator.
						"Billing City".$separator.
						"Billing State".$separator.
						"Billing Zip/Postal Code".$separator.
						"Billing Country".$separator.
						"Phone".$separator.
						"Email Address".$separator.
						"Shipping Name".$separator.
						"Shipping Company".$separator.
						"Shipping Address 1".$separator.
						"Shipping Address 2".$separator.
						"Shipping City".$separator.
						"Shipping State".$separator.
						"Shipping Zip/Postal Code".$separator.
						"Shipping Country".$separator.
						"Shipping Method".$separator.
						"Additional Information".$separator.
						"Subtotal Amount".$separator.
						"Discount Amount".$separator.
						"Tax Amount".$separator.
						"Shipping Amount".$separator.
						"Total Amount".$separator.
						"Product ID".$separator.
						"Product Sub ID".$separator.
						"Product Title".$separator.
						"Product Quantity".$separator.
						"Product Price".$separator.
						"Product Attributes".$separator."\n ";
						$order_var=$db->getRecords();
						$flag=0;
						foreach ($order_var as $val)
						{
							//while($db->moveNext()){
							if ($flag==0)
							{
								echo "\n";
								$flag++;
							}
							
							echo str_csv($val["order_date"]).$separator;
							echo str_csv($val["order_num"]).$separator;
							echo str_csv($val["status"]).$separator;
							echo str_csv($val["payment_status"]).$separator;
							echo str_csv($val["billing_name"]).$separator;
							echo str_csv($val["billing_company"]).$separator;
							echo str_csv($val["billing_address1"]).$separator;
							echo str_csv($val["billing_address2"]).$separator;
							echo str_csv($val["billing_city"]).$separator;
							echo str_csv($val["billing_state_name"]).$separator;
							echo str_csv($val["billing_zip"]).$separator;
							echo str_csv($val["billing_country_name"]).$separator;
							echo str_csv($val["billing_phone"]).$separator;
							echo str_csv($val["billing_email"]).$separator;
							echo str_csv($val["shipping_name"]).$separator;
							echo str_csv($val["shipping_company"]).$separator;
							echo str_csv($val["shipping_address1"]).$separator;
							echo str_csv($val["shipping_address2"]).$separator;
							echo str_csv($val["shipping_city"]).$separator;
							echo str_csv($val["shipping_state_name"]).$separator;
							echo str_csv($val["shipping_zip"]).$separator;
							echo str_csv($val["shipping_country_name"]).$separator;
							echo str_csv($val["shipping_cm_name"]).$separator;
							$sub_q = "
								SELECT field_value,
								".DB_PREFIX."custom_fields.field_caption FROM ".DB_PREFIX."custom_fields_values								
								LEFT JOIN ".DB_PREFIX."custom_fields ON ".DB_PREFIX."custom_fields_values.field_id = ".DB_PREFIX."custom_fields.field_id
								WHERE order_id= '".$val["oid"]."' ORDER BY ".DB_PREFIX."custom_fields_values.field_id";
							$db->query($sub_q);
							$cf_var=$db->getRecords();
							$final_str = "";

							foreach ($cf_var as $cf_val)
							{
								$final_str.=$cf_val["field_caption"].":  ".$cf_val["field_value"]."||";															
							}
							
							echo str_csv($final_str).$separator;	
							echo str_csv(number_format($val["subtotal_amount"], 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["discount_amount"] + $val["promo_discount_amount"], 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["tax_amount"], 5, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["shipping_amount"] + ($val["handling_separated"]?$val["handling_amount"]:0), 2, $decimal_separator, "")).$separator;
							echo str_csv(number_format($val["total_amount"], 2, $decimal_separator, "")).$separator;
	
							$sub_q = "
								SELECT * FROM ".DB_PREFIX."orders_content	
								WHERE oid= '".$val["oid"]."' ORDER BY pid";
							$db->query($sub_q);
							$tp_var=$db->getRecords();

							foreach ($tp_var as $val)
							{
								echo str_csv($val["product_id"]).$separator;
								echo str_csv($val["product_sub_id"]).$separator;
								echo str_csv($val["title"]).$separator;
								echo str_csv($val["quantity"]).$separator;
								echo str_csv(number_format($val["price"], 2, $decimal_separator, "")).$separator;	
								$final_opt = "";
								if ($val["options"] != "")
								{									
									$opt_str = explode("\n", $val["options"]);
									foreach ($opt_str as $opt)
									{
										$final_opt.= $opt."||";
									}									
								}
								echo str_csv($final_opt).$separator;
							}							
							echo "\n";	
						}
						die();
						break;
					}
					case "users" : 
					{
						//if(isset($by_dates)){
						//	$db->query("SELECT * FROM ".DB_PREFIX."users WHERE added BETWEEN '".$mysql_from."' AND '".$mysql_to."' ORDER BY product_id");
						//}
						//else{
						$db->query("SELECT ".DB_PREFIX."users.*,
								".DB_PREFIX."countries.name AS country_name,
								IF(".DB_PREFIX."states.name IS NULL, province, ".DB_PREFIX."states.name) AS state_name 
							FROM ".DB_PREFIX."users 
							INNER JOIN ".DB_PREFIX."countries ON ".DB_PREFIX."users.country = ".DB_PREFIX."countries.coid
							LEFT JOIN ".DB_PREFIX."states ON ".DB_PREFIX."users.state = ".DB_PREFIX."states.stid
							ORDER BY lname, fname
						");
						//}
						echo "Last Name".$separator."First Name".$separator."Company".$separator."Address Line 1".$separator."Address Line 2".$separator."City".$separator."State".$separator."ZIP".$separator."Country".$separator."Email".$separator."Phone".$separator."Login".$separator."Additional Information\n";
						$user_var=$db->getRecords();
						
						foreach ($user_var as $val)
						{
						//while($db->moveNext()){
							echo str_csv($val["lname"]).$separator;
							echo str_csv($val["fname"]).$separator;
							echo str_csv($val["company"]).$separator;
							echo str_csv($val["address1"]).$separator;
							echo str_csv($val["address2"]).$separator;
							echo str_csv($val["city"]).$separator;
							echo str_csv($val["state_name"]).$separator;
							echo str_csv($val["zip"]).$separator;
							echo str_csv($val["country_name"]).$separator;
							echo str_csv($val["email"]).$separator;
							echo str_csv($val["phone"]).$separator;
							echo str_csv($val["login"]).$separator;
							$sub_q = "
								SELECT field_value,
								".DB_PREFIX."custom_fields.field_caption FROM ".DB_PREFIX."custom_fields_values								
								LEFT JOIN ".DB_PREFIX."custom_fields ON ".DB_PREFIX."custom_fields_values.field_id = ".DB_PREFIX."custom_fields.field_id
								WHERE profile_id= '".$val["uid"]."' AND order_id = '0' AND address_id = '0' ORDER BY ".DB_PREFIX."custom_fields_values.field_id";
							$db->query($sub_q);
							$cf_var=$db->getRecords();
							$final_str = "";
							
							foreach ($cf_var as $val)
							{
								$final_str = $val["field_caption"].":  ".$val["field_value"];
								echo str_csv($final_str).$separator;								
							}
							echo "\n";
						}
						die();
						break;
					}
				}
			}
		}
	}
	
	if ($action == "cleanup" && !DEMO_LOCK)
	{	
		$clear_period = isset($clear_period)?$clear_period:"1y";
		$clear_periods = array(
			"all"=>"",
			"1y"=>"",
			"6m"=>"",
			"3m"=>"",
			"1m"=>"",
			"1w"=>""
		);
		
		$form = isset($form)?$form:array();
		$form = is_array($form)?$form:array();
		//remove categories
		if (array_key_exists("categories", $form))
		{
			clearDir("images/catalog");
			$db->query("DELETE FROM ".DB_PREFIX."catalog_attributes");
			$db->query("DELETE FROM ".DB_PREFIX."catalog");
		}
		//remove products
		if (array_key_exists("products", $form))
		{
			clearDir("images/products");
			clearDir("images/products/thumbs");
			clearDir("images/products/secondary");
			$db->query("UPDATE ".DB_PREFIX."orders_content SET product_removed='Yes'");
			$db->query("DELETE FROM ".DB_PREFIX."products_images");
			$db->query("DELETE FROM ".DB_PREFIX."products_quantity_discounts");
			$db->query("DELETE FROM ".DB_PREFIX."products_attributes");
			$db->query("DELETE FROM ".DB_PREFIX."products_categories");
			$db->query("DELETE FROM ".DB_PREFIX."products_families_content");
			$db->query("DELETE FROM ".DB_PREFIX."products_families_dependencies");
			$db->query("DELETE FROM ".DB_PREFIX."products_gifts");
			$db->query("DELETE FROM ".DB_PREFIX."products");
		}
		//remove users & orders
		if (array_key_exists("usersorders", $form))
		{
			$db->query("DELETE FROM ".DB_PREFIX."users_shipping");
			$db->query("DELETE FROM ".DB_PREFIX."users");
			$db->query("DELETE FROM ".DB_PREFIX."orders_content");
			$db->query("DELETE FROM ".DB_PREFIX."payment_transactions");
			$db->query("DELETE FROM ".DB_PREFIX."orders");
			$db->query("DELETE FROM ".DB_PREFIX."custom_fields_values");
		}
		//remove emails archive
		if (array_key_exists("emails", $form))
		{
			$db->query("DELETE FROM ".DB_PREFIX."emails_archive");
		}
	
		//remove statistics
		if(array_key_exists("stats", $form)){
			$db->query("DELETE FROM ".DB_PREFIX."statistics");
			$db->query("DELETE FROM ".DB_PREFIX."referrers");
			$db->query("DELETE FROM ".DB_PREFIX."hosts");
		}
	
		//optimize database;
		$db->query("OPTIMIZE TABLE ".DB_PREFIX."catalog_attributes, catalog, products, products_attributes, products_images");
		$db->query("OPTIMIZE TABLE ".DB_PREFIX."users_shipping, users, orders_content, payment_transactions, orders");
		$db->query("OPTIMIZE TABLE ".DB_PREFIX."emails_archive, statistics, referrers, hosts");
	
		$msg_alert[] = "Selected data has been removed from your database";
	}
	
	if ($action == "delete_backup")
	{
		@unlink("content/backups/".$file_name);
		$msg_alert[] = "Selected backup file has been removed";
	}
	
	if ($action == "restore_backup")
	{
		$path = $settings["GlobalServerPath"];
		//if(strpos(strtolower($_SERVER["SERVER_SOFTWARE"]), "win32")){
		if (strpos(strtolower($_SERVER["SERVER_SOFTWARE"]), "win32") or strpos(strtolower("test".$_SERVER["SERVER_SOFTWARE"]), "microsoft") != false) 
		{
			$command_line = 
				$path."/content/admin/7zip/7z.exe ".
				"x \"".$path."/content/backups/".$file_name."\" -aoa -o\"".$path."\"";
			$result = exec($command_line, $a);
		}
		else
		{
			$command_line =
				"tar -xvzf \"".$path."/content/backups/".$file_name."\" -C\"".$path."\" --overwrite";
			$result = exec($command_line, $a);
				
		}
		$msg_alert[] = "Selected backup file has been restored";
		if (is_file("content/backups/database-dump.sql"))
		{
			if (!ini_get('safe_mode')) set_time_limit(10000);

			$f = @fopen("content/backups/database-dump.sql", "r");
			if ($f)
			{ 
				$buffer = "";
				while ($s = fgets($f))
				{
					$buffer.= $s;
				}
				fclose($f);
				$lines = explode("\n", $buffer);
				for ($i=0; $i<count($lines); $i++)
				{
					$line = trim($lines[$i]);
					if ($line != "" && $line[0] != "#")
					{
						$db->query($line);
					}
				    if ($i % 25  == 0)
				    {
						sleep(1);
					}
				}
				$db->query("UPDATE ".DB_PREFIX."admins SET `password`=MD5('MyNewPassword'), `last_update`=NOW()");
				$msg_alert[] = "Please note: new passwords have been set for all adminitrators account. New password is <i>MyNewPassword</i>";
			}
			@unlink("content/backups/database-dump.sql");
		}		
	}
	
	if ($action == "make_backup")
	{
		$path = $settings["GlobalServerPath"];
		$backup_name = $settings["AppVer"]."-".date("Ymd-His").
			(isset($backup_engine)?"-files":"").
			(isset($backup_skins)?"-skins":"").
			(isset($backup_cache)?"-cache":"").
			(isset($backup_images)?"-img":"").
			(isset($backup_download)?"-dwnld":"").
			(isset($backup_database)?"-db":"");
			//".zip";
		$dump_created = false;
		if (isset($backup_database))
		{
			$database_file = "content/backups/database-dump.sql";
			@unlink($database_file);
			$f = @fopen($database_file, "w+");
			$fe = isset($fe)?trim($fe):"'";
			$add_drop_table = isset($add_drop_table)?trim($add_drop_table):"Yes";
			$complete_insert = isset($complete_insert)?trim($complete_insert):"No";
	
			fputs($f, "#\r\n# `".DB_NAME."` database DUMP\r\n# Generated at ".date("D M j G:i:s T Y")."\r\n# by ".$label_app_name."backend software\r\n# ".$label_home_site."\r\n#\r\n");
	
			$tables = array();
			$db->query("SHOW TABLES");
			while (($table = $db->moveNext()) != false)
			{				
				$table_name = $table["Tables_in_".DB_NAME];
				$pos = "-1";				
				if (DB_PREFIX !="" && strstr($table_name, DB_PREFIX))
				{
					$pos = strpos($table_name, DB_PREFIX); 
					if ($pos == 0)
					{
						$tables[count($tables)] = $table_name; 
					}
				}
				elseif (DB_PREFIX == "")
				{
					$tables[count($tables)] = $table_name;
				}
			}


			if (!ini_get('safe_mode')) set_time_limit(3000);

			$replace = array("'"=>"\'",'"'=>'\"',"\\"=>"\\\\","\n"=>"\\n","\r"=>"\\r");
			for ($i=0; $i<count($tables); $i++)
			{
				$db->query("SHOW CREATE TABLE `".$tables[$i]."`");
				$result = $db->moveNext();
				fputs($f, "\r\n#\r\n# Table structure for table `".$tables[$i]."`\r\n#\r\n\r\n");
				if ($add_drop_table == "Yes")
				{
					fputs($f, "DROP TABLE IF EXISTS `".$tables[$i]."`;\r\n\r\n");
				}
				fputs($f, str_replace("\n", " ", $result["Create Table"]).";\r\n\r\n");
				$db->query("SHOW COLUMNS FROM `".$tables[$i]."`");
				$fields = array();
				
				while(($field = $db->moveNext()) != false)
				{
					$fields[count($fields)] = $field["Field"];
				}
				if (!in_array($tables[$i], array(DB_PREFIX."emails_archive", DB_PREFIX."hosts", DB_PREFIX."referrers", DB_PREFIX."statistics")))
				{
					$db->query("SELECT * FROM `".$tables[$i]."` ");
					if ($complete_insert == "No")
					{
						while (($record = $db->moveNext()) != false)
						{
							fputs($f, "INSERT INTO `".$tables[$i]."` VALUES(");
							for ($j=0; $j<count($fields); $j++)
							{
								fputs($f, ($j>0?",":"").stripslashes($fe).(strtr(stripslashes($record[$j]), $replace)).stripslashes($fe));
							}
							fputs($f, ");\r\n");
						}
					}
					else
					{
						fputs($f, "INSERT INTO `".$tables[$i]."` VALUES\r\n");
						$c = 0;
						while (($record = $db->moveNext()) != false)
						{
							fputs($f, "\t(");
							for ($j=0; $j<count($fields); $j++)
							{
								fputs($f, ($j>0?",":"").stripslashes($fe).(strtr(stripslashes($record[$j]), $replace)).stripslashes($fe));
							}
							$c++;
							fputs($f, ")".($c<$db->numRows()?",":";")."\r\n");
						}
					}
				}
			}
			fclose($f);
			$dump_created = true;
		}
		//if(strpos(strtolower($_SERVER["SERVER_SOFTWARE"]), "win32")){
		if (strpos(strtolower($_SERVER["SERVER_SOFTWARE"]), "win32") or strpos(strtolower("test".$_SERVER["SERVER_SOFTWARE"]), "microsoft") != false)
		{		
			$command_line = 
				//$path."/content/backups/zip/PKZIP25.EXE -add ".$backup_name." ";
				'"'.$path.'/content/admin/7zip/7z.exe" '.
				"a -tzip \"".$path."/content/backups/".$backup_name.".zip\" ".
				"-r ";
			if (isset($backup_engine))
			{
				$command_line.=
					"\"".$path."/*content/admin/*\" ".
					"\"".$path."/*content/classes/*\" ".
					"\"".$path."/*content/engine/*\" ".
					"\"".$path."/*content/languages/*\" ".
					"\"".$path."/*content/public/*\" ".
					"\"".$path."/*content/smarty_plugins/*\" ".
					"\"".$path."/*content/ssl/*\" ".
					"\"".$path."/*content/vendors/*\" ".
					"\"".$path."/*ecc/*\" ".
					"\"".$path."/.htaccess\" ".
					"\"".$path."/admin.php\" ".
					"\"".$path."/download.php\" ".
					"\"".$path."/index.php\" ".
					"\"".$path."/login.php\" ".
					"\"".$path."/robots.txt\" ".
					(is_file("sitemap.xml") ? "\"".$path."/sitemap.xml\" " : "").
					(is_file("sitemap.xml.gz") ? "\"".$path."/sitemap.xml.gz\" " : "");
			}
			if (isset($backup_skins)) $command_line.= "\"".$path."/*content/skins/*\" ";
			if (isset($backup_cache)) $command_line.= "\"".$path."/*content/cache/*\" ";
			if (isset($backup_images)) $command_line.= "\"".$path."/*images/*\" ";
			if (isset($backup_download)) $command_line.= "\"".$path."/*content/download/*\" ";
			if (isset($backup_database) && $dump_created) $command_line.= "\"".$path."/*content/backups/database-dump.sql\" ";
			
			$a = array();
			$result = exec($command_line, $a);
			@unlink("content/backups/database-dump.sql");
			
		}
		else
		{
			$command_line = "tar -cf - -C\"".$path."\" ";
			if (isset($backup_engine))
			{
				$command_line.= 
					"content/admin/ ".
					"content/classes/ ".
					"content/engine/ ".
					"content/languages/ ".
					"content/public/ ".
					"content/smarty_plugins/ ".
					"content/ssl/ ".
					"content/vendors/ ".
					"ecc/ ".
					".htaccess ".
					"admin.php ".
					"download.php ".
					"index.php ".
					"login.php ".
					"robots.txt ".
					(is_file("sitemap.xml") ? "sitemap.xml " :"").
					(is_file("sitemap.xml.gz") ? "sitemap.xml.gz " :"");
			}
			if (isset($backup_skins)) $command_line.= "content/skins/ ";
			if (isset($backup_cache)) $command_line.= "content/cache/ ";
			if (isset($backup_images)) $command_line.= "images/ ";
			if (isset($backup_download)) $command_line.= "content/download/ ";
			if (isset($backup_database) && $dump_created) $command_line.= "content/backups/database-dump.sql";
			
			$command_line.= " | gzip -c > \"".$path."/content/backups/".$backup_name.".tar.gz\"";
			$a = array();
			$result = exec($command_line, $a);
			
			@unlink("content/backups/database-dump.sql");

		}
		$msg_alert[] = "Backup file has been created";
	}
	
	
	pageHeader("Database & Back-up Tools", "", "ic_database.gif");
	$msg_alerts = array(
		array("icon"=>"ic_hint.gif", "text"=>"This section will allow you to export or delete data in your database", "url"=>"", "visible"=>true),
		array("icon"=>"ic_hint.gif", "text"=>"Backups must be downloaded via FTP from content/backups folder", "url"=>"", "visible"=>true)
	);
	if(isset($msg_alert)){
		foreach($msg_alert as $key => $val){
			if(strlen($val)>0){
				$msg_alerts[] = array("icon"=>"ic_hint.gif", "text"=>"<span style=\"color:#990000\"><b>$val</b></span>", "url"=>"", "visible"=>true);
			}
		}
	}
	
	pageNote($msg_alerts);

	loadJS("cd_database.js");
	
	$last_active_tab = isset($last_active_tab)?$last_active_tab:"export";
?>
<div class="admin-tabs admin-tabs-framed" id="tabs-db">
<?php 
	pageTabs(array(
		array("title"=>"Data Export", "id"=>"export"),
		array("title"=>"Backup / Restore", "id"=>"backup"),
		array("title"=>"Clear Database", "id"=>"clear")
	), "tabs-db", $last_active_tab);
	
?>
<script language="JavaScript"><!--
function checkBoxes(frmName, state){
	frm = document.forms[frmName];
	if(frm && frm.elements){
		for(i=0; i<frm.elements.length; i++){
			if(frm.elements[i].type == "checkbox"){
				frm.elements[i].checked = state;
			}
		}
	}
}

function confirmDeleteBackup(file_name){
	if(confirm("Do you really want to delete this file?")){
		document.location = "admin.php?p=backup_restore&last_active_tab=idTabSheetBackupRestore&action=delete_backup&file_name=" + file_name;
	}
}

function confirmRestoreBackup(file_name){
	if(confirm("Do you really want to restore selected backup (" + file_name + ")?")){
		document.location = "admin.php?p=backup_restore&last_active_tab=idTabSheetBackupRestore&action=restore_backup&file_name=" + file_name;
	}
}
--></script>
	<div id="admin-tab-sheet-clear" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<form name="frmClean" action="admin.php?p=backup_restore&action=cleanup" method="post" onSubmit="return ConfirmClearDatabase(this)">
				<table cellpadding="0" cellspacing="5" border="0" width="100%" bgcolor="white">
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_database_clear.gif"/></div>
							<div class="formHeaderText">Clear Database</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Categories</td>
						<td class="formItemControl">
							<input type="checkbox" name="form[categories]" value="Yes">
							<div class="formItemComment">Removes category data and category images</div>	
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Products</td>
						<td class="formItemControl">
							<input type="checkbox" name="form[products]" value="Yes">
							<div class="formItemComment">Removes all products with primary & secondary images</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Users & Orders</td>
						<td class="formItemControl">
							<input type="checkbox" name="form[usersorders]" value="Yes">
							<div class="formItemComment">Removes users and orders data. This will also affect some statistics data</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Emails Archive</td>
						<td class="formItemControl">
							<input type="checkbox" name="form[emails]" value="Yes">
							<div class="formItemComment">Removes sent email archive</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Statistics</td>
						<td class="formItemControl">
							<input type="checkbox" name="form[stats]" value="Yes">
							<div class="formItemComment">Removes site traffic statistics</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">&nbsp;</td>
						<td class="formItemControl">
							<a href="javascript:checkBoxes('frmClean',true)">check all</a> | 
							<a href="javascript:checkBoxes('frmClean',false)">uncheck all</a>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Clear database"> &nbsp;
					<input type="reset" value="Reset form">
				</div>
			</form>
		</div>
	</div>
	
<script type="text/javascript" language="JavaScript">
function showHideProductDiv(selectedOption){
	d = document.getElementById("exportOptionDiv");
	if(d && selectedOption.value == "products"){		
		d.style.display = "block";			
	}
	else{
		d.style.display = "none";		
	}
}


$(document).ready(function(){
	$('a.export_check_all').click(function(){
		$('div.formItemComment input:checkbox').attr('checked', true);
		return false;
	});
	
	$('a.export_uncheck_all').click(function(){
		$('div.formItemComment input:checkbox').attr('checked', false);
		return false;
	});
});


</script>
	<div id="admin-tab-sheet-export" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<form id="frmExportDB" name="frmExportDB" action="admin.php?no-acceleration=1&p=backup_restore&action=export&mode=csv&chart=true" target="_blank" method="post">
				<table cellpadding="0" cellspacing="5" border="0" width="100%">
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_database_export.gif"/></div>
							<div class="formHeaderText">Export Data into CSV file</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption" valign="top">Choose data you want to export</td>
						<td class="formItemControl">
							<select name="export_what" style="width:123px;" onchange="showHideProductDiv(this)">
								<option value="products">Products</option>
								<option value="orders">Orders</option>
								<option value="users">Users</option>
							</select>
							<div class="formItemComment" style="padding-top: 20px;"><a href="#" class="export_check_all">check all</a> | <a href="#" class="export_uncheck_all">uncheck all</a></div>
							<div id="exportOptionDiv" style="display:block">
								<span style="padding: 0 10px;"> <br />
<?php		foreach ($product_fields as $field_key => $field_title){?>
							 		<div class="formItemComment" style="width:180px;height:30px;padding:0px;float:left;clear:none;">
							 			<input type="checkbox" name="ch[<?php echo $field_key;?>]" value="1" id="ch_<?php echo $field_key;?>"><label for="ch_<?php echo $field_key;?>"> <?php echo $field_title;?></label>
				 					</div>
<?php		}?>

									<div class="formItemComment" style="padding-top: 20px;"><a href="#" class="export_check_all">check all</a> | <a href="#" class="export_uncheck_all">uncheck all</a></div>
								</span>
							</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Columns separators</td>
						<td class="formItemControl">
							<select name="separator" style="width:123px;">
								<option value=",">, (comma)</option>
								<option value=";">; (semicolon)</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Decimal Separator</td>
						<td class="formItemControl">
							<select name="decimal_separator" style="width:123px;">
								<option value=".">. (dot)</option>
								<option value=",">, (comma)</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td class="formItemCaption">Date Range</td>
						<td class="formItemControl">
							<div style="padding-bottom:5px;"><input type="checkbox" name="by_dates" value="1" id="id_date_filter"> <label for="id_date_filter">Apply filter by dates</label></div>
							From:<br>
							<select name="from_m">
<?		for($i=1; $i<=12; $i++){?>
								<option value="<?=$i?>" <?=$i == $from_m?"selected":""?>><?=$months[$i]?></option>
<?		}?>					</select>
							<select name="from_d">
<?				for($i=1; $i<=31; $i++){?>
								<option value="<?=$i?>" <?=$i == $from_d?"selected":""?>><?=$i?></option>
<?				}?>
							</select>
							<select name="from_y">
<?				for($i=2003; $i<=date("Y")+10; $i++){?>
								<option value="<?=$i?>" <?=$i == $from_y?"selected":""?>><?=$i?></option>
<?				}?>
							</select><br>
			To:<br>
							<select name="to_m">
<?		for($i=1; $i<=12; $i++){?>
								<option value="<?=$i?>" <?=$i == $to_m?"selected":""?>><?=$months[$i]?></option>
<?		}?>					</select>
							<select name="to_d">
<?		for($i=1; $i<=31; $i++){?>
								<option value="<?=$i?>" <?=$i == $to_d?"selected":""?>><?=$i?></option>
<?		}?>
							</select>
							<select name="to_y">
<?		for($i=2003; $i<=date("Y")+10; $i++){?>
								<option value="<?=$i?>" <?=$i == $to_y?"selected":""?>><?=$i?></option>
<?		}?>
							</select>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Export Database"> &nbsp;
					<input type="reset" value="Reset form">
				</div>
			</form>
		</div>
	</div>
	<div id="admin-tab-sheet-backup-db" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<form name="frmExport" action="admin.php?no-acceleration=1&p=backup_restore&action=export&mode=mysql&chart=true" target="_blank" method="post">
				<table cellpadding="0" cellspacing="5" border="0" width="100%" bgcolor="white">
					<tr>
						<td colspan="2" class="formHeader">
							<div class="formHeaderIcon"><img src="images/icons/ic_backup.gif"/></div>
							<div class="formHeaderText">Database Backup (MySQL Dump)</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Fields enclosed by</td>
						<td class="formItemControl">
							<select name="fe" style="width:123px;">
								<option value="'">' (quote)</option>
								<option value='"'>" (double quote)</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Add Drop Table Syntax</td>
						<td class="formItemControl">
							<select name="add_drop_table" style="width:123px;">
								<option value="Yes">Yes</option>
								<option value="No">No</option>
							</select>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Complete Insert Syntax</td>
						<td class="formItemControl">
							<select name="complete_insert" style="width:123px;">
								<option value="No">No</option>
								<option value="Yes">Yes</option>
							</select>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Export Database"> &nbsp;
					<input type="reset" value="Reset form">
				</div>
			</form>
		</div>
	</div>

	<div id="admin-tab-sheet-backup" class="admin-tab-sheet hidden">
		<div class="admin-tab-sheet-wrap">
			<form name="frmBackupRestore" id="frmBackupRestore" action="admin.php?p=backup_restore&action=make_backup" method="post">
				<input type="hidden" name="last_active_tab" value="idTabSheetBackupRestore">
				<table cellpadding="0" cellspacing="5" border="0" width="100%" bgcolor="white">
					<tr>
						<td class="formHeader" colspan="2">
							<div class="formHeaderIcon"><img src="images/icons/ic_backup.gif"/></div>
							<div class="formHeaderText">Backup Your Cart</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Engine Files</td>
						<td class="formItemControl">
							<input type="checkbox" name="backup_engine" value="Yes" checked="checked"/>
							<div class="formItemComment">Admin and user areas, etc</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Skins Folder</td>
						<td class="formItemControl">
							<input type="checkbox" name="backup_skins" value="Yes" checked="checked"/>
							<div class="formItemComment">Backup your site skin files</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Cache Folder</td>
						<td class="formItemControl">
							<input type="checkbox" name="backup_cache" value="Yes" checked="checked"/>
							<div class="formItemComment">Backup your entire cache</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Images</td>
						<td class="formItemControl">
							<input type="checkbox" name="backup_images" value="Yes"/>
							<div class="formItemComment">All your cart images</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Download Folder</td>
						<td class="formItemControl">
							<input type="checkbox" name="backup_download" value="Yes"/>
							<div class="formItemComment">Backup your digital products</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">Backup Database</td>
						<td class="formItemControl">
							<input type="checkbox" name="backup_database" value="Yes" checked="checked"/>
							<div class="formItemComment">Make your cart database dump</div>
						</td>
					</tr>
					<tr>
						<td class="formItemCaption">&nbsp;</td>
						<td class="formItemControl">
							<a href="javascript:checkBoxes('frmBackupRestore',true)">check all</a> | 
							<a href="javascript:checkBoxes('frmBackupRestore',false)">uncheck all</a>
						</td>
					</tr>
				</table>
				<div class="admin-form-buttons">
					<input type="submit" value="Backup"> &nbsp;
					<input type="reset" value="Reset form">
				</div>
			</form>

			<table cellpadding="0" cellspacing="5" border="0" width="100%">
				<tr>
					<td class="formHeader">
						<div class="formHeaderIcon"><img src="images/icons/ic_backup.gif"/></div>
						<div class="formHeaderText">Your Backups</div>
					</td>
				</tr>
			</table>
			<table cellpadding="5" cellspacing="0" border="0" width="100%">
				<tr>
					<td class="formListHeaderIcon">&nbsp;</td>
					<td class="formListHeaderCaption">File Name</td>
					<td class="formListHeaderCaption">Size</td>
					<td class="formListHeaderCaption">Date Created</td>
					<td class="formListHeaderCaption">&nbsp;</td>
				</tr>
<?
	$backups = array();
	$d = dir("content/backups");
	while(false !== ($entry = $d->read())){
		if($entry != "." && $entry != ".." && is_file("content/backups/".$entry)){
			$backups[] = array(
				"file_name"=>$entry,
				"file_size"=>filesize("content/backups/".$entry),
				"created"=>date("F j, Y, g:i a", filectime("content/backups/".$entry))
			);
		}
	}
	$d->close();
	if(count($backups)>0){
		for($i=0; $i<count($backups); $i++){?>
				<tr>
					<td class="formListItemIcon">&nbsp;</td>
					<td class="formListItemText"><?=$backups[$i]["file_name"]?></td>
					<td class="formListItemText"><?=number_format($backups[$i]["file_size"]/1024, 2, ".", ",")?> Kb</td>
					<td class="formListItemText"><?=$backups[$i]["created"]?></td>
					<td class="formListItemButtons">
						<a href="javascript:confirmRestoreBackup('<?=$backups[$i]["file_name"]?>')"><img src="images/icons/ic_backup_restore.gif" border="0" alt="Restore Backup"></a>
						<a href="javascript:confirmDeleteBackup('<?=$backups[$i]["file_name"]?>')"><img src="images/icons/ic_delete.gif" border="0" alt="Delete Backup"></a>
					</td>
				</tr>		
<?		}
	}
	else{?>
				<tr>
					<td colspan="5" height="60" style="color:#990000;padding-left:25px;">
						<img src="images/icons/ic_hint.gif" align="left" hspace="4">
						<b>There are no backups yet</b>
					</td>
				</tr>
<?	}
?>	
			</table>
		</div>
	</div>

<div id="idTabSheetSkinRepair" class="<?=$last_active_tab == "idTabSheetSkinRepair"?"admin-tab-sheet":"admin-tab-sheet hidden"?>">
<table cellpadding="0" cellspacing="0" border="0" width="100%" bgcolor="white">
	<form name="frmRepairSkinf" action="admin.php?p=backup_restore&action=make_backup" method="post">
	<input type="hidden" name="last_active_tab" value="idTabSheetBackupRestore">
	<tr>
		<td class="th" colspan="6">
			<img src="images/icons/ic_appearance.gif" align="left" hspace="6">
			<b>Repair Cart Skin Files</b>
		</td>
	</tr>
	<tr>
		<td class="th">&nbsp;</td>
		<td class="th" colspan="2">File Name</td>
		<td class="th">Original Size</td>
		<td class="th">Current Size</td>
		<td class="th">Action</td>
	</tr>
<?
	$skin_files = array();
	$skin_dir = dir("content/skins/original");
	while(false !== ($entry = $skin_dir->read())){
    	if($entry != "." && $entry != ".."){
    		if(is_dir("content/skins/original/".$entry) && $entry != "images" && $entry != "schemes"){
    			$skin_files["folders"][$entry]["file_name"] = $entry;
    			$skin_sub_dir = dir("content/skins/original/".$entry);
    			while(false !== ($sub_entry = $skin_sub_dir->read())){
    				if($sub_entry != "." && $sub_entry != ".."){
    					$skin_files["folders"][$entry]["files"][$sub_entry] = array(
    						"file_name"=>$sub_entry,
    						"file_path"=>$entry."/".$sub_entry,
    						"file_size_original"=>filesize("content/skins/original/".$entry."/".$sub_entry),
    						"file_exists"=>is_file("content/skins/".$settings["DesignSkinName"]."/".$entry."/".$sub_entry),
    						"file_size"=>@filesize("content/skins/".$settings["DesignSkinName"]."/".$entry."/".$sub_entry)
    					);
    				}
    			}
    			$skin_sub_dir->close();
    		}
    		elseif(is_file("content/skins/original/".$entry)){
    			$skin_files["files"][$entry] = array(
					"file_name"=>$entry,
					"file_path"=>$entry,
					"file_size_original"=>filesize("content/skins/original/".$entry),
					"file_exists"=>is_file("content/skins/".$settings["DesignSkinName"]."/".$entry),
    				"file_size"=>@filesize("content/skins/".$settings["DesignSkinName"]."/".$entry)
				);
    		}
    	}
	}
	$skin_dir->close();
	foreach($skin_files["folders"] as $skin_folder){?>
	<tr>
		<td align="center" width="5%" height="22"><img src="images/icons/ic_open_folder.gif"></td>
		<td width="85%" colspan="4"><?=$skin_folder["file_name"]?></td>
		<td width="10%">&nbsp;</td>
	</tr>	
	
<?		foreach($skin_folder["files"] as $skin_file){
			$is_changed = $skin_file["file_size"]!=$skin_file["file_size_original"];
?>
	<tr <?=$is_changed?'bgcolor="#eeeeee"':''?>>
		<td width="5%">&nbsp;</td>
		<td width="4%" height="22"><img src="images/icons/ic_page.gif"></td>
		<td width="41%" <?=$is_changed?"style=\"font-weight:bold;color:#990000;\"":""?>><?=$skin_file["file_name"]?></td>
		<td width="20%" noalign="right" style="padding-right:10px;"><?=$skin_file["file_size_original"]?></td>
		<td width="20%" noalign="right" style="padding-right:10px;"><?=$skin_file["file_size"]?></td>
		<td width="10%"><img src="images/icons/ic_repair.gif" alt="Repair File" onclick="alert('Under COnstruction')"></td>
	</tr>	
<?		}
	}
	foreach($skin_files["files"] as $skin_file){
		$is_changed = $skin_file["file_size"]!=$skin_file["file_size_original"];
		?>
	<tr <?=$is_changed?'bgcolor="#eeeeee"':''?>>
		<td align="center" width="4%" height="22"><img src="images/icons/ic_page.gif"></td>
		<td width="45%" colspan="2" <?=$is_changed?"style=\"font-weight:bold;color:#990000;\"":""?>><?=$skin_file["file_name"]?></td>
		<td width="20%" noalign="right" style="padding-right:10px;"><?=$skin_file["file_size_original"]?></td>
		<td width="20%" noalign="right" style="padding-right:10px;"><?=$skin_file["file_size"]?></td>
		<td width="10%"><img src="images/icons/ic_repair.gif" alt="Repair File" onclick="alert('Under COnstruction')"></td>
	</tr>	
<?		}
?>
</table>
</div>
