<?php
/**
 * Show home page
 */

if (!defined("ENV")) exit();


if ($settings["CatalogHomeView"] != "None")
{
	require_once("content/classes/class.products.php");
	$products = new ShoppingCartProducts($db, $settings);
	$products->taxRates = $order->taxRates;
	$params = array();
	$params["CatalogSortBy"] = "priority";//$settings["CatalogDefaultSortOrder"];
	$params["CatalogItemsOnPage"] = is_numeric($settings["CatalogHomeItemsOnPage"])?intval($settings["CatalogHomeItemsOnPage"]):10;
	$params["Page"] = isset($_REQUEST["pg"]) ? intval($_REQUEST["pg"]) : 1;
	$params["mode"] = "home";
	
	$userLevel = ($user->auth_ok) ? ($user->level) : ($userCookie ? $userCookie["l"] : 0);
	view()->assign("products", $products->getItemsCatalog($params, $userLevel));
        //echo "<pre>"; print_r($products->getItemsCatalog($params, $userLevel)); exit;

	view()->assign("products_file", strtolower("templates/pages/catalog/views/".$settings["CatalogHomeView"].".html"));
}
else
{
	view()->assign("products", false);
}
require_once("content/classes/class.catalog.php");
$catalog = new ShoppingCartCatalog($db);
//print_r($catalog->getCategories_home());
view()->assign("categories_home", $catalog->getCategories_home());

$db->query("SELECT * FROM ".DB_PREFIX."slider_images where
status='active' and type!='code'
			ORDER BY img_order ASC, sl_id DESC");
			$sliderData= array();
			$sliderData= $db->getRecords();

	view()->assign("sliderData",$sliderData);
	
		
$db->query("SELECT * FROM ".DB_PREFIX."slider_images where
status='active' and type='code'
			ORDER BY img_order ASC, sl_id DESC");
			$sliderData1= array();
			$sliderData1= $db->getRecords();

	view()->assign("sliderData1",$sliderData1);
	
	
        $db->query("SELECT * FROM ".DB_PREFIX."pages WHERE pid='30'");

if ($db->moveNext())
{
view()->assign("pageContent", $db->col["content"]);
}	

view()->assign("body", "templates/pages/site/home.html");
