<?php
/**
 * Set shipping method
 */

if (!defined("ENV")) exit();

if ($order->itemsCount > 0)
{
	/**
	 * Get shipping rates
	 */
	$rates = false;
	$ratesA = false;
	if ($order->shippingIsFree)
	{	
		if ($settings["ShippingShowAlternativeOnFree"] == "YES")
		{
			$ratesA = getShippingQuotes($db, $user, $order, false, false, true);
		}
	}
	else
	{
		$rates = getShippingQuotes($db, $user, $order);
		// show alternative shipping methods for free shipping products
		if ($settings["ShippingShowAlternativeOnFree"] == "YES" && $order->shippingFreeProductsCount > 0)
		{
			$ratesA = getShippingQuotes($db, $user, $order, false, false, true);
			$ratesA = filterAlternativeShippingQuotes($rates, $ratesA);
		}
	}
	
	if (!$order->shippingIsFree || $ratesA["shipping_methods_count"])
	{
		view()->assign("shippingMethods", $rates && is_array($rates) ? $rates : false);
		view()->assign("shippingMethodsAlternative", $ratesA && is_array($ratesA) ? $ratesA : false);
		view()->assign("shipping_is_free", $order->shippingIsFree);
		view()->assign("body", "templates/pages/checkout/shipping-method.html");
	}
	else
	{
		header("Location: ".$url_dynamic."p=invoice");
	}	
}
else
{
	header("Location: ".$url_dynamic."p=cart");
}
