<?php
/**
 * Newsletter subscribe page
 */

if (!defined("ENV")) exit();

$email = isset($_POST["email"]) ? trim(strtolower($_POST["email"])) : "";
$email_mode = isset($_POST["email_mode"]) ? $_POST["email_mode"] : "html";
$email_mode = in_array($email_mode, array("text", "html")) ? $email_mode : "html";
$email_exists = "no";

if (validate($email, VALIDATE_EMAIL))
{
	$db->query("SELECT * FROM ".DB_PREFIX."emails WHERE email LIKE BINARY '".$db->escape($email)."'");
	if ($db->moveNext())
	{
		$email_exists = "yes";
	}
	else
	{
		$db->query("INSERT INTO ".DB_PREFIX."emails VALUES(NULL, NOW(), '".$db->escape($email)."','".$db->escape($email_mode)."', 0, 'No', 'Yes', 'No')");
	}

	//check if mailchimp is enabled on this cart,
	//if so, then subscribe the user to mailchimp newsletter
	$chimpenabled = $settings["mailchimp_enabled"];
	$chimpkey = $settings["mailchimp_apikey"];
	$chimplist = $settings["mailchimp_newsletter_list"];

	if ($chimpenabled && $chimpkey && $chimplist)
	{
		$basepath = $settings["GlobalServerPath"];
		require_once("$basepath/content/vendors/mailchimp/MCAPI.class.php");

		$mc = new MCAPI($chimpkey);
		$subscribeResult = $mc->listSubscribe($chimplist, $email, array(""), $email_mode, true, true);
	}
}

view()->assign("email_exists", $email_exists);
view()->assign("body", "templates/pages/newsletters/subscribe.html");