<?php
/**
 * Newsletter unsubscribe page
 */
	
if (!defined("ENV")) exit();

$action = isset($_REQUEST["action"]) ? trim($_REQUEST["action"]) : "";
	
$status_changed = false;
$cancel_email = isset($_REQUEST["cancel_email"]) ? trim(strtolower($_REQUEST["cancel_email"])) : "";
	
if($action=="update")
{
	$db->query("SELECT * FROM ".DB_PREFIX."emails WHERE email LIKE BINARY '".$db->escape($cancel_email)."'");
	if($db->moveNext())
	{
		$db->query("DELETE FROM ".DB_PREFIX."emails WHERE eid='".intval($db->col["eid"])."'");
		$status_changed = true;
	}
	$db->query("SELECT uid,email FROM ".DB_PREFIX."users WHERE email LIKE BINARY '".$db->escape($cancel_email)."' and newsletters='Yes'");
	if($db->moveNext())
	{
		$db->query("UPDATE ".DB_PREFIX."users SET newsletters='No' WHERE email LIKE BINARY '".$db->escape($cancel_email)."' AND newsletters='Yes'");
		$status_changed = true;
	}


    //check if mailchimp is enabled on this cart,
    //if so, then subscribe the user to mailchimp newsletter
    $chimpenabled = $settings["mailchimp_enabled"];
    $chimpkey = $settings["mailchimp_apikey"];
    $chimplist = $settings["mailchimp_newsletter_list"];

    if ($chimpenabled && $chimpkey && $chimplist)
    {
        $basepath = $settings["GlobalServerPath"];
        require_once("$basepath/content/vendors/mailchimp/MCAPI.class.php");
        $mc = new MCAPI($chimpkey);
        $mc->listUnsubscribe($chimplist, $db->escape($cancel_email), false, true, true);
    }
}

if($action=="cancel")
{
	// Get real users ids
	list($email, $uid, $maillist) = split('-', $listkey);
	
	$user_email = $db->escape($email);
	$user_id = intval($uid);
	$user_list =  $db->escape($maillist);
	if ($user_list == "news")
	{
		$db_field = "newsletters";
	} 
	else
	{
		$db_field = "updates";
	}
	// Get records by Id
	$db->query("SELECT * FROM ".DB_PREFIX."emails WHERE eid = '".intval($user_id)."' AND ".$db_field." = 'Yes'");
	// Decode Hashed email to check with db email
	if ($db->moveNext())
	{
		if (md5($db->col["email"]) == $user_email)
		{
			$db->query("UPDATE ".DB_PREFIX."emails SET $db_field='No' WHERE eid='".intval($user_id)."'");
			$status_changed = true;
		}
	}
}

view()->assign("action", $action);
view()->assign("status_changed", $status_changed);
view()->assign("cancel_email", $cancel_email);
view()->assign("body", "templates/pages/newsletters/unsubscribe.html");
