<?php
/**
 * Wishlist
 */
if (!defined("ENV")) exit();

$wl_action = isset($_REQUEST["wl_action"]) ? $_REQUEST["wl_action"] : "";
$pid = isset($_REQUEST["pid"]) ? intval($_REQUEST["pid"]) : 0;
$url_default = isset($_REQUEST["url_default"]) ? $_REQUEST["url_default"] :"";

//echo $url_default; die("fds");
	
view()->assign("pid", $pid);
view()->assign("url_default", $url_default);
	
if ($user->auth_ok)
{
	$wishlist = new WISHLIST($db, $user->id);
	switch ($wl_action)
	{
		case "select_wishlist" :
		{
			view()->assign("display_mode", "select_wishlist");
			view()->assign("wish_lists", $wishlist->wishlistListFavorites);		
			break;
		}

		case "updated_wishlist" :
		{
			view()->assign("wishlist_messgae", $msg["wishlist"]["wishlistUpdated"]);
			view()->assign("display_mode", "updated_wishlist");
			break;
		}

		case "added_wishlist" :
		{
			view()->assign("wishlist_messgae", $msg["wishlist"]["wishlistAdded"]);
			view()->assign("display_mode", "added_wishlist");
			break;
		}

		case "addnew_wishlist" :
		{
			view()->assign("display_mode", "manage_wishlist");				
			break;
		}
		
		case "wishlist_error" :
		{
			view()->assign("wishlist_messgae", $msg["wishlist"]["genralError"]);
			view()->assign("display_mode", "wishlist_error");
			break;
		}

		default :
		{				
			break;		
		}
	}
}
else
{
	view()->assign("display_mode", "user_error");	
}

view()->assign("body", "templates/pages/wishlist/wishlist.html");
