INSERT INTO payment_methods (active, proto, url_to_gateway, type, priority, id, class, version, gateway_name, name, title, enable_ccs, message_payment, message_thankyou) VALUES ('No','https','','cc','1','orbital','PAYMENT_ORBITAL','1.0','Chase Paymentech Orbital','Chase Paymentech Orbital','Payment with Chase Paymentech Orbital',0,'','');
SET @orbital_id = LAST_INSERT_ID();
INSERT INTO payment_accepted_cc VALUES (null, @orbital_id, 'Yes', 'VISA', 'Visa', 'No');
INSERT INTO payment_accepted_cc VALUES (null, @orbital_id, 'Yes', 'MC', 'Master Card', 'No');
INSERT INTO payment_accepted_cc VALUES (null, @orbital_id, 'Yes', 'AMEX', 'American Express', 'No');
INSERT INTO payment_accepted_cc VALUES (null, @orbital_id, 'Yes', 'DINO', 'Discover/Novus', 'No');
CREATE TABLE IF NOT EXISTS users_payment_profiles (usid int(10) unsigned NOT NULL auto_increment, uid int(10) unsigned NOT NULL default '0', pid int(10) unsigned NOT NULL default '0', ext_profile_id varchar(128) NOT NULL default '', is_primary enum('Yes', 'No') NOT NULL default 'No', PRIMARY KEY (usid), KEY ext_profile_id (ext_profile_id)) ENGINE=MyISAM DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT COLLATE utf8_general_ci;
UPDATE settings SET value = '0' WHERE name = 'ShippingFedExMeter' AND value = '';
INSERT INTO settings VALUES ('Yes', 'select', 4, 'Order/Cart Settings', 14, 'CardTypeMustMatchNumber', 'No', 'Yes,No', 'No', '', '', 'If \"Yes\", card type must match card number, otherwise an error is displayed to user');
INSERT INTO settings VALUES ('No', 'hidden', 0, 'Security Settings', 0, 'SecurityNonceSalt', '', '', '', '', '', '');
INSERT INTO settings VALUES ('Yes', 'select', 101, 'Mobile Site Settings', 0, 'MobileSiteEnabled', 'Yes', 'Yes,No', 'No', '', '', '');
INSERT INTO settings VALUES ('Yes', 'text', 101, 'Mobile Site Settings', 1, 'GlobalMobileHttpUrl', '', '', '', '', '', 'Mobile Domain');
INSERT INTO settings VALUES ('Yes', 'text', 101, 'Mobile Site Settings', 2, 'GlobalMobileHttpsUrl', '', '', '', '', '', 'Mobile HTTPS Domain');
INSERT INTO settings VALUES ('Yes', 'select', 101, 'Mobile Site Settings', 3, 'ForceMobileRedirect', 'No', 'Yes,No', 'No', '', '', 'Force Mobile Clients to use Global Mobile Http Url');
INSERT INTO settings VALUES ('Yes', 'textarea', 101, 'Mobile Site Settings', 4, 'MobileSiteHomePageText', '', '', '', '', '', 'Text on mobile site home page');
INSERT INTO settings VALUES ('Yes', 'select', 101, 'Mobile Site Settings', 5, 'MobileSiteTheme', 'A', 'A,B,C,D,E', 'A', '', '', '');
INSERT INTO settings VALUES ('Yes', 'select', 101, 'Mobile Site Settings', 6, 'MobileShowNested', 'No', 'Yes,No', 'No', '', '', 'Show products from nested categories');
INSERT INTO settings VALUES ('Yes', 'select', 101, 'Mobile Site Settings', 7, 'MobileItemsOnPage', '5', '5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,25,30,35,40,50', '10', '', '', 'Number of items on mobile catalog page');
INSERT INTO settings (visible,input_type,group_name,name,value,options) VALUES('No','select','Intuit IDS Settings','intuit_sync_track_inventory','No','Yes,No');
INSERT INTO settings (visible,input_type,group_name,name,value,options) VALUES('No','hidden','Intuit IDS Settings','intuit_sync_date', NOW(),'');
INSERT INTO settings (visible,input_type,group_name,name,value,options) VALUES('No','hidden','Intuit IDS Settings','intuit_sync_taxes', 'No','Yes,No');
INSERT INTO settings (visible,input_type,group_name,name,value,options) VALUES('No','hidden','Intuit IDS Settings','intuit_quickbooks_version','none','none,desktop,online');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_orbital', '1', 'orbital_Connection_Username', '', '', '', '', 'Connection username', '');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_orbital', '2', 'orbital_Connection_Password', '', '', '', '', 'Connection password', '');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'select', '0', 'payment_orbital', '3', 'orbital_Message_Type', 'Authorize-Capture', 'Authorize-Capture,Authorize', '', '', 'Transaction type', '');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_orbital', '4', 'orbital_BIN', '', '', '', '', 'Transaction routing definition', 'usualy 000001 or 000002');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_orbital', '5', 'orbital_Merchant_ID', '', '', '', '', 'Merchant account number', 'Gateway merchant account number assigned by Chase Paymentech');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_orbital', '6', 'orbital_Terminal_ID', '', '', '', '', 'Terminal ID', 'Merchant Terminal ID assigned by Chase Paymentech');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'select', '0', 'payment_orbital', '7', 'orbital_Test_Mode', 'Off', 'Off,On', 'Off', '', 'Test Mode', '');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'text', '0', 'payment_orbital', '8', 'orbital_Currency_Code', '840', '', '', '', 'Currency Code', 'Transaction Currency Code. For Canadian Dollar use 124, US Dollar - 840, Euro - 978, British Pound - 826. Go to <a href="http://en.wikipedia.org/wiki/ISO_4217" target="_blank">http://en.wikipedia.org/wiki/ISO_4217</a> to get other currencies codes.');
INSERT INTO settings (visible, input_type, group_id, group_name, priority, name, value, options, default_value, validation, caption, description) VALUES ('No', 'select', '0', 'payment_orbital', '9', 'orbital_Cust_Profiles', 'Off', 'Off,On', 'Off', '', 'Customer Profiles', 'Allow customers to create and store payment profiles');
UPDATE shipping_default SET method_name = 'Worldwide Express' WHERE method_name = 'Worldwide Epress';